#include "frames_20_data.h"

#include "data.h"

namespace
{
    constexpr const bn::color frame_1200_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1200_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(2, 47),
        horizontal_line(4, 48),
        horizontal_line(6, 50),
        horizontal_line(8, 52),
        horizontal_line(53, 54),
        horizontal_line(54, 58),
        horizontal_line(55, 61),
        horizontal_line(55, 65),
        horizontal_line(56, 68),
        horizontal_line(57, 72),
        horizontal_line(58, 75),
        horizontal_line(58, 79),
        horizontal_line(59, 82),
        horizontal_line(60, 86),
        horizontal_line(60, 89),
        horizontal_line(61, 93),
        horizontal_line(62, 96),
        horizontal_line(63, 100),
        horizontal_line(63, 103),
        horizontal_line(64, 107),
        horizontal_line(65, 110),
        horizontal_line(65, 114),
        horizontal_line(66, 117),
        horizontal_line(67, 121),
        horizontal_line(68, 124),
        horizontal_line(68, 128),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(51, 72),
        horizontal_line(52, 72),
        horizontal_line(53, 72),
        horizontal_line(54, 73),
        horizontal_line(54, 73),
        horizontal_line(55, 73),
        horizontal_line(56, 74),
        horizontal_line(57, 74),
        horizontal_line(57, 74),
        horizontal_line(58, 74),
        horizontal_line(59, 75),
        horizontal_line(60, 75),
        horizontal_line(60, 75),
        horizontal_line(61, 76),
        horizontal_line(62, 76),
        horizontal_line(63, 76),
        horizontal_line(64, 77),
        horizontal_line(78, 80),
        horizontal_line(78, 84),
        horizontal_line(78, 88),
        horizontal_line(78, 93),
        horizontal_line(78, 97),
        horizontal_line(78, 101),
        horizontal_line(78, 105),
        horizontal_line(78, 110),
        horizontal_line(78, 114),
        horizontal_line(78, 118),
        horizontal_line(78, 123),
        horizontal_line(78, 123),
        horizontal_line(78, 122),
        horizontal_line(79, 121),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(69, 77),
        horizontal_line(77, 81),
        horizontal_line(78, 86),
        horizontal_line(83, 91),
        horizontal_line(89, 96),
        horizontal_line(94, 101),
        horizontal_line(100, 106),
        horizontal_line(105, 106),
    };

    constexpr const horizontal_line frame_1200_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(21, 36),
        horizontal_line(19, 42),
        horizontal_line(17, 48),
        horizontal_line(15, 54),
        horizontal_line(13, 60),
        horizontal_line(12, 66),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1200_shape_group_0_shapes[] = {
        shape(frame_1200_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1200_shape_group_0_shape_1_horizontal_lines, 112, 9),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(42, 67),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(132, 135),
        horizontal_line(132, 138),
        horizontal_line(133, 142),
        horizontal_line(134, 145),
        horizontal_line(135, 149),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(102, 164),
        horizontal_line(106, 168),
        horizontal_line(110, 167),
        horizontal_line(115, 163),
        horizontal_line(119, 159),
        horizontal_line(123, 156),
        horizontal_line(128, 152),
        horizontal_line(132, 148),
        horizontal_line(136, 144),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(47, 63),
        horizontal_line(49, 62),
        horizontal_line(50, 62),
        horizontal_line(51, 61),
        horizontal_line(53, 61),
        horizontal_line(54, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 59),
        horizontal_line(57, 59),
        horizontal_line(58, 58),
        horizontal_line(66, 77),
        horizontal_line(66, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 78),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(82, 120),
        horizontal_line(86, 119),
        horizontal_line(91, 118),
        horizontal_line(95, 117),
        horizontal_line(99, 116),
        horizontal_line(104, 115),
        horizontal_line(108, 114),
        horizontal_line(113, 113),
        horizontal_line(143, 166),
        horizontal_line(147, 172),
        horizontal_line(151, 179),
        horizontal_line(155, 185),
        horizontal_line(159, 191),
        horizontal_line(163, 186),
        horizontal_line(167, 182),
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(25, 87),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(23, 30),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(43, 105),
        horizontal_line(49, 111),
        horizontal_line(55, 117),
        horizontal_line(61, 123),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_1200_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(70, 78),
        horizontal_line(68, 84),
        horizontal_line(66, 91),
        horizontal_line(64, 97),
        horizontal_line(63, 103),
        horizontal_line(62, 109),
        horizontal_line(62, 115),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1200_shape_group_1_shapes[] = {
        shape(frame_1200_shape_group_1_shape_0_horizontal_lines, 31, 9),
        shape(frame_1200_shape_group_1_shape_1_horizontal_lines, 57, 4),
        shape(frame_1200_shape_group_1_shape_2_horizontal_lines, 79, 9),
        shape(frame_1200_shape_group_1_shape_3_horizontal_lines, 94, 4),
        shape(frame_1200_shape_group_1_shape_4_horizontal_lines, 110, 8),
        shape(frame_1200_shape_group_1_shape_5_horizontal_lines, 111, 9),
        shape(frame_1200_shape_group_1_shape_6_horizontal_lines, 112, 8),
        shape(frame_1200_shape_group_1_shape_7_horizontal_lines, 118, 9),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(10, 52),
        horizontal_line(12, 53),
        horizontal_line(13, 54),
        horizontal_line(15, 54),
        horizontal_line(16, 55),
        horizontal_line(18, 56),
        horizontal_line(19, 57),
        horizontal_line(21, 57),
        horizontal_line(22, 58),
        horizontal_line(24, 59),
        horizontal_line(25, 59),
        horizontal_line(27, 60),
        horizontal_line(28, 61),
        horizontal_line(30, 62),
        horizontal_line(31, 62),
        horizontal_line(33, 63),
        horizontal_line(34, 64),
        horizontal_line(36, 64),
        horizontal_line(37, 65),
        horizontal_line(39, 66),
        horizontal_line(40, 67),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(43, 68),
        horizontal_line(45, 69),
        horizontal_line(46, 69),
        horizontal_line(48, 70),
        horizontal_line(49, 71),
        horizontal_line(51, 72),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(138, 152),
        horizontal_line(142, 156),
        horizontal_line(146, 159),
        horizontal_line(151, 163),
        horizontal_line(155, 166),
        horizontal_line(159, 170),
        horizontal_line(164, 174),
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(46, 56),
        horizontal_line(46, 57),
        horizontal_line(45, 58),
        horizontal_line(45, 59),
        horizontal_line(44, 59),
        horizontal_line(44, 60),
        horizontal_line(45, 61),
        horizontal_line(46, 62),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(27, 46),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(64, 77),
        horizontal_line(64, 77),
        horizontal_line(64, 77),
        horizontal_line(65, 77),
        horizontal_line(65, 77),
        horizontal_line(65, 77),
        horizontal_line(65, 77),
        horizontal_line(66, 77),
        horizontal_line(66, 77),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(59, 65),
        horizontal_line(60, 65),
        horizontal_line(61, 66),
        horizontal_line(62, 66),
        horizontal_line(63, 66),
        horizontal_line(64, 67),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(66, 67),
        horizontal_line(66, 67),
        horizontal_line(66, 67),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(147, 159),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(52, 60),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(68, 68),
        horizontal_line(72, 76),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(40, 77),
        horizontal_line(36, 82),
        horizontal_line(32, 88),
        horizontal_line(28, 90),
        horizontal_line(87, 99),
        horizontal_line(31, 93),
        horizontal_line(99, 110),
        horizontal_line(105, 115),
        horizontal_line(111, 121),
        horizontal_line(117, 126),
        horizontal_line(123, 132),
        horizontal_line(129, 133),
        horizontal_line(73, 135),
        horizontal_line(79, 136),
        horizontal_line(85, 138),
        horizontal_line(92, 140),
        horizontal_line(98, 141),
        horizontal_line(104, 143),
        horizontal_line(110, 145),
        horizontal_line(116, 146),
        horizontal_line(122, 148),
    };

    constexpr const horizontal_line frame_1200_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(124, 133),
        horizontal_line(124, 139),
        horizontal_line(124, 145),
        horizontal_line(124, 151),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(124, 179),
    };

    constexpr const shape frame_1200_shape_group_2_shapes[] = {
        shape(frame_1200_shape_group_2_shape_0_horizontal_lines, 35, 9),
        shape(frame_1200_shape_group_2_shape_1_horizontal_lines, 56, 8),
        shape(frame_1200_shape_group_2_shape_2_horizontal_lines, 57, 9),
        shape(frame_1200_shape_group_2_shape_3_horizontal_lines, 63, 4),
        shape(frame_1200_shape_group_2_shape_4_horizontal_lines, 71, 9),
        shape(frame_1200_shape_group_2_shape_5_horizontal_lines, 79, 3),
        shape(frame_1200_shape_group_2_shape_6_horizontal_lines, 80, 9),
        shape(frame_1200_shape_group_2_shape_7_horizontal_lines, 89, 8),
        shape(frame_1200_shape_group_2_shape_8_horizontal_lines, 95, 9),
        shape(frame_1200_shape_group_2_shape_9_horizontal_lines, 100, 4),
        shape(frame_1200_shape_group_2_shape_10_horizontal_lines, 102, 9),
        shape(frame_1200_shape_group_2_shape_11_horizontal_lines, 103, 8),
        shape(frame_1200_shape_group_2_shape_12_horizontal_lines, 104, 9),
        shape(frame_1200_shape_group_2_shape_13_horizontal_lines, 106, 8),
        shape(frame_1200_shape_group_2_shape_14_horizontal_lines, 127, 9),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(7, 9),
        horizontal_line(7, 11),
        horizontal_line(7, 12),
        horizontal_line(6, 14),
        horizontal_line(6, 15),
        horizontal_line(6, 17),
        horizontal_line(5, 18),
        horizontal_line(5, 20),
        horizontal_line(5, 21),
        horizontal_line(4, 23),
        horizontal_line(4, 24),
        horizontal_line(4, 26),
        horizontal_line(3, 27),
        horizontal_line(3, 29),
        horizontal_line(3, 30),
        horizontal_line(2, 32),
        horizontal_line(2, 33),
        horizontal_line(2, 35),
        horizontal_line(1, 36),
        horizontal_line(1, 38),
        horizontal_line(1, 39),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(50, 51),
        horizontal_line(49, 52),
        horizontal_line(49, 53),
        horizontal_line(48, 53),
        horizontal_line(48, 54),
        horizontal_line(47, 55),
        horizontal_line(47, 56),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(61, 64),
        horizontal_line(61, 64),
        horizontal_line(60, 64),
        horizontal_line(60, 65),
        horizontal_line(59, 65),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(64, 66),
        horizontal_line(65, 65),
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(66, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(48, 66),
        horizontal_line(44, 71),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(93, 104),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(163, 199),
        horizontal_line(163, 201),
        horizontal_line(162, 202),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(128, 149),
        horizontal_line(134, 151),
        horizontal_line(140, 153),
        horizontal_line(146, 154),
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_1200_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(158, 213),
        horizontal_line(158, 215),
        horizontal_line(159, 217),
        horizontal_line(160, 219),
        horizontal_line(161, 220),
        horizontal_line(162, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
    };

    constexpr const shape frame_1200_shape_group_3_shapes[] = {
        shape(frame_1200_shape_group_3_shape_0_horizontal_lines, 35, 8),
        shape(frame_1200_shape_group_3_shape_1_horizontal_lines, 57, 8),
        shape(frame_1200_shape_group_3_shape_2_horizontal_lines, 63, 9),
        shape(frame_1200_shape_group_3_shape_3_horizontal_lines, 71, 8),
        shape(frame_1200_shape_group_3_shape_4_horizontal_lines, 79, 1),
        shape(frame_1200_shape_group_3_shape_5_horizontal_lines, 80, 8),
        shape(frame_1200_shape_group_3_shape_6_horizontal_lines, 89, 1),
        shape(frame_1200_shape_group_3_shape_7_horizontal_lines, 95, 8),
        shape(frame_1200_shape_group_3_shape_8_horizontal_lines, 99, 1),
        shape(frame_1200_shape_group_3_shape_9_horizontal_lines, 100, 9),
        shape(frame_1200_shape_group_3_shape_10_horizontal_lines, 102, 1),
        shape(frame_1200_shape_group_3_shape_11_horizontal_lines, 104, 8),
        shape(frame_1200_shape_group_3_shape_12_horizontal_lines, 106, 1),
        shape(frame_1200_shape_group_3_shape_13_horizontal_lines, 109, 8),
        shape(frame_1200_shape_group_3_shape_14_horizontal_lines, 110, 1),
        shape(frame_1200_shape_group_3_shape_15_horizontal_lines, 111, 8),
        shape(frame_1200_shape_group_3_shape_16_horizontal_lines, 112, 1),
        shape(frame_1200_shape_group_3_shape_17_horizontal_lines, 118, 8),
        shape(frame_1200_shape_group_3_shape_18_horizontal_lines, 119, 1),
        shape(frame_1200_shape_group_3_shape_19_horizontal_lines, 127, 8),
        shape(frame_1200_shape_group_3_shape_20_horizontal_lines, 132, 1),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(26, 45),
        horizontal_line(29, 45),
        horizontal_line(33, 44),
        horizontal_line(36, 44),
        horizontal_line(39, 43),
        horizontal_line(43, 43),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(16, 44),
        horizontal_line(21, 45),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(33, 48),
        horizontal_line(39, 49),
        horizontal_line(45, 50),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(53, 58),
        horizontal_line(54, 59),
        horizontal_line(54, 60),
        horizontal_line(54, 61),
        horizontal_line(54, 62),
        horizontal_line(54, 63),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(55, 64),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(56, 65),
        horizontal_line(61, 65),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(110, 138),
        horizontal_line(110, 123),
        horizontal_line(109, 119),
        horizontal_line(0, 23),
        horizontal_line(108, 117),
        horizontal_line(0, 22),
        horizontal_line(111, 115),
        horizontal_line(121, 133),
        horizontal_line(122, 132),
        horizontal_line(127, 131),
        horizontal_line(169, 184),
        horizontal_line(168, 186),
        horizontal_line(0, 9),
        horizontal_line(167, 190),
        horizontal_line(166, 192),
        horizontal_line(166, 193),
        horizontal_line(165, 195),
        horizontal_line(164, 197),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(146, 162),
        horizontal_line(147, 162),
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(161, 204),
        horizontal_line(160, 206),
        horizontal_line(160, 208),
        horizontal_line(159, 210),
        horizontal_line(158, 211),
    };

    constexpr const horizontal_line frame_1200_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(225, 226),
        horizontal_line(226, 228),
        horizontal_line(227, 229),
        horizontal_line(228, 231),
        horizontal_line(228, 233),
        horizontal_line(229, 235),
        horizontal_line(230, 237),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1200_shape_group_4_shapes[] = {
        shape(frame_1200_shape_group_4_shape_0_horizontal_lines, 63, 8),
        shape(frame_1200_shape_group_4_shape_1_horizontal_lines, 77, 3),
        shape(frame_1200_shape_group_4_shape_2_horizontal_lines, 79, 1),
        shape(frame_1200_shape_group_4_shape_3_horizontal_lines, 80, 3),
        shape(frame_1200_shape_group_4_shape_4_horizontal_lines, 84, 1),
        shape(frame_1200_shape_group_4_shape_5_horizontal_lines, 124, 2),
        shape(frame_1200_shape_group_4_shape_6_horizontal_lines, 127, 1),
        shape(frame_1200_shape_group_4_shape_7_horizontal_lines, 138, 1),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(3, 49),
        horizontal_line(6, 48),
        horizontal_line(9, 48),
        horizontal_line(13, 47),
        horizontal_line(16, 47),
        horizontal_line(19, 46),
        horizontal_line(23, 46),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(9, 25),
        horizontal_line(10, 28),
        horizontal_line(11, 32),
        horizontal_line(12, 35),
        horizontal_line(13, 38),
        horizontal_line(14, 42),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(1, 15),
        horizontal_line(191, 239),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(53, 53),
        horizontal_line(53, 54),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(53, 57),
        horizontal_line(126, 148),
        horizontal_line(125, 145),
        horizontal_line(126, 143),
        horizontal_line(128, 141),
        horizontal_line(130, 138),
        horizontal_line(132, 136),
        horizontal_line(54, 63),
        horizontal_line(55, 63),
        horizontal_line(55, 63),
        horizontal_line(55, 64),
        horizontal_line(129, 133),
        horizontal_line(55, 64),
        horizontal_line(55, 64),
        horizontal_line(113, 114),
        horizontal_line(112, 116),
        horizontal_line(112, 118),
        horizontal_line(111, 138),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(23, 39),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(125, 137),
        horizontal_line(121, 122),
        horizontal_line(108, 118),
        horizontal_line(123, 135),
        horizontal_line(109, 116),
        horizontal_line(121, 133),
        horizontal_line(171, 179),
        horizontal_line(171, 181),
        horizontal_line(170, 183),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(133, 168),
        horizontal_line(134, 167),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(168, 188),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(137, 166),
        horizontal_line(139, 165),
        horizontal_line(141, 165),
        horizontal_line(142, 164),
        horizontal_line(144, 163),
    };

    constexpr const horizontal_line frame_1200_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(150, 160),
        horizontal_line(152, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 158),
        horizontal_line(157, 157),
    };

    constexpr const shape frame_1200_shape_group_5_shapes[] = {
        shape(frame_1200_shape_group_5_shape_0_horizontal_lines, 64, 8),
        shape(frame_1200_shape_group_5_shape_1_horizontal_lines, 71, 3),
        shape(frame_1200_shape_group_5_shape_2_horizontal_lines, 77, 1),
        shape(frame_1200_shape_group_5_shape_3_horizontal_lines, 106, 2),
        shape(frame_1200_shape_group_5_shape_4_horizontal_lines, 107, 1),
        shape(frame_1200_shape_group_5_shape_5_horizontal_lines, 116, 2),
        shape(frame_1200_shape_group_5_shape_6_horizontal_lines, 118, 1),
        shape(frame_1200_shape_group_5_shape_7_horizontal_lines, 119, 2),
        shape(frame_1200_shape_group_5_shape_8_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(1, 2),
        horizontal_line(2, 5),
        horizontal_line(3, 8),
        horizontal_line(4, 12),
        horizontal_line(5, 15),
        horizontal_line(6, 18),
        horizontal_line(7, 22),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(16, 26),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(139, 143),
        horizontal_line(137, 145),
        horizontal_line(136, 147),
        horizontal_line(134, 148),
        horizontal_line(133, 150),
        horizontal_line(132, 152),
        horizontal_line(130, 154),
        horizontal_line(129, 152),
        horizontal_line(127, 150),
        horizontal_line(154, 196),
        horizontal_line(154, 196),
        horizontal_line(154, 195),
        horizontal_line(154, 195),
        horizontal_line(154, 195),
        horizontal_line(153, 195),
        horizontal_line(134, 134),
        horizontal_line(132, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(153, 193),
        horizontal_line(128, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 139),
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(139, 158),
        horizontal_line(24, 35),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(174, 174),
        horizontal_line(122, 134),
        horizontal_line(172, 177),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(116, 120),
        horizontal_line(133, 170),
        horizontal_line(132, 169),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(136, 167),
    };

    constexpr const horizontal_line frame_1200_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_1200_shape_group_6_shapes[] = {
        shape(frame_1200_shape_group_6_shape_0_horizontal_lines, 64, 3),
        shape(frame_1200_shape_group_6_shape_1_horizontal_lines, 71, 1),
        shape(frame_1200_shape_group_6_shape_2_horizontal_lines, 78, 1),
        shape(frame_1200_shape_group_6_shape_3_horizontal_lines, 79, 2),
        shape(frame_1200_shape_group_6_shape_4_horizontal_lines, 80, 1),
        shape(frame_1200_shape_group_6_shape_5_horizontal_lines, 106, 2),
        shape(frame_1200_shape_group_6_shape_6_horizontal_lines, 108, 1),
        shape(frame_1200_shape_group_6_shape_7_horizontal_lines, 113, 2),
        shape(frame_1200_shape_group_6_shape_8_horizontal_lines, 116, 14),
        shape(frame_1200_shape_group_6_shape_9_horizontal_lines, 118, 2),
        shape(frame_1200_shape_group_6_shape_10_horizontal_lines, 119, 14),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(16, 20),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(184, 197),
        horizontal_line(170, 197),
        horizontal_line(156, 197),
        horizontal_line(154, 196),
        horizontal_line(154, 196),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(19, 53),
        horizontal_line(19, 53),
        horizontal_line(20, 53),
        horizontal_line(20, 53),
        horizontal_line(20, 53),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(153, 194),
        horizontal_line(153, 194),
        horizontal_line(153, 194),
        horizontal_line(153, 194),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(22, 54),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(154, 193),
        horizontal_line(160, 193),
        horizontal_line(167, 193),
        horizontal_line(138, 140),
        horizontal_line(180, 192),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(23, 43),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(24, 31),
        horizontal_line(24, 27),
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(117, 120),
        horizontal_line(134, 170),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const shape frame_1200_shape_group_7_shapes[] = {
        shape(frame_1200_shape_group_7_shape_0_horizontal_lines, 69, 1),
        shape(frame_1200_shape_group_7_shape_1_horizontal_lines, 78, 2),
        shape(frame_1200_shape_group_7_shape_2_horizontal_lines, 80, 1),
        shape(frame_1200_shape_group_7_shape_3_horizontal_lines, 90, 2),
        shape(frame_1200_shape_group_7_shape_4_horizontal_lines, 95, 1),
        shape(frame_1200_shape_group_7_shape_5_horizontal_lines, 99, 2),
        shape(frame_1200_shape_group_7_shape_6_horizontal_lines, 100, 1),
        shape(frame_1200_shape_group_7_shape_7_horizontal_lines, 105, 2),
        shape(frame_1200_shape_group_7_shape_8_horizontal_lines, 106, 14),
        shape(frame_1200_shape_group_7_shape_9_horizontal_lines, 107, 2),
        shape(frame_1200_shape_group_7_shape_10_horizontal_lines, 111, 1),
        shape(frame_1200_shape_group_7_shape_11_horizontal_lines, 112, 2),
        shape(frame_1200_shape_group_7_shape_12_horizontal_lines, 114, 14),
        shape(frame_1200_shape_group_7_shape_13_horizontal_lines, 118, 14),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(16, 32),
        horizontal_line(17, 38),
        horizontal_line(17, 44),
        horizontal_line(17, 51),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(211, 239),
        horizontal_line(218, 239),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(19, 52),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(146, 153),
        horizontal_line(144, 153),
        horizontal_line(142, 153),
        horizontal_line(139, 153),
        horizontal_line(137, 152),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(20, 53),
        horizontal_line(21, 54),
        horizontal_line(21, 54),
        horizontal_line(21, 54),
        horizontal_line(65, 65),
        horizontal_line(22, 54),
        horizontal_line(22, 54),
        horizontal_line(22, 55),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(173, 192),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(23, 47),
        horizontal_line(139, 154),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(138, 162),
        horizontal_line(123, 123),
        horizontal_line(121, 122),
        horizontal_line(136, 173),
        horizontal_line(119, 121),
        horizontal_line(134, 171),
    };

    constexpr const horizontal_line frame_1200_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const shape frame_1200_shape_group_8_shapes[] = {
        shape(frame_1200_shape_group_8_shape_0_horizontal_lines, 69, 1),
        shape(frame_1200_shape_group_8_shape_1_horizontal_lines, 80, 2),
        shape(frame_1200_shape_group_8_shape_2_horizontal_lines, 84, 1),
        shape(frame_1200_shape_group_8_shape_3_horizontal_lines, 89, 2),
        shape(frame_1200_shape_group_8_shape_4_horizontal_lines, 90, 14),
        shape(frame_1200_shape_group_8_shape_5_horizontal_lines, 95, 2),
        shape(frame_1200_shape_group_8_shape_6_horizontal_lines, 103, 1),
        shape(frame_1200_shape_group_8_shape_7_horizontal_lines, 104, 2),
        shape(frame_1200_shape_group_8_shape_8_horizontal_lines, 107, 2),
        shape(frame_1200_shape_group_8_shape_9_horizontal_lines, 113, 14),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(17, 52),
        horizontal_line(18, 52),
        horizontal_line(18, 52),
        horizontal_line(18, 52),
        horizontal_line(19, 52),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(149, 153),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(135, 152),
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(134, 152),
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(65, 66),
        horizontal_line(66, 66),
        horizontal_line(23, 51),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(137, 166),
        horizontal_line(137, 170),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(135, 172),
    };

    constexpr const horizontal_line frame_1200_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(116, 116),
    };

    constexpr const shape frame_1200_shape_group_9_shapes[] = {
        shape(frame_1200_shape_group_9_shape_0_horizontal_lines, 84, 2),
        shape(frame_1200_shape_group_9_shape_1_horizontal_lines, 89, 14),
        shape(frame_1200_shape_group_9_shape_2_horizontal_lines, 97, 2),
        shape(frame_1200_shape_group_9_shape_3_horizontal_lines, 98, 14),
        shape(frame_1200_shape_group_9_shape_4_horizontal_lines, 100, 2),
        shape(frame_1200_shape_group_9_shape_5_horizontal_lines, 105, 14),
        shape(frame_1200_shape_group_9_shape_6_horizontal_lines, 107, 14),
        shape(frame_1200_shape_group_9_shape_7_horizontal_lines, 108, 2),
        shape(frame_1200_shape_group_9_shape_8_horizontal_lines, 110, 14),
        shape(frame_1200_shape_group_9_shape_9_horizontal_lines, 111, 2),
        shape(frame_1200_shape_group_9_shape_10_horizontal_lines, 112, 14),
    };

    constexpr const horizontal_line frame_1200_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(198, 203),
        horizontal_line(198, 210),
        horizontal_line(198, 217),
        horizontal_line(153, 153),
        horizontal_line(151, 153),
        horizontal_line(197, 238),
    };

    constexpr const horizontal_line frame_1200_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(134, 152),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(134, 152),
        horizontal_line(134, 146),
    };

    constexpr const horizontal_line frame_1200_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(66, 67),
        horizontal_line(140, 150),
    };

    constexpr const horizontal_line frame_1200_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(119, 120),
        horizontal_line(203, 239),
        horizontal_line(117, 118),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_1200_shape_group_10_shapes[] = {
        shape(frame_1200_shape_group_10_shape_0_horizontal_lines, 84, 14),
        shape(frame_1200_shape_group_10_shape_1_horizontal_lines, 95, 14),
        shape(frame_1200_shape_group_10_shape_2_horizontal_lines, 102, 2),
        shape(frame_1200_shape_group_10_shape_3_horizontal_lines, 108, 14),
    };

    constexpr const horizontal_line frame_1200_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(197, 224),
        horizontal_line(197, 231),
    };

    constexpr const horizontal_line frame_1200_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_1200_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(141, 146),
    };

    constexpr const horizontal_line frame_1200_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1200_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const shape frame_1200_shape_group_11_shapes[] = {
        shape(frame_1200_shape_group_11_shape_0_horizontal_lines, 87, 14),
        shape(frame_1200_shape_group_11_shape_1_horizontal_lines, 97, 14),
        shape(frame_1200_shape_group_11_shape_2_horizontal_lines, 100, 14),
        shape(frame_1200_shape_group_11_shape_3_horizontal_lines, 103, 2),
        shape(frame_1200_shape_group_11_shape_4_horizontal_lines, 104, 14),
        shape(frame_1200_shape_group_11_shape_5_horizontal_lines, 108, 14),
        shape(frame_1200_shape_group_11_shape_6_horizontal_lines, 111, 14),
    };

    constexpr const horizontal_line frame_1200_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(134, 137),
    };

    constexpr const shape frame_1200_shape_group_12_shapes[] = {
        shape(frame_1200_shape_group_12_shape_0_horizontal_lines, 102, 14),
    };

    constexpr const horizontal_line frame_1200_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const shape frame_1200_shape_group_13_shapes[] = {
        shape(frame_1200_shape_group_13_shape_0_horizontal_lines, 103, 14),
    };

    constexpr const shape_group frame_1200_shape_groups[] = {
        shape_group(frame_1200_shape_group_0_shapes),
        shape_group(frame_1200_shape_group_1_shapes),
        shape_group(frame_1200_shape_group_2_shapes),
        shape_group(frame_1200_shape_group_3_shapes),
        shape_group(frame_1200_shape_group_4_shapes),
        shape_group(frame_1200_shape_group_5_shapes),
        shape_group(frame_1200_shape_group_6_shapes),
        shape_group(frame_1200_shape_group_7_shapes),
        shape_group(frame_1200_shape_group_8_shapes),
        shape_group(frame_1200_shape_group_9_shapes),
        shape_group(frame_1200_shape_group_10_shapes),
        shape_group(frame_1200_shape_group_11_shapes),
        shape_group(frame_1200_shape_group_12_shapes),
        shape_group(frame_1200_shape_group_13_shapes),
    };

    constexpr const frame frame_1200_impl(frame_1200_colors, frame_1200_shape_groups);
} 

const frame& frame_1200()
{
    return frame_1200_impl;
}

namespace
{
    constexpr const bn::color frame_1201_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1201_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(1, 41),
    };

    constexpr const horizontal_line frame_1201_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1201_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(45, 46),
        horizontal_line(46, 50),
        horizontal_line(47, 53),
        horizontal_line(48, 57),
        horizontal_line(49, 60),
        horizontal_line(50, 64),
        horizontal_line(50, 67),
        horizontal_line(51, 71),
        horizontal_line(52, 74),
        horizontal_line(53, 78),
        horizontal_line(54, 81),
        horizontal_line(55, 85),
        horizontal_line(55, 89),
        horizontal_line(56, 92),
        horizontal_line(57, 96),
        horizontal_line(58, 99),
        horizontal_line(59, 103),
        horizontal_line(60, 106),
        horizontal_line(60, 110),
        horizontal_line(61, 113),
        horizontal_line(62, 117),
        horizontal_line(63, 120),
        horizontal_line(64, 124),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(47, 69),
        horizontal_line(48, 69),
        horizontal_line(49, 70),
        horizontal_line(50, 70),
        horizontal_line(50, 70),
        horizontal_line(51, 71),
        horizontal_line(52, 71),
        horizontal_line(53, 71),
        horizontal_line(54, 72),
        horizontal_line(54, 72),
        horizontal_line(55, 73),
        horizontal_line(56, 73),
        horizontal_line(57, 73),
        horizontal_line(58, 74),
        horizontal_line(58, 74),
        horizontal_line(59, 74),
        horizontal_line(60, 75),
        horizontal_line(61, 75),
        horizontal_line(62, 76),
        horizontal_line(77, 79),
        horizontal_line(77, 83),
        horizontal_line(77, 88),
        horizontal_line(77, 92),
        horizontal_line(77, 97),
        horizontal_line(77, 101),
        horizontal_line(77, 106),
        horizontal_line(77, 110),
        horizontal_line(77, 115),
        horizontal_line(77, 119),
        horizontal_line(77, 124),
        horizontal_line(77, 123),
        horizontal_line(77, 122),
        horizontal_line(78, 121),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(77, 81),
        horizontal_line(77, 86),
        horizontal_line(77, 91),
        horizontal_line(77, 96),
        horizontal_line(80, 101),
        horizontal_line(85, 106),
        horizontal_line(91, 106),
        horizontal_line(96, 105),
        horizontal_line(102, 105),
        horizontal_line(178, 183),
    };

    constexpr const horizontal_line frame_1201_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(18, 80),
        horizontal_line(15, 77),
    };

    constexpr const horizontal_line frame_1201_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(13, 20),
        horizontal_line(11, 26),
        horizontal_line(9, 33),
        horizontal_line(8, 39),
        horizontal_line(6, 46),
        horizontal_line(4, 52),
        horizontal_line(2, 59),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1201_shape_group_0_shapes[] = {
        shape(frame_1201_shape_group_0_shape_0_horizontal_lines, 3, 4),
        shape(frame_1201_shape_group_0_shape_1_horizontal_lines, 30, 9),
        shape(frame_1201_shape_group_0_shape_2_horizontal_lines, 31, 4),
        shape(frame_1201_shape_group_0_shape_3_horizontal_lines, 114, 8),
        shape(frame_1201_shape_group_0_shape_4_horizontal_lines, 116, 9),
    };

    constexpr const horizontal_line frame_1201_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1201_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(1, 45),
        horizontal_line(2, 46),
        horizontal_line(4, 47),
        horizontal_line(5, 48),
        horizontal_line(7, 49),
        horizontal_line(9, 49),
        horizontal_line(10, 50),
        horizontal_line(12, 51),
        horizontal_line(14, 52),
        horizontal_line(15, 53),
        horizontal_line(17, 54),
        horizontal_line(19, 54),
        horizontal_line(20, 55),
        horizontal_line(22, 56),
        horizontal_line(24, 57),
        horizontal_line(25, 58),
        horizontal_line(27, 59),
        horizontal_line(28, 59),
        horizontal_line(30, 60),
        horizontal_line(32, 61),
        horizontal_line(33, 62),
        horizontal_line(35, 63),
    };

    constexpr const horizontal_line frame_1201_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 131),
        horizontal_line(128, 135),
        horizontal_line(129, 138),
        horizontal_line(130, 142),
        horizontal_line(131, 145),
        horizontal_line(132, 149),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(101, 163),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(113, 173),
        horizontal_line(117, 168),
        horizontal_line(121, 164),
        horizontal_line(125, 159),
        horizontal_line(129, 155),
        horizontal_line(133, 150),
        horizontal_line(137, 146),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_1201_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(42, 61),
        horizontal_line(44, 60),
        horizontal_line(45, 59),
        horizontal_line(46, 59),
        horizontal_line(47, 58),
        horizontal_line(49, 58),
        horizontal_line(50, 57),
        horizontal_line(51, 56),
        horizontal_line(52, 56),
        horizontal_line(54, 55),
        horizontal_line(55, 55),
        horizontal_line(65, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 77),
    };

    constexpr const horizontal_line frame_1201_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(82, 120),
        horizontal_line(87, 119),
        horizontal_line(92, 118),
        horizontal_line(98, 117),
        horizontal_line(103, 116),
        horizontal_line(108, 115),
        horizontal_line(114, 114),
        horizontal_line(156, 156),
        horizontal_line(152, 161),
        horizontal_line(148, 167),
        horizontal_line(145, 172),
        horizontal_line(148, 178),
        horizontal_line(152, 183),
        horizontal_line(156, 189),
        horizontal_line(159, 194),
        horizontal_line(163, 199),
        horizontal_line(167, 195),
        horizontal_line(170, 191),
        horizontal_line(174, 187),
    };

    constexpr const horizontal_line frame_1201_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(21, 83),
        horizontal_line(80, 112),
        horizontal_line(77, 117),
        horizontal_line(21, 83),
        horizontal_line(27, 89),
        horizontal_line(34, 96),
        horizontal_line(40, 102),
        horizontal_line(47, 109),
        horizontal_line(53, 115),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_1201_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(62, 71),
        horizontal_line(62, 78),
        horizontal_line(62, 84),
        horizontal_line(62, 91),
        horizontal_line(62, 97),
        horizontal_line(62, 104),
        horizontal_line(62, 110),
        horizontal_line(62, 116),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1201_shape_group_1_shapes[] = {
        shape(frame_1201_shape_group_1_shape_0_horizontal_lines, 29, 9),
        shape(frame_1201_shape_group_1_shape_1_horizontal_lines, 31, 9),
        shape(frame_1201_shape_group_1_shape_2_horizontal_lines, 54, 4),
        shape(frame_1201_shape_group_1_shape_3_horizontal_lines, 79, 9),
        shape(frame_1201_shape_group_1_shape_4_horizontal_lines, 94, 4),
        shape(frame_1201_shape_group_1_shape_5_horizontal_lines, 113, 8),
        shape(frame_1201_shape_group_1_shape_6_horizontal_lines, 123, 9),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(37, 64),
        horizontal_line(38, 64),
        horizontal_line(40, 65),
        horizontal_line(42, 66),
        horizontal_line(43, 67),
        horizontal_line(45, 68),
        horizontal_line(47, 69),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(135, 152),
        horizontal_line(139, 156),
        horizontal_line(143, 159),
        horizontal_line(147, 163),
        horizontal_line(151, 166),
        horizontal_line(155, 170),
        horizontal_line(159, 173),
        horizontal_line(163, 177),
        horizontal_line(167, 181),
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(41, 54),
        horizontal_line(41, 55),
        horizontal_line(40, 56),
        horizontal_line(40, 57),
        horizontal_line(39, 57),
        horizontal_line(39, 58),
        horizontal_line(40, 59),
        horizontal_line(41, 60),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(10, 41),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(63, 76),
        horizontal_line(63, 76),
        horizontal_line(63, 76),
        horizontal_line(64, 76),
        horizontal_line(64, 76),
        horizontal_line(64, 76),
        horizontal_line(65, 76),
        horizontal_line(65, 76),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(56, 64),
        horizontal_line(58, 65),
        horizontal_line(59, 65),
        horizontal_line(60, 65),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(66, 66),
        horizontal_line(65, 66),
        horizontal_line(65, 66),
        horizontal_line(64, 66),
        horizontal_line(64, 67),
        horizontal_line(65, 67),
        horizontal_line(65, 67),
        horizontal_line(66, 67),
        horizontal_line(66, 67),
        horizontal_line(67, 76),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(37, 79),
        horizontal_line(34, 84),
        horizontal_line(30, 90),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(83, 106),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(83, 123),
        horizontal_line(89, 128),
        horizontal_line(96, 134),
        horizontal_line(102, 135),
        horizontal_line(109, 136),
        horizontal_line(115, 138),
        horizontal_line(122, 139),
        horizontal_line(66, 128),
        horizontal_line(72, 134),
        horizontal_line(79, 141),
        horizontal_line(85, 145),
        horizontal_line(92, 146),
        horizontal_line(98, 148),
        horizontal_line(105, 149),
        horizontal_line(111, 150),
        horizontal_line(117, 152),
        horizontal_line(124, 153),
    };

    constexpr const horizontal_line frame_1201_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 136),
        horizontal_line(124, 142),
        horizontal_line(124, 149),
        horizontal_line(124, 155),
        horizontal_line(124, 161),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
    };

    constexpr const shape frame_1201_shape_group_2_shapes[] = {
        shape(frame_1201_shape_group_2_shape_0_horizontal_lines, 32, 8),
        shape(frame_1201_shape_group_2_shape_1_horizontal_lines, 54, 9),
        shape(frame_1201_shape_group_2_shape_2_horizontal_lines, 61, 4),
        shape(frame_1201_shape_group_2_shape_3_horizontal_lines, 71, 9),
        shape(frame_1201_shape_group_2_shape_4_horizontal_lines, 79, 3),
        shape(frame_1201_shape_group_2_shape_5_horizontal_lines, 80, 9),
        shape(frame_1201_shape_group_2_shape_6_horizontal_lines, 90, 8),
        shape(frame_1201_shape_group_2_shape_7_horizontal_lines, 95, 9),
        shape(frame_1201_shape_group_2_shape_8_horizontal_lines, 108, 8),
        shape(frame_1201_shape_group_2_shape_9_horizontal_lines, 114, 1),
        shape(frame_1201_shape_group_2_shape_10_horizontal_lines, 116, 8),
        shape(frame_1201_shape_group_2_shape_11_horizontal_lines, 133, 9),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(46, 47),
        horizontal_line(45, 48),
        horizontal_line(45, 49),
        horizontal_line(44, 49),
        horizontal_line(44, 50),
        horizontal_line(43, 51),
        horizontal_line(43, 52),
        horizontal_line(42, 53),
        horizontal_line(42, 53),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(19, 40),
        horizontal_line(22, 40),
        horizontal_line(26, 39),
        horizontal_line(30, 39),
        horizontal_line(34, 38),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 62),
        horizontal_line(58, 63),
        horizontal_line(57, 63),
        horizontal_line(57, 63),
        horizontal_line(56, 64),
        horizontal_line(56, 64),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(63, 64),
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(49, 57),
        horizontal_line(46, 62),
        horizontal_line(43, 68),
        horizontal_line(40, 73),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(89, 95),
        horizontal_line(86, 101),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(113, 113),
        horizontal_line(121, 135),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(134, 142),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(171, 202),
        horizontal_line(170, 203),
        horizontal_line(169, 205),
        horizontal_line(169, 207),
        horizontal_line(168, 209),
        horizontal_line(167, 210),
        horizontal_line(166, 212),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(130, 155),
        horizontal_line(137, 156),
        horizontal_line(143, 157),
        horizontal_line(150, 159),
        horizontal_line(156, 160),
    };

    constexpr const horizontal_line frame_1201_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(162, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
    };

    constexpr const shape frame_1201_shape_group_3_shapes[] = {
        shape(frame_1201_shape_group_3_shape_0_horizontal_lines, 54, 8),
        shape(frame_1201_shape_group_3_shape_1_horizontal_lines, 61, 9),
        shape(frame_1201_shape_group_3_shape_2_horizontal_lines, 71, 8),
        shape(frame_1201_shape_group_3_shape_3_horizontal_lines, 79, 1),
        shape(frame_1201_shape_group_3_shape_4_horizontal_lines, 80, 8),
        shape(frame_1201_shape_group_3_shape_5_horizontal_lines, 90, 1),
        shape(frame_1201_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_1201_shape_group_3_shape_7_horizontal_lines, 98, 1),
        shape(frame_1201_shape_group_3_shape_8_horizontal_lines, 104, 8),
        shape(frame_1201_shape_group_3_shape_9_horizontal_lines, 108, 1),
        shape(frame_1201_shape_group_3_shape_10_horizontal_lines, 111, 8),
        shape(frame_1201_shape_group_3_shape_11_horizontal_lines, 113, 1),
        shape(frame_1201_shape_group_3_shape_12_horizontal_lines, 123, 8),
        shape(frame_1201_shape_group_3_shape_13_horizontal_lines, 126, 1),
        shape(frame_1201_shape_group_3_shape_14_horizontal_lines, 133, 8),
        shape(frame_1201_shape_group_3_shape_15_horizontal_lines, 138, 1),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(3, 42),
        horizontal_line(7, 42),
        horizontal_line(11, 41),
        horizontal_line(15, 41),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(38, 38),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(2, 39),
        horizontal_line(4, 40),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(18, 43),
        horizontal_line(25, 44),
        horizontal_line(33, 45),
        horizontal_line(40, 46),
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(50, 55),
        horizontal_line(50, 57),
        horizontal_line(50, 58),
        horizontal_line(50, 59),
        horizontal_line(51, 61),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(51, 61),
        horizontal_line(52, 62),
        horizontal_line(52, 62),
        horizontal_line(52, 62),
        horizontal_line(52, 62),
        horizontal_line(53, 63),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(108, 119),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(114, 114),
        horizontal_line(122, 135),
        horizontal_line(180, 182),
        horizontal_line(124, 134),
        horizontal_line(129, 133),
        horizontal_line(177, 188),
        horizontal_line(177, 189),
        horizontal_line(176, 191),
        horizontal_line(175, 193),
        horizontal_line(174, 195),
        horizontal_line(0, 0),
        horizontal_line(173, 198),
        horizontal_line(172, 200),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(146, 170),
        horizontal_line(147, 169),
        horizontal_line(149, 168),
        horizontal_line(150, 168),
        horizontal_line(151, 167),
        horizontal_line(153, 166),
        horizontal_line(154, 165),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(165, 214),
        horizontal_line(165, 216),
        horizontal_line(164, 217),
        horizontal_line(163, 219),
        horizontal_line(162, 221),
    };

    constexpr const horizontal_line frame_1201_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(225, 226),
        horizontal_line(226, 228),
        horizontal_line(227, 230),
        horizontal_line(228, 231),
        horizontal_line(228, 233),
        horizontal_line(229, 235),
        horizontal_line(230, 237),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1201_shape_group_4_shapes[] = {
        shape(frame_1201_shape_group_4_shape_0_horizontal_lines, 61, 8),
        shape(frame_1201_shape_group_4_shape_1_horizontal_lines, 71, 3),
        shape(frame_1201_shape_group_4_shape_2_horizontal_lines, 76, 8),
        shape(frame_1201_shape_group_4_shape_3_horizontal_lines, 77, 3),
        shape(frame_1201_shape_group_4_shape_4_horizontal_lines, 79, 1),
        shape(frame_1201_shape_group_4_shape_5_horizontal_lines, 80, 3),
        shape(frame_1201_shape_group_4_shape_6_horizontal_lines, 85, 1),
        shape(frame_1201_shape_group_4_shape_7_horizontal_lines, 105, 8),
        shape(frame_1201_shape_group_4_shape_8_horizontal_lines, 106, 1),
        shape(frame_1201_shape_group_4_shape_9_horizontal_lines, 126, 2),
        shape(frame_1201_shape_group_4_shape_10_horizontal_lines, 133, 1),
        shape(frame_1201_shape_group_4_shape_11_horizontal_lines, 139, 1),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(1, 37),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(49, 49),
        horizontal_line(49, 50),
        horizontal_line(49, 51),
        horizontal_line(49, 53),
        horizontal_line(50, 54),
        horizontal_line(126, 148),
        horizontal_line(127, 145),
        horizontal_line(129, 143),
        horizontal_line(131, 140),
        horizontal_line(133, 138),
        horizontal_line(51, 61),
        horizontal_line(51, 61),
        horizontal_line(51, 61),
        horizontal_line(132, 135),
        horizontal_line(130, 135),
        horizontal_line(129, 135),
        horizontal_line(114, 114),
        horizontal_line(113, 116),
        horizontal_line(112, 118),
        horizontal_line(58, 63),
        horizontal_line(0, 11),
        horizontal_line(110, 129),
        horizontal_line(109, 120),
        horizontal_line(122, 124),
        horizontal_line(122, 122),
        horizontal_line(124, 138),
        horizontal_line(110, 116),
        horizontal_line(112, 115),
        horizontal_line(122, 136),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(179, 184),
        horizontal_line(178, 186),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(135, 176),
        horizontal_line(136, 176),
        horizontal_line(137, 175),
        horizontal_line(139, 174),
        horizontal_line(140, 173),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(173, 196),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(143, 172),
        horizontal_line(144, 171),
    };

    constexpr const horizontal_line frame_1201_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(156, 164),
        horizontal_line(157, 164),
        horizontal_line(158, 163),
        horizontal_line(160, 162),
        horizontal_line(161, 161),
    };

    constexpr const shape frame_1201_shape_group_5_shapes[] = {
        shape(frame_1201_shape_group_5_shape_0_horizontal_lines, 67, 3),
        shape(frame_1201_shape_group_5_shape_1_horizontal_lines, 71, 1),
        shape(frame_1201_shape_group_5_shape_2_horizontal_lines, 76, 3),
        shape(frame_1201_shape_group_5_shape_3_horizontal_lines, 77, 1),
        shape(frame_1201_shape_group_5_shape_4_horizontal_lines, 115, 2),
        shape(frame_1201_shape_group_5_shape_5_horizontal_lines, 116, 1),
        shape(frame_1201_shape_group_5_shape_6_horizontal_lines, 118, 2),
        shape(frame_1201_shape_group_5_shape_7_horizontal_lines, 123, 1),
        shape(frame_1201_shape_group_5_shape_8_horizontal_lines, 124, 2),
        shape(frame_1201_shape_group_5_shape_9_horizontal_lines, 133, 2),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(4, 9),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(140, 145),
        horizontal_line(138, 147),
        horizontal_line(137, 149),
        horizontal_line(135, 151),
        horizontal_line(134, 153),
        horizontal_line(133, 155),
        horizontal_line(131, 157),
        horizontal_line(130, 155),
        horizontal_line(128, 153),
        horizontal_line(127, 150),
        horizontal_line(157, 205),
        horizontal_line(157, 205),
        horizontal_line(157, 204),
        horizontal_line(157, 204),
        horizontal_line(156, 204),
        horizontal_line(136, 136),
        horizontal_line(134, 135),
        horizontal_line(133, 135),
        horizontal_line(156, 203),
        horizontal_line(156, 202),
        horizontal_line(156, 202),
        horizontal_line(128, 134),
        horizontal_line(126, 134),
        horizontal_line(125, 134),
        horizontal_line(111, 120),
        horizontal_line(63, 63),
        horizontal_line(132, 141),
        horizontal_line(122, 140),
        horizontal_line(126, 140),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(13, 29),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(124, 138),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(14, 20),
        horizontal_line(14, 17),
        horizontal_line(136, 179),
        horizontal_line(135, 178),
        horizontal_line(134, 177),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(142, 172),
    };

    constexpr const horizontal_line frame_1201_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_1201_shape_group_6_shapes[] = {
        shape(frame_1201_shape_group_6_shape_0_horizontal_lines, 70, 1),
        shape(frame_1201_shape_group_6_shape_1_horizontal_lines, 76, 1),
        shape(frame_1201_shape_group_6_shape_2_horizontal_lines, 79, 2),
        shape(frame_1201_shape_group_6_shape_3_horizontal_lines, 80, 1),
        shape(frame_1201_shape_group_6_shape_4_horizontal_lines, 110, 2),
        shape(frame_1201_shape_group_6_shape_5_horizontal_lines, 111, 1),
        shape(frame_1201_shape_group_6_shape_6_horizontal_lines, 113, 2),
        shape(frame_1201_shape_group_6_shape_7_horizontal_lines, 118, 14),
        shape(frame_1201_shape_group_6_shape_8_horizontal_lines, 123, 2),
        shape(frame_1201_shape_group_6_shape_9_horizontal_lines, 124, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(183, 206),
        horizontal_line(159, 206),
        horizontal_line(157, 206),
        horizontal_line(157, 205),
        horizontal_line(157, 205),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(7, 49),
        horizontal_line(7, 49),
        horizontal_line(8, 49),
        horizontal_line(8, 49),
        horizontal_line(8, 50),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(156, 203),
        horizontal_line(156, 203),
        horizontal_line(156, 203),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(9, 50),
        horizontal_line(10, 51),
        horizontal_line(10, 51),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(157, 202),
        horizontal_line(162, 201),
        horizontal_line(168, 201),
        horizontal_line(124, 134),
        horizontal_line(111, 133),
        horizontal_line(184, 200),
        horizontal_line(190, 200),
        horizontal_line(195, 200),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(13, 33),
        horizontal_line(121, 123),
        horizontal_line(13, 26),
        horizontal_line(14, 23),
        horizontal_line(116, 121),
        horizontal_line(115, 121),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const shape frame_1201_shape_group_7_shapes[] = {
        shape(frame_1201_shape_group_7_shape_0_horizontal_lines, 80, 1),
        shape(frame_1201_shape_group_7_shape_1_horizontal_lines, 90, 2),
        shape(frame_1201_shape_group_7_shape_2_horizontal_lines, 95, 1),
        shape(frame_1201_shape_group_7_shape_3_horizontal_lines, 98, 2),
        shape(frame_1201_shape_group_7_shape_4_horizontal_lines, 101, 1),
        shape(frame_1201_shape_group_7_shape_5_horizontal_lines, 109, 2),
        shape(frame_1201_shape_group_7_shape_6_horizontal_lines, 115, 14),
        shape(frame_1201_shape_group_7_shape_7_horizontal_lines, 123, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(4, 17),
        horizontal_line(4, 24),
        horizontal_line(5, 32),
        horizontal_line(5, 39),
        horizontal_line(5, 47),
    };

    constexpr const horizontal_line frame_1201_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(219, 239),
        horizontal_line(226, 239),
        horizontal_line(232, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(149, 156),
        horizontal_line(146, 156),
        horizontal_line(144, 156),
        horizontal_line(141, 156),
        horizontal_line(139, 155),
    };

    constexpr const horizontal_line frame_1201_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(9, 50),
        horizontal_line(9, 50),
        horizontal_line(9, 50),
        horizontal_line(62, 63),
        horizontal_line(63, 63),
        horizontal_line(63, 64),
        horizontal_line(10, 51),
        horizontal_line(11, 51),
        horizontal_line(11, 52),
    };

    constexpr const horizontal_line frame_1201_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(173, 201),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_1201_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(12, 42),
        horizontal_line(12, 39),
        horizontal_line(12, 36),
        horizontal_line(123, 124),
        horizontal_line(139, 166),
        horizontal_line(120, 123),
        horizontal_line(118, 122),
        horizontal_line(137, 177),
        horizontal_line(136, 180),
    };

    constexpr const shape frame_1201_shape_group_8_shapes[] = {
        shape(frame_1201_shape_group_8_shape_0_horizontal_lines, 80, 2),
        shape(frame_1201_shape_group_8_shape_1_horizontal_lines, 85, 1),
        shape(frame_1201_shape_group_8_shape_2_horizontal_lines, 90, 14),
        shape(frame_1201_shape_group_8_shape_3_horizontal_lines, 95, 2),
        shape(frame_1201_shape_group_8_shape_4_horizontal_lines, 104, 1),
        shape(frame_1201_shape_group_8_shape_5_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(6, 48),
        horizontal_line(6, 48),
        horizontal_line(6, 48),
        horizontal_line(6, 48),
        horizontal_line(7, 49),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(137, 155),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(63, 65),
        horizontal_line(64, 65),
        horizontal_line(11, 48),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(179, 201),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(141, 155),
        horizontal_line(125, 125),
        horizontal_line(140, 162),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(139, 169),
        horizontal_line(138, 173),
    };

    constexpr const horizontal_line frame_1201_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(114, 114),
    };

    constexpr const shape frame_1201_shape_group_9_shapes[] = {
        shape(frame_1201_shape_group_9_shape_0_horizontal_lines, 85, 2),
        shape(frame_1201_shape_group_9_shape_1_horizontal_lines, 90, 14),
        shape(frame_1201_shape_group_9_shape_2_horizontal_lines, 96, 2),
        shape(frame_1201_shape_group_9_shape_3_horizontal_lines, 98, 14),
        shape(frame_1201_shape_group_9_shape_4_horizontal_lines, 101, 2),
        shape(frame_1201_shape_group_9_shape_5_horizontal_lines, 105, 1),
        shape(frame_1201_shape_group_9_shape_6_horizontal_lines, 106, 2),
        shape(frame_1201_shape_group_9_shape_7_horizontal_lines, 110, 14),
        shape(frame_1201_shape_group_9_shape_8_horizontal_lines, 111, 2),
        shape(frame_1201_shape_group_9_shape_9_horizontal_lines, 113, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(207, 212),
        horizontal_line(207, 218),
        horizontal_line(156, 156),
        horizontal_line(154, 156),
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_1201_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(135, 155),
        horizontal_line(135, 149),
        horizontal_line(135, 144),
    };

    constexpr const horizontal_line frame_1201_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(12, 45),
    };

    constexpr const horizontal_line frame_1201_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_1201_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_1201_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(203, 239),
        horizontal_line(117, 119),
        horizontal_line(116, 117),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_1201_shape_group_10_shapes[] = {
        shape(frame_1201_shape_group_10_shape_0_horizontal_lines, 85, 14),
        shape(frame_1201_shape_group_10_shape_1_horizontal_lines, 95, 14),
        shape(frame_1201_shape_group_10_shape_2_horizontal_lines, 104, 2),
        shape(frame_1201_shape_group_10_shape_3_horizontal_lines, 106, 14),
        shape(frame_1201_shape_group_10_shape_4_horizontal_lines, 108, 2),
        shape(frame_1201_shape_group_10_shape_5_horizontal_lines, 109, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(207, 225),
        horizontal_line(206, 231),
        horizontal_line(206, 238),
    };

    constexpr const horizontal_line frame_1201_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(64, 67),
    };

    constexpr const horizontal_line frame_1201_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(120, 121),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_1201_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(207, 239),
    };

    constexpr const shape frame_1201_shape_group_11_shapes[] = {
        shape(frame_1201_shape_group_11_shape_0_horizontal_lines, 87, 14),
        shape(frame_1201_shape_group_11_shape_1_horizontal_lines, 96, 14),
        shape(frame_1201_shape_group_11_shape_2_horizontal_lines, 101, 14),
        shape(frame_1201_shape_group_11_shape_3_horizontal_lines, 104, 2),
        shape(frame_1201_shape_group_11_shape_4_horizontal_lines, 107, 14),
        shape(frame_1201_shape_group_11_shape_5_horizontal_lines, 111, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_1201_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_1201_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const shape frame_1201_shape_group_12_shapes[] = {
        shape(frame_1201_shape_group_12_shape_0_horizontal_lines, 104, 14),
        shape(frame_1201_shape_group_12_shape_1_horizontal_lines, 105, 2),
        shape(frame_1201_shape_group_12_shape_2_horizontal_lines, 108, 14),
    };

    constexpr const horizontal_line frame_1201_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const shape frame_1201_shape_group_13_shapes[] = {
        shape(frame_1201_shape_group_13_shape_0_horizontal_lines, 104, 14),
    };

    constexpr const shape_group frame_1201_shape_groups[] = {
        shape_group(frame_1201_shape_group_0_shapes),
        shape_group(frame_1201_shape_group_1_shapes),
        shape_group(frame_1201_shape_group_2_shapes),
        shape_group(frame_1201_shape_group_3_shapes),
        shape_group(frame_1201_shape_group_4_shapes),
        shape_group(frame_1201_shape_group_5_shapes),
        shape_group(frame_1201_shape_group_6_shapes),
        shape_group(frame_1201_shape_group_7_shapes),
        shape_group(frame_1201_shape_group_8_shapes),
        shape_group(frame_1201_shape_group_9_shapes),
        shape_group(frame_1201_shape_group_10_shapes),
        shape_group(frame_1201_shape_group_11_shapes),
        shape_group(frame_1201_shape_group_12_shapes),
        shape_group(frame_1201_shape_group_13_shapes),
    };

    constexpr const frame frame_1201_impl(frame_1201_colors, frame_1201_shape_groups);
} 

const frame& frame_1201()
{
    return frame_1201_impl;
}

namespace
{
    constexpr const bn::color frame_1202_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1202_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(1, 29),
        horizontal_line(18, 31),
    };

    constexpr const horizontal_line frame_1202_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1202_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(35, 36),
        horizontal_line(36, 40),
        horizontal_line(37, 43),
        horizontal_line(38, 47),
        horizontal_line(39, 50),
        horizontal_line(40, 54),
        horizontal_line(41, 57),
        horizontal_line(42, 61),
        horizontal_line(43, 65),
        horizontal_line(44, 68),
        horizontal_line(45, 72),
        horizontal_line(46, 75),
        horizontal_line(47, 79),
        horizontal_line(48, 82),
        horizontal_line(49, 86),
        horizontal_line(50, 90),
        horizontal_line(51, 93),
        horizontal_line(52, 97),
        horizontal_line(53, 100),
        horizontal_line(54, 104),
        horizontal_line(55, 107),
        horizontal_line(56, 111),
        horizontal_line(57, 115),
        horizontal_line(58, 118),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(43, 67),
        horizontal_line(44, 67),
        horizontal_line(45, 68),
        horizontal_line(46, 68),
        horizontal_line(47, 68),
        horizontal_line(48, 69),
        horizontal_line(49, 69),
        horizontal_line(50, 69),
        horizontal_line(51, 70),
        horizontal_line(51, 70),
        horizontal_line(52, 71),
        horizontal_line(53, 71),
        horizontal_line(54, 71),
        horizontal_line(55, 72),
        horizontal_line(56, 72),
        horizontal_line(57, 72),
        horizontal_line(58, 73),
        horizontal_line(59, 73),
        horizontal_line(60, 74),
        horizontal_line(75, 77),
        horizontal_line(75, 81),
        horizontal_line(75, 86),
        horizontal_line(75, 90),
        horizontal_line(75, 94),
        horizontal_line(75, 99),
        horizontal_line(75, 103),
        horizontal_line(76, 107),
        horizontal_line(76, 112),
        horizontal_line(76, 116),
        horizontal_line(76, 120),
        horizontal_line(76, 125),
        horizontal_line(76, 124),
        horizontal_line(76, 123),
        horizontal_line(77, 122),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(76, 80),
        horizontal_line(76, 85),
        horizontal_line(76, 91),
        horizontal_line(76, 96),
        horizontal_line(76, 101),
        horizontal_line(76, 107),
        horizontal_line(76, 107),
        horizontal_line(78, 106),
        horizontal_line(84, 106),
        horizontal_line(90, 105),
        horizontal_line(95, 104),
        horizontal_line(101, 104),
        horizontal_line(180, 200),
        horizontal_line(183, 196),
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_1202_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
    };

    constexpr const horizontal_line frame_1202_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(1, 7),
        horizontal_line(0, 14),
        horizontal_line(0, 21),
        horizontal_line(0, 28),
        horizontal_line(0, 35),
        horizontal_line(0, 42),
        horizontal_line(0, 49),
        horizontal_line(0, 56),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1202_shape_group_0_shapes[] = {
        shape(frame_1202_shape_group_0_shape_0_horizontal_lines, 4, 4),
        shape(frame_1202_shape_group_0_shape_1_horizontal_lines, 25, 9),
        shape(frame_1202_shape_group_0_shape_2_horizontal_lines, 26, 4),
        shape(frame_1202_shape_group_0_shape_3_horizontal_lines, 119, 8),
        shape(frame_1202_shape_group_0_shape_4_horizontal_lines, 123, 9),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(4, 45),
        horizontal_line(6, 46),
        horizontal_line(8, 47),
        horizontal_line(9, 48),
        horizontal_line(11, 49),
        horizontal_line(13, 50),
        horizontal_line(15, 51),
        horizontal_line(16, 52),
        horizontal_line(18, 53),
        horizontal_line(20, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 56),
        horizontal_line(25, 57),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(122, 125),
        horizontal_line(123, 129),
        horizontal_line(124, 132),
        horizontal_line(125, 136),
        horizontal_line(126, 140),
        horizontal_line(127, 143),
        horizontal_line(128, 147),
        horizontal_line(129, 150),
        horizontal_line(130, 154),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(103, 165),
        horizontal_line(107, 169),
        horizontal_line(111, 173),
        horizontal_line(115, 177),
        horizontal_line(119, 175),
        horizontal_line(123, 170),
        horizontal_line(127, 164),
        horizontal_line(131, 159),
        horizontal_line(135, 154),
        horizontal_line(139, 149),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(38, 58),
        horizontal_line(39, 57),
        horizontal_line(41, 57),
        horizontal_line(42, 56),
        horizontal_line(44, 56),
        horizontal_line(45, 55),
        horizontal_line(47, 55),
        horizontal_line(48, 54),
        horizontal_line(50, 54),
        horizontal_line(51, 53),
        horizontal_line(53, 53),
        horizontal_line(64, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(66, 76),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(81, 121),
        horizontal_line(86, 120),
        horizontal_line(92, 118),
        horizontal_line(97, 117),
        horizontal_line(103, 116),
        horizontal_line(108, 115),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(64, 66),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(154, 162),
        horizontal_line(150, 166),
        horizontal_line(147, 171),
        horizontal_line(150, 175),
        horizontal_line(153, 179),
        horizontal_line(156, 184),
        horizontal_line(159, 188),
        horizontal_line(162, 192),
        horizontal_line(165, 197),
        horizontal_line(168, 201),
        horizontal_line(171, 205),
        horizontal_line(174, 209),
        horizontal_line(177, 204),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(72, 124),
        horizontal_line(69, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(8, 70),
        horizontal_line(15, 77),
        horizontal_line(22, 84),
        horizontal_line(29, 91),
        horizontal_line(36, 98),
        horizontal_line(43, 105),
        horizontal_line(50, 112),
        horizontal_line(57, 119),
    };

    constexpr const horizontal_line frame_1202_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 70),
        horizontal_line(62, 77),
        horizontal_line(62, 84),
        horizontal_line(62, 91),
        horizontal_line(62, 98),
        horizontal_line(62, 105),
        horizontal_line(62, 112),
        horizontal_line(62, 119),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1202_shape_group_1_shapes[] = {
        shape(frame_1202_shape_group_1_shape_0_horizontal_lines, 23, 9),
        shape(frame_1202_shape_group_1_shape_1_horizontal_lines, 26, 9),
        shape(frame_1202_shape_group_1_shape_2_horizontal_lines, 50, 4),
        shape(frame_1202_shape_group_1_shape_3_horizontal_lines, 79, 9),
        shape(frame_1202_shape_group_1_shape_4_horizontal_lines, 94, 4),
        shape(frame_1202_shape_group_1_shape_5_horizontal_lines, 101, 9),
        shape(frame_1202_shape_group_1_shape_6_horizontal_lines, 102, 4),
        shape(frame_1202_shape_group_1_shape_7_horizontal_lines, 116, 8),
        shape(frame_1202_shape_group_1_shape_8_horizontal_lines, 131, 9),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(27, 58),
        horizontal_line(29, 59),
        horizontal_line(30, 60),
        horizontal_line(32, 61),
        horizontal_line(34, 62),
        horizontal_line(36, 63),
        horizontal_line(37, 64),
        horizontal_line(39, 65),
        horizontal_line(41, 66),
        horizontal_line(43, 67),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(133, 157),
        horizontal_line(137, 161),
        horizontal_line(141, 165),
        horizontal_line(145, 168),
        horizontal_line(149, 172),
        horizontal_line(153, 175),
        horizontal_line(157, 179),
        horizontal_line(161, 182),
        horizontal_line(165, 186),
        horizontal_line(169, 190),
        horizontal_line(173, 185),
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(36, 53),
        horizontal_line(36, 54),
        horizontal_line(35, 55),
        horizontal_line(35, 56),
        horizontal_line(35, 57),
        horizontal_line(36, 58),
        horizontal_line(37, 59),
        horizontal_line(60, 74),
        horizontal_line(60, 74),
        horizontal_line(61, 74),
        horizontal_line(61, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(63, 75),
        horizontal_line(63, 75),
        horizontal_line(64, 75),
        horizontal_line(64, 75),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(53, 63),
        horizontal_line(55, 64),
        horizontal_line(56, 64),
        horizontal_line(58, 65),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(64, 65),
        horizontal_line(64, 65),
        horizontal_line(63, 65),
        horizontal_line(63, 66),
        horizontal_line(63, 66),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(47, 60),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(65, 66),
        horizontal_line(65, 66),
        horizontal_line(66, 75),
        horizontal_line(68, 75),
        horizontal_line(68, 75),
        horizontal_line(68, 75),
        horizontal_line(68, 75),
        horizontal_line(68, 75),
        horizontal_line(72, 75),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(34, 77),
        horizontal_line(31, 83),
        horizontal_line(28, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(81, 106),
        horizontal_line(78, 112),
        horizontal_line(75, 118),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(128, 136),
        horizontal_line(126, 137),
        horizontal_line(70, 132),
        horizontal_line(77, 139),
        horizontal_line(84, 141),
        horizontal_line(91, 142),
        horizontal_line(98, 143),
        horizontal_line(105, 144),
        horizontal_line(112, 146),
        horizontal_line(119, 147),
        horizontal_line(64, 126),
        horizontal_line(71, 133),
        horizontal_line(78, 140),
        horizontal_line(85, 147),
        horizontal_line(92, 153),
        horizontal_line(99, 155),
        horizontal_line(106, 156),
        horizontal_line(113, 157),
        horizontal_line(120, 159),
    };

    constexpr const horizontal_line frame_1202_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 133),
        horizontal_line(124, 140),
        horizontal_line(124, 147),
        horizontal_line(124, 154),
        horizontal_line(124, 161),
        horizontal_line(124, 167),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
    };

    constexpr const shape frame_1202_shape_group_2_shapes[] = {
        shape(frame_1202_shape_group_2_shape_0_horizontal_lines, 35, 8),
        shape(frame_1202_shape_group_2_shape_1_horizontal_lines, 50, 9),
        shape(frame_1202_shape_group_2_shape_2_horizontal_lines, 60, 4),
        shape(frame_1202_shape_group_2_shape_3_horizontal_lines, 72, 9),
        shape(frame_1202_shape_group_2_shape_4_horizontal_lines, 90, 8),
        shape(frame_1202_shape_group_2_shape_5_horizontal_lines, 94, 9),
        shape(frame_1202_shape_group_2_shape_6_horizontal_lines, 101, 1),
        shape(frame_1202_shape_group_2_shape_7_horizontal_lines, 102, 9),
        shape(frame_1202_shape_group_2_shape_8_horizontal_lines, 111, 8),
        shape(frame_1202_shape_group_2_shape_9_horizontal_lines, 119, 1),
        shape(frame_1202_shape_group_2_shape_10_horizontal_lines, 121, 8),
        shape(frame_1202_shape_group_2_shape_11_horizontal_lines, 140, 9),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(42, 42),
        horizontal_line(42, 43),
        horizontal_line(41, 44),
        horizontal_line(41, 45),
        horizontal_line(40, 46),
        horizontal_line(40, 47),
        horizontal_line(39, 48),
        horizontal_line(39, 49),
        horizontal_line(38, 50),
        horizontal_line(38, 50),
        horizontal_line(37, 51),
        horizontal_line(37, 52),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(14, 35),
        horizontal_line(19, 35),
        horizontal_line(24, 34),
        horizontal_line(29, 34),
        horizontal_line(34, 34),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(58, 59),
        horizontal_line(40, 40),
        horizontal_line(41, 41),
        horizontal_line(42, 43),
        horizontal_line(44, 44),
        horizontal_line(45, 46),
        horizontal_line(47, 47),
        horizontal_line(48, 49),
        horizontal_line(50, 50),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(45, 52),
        horizontal_line(45, 54),
        horizontal_line(45, 55),
        horizontal_line(46, 57),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(60, 64),
        horizontal_line(60, 64),
        horizontal_line(61, 63),
        horizontal_line(61, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(47, 60),
        horizontal_line(47, 60),
        horizontal_line(114, 115),
        horizontal_line(48, 60),
        horizontal_line(48, 60),
        horizontal_line(48, 61),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(46, 53),
        horizontal_line(43, 59),
        horizontal_line(40, 65),
        horizontal_line(37, 71),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(112, 115),
        horizontal_line(114, 114),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(87, 94),
        horizontal_line(84, 100),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(111, 113),
        horizontal_line(113, 113),
        horizontal_line(0, 0),
        horizontal_line(125, 136),
        horizontal_line(131, 135),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(132, 138),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(184, 199),
        horizontal_line(183, 200),
        horizontal_line(182, 202),
        horizontal_line(182, 204),
        horizontal_line(181, 205),
        horizontal_line(180, 207),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(126, 148),
        horizontal_line(133, 150),
        horizontal_line(140, 151),
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(176, 215),
        horizontal_line(175, 217),
        horizontal_line(175, 219),
        horizontal_line(174, 220),
        horizontal_line(173, 222),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(127, 160),
        horizontal_line(134, 161),
        horizontal_line(141, 162),
        horizontal_line(148, 164),
        horizontal_line(155, 165),
        horizontal_line(162, 166),
    };

    constexpr const horizontal_line frame_1202_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
    };

    constexpr const shape frame_1202_shape_group_3_shapes[] = {
        shape(frame_1202_shape_group_3_shape_0_horizontal_lines, 50, 8),
        shape(frame_1202_shape_group_3_shape_1_horizontal_lines, 60, 9),
        shape(frame_1202_shape_group_3_shape_2_horizontal_lines, 72, 8),
        shape(frame_1202_shape_group_3_shape_3_horizontal_lines, 77, 3),
        shape(frame_1202_shape_group_3_shape_4_horizontal_lines, 79, 8),
        shape(frame_1202_shape_group_3_shape_5_horizontal_lines, 90, 1),
        shape(frame_1202_shape_group_3_shape_6_horizontal_lines, 94, 8),
        shape(frame_1202_shape_group_3_shape_7_horizontal_lines, 99, 1),
        shape(frame_1202_shape_group_3_shape_8_horizontal_lines, 105, 8),
        shape(frame_1202_shape_group_3_shape_9_horizontal_lines, 111, 1),
        shape(frame_1202_shape_group_3_shape_10_horizontal_lines, 114, 8),
        shape(frame_1202_shape_group_3_shape_11_horizontal_lines, 116, 1),
        shape(frame_1202_shape_group_3_shape_12_horizontal_lines, 123, 8),
        shape(frame_1202_shape_group_3_shape_13_horizontal_lines, 125, 1),
        shape(frame_1202_shape_group_3_shape_14_horizontal_lines, 131, 8),
        shape(frame_1202_shape_group_3_shape_15_horizontal_lines, 135, 1),
        shape(frame_1202_shape_group_3_shape_16_horizontal_lines, 140, 8),
        shape(frame_1202_shape_group_3_shape_17_horizontal_lines, 146, 1),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(4, 36),
        horizontal_line(9, 36),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 18),
        horizontal_line(0, 23),
        horizontal_line(0, 28),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(58, 60),
        horizontal_line(57, 60),
        horizontal_line(57, 61),
        horizontal_line(56, 61),
        horizontal_line(56, 61),
        horizontal_line(55, 62),
        horizontal_line(55, 62),
        horizontal_line(54, 63),
        horizontal_line(54, 63),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(127, 151),
        horizontal_line(128, 148),
        horizontal_line(130, 145),
        horizontal_line(132, 142),
        horizontal_line(46, 59),
        horizontal_line(46, 59),
        horizontal_line(46, 59),
        horizontal_line(46, 59),
        horizontal_line(47, 59),
        horizontal_line(130, 136),
        horizontal_line(129, 136),
        horizontal_line(127, 135),
        horizontal_line(113, 117),
        horizontal_line(113, 119),
        horizontal_line(112, 135),
        horizontal_line(48, 61),
        horizontal_line(49, 61),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(110, 116),
        horizontal_line(125, 141),
        horizontal_line(124, 140),
        horizontal_line(123, 140),
        horizontal_line(112, 113),
        horizontal_line(111, 114),
        horizontal_line(121, 138),
        horizontal_line(120, 137),
        horizontal_line(120, 136),
        horizontal_line(189, 189),
        horizontal_line(188, 190),
        horizontal_line(187, 192),
        horizontal_line(186, 194),
        horizontal_line(0, 0),
        horizontal_line(185, 197),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(142, 183),
        horizontal_line(143, 182),
        horizontal_line(144, 181),
        horizontal_line(145, 181),
        horizontal_line(147, 180),
        horizontal_line(148, 179),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(179, 209),
        horizontal_line(178, 210),
        horizontal_line(178, 212),
        horizontal_line(177, 214),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(154, 175),
        horizontal_line(156, 174),
        horizontal_line(157, 174),
        horizontal_line(158, 173),
        horizontal_line(160, 172),
    };

    constexpr const horizontal_line frame_1202_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(172, 224),
        horizontal_line(171, 225),
        horizontal_line(171, 227),
        horizontal_line(170, 229),
        horizontal_line(169, 230),
        horizontal_line(168, 230),
        horizontal_line(230, 234),
        horizontal_line(230, 235),
        horizontal_line(231, 237),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1202_shape_group_4_shapes[] = {
        shape(frame_1202_shape_group_4_shape_0_horizontal_lines, 60, 8),
        shape(frame_1202_shape_group_4_shape_1_horizontal_lines, 72, 3),
        shape(frame_1202_shape_group_4_shape_2_horizontal_lines, 77, 1),
        shape(frame_1202_shape_group_4_shape_3_horizontal_lines, 79, 3),
        shape(frame_1202_shape_group_4_shape_4_horizontal_lines, 81, 8),
        shape(frame_1202_shape_group_4_shape_5_horizontal_lines, 90, 1),
        shape(frame_1202_shape_group_4_shape_6_horizontal_lines, 107, 8),
        shape(frame_1202_shape_group_4_shape_7_horizontal_lines, 110, 1),
        shape(frame_1202_shape_group_4_shape_8_horizontal_lines, 125, 2),
        shape(frame_1202_shape_group_4_shape_9_horizontal_lines, 131, 1),
        shape(frame_1202_shape_group_4_shape_10_horizontal_lines, 135, 2),
        shape(frame_1202_shape_group_4_shape_11_horizontal_lines, 140, 1),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(143, 144),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(14, 40),
        horizontal_line(28, 41),
        horizontal_line(43, 43),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(44, 44),
        horizontal_line(44, 46),
        horizontal_line(44, 47),
        horizontal_line(44, 49),
        horizontal_line(45, 51),
        horizontal_line(159, 216),
        horizontal_line(159, 216),
        horizontal_line(159, 216),
        horizontal_line(159, 216),
        horizontal_line(134, 139),
        horizontal_line(137, 137),
        horizontal_line(135, 136),
        horizontal_line(133, 136),
        horizontal_line(132, 136),
        horizontal_line(158, 214),
        horizontal_line(158, 214),
        horizontal_line(158, 213),
        horizontal_line(126, 135),
        horizontal_line(124, 135),
        horizontal_line(167, 212),
        horizontal_line(111, 135),
        horizontal_line(111, 120),
        horizontal_line(55, 61),
        horizontal_line(62, 62),
        horizontal_line(109, 117),
        horizontal_line(125, 141),
        horizontal_line(198, 210),
        horizontal_line(202, 210),
        horizontal_line(206, 210),
        horizontal_line(122, 139),
        horizontal_line(122, 138),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(1, 12),
        horizontal_line(1, 9),
        horizontal_line(1, 6),
        horizontal_line(1, 3),
        horizontal_line(138, 185),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(185, 195),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(140, 184),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(149, 178),
        horizontal_line(151, 177),
        horizontal_line(152, 177),
        horizontal_line(153, 176),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(161, 171),
        horizontal_line(162, 170),
        horizontal_line(163, 170),
        horizontal_line(165, 169),
        horizontal_line(166, 168),
    };

    constexpr const horizontal_line frame_1202_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(230, 232),
    };

    constexpr const shape frame_1202_shape_group_5_shapes[] = {
        shape(frame_1202_shape_group_5_shape_0_horizontal_lines, 70, 3),
        shape(frame_1202_shape_group_5_shape_1_horizontal_lines, 72, 1),
        shape(frame_1202_shape_group_5_shape_2_horizontal_lines, 79, 1),
        shape(frame_1202_shape_group_5_shape_3_horizontal_lines, 81, 3),
        shape(frame_1202_shape_group_5_shape_4_horizontal_lines, 85, 1),
        shape(frame_1202_shape_group_5_shape_5_horizontal_lines, 116, 2),
        shape(frame_1202_shape_group_5_shape_6_horizontal_lines, 123, 1),
        shape(frame_1202_shape_group_5_shape_7_horizontal_lines, 124, 2),
        shape(frame_1202_shape_group_5_shape_8_horizontal_lines, 125, 14),
        shape(frame_1202_shape_group_5_shape_9_horizontal_lines, 131, 2),
        shape(frame_1202_shape_group_5_shape_10_horizontal_lines, 140, 2),
        shape(frame_1202_shape_group_5_shape_11_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(192, 238),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(140, 148),
        horizontal_line(139, 150),
        horizontal_line(137, 151),
        horizontal_line(136, 153),
        horizontal_line(134, 155),
        horizontal_line(133, 157),
        horizontal_line(131, 159),
        horizontal_line(130, 157),
        horizontal_line(128, 154),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(159, 215),
        horizontal_line(158, 215),
        horizontal_line(158, 215),
        horizontal_line(158, 214),
        horizontal_line(158, 214),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(159, 213),
        horizontal_line(163, 213),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(172, 212),
        horizontal_line(122, 134),
        horizontal_line(110, 119),
        horizontal_line(109, 118),
        horizontal_line(122, 123),
        horizontal_line(193, 211),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
        horizontal_line(119, 119),
        horizontal_line(137, 188),
        horizontal_line(136, 187),
        horizontal_line(137, 186),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(139, 184),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const shape frame_1202_shape_group_6_shapes[] = {
        shape(frame_1202_shape_group_6_shape_0_horizontal_lines, 70, 1),
        shape(frame_1202_shape_group_6_shape_1_horizontal_lines, 79, 1),
        shape(frame_1202_shape_group_6_shape_2_horizontal_lines, 91, 2),
        shape(frame_1202_shape_group_6_shape_3_horizontal_lines, 94, 1),
        shape(frame_1202_shape_group_6_shape_4_horizontal_lines, 99, 2),
        shape(frame_1202_shape_group_6_shape_5_horizontal_lines, 102, 1),
        shape(frame_1202_shape_group_6_shape_6_horizontal_lines, 104, 2),
        shape(frame_1202_shape_group_6_shape_7_horizontal_lines, 105, 1),
        shape(frame_1202_shape_group_6_shape_8_horizontal_lines, 111, 2),
        shape(frame_1202_shape_group_6_shape_9_horizontal_lines, 122, 14),
        shape(frame_1202_shape_group_6_shape_10_horizontal_lines, 123, 2),
        shape(frame_1202_shape_group_6_shape_11_horizontal_lines, 124, 14),
        shape(frame_1202_shape_group_6_shape_12_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(161, 217),
        horizontal_line(159, 217),
        horizontal_line(159, 217),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(146, 158),
        horizontal_line(143, 158),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 63),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(62, 65),
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(137, 144),
        horizontal_line(122, 143),
        horizontal_line(122, 125),
        horizontal_line(126, 142),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(121, 124),
        horizontal_line(119, 123),
        horizontal_line(117, 122),
        horizontal_line(116, 121),
        horizontal_line(115, 121),
        horizontal_line(139, 179),
        horizontal_line(138, 182),
        horizontal_line(137, 185),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const shape frame_1202_shape_group_7_shapes[] = {
        shape(frame_1202_shape_group_7_shape_0_horizontal_lines, 81, 1),
        shape(frame_1202_shape_group_7_shape_1_horizontal_lines, 90, 2),
        shape(frame_1202_shape_group_7_shape_2_horizontal_lines, 91, 14),
        shape(frame_1202_shape_group_7_shape_3_horizontal_lines, 94, 2),
        shape(frame_1202_shape_group_7_shape_4_horizontal_lines, 106, 1),
        shape(frame_1202_shape_group_7_shape_5_horizontal_lines, 110, 2),
        shape(frame_1202_shape_group_7_shape_6_horizontal_lines, 119, 14),
        shape(frame_1202_shape_group_7_shape_7_horizontal_lines, 123, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 27),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(228, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(152, 158),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(140, 158),
        horizontal_line(138, 157),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(137, 157),
        horizontal_line(137, 157),
        horizontal_line(136, 157),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(61, 64),
        horizontal_line(61, 64),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(136, 145),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(176, 212),
        horizontal_line(180, 212),
        horizontal_line(127, 143),
        horizontal_line(189, 211),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(122, 124),
        horizontal_line(142, 164),
        horizontal_line(141, 167),
        horizontal_line(141, 170),
        horizontal_line(140, 173),
        horizontal_line(139, 176),
    };

    constexpr const horizontal_line frame_1202_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_1202_shape_group_8_shapes[] = {
        shape(frame_1202_shape_group_8_shape_0_horizontal_lines, 82, 2),
        shape(frame_1202_shape_group_8_shape_1_horizontal_lines, 87, 1),
        shape(frame_1202_shape_group_8_shape_2_horizontal_lines, 90, 14),
        shape(frame_1202_shape_group_8_shape_3_horizontal_lines, 96, 2),
        shape(frame_1202_shape_group_8_shape_4_horizontal_lines, 99, 14),
        shape(frame_1202_shape_group_8_shape_5_horizontal_lines, 102, 2),
        shape(frame_1202_shape_group_8_shape_6_horizontal_lines, 104, 14),
        shape(frame_1202_shape_group_8_shape_7_horizontal_lines, 105, 2),
        shape(frame_1202_shape_group_8_shape_8_horizontal_lines, 106, 1),
        shape(frame_1202_shape_group_8_shape_9_horizontal_lines, 110, 2),
        shape(frame_1202_shape_group_8_shape_10_horizontal_lines, 116, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1202_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(217, 238),
    };

    constexpr const horizontal_line frame_1202_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(137, 157),
        horizontal_line(137, 157),
        horizontal_line(137, 157),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(136, 157),
        horizontal_line(136, 151),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(0, 48),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1202_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(185, 211),
    };

    constexpr const horizontal_line frame_1202_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(142, 161),
    };

    constexpr const horizontal_line frame_1202_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(116, 120),
        horizontal_line(115, 118),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_1202_shape_group_9_shapes[] = {
        shape(frame_1202_shape_group_9_shape_0_horizontal_lines, 87, 2),
        shape(frame_1202_shape_group_9_shape_1_horizontal_lines, 90, 14),
        shape(frame_1202_shape_group_9_shape_2_horizontal_lines, 94, 14),
        shape(frame_1202_shape_group_9_shape_3_horizontal_lines, 105, 2),
        shape(frame_1202_shape_group_9_shape_4_horizontal_lines, 108, 1),
        shape(frame_1202_shape_group_9_shape_5_horizontal_lines, 109, 2),
        shape(frame_1202_shape_group_9_shape_6_horizontal_lines, 111, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(218, 222),
        horizontal_line(158, 158),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_1202_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_1202_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(0, 42),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1202_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(117, 121),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const shape frame_1202_shape_group_10_shapes[] = {
        shape(frame_1202_shape_group_10_shape_0_horizontal_lines, 87, 14),
        shape(frame_1202_shape_group_10_shape_1_horizontal_lines, 96, 14),
        shape(frame_1202_shape_group_10_shape_2_horizontal_lines, 102, 14),
        shape(frame_1202_shape_group_10_shape_3_horizontal_lines, 105, 14),
        shape(frame_1202_shape_group_10_shape_4_horizontal_lines, 106, 2),
        shape(frame_1202_shape_group_10_shape_5_horizontal_lines, 110, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(218, 227),
        horizontal_line(218, 232),
    };

    constexpr const horizontal_line frame_1202_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1202_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(145, 149),
        horizontal_line(144, 152),
        horizontal_line(63, 66),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_1202_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const shape frame_1202_shape_group_11_shapes[] = {
        shape(frame_1202_shape_group_11_shape_0_horizontal_lines, 88, 14),
        shape(frame_1202_shape_group_11_shape_1_horizontal_lines, 105, 14),
        shape(frame_1202_shape_group_11_shape_2_horizontal_lines, 106, 2),
        shape(frame_1202_shape_group_11_shape_3_horizontal_lines, 110, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1202_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(143, 158),
    };

    constexpr const shape frame_1202_shape_group_12_shapes[] = {
        shape(frame_1202_shape_group_12_shape_0_horizontal_lines, 106, 14),
        shape(frame_1202_shape_group_12_shape_1_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1202_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_1202_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(144, 155),
    };

    constexpr const horizontal_line frame_1202_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(118, 121),
    };

    constexpr const shape frame_1202_shape_group_13_shapes[] = {
        shape(frame_1202_shape_group_13_shape_0_horizontal_lines, 106, 14),
        shape(frame_1202_shape_group_13_shape_1_horizontal_lines, 108, 2),
        shape(frame_1202_shape_group_13_shape_2_horizontal_lines, 109, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(60, 61),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_1202_shape_group_14_shapes[] = {
        shape(frame_1202_shape_group_14_shape_0_horizontal_lines, 107, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(119, 121),
    };

    constexpr const shape frame_1202_shape_group_15_shapes[] = {
        shape(frame_1202_shape_group_15_shape_0_horizontal_lines, 108, 14),
    };

    constexpr const horizontal_line frame_1202_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const shape frame_1202_shape_group_16_shapes[] = {
        shape(frame_1202_shape_group_16_shape_0_horizontal_lines, 108, 14),
    };

    constexpr const shape_group frame_1202_shape_groups[] = {
        shape_group(frame_1202_shape_group_0_shapes),
        shape_group(frame_1202_shape_group_1_shapes),
        shape_group(frame_1202_shape_group_2_shapes),
        shape_group(frame_1202_shape_group_3_shapes),
        shape_group(frame_1202_shape_group_4_shapes),
        shape_group(frame_1202_shape_group_5_shapes),
        shape_group(frame_1202_shape_group_6_shapes),
        shape_group(frame_1202_shape_group_7_shapes),
        shape_group(frame_1202_shape_group_8_shapes),
        shape_group(frame_1202_shape_group_9_shapes),
        shape_group(frame_1202_shape_group_10_shapes),
        shape_group(frame_1202_shape_group_11_shapes),
        shape_group(frame_1202_shape_group_12_shapes),
        shape_group(frame_1202_shape_group_13_shapes),
        shape_group(frame_1202_shape_group_14_shapes),
        shape_group(frame_1202_shape_group_15_shapes),
        shape_group(frame_1202_shape_group_16_shapes),
    };

    constexpr const frame frame_1202_impl(frame_1202_colors, frame_1202_shape_groups);
} 

const frame& frame_1202()
{
    return frame_1202_impl;
}

namespace
{
    constexpr const bn::color frame_1203_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1203_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(1, 16),
        horizontal_line(11, 18),
    };

    constexpr const horizontal_line frame_1203_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1203_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(23, 23),
        horizontal_line(24, 27),
        horizontal_line(25, 30),
        horizontal_line(26, 34),
        horizontal_line(27, 37),
        horizontal_line(28, 41),
        horizontal_line(29, 44),
        horizontal_line(30, 48),
        horizontal_line(31, 51),
        horizontal_line(32, 55),
        horizontal_line(33, 59),
        horizontal_line(34, 62),
        horizontal_line(35, 66),
        horizontal_line(37, 69),
        horizontal_line(38, 73),
        horizontal_line(39, 76),
        horizontal_line(40, 80),
        horizontal_line(41, 83),
        horizontal_line(42, 87),
        horizontal_line(43, 90),
        horizontal_line(44, 94),
        horizontal_line(45, 98),
        horizontal_line(46, 101),
        horizontal_line(47, 105),
        horizontal_line(48, 108),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(39, 64),
        horizontal_line(40, 64),
        horizontal_line(41, 65),
        horizontal_line(42, 65),
        horizontal_line(43, 66),
        horizontal_line(44, 66),
        horizontal_line(45, 67),
        horizontal_line(46, 67),
        horizontal_line(47, 68),
        horizontal_line(48, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 69),
        horizontal_line(51, 69),
        horizontal_line(52, 70),
        horizontal_line(53, 70),
        horizontal_line(54, 71),
        horizontal_line(55, 71),
        horizontal_line(56, 72),
        horizontal_line(57, 72),
        horizontal_line(58, 73),
        horizontal_line(74, 76),
        horizontal_line(74, 81),
        horizontal_line(74, 85),
        horizontal_line(74, 90),
        horizontal_line(74, 94),
        horizontal_line(74, 99),
        horizontal_line(75, 103),
        horizontal_line(75, 108),
        horizontal_line(75, 112),
        horizontal_line(75, 117),
        horizontal_line(75, 121),
        horizontal_line(75, 126),
        horizontal_line(75, 125),
        horizontal_line(76, 124),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(67, 75),
        horizontal_line(67, 75),
        horizontal_line(67, 76),
        horizontal_line(76, 79),
        horizontal_line(76, 84),
        horizontal_line(76, 88),
        horizontal_line(76, 93),
        horizontal_line(76, 97),
        horizontal_line(76, 102),
        horizontal_line(76, 107),
        horizontal_line(76, 107),
        horizontal_line(76, 106),
        horizontal_line(80, 105),
        horizontal_line(86, 105),
        horizontal_line(91, 104),
        horizontal_line(97, 103),
        horizontal_line(103, 103),
        horizontal_line(178, 217),
        horizontal_line(181, 221),
        horizontal_line(184, 217),
        horizontal_line(186, 214),
        horizontal_line(189, 211),
        horizontal_line(192, 208),
        horizontal_line(195, 205),
        horizontal_line(198, 202),
    };

    constexpr const horizontal_line frame_1203_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1203_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 8),
        horizontal_line(0, 16),
        horizontal_line(0, 25),
        horizontal_line(0, 33),
        horizontal_line(0, 41),
        horizontal_line(0, 50),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1203_shape_group_0_shapes[] = {
        shape(frame_1203_shape_group_0_shape_0_horizontal_lines, 6, 4),
        shape(frame_1203_shape_group_0_shape_1_horizontal_lines, 18, 9),
        shape(frame_1203_shape_group_0_shape_2_horizontal_lines, 19, 4),
        shape(frame_1203_shape_group_0_shape_3_horizontal_lines, 125, 8),
        shape(frame_1203_shape_group_0_shape_4_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(1, 42),
        horizontal_line(2, 43),
        horizontal_line(4, 44),
        horizontal_line(6, 45),
        horizontal_line(8, 46),
        horizontal_line(10, 47),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(113, 115),
        horizontal_line(114, 119),
        horizontal_line(115, 122),
        horizontal_line(116, 126),
        horizontal_line(117, 130),
        horizontal_line(118, 133),
        horizontal_line(119, 137),
        horizontal_line(120, 140),
        horizontal_line(121, 144),
        horizontal_line(122, 147),
        horizontal_line(123, 151),
        horizontal_line(124, 154),
        horizontal_line(125, 158),
        horizontal_line(127, 161),
        horizontal_line(68, 130),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(88, 150),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(101, 163),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(113, 175),
        horizontal_line(117, 179),
        horizontal_line(122, 183),
        horizontal_line(126, 177),
        horizontal_line(130, 171),
        horizontal_line(134, 165),
        horizontal_line(138, 159),
        horizontal_line(142, 153),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(33, 56),
        horizontal_line(34, 56),
        horizontal_line(36, 55),
        horizontal_line(38, 55),
        horizontal_line(40, 54),
        horizontal_line(41, 54),
        horizontal_line(43, 54),
        horizontal_line(45, 53),
        horizontal_line(46, 53),
        horizontal_line(48, 52),
        horizontal_line(50, 52),
        horizontal_line(52, 52),
        horizontal_line(64, 74),
        horizontal_line(64, 75),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(79, 123),
        horizontal_line(84, 121),
        horizontal_line(89, 120),
        horizontal_line(94, 119),
        horizontal_line(99, 117),
        horizontal_line(104, 116),
        horizontal_line(109, 115),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(63, 66),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(158, 165),
        horizontal_line(155, 169),
        horizontal_line(152, 173),
        horizontal_line(150, 177),
        horizontal_line(152, 181),
        horizontal_line(155, 185),
        horizontal_line(158, 189),
        horizontal_line(161, 193),
        horizontal_line(164, 197),
        horizontal_line(167, 201),
        horizontal_line(169, 205),
        horizontal_line(172, 209),
        horizontal_line(175, 213),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(103, 108),
        horizontal_line(109, 114),
        horizontal_line(115, 121),
        horizontal_line(121, 125),
        horizontal_line(127, 129),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(17, 79),
        horizontal_line(26, 88),
        horizontal_line(34, 96),
        horizontal_line(42, 104),
        horizontal_line(51, 113),
        horizontal_line(59, 121),
    };

    constexpr const horizontal_line frame_1203_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 75),
        horizontal_line(62, 83),
        horizontal_line(62, 91),
        horizontal_line(62, 100),
        horizontal_line(62, 108),
        horizontal_line(62, 116),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1203_shape_group_1_shapes[] = {
        shape(frame_1203_shape_group_1_shape_0_horizontal_lines, 16, 9),
        shape(frame_1203_shape_group_1_shape_1_horizontal_lines, 19, 9),
        shape(frame_1203_shape_group_1_shape_2_horizontal_lines, 44, 4),
        shape(frame_1203_shape_group_1_shape_3_horizontal_lines, 79, 9),
        shape(frame_1203_shape_group_1_shape_4_horizontal_lines, 93, 4),
        shape(frame_1203_shape_group_1_shape_5_horizontal_lines, 101, 9),
        shape(frame_1203_shape_group_1_shape_6_horizontal_lines, 103, 4),
        shape(frame_1203_shape_group_1_shape_7_horizontal_lines, 117, 9),
        shape(frame_1203_shape_group_1_shape_8_horizontal_lines, 123, 8),
        shape(frame_1203_shape_group_1_shape_9_horizontal_lines, 142, 9),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(12, 48),
        horizontal_line(14, 50),
        horizontal_line(16, 51),
        horizontal_line(18, 52),
        horizontal_line(20, 53),
        horizontal_line(21, 54),
        horizontal_line(23, 55),
        horizontal_line(25, 56),
        horizontal_line(27, 57),
        horizontal_line(29, 58),
        horizontal_line(31, 59),
        horizontal_line(33, 60),
        horizontal_line(35, 61),
        horizontal_line(37, 62),
        horizontal_line(39, 64),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(130, 165),
        horizontal_line(134, 169),
        horizontal_line(138, 172),
        horizontal_line(142, 176),
        horizontal_line(146, 179),
        horizontal_line(150, 183),
        horizontal_line(155, 186),
        horizontal_line(159, 190),
        horizontal_line(163, 193),
        horizontal_line(167, 197),
        horizontal_line(171, 201),
        horizontal_line(175, 195),
        horizontal_line(179, 189),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(31, 51),
        horizontal_line(30, 52),
        horizontal_line(30, 53),
        horizontal_line(29, 54),
        horizontal_line(29, 55),
        horizontal_line(30, 56),
        horizontal_line(31, 57),
        horizontal_line(58, 73),
        horizontal_line(58, 73),
        horizontal_line(59, 73),
        horizontal_line(59, 73),
        horizontal_line(60, 73),
        horizontal_line(60, 73),
        horizontal_line(61, 74),
        horizontal_line(61, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(63, 74),
        horizontal_line(63, 74),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(51, 63),
        horizontal_line(53, 63),
        horizontal_line(55, 64),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(63, 64),
        horizontal_line(63, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(61, 66),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(43, 58),
        horizontal_line(43, 58),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(63, 75),
        horizontal_line(64, 66),
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(68, 75),
        horizontal_line(50, 51),
        horizontal_line(56, 59),
        horizontal_line(62, 66),
        horizontal_line(68, 75),
        horizontal_line(74, 78),
        horizontal_line(80, 84),
        horizontal_line(86, 90),
        horizontal_line(92, 96),
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(125, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(63, 125),
        horizontal_line(71, 133),
        horizontal_line(79, 141),
        horizontal_line(88, 150),
        horizontal_line(96, 155),
        horizontal_line(104, 156),
        horizontal_line(113, 157),
        horizontal_line(121, 158),
        horizontal_line(67, 129),
        horizontal_line(76, 138),
        horizontal_line(84, 146),
        horizontal_line(92, 154),
        horizontal_line(101, 163),
        horizontal_line(109, 165),
        horizontal_line(117, 166),
    };

    constexpr const horizontal_line frame_1203_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 133),
        horizontal_line(124, 141),
        horizontal_line(124, 150),
        horizontal_line(124, 158),
        horizontal_line(124, 166),
        horizontal_line(124, 174),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
    };

    constexpr const shape frame_1203_shape_group_2_shapes[] = {
        shape(frame_1203_shape_group_2_shape_0_horizontal_lines, 38, 8),
        shape(frame_1203_shape_group_2_shape_1_horizontal_lines, 44, 9),
        shape(frame_1203_shape_group_2_shape_2_horizontal_lines, 59, 4),
        shape(frame_1203_shape_group_2_shape_3_horizontal_lines, 72, 9),
        shape(frame_1203_shape_group_2_shape_4_horizontal_lines, 91, 8),
        shape(frame_1203_shape_group_2_shape_5_horizontal_lines, 94, 9),
        shape(frame_1203_shape_group_2_shape_6_horizontal_lines, 101, 1),
        shape(frame_1203_shape_group_2_shape_7_horizontal_lines, 103, 9),
        shape(frame_1203_shape_group_2_shape_8_horizontal_lines, 117, 8),
        shape(frame_1203_shape_group_2_shape_9_horizontal_lines, 149, 9),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(38, 38),
        horizontal_line(37, 39),
        horizontal_line(37, 40),
        horizontal_line(36, 41),
        horizontal_line(36, 42),
        horizontal_line(35, 43),
        horizontal_line(35, 44),
        horizontal_line(34, 45),
        horizontal_line(34, 46),
        horizontal_line(33, 47),
        horizontal_line(32, 48),
        horizontal_line(32, 49),
        horizontal_line(31, 50),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(5, 30),
        horizontal_line(11, 29),
        horizontal_line(16, 29),
        horizontal_line(22, 28),
        horizontal_line(28, 28),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(32, 32),
        horizontal_line(33, 33),
        horizontal_line(34, 35),
        horizontal_line(35, 37),
        horizontal_line(36, 39),
        horizontal_line(37, 40),
        horizontal_line(39, 42),
        horizontal_line(41, 44),
        horizontal_line(43, 45),
        horizontal_line(45, 47),
        horizontal_line(47, 49),
        horizontal_line(49, 51),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(40, 50),
        horizontal_line(40, 52),
        horizontal_line(41, 54),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(58, 63),
        horizontal_line(58, 63),
        horizontal_line(59, 62),
        horizontal_line(59, 62),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(43, 58),
        horizontal_line(114, 115),
        horizontal_line(113, 118),
        horizontal_line(43, 58),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(68, 75),
        horizontal_line(68, 75),
        horizontal_line(68, 75),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(65, 67),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(68, 75),
        horizontal_line(68, 75),
        horizontal_line(68, 75),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(35, 67),
        horizontal_line(32, 73),
        horizontal_line(30, 79),
        horizontal_line(27, 85),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(82, 102),
        horizontal_line(80, 108),
        horizontal_line(77, 114),
        horizontal_line(75, 120),
        horizontal_line(72, 126),
        horizontal_line(70, 132),
        horizontal_line(129, 138),
        horizontal_line(127, 139),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(200, 200),
        horizontal_line(199, 201),
        horizontal_line(198, 203),
        horizontal_line(197, 204),
        horizontal_line(196, 206),
        horizontal_line(195, 207),
        horizontal_line(195, 209),
        horizontal_line(194, 210),
        horizontal_line(193, 212),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(125, 150),
        horizontal_line(133, 151),
        horizontal_line(141, 153),
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(189, 220),
        horizontal_line(188, 221),
        horizontal_line(187, 223),
        horizontal_line(186, 224),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(129, 159),
        horizontal_line(138, 161),
        horizontal_line(146, 162),
        horizontal_line(154, 163),
        horizontal_line(163, 164),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(181, 234),
        horizontal_line(180, 235),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(126, 168),
        horizontal_line(134, 169),
        horizontal_line(142, 170),
        horizontal_line(151, 171),
        horizontal_line(159, 172),
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_1203_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
    };

    constexpr const shape frame_1203_shape_group_3_shapes[] = {
        shape(frame_1203_shape_group_3_shape_0_horizontal_lines, 44, 8),
        shape(frame_1203_shape_group_3_shape_1_horizontal_lines, 59, 9),
        shape(frame_1203_shape_group_3_shape_2_horizontal_lines, 72, 8),
        shape(frame_1203_shape_group_3_shape_3_horizontal_lines, 77, 1),
        shape(frame_1203_shape_group_3_shape_4_horizontal_lines, 79, 8),
        shape(frame_1203_shape_group_3_shape_5_horizontal_lines, 91, 1),
        shape(frame_1203_shape_group_3_shape_6_horizontal_lines, 94, 8),
        shape(frame_1203_shape_group_3_shape_7_horizontal_lines, 100, 1),
        shape(frame_1203_shape_group_3_shape_8_horizontal_lines, 104, 9),
        shape(frame_1203_shape_group_3_shape_9_horizontal_lines, 107, 8),
        shape(frame_1203_shape_group_3_shape_10_horizontal_lines, 108, 9),
        shape(frame_1203_shape_group_3_shape_11_horizontal_lines, 111, 8),
        shape(frame_1203_shape_group_3_shape_12_horizontal_lines, 125, 1),
        shape(frame_1203_shape_group_3_shape_13_horizontal_lines, 134, 8),
        shape(frame_1203_shape_group_3_shape_14_horizontal_lines, 138, 1),
        shape(frame_1203_shape_group_3_shape_15_horizontal_lines, 142, 8),
        shape(frame_1203_shape_group_3_shape_16_horizontal_lines, 147, 1),
        shape(frame_1203_shape_group_3_shape_17_horizontal_lines, 149, 8),
        shape(frame_1203_shape_group_3_shape_18_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(56, 58),
        horizontal_line(56, 58),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(55, 60),
        horizontal_line(54, 60),
        horizontal_line(54, 61),
        horizontal_line(53, 61),
        horizontal_line(53, 62),
        horizontal_line(53, 62),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(129, 151),
        horizontal_line(131, 147),
        horizontal_line(133, 144),
        horizontal_line(41, 57),
        horizontal_line(41, 57),
        horizontal_line(42, 57),
        horizontal_line(42, 57),
        horizontal_line(42, 57),
        horizontal_line(42, 58),
        horizontal_line(130, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(113, 120),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(66, 67),
        horizontal_line(66, 67),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(45, 59),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(42, 49),
        horizontal_line(40, 55),
        horizontal_line(37, 61),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(112, 116),
        horizontal_line(115, 115),
        horizontal_line(114, 114),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(87, 91),
        horizontal_line(85, 96),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(110, 113),
        horizontal_line(121, 140),
        horizontal_line(122, 139),
        horizontal_line(126, 139),
        horizontal_line(130, 138),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(142, 198),
        horizontal_line(143, 197),
        horizontal_line(144, 196),
        horizontal_line(145, 195),
        horizontal_line(147, 194),
        horizontal_line(148, 194),
        horizontal_line(149, 193),
        horizontal_line(150, 192),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(192, 214),
        horizontal_line(191, 215),
        horizontal_line(190, 217),
        horizontal_line(190, 218),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(156, 188),
        horizontal_line(157, 187),
        horizontal_line(158, 186),
        horizontal_line(159, 185),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(185, 226),
        horizontal_line(185, 228),
        horizontal_line(184, 229),
        horizontal_line(183, 231),
        horizontal_line(182, 232),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(166, 180),
        horizontal_line(167, 179),
    };

    constexpr const horizontal_line frame_1203_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(180, 237),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1203_shape_group_4_shapes[] = {
        shape(frame_1203_shape_group_4_shape_0_horizontal_lines, 59, 8),
        shape(frame_1203_shape_group_4_shape_1_horizontal_lines, 72, 1),
        shape(frame_1203_shape_group_4_shape_2_horizontal_lines, 77, 3),
        shape(frame_1203_shape_group_4_shape_3_horizontal_lines, 79, 8),
        shape(frame_1203_shape_group_4_shape_4_horizontal_lines, 91, 1),
        shape(frame_1203_shape_group_4_shape_5_horizontal_lines, 104, 8),
        shape(frame_1203_shape_group_4_shape_6_horizontal_lines, 107, 1),
        shape(frame_1203_shape_group_4_shape_7_horizontal_lines, 108, 8),
        shape(frame_1203_shape_group_4_shape_8_horizontal_lines, 111, 1),
        shape(frame_1203_shape_group_4_shape_9_horizontal_lines, 115, 8),
        shape(frame_1203_shape_group_4_shape_10_horizontal_lines, 117, 1),
        shape(frame_1203_shape_group_4_shape_11_horizontal_lines, 122, 8),
        shape(frame_1203_shape_group_4_shape_12_horizontal_lines, 123, 2),
        shape(frame_1203_shape_group_4_shape_13_horizontal_lines, 134, 1),
        shape(frame_1203_shape_group_4_shape_14_horizontal_lines, 138, 2),
        shape(frame_1203_shape_group_4_shape_15_horizontal_lines, 142, 1),
        shape(frame_1203_shape_group_4_shape_16_horizontal_lines, 147, 2),
        shape(frame_1203_shape_group_4_shape_17_horizontal_lines, 149, 1),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(202, 202),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 10),
        horizontal_line(0, 15),
        horizontal_line(0, 21),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(146, 147),
        horizontal_line(144, 149),
        horizontal_line(143, 151),
        horizontal_line(141, 153),
        horizontal_line(139, 155),
        horizontal_line(138, 157),
        horizontal_line(136, 159),
        horizontal_line(39, 40),
        horizontal_line(39, 42),
        horizontal_line(39, 44),
        horizontal_line(40, 46),
        horizontal_line(40, 48),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(135, 141),
        horizontal_line(138, 138),
        horizontal_line(136, 137),
        horizontal_line(134, 137),
        horizontal_line(133, 137),
        horizontal_line(131, 137),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(125, 137),
        horizontal_line(44, 59),
        horizontal_line(44, 59),
        horizontal_line(44, 59),
        horizontal_line(110, 120),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(66, 67),
        horizontal_line(66, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(126, 145),
        horizontal_line(125, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(112, 114),
        horizontal_line(111, 113),
        horizontal_line(122, 141),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(139, 194),
        horizontal_line(140, 197),
        horizontal_line(141, 199),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(151, 191),
        horizontal_line(152, 190),
        horizontal_line(154, 189),
        horizontal_line(155, 189),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(160, 184),
        horizontal_line(162, 184),
        horizontal_line(163, 183),
        horizontal_line(164, 182),
        horizontal_line(165, 181),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(169, 179),
        horizontal_line(170, 178),
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_1203_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_1203_shape_group_5_shapes[] = {
        shape(frame_1203_shape_group_5_shape_0_horizontal_lines, 69, 1),
        shape(frame_1203_shape_group_5_shape_1_horizontal_lines, 72, 3),
        shape(frame_1203_shape_group_5_shape_2_horizontal_lines, 79, 1),
        shape(frame_1203_shape_group_5_shape_3_horizontal_lines, 108, 8),
        shape(frame_1203_shape_group_5_shape_4_horizontal_lines, 111, 1),
        shape(frame_1203_shape_group_5_shape_5_horizontal_lines, 118, 2),
        shape(frame_1203_shape_group_5_shape_6_horizontal_lines, 122, 1),
        shape(frame_1203_shape_group_5_shape_7_horizontal_lines, 123, 2),
        shape(frame_1203_shape_group_5_shape_8_horizontal_lines, 134, 2),
        shape(frame_1203_shape_group_5_shape_9_horizontal_lines, 142, 2),
        shape(frame_1203_shape_group_5_shape_10_horizontal_lines, 149, 2),
        shape(frame_1203_shape_group_5_shape_11_horizontal_lines, 152, 1),
    };

    constexpr const horizontal_line frame_1203_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(134, 161),
        horizontal_line(133, 163),
        horizontal_line(131, 160),
        horizontal_line(129, 157),
        horizontal_line(128, 154),
        horizontal_line(225, 231),
        horizontal_line(225, 230),
        horizontal_line(224, 230),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(223, 228),
        horizontal_line(223, 227),
        horizontal_line(223, 227),
        horizontal_line(162, 224),
        horizontal_line(112, 137),
        horizontal_line(111, 137),
        horizontal_line(111, 121),
        horizontal_line(123, 131),
        horizontal_line(52, 59),
        horizontal_line(60, 60),
        horizontal_line(110, 117),
        horizontal_line(194, 224),
        horizontal_line(198, 224),
        horizontal_line(202, 223),
        horizontal_line(206, 223),
        horizontal_line(123, 142),
        horizontal_line(122, 141),
        horizontal_line(218, 222),
    };

    constexpr const horizontal_line frame_1203_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(140, 183),
        horizontal_line(140, 185),
        horizontal_line(139, 188),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1203_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(172, 176),
        horizontal_line(173, 175),
        horizontal_line(174, 174),
    };

    constexpr const shape frame_1203_shape_group_6_shapes[] = {
        shape(frame_1203_shape_group_6_shape_0_horizontal_lines, 79, 1),
        shape(frame_1203_shape_group_6_shape_1_horizontal_lines, 118, 2),
        shape(frame_1203_shape_group_6_shape_2_horizontal_lines, 123, 14),
        shape(frame_1203_shape_group_6_shape_3_horizontal_lines, 152, 2),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(19, 36),
        horizontal_line(38, 38),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(224, 230),
        horizontal_line(224, 229),
        horizontal_line(224, 229),
        horizontal_line(224, 229),
        horizontal_line(223, 228),
        horizontal_line(223, 228),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(224, 227),
        horizontal_line(166, 226),
        horizontal_line(170, 226),
        horizontal_line(123, 136),
        horizontal_line(178, 225),
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(210, 223),
        horizontal_line(214, 222),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(141, 180),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(138, 191),
    };

    constexpr const shape frame_1203_shape_group_7_shapes[] = {
        shape(frame_1203_shape_group_7_shape_0_horizontal_lines, 79, 3),
        shape(frame_1203_shape_group_7_shape_1_horizontal_lines, 86, 1),
        shape(frame_1203_shape_group_7_shape_2_horizontal_lines, 91, 2),
        shape(frame_1203_shape_group_7_shape_3_horizontal_lines, 94, 1),
        shape(frame_1203_shape_group_7_shape_4_horizontal_lines, 100, 2),
        shape(frame_1203_shape_group_7_shape_5_horizontal_lines, 103, 1),
        shape(frame_1203_shape_group_7_shape_6_horizontal_lines, 111, 2),
        shape(frame_1203_shape_group_7_shape_7_horizontal_lines, 115, 1),
        shape(frame_1203_shape_group_7_shape_8_horizontal_lines, 117, 2),
        shape(frame_1203_shape_group_7_shape_9_horizontal_lines, 119, 14),
        shape(frame_1203_shape_group_7_shape_10_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(239, 239),
        horizontal_line(225, 231),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(152, 162),
        horizontal_line(148, 162),
        horizontal_line(145, 161),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(59, 60),
        horizontal_line(59, 61),
        horizontal_line(59, 62),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(174, 226),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(109, 119),
        horizontal_line(109, 118),
        horizontal_line(126, 145),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(120, 124),
        horizontal_line(118, 123),
        horizontal_line(116, 123),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(114, 121),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const shape frame_1203_shape_group_8_shapes[] = {
        shape(frame_1203_shape_group_8_shape_0_horizontal_lines, 84, 2),
        shape(frame_1203_shape_group_8_shape_1_horizontal_lines, 88, 1),
        shape(frame_1203_shape_group_8_shape_2_horizontal_lines, 91, 14),
        shape(frame_1203_shape_group_8_shape_3_horizontal_lines, 94, 2),
        shape(frame_1203_shape_group_8_shape_4_horizontal_lines, 106, 1),
        shape(frame_1203_shape_group_8_shape_5_horizontal_lines, 107, 2),
        shape(frame_1203_shape_group_8_shape_6_horizontal_lines, 108, 1),
        shape(frame_1203_shape_group_8_shape_7_horizontal_lines, 111, 2),
        shape(frame_1203_shape_group_8_shape_8_horizontal_lines, 118, 14),
        shape(frame_1203_shape_group_8_shape_9_horizontal_lines, 122, 14),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(225, 231),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(142, 161),
        horizontal_line(139, 161),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 58),
        horizontal_line(58, 59),
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(138, 160),
        horizontal_line(138, 160),
        horizontal_line(138, 160),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(59, 62),
        horizontal_line(60, 63),
        horizontal_line(60, 64),
        horizontal_line(0, 43),
        horizontal_line(60, 64),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(123, 147),
        horizontal_line(123, 125),
        horizontal_line(190, 224),
    };

    constexpr const horizontal_line frame_1203_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(146, 160),
        horizontal_line(145, 163),
        horizontal_line(144, 166),
        horizontal_line(144, 168),
        horizontal_line(115, 122),
        horizontal_line(114, 121),
        horizontal_line(142, 177),
    };

    constexpr const shape frame_1203_shape_group_9_shapes[] = {
        shape(frame_1203_shape_group_9_shape_0_horizontal_lines, 88, 2),
        shape(frame_1203_shape_group_9_shape_1_horizontal_lines, 89, 1),
        shape(frame_1203_shape_group_9_shape_2_horizontal_lines, 90, 2),
        shape(frame_1203_shape_group_9_shape_3_horizontal_lines, 91, 14),
        shape(frame_1203_shape_group_9_shape_4_horizontal_lines, 96, 2),
        shape(frame_1203_shape_group_9_shape_5_horizontal_lines, 100, 14),
        shape(frame_1203_shape_group_9_shape_6_horizontal_lines, 103, 2),
        shape(frame_1203_shape_group_9_shape_7_horizontal_lines, 108, 1),
        shape(frame_1203_shape_group_9_shape_8_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(161, 162),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(155, 162),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(138, 161),
        horizontal_line(138, 161),
        horizontal_line(138, 160),
        horizontal_line(138, 160),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(138, 160),
        horizontal_line(138, 152),
        horizontal_line(138, 144),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(60, 64),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(182, 225),
        horizontal_line(127, 146),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(117, 121),
        horizontal_line(79, 79),
        horizontal_line(85, 85),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(143, 171),
        horizontal_line(142, 174),
    };

    constexpr const horizontal_line frame_1203_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const shape frame_1203_shape_group_10_shapes[] = {
        shape(frame_1203_shape_group_10_shape_0_horizontal_lines, 88, 14),
        shape(frame_1203_shape_group_10_shape_1_horizontal_lines, 89, 2),
        shape(frame_1203_shape_group_10_shape_2_horizontal_lines, 90, 14),
        shape(frame_1203_shape_group_10_shape_3_horizontal_lines, 94, 14),
        shape(frame_1203_shape_group_10_shape_4_horizontal_lines, 106, 2),
        shape(frame_1203_shape_group_10_shape_5_horizontal_lines, 108, 1),
        shape(frame_1203_shape_group_10_shape_6_horizontal_lines, 110, 2),
        shape(frame_1203_shape_group_10_shape_7_horizontal_lines, 111, 14),
        shape(frame_1203_shape_group_10_shape_8_horizontal_lines, 115, 2),
        shape(frame_1203_shape_group_10_shape_9_horizontal_lines, 117, 14),
    };

    constexpr const horizontal_line frame_1203_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(158, 162),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(122, 122),
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_1203_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1203_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(186, 225),
    };

    constexpr const horizontal_line frame_1203_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_1203_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(116, 119),
        horizontal_line(115, 117),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
    };

    constexpr const shape frame_1203_shape_group_11_shapes[] = {
        shape(frame_1203_shape_group_11_shape_0_horizontal_lines, 89, 14),
        shape(frame_1203_shape_group_11_shape_1_horizontal_lines, 96, 14),
        shape(frame_1203_shape_group_11_shape_2_horizontal_lines, 103, 14),
        shape(frame_1203_shape_group_11_shape_3_horizontal_lines, 108, 2),
        shape(frame_1203_shape_group_11_shape_4_horizontal_lines, 109, 1),
        shape(frame_1203_shape_group_11_shape_5_horizontal_lines, 110, 2),
        shape(frame_1203_shape_group_11_shape_6_horizontal_lines, 111, 14),
    };

    constexpr const horizontal_line frame_1203_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(232, 238),
    };

    constexpr const horizontal_line frame_1203_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(60, 64),
        horizontal_line(0, 39),
        horizontal_line(146, 157),
    };

    constexpr const horizontal_line frame_1203_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_1203_shape_group_12_shapes[] = {
        shape(frame_1203_shape_group_12_shape_0_horizontal_lines, 89, 14),
        shape(frame_1203_shape_group_12_shape_1_horizontal_lines, 106, 14),
        shape(frame_1203_shape_group_12_shape_2_horizontal_lines, 108, 2),
        shape(frame_1203_shape_group_12_shape_3_horizontal_lines, 112, 14),
    };

    constexpr const horizontal_line frame_1203_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(148, 151),
        horizontal_line(61, 64),
    };

    constexpr const horizontal_line frame_1203_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(118, 122),
    };

    constexpr const shape frame_1203_shape_group_13_shapes[] = {
        shape(frame_1203_shape_group_13_shape_0_horizontal_lines, 108, 2),
        shape(frame_1203_shape_group_13_shape_1_horizontal_lines, 110, 14),
    };

    constexpr const horizontal_line frame_1203_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_1203_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_1203_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const shape frame_1203_shape_group_14_shapes[] = {
        shape(frame_1203_shape_group_14_shape_0_horizontal_lines, 108, 14),
        shape(frame_1203_shape_group_14_shape_1_horizontal_lines, 109, 2),
        shape(frame_1203_shape_group_14_shape_2_horizontal_lines, 110, 14),
    };

    constexpr const horizontal_line frame_1203_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1203_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(147, 154),
    };

    constexpr const shape frame_1203_shape_group_15_shapes[] = {
        shape(frame_1203_shape_group_15_shape_0_horizontal_lines, 108, 14),
        shape(frame_1203_shape_group_15_shape_1_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1203_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(119, 122),
    };

    constexpr const shape frame_1203_shape_group_16_shapes[] = {
        shape(frame_1203_shape_group_16_shape_0_horizontal_lines, 109, 14),
    };

    constexpr const horizontal_line frame_1203_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const shape frame_1203_shape_group_17_shapes[] = {
        shape(frame_1203_shape_group_17_shape_0_horizontal_lines, 109, 14),
    };

    constexpr const shape_group frame_1203_shape_groups[] = {
        shape_group(frame_1203_shape_group_0_shapes),
        shape_group(frame_1203_shape_group_1_shapes),
        shape_group(frame_1203_shape_group_2_shapes),
        shape_group(frame_1203_shape_group_3_shapes),
        shape_group(frame_1203_shape_group_4_shapes),
        shape_group(frame_1203_shape_group_5_shapes),
        shape_group(frame_1203_shape_group_6_shapes),
        shape_group(frame_1203_shape_group_7_shapes),
        shape_group(frame_1203_shape_group_8_shapes),
        shape_group(frame_1203_shape_group_9_shapes),
        shape_group(frame_1203_shape_group_10_shapes),
        shape_group(frame_1203_shape_group_11_shapes),
        shape_group(frame_1203_shape_group_12_shapes),
        shape_group(frame_1203_shape_group_13_shapes),
        shape_group(frame_1203_shape_group_14_shapes),
        shape_group(frame_1203_shape_group_15_shapes),
        shape_group(frame_1203_shape_group_16_shapes),
        shape_group(frame_1203_shape_group_17_shapes),
    };

    constexpr const frame frame_1203_impl(frame_1203_colors, frame_1203_shape_groups);
} 

const frame& frame_1203()
{
    return frame_1203_impl;
}

namespace
{
    constexpr const bn::color frame_1204_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1204_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(2, 45),
        horizontal_line(4, 46),
        horizontal_line(6, 47),
        horizontal_line(9, 49),
        horizontal_line(11, 50),
        horizontal_line(13, 51),
        horizontal_line(16, 52),
        horizontal_line(18, 53),
        horizontal_line(20, 55),
        horizontal_line(22, 56),
        horizontal_line(25, 57),
        horizontal_line(27, 58),
        horizontal_line(29, 59),
        horizontal_line(32, 61),
        horizontal_line(32, 33),
        horizontal_line(32, 34),
        horizontal_line(31, 35),
        horizontal_line(31, 36),
        horizontal_line(30, 37),
        horizontal_line(30, 38),
        horizontal_line(29, 39),
        horizontal_line(29, 40),
        horizontal_line(28, 41),
        horizontal_line(28, 42),
        horizontal_line(27, 43),
        horizontal_line(27, 44),
        horizontal_line(26, 45),
        horizontal_line(26, 46),
        horizontal_line(25, 47),
        horizontal_line(25, 48),
        horizontal_line(24, 49),
        horizontal_line(24, 50),
        horizontal_line(23, 51),
        horizontal_line(23, 52),
        horizontal_line(24, 53),
        horizontal_line(25, 54),
        horizontal_line(27, 53),
        horizontal_line(29, 53),
        horizontal_line(31, 52),
        horizontal_line(33, 52),
        horizontal_line(35, 51),
        horizontal_line(37, 51),
        horizontal_line(39, 51),
        horizontal_line(41, 50),
        horizontal_line(43, 50),
        horizontal_line(45, 49),
        horizontal_line(47, 49),
        horizontal_line(49, 49),
        horizontal_line(63, 74),
        horizontal_line(64, 75),
        horizontal_line(63, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(61, 64),
        horizontal_line(61, 64),
        horizontal_line(60, 64),
        horizontal_line(60, 64),
        horizontal_line(60, 65),
        horizontal_line(60, 65),
        horizontal_line(61, 65),
        horizontal_line(62, 74),
        horizontal_line(63, 65),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
        horizontal_line(45, 63),
        horizontal_line(51, 69),
        horizontal_line(58, 75),
        horizontal_line(64, 81),
        horizontal_line(70, 87),
        horizontal_line(77, 92),
        horizontal_line(83, 98),
        horizontal_line(90, 104),
        horizontal_line(96, 110),
        horizontal_line(102, 116),
        horizontal_line(109, 122),
        horizontal_line(115, 125),
        horizontal_line(121, 129),
        horizontal_line(128, 132),
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_1204_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(195, 232),
        horizontal_line(198, 229),
        horizontal_line(200, 226),
        horizontal_line(203, 223),
        horizontal_line(205, 220),
        horizontal_line(208, 217),
        horizontal_line(210, 214),
    };

    constexpr const horizontal_line frame_1204_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1204_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 17),
        horizontal_line(0, 26),
        horizontal_line(0, 35),
        horizontal_line(0, 44),
        horizontal_line(0, 53),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1204_shape_group_0_shapes[] = {
        shape(frame_1204_shape_group_0_shape_0_horizontal_lines, 6, 9),
        shape(frame_1204_shape_group_0_shape_1_horizontal_lines, 126, 4),
        shape(frame_1204_shape_group_0_shape_2_horizontal_lines, 133, 8),
        shape(frame_1204_shape_group_0_shape_3_horizontal_lines, 149, 9),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(5, 5),
        horizontal_line(6, 8),
        horizontal_line(7, 12),
        horizontal_line(8, 15),
        horizontal_line(9, 19),
        horizontal_line(11, 22),
        horizontal_line(12, 26),
        horizontal_line(13, 29),
        horizontal_line(14, 32),
        horizontal_line(15, 36),
        horizontal_line(17, 39),
        horizontal_line(18, 43),
        horizontal_line(19, 46),
        horizontal_line(20, 50),
        horizontal_line(21, 53),
        horizontal_line(22, 56),
        horizontal_line(24, 60),
        horizontal_line(25, 63),
        horizontal_line(26, 67),
        horizontal_line(27, 70),
        horizontal_line(28, 74),
        horizontal_line(30, 77),
        horizontal_line(31, 81),
        horizontal_line(32, 84),
        horizontal_line(33, 87),
        horizontal_line(34, 91),
        horizontal_line(35, 94),
        horizontal_line(37, 98),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
        horizontal_line(34, 61),
        horizontal_line(35, 62),
        horizontal_line(36, 62),
        horizontal_line(37, 63),
        horizontal_line(38, 63),
        horizontal_line(39, 64),
        horizontal_line(40, 64),
        horizontal_line(41, 65),
        horizontal_line(42, 65),
        horizontal_line(43, 66),
        horizontal_line(44, 66),
        horizontal_line(45, 67),
        horizontal_line(46, 67),
        horizontal_line(47, 68),
        horizontal_line(48, 68),
        horizontal_line(49, 69),
        horizontal_line(50, 69),
        horizontal_line(51, 70),
        horizontal_line(52, 70),
        horizontal_line(53, 71),
        horizontal_line(54, 71),
        horizontal_line(55, 72),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(55, 72),
        horizontal_line(56, 72),
        horizontal_line(56, 72),
        horizontal_line(57, 72),
        horizontal_line(58, 73),
        horizontal_line(58, 73),
        horizontal_line(59, 73),
        horizontal_line(60, 73),
        horizontal_line(60, 73),
        horizontal_line(61, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(75, 126),
        horizontal_line(76, 125),
        horizontal_line(64, 75),
        horizontal_line(64, 75),
        horizontal_line(64, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(75, 79),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(67, 74),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(75, 101),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 106),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(67, 74),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(70, 73),
        horizontal_line(85, 104),
        horizontal_line(91, 104),
        horizontal_line(97, 103),
        horizontal_line(103, 103),
        horizontal_line(173, 208),
        horizontal_line(175, 211),
        horizontal_line(178, 215),
        horizontal_line(180, 219),
        horizontal_line(183, 222),
        horizontal_line(185, 226),
        horizontal_line(188, 229),
        horizontal_line(190, 233),
        horizontal_line(193, 236),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(9, 71),
        horizontal_line(18, 80),
        horizontal_line(27, 89),
        horizontal_line(36, 98),
        horizontal_line(45, 107),
        horizontal_line(54, 116),
    };

    constexpr const horizontal_line frame_1204_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 71),
        horizontal_line(62, 80),
        horizontal_line(62, 89),
        horizontal_line(62, 99),
    };

    constexpr const shape frame_1204_shape_group_1_shapes[] = {
        shape(frame_1204_shape_group_1_shape_0_horizontal_lines, 8, 4),
        shape(frame_1204_shape_group_1_shape_1_horizontal_lines, 79, 9),
        shape(frame_1204_shape_group_1_shape_2_horizontal_lines, 91, 4),
        shape(frame_1204_shape_group_1_shape_3_horizontal_lines, 104, 9),
        shape(frame_1204_shape_group_1_shape_4_horizontal_lines, 107, 4),
        shape(frame_1204_shape_group_1_shape_5_horizontal_lines, 111, 9),
        shape(frame_1204_shape_group_1_shape_6_horizontal_lines, 112, 4),
        shape(frame_1204_shape_group_1_shape_7_horizontal_lines, 126, 8),
        shape(frame_1204_shape_group_1_shape_8_horizontal_lines, 155, 9),
    };

    constexpr const horizontal_line frame_1204_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(100, 101),
        horizontal_line(101, 105),
        horizontal_line(102, 108),
        horizontal_line(103, 111),
        horizontal_line(105, 115),
        horizontal_line(106, 118),
        horizontal_line(107, 122),
        horizontal_line(108, 125),
        horizontal_line(109, 129),
        horizontal_line(110, 132),
        horizontal_line(112, 135),
        horizontal_line(113, 139),
        horizontal_line(114, 142),
        horizontal_line(115, 146),
        horizontal_line(116, 149),
        horizontal_line(118, 153),
        horizontal_line(119, 156),
        horizontal_line(120, 160),
        horizontal_line(121, 163),
        horizontal_line(122, 166),
        horizontal_line(124, 170),
        horizontal_line(65, 127),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(101, 163),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(113, 175),
        horizontal_line(117, 179),
        horizontal_line(121, 183),
        horizontal_line(125, 187),
        horizontal_line(129, 186),
        horizontal_line(133, 179),
        horizontal_line(137, 172),
        horizontal_line(141, 164),
        horizontal_line(145, 157),
        horizontal_line(150, 150),
        horizontal_line(73, 75),
        horizontal_line(73, 80),
        horizontal_line(73, 85),
        horizontal_line(73, 89),
        horizontal_line(74, 94),
        horizontal_line(74, 99),
        horizontal_line(74, 103),
        horizontal_line(74, 108),
        horizontal_line(74, 113),
        horizontal_line(75, 117),
        horizontal_line(75, 122),
        horizontal_line(75, 127),
    };

    constexpr const horizontal_line frame_1204_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(46, 62),
        horizontal_line(49, 63),
    };

    constexpr const horizontal_line frame_1204_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(80, 124),
        horizontal_line(85, 122),
        horizontal_line(90, 121),
        horizontal_line(95, 120),
        horizontal_line(100, 118),
        horizontal_line(105, 117),
        horizontal_line(110, 116),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_1204_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(37, 56),
        horizontal_line(37, 56),
        horizontal_line(37, 56),
    };

    constexpr const horizontal_line frame_1204_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(75, 85),
        horizontal_line(75, 90),
        horizontal_line(75, 96),
        horizontal_line(158, 172),
        horizontal_line(155, 175),
        horizontal_line(153, 179),
        horizontal_line(155, 183),
        horizontal_line(75, 106),
        horizontal_line(79, 105),
        horizontal_line(163, 193),
        horizontal_line(165, 197),
        horizontal_line(168, 201),
        horizontal_line(170, 204),
    };

    constexpr const horizontal_line frame_1204_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(23, 82),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(71, 133),
        horizontal_line(80, 142),
        horizontal_line(89, 151),
        horizontal_line(98, 160),
        horizontal_line(107, 168),
        horizontal_line(116, 169),
        horizontal_line(63, 125),
        horizontal_line(72, 134),
        horizontal_line(81, 143),
        horizontal_line(90, 152),
        horizontal_line(100, 162),
    };

    constexpr const shape frame_1204_shape_group_2_shapes[] = {
        shape(frame_1204_shape_group_2_shape_0_horizontal_lines, 36, 4),
        shape(frame_1204_shape_group_2_shape_1_horizontal_lines, 91, 8),
        shape(frame_1204_shape_group_2_shape_2_horizontal_lines, 93, 4),
        shape(frame_1204_shape_group_2_shape_3_horizontal_lines, 101, 1),
        shape(frame_1204_shape_group_2_shape_4_horizontal_lines, 104, 4),
        shape(frame_1204_shape_group_2_shape_5_horizontal_lines, 117, 8),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(127, 173),
        horizontal_line(131, 177),
        horizontal_line(135, 180),
        horizontal_line(139, 184),
        horizontal_line(143, 187),
        horizontal_line(147, 190),
        horizontal_line(151, 194),
        horizontal_line(155, 197),
        horizontal_line(159, 201),
        horizontal_line(163, 204),
        horizontal_line(167, 208),
        horizontal_line(171, 211),
        horizontal_line(175, 215),
        horizontal_line(179, 208),
        horizontal_line(183, 201),
        horizontal_line(187, 194),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(7, 23),
        horizontal_line(14, 22),
        horizontal_line(22, 22),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(26, 26),
        horizontal_line(27, 28),
        horizontal_line(29, 30),
        horizontal_line(30, 32),
        horizontal_line(31, 34),
        horizontal_line(32, 36),
        horizontal_line(33, 38),
        horizontal_line(35, 40),
        horizontal_line(37, 42),
        horizontal_line(39, 44),
        horizontal_line(42, 46),
        horizontal_line(44, 48),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(35, 45),
        horizontal_line(36, 48),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(51, 62),
        horizontal_line(53, 61),
        horizontal_line(56, 61),
        horizontal_line(56, 60),
        horizontal_line(57, 60),
        horizontal_line(58, 59),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(37, 56),
        horizontal_line(115, 116),
        horizontal_line(114, 119),
        horizontal_line(113, 121),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(161, 168),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(65, 66),
        horizontal_line(65, 66),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(158, 186),
        horizontal_line(160, 190),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(32, 57),
        horizontal_line(30, 63),
        horizontal_line(27, 69),
        horizontal_line(25, 76),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(103, 104),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(83, 89),
        horizontal_line(80, 95),
        horizontal_line(78, 101),
        horizontal_line(76, 108),
        horizontal_line(74, 114),
        horizontal_line(71, 120),
        horizontal_line(69, 127),
        horizontal_line(67, 129),
        horizontal_line(127, 140),
        horizontal_line(125, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(212, 212),
        horizontal_line(211, 213),
        horizontal_line(210, 215),
        horizontal_line(209, 216),
        horizontal_line(208, 218),
        horizontal_line(207, 219),
        horizontal_line(207, 221),
        horizontal_line(206, 223),
        horizontal_line(205, 224),
        horizontal_line(204, 226),
        horizontal_line(203, 227),
        horizontal_line(203, 229),
        horizontal_line(202, 231),
        horizontal_line(201, 232),
        horizontal_line(200, 234),
        horizontal_line(199, 235),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(133, 164),
        horizontal_line(142, 165),
        horizontal_line(151, 166),
        horizontal_line(160, 167),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(125, 170),
        horizontal_line(134, 171),
        horizontal_line(143, 172),
        horizontal_line(152, 173),
        horizontal_line(162, 175),
    };

    constexpr const shape frame_1204_shape_group_3_shapes[] = {
        shape(frame_1204_shape_group_3_shape_0_horizontal_lines, 43, 8),
        shape(frame_1204_shape_group_3_shape_1_horizontal_lines, 57, 4),
        shape(frame_1204_shape_group_3_shape_2_horizontal_lines, 73, 8),
        shape(frame_1204_shape_group_3_shape_3_horizontal_lines, 77, 1),
        shape(frame_1204_shape_group_3_shape_4_horizontal_lines, 79, 8),
        shape(frame_1204_shape_group_3_shape_5_horizontal_lines, 91, 1),
        shape(frame_1204_shape_group_3_shape_6_horizontal_lines, 93, 8),
        shape(frame_1204_shape_group_3_shape_7_horizontal_lines, 100, 1),
        shape(frame_1204_shape_group_3_shape_8_horizontal_lines, 104, 8),
        shape(frame_1204_shape_group_3_shape_9_horizontal_lines, 105, 4),
        shape(frame_1204_shape_group_3_shape_10_horizontal_lines, 107, 8),
        shape(frame_1204_shape_group_3_shape_11_horizontal_lines, 111, 4),
        shape(frame_1204_shape_group_3_shape_12_horizontal_lines, 113, 8),
        shape(frame_1204_shape_group_3_shape_13_horizontal_lines, 117, 1),
        shape(frame_1204_shape_group_3_shape_14_horizontal_lines, 118, 8),
        shape(frame_1204_shape_group_3_shape_15_horizontal_lines, 133, 1),
        shape(frame_1204_shape_group_3_shape_16_horizontal_lines, 149, 8),
        shape(frame_1204_shape_group_3_shape_17_horizontal_lines, 153, 1),
        shape(frame_1204_shape_group_3_shape_18_horizontal_lines, 155, 8),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(51, 59),
        horizontal_line(51, 59),
        horizontal_line(50, 60),
        horizontal_line(50, 61),
        horizontal_line(50, 61),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(130, 156),
        horizontal_line(132, 152),
        horizontal_line(36, 50),
        horizontal_line(36, 52),
        horizontal_line(36, 55),
        horizontal_line(36, 55),
        horizontal_line(36, 55),
        horizontal_line(37, 55),
        horizontal_line(37, 55),
        horizontal_line(131, 139),
        horizontal_line(130, 138),
        horizontal_line(128, 138),
        horizontal_line(126, 138),
        horizontal_line(38, 56),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(65, 66),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(38, 57),
        horizontal_line(38, 57),
        horizontal_line(38, 57),
        horizontal_line(39, 58),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(36, 44),
        horizontal_line(34, 50),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(113, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 113),
        horizontal_line(111, 113),
        horizontal_line(105, 106),
        horizontal_line(111, 111),
        horizontal_line(122, 143),
        horizontal_line(123, 142),
        horizontal_line(126, 141),
        horizontal_line(130, 141),
        horizontal_line(133, 140),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(143, 199),
        horizontal_line(144, 202),
        horizontal_line(145, 204),
        horizontal_line(146, 207),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 210),
        horizontal_line(150, 209),
        horizontal_line(151, 208),
        horizontal_line(152, 207),
        horizontal_line(153, 206),
        horizontal_line(154, 206),
        horizontal_line(155, 205),
        horizontal_line(156, 204),
        horizontal_line(157, 203),
        horizontal_line(159, 202),
        horizontal_line(160, 202),
        horizontal_line(161, 201),
        horizontal_line(162, 200),
        horizontal_line(163, 199),
        horizontal_line(164, 198),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(199, 237),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(169, 194),
        horizontal_line(170, 194),
    };

    constexpr const horizontal_line frame_1204_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const shape frame_1204_shape_group_4_shapes[] = {
        shape(frame_1204_shape_group_4_shape_0_horizontal_lines, 57, 8),
        shape(frame_1204_shape_group_4_shape_1_horizontal_lines, 73, 1),
        shape(frame_1204_shape_group_4_shape_2_horizontal_lines, 77, 3),
        shape(frame_1204_shape_group_4_shape_3_horizontal_lines, 79, 8),
        shape(frame_1204_shape_group_4_shape_4_horizontal_lines, 91, 1),
        shape(frame_1204_shape_group_4_shape_5_horizontal_lines, 105, 8),
        shape(frame_1204_shape_group_4_shape_6_horizontal_lines, 107, 1),
        shape(frame_1204_shape_group_4_shape_7_horizontal_lines, 111, 8),
        shape(frame_1204_shape_group_4_shape_8_horizontal_lines, 113, 1),
        shape(frame_1204_shape_group_4_shape_9_horizontal_lines, 125, 8),
        shape(frame_1204_shape_group_4_shape_10_horizontal_lines, 126, 2),
        shape(frame_1204_shape_group_4_shape_11_horizontal_lines, 149, 1),
        shape(frame_1204_shape_group_4_shape_12_horizontal_lines, 153, 2),
        shape(frame_1204_shape_group_4_shape_13_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(216, 216),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 13),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(149, 150),
        horizontal_line(147, 152),
        horizontal_line(145, 154),
        horizontal_line(143, 156),
        horizontal_line(141, 158),
        horizontal_line(140, 159),
        horizontal_line(138, 161),
        horizontal_line(136, 163),
        horizontal_line(35, 36),
        horizontal_line(35, 38),
        horizontal_line(35, 41),
        horizontal_line(35, 43),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(135, 148),
        horizontal_line(137, 144),
        horizontal_line(140, 140),
        horizontal_line(138, 139),
        horizontal_line(136, 139),
        horizontal_line(135, 139),
        horizontal_line(133, 139),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(112, 138),
        horizontal_line(38, 57),
        horizontal_line(38, 57),
        horizontal_line(109, 121),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(111, 117),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(126, 148),
        horizontal_line(126, 147),
        horizontal_line(125, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 145),
        horizontal_line(110, 112),
        horizontal_line(123, 143),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 238),
        horizontal_line(234, 237),
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(141, 194),
        horizontal_line(142, 197),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(209, 209),
        horizontal_line(210, 211),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(165, 198),
        horizontal_line(166, 197),
        horizontal_line(167, 196),
        horizontal_line(168, 195),
    };

    constexpr const horizontal_line frame_1204_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(171, 193),
        horizontal_line(172, 192),
        horizontal_line(173, 191),
        horizontal_line(174, 190),
        horizontal_line(176, 190),
    };

    constexpr const shape frame_1204_shape_group_5_shapes[] = {
        shape(frame_1204_shape_group_5_shape_0_horizontal_lines, 69, 1),
        shape(frame_1204_shape_group_5_shape_1_horizontal_lines, 74, 3),
        shape(frame_1204_shape_group_5_shape_2_horizontal_lines, 79, 1),
        shape(frame_1204_shape_group_5_shape_3_horizontal_lines, 111, 8),
        shape(frame_1204_shape_group_5_shape_4_horizontal_lines, 112, 1),
        shape(frame_1204_shape_group_5_shape_5_horizontal_lines, 126, 2),
        shape(frame_1204_shape_group_5_shape_6_horizontal_lines, 132, 2),
        shape(frame_1204_shape_group_5_shape_7_horizontal_lines, 149, 2),
        shape(frame_1204_shape_group_5_shape_8_horizontal_lines, 155, 2),
    };

    constexpr const horizontal_line frame_1204_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1204_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(134, 165),
        horizontal_line(132, 167),
        horizontal_line(130, 164),
        horizontal_line(129, 160),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(165, 227),
        horizontal_line(111, 138),
        horizontal_line(110, 122),
        horizontal_line(124, 134),
        horizontal_line(109, 120),
        horizontal_line(109, 118),
        horizontal_line(123, 125),
        horizontal_line(65, 65),
        horizontal_line(127, 148),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(123, 144),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
    };

    constexpr const shape frame_1204_shape_group_6_shapes[] = {
        shape(frame_1204_shape_group_6_shape_0_horizontal_lines, 79, 1),
        shape(frame_1204_shape_group_6_shape_1_horizontal_lines, 85, 3),
        shape(frame_1204_shape_group_6_shape_2_horizontal_lines, 87, 1),
        shape(frame_1204_shape_group_6_shape_3_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(167, 202),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(166, 228),
        horizontal_line(124, 137),
        horizontal_line(173, 235),
        horizontal_line(124, 131),
        horizontal_line(123, 151),
        horizontal_line(128, 150),
        horizontal_line(113, 116),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(117, 121),
        horizontal_line(143, 182),
        horizontal_line(142, 184),
        horizontal_line(142, 187),
        horizontal_line(141, 189),
        horizontal_line(140, 192),
    };

    constexpr const shape frame_1204_shape_group_7_shapes[] = {
        shape(frame_1204_shape_group_7_shape_0_horizontal_lines, 79, 3),
        shape(frame_1204_shape_group_7_shape_1_horizontal_lines, 87, 2),
        shape(frame_1204_shape_group_7_shape_2_horizontal_lines, 89, 1),
        shape(frame_1204_shape_group_7_shape_3_horizontal_lines, 91, 2),
        shape(frame_1204_shape_group_7_shape_4_horizontal_lines, 93, 1),
        shape(frame_1204_shape_group_7_shape_5_horizontal_lines, 100, 2),
        shape(frame_1204_shape_group_7_shape_6_horizontal_lines, 104, 1),
        shape(frame_1204_shape_group_7_shape_7_horizontal_lines, 113, 2),
        shape(frame_1204_shape_group_7_shape_8_horizontal_lines, 118, 1),
        shape(frame_1204_shape_group_7_shape_9_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1204_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1204_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(229, 238),
    };

    constexpr const horizontal_line frame_1204_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(157, 166),
        horizontal_line(153, 166),
    };

    constexpr const horizontal_line frame_1204_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(57, 59),
        horizontal_line(57, 59),
        horizontal_line(57, 60),
        horizontal_line(57, 61),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1204_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(169, 231),
        horizontal_line(235, 239),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(127, 149),
    };

    constexpr const horizontal_line frame_1204_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(118, 125),
        horizontal_line(116, 125),
        horizontal_line(115, 124),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(0, 20),
        horizontal_line(112, 122),
        horizontal_line(144, 179),
    };

    constexpr const horizontal_line frame_1204_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_1204_shape_group_8_shapes[] = {
        shape(frame_1204_shape_group_8_shape_0_horizontal_lines, 89, 2),
        shape(frame_1204_shape_group_8_shape_1_horizontal_lines, 90, 1),
        shape(frame_1204_shape_group_8_shape_2_horizontal_lines, 91, 14),
        shape(frame_1204_shape_group_8_shape_3_horizontal_lines, 93, 2),
        shape(frame_1204_shape_group_8_shape_4_horizontal_lines, 105, 1),
        shape(frame_1204_shape_group_8_shape_5_horizontal_lines, 112, 2),
        shape(frame_1204_shape_group_8_shape_6_horizontal_lines, 123, 14),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(149, 166),
        horizontal_line(145, 165),
        horizontal_line(141, 165),
        horizontal_line(140, 165),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(56, 57),
        horizontal_line(56, 58),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(140, 164),
        horizontal_line(139, 164),
        horizontal_line(139, 164),
        horizontal_line(139, 164),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(57, 62),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_1204_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(149, 162),
        horizontal_line(148, 164),
        horizontal_line(147, 167),
        horizontal_line(147, 169),
        horizontal_line(146, 172),
        horizontal_line(113, 122),
        horizontal_line(144, 177),
    };

    constexpr const shape frame_1204_shape_group_9_shapes[] = {
        shape(frame_1204_shape_group_9_shape_0_horizontal_lines, 89, 14),
        shape(frame_1204_shape_group_9_shape_1_horizontal_lines, 90, 2),
        shape(frame_1204_shape_group_9_shape_2_horizontal_lines, 93, 14),
        shape(frame_1204_shape_group_9_shape_3_horizontal_lines, 97, 2),
        shape(frame_1204_shape_group_9_shape_4_horizontal_lines, 100, 14),
        shape(frame_1204_shape_group_9_shape_5_horizontal_lines, 104, 2),
        shape(frame_1204_shape_group_9_shape_6_horizontal_lines, 106, 1),
        shape(frame_1204_shape_group_9_shape_7_horizontal_lines, 107, 2),
        shape(frame_1204_shape_group_9_shape_8_horizontal_lines, 108, 1),
        shape(frame_1204_shape_group_9_shape_9_horizontal_lines, 109, 2),
        shape(frame_1204_shape_group_9_shape_10_horizontal_lines, 111, 1),
        shape(frame_1204_shape_group_9_shape_11_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1204_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(161, 166),
    };

    constexpr const horizontal_line frame_1204_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(140, 165),
        horizontal_line(140, 165),
        horizontal_line(140, 165),
    };

    constexpr const horizontal_line frame_1204_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(139, 164),
    };

    constexpr const horizontal_line frame_1204_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(58, 63),
        horizontal_line(0, 37),
        horizontal_line(58, 63),
        horizontal_line(0, 37),
        horizontal_line(58, 63),
        horizontal_line(59, 64),
        horizontal_line(0, 35),
        horizontal_line(149, 159),
    };

    constexpr const horizontal_line frame_1204_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(115, 117),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_1204_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(145, 174),
    };

    constexpr const shape frame_1204_shape_group_10_shapes[] = {
        shape(frame_1204_shape_group_10_shape_0_horizontal_lines, 90, 14),
        shape(frame_1204_shape_group_10_shape_1_horizontal_lines, 97, 14),
        shape(frame_1204_shape_group_10_shape_2_horizontal_lines, 104, 14),
        shape(frame_1204_shape_group_10_shape_3_horizontal_lines, 105, 2),
        shape(frame_1204_shape_group_10_shape_4_horizontal_lines, 113, 14),
        shape(frame_1204_shape_group_10_shape_5_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1204_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(139, 164),
    };

    constexpr const horizontal_line frame_1204_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(58, 63),
    };

    constexpr const horizontal_line frame_1204_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_1204_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(58, 63),
        horizontal_line(152, 152),
        horizontal_line(126, 127),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1204_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(116, 120),
    };

    constexpr const shape frame_1204_shape_group_11_shapes[] = {
        shape(frame_1204_shape_group_11_shape_0_horizontal_lines, 105, 14),
        shape(frame_1204_shape_group_11_shape_1_horizontal_lines, 106, 2),
        shape(frame_1204_shape_group_11_shape_2_horizontal_lines, 107, 14),
        shape(frame_1204_shape_group_11_shape_3_horizontal_lines, 108, 2),
        shape(frame_1204_shape_group_11_shape_4_horizontal_lines, 112, 14),
    };

    constexpr const horizontal_line frame_1204_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_1204_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_1204_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(151, 154),
        horizontal_line(123, 126),
    };

    constexpr const shape frame_1204_shape_group_12_shapes[] = {
        shape(frame_1204_shape_group_12_shape_0_horizontal_lines, 106, 14),
        shape(frame_1204_shape_group_12_shape_1_horizontal_lines, 108, 14),
        shape(frame_1204_shape_group_12_shape_2_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1204_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_1204_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(150, 157),
    };

    constexpr const shape frame_1204_shape_group_13_shapes[] = {
        shape(frame_1204_shape_group_13_shape_0_horizontal_lines, 110, 14),
        shape(frame_1204_shape_group_13_shape_1_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1204_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(117, 122),
    };

    constexpr const shape frame_1204_shape_group_14_shapes[] = {
        shape(frame_1204_shape_group_14_shape_0_horizontal_lines, 111, 14),
    };

    constexpr const shape_group frame_1204_shape_groups[] = {
        shape_group(frame_1204_shape_group_0_shapes),
        shape_group(frame_1204_shape_group_1_shapes),
        shape_group(frame_1204_shape_group_2_shapes),
        shape_group(frame_1204_shape_group_3_shapes),
        shape_group(frame_1204_shape_group_4_shapes),
        shape_group(frame_1204_shape_group_5_shapes),
        shape_group(frame_1204_shape_group_6_shapes),
        shape_group(frame_1204_shape_group_7_shapes),
        shape_group(frame_1204_shape_group_8_shapes),
        shape_group(frame_1204_shape_group_9_shapes),
        shape_group(frame_1204_shape_group_10_shapes),
        shape_group(frame_1204_shape_group_11_shapes),
        shape_group(frame_1204_shape_group_12_shapes),
        shape_group(frame_1204_shape_group_13_shapes),
        shape_group(frame_1204_shape_group_14_shapes),
    };

    constexpr const frame frame_1204_impl(frame_1204_colors, frame_1204_shape_groups);
} 

const frame& frame_1204()
{
    return frame_1204_impl;
}

namespace
{
    constexpr const bn::color frame_1205_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1205_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(1, 37),
        horizontal_line(2, 40),
        horizontal_line(3, 44),
        horizontal_line(4, 47),
        horizontal_line(6, 50),
        horizontal_line(7, 54),
        horizontal_line(8, 57),
        horizontal_line(10, 60),
        horizontal_line(11, 64),
        horizontal_line(12, 67),
        horizontal_line(13, 70),
        horizontal_line(15, 74),
        horizontal_line(16, 77),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(27, 57),
        horizontal_line(28, 58),
        horizontal_line(29, 58),
        horizontal_line(30, 59),
        horizontal_line(31, 59),
        horizontal_line(33, 60),
        horizontal_line(34, 60),
        horizontal_line(35, 61),
        horizontal_line(36, 62),
        horizontal_line(37, 62),
        horizontal_line(38, 63),
        horizontal_line(40, 63),
        horizontal_line(41, 64),
        horizontal_line(42, 64),
        horizontal_line(43, 65),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 69),
        horizontal_line(53, 70),
        horizontal_line(71, 73),
        horizontal_line(71, 78),
        horizontal_line(71, 83),
        horizontal_line(72, 88),
        horizontal_line(72, 93),
        horizontal_line(72, 98),
        horizontal_line(73, 102),
        horizontal_line(73, 107),
        horizontal_line(73, 112),
        horizontal_line(73, 117),
        horizontal_line(74, 122),
        horizontal_line(74, 127),
        horizontal_line(74, 126),
        horizontal_line(75, 125),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(63, 74),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(66, 75),
        horizontal_line(75, 79),
        horizontal_line(75, 85),
        horizontal_line(75, 90),
        horizontal_line(75, 96),
        horizontal_line(75, 101),
        horizontal_line(75, 107),
        horizontal_line(75, 107),
        horizontal_line(75, 106),
        horizontal_line(67, 73),
        horizontal_line(66, 73),
        horizontal_line(68, 73),
        horizontal_line(97, 103),
        horizontal_line(103, 103),
        horizontal_line(170, 201),
        horizontal_line(172, 204),
        horizontal_line(174, 207),
        horizontal_line(176, 210),
        horizontal_line(179, 213),
        horizontal_line(181, 217),
        horizontal_line(183, 220),
        horizontal_line(185, 223),
        horizontal_line(187, 226),
        horizontal_line(190, 229),
        horizontal_line(192, 232),
        horizontal_line(194, 235),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 235),
        horizontal_line(227, 232),
    };

    constexpr const horizontal_line frame_1205_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1205_shape_group_0_shapes[] = {
        shape(frame_1205_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1205_shape_group_0_shape_1_horizontal_lines, 143, 8),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(79, 81),
        horizontal_line(81, 84),
        horizontal_line(82, 87),
        horizontal_line(83, 91),
        horizontal_line(85, 94),
        horizontal_line(86, 97),
        horizontal_line(87, 101),
        horizontal_line(88, 104),
        horizontal_line(90, 107),
        horizontal_line(91, 111),
        horizontal_line(92, 114),
        horizontal_line(94, 117),
        horizontal_line(95, 121),
        horizontal_line(96, 124),
        horizontal_line(97, 127),
        horizontal_line(99, 131),
        horizontal_line(100, 134),
        horizontal_line(101, 137),
        horizontal_line(103, 141),
        horizontal_line(104, 144),
        horizontal_line(105, 147),
        horizontal_line(107, 151),
        horizontal_line(108, 154),
        horizontal_line(109, 158),
        horizontal_line(110, 161),
        horizontal_line(112, 164),
        horizontal_line(113, 168),
        horizontal_line(114, 171),
        horizontal_line(116, 174),
        horizontal_line(117, 178),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(61, 123),
        horizontal_line(65, 127),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(101, 163),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(113, 175),
        horizontal_line(117, 179),
        horizontal_line(121, 183),
        horizontal_line(125, 187),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(137, 189),
        horizontal_line(141, 180),
        horizontal_line(145, 171),
        horizontal_line(149, 162),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(21, 51),
        horizontal_line(23, 50),
        horizontal_line(26, 50),
        horizontal_line(28, 49),
        horizontal_line(30, 49),
        horizontal_line(32, 48),
        horizontal_line(34, 48),
        horizontal_line(37, 47),
        horizontal_line(39, 47),
        horizontal_line(41, 46),
        horizontal_line(43, 46),
        horizontal_line(46, 46),
        horizontal_line(61, 74),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(79, 124),
        horizontal_line(84, 122),
        horizontal_line(89, 121),
        horizontal_line(94, 120),
        horizontal_line(99, 118),
        horizontal_line(104, 117),
        horizontal_line(109, 116),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(58, 64),
        horizontal_line(59, 64),
        horizontal_line(60, 65),
        horizontal_line(61, 64),
        horizontal_line(62, 64),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(166, 173),
        horizontal_line(163, 176),
        horizontal_line(159, 179),
        horizontal_line(157, 182),
        horizontal_line(79, 105),
        horizontal_line(85, 105),
        horizontal_line(91, 104),
        horizontal_line(165, 195),
        horizontal_line(168, 198),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(53, 85),
        horizontal_line(59, 92),
        horizontal_line(66, 98),
        horizontal_line(72, 104),
        horizontal_line(78, 110),
        horizontal_line(85, 116),
        horizontal_line(91, 123),
        horizontal_line(98, 125),
        horizontal_line(104, 127),
        horizontal_line(110, 130),
        horizontal_line(117, 132),
        horizontal_line(123, 134),
        horizontal_line(130, 137),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_1205_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1205_shape_group_1_shapes[] = {
        shape(frame_1205_shape_group_1_shape_0_horizontal_lines, 10, 9),
        shape(frame_1205_shape_group_1_shape_1_horizontal_lines, 23, 4),
        shape(frame_1205_shape_group_1_shape_2_horizontal_lines, 79, 9),
        shape(frame_1205_shape_group_1_shape_3_horizontal_lines, 92, 4),
        shape(frame_1205_shape_group_1_shape_4_horizontal_lines, 100, 9),
        shape(frame_1205_shape_group_1_shape_5_horizontal_lines, 106, 4),
        shape(frame_1205_shape_group_1_shape_6_horizontal_lines, 116, 9),
        shape(frame_1205_shape_group_1_shape_7_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(2, 44),
        horizontal_line(4, 45),
        horizontal_line(6, 46),
        horizontal_line(9, 47),
        horizontal_line(11, 49),
        horizontal_line(13, 50),
        horizontal_line(15, 51),
        horizontal_line(18, 53),
        horizontal_line(20, 54),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(180, 181),
        horizontal_line(182, 184),
        horizontal_line(123, 185),
        horizontal_line(127, 189),
        horizontal_line(131, 193),
        horizontal_line(135, 197),
        horizontal_line(139, 201),
        horizontal_line(143, 204),
        horizontal_line(147, 208),
        horizontal_line(151, 211),
        horizontal_line(155, 214),
        horizontal_line(159, 218),
        horizontal_line(163, 221),
        horizontal_line(167, 224),
        horizontal_line(171, 228),
        horizontal_line(175, 231),
        horizontal_line(179, 234),
        horizontal_line(183, 225),
        horizontal_line(187, 216),
        horizontal_line(191, 207),
        horizontal_line(195, 198),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(16, 48),
        horizontal_line(16, 49),
        horizontal_line(16, 50),
        horizontal_line(17, 52),
        horizontal_line(19, 51),
        horizontal_line(54, 70),
        horizontal_line(54, 70),
        horizontal_line(55, 71),
        horizontal_line(56, 71),
        horizontal_line(56, 71),
        horizontal_line(57, 72),
        horizontal_line(57, 72),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
        horizontal_line(59, 73),
        horizontal_line(60, 73),
        horizontal_line(60, 73),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(41, 60),
        horizontal_line(44, 61),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 62),
        horizontal_line(60, 62),
        horizontal_line(59, 63),
        horizontal_line(59, 63),
        horizontal_line(58, 63),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(31, 52),
        horizontal_line(31, 53),
        horizontal_line(31, 53),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(63, 63),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(159, 185),
        horizontal_line(161, 188),
        horizontal_line(163, 191),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(40, 73),
        horizontal_line(46, 79),
    };

    constexpr const horizontal_line frame_1205_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(27, 52),
        horizontal_line(25, 58),
        horizontal_line(23, 65),
        horizontal_line(21, 71),
        horizontal_line(19, 77),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
    };

    constexpr const shape frame_1205_shape_group_2_shapes[] = {
        shape(frame_1205_shape_group_2_shape_0_horizontal_lines, 23, 9),
        shape(frame_1205_shape_group_2_shape_1_horizontal_lines, 53, 4),
        shape(frame_1205_shape_group_2_shape_2_horizontal_lines, 74, 9),
        shape(frame_1205_shape_group_2_shape_3_horizontal_lines, 91, 8),
        shape(frame_1205_shape_group_2_shape_4_horizontal_lines, 93, 9),
        shape(frame_1205_shape_group_2_shape_5_horizontal_lines, 100, 1),
        shape(frame_1205_shape_group_2_shape_6_horizontal_lines, 103, 9),
        shape(frame_1205_shape_group_2_shape_7_horizontal_lines, 111, 4),
        shape(frame_1205_shape_group_2_shape_8_horizontal_lines, 114, 9),
        shape(frame_1205_shape_group_2_shape_9_horizontal_lines, 116, 8),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(22, 55),
        horizontal_line(25, 57),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(185, 188),
        horizontal_line(189, 191),
        horizontal_line(193, 194),
        horizontal_line(197, 198),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(23, 32),
        horizontal_line(22, 33),
        horizontal_line(22, 34),
        horizontal_line(21, 35),
        horizontal_line(21, 36),
        horizontal_line(21, 37),
        horizontal_line(20, 39),
        horizontal_line(20, 40),
        horizontal_line(19, 41),
        horizontal_line(19, 42),
        horizontal_line(18, 43),
        horizontal_line(18, 44),
        horizontal_line(17, 46),
        horizontal_line(17, 47),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(7, 15),
        horizontal_line(15, 15),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(53, 70),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(19, 20),
        horizontal_line(20, 22),
        horizontal_line(22, 25),
        horizontal_line(23, 27),
        horizontal_line(24, 29),
        horizontal_line(25, 31),
        horizontal_line(26, 33),
        horizontal_line(28, 36),
        horizontal_line(30, 38),
        horizontal_line(33, 40),
        horizontal_line(36, 42),
        horizontal_line(39, 45),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(29, 40),
        horizontal_line(29, 43),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(47, 60),
        horizontal_line(50, 60),
        horizontal_line(53, 59),
        horizontal_line(54, 59),
        horizontal_line(55, 58),
        horizontal_line(56, 58),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(114, 118),
        horizontal_line(113, 120),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(64, 65),
        horizontal_line(64, 65),
        horizontal_line(64, 65),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(45, 61),
        horizontal_line(34, 67),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(31, 39),
        horizontal_line(29, 45),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(103, 104),
        horizontal_line(102, 106),
        horizontal_line(102, 113),
        horizontal_line(105, 113),
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(79, 84),
        horizontal_line(77, 90),
        horizontal_line(75, 97),
        horizontal_line(73, 103),
        horizontal_line(71, 109),
        horizontal_line(69, 116),
        horizontal_line(67, 122),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
    };

    constexpr const horizontal_line frame_1205_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(229, 229),
        horizontal_line(228, 230),
        horizontal_line(227, 231),
        horizontal_line(226, 233),
        horizontal_line(226, 234),
        horizontal_line(225, 236),
        horizontal_line(224, 237),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_1205_shape_group_3_shapes[] = {
        shape(frame_1205_shape_group_3_shape_0_horizontal_lines, 44, 8),
        shape(frame_1205_shape_group_3_shape_1_horizontal_lines, 53, 9),
        shape(frame_1205_shape_group_3_shape_2_horizontal_lines, 55, 4),
        shape(frame_1205_shape_group_3_shape_3_horizontal_lines, 60, 9),
        shape(frame_1205_shape_group_3_shape_4_horizontal_lines, 74, 8),
        shape(frame_1205_shape_group_3_shape_5_horizontal_lines, 77, 3),
        shape(frame_1205_shape_group_3_shape_6_horizontal_lines, 78, 9),
        shape(frame_1205_shape_group_3_shape_7_horizontal_lines, 79, 8),
        shape(frame_1205_shape_group_3_shape_8_horizontal_lines, 91, 1),
        shape(frame_1205_shape_group_3_shape_9_horizontal_lines, 93, 8),
        shape(frame_1205_shape_group_3_shape_10_horizontal_lines, 100, 1),
        shape(frame_1205_shape_group_3_shape_11_horizontal_lines, 103, 8),
        shape(frame_1205_shape_group_3_shape_12_horizontal_lines, 106, 9),
        shape(frame_1205_shape_group_3_shape_13_horizontal_lines, 107, 8),
        shape(frame_1205_shape_group_3_shape_14_horizontal_lines, 112, 9),
        shape(frame_1205_shape_group_3_shape_15_horizontal_lines, 114, 8),
        shape(frame_1205_shape_group_3_shape_16_horizontal_lines, 116, 1),
        shape(frame_1205_shape_group_3_shape_17_horizontal_lines, 121, 8),
        shape(frame_1205_shape_group_3_shape_18_horizontal_lines, 143, 1),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(25, 27),
        horizontal_line(24, 28),
        horizontal_line(24, 29),
        horizontal_line(23, 30),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(18, 18),
        horizontal_line(52, 53),
        horizontal_line(51, 53),
        horizontal_line(51, 54),
        horizontal_line(50, 55),
        horizontal_line(50, 55),
        horizontal_line(49, 56),
        horizontal_line(49, 56),
        horizontal_line(48, 57),
        horizontal_line(48, 58),
        horizontal_line(47, 58),
        horizontal_line(47, 59),
        horizontal_line(47, 59),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(132, 158),
        horizontal_line(134, 154),
        horizontal_line(29, 46),
        horizontal_line(29, 49),
        horizontal_line(30, 52),
        horizontal_line(30, 52),
        horizontal_line(30, 52),
        horizontal_line(30, 52),
        horizontal_line(30, 52),
        horizontal_line(132, 140),
        horizontal_line(130, 140),
        horizontal_line(128, 140),
        horizontal_line(31, 53),
        horizontal_line(32, 53),
        horizontal_line(32, 53),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(32, 54),
        horizontal_line(32, 54),
        horizontal_line(33, 54),
        horizontal_line(33, 54),
        horizontal_line(33, 55),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(113, 114),
        horizontal_line(112, 115),
        horizontal_line(111, 114),
        horizontal_line(110, 114),
        horizontal_line(125, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 148),
        horizontal_line(123, 147),
        horizontal_line(124, 146),
        horizontal_line(126, 145),
        horizontal_line(128, 145),
        horizontal_line(131, 144),
        horizontal_line(133, 143),
        horizontal_line(135, 143),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(125, 135),
    };

    constexpr const horizontal_line frame_1205_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(143, 200),
        horizontal_line(144, 202),
        horizontal_line(145, 204),
        horizontal_line(146, 206),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 223),
        horizontal_line(163, 222),
        horizontal_line(164, 222),
        horizontal_line(165, 221),
        horizontal_line(166, 220),
        horizontal_line(167, 219),
        horizontal_line(168, 219),
        horizontal_line(169, 218),
        horizontal_line(170, 217),
        horizontal_line(171, 216),
        horizontal_line(173, 216),
    };

    constexpr const shape frame_1205_shape_group_4_shapes[] = {
        shape(frame_1205_shape_group_4_shape_0_horizontal_lines, 53, 8),
        shape(frame_1205_shape_group_4_shape_1_horizontal_lines, 55, 9),
        shape(frame_1205_shape_group_4_shape_2_horizontal_lines, 60, 8),
        shape(frame_1205_shape_group_4_shape_3_horizontal_lines, 75, 3),
        shape(frame_1205_shape_group_4_shape_4_horizontal_lines, 78, 8),
        shape(frame_1205_shape_group_4_shape_5_horizontal_lines, 91, 1),
        shape(frame_1205_shape_group_4_shape_6_horizontal_lines, 106, 8),
        shape(frame_1205_shape_group_4_shape_7_horizontal_lines, 107, 1),
        shape(frame_1205_shape_group_4_shape_8_horizontal_lines, 112, 8),
        shape(frame_1205_shape_group_4_shape_9_horizontal_lines, 113, 1),
        shape(frame_1205_shape_group_4_shape_10_horizontal_lines, 128, 8),
        shape(frame_1205_shape_group_4_shape_11_horizontal_lines, 130, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1205_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1205_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1205_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(151, 153),
        horizontal_line(149, 155),
        horizontal_line(147, 157),
        horizontal_line(144, 159),
        horizontal_line(142, 161),
        horizontal_line(140, 163),
        horizontal_line(138, 165),
        horizontal_line(135, 167),
        horizontal_line(28, 29),
        horizontal_line(28, 32),
        horizontal_line(28, 35),
        horizontal_line(28, 38),
        horizontal_line(171, 221),
        horizontal_line(171, 233),
        horizontal_line(136, 149),
        horizontal_line(138, 145),
        horizontal_line(141, 141),
        horizontal_line(139, 140),
        horizontal_line(137, 140),
        horizontal_line(135, 140),
        horizontal_line(133, 140),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(112, 122),
        horizontal_line(112, 140),
        horizontal_line(111, 140),
        horizontal_line(32, 54),
        horizontal_line(109, 121),
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(64, 64),
        horizontal_line(33, 44),
        horizontal_line(128, 152),
        horizontal_line(127, 152),
        horizontal_line(127, 151),
        horizontal_line(126, 150),
        horizontal_line(125, 150),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(138, 142),
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_1205_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(209, 209),
        horizontal_line(210, 211),
        horizontal_line(211, 213),
        horizontal_line(212, 215),
        horizontal_line(213, 217),
        horizontal_line(214, 220),
        horizontal_line(215, 222),
        horizontal_line(216, 224),
        horizontal_line(217, 226),
        horizontal_line(218, 228),
        horizontal_line(219, 227),
        horizontal_line(220, 226),
        horizontal_line(221, 225),
        horizontal_line(222, 225),
        horizontal_line(223, 224),
    };

    constexpr const shape frame_1205_shape_group_5_shapes[] = {
        shape(frame_1205_shape_group_5_shape_0_horizontal_lines, 55, 8),
        shape(frame_1205_shape_group_5_shape_1_horizontal_lines, 69, 1),
        shape(frame_1205_shape_group_5_shape_2_horizontal_lines, 78, 8),
        shape(frame_1205_shape_group_5_shape_3_horizontal_lines, 79, 1),
        shape(frame_1205_shape_group_5_shape_4_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1205_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(133, 169),
        horizontal_line(131, 171),
        horizontal_line(129, 167),
        horizontal_line(130, 163),
    };

    constexpr const horizontal_line frame_1205_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1205_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(233, 238),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(126, 140),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(110, 122),
        horizontal_line(124, 139),
        horizontal_line(109, 120),
        horizontal_line(109, 118),
        horizontal_line(111, 117),
        horizontal_line(113, 116),
        horizontal_line(64, 64),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1205_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_1205_shape_group_6_shapes[] = {
        shape(frame_1205_shape_group_6_shape_0_horizontal_lines, 78, 3),
        shape(frame_1205_shape_group_6_shape_1_horizontal_lines, 87, 1),
        shape(frame_1205_shape_group_6_shape_2_horizontal_lines, 91, 2),
        shape(frame_1205_shape_group_6_shape_3_horizontal_lines, 92, 1),
        shape(frame_1205_shape_group_6_shape_4_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(171, 187),
        horizontal_line(171, 204),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(159, 170),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(124, 140),
        horizontal_line(174, 236),
        horizontal_line(124, 135),
        horizontal_line(124, 132),
        horizontal_line(124, 155),
        horizontal_line(124, 125),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_1205_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(114, 124),
        horizontal_line(114, 123),
        horizontal_line(113, 123),
        horizontal_line(117, 122),
        horizontal_line(147, 182),
        horizontal_line(146, 184),
        horizontal_line(146, 186),
        horizontal_line(145, 189),
        horizontal_line(144, 191),
        horizontal_line(144, 193),
        horizontal_line(143, 195),
        horizontal_line(142, 198),
    };

    constexpr const shape frame_1205_shape_group_7_shapes[] = {
        shape(frame_1205_shape_group_7_shape_0_horizontal_lines, 87, 3),
        shape(frame_1205_shape_group_7_shape_1_horizontal_lines, 88, 2),
        shape(frame_1205_shape_group_7_shape_2_horizontal_lines, 89, 1),
        shape(frame_1205_shape_group_7_shape_3_horizontal_lines, 91, 14),
        shape(frame_1205_shape_group_7_shape_4_horizontal_lines, 92, 2),
        shape(frame_1205_shape_group_7_shape_5_horizontal_lines, 93, 1),
        shape(frame_1205_shape_group_7_shape_6_horizontal_lines, 100, 2),
        shape(frame_1205_shape_group_7_shape_7_horizontal_lines, 103, 1),
        shape(frame_1205_shape_group_7_shape_8_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(1, 27),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(155, 170),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(53, 57),
        horizontal_line(54, 58),
        horizontal_line(54, 59),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(236, 239),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(129, 154),
        horizontal_line(128, 153),
    };

    constexpr const horizontal_line frame_1205_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(120, 127),
        horizontal_line(117, 126),
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(115, 124),
        horizontal_line(150, 173),
        horizontal_line(149, 175),
        horizontal_line(149, 178),
        horizontal_line(148, 180),
    };

    constexpr const shape frame_1205_shape_group_8_shapes[] = {
        shape(frame_1205_shape_group_8_shape_0_horizontal_lines, 87, 2),
        shape(frame_1205_shape_group_8_shape_1_horizontal_lines, 89, 2),
        shape(frame_1205_shape_group_8_shape_2_horizontal_lines, 92, 14),
        shape(frame_1205_shape_group_8_shape_3_horizontal_lines, 93, 2),
        shape(frame_1205_shape_group_8_shape_4_horizontal_lines, 103, 1),
        shape(frame_1205_shape_group_8_shape_5_horizontal_lines, 104, 2),
        shape(frame_1205_shape_group_8_shape_6_horizontal_lines, 106, 1),
        shape(frame_1205_shape_group_8_shape_7_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(168, 170),
        horizontal_line(164, 170),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(150, 170),
        horizontal_line(146, 170),
        horizontal_line(142, 170),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(53, 54),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(141, 169),
        horizontal_line(141, 169),
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(54, 61),
        horizontal_line(54, 62),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1205_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(153, 162),
        horizontal_line(153, 164),
        horizontal_line(152, 167),
        horizontal_line(151, 169),
        horizontal_line(151, 171),
    };

    constexpr const shape frame_1205_shape_group_9_shapes[] = {
        shape(frame_1205_shape_group_9_shape_0_horizontal_lines, 89, 14),
        shape(frame_1205_shape_group_9_shape_1_horizontal_lines, 93, 14),
        shape(frame_1205_shape_group_9_shape_2_horizontal_lines, 96, 2),
        shape(frame_1205_shape_group_9_shape_3_horizontal_lines, 100, 14),
        shape(frame_1205_shape_group_9_shape_4_horizontal_lines, 103, 2),
        shape(frame_1205_shape_group_9_shape_5_horizontal_lines, 106, 1),
        shape(frame_1205_shape_group_9_shape_6_horizontal_lines, 107, 2),
        shape(frame_1205_shape_group_9_shape_7_horizontal_lines, 108, 1),
        shape(frame_1205_shape_group_9_shape_8_horizontal_lines, 109, 2),
        shape(frame_1205_shape_group_9_shape_9_horizontal_lines, 111, 1),
        shape(frame_1205_shape_group_9_shape_10_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(141, 170),
        horizontal_line(141, 170),
        horizontal_line(141, 169),
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_1205_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(54, 60),
    };

    constexpr const horizontal_line frame_1205_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(141, 169),
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_1205_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(55, 62),
        horizontal_line(0, 31),
        horizontal_line(55, 62),
        horizontal_line(55, 62),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1205_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(115, 119),
        horizontal_line(115, 116),
    };

    constexpr const shape frame_1205_shape_group_10_shapes[] = {
        shape(frame_1205_shape_group_10_shape_0_horizontal_lines, 96, 14),
        shape(frame_1205_shape_group_10_shape_1_horizontal_lines, 103, 2),
        shape(frame_1205_shape_group_10_shape_2_horizontal_lines, 104, 14),
        shape(frame_1205_shape_group_10_shape_3_horizontal_lines, 106, 2),
        shape(frame_1205_shape_group_10_shape_4_horizontal_lines, 113, 14),
    };

    constexpr const horizontal_line frame_1205_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_1205_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(55, 62),
    };

    constexpr const horizontal_line frame_1205_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_1205_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(55, 62),
    };

    constexpr const horizontal_line frame_1205_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_1205_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(56, 63),
        horizontal_line(62, 63),
    };

    constexpr const shape frame_1205_shape_group_11_shapes[] = {
        shape(frame_1205_shape_group_11_shape_0_horizontal_lines, 103, 14),
        shape(frame_1205_shape_group_11_shape_1_horizontal_lines, 106, 2),
        shape(frame_1205_shape_group_11_shape_2_horizontal_lines, 107, 14),
        shape(frame_1205_shape_group_11_shape_3_horizontal_lines, 108, 2),
        shape(frame_1205_shape_group_11_shape_4_horizontal_lines, 109, 14),
        shape(frame_1205_shape_group_11_shape_5_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_1205_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_1205_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_1205_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(123, 127),
    };

    constexpr const shape frame_1205_shape_group_12_shapes[] = {
        shape(frame_1205_shape_group_12_shape_0_horizontal_lines, 106, 14),
        shape(frame_1205_shape_group_12_shape_1_horizontal_lines, 108, 14),
        shape(frame_1205_shape_group_12_shape_2_horizontal_lines, 110, 14),
        shape(frame_1205_shape_group_12_shape_3_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_1205_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(155, 158),
        horizontal_line(154, 160),
    };

    constexpr const shape frame_1205_shape_group_13_shapes[] = {
        shape(frame_1205_shape_group_13_shape_0_horizontal_lines, 106, 14),
        shape(frame_1205_shape_group_13_shape_1_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1205_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(117, 123),
        horizontal_line(116, 122),
    };

    constexpr const shape frame_1205_shape_group_14_shapes[] = {
        shape(frame_1205_shape_group_14_shape_0_horizontal_lines, 111, 14),
    };

    constexpr const shape_group frame_1205_shape_groups[] = {
        shape_group(frame_1205_shape_group_0_shapes),
        shape_group(frame_1205_shape_group_1_shapes),
        shape_group(frame_1205_shape_group_2_shapes),
        shape_group(frame_1205_shape_group_3_shapes),
        shape_group(frame_1205_shape_group_4_shapes),
        shape_group(frame_1205_shape_group_5_shapes),
        shape_group(frame_1205_shape_group_6_shapes),
        shape_group(frame_1205_shape_group_7_shapes),
        shape_group(frame_1205_shape_group_8_shapes),
        shape_group(frame_1205_shape_group_9_shapes),
        shape_group(frame_1205_shape_group_10_shapes),
        shape_group(frame_1205_shape_group_11_shapes),
        shape_group(frame_1205_shape_group_12_shapes),
        shape_group(frame_1205_shape_group_13_shapes),
        shape_group(frame_1205_shape_group_14_shapes),
    };

    constexpr const frame frame_1205_impl(frame_1205_colors, frame_1205_shape_groups);
} 

const frame& frame_1205()
{
    return frame_1205_impl;
}

namespace
{
    constexpr const bn::color frame_1206_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1206_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(51, 113),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(121, 183),
        horizontal_line(125, 187),
        horizontal_line(128, 190),
        horizontal_line(131, 193),
        horizontal_line(134, 196),
        horizontal_line(137, 199),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(53, 55),
        horizontal_line(54, 59),
        horizontal_line(55, 63),
        horizontal_line(55, 67),
        horizontal_line(56, 71),
        horizontal_line(57, 75),
        horizontal_line(57, 79),
        horizontal_line(58, 83),
        horizontal_line(59, 87),
        horizontal_line(59, 91),
        horizontal_line(60, 95),
        horizontal_line(61, 99),
        horizontal_line(61, 103),
        horizontal_line(62, 107),
        horizontal_line(63, 111),
        horizontal_line(63, 115),
        horizontal_line(64, 119),
        horizontal_line(65, 123),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(91, 149),
        horizontal_line(96, 146),
        horizontal_line(100, 144),
        horizontal_line(105, 141),
        horizontal_line(110, 139),
        horizontal_line(114, 136),
        horizontal_line(119, 134),
        horizontal_line(124, 131),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(127, 131),
        horizontal_line(74, 77),
        horizontal_line(74, 82),
        horizontal_line(74, 88),
        horizontal_line(74, 93),
        horizontal_line(74, 98),
        horizontal_line(74, 104),
        horizontal_line(74, 109),
        horizontal_line(74, 115),
        horizontal_line(74, 115),
        horizontal_line(74, 114),
        horizontal_line(75, 113),
        horizontal_line(79, 112),
        horizontal_line(85, 112),
        horizontal_line(91, 111),
        horizontal_line(97, 110),
        horizontal_line(103, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 110),
        horizontal_line(108, 112),
        horizontal_line(74, 78),
        horizontal_line(74, 84),
        horizontal_line(74, 90),
        horizontal_line(74, 96),
        horizontal_line(73, 102),
        horizontal_line(79, 102),
        horizontal_line(86, 102),
        horizontal_line(92, 101),
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1206_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(48, 104),
        horizontal_line(55, 111),
        horizontal_line(62, 117),
        horizontal_line(69, 124),
        horizontal_line(76, 125),
        horizontal_line(83, 127),
        horizontal_line(90, 129),
        horizontal_line(97, 131),
        horizontal_line(104, 133),
        horizontal_line(111, 135),
        horizontal_line(118, 137),
        horizontal_line(125, 139),
        horizontal_line(132, 141),
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_1206_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1206_shape_group_0_shapes[] = {
        shape(frame_1206_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_1206_shape_group_0_shape_1_horizontal_lines, 120, 9),
        shape(frame_1206_shape_group_0_shape_2_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(110, 172),
        horizontal_line(113, 175),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(139, 201),
        horizontal_line(142, 204),
        horizontal_line(145, 207),
        horizontal_line(148, 210),
        horizontal_line(151, 213),
        horizontal_line(155, 217),
        horizontal_line(158, 220),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(2, 43),
        horizontal_line(5, 45),
        horizontal_line(7, 46),
        horizontal_line(10, 47),
        horizontal_line(12, 49),
        horizontal_line(15, 50),
        horizontal_line(18, 52),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(14, 30),
        horizontal_line(13, 32),
        horizontal_line(13, 33),
        horizontal_line(12, 34),
        horizontal_line(12, 35),
        horizontal_line(11, 37),
        horizontal_line(11, 38),
        horizontal_line(10, 39),
        horizontal_line(10, 41),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(219, 239),
        horizontal_line(209, 239),
        horizontal_line(199, 239),
        horizontal_line(188, 239),
        horizontal_line(178, 239),
        horizontal_line(168, 230),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(189, 239),
        horizontal_line(201, 239),
        horizontal_line(126, 133),
        horizontal_line(124, 135),
        horizontal_line(123, 137),
        horizontal_line(122, 139),
        horizontal_line(120, 141),
        horizontal_line(119, 139),
        horizontal_line(118, 137),
        horizontal_line(117, 135),
        horizontal_line(118, 133),
        horizontal_line(120, 131),
        horizontal_line(122, 129),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(60, 63),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(65, 74),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(137, 173),
        horizontal_line(133, 170),
        horizontal_line(107, 115),
        horizontal_line(106, 114),
        horizontal_line(105, 113),
        horizontal_line(104, 112),
        horizontal_line(104, 111),
        horizontal_line(105, 110),
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(34, 91),
        horizontal_line(41, 98),
    };

    constexpr const horizontal_line frame_1206_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(21, 47),
        horizontal_line(19, 54),
        horizontal_line(17, 61),
        horizontal_line(15, 68),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1206_shape_group_1_shapes[] = {
        shape(frame_1206_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1206_shape_group_1_shape_1_horizontal_lines, 43, 9),
        shape(frame_1206_shape_group_1_shape_2_horizontal_lines, 53, 14),
        shape(frame_1206_shape_group_1_shape_3_horizontal_lines, 62, 9),
        shape(frame_1206_shape_group_1_shape_4_horizontal_lines, 71, 14),
        shape(frame_1206_shape_group_1_shape_5_horizontal_lines, 104, 9),
        shape(frame_1206_shape_group_1_shape_6_horizontal_lines, 108, 14),
        shape(frame_1206_shape_group_1_shape_7_horizontal_lines, 118, 9),
        shape(frame_1206_shape_group_1_shape_8_horizontal_lines, 120, 8),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(18, 19),
        horizontal_line(18, 20),
        horizontal_line(17, 21),
        horizontal_line(17, 23),
        horizontal_line(16, 24),
        horizontal_line(16, 25),
        horizontal_line(15, 26),
        horizontal_line(15, 28),
        horizontal_line(14, 29),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(128, 131),
        horizontal_line(129, 135),
        horizontal_line(129, 139),
        horizontal_line(130, 143),
        horizontal_line(131, 147),
        horizontal_line(134, 151),
        horizontal_line(139, 156),
        horizontal_line(144, 154),
        horizontal_line(148, 151),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(43, 43),
        horizontal_line(60, 73),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(226, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(58, 61),
        horizontal_line(58, 62),
        horizontal_line(57, 62),
        horizontal_line(57, 62),
        horizontal_line(56, 63),
        horizontal_line(57, 63),
        horizontal_line(58, 64),
        horizontal_line(59, 63),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(139, 167),
        horizontal_line(146, 164),
        horizontal_line(153, 161),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(43, 65),
        horizontal_line(37, 72),
        horizontal_line(32, 78),
        horizontal_line(27, 85),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(25, 33),
        horizontal_line(23, 40),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(105, 113),
        horizontal_line(112, 112),
        horizontal_line(124, 152),
        horizontal_line(125, 151),
    };

    constexpr const horizontal_line frame_1206_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(75, 75),
        horizontal_line(73, 82),
        horizontal_line(71, 89),
        horizontal_line(69, 96),
        horizontal_line(67, 103),
        horizontal_line(65, 110),
        horizontal_line(63, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
    };

    constexpr const shape frame_1206_shape_group_2_shapes[] = {
        shape(frame_1206_shape_group_2_shape_0_horizontal_lines, 0, 14),
        shape(frame_1206_shape_group_2_shape_1_horizontal_lines, 24, 9),
        shape(frame_1206_shape_group_2_shape_2_horizontal_lines, 46, 8),
        shape(frame_1206_shape_group_2_shape_3_horizontal_lines, 53, 9),
        shape(frame_1206_shape_group_2_shape_4_horizontal_lines, 62, 8),
        shape(frame_1206_shape_group_2_shape_5_horizontal_lines, 71, 14),
        shape(frame_1206_shape_group_2_shape_6_horizontal_lines, 90, 9),
        shape(frame_1206_shape_group_2_shape_7_horizontal_lines, 92, 14),
        shape(frame_1206_shape_group_2_shape_8_horizontal_lines, 95, 9),
        shape(frame_1206_shape_group_2_shape_9_horizontal_lines, 107, 8),
        shape(frame_1206_shape_group_2_shape_10_horizontal_lines, 108, 9),
        shape(frame_1206_shape_group_2_shape_11_horizontal_lines, 111, 14),
        shape(frame_1206_shape_group_2_shape_12_horizontal_lines, 114, 9),
        shape(frame_1206_shape_group_2_shape_13_horizontal_lines, 118, 8),
        shape(frame_1206_shape_group_2_shape_14_horizontal_lines, 120, 1),
        shape(frame_1206_shape_group_2_shape_15_horizontal_lines, 124, 8),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(9, 42),
        horizontal_line(9, 43),
        horizontal_line(8, 44),
        horizontal_line(8, 46),
        horizontal_line(7, 47),
        horizontal_line(7, 48),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(19, 47),
        horizontal_line(21, 47),
        horizontal_line(24, 46),
        horizontal_line(27, 46),
        horizontal_line(29, 45),
        horizontal_line(32, 45),
        horizontal_line(35, 44),
        horizontal_line(37, 44),
        horizontal_line(40, 43),
        horizontal_line(59, 72),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(34, 59),
        horizontal_line(38, 60),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(48, 58),
        horizontal_line(52, 57),
        horizontal_line(53, 57),
        horizontal_line(54, 56),
        horizontal_line(55, 56),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(23, 51),
        horizontal_line(23, 51),
        horizontal_line(24, 51),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(65, 74),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(63, 64),
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(25, 52),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(63, 64),
        horizontal_line(64, 64),
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(48, 59),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(26, 42),
        horizontal_line(26, 36),
        horizontal_line(26, 31),
        horizontal_line(103, 106),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(125, 153),
        horizontal_line(125, 153),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(126, 151),
        horizontal_line(128, 150),
        horizontal_line(130, 149),
        horizontal_line(132, 148),
        horizontal_line(134, 148),
        horizontal_line(136, 147),
        horizontal_line(138, 146),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 131),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_1206_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(146, 202),
        horizontal_line(147, 204),
        horizontal_line(148, 206),
        horizontal_line(149, 208),
        horizontal_line(150, 210),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
    };

    constexpr const shape frame_1206_shape_group_3_shapes[] = {
        shape(frame_1206_shape_group_3_shape_0_horizontal_lines, 0, 14),
        shape(frame_1206_shape_group_3_shape_1_horizontal_lines, 14, 9),
        shape(frame_1206_shape_group_3_shape_2_horizontal_lines, 53, 8),
        shape(frame_1206_shape_group_3_shape_3_horizontal_lines, 71, 9),
        shape(frame_1206_shape_group_3_shape_4_horizontal_lines, 77, 14),
        shape(frame_1206_shape_group_3_shape_5_horizontal_lines, 81, 9),
        shape(frame_1206_shape_group_3_shape_6_horizontal_lines, 91, 8),
        shape(frame_1206_shape_group_3_shape_7_horizontal_lines, 93, 9),
        shape(frame_1206_shape_group_3_shape_8_horizontal_lines, 95, 8),
        shape(frame_1206_shape_group_3_shape_9_horizontal_lines, 100, 1),
        shape(frame_1206_shape_group_3_shape_10_horizontal_lines, 103, 9),
        shape(frame_1206_shape_group_3_shape_11_horizontal_lines, 104, 8),
        shape(frame_1206_shape_group_3_shape_12_horizontal_lines, 107, 1),
        shape(frame_1206_shape_group_3_shape_13_horizontal_lines, 108, 8),
        shape(frame_1206_shape_group_3_shape_14_horizontal_lines, 112, 9),
        shape(frame_1206_shape_group_3_shape_15_horizontal_lines, 114, 1),
        shape(frame_1206_shape_group_3_shape_16_horizontal_lines, 131, 8),
        shape(frame_1206_shape_group_3_shape_17_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(6, 6),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(8, 68),
        horizontal_line(11, 49),
        horizontal_line(13, 48),
        horizontal_line(16, 48),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(57, 71),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(31, 42),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(21, 33),
        horizontal_line(22, 37),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(41, 59),
        horizontal_line(45, 58),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(22, 47),
        horizontal_line(22, 51),
        horizontal_line(23, 51),
        horizontal_line(23, 51),
        horizontal_line(23, 51),
        horizontal_line(116, 117),
        horizontal_line(115, 119),
        horizontal_line(114, 121),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(61, 61),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(26, 53),
        horizontal_line(26, 47),
        horizontal_line(113, 115),
        horizontal_line(112, 116),
        horizontal_line(103, 104),
        horizontal_line(110, 115),
        horizontal_line(127, 155),
        horizontal_line(126, 154),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
        horizontal_line(140, 146),
        horizontal_line(142, 145),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_1206_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(213, 213),
        horizontal_line(214, 215),
        horizontal_line(215, 217),
        horizontal_line(216, 219),
        horizontal_line(217, 221),
        horizontal_line(218, 223),
        horizontal_line(219, 226),
        horizontal_line(220, 228),
        horizontal_line(221, 230),
        horizontal_line(222, 232),
        horizontal_line(223, 234),
        horizontal_line(224, 236),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_1206_shape_group_4_shapes[] = {
        shape(frame_1206_shape_group_4_shape_0_horizontal_lines, 71, 8),
        shape(frame_1206_shape_group_4_shape_1_horizontal_lines, 77, 9),
        shape(frame_1206_shape_group_4_shape_2_horizontal_lines, 90, 8),
        shape(frame_1206_shape_group_4_shape_3_horizontal_lines, 91, 1),
        shape(frame_1206_shape_group_4_shape_4_horizontal_lines, 93, 8),
        shape(frame_1206_shape_group_4_shape_5_horizontal_lines, 95, 1),
        shape(frame_1206_shape_group_4_shape_6_horizontal_lines, 103, 8),
        shape(frame_1206_shape_group_4_shape_7_horizontal_lines, 104, 1),
        shape(frame_1206_shape_group_4_shape_8_horizontal_lines, 122, 2),
        shape(frame_1206_shape_group_4_shape_9_horizontal_lines, 124, 1),
        shape(frame_1206_shape_group_4_shape_10_horizontal_lines, 139, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1206_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
    };

    constexpr const horizontal_line frame_1206_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(13, 18),
        horizontal_line(14, 20),
        horizontal_line(15, 23),
        horizontal_line(17, 26),
        horizontal_line(18, 28),
        horizontal_line(19, 31),
        horizontal_line(21, 34),
        horizontal_line(24, 36),
        horizontal_line(27, 39),
        horizontal_line(44, 58),
    };

    constexpr const horizontal_line frame_1206_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(132, 167),
        horizontal_line(134, 162),
        horizontal_line(22, 40),
        horizontal_line(22, 44),
        horizontal_line(140, 147),
        horizontal_line(142, 142),
        horizontal_line(140, 142),
        horizontal_line(138, 142),
        horizontal_line(136, 142),
        horizontal_line(134, 142),
        horizontal_line(132, 142),
        horizontal_line(130, 142),
        horizontal_line(24, 51),
        horizontal_line(113, 142),
        horizontal_line(112, 142),
        horizontal_line(111, 123),
        horizontal_line(110, 121),
        horizontal_line(61, 61),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(63, 65),
        horizontal_line(129, 158),
        horizontal_line(128, 157),
        horizontal_line(111, 115),
        horizontal_line(127, 155),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(118, 123),
        horizontal_line(152, 178),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(147, 195),
        horizontal_line(146, 197),
        horizontal_line(145, 200),
    };

    constexpr const shape frame_1206_shape_group_5_shapes[] = {
        shape(frame_1206_shape_group_5_shape_0_horizontal_lines, 76, 3),
        shape(frame_1206_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_1206_shape_group_5_shape_2_horizontal_lines, 81, 8),
        shape(frame_1206_shape_group_5_shape_3_horizontal_lines, 91, 1),
        shape(frame_1206_shape_group_5_shape_4_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(9, 10),
        horizontal_line(10, 12),
        horizontal_line(12, 15),
        horizontal_line(48, 52),
        horizontal_line(48, 53),
        horizontal_line(47, 54),
        horizontal_line(47, 54),
        horizontal_line(46, 55),
        horizontal_line(46, 56),
        horizontal_line(45, 56),
        horizontal_line(45, 57),
        horizontal_line(44, 58),
    };

    constexpr const horizontal_line frame_1206_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(21, 30),
        horizontal_line(176, 200),
        horizontal_line(176, 213),
        horizontal_line(136, 157),
        horizontal_line(138, 152),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(113, 123),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
        horizontal_line(110, 120),
        horizontal_line(111, 118),
        horizontal_line(113, 117),
        horizontal_line(116, 116),
        horizontal_line(115, 115),
        horizontal_line(114, 115),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(128, 156),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(114, 124),
        horizontal_line(113, 124),
        horizontal_line(153, 176),
    };

    constexpr const horizontal_line frame_1206_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(152, 180),
        horizontal_line(151, 182),
        horizontal_line(150, 184),
        horizontal_line(149, 187),
        horizontal_line(149, 189),
        horizontal_line(148, 191),
        horizontal_line(147, 193),
    };

    constexpr const shape frame_1206_shape_group_6_shapes[] = {
        shape(frame_1206_shape_group_6_shape_0_horizontal_lines, 78, 8),
        shape(frame_1206_shape_group_6_shape_1_horizontal_lines, 90, 1),
        shape(frame_1206_shape_group_6_shape_2_horizontal_lines, 118, 2),
        shape(frame_1206_shape_group_6_shape_3_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(49, 51),
        horizontal_line(49, 52),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 10),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(130, 172),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(176, 225),
        horizontal_line(176, 238),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(128, 142),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(125, 141),
        horizontal_line(125, 136),
        horizontal_line(125, 132),
        horizontal_line(125, 127),
        horizontal_line(130, 145),
        horizontal_line(130, 152),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(115, 126),
        horizontal_line(115, 125),
        horizontal_line(154, 171),
        horizontal_line(154, 174),
    };

    constexpr const shape frame_1206_shape_group_7_shapes[] = {
        shape(frame_1206_shape_group_7_shape_0_horizontal_lines, 78, 8),
        shape(frame_1206_shape_group_7_shape_1_horizontal_lines, 81, 3),
        shape(frame_1206_shape_group_7_shape_2_horizontal_lines, 90, 1),
        shape(frame_1206_shape_group_7_shape_3_horizontal_lines, 91, 2),
        shape(frame_1206_shape_group_7_shape_4_horizontal_lines, 93, 1),
        shape(frame_1206_shape_group_7_shape_5_horizontal_lines, 114, 2),
        shape(frame_1206_shape_group_7_shape_6_horizontal_lines, 116, 1),
        shape(frame_1206_shape_group_7_shape_7_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(150, 161),
        horizontal_line(147, 163),
        horizontal_line(145, 165),
        horizontal_line(142, 166),
        horizontal_line(140, 168),
        horizontal_line(137, 170),
        horizontal_line(135, 172),
        horizontal_line(21, 23),
        horizontal_line(21, 26),
        horizontal_line(176, 188),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(168, 175),
        horizontal_line(163, 175),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(238, 238),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(131, 138),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(118, 128),
        horizontal_line(117, 127),
        horizontal_line(0, 25),
        horizontal_line(116, 126),
        horizontal_line(156, 167),
        horizontal_line(155, 169),
    };

    constexpr const shape frame_1206_shape_group_8_shapes[] = {
        shape(frame_1206_shape_group_8_shape_0_horizontal_lines, 78, 3),
        shape(frame_1206_shape_group_8_shape_1_horizontal_lines, 81, 1),
        shape(frame_1206_shape_group_8_shape_2_horizontal_lines, 91, 4),
        shape(frame_1206_shape_group_8_shape_3_horizontal_lines, 93, 2),
        shape(frame_1206_shape_group_8_shape_4_horizontal_lines, 94, 1),
        shape(frame_1206_shape_group_8_shape_5_horizontal_lines, 95, 2),
        shape(frame_1206_shape_group_8_shape_6_horizontal_lines, 103, 1),
        shape(frame_1206_shape_group_8_shape_7_horizontal_lines, 104, 2),
        shape(frame_1206_shape_group_8_shape_8_horizontal_lines, 106, 1),
        shape(frame_1206_shape_group_8_shape_9_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(155, 157),
        horizontal_line(152, 159),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(132, 174),
        horizontal_line(130, 176),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(158, 175),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(148, 175),
        horizontal_line(143, 174),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(52, 54),
        horizontal_line(52, 55),
        horizontal_line(52, 56),
        horizontal_line(52, 57),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(53, 59),
        horizontal_line(53, 60),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1206_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(159, 159),
        horizontal_line(158, 161),
        horizontal_line(116, 127),
        horizontal_line(156, 165),
    };

    constexpr const shape frame_1206_shape_group_9_shapes[] = {
        shape(frame_1206_shape_group_9_shape_0_horizontal_lines, 79, 1),
        shape(frame_1206_shape_group_9_shape_1_horizontal_lines, 88, 1),
        shape(frame_1206_shape_group_9_shape_2_horizontal_lines, 90, 2),
        shape(frame_1206_shape_group_9_shape_3_horizontal_lines, 93, 4),
        shape(frame_1206_shape_group_9_shape_4_horizontal_lines, 94, 2),
        shape(frame_1206_shape_group_9_shape_5_horizontal_lines, 95, 4),
        shape(frame_1206_shape_group_9_shape_6_horizontal_lines, 97, 2),
        shape(frame_1206_shape_group_9_shape_7_horizontal_lines, 103, 1),
        shape(frame_1206_shape_group_9_shape_8_horizontal_lines, 104, 2),
        shape(frame_1206_shape_group_9_shape_9_horizontal_lines, 108, 1),
        shape(frame_1206_shape_group_9_shape_10_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(11, 20),
        horizontal_line(1, 20),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(153, 175),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(143, 174),
        horizontal_line(143, 174),
        horizontal_line(143, 174),
        horizontal_line(143, 174),
        horizontal_line(143, 174),
        horizontal_line(143, 174),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(143, 173),
        horizontal_line(143, 173),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(53, 60),
        horizontal_line(53, 60),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(54, 61),
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_1206_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(157, 163),
    };

    constexpr const shape frame_1206_shape_group_10_shapes[] = {
        shape(frame_1206_shape_group_10_shape_0_horizontal_lines, 88, 2),
        shape(frame_1206_shape_group_10_shape_1_horizontal_lines, 90, 4),
        shape(frame_1206_shape_group_10_shape_2_horizontal_lines, 94, 4),
        shape(frame_1206_shape_group_10_shape_3_horizontal_lines, 97, 4),
        shape(frame_1206_shape_group_10_shape_4_horizontal_lines, 103, 2),
        shape(frame_1206_shape_group_10_shape_5_horizontal_lines, 104, 4),
        shape(frame_1206_shape_group_10_shape_6_horizontal_lines, 106, 2),
        shape(frame_1206_shape_group_10_shape_7_horizontal_lines, 114, 4),
        shape(frame_1206_shape_group_10_shape_8_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(52, 58),
    };

    constexpr const horizontal_line frame_1206_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_1206_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(53, 60),
        horizontal_line(53, 61),
        horizontal_line(53, 61),
        horizontal_line(53, 61),
        horizontal_line(125, 129),
        horizontal_line(121, 129),
    };

    constexpr const shape frame_1206_shape_group_11_shapes[] = {
        shape(frame_1206_shape_group_11_shape_0_horizontal_lines, 103, 2),
        shape(frame_1206_shape_group_11_shape_1_horizontal_lines, 106, 4),
        shape(frame_1206_shape_group_11_shape_2_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1206_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(143, 173),
    };

    constexpr const horizontal_line frame_1206_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(143, 173),
        horizontal_line(143, 173),
        horizontal_line(121, 124),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_1206_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_1206_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(116, 124),
        horizontal_line(116, 120),
    };

    constexpr const shape frame_1206_shape_group_12_shapes[] = {
        shape(frame_1206_shape_group_12_shape_0_horizontal_lines, 103, 4),
        shape(frame_1206_shape_group_12_shape_1_horizontal_lines, 106, 4),
        shape(frame_1206_shape_group_12_shape_2_horizontal_lines, 111, 2),
        shape(frame_1206_shape_group_12_shape_3_horizontal_lines, 112, 4),
    };

    constexpr const horizontal_line frame_1206_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(143, 173),
    };

    constexpr const horizontal_line frame_1206_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(117, 124),
    };

    constexpr const shape frame_1206_shape_group_13_shapes[] = {
        shape(frame_1206_shape_group_13_shape_0_horizontal_lines, 108, 4),
        shape(frame_1206_shape_group_13_shape_1_horizontal_lines, 111, 4),
    };

    constexpr const shape_group frame_1206_shape_groups[] = {
        shape_group(frame_1206_shape_group_0_shapes),
        shape_group(frame_1206_shape_group_1_shapes),
        shape_group(frame_1206_shape_group_2_shapes),
        shape_group(frame_1206_shape_group_3_shapes),
        shape_group(frame_1206_shape_group_4_shapes),
        shape_group(frame_1206_shape_group_5_shapes),
        shape_group(frame_1206_shape_group_6_shapes),
        shape_group(frame_1206_shape_group_7_shapes),
        shape_group(frame_1206_shape_group_8_shapes),
        shape_group(frame_1206_shape_group_9_shapes),
        shape_group(frame_1206_shape_group_10_shapes),
        shape_group(frame_1206_shape_group_11_shapes),
        shape_group(frame_1206_shape_group_12_shapes),
        shape_group(frame_1206_shape_group_13_shapes),
    };

    constexpr const frame frame_1206_impl(frame_1206_colors, frame_1206_shape_groups);
} 

const frame& frame_1206()
{
    return frame_1206_impl;
}

namespace
{
    constexpr const bn::color frame_1207_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1207_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 176),
        horizontal_line(117, 179),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(2, 43),
        horizontal_line(4, 45),
        horizontal_line(6, 46),
        horizontal_line(8, 48),
    };

    constexpr const horizontal_line frame_1207_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(49, 51),
        horizontal_line(50, 55),
        horizontal_line(51, 59),
        horizontal_line(52, 63),
        horizontal_line(53, 67),
        horizontal_line(53, 71),
        horizontal_line(54, 75),
        horizontal_line(55, 79),
        horizontal_line(56, 83),
        horizontal_line(57, 87),
        horizontal_line(57, 91),
        horizontal_line(58, 95),
        horizontal_line(59, 99),
        horizontal_line(60, 103),
        horizontal_line(61, 107),
        horizontal_line(61, 111),
        horizontal_line(62, 115),
        horizontal_line(63, 119),
        horizontal_line(64, 123),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(90, 152),
        horizontal_line(94, 152),
        horizontal_line(99, 149),
        horizontal_line(103, 146),
        horizontal_line(107, 144),
        horizontal_line(112, 141),
        horizontal_line(116, 138),
        horizontal_line(121, 135),
        horizontal_line(125, 132),
        horizontal_line(130, 130),
        horizontal_line(129, 131),
        horizontal_line(73, 75),
        horizontal_line(73, 80),
        horizontal_line(73, 85),
        horizontal_line(73, 90),
        horizontal_line(73, 95),
        horizontal_line(73, 100),
        horizontal_line(73, 105),
        horizontal_line(73, 110),
        horizontal_line(73, 115),
        horizontal_line(73, 115),
        horizontal_line(73, 114),
        horizontal_line(74, 113),
        horizontal_line(80, 112),
        horizontal_line(87, 111),
        horizontal_line(94, 110),
        horizontal_line(101, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(108, 111),
        horizontal_line(107, 113),
        horizontal_line(73, 79),
        horizontal_line(73, 87),
        horizontal_line(73, 94),
        horizontal_line(73, 102),
        horizontal_line(73, 102),
        horizontal_line(73, 102),
        horizontal_line(73, 101),
        horizontal_line(78, 101),
        horizontal_line(85, 100),
        horizontal_line(92, 100),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1207_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(27, 89),
        horizontal_line(35, 97),
        horizontal_line(42, 104),
        horizontal_line(50, 112),
        horizontal_line(58, 120),
        horizontal_line(65, 127),
        horizontal_line(73, 130),
        horizontal_line(81, 132),
        horizontal_line(88, 134),
        horizontal_line(96, 136),
        horizontal_line(104, 137),
        horizontal_line(111, 139),
        horizontal_line(119, 141),
        horizontal_line(127, 143),
        horizontal_line(134, 145),
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_1207_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1207_shape_group_0_shapes[] = {
        shape(frame_1207_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_1207_shape_group_0_shape_1_horizontal_lines, 47, 9),
        shape(frame_1207_shape_group_0_shape_2_horizontal_lines, 51, 14),
        shape(frame_1207_shape_group_0_shape_3_horizontal_lines, 122, 9),
        shape(frame_1207_shape_group_0_shape_4_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(7, 9),
        horizontal_line(7, 11),
        horizontal_line(6, 12),
        horizontal_line(6, 14),
        horizontal_line(5, 15),
        horizontal_line(5, 17),
        horizontal_line(4, 18),
        horizontal_line(4, 20),
        horizontal_line(4, 21),
        horizontal_line(3, 23),
        horizontal_line(3, 24),
        horizontal_line(2, 26),
        horizontal_line(2, 27),
        horizontal_line(1, 29),
        horizontal_line(1, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 131),
        horizontal_line(128, 135),
        horizontal_line(129, 139),
        horizontal_line(224, 239),
        horizontal_line(208, 239),
        horizontal_line(193, 239),
        horizontal_line(177, 239),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(128, 133),
        horizontal_line(126, 135),
        horizontal_line(125, 137),
        horizontal_line(124, 139),
        horizontal_line(122, 141),
        horizontal_line(121, 143),
        horizontal_line(119, 140),
        horizontal_line(118, 138),
        horizontal_line(117, 136),
        horizontal_line(118, 134),
        horizontal_line(120, 132),
        horizontal_line(122, 130),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(58, 62),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
        horizontal_line(65, 73),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(138, 161),
        horizontal_line(106, 115),
        horizontal_line(105, 114),
        horizontal_line(104, 113),
        horizontal_line(104, 112),
        horizontal_line(105, 112),
        horizontal_line(107, 111),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(33, 77),
        horizontal_line(29, 84),
        horizontal_line(24, 86),
        horizontal_line(20, 82),
        horizontal_line(89, 104),
        horizontal_line(97, 111),
        horizontal_line(104, 118),
        horizontal_line(112, 125),
        horizontal_line(120, 126),
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_1207_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1207_shape_group_1_shapes[] = {
        shape(frame_1207_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1207_shape_group_1_shape_1_horizontal_lines, 27, 9),
        shape(frame_1207_shape_group_1_shape_2_horizontal_lines, 47, 8),
        shape(frame_1207_shape_group_1_shape_3_horizontal_lines, 51, 9),
        shape(frame_1207_shape_group_1_shape_4_horizontal_lines, 70, 14),
        shape(frame_1207_shape_group_1_shape_5_horizontal_lines, 104, 9),
        shape(frame_1207_shape_group_1_shape_6_horizontal_lines, 109, 14),
        shape(frame_1207_shape_group_1_shape_7_horizontal_lines, 118, 9),
        shape(frame_1207_shape_group_1_shape_8_horizontal_lines, 128, 8),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(130, 143),
        horizontal_line(131, 147),
        horizontal_line(134, 151),
        horizontal_line(138, 155),
        horizontal_line(143, 160),
        horizontal_line(147, 158),
        horizontal_line(152, 155),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(33, 41),
        horizontal_line(36, 40),
        horizontal_line(40, 40),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(205, 239),
        horizontal_line(216, 239),
        horizontal_line(227, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(57, 61),
        horizontal_line(56, 61),
        horizontal_line(56, 61),
        horizontal_line(55, 62),
        horizontal_line(55, 62),
        horizontal_line(56, 63),
        horizontal_line(57, 62),
        horizontal_line(64, 73),
        horizontal_line(64, 73),
        horizontal_line(65, 73),
        horizontal_line(65, 73),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(61, 64),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(66, 73),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(134, 179),
        horizontal_line(140, 175),
        horizontal_line(146, 172),
        horizontal_line(152, 169),
        horizontal_line(158, 166),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(42, 65),
        horizontal_line(38, 71),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(19, 32),
        horizontal_line(19, 28),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(86, 91),
        horizontal_line(82, 98),
    };

    constexpr const horizontal_line frame_1207_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(17, 26),
        horizontal_line(15, 34),
        horizontal_line(13, 41),
        horizontal_line(11, 49),
        horizontal_line(9, 57),
        horizontal_line(7, 64),
        horizontal_line(67, 72),
        horizontal_line(65, 80),
        horizontal_line(63, 87),
        horizontal_line(62, 95),
        horizontal_line(62, 103),
        horizontal_line(62, 110),
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
    };

    constexpr const shape frame_1207_shape_group_2_shapes[] = {
        shape(frame_1207_shape_group_2_shape_0_horizontal_lines, 0, 14),
        shape(frame_1207_shape_group_2_shape_1_horizontal_lines, 18, 9),
        shape(frame_1207_shape_group_2_shape_2_horizontal_lines, 51, 8),
        shape(frame_1207_shape_group_2_shape_3_horizontal_lines, 70, 9),
        shape(frame_1207_shape_group_2_shape_4_horizontal_lines, 74, 14),
        shape(frame_1207_shape_group_2_shape_5_horizontal_lines, 88, 9),
        shape(frame_1207_shape_group_2_shape_6_horizontal_lines, 91, 14),
        shape(frame_1207_shape_group_2_shape_7_horizontal_lines, 96, 9),
        shape(frame_1207_shape_group_2_shape_8_horizontal_lines, 108, 8),
        shape(frame_1207_shape_group_2_shape_9_horizontal_lines, 109, 9),
        shape(frame_1207_shape_group_2_shape_10_horizontal_lines, 111, 14),
        shape(frame_1207_shape_group_2_shape_11_horizontal_lines, 116, 9),
        shape(frame_1207_shape_group_2_shape_12_horizontal_lines, 118, 1),
        shape(frame_1207_shape_group_2_shape_13_horizontal_lines, 120, 9),
        shape(frame_1207_shape_group_2_shape_14_horizontal_lines, 122, 8),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(12, 44),
        horizontal_line(15, 44),
        horizontal_line(18, 43),
        horizontal_line(21, 43),
        horizontal_line(24, 42),
        horizontal_line(27, 42),
        horizontal_line(30, 41),
        horizontal_line(57, 71),
        horizontal_line(58, 71),
        horizontal_line(59, 72),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(22, 59),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(49, 56),
        horizontal_line(50, 56),
        horizontal_line(51, 55),
        horizontal_line(52, 55),
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(15, 48),
        horizontal_line(15, 49),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(64, 73),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(16, 50),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(47, 57),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(18, 41),
        horizontal_line(19, 37),
        horizontal_line(102, 115),
        horizontal_line(101, 114),
        horizontal_line(19, 23),
        horizontal_line(100, 113),
        horizontal_line(105, 112),
        horizontal_line(112, 112),
        horizontal_line(125, 157),
        horizontal_line(126, 156),
        horizontal_line(127, 156),
        horizontal_line(129, 155),
        horizontal_line(131, 154),
        horizontal_line(133, 154),
        horizontal_line(135, 153),
        horizontal_line(137, 152),
        horizontal_line(138, 152),
        horizontal_line(140, 151),
        horizontal_line(142, 150),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 133),
        horizontal_line(124, 141),
    };

    constexpr const horizontal_line frame_1207_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(150, 207),
        horizontal_line(150, 209),
        horizontal_line(151, 211),
        horizontal_line(152, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
    };

    constexpr const shape frame_1207_shape_group_3_shapes[] = {
        shape(frame_1207_shape_group_3_shape_0_horizontal_lines, 74, 9),
        shape(frame_1207_shape_group_3_shape_1_horizontal_lines, 77, 14),
        shape(frame_1207_shape_group_3_shape_2_horizontal_lines, 81, 9),
        shape(frame_1207_shape_group_3_shape_3_horizontal_lines, 91, 8),
        shape(frame_1207_shape_group_3_shape_4_horizontal_lines, 92, 9),
        shape(frame_1207_shape_group_3_shape_5_horizontal_lines, 96, 8),
        shape(frame_1207_shape_group_3_shape_6_horizontal_lines, 101, 1),
        shape(frame_1207_shape_group_3_shape_7_horizontal_lines, 103, 9),
        shape(frame_1207_shape_group_3_shape_8_horizontal_lines, 104, 8),
        shape(frame_1207_shape_group_3_shape_9_horizontal_lines, 108, 1),
        shape(frame_1207_shape_group_3_shape_10_horizontal_lines, 109, 8),
        shape(frame_1207_shape_group_3_shape_11_horizontal_lines, 111, 9),
        shape(frame_1207_shape_group_3_shape_12_horizontal_lines, 116, 1),
        shape(frame_1207_shape_group_3_shape_13_horizontal_lines, 135, 8),
        shape(frame_1207_shape_group_3_shape_14_horizontal_lines, 138, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(0, 46),
        horizontal_line(3, 46),
        horizontal_line(6, 45),
        horizontal_line(9, 45),
        horizontal_line(52, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 70),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(56, 71),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(10, 32),
        horizontal_line(12, 35),
        horizontal_line(17, 39),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(12, 21),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(27, 58),
        horizontal_line(33, 58),
        horizontal_line(38, 57),
        horizontal_line(43, 57),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(13, 48),
        horizontal_line(14, 48),
        horizontal_line(14, 48),
        horizontal_line(14, 48),
        horizontal_line(14, 48),
        horizontal_line(115, 119),
        horizontal_line(114, 121),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(15, 49),
        horizontal_line(16, 49),
        horizontal_line(16, 49),
        horizontal_line(16, 49),
        horizontal_line(60, 60),
        horizontal_line(17, 50),
        horizontal_line(17, 50),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(18, 50),
        horizontal_line(18, 51),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(103, 106),
        horizontal_line(102, 108),
        horizontal_line(129, 161),
        horizontal_line(128, 160),
        horizontal_line(101, 114),
        horizontal_line(127, 159),
        horizontal_line(126, 158),
        horizontal_line(126, 158),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(152, 197),
        horizontal_line(151, 199),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(144, 150),
        horizontal_line(146, 149),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_1207_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(215, 215),
        horizontal_line(216, 217),
        horizontal_line(217, 219),
        horizontal_line(218, 221),
        horizontal_line(219, 223),
        horizontal_line(220, 225),
        horizontal_line(221, 227),
        horizontal_line(221, 229),
        horizontal_line(222, 231),
        horizontal_line(223, 233),
        horizontal_line(224, 235),
        horizontal_line(225, 237),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_1207_shape_group_4_shapes[] = {
        shape(frame_1207_shape_group_4_shape_0_horizontal_lines, 76, 9),
        shape(frame_1207_shape_group_4_shape_1_horizontal_lines, 88, 8),
        shape(frame_1207_shape_group_4_shape_2_horizontal_lines, 91, 1),
        shape(frame_1207_shape_group_4_shape_3_horizontal_lines, 92, 8),
        shape(frame_1207_shape_group_4_shape_4_horizontal_lines, 96, 1),
        shape(frame_1207_shape_group_4_shape_5_horizontal_lines, 103, 8),
        shape(frame_1207_shape_group_4_shape_6_horizontal_lines, 104, 1),
        shape(frame_1207_shape_group_4_shape_7_horizontal_lines, 111, 8),
        shape(frame_1207_shape_group_4_shape_8_horizontal_lines, 113, 1),
        shape(frame_1207_shape_group_4_shape_9_horizontal_lines, 115, 9),
        shape(frame_1207_shape_group_4_shape_10_horizontal_lines, 116, 1),
        shape(frame_1207_shape_group_4_shape_11_horizontal_lines, 133, 2),
        shape(frame_1207_shape_group_4_shape_12_horizontal_lines, 135, 1),
        shape(frame_1207_shape_group_4_shape_13_horizontal_lines, 142, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(48, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 69),
        horizontal_line(51, 69),
    };

    constexpr const horizontal_line frame_1207_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(3, 11),
        horizontal_line(4, 14),
        horizontal_line(5, 17),
        horizontal_line(6, 20),
        horizontal_line(7, 23),
        horizontal_line(8, 26),
        horizontal_line(9, 29),
        horizontal_line(42, 56),
        horizontal_line(41, 57),
        horizontal_line(41, 58),
    };

    constexpr const horizontal_line frame_1207_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(134, 176),
        horizontal_line(12, 26),
        horizontal_line(13, 32),
        horizontal_line(13, 37),
        horizontal_line(13, 42),
        horizontal_line(144, 144),
        horizontal_line(141, 143),
        horizontal_line(139, 143),
        horizontal_line(137, 143),
        horizontal_line(116, 117),
        horizontal_line(133, 143),
        horizontal_line(131, 143),
        horizontal_line(15, 49),
        horizontal_line(112, 143),
        horizontal_line(111, 143),
        horizontal_line(110, 123),
        horizontal_line(60, 60),
        horizontal_line(110, 120),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
        horizontal_line(17, 50),
        horizontal_line(17, 50),
        horizontal_line(61, 64),
        horizontal_line(61, 64),
        horizontal_line(18, 46),
        horizontal_line(112, 116),
        horizontal_line(111, 115),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(127, 160),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(153, 193),
        horizontal_line(153, 195),
    };

    constexpr const horizontal_line frame_1207_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(151, 201),
        horizontal_line(150, 203),
        horizontal_line(149, 205),
    };

    constexpr const shape frame_1207_shape_group_5_shapes[] = {
        shape(frame_1207_shape_group_5_shape_0_horizontal_lines, 77, 9),
        shape(frame_1207_shape_group_5_shape_1_horizontal_lines, 81, 8),
        shape(frame_1207_shape_group_5_shape_2_horizontal_lines, 91, 1),
        shape(frame_1207_shape_group_5_shape_3_horizontal_lines, 124, 2),
        shape(frame_1207_shape_group_5_shape_4_horizontal_lines, 135, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(47, 47),
        horizontal_line(0, 2),
        horizontal_line(1, 5),
        horizontal_line(2, 8),
        horizontal_line(45, 51),
        horizontal_line(45, 51),
        horizontal_line(44, 52),
        horizontal_line(44, 53),
        horizontal_line(43, 54),
        horizontal_line(43, 55),
        horizontal_line(42, 55),
    };

    constexpr const horizontal_line frame_1207_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1207_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(182, 193),
        horizontal_line(136, 170),
        horizontal_line(138, 163),
        horizontal_line(140, 157),
        horizontal_line(142, 150),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(135, 143),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(113, 123),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(126, 143),
        horizontal_line(110, 122),
        horizontal_line(126, 143),
        horizontal_line(112, 119),
        horizontal_line(114, 117),
        horizontal_line(61, 62),
        horizontal_line(61, 63),
        horizontal_line(114, 115),
        horizontal_line(113, 115),
        horizontal_line(61, 64),
        horizontal_line(130, 163),
        horizontal_line(129, 162),
    };

    constexpr const horizontal_line frame_1207_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1207_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(119, 124),
        horizontal_line(157, 181),
        horizontal_line(157, 183),
        horizontal_line(156, 185),
        horizontal_line(155, 187),
        horizontal_line(155, 189),
        horizontal_line(154, 191),
    };

    constexpr const shape frame_1207_shape_group_6_shapes[] = {
        shape(frame_1207_shape_group_6_shape_0_horizontal_lines, 77, 8),
        shape(frame_1207_shape_group_6_shape_1_horizontal_lines, 88, 3),
        shape(frame_1207_shape_group_6_shape_2_horizontal_lines, 91, 1),
        shape(frame_1207_shape_group_6_shape_3_horizontal_lines, 118, 2),
        shape(frame_1207_shape_group_6_shape_4_horizontal_lines, 120, 1),
        shape(frame_1207_shape_group_6_shape_5_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(47, 48),
        horizontal_line(46, 49),
        horizontal_line(46, 50),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(133, 178),
        horizontal_line(131, 180),
        horizontal_line(12, 16),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(182, 204),
        horizontal_line(182, 215),
        horizontal_line(182, 226),
        horizontal_line(182, 238),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(129, 143),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(126, 143),
        horizontal_line(180, 239),
        horizontal_line(126, 142),
        horizontal_line(126, 137),
        horizontal_line(116, 116),
        horizontal_line(115, 115),
        horizontal_line(131, 145),
        horizontal_line(131, 151),
        horizontal_line(103, 104),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(116, 128),
        horizontal_line(115, 127),
        horizontal_line(0, 18),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
        horizontal_line(113, 125),
        horizontal_line(158, 179),
    };

    constexpr const shape frame_1207_shape_group_7_shapes[] = {
        shape(frame_1207_shape_group_7_shape_0_horizontal_lines, 78, 8),
        shape(frame_1207_shape_group_7_shape_1_horizontal_lines, 81, 3),
        shape(frame_1207_shape_group_7_shape_2_horizontal_lines, 88, 1),
        shape(frame_1207_shape_group_7_shape_3_horizontal_lines, 91, 2),
        shape(frame_1207_shape_group_7_shape_4_horizontal_lines, 92, 1),
        shape(frame_1207_shape_group_7_shape_5_horizontal_lines, 96, 2),
        shape(frame_1207_shape_group_7_shape_6_horizontal_lines, 100, 1),
        shape(frame_1207_shape_group_7_shape_7_horizontal_lines, 101, 2),
        shape(frame_1207_shape_group_7_shape_8_horizontal_lines, 103, 1),
        shape(frame_1207_shape_group_7_shape_9_horizontal_lines, 104, 2),
        shape(frame_1207_shape_group_7_shape_10_horizontal_lines, 106, 1),
        shape(frame_1207_shape_group_7_shape_11_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(153, 165),
        horizontal_line(150, 167),
        horizontal_line(147, 169),
        horizontal_line(145, 171),
        horizontal_line(142, 172),
        horizontal_line(139, 174),
        horizontal_line(136, 176),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(132, 182),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(145, 181),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(49, 49),
        horizontal_line(49, 50),
        horizontal_line(49, 51),
        horizontal_line(0, 13),
        horizontal_line(49, 54),
        horizontal_line(50, 55),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(50, 57),
        horizontal_line(50, 59),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(126, 133),
        horizontal_line(126, 128),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_1207_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(162, 167),
        horizontal_line(161, 169),
        horizontal_line(115, 126),
        horizontal_line(160, 173),
        horizontal_line(159, 175),
        horizontal_line(159, 177),
    };

    constexpr const shape frame_1207_shape_group_8_shapes[] = {
        shape(frame_1207_shape_group_8_shape_0_horizontal_lines, 79, 3),
        shape(frame_1207_shape_group_8_shape_1_horizontal_lines, 81, 1),
        shape(frame_1207_shape_group_8_shape_2_horizontal_lines, 90, 1),
        shape(frame_1207_shape_group_8_shape_3_horizontal_lines, 91, 4),
        shape(frame_1207_shape_group_8_shape_4_horizontal_lines, 92, 2),
        shape(frame_1207_shape_group_8_shape_5_horizontal_lines, 96, 4),
        shape(frame_1207_shape_group_8_shape_6_horizontal_lines, 97, 2),
        shape(frame_1207_shape_group_8_shape_7_horizontal_lines, 103, 1),
        shape(frame_1207_shape_group_8_shape_8_horizontal_lines, 104, 2),
        shape(frame_1207_shape_group_8_shape_9_horizontal_lines, 107, 1),
        shape(frame_1207_shape_group_8_shape_10_horizontal_lines, 108, 2),
        shape(frame_1207_shape_group_8_shape_11_horizontal_lines, 109, 1),
        shape(frame_1207_shape_group_8_shape_12_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(1, 11),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(171, 181),
        horizontal_line(164, 181),
        horizontal_line(158, 181),
        horizontal_line(151, 181),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(144, 181),
        horizontal_line(144, 180),
        horizontal_line(144, 180),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(49, 52),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(144, 180),
        horizontal_line(144, 180),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(144, 180),
        horizontal_line(144, 179),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(50, 59),
        horizontal_line(0, 15),
        horizontal_line(51, 59),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(132, 139),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(130, 157),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(117, 129),
        horizontal_line(116, 128),
    };

    constexpr const horizontal_line frame_1207_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(161, 171),
    };

    constexpr const shape frame_1207_shape_group_9_shapes[] = {
        shape(frame_1207_shape_group_9_shape_0_horizontal_lines, 79, 1),
        shape(frame_1207_shape_group_9_shape_1_horizontal_lines, 90, 2),
        shape(frame_1207_shape_group_9_shape_2_horizontal_lines, 92, 4),
        shape(frame_1207_shape_group_9_shape_3_horizontal_lines, 97, 4),
        shape(frame_1207_shape_group_9_shape_4_horizontal_lines, 100, 2),
        shape(frame_1207_shape_group_9_shape_5_horizontal_lines, 101, 4),
        shape(frame_1207_shape_group_9_shape_6_horizontal_lines, 103, 2),
        shape(frame_1207_shape_group_9_shape_7_horizontal_lines, 104, 4),
        shape(frame_1207_shape_group_9_shape_8_horizontal_lines, 106, 2),
        shape(frame_1207_shape_group_9_shape_9_horizontal_lines, 111, 1),
        shape(frame_1207_shape_group_9_shape_10_horizontal_lines, 113, 2),
        shape(frame_1207_shape_group_9_shape_11_horizontal_lines, 115, 1),
        shape(frame_1207_shape_group_9_shape_12_horizontal_lines, 116, 2),
        shape(frame_1207_shape_group_9_shape_13_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(144, 180),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(50, 56),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(50, 59),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(51, 59),
        horizontal_line(51, 59),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(51, 60),
        horizontal_line(52, 60),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1207_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(163, 165),
    };

    constexpr const shape frame_1207_shape_group_10_shapes[] = {
        shape(frame_1207_shape_group_10_shape_0_horizontal_lines, 100, 4),
        shape(frame_1207_shape_group_10_shape_1_horizontal_lines, 103, 2),
        shape(frame_1207_shape_group_10_shape_2_horizontal_lines, 106, 4),
        shape(frame_1207_shape_group_10_shape_3_horizontal_lines, 107, 2),
        shape(frame_1207_shape_group_10_shape_4_horizontal_lines, 108, 4),
        shape(frame_1207_shape_group_10_shape_5_horizontal_lines, 109, 2),
        shape(frame_1207_shape_group_10_shape_6_horizontal_lines, 112, 1),
        shape(frame_1207_shape_group_10_shape_7_horizontal_lines, 113, 2),
        shape(frame_1207_shape_group_10_shape_8_horizontal_lines, 115, 1),
        shape(frame_1207_shape_group_10_shape_9_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(144, 180),
    };

    constexpr const horizontal_line frame_1207_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(144, 179),
        horizontal_line(123, 125),
        horizontal_line(144, 179),
        horizontal_line(120, 125),
        horizontal_line(118, 125),
    };

    constexpr const horizontal_line frame_1207_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(51, 60),
        horizontal_line(0, 16),
        horizontal_line(125, 130),
        horizontal_line(121, 130),
        horizontal_line(0, 17),
    };

    constexpr const shape frame_1207_shape_group_11_shapes[] = {
        shape(frame_1207_shape_group_11_shape_0_horizontal_lines, 103, 4),
        shape(frame_1207_shape_group_11_shape_1_horizontal_lines, 106, 4),
        shape(frame_1207_shape_group_11_shape_2_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(144, 179),
    };

    constexpr const horizontal_line frame_1207_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(144, 179),
        horizontal_line(162, 179),
        horizontal_line(117, 125),
    };

    constexpr const horizontal_line frame_1207_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(51, 60),
    };

    constexpr const horizontal_line frame_1207_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(116, 124),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_1207_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(58, 60),
    };

    constexpr const shape frame_1207_shape_group_12_shapes[] = {
        shape(frame_1207_shape_group_12_shape_0_horizontal_lines, 107, 4),
        shape(frame_1207_shape_group_12_shape_1_horizontal_lines, 109, 4),
        shape(frame_1207_shape_group_12_shape_2_horizontal_lines, 112, 2),
        shape(frame_1207_shape_group_12_shape_3_horizontal_lines, 113, 4),
        shape(frame_1207_shape_group_12_shape_4_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_1207_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(118, 129),
    };

    constexpr const shape frame_1207_shape_group_13_shapes[] = {
        shape(frame_1207_shape_group_13_shape_0_horizontal_lines, 112, 2),
        shape(frame_1207_shape_group_13_shape_1_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1207_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(116, 125),
    };

    constexpr const horizontal_line frame_1207_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(116, 117),
    };

    constexpr const shape frame_1207_shape_group_14_shapes[] = {
        shape(frame_1207_shape_group_14_shape_0_horizontal_lines, 112, 4),
        shape(frame_1207_shape_group_14_shape_1_horizontal_lines, 115, 4),
    };

    constexpr const shape_group frame_1207_shape_groups[] = {
        shape_group(frame_1207_shape_group_0_shapes),
        shape_group(frame_1207_shape_group_1_shapes),
        shape_group(frame_1207_shape_group_2_shapes),
        shape_group(frame_1207_shape_group_3_shapes),
        shape_group(frame_1207_shape_group_4_shapes),
        shape_group(frame_1207_shape_group_5_shapes),
        shape_group(frame_1207_shape_group_6_shapes),
        shape_group(frame_1207_shape_group_7_shapes),
        shape_group(frame_1207_shape_group_8_shapes),
        shape_group(frame_1207_shape_group_9_shapes),
        shape_group(frame_1207_shape_group_10_shapes),
        shape_group(frame_1207_shape_group_11_shapes),
        shape_group(frame_1207_shape_group_12_shapes),
        shape_group(frame_1207_shape_group_13_shapes),
        shape_group(frame_1207_shape_group_14_shapes),
    };

    constexpr const frame frame_1207_impl(frame_1207_colors, frame_1207_shape_groups);
} 

const frame& frame_1207()
{
    return frame_1207_impl;
}

namespace
{
    constexpr const bn::color frame_1208_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1208_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1208_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(43, 44),
        horizontal_line(44, 48),
        horizontal_line(45, 52),
        horizontal_line(46, 56),
        horizontal_line(47, 60),
        horizontal_line(48, 64),
        horizontal_line(49, 68),
        horizontal_line(49, 72),
        horizontal_line(50, 76),
        horizontal_line(51, 80),
        horizontal_line(52, 83),
        horizontal_line(53, 87),
        horizontal_line(54, 91),
        horizontal_line(55, 95),
        horizontal_line(55, 99),
        horizontal_line(56, 103),
        horizontal_line(57, 107),
        horizontal_line(58, 111),
        horizontal_line(59, 115),
        horizontal_line(60, 119),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(88, 150),
        horizontal_line(92, 154),
        horizontal_line(96, 157),
        horizontal_line(101, 154),
        horizontal_line(105, 151),
        horizontal_line(110, 147),
        horizontal_line(114, 144),
        horizontal_line(118, 141),
        horizontal_line(123, 138),
        horizontal_line(127, 135),
        horizontal_line(132, 132),
        horizontal_line(131, 133),
        horizontal_line(72, 75),
        horizontal_line(72, 80),
        horizontal_line(72, 85),
        horizontal_line(72, 90),
        horizontal_line(72, 95),
        horizontal_line(73, 100),
        horizontal_line(73, 105),
        horizontal_line(73, 110),
        horizontal_line(73, 116),
        horizontal_line(73, 116),
        horizontal_line(74, 115),
        horizontal_line(79, 114),
        horizontal_line(85, 113),
        horizontal_line(91, 112),
        horizontal_line(97, 111),
        horizontal_line(103, 110),
        horizontal_line(109, 109),
        horizontal_line(109, 110),
        horizontal_line(108, 112),
        horizontal_line(107, 114),
        horizontal_line(73, 79),
        horizontal_line(73, 87),
        horizontal_line(73, 95),
        horizontal_line(73, 103),
        horizontal_line(73, 103),
        horizontal_line(73, 102),
        horizontal_line(73, 102),
        horizontal_line(73, 101),
        horizontal_line(78, 100),
        horizontal_line(85, 100),
        horizontal_line(92, 99),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1208_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(18, 80),
        horizontal_line(26, 88),
        horizontal_line(34, 96),
        horizontal_line(42, 104),
        horizontal_line(50, 112),
        horizontal_line(58, 120),
        horizontal_line(66, 128),
        horizontal_line(74, 136),
        horizontal_line(82, 140),
        horizontal_line(90, 141),
        horizontal_line(98, 143),
        horizontal_line(106, 144),
        horizontal_line(114, 146),
        horizontal_line(122, 147),
        horizontal_line(130, 149),
        horizontal_line(138, 150),
        horizontal_line(146, 152),
    };

    constexpr const horizontal_line frame_1208_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1208_shape_group_0_shapes[] = {
        shape(frame_1208_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_1208_shape_group_0_shape_1_horizontal_lines, 22, 9),
        shape(frame_1208_shape_group_0_shape_2_horizontal_lines, 47, 14),
        shape(frame_1208_shape_group_0_shape_3_horizontal_lines, 123, 9),
        shape(frame_1208_shape_group_0_shape_4_horizontal_lines, 144, 8),
    };

    constexpr const horizontal_line frame_1208_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1208_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(123, 126),
        horizontal_line(124, 130),
        horizontal_line(125, 134),
        horizontal_line(126, 138),
        horizontal_line(127, 142),
        horizontal_line(128, 146),
        horizontal_line(129, 150),
        horizontal_line(222, 239),
        horizontal_line(204, 239),
        horizontal_line(186, 239),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(130, 135),
        horizontal_line(128, 137),
        horizontal_line(127, 139),
        horizontal_line(125, 141),
        horizontal_line(124, 143),
        horizontal_line(122, 145),
        horizontal_line(121, 142),
        horizontal_line(119, 140),
        horizontal_line(118, 138),
        horizontal_line(119, 136),
        horizontal_line(121, 133),
        horizontal_line(123, 131),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_1208_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(56, 61),
        horizontal_line(57, 60),
        horizontal_line(59, 60),
        horizontal_line(59, 59),
        horizontal_line(64, 73),
        horizontal_line(64, 73),
    };

    constexpr const horizontal_line frame_1208_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(107, 116),
        horizontal_line(106, 115),
        horizontal_line(105, 114),
        horizontal_line(105, 113),
        horizontal_line(105, 112),
        horizontal_line(107, 111),
        horizontal_line(109, 110),
        horizontal_line(166, 172),
    };

    constexpr const horizontal_line frame_1208_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(34, 76),
        horizontal_line(31, 83),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(82, 104),
        horizontal_line(79, 111),
        horizontal_line(75, 118),
        horizontal_line(72, 126),
        horizontal_line(80, 127),
        horizontal_line(88, 129),
        horizontal_line(96, 130),
        horizontal_line(104, 132),
        horizontal_line(112, 133),
        horizontal_line(120, 135),
        horizontal_line(128, 136),
        horizontal_line(136, 138),
    };

    constexpr const horizontal_line frame_1208_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1208_shape_group_1_shapes[] = {
        shape(frame_1208_shape_group_1_shape_0_horizontal_lines, 48, 9),
        shape(frame_1208_shape_group_1_shape_1_horizontal_lines, 67, 14),
        shape(frame_1208_shape_group_1_shape_2_horizontal_lines, 104, 9),
        shape(frame_1208_shape_group_1_shape_3_horizontal_lines, 110, 14),
        shape(frame_1208_shape_group_1_shape_4_horizontal_lines, 119, 9),
        shape(frame_1208_shape_group_1_shape_5_horizontal_lines, 135, 8),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(132, 154),
        horizontal_line(136, 158),
        horizontal_line(141, 162),
        horizontal_line(145, 166),
        horizontal_line(150, 163),
        horizontal_line(154, 160),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(14, 39),
        horizontal_line(18, 39),
        horizontal_line(22, 38),
        horizontal_line(25, 38),
        horizontal_line(29, 37),
        horizontal_line(33, 37),
        horizontal_line(37, 37),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(206, 239),
        horizontal_line(214, 239),
        horizontal_line(222, 239),
        horizontal_line(230, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(55, 59),
        horizontal_line(54, 60),
        horizontal_line(54, 60),
        horizontal_line(53, 61),
        horizontal_line(53, 61),
        horizontal_line(54, 73),
        horizontal_line(55, 61),
        horizontal_line(63, 73),
        horizontal_line(63, 73),
        horizontal_line(64, 73),
        horizontal_line(64, 73),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(60, 63),
        horizontal_line(61, 63),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(65, 73),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(140, 155),
        horizontal_line(136, 166),
        horizontal_line(141, 176),
        horizontal_line(146, 186),
        horizontal_line(151, 182),
        horizontal_line(156, 179),
        horizontal_line(161, 175),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(38, 69),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(8, 33),
        horizontal_line(8, 30),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(89, 90),
        horizontal_line(86, 97),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(9, 19),
        horizontal_line(9, 16),
        horizontal_line(9, 12),
        horizontal_line(127, 164),
    };

    constexpr const horizontal_line frame_1208_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(8, 17),
        horizontal_line(6, 25),
        horizontal_line(4, 33),
        horizontal_line(2, 41),
        horizontal_line(1, 49),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 81),
        horizontal_line(62, 89),
        horizontal_line(62, 97),
        horizontal_line(62, 105),
        horizontal_line(62, 113),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
    };

    constexpr const shape frame_1208_shape_group_2_shapes[] = {
        shape(frame_1208_shape_group_2_shape_0_horizontal_lines, 67, 9),
        shape(frame_1208_shape_group_2_shape_1_horizontal_lines, 75, 14),
        shape(frame_1208_shape_group_2_shape_2_horizontal_lines, 84, 9),
        shape(frame_1208_shape_group_2_shape_3_horizontal_lines, 91, 14),
        shape(frame_1208_shape_group_2_shape_4_horizontal_lines, 97, 9),
        shape(frame_1208_shape_group_2_shape_5_horizontal_lines, 108, 8),
        shape(frame_1208_shape_group_2_shape_6_horizontal_lines, 110, 9),
        shape(frame_1208_shape_group_2_shape_7_horizontal_lines, 111, 14),
        shape(frame_1208_shape_group_2_shape_8_horizontal_lines, 118, 9),
        shape(frame_1208_shape_group_2_shape_9_horizontal_lines, 119, 1),
        shape(frame_1208_shape_group_2_shape_10_horizontal_lines, 121, 9),
        shape(frame_1208_shape_group_2_shape_11_horizontal_lines, 123, 1),
        shape(frame_1208_shape_group_2_shape_12_horizontal_lines, 127, 8),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(3, 41),
        horizontal_line(7, 40),
        horizontal_line(11, 40),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 71),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(8, 57),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(56, 58),
        horizontal_line(56, 58),
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(47, 54),
        horizontal_line(48, 53),
        horizontal_line(50, 53),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(4, 45),
        horizontal_line(4, 45),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(63, 73),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 63),
        horizontal_line(60, 63),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(6, 46),
        horizontal_line(6, 47),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(61, 64),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(45, 55),
        horizontal_line(41, 62),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(8, 37),
        horizontal_line(101, 115),
        horizontal_line(101, 114),
        horizontal_line(8, 26),
        horizontal_line(9, 23),
        horizontal_line(105, 112),
        horizontal_line(127, 165),
        horizontal_line(126, 165),
        horizontal_line(218, 239),
        horizontal_line(128, 163),
        horizontal_line(130, 163),
        horizontal_line(131, 162),
        horizontal_line(133, 161),
        horizontal_line(134, 161),
        horizontal_line(136, 160),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(141, 158),
        horizontal_line(142, 158),
        horizontal_line(144, 157),
        horizontal_line(145, 156),
        horizontal_line(147, 156),
        horizontal_line(148, 155),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 137),
        horizontal_line(124, 145),
    };

    constexpr const horizontal_line frame_1208_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(155, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
    };

    constexpr const shape frame_1208_shape_group_3_shapes[] = {
        shape(frame_1208_shape_group_3_shape_0_horizontal_lines, 75, 9),
        shape(frame_1208_shape_group_3_shape_1_horizontal_lines, 78, 14),
        shape(frame_1208_shape_group_3_shape_2_horizontal_lines, 81, 9),
        shape(frame_1208_shape_group_3_shape_3_horizontal_lines, 91, 8),
        shape(frame_1208_shape_group_3_shape_4_horizontal_lines, 92, 9),
        shape(frame_1208_shape_group_3_shape_5_horizontal_lines, 97, 8),
        shape(frame_1208_shape_group_3_shape_6_horizontal_lines, 101, 1),
        shape(frame_1208_shape_group_3_shape_7_horizontal_lines, 103, 9),
        shape(frame_1208_shape_group_3_shape_8_horizontal_lines, 104, 8),
        shape(frame_1208_shape_group_3_shape_9_horizontal_lines, 108, 1),
        shape(frame_1208_shape_group_3_shape_10_horizontal_lines, 110, 8),
        shape(frame_1208_shape_group_3_shape_11_horizontal_lines, 111, 9),
        shape(frame_1208_shape_group_3_shape_12_horizontal_lines, 118, 1),
        shape(frame_1208_shape_group_3_shape_13_horizontal_lines, 133, 8),
        shape(frame_1208_shape_group_3_shape_14_horizontal_lines, 135, 1),
        shape(frame_1208_shape_group_3_shape_15_horizontal_lines, 141, 8),
        shape(frame_1208_shape_group_3_shape_16_horizontal_lines, 144, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 28),
        horizontal_line(1, 32),
        horizontal_line(2, 36),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(2, 7),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(14, 56),
        horizontal_line(20, 40),
        horizontal_line(27, 41),
        horizontal_line(33, 42),
        horizontal_line(39, 43),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(3, 45),
        horizontal_line(3, 45),
        horizontal_line(4, 45),
        horizontal_line(4, 45),
        horizontal_line(116, 120),
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(5, 46),
        horizontal_line(5, 46),
        horizontal_line(5, 46),
        horizontal_line(5, 46),
        horizontal_line(59, 59),
        horizontal_line(59, 60),
        horizontal_line(6, 47),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(7, 47),
        horizontal_line(7, 47),
        horizontal_line(7, 48),
        horizontal_line(7, 44),
        horizontal_line(8, 40),
        horizontal_line(102, 115),
        horizontal_line(130, 169),
        horizontal_line(129, 168),
        horizontal_line(100, 108),
        horizontal_line(100, 113),
        horizontal_line(127, 166),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(137, 160),
        horizontal_line(139, 159),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(159, 199),
        horizontal_line(159, 201),
        horizontal_line(158, 203),
        horizontal_line(157, 205),
        horizontal_line(157, 207),
        horizontal_line(156, 209),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(150, 154),
        horizontal_line(151, 154),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_1208_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(217, 218),
        horizontal_line(218, 220),
        horizontal_line(219, 222),
        horizontal_line(220, 224),
        horizontal_line(221, 225),
        horizontal_line(222, 227),
        horizontal_line(223, 229),
        horizontal_line(223, 231),
        horizontal_line(224, 233),
        horizontal_line(225, 235),
        horizontal_line(226, 237),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_1208_shape_group_4_shapes[] = {
        shape(frame_1208_shape_group_4_shape_0_horizontal_lines, 75, 9),
        shape(frame_1208_shape_group_4_shape_1_horizontal_lines, 84, 8),
        shape(frame_1208_shape_group_4_shape_2_horizontal_lines, 91, 1),
        shape(frame_1208_shape_group_4_shape_3_horizontal_lines, 92, 8),
        shape(frame_1208_shape_group_4_shape_4_horizontal_lines, 97, 1),
        shape(frame_1208_shape_group_4_shape_5_horizontal_lines, 103, 8),
        shape(frame_1208_shape_group_4_shape_6_horizontal_lines, 104, 1),
        shape(frame_1208_shape_group_4_shape_7_horizontal_lines, 111, 8),
        shape(frame_1208_shape_group_4_shape_8_horizontal_lines, 113, 1),
        shape(frame_1208_shape_group_4_shape_9_horizontal_lines, 126, 2),
        shape(frame_1208_shape_group_4_shape_10_horizontal_lines, 127, 1),
        shape(frame_1208_shape_group_4_shape_11_horizontal_lines, 135, 2),
        shape(frame_1208_shape_group_4_shape_12_horizontal_lines, 141, 1),
        shape(frame_1208_shape_group_4_shape_13_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(44, 44),
        horizontal_line(44, 45),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(40, 51),
        horizontal_line(40, 52),
        horizontal_line(39, 52),
        horizontal_line(39, 53),
        horizontal_line(38, 54),
        horizontal_line(38, 55),
        horizontal_line(38, 56),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(136, 182),
        horizontal_line(2, 13),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(42, 56),
        horizontal_line(43, 55),
        horizontal_line(44, 55),
        horizontal_line(46, 54),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(143, 145),
        horizontal_line(141, 145),
        horizontal_line(139, 145),
        horizontal_line(117, 118),
        horizontal_line(134, 145),
        horizontal_line(132, 145),
        horizontal_line(4, 46),
        horizontal_line(113, 145),
        horizontal_line(112, 145),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(111, 121),
        horizontal_line(113, 120),
        horizontal_line(59, 60),
        horizontal_line(6, 47),
        horizontal_line(6, 47),
        horizontal_line(60, 63),
        horizontal_line(60, 63),
        horizontal_line(60, 63),
        horizontal_line(60, 63),
        horizontal_line(63, 63),
        horizontal_line(131, 165),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(110, 113),
        horizontal_line(128, 167),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(165, 183),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(161, 194),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(155, 211),
        horizontal_line(155, 212),
        horizontal_line(154, 214),
    };

    constexpr const shape frame_1208_shape_group_5_shapes[] = {
        shape(frame_1208_shape_group_5_shape_0_horizontal_lines, 76, 8),
        shape(frame_1208_shape_group_5_shape_1_horizontal_lines, 78, 9),
        shape(frame_1208_shape_group_5_shape_2_horizontal_lines, 81, 8),
        shape(frame_1208_shape_group_5_shape_3_horizontal_lines, 91, 1),
        shape(frame_1208_shape_group_5_shape_4_horizontal_lines, 93, 8),
        shape(frame_1208_shape_group_5_shape_5_horizontal_lines, 97, 1),
        shape(frame_1208_shape_group_5_shape_6_horizontal_lines, 124, 2),
        shape(frame_1208_shape_group_5_shape_7_horizontal_lines, 133, 1),
        shape(frame_1208_shape_group_5_shape_8_horizontal_lines, 141, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(43, 46),
        horizontal_line(43, 47),
        horizontal_line(42, 48),
        horizontal_line(42, 48),
        horizontal_line(41, 49),
        horizontal_line(41, 50),
    };

    constexpr const horizontal_line frame_1208_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(148, 177),
        horizontal_line(145, 179),
        horizontal_line(142, 181),
        horizontal_line(139, 183),
        horizontal_line(136, 185),
        horizontal_line(133, 187),
        horizontal_line(134, 189),
        horizontal_line(189, 197),
        horizontal_line(138, 175),
        horizontal_line(2, 19),
        horizontal_line(2, 26),
        horizontal_line(3, 32),
        horizontal_line(3, 38),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(137, 145),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(114, 124),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(127, 145),
        horizontal_line(127, 145),
        horizontal_line(127, 145),
        horizontal_line(127, 145),
        horizontal_line(115, 118),
        horizontal_line(59, 61),
        horizontal_line(60, 62),
        horizontal_line(115, 116),
        horizontal_line(114, 116),
        horizontal_line(104, 104),
        horizontal_line(103, 106),
        horizontal_line(103, 108),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1208_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(129, 167),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(112, 126),
        horizontal_line(119, 125),
    };

    constexpr const horizontal_line frame_1208_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(164, 184),
        horizontal_line(164, 186),
        horizontal_line(163, 188),
        horizontal_line(162, 190),
        horizontal_line(162, 192),
    };

    constexpr const horizontal_line frame_1208_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(161, 196),
        horizontal_line(160, 197),
    };

    constexpr const shape frame_1208_shape_group_6_shapes[] = {
        shape(frame_1208_shape_group_6_shape_0_horizontal_lines, 78, 8),
        shape(frame_1208_shape_group_6_shape_1_horizontal_lines, 84, 1),
        shape(frame_1208_shape_group_6_shape_2_horizontal_lines, 119, 2),
        shape(frame_1208_shape_group_6_shape_3_horizontal_lines, 121, 1),
        shape(frame_1208_shape_group_6_shape_4_horizontal_lines, 123, 2),
        shape(frame_1208_shape_group_6_shape_5_horizontal_lines, 127, 2),
        shape(frame_1208_shape_group_6_shape_6_horizontal_lines, 133, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(161, 169),
        horizontal_line(158, 171),
        horizontal_line(155, 173),
        horizontal_line(152, 175),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(189, 205),
        horizontal_line(140, 168),
        horizontal_line(142, 160),
        horizontal_line(144, 153),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(47, 47),
        horizontal_line(48, 49),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(51, 52),
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(130, 145),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(127, 144),
        horizontal_line(117, 117),
        horizontal_line(116, 116),
        horizontal_line(134, 140),
        horizontal_line(133, 145),
        horizontal_line(113, 116),
        horizontal_line(112, 117),
        horizontal_line(111, 116),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(116, 129),
        horizontal_line(115, 128),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(113, 126),
        horizontal_line(166, 179),
        horizontal_line(166, 181),
    };

    constexpr const shape frame_1208_shape_group_7_shapes[] = {
        shape(frame_1208_shape_group_7_shape_0_horizontal_lines, 79, 1),
        shape(frame_1208_shape_group_7_shape_1_horizontal_lines, 89, 3),
        shape(frame_1208_shape_group_7_shape_2_horizontal_lines, 91, 2),
        shape(frame_1208_shape_group_7_shape_3_horizontal_lines, 92, 1),
        shape(frame_1208_shape_group_7_shape_4_horizontal_lines, 97, 3),
        shape(frame_1208_shape_group_7_shape_5_horizontal_lines, 100, 1),
        shape(frame_1208_shape_group_7_shape_6_horizontal_lines, 101, 3),
        shape(frame_1208_shape_group_7_shape_7_horizontal_lines, 103, 1),
        shape(frame_1208_shape_group_7_shape_8_horizontal_lines, 104, 2),
        shape(frame_1208_shape_group_7_shape_9_horizontal_lines, 106, 1),
        shape(frame_1208_shape_group_7_shape_10_horizontal_lines, 118, 2),
        shape(frame_1208_shape_group_7_shape_11_horizontal_lines, 121, 1),
        shape(frame_1208_shape_group_7_shape_12_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(183, 188),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(189, 213),
        horizontal_line(189, 221),
        horizontal_line(189, 229),
        horizontal_line(189, 238),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(47, 55),
        horizontal_line(47, 56),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(127, 138),
        horizontal_line(127, 132),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(133, 150),
        horizontal_line(132, 155),
        horizontal_line(131, 160),
    };

    constexpr const horizontal_line frame_1208_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(116, 130),
        horizontal_line(170, 170),
        horizontal_line(169, 171),
        horizontal_line(0, 7),
        horizontal_line(114, 127),
        horizontal_line(167, 177),
    };

    constexpr const shape frame_1208_shape_group_8_shapes[] = {
        shape(frame_1208_shape_group_8_shape_0_horizontal_lines, 91, 4),
        shape(frame_1208_shape_group_8_shape_1_horizontal_lines, 92, 2),
        shape(frame_1208_shape_group_8_shape_2_horizontal_lines, 93, 1),
        shape(frame_1208_shape_group_8_shape_3_horizontal_lines, 97, 2),
        shape(frame_1208_shape_group_8_shape_4_horizontal_lines, 100, 3),
        shape(frame_1208_shape_group_8_shape_5_horizontal_lines, 101, 2),
        shape(frame_1208_shape_group_8_shape_6_horizontal_lines, 103, 1),
        shape(frame_1208_shape_group_8_shape_7_horizontal_lines, 104, 2),
        shape(frame_1208_shape_group_8_shape_8_horizontal_lines, 110, 1),
        shape(frame_1208_shape_group_8_shape_9_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(176, 188),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(41, 41),
        horizontal_line(42, 42),
        horizontal_line(43, 43),
        horizontal_line(44, 45),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(146, 188),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(46, 47),
        horizontal_line(0, 3),
        horizontal_line(46, 50),
        horizontal_line(46, 52),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(146, 187),
        horizontal_line(146, 187),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(47, 58),
        horizontal_line(47, 58),
        horizontal_line(47, 58),
        horizontal_line(48, 58),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(114, 128),
        horizontal_line(168, 175),
    };

    constexpr const shape frame_1208_shape_group_9_shapes[] = {
        shape(frame_1208_shape_group_9_shape_0_horizontal_lines, 92, 4),
        shape(frame_1208_shape_group_9_shape_1_horizontal_lines, 93, 3),
        shape(frame_1208_shape_group_9_shape_2_horizontal_lines, 97, 4),
        shape(frame_1208_shape_group_9_shape_3_horizontal_lines, 98, 2),
        shape(frame_1208_shape_group_9_shape_4_horizontal_lines, 103, 3),
        shape(frame_1208_shape_group_9_shape_5_horizontal_lines, 104, 4),
        shape(frame_1208_shape_group_9_shape_6_horizontal_lines, 106, 2),
        shape(frame_1208_shape_group_9_shape_7_horizontal_lines, 111, 1),
        shape(frame_1208_shape_group_9_shape_8_horizontal_lines, 113, 2),
        shape(frame_1208_shape_group_9_shape_9_horizontal_lines, 115, 1),
        shape(frame_1208_shape_group_9_shape_10_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(146, 188),
        horizontal_line(146, 187),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(46, 49),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(146, 187),
        horizontal_line(146, 187),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(124, 126),
        horizontal_line(122, 126),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(48, 58),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(48, 59),
        horizontal_line(48, 59),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1208_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(168, 173),
    };

    constexpr const shape frame_1208_shape_group_10_shapes[] = {
        shape(frame_1208_shape_group_10_shape_0_horizontal_lines, 93, 2),
        shape(frame_1208_shape_group_10_shape_1_horizontal_lines, 98, 4),
        shape(frame_1208_shape_group_10_shape_2_horizontal_lines, 100, 2),
        shape(frame_1208_shape_group_10_shape_3_horizontal_lines, 101, 4),
        shape(frame_1208_shape_group_10_shape_4_horizontal_lines, 103, 2),
        shape(frame_1208_shape_group_10_shape_5_horizontal_lines, 106, 4),
        shape(frame_1208_shape_group_10_shape_6_horizontal_lines, 110, 2),
        shape(frame_1208_shape_group_10_shape_7_horizontal_lines, 112, 1),
        shape(frame_1208_shape_group_10_shape_8_horizontal_lines, 113, 2),
        shape(frame_1208_shape_group_10_shape_9_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(169, 188),
        horizontal_line(161, 188),
        horizontal_line(154, 188),
        horizontal_line(147, 188),
    };

    constexpr const horizontal_line frame_1208_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(146, 187),
    };

    constexpr const horizontal_line frame_1208_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(47, 53),
    };

    constexpr const horizontal_line frame_1208_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(146, 187),
        horizontal_line(146, 186),
        horizontal_line(146, 186),
        horizontal_line(146, 186),
        horizontal_line(119, 126),
    };

    constexpr const horizontal_line frame_1208_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(48, 58),
        horizontal_line(0, 5),
        horizontal_line(129, 133),
        horizontal_line(124, 132),
        horizontal_line(49, 59),
        horizontal_line(56, 59),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1208_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const shape frame_1208_shape_group_11_shapes[] = {
        shape(frame_1208_shape_group_11_shape_0_horizontal_lines, 93, 4),
        shape(frame_1208_shape_group_11_shape_1_horizontal_lines, 100, 4),
        shape(frame_1208_shape_group_11_shape_2_horizontal_lines, 103, 2),
        shape(frame_1208_shape_group_11_shape_3_horizontal_lines, 106, 4),
        shape(frame_1208_shape_group_11_shape_4_horizontal_lines, 111, 2),
        shape(frame_1208_shape_group_11_shape_5_horizontal_lines, 121, 4),
    };

    constexpr const horizontal_line frame_1208_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(146, 187),
    };

    constexpr const horizontal_line frame_1208_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(146, 186),
        horizontal_line(118, 126),
    };

    constexpr const horizontal_line frame_1208_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(48, 59),
    };

    constexpr const horizontal_line frame_1208_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(117, 126),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_1208_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(119, 132),
        horizontal_line(64, 64),
        horizontal_line(117, 130),
    };

    constexpr const shape frame_1208_shape_group_12_shapes[] = {
        shape(frame_1208_shape_group_12_shape_0_horizontal_lines, 103, 4),
        shape(frame_1208_shape_group_12_shape_1_horizontal_lines, 110, 4),
        shape(frame_1208_shape_group_12_shape_2_horizontal_lines, 112, 2),
        shape(frame_1208_shape_group_12_shape_3_horizontal_lines, 113, 4),
        shape(frame_1208_shape_group_12_shape_4_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(156, 186),
        horizontal_line(117, 126),
        horizontal_line(177, 186),
    };

    constexpr const horizontal_line frame_1208_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_1208_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(118, 131),
    };

    constexpr const shape frame_1208_shape_group_13_shapes[] = {
        shape(frame_1208_shape_group_13_shape_0_horizontal_lines, 111, 4),
        shape(frame_1208_shape_group_13_shape_1_horizontal_lines, 115, 4),
        shape(frame_1208_shape_group_13_shape_2_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1208_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(167, 186),
    };

    constexpr const shape frame_1208_shape_group_14_shapes[] = {
        shape(frame_1208_shape_group_14_shape_0_horizontal_lines, 112, 4),
    };

    constexpr const shape_group frame_1208_shape_groups[] = {
        shape_group(frame_1208_shape_group_0_shapes),
        shape_group(frame_1208_shape_group_1_shapes),
        shape_group(frame_1208_shape_group_2_shapes),
        shape_group(frame_1208_shape_group_3_shapes),
        shape_group(frame_1208_shape_group_4_shapes),
        shape_group(frame_1208_shape_group_5_shapes),
        shape_group(frame_1208_shape_group_6_shapes),
        shape_group(frame_1208_shape_group_7_shapes),
        shape_group(frame_1208_shape_group_8_shapes),
        shape_group(frame_1208_shape_group_9_shapes),
        shape_group(frame_1208_shape_group_10_shapes),
        shape_group(frame_1208_shape_group_11_shapes),
        shape_group(frame_1208_shape_group_12_shapes),
        shape_group(frame_1208_shape_group_13_shapes),
        shape_group(frame_1208_shape_group_14_shapes),
    };

    constexpr const frame frame_1208_impl(frame_1208_colors, frame_1208_shape_groups);
} 

const frame& frame_1208()
{
    return frame_1208_impl;
}

namespace
{
    constexpr const bn::color frame_1209_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1209_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(1, 32),
    };

    constexpr const horizontal_line frame_1209_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(36, 38),
        horizontal_line(37, 42),
        horizontal_line(38, 46),
        horizontal_line(39, 50),
        horizontal_line(40, 54),
        horizontal_line(41, 58),
        horizontal_line(42, 62),
    };

    constexpr const horizontal_line frame_1209_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(4, 36),
        horizontal_line(8, 35),
        horizontal_line(12, 35),
        horizontal_line(16, 34),
        horizontal_line(20, 34),
        horizontal_line(24, 33),
        horizontal_line(28, 33),
        horizontal_line(33, 33),
        horizontal_line(56, 56),
        horizontal_line(56, 57),
        horizontal_line(55, 57),
        horizontal_line(55, 58),
        horizontal_line(54, 58),
        horizontal_line(54, 59),
        horizontal_line(53, 59),
        horizontal_line(53, 60),
        horizontal_line(52, 60),
        horizontal_line(52, 61),
        horizontal_line(52, 72),
        horizontal_line(53, 61),
        horizontal_line(54, 61),
        horizontal_line(55, 60),
        horizontal_line(56, 60),
        horizontal_line(57, 59),
        horizontal_line(57, 59),
        horizontal_line(58, 58),
        horizontal_line(64, 73),
    };

    constexpr const horizontal_line frame_1209_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(73, 78),
    };

    constexpr const horizontal_line frame_1209_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(63, 64),
        horizontal_line(63, 64),
        horizontal_line(63, 64),
        horizontal_line(63, 64),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(43, 51),
        horizontal_line(40, 58),
        horizontal_line(37, 65),
        horizontal_line(34, 72),
        horizontal_line(31, 79),
        horizontal_line(28, 86),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(18, 80),
        horizontal_line(27, 89),
        horizontal_line(36, 98),
        horizontal_line(44, 106),
        horizontal_line(53, 115),
        horizontal_line(62, 124),
        horizontal_line(71, 133),
        horizontal_line(80, 142),
        horizontal_line(88, 146),
        horizontal_line(97, 148),
        horizontal_line(106, 149),
        horizontal_line(115, 150),
        horizontal_line(123, 152),
        horizontal_line(132, 153),
        horizontal_line(141, 155),
        horizontal_line(150, 156),
    };

    constexpr const horizontal_line frame_1209_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1209_shape_group_0_shapes[] = {
        shape(frame_1209_shape_group_0_shape_0_horizontal_lines, 23, 9),
        shape(frame_1209_shape_group_0_shape_1_horizontal_lines, 44, 14),
        shape(frame_1209_shape_group_0_shape_2_horizontal_lines, 51, 9),
        shape(frame_1209_shape_group_0_shape_3_horizontal_lines, 110, 14),
        shape(frame_1209_shape_group_0_shape_4_horizontal_lines, 111, 9),
        shape(frame_1209_shape_group_0_shape_5_horizontal_lines, 150, 8),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(43, 66),
        horizontal_line(44, 70),
        horizontal_line(45, 74),
        horizontal_line(46, 78),
        horizontal_line(47, 82),
        horizontal_line(48, 86),
        horizontal_line(49, 90),
        horizontal_line(50, 94),
        horizontal_line(50, 98),
        horizontal_line(51, 103),
        horizontal_line(52, 107),
        horizontal_line(53, 111),
        horizontal_line(54, 115),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(42, 64),
        horizontal_line(43, 64),
        horizontal_line(44, 65),
        horizontal_line(45, 65),
        horizontal_line(46, 65),
        horizontal_line(47, 66),
        horizontal_line(48, 66),
        horizontal_line(49, 67),
        horizontal_line(50, 67),
        horizontal_line(51, 67),
        horizontal_line(52, 68),
        horizontal_line(53, 68),
        horizontal_line(54, 68),
        horizontal_line(55, 69),
        horizontal_line(56, 69),
        horizontal_line(57, 70),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(71, 75),
        horizontal_line(71, 81),
        horizontal_line(71, 87),
        horizontal_line(71, 93),
        horizontal_line(72, 99),
        horizontal_line(72, 105),
        horizontal_line(72, 111),
        horizontal_line(72, 117),
        horizontal_line(72, 117),
        horizontal_line(73, 116),
        horizontal_line(78, 115),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(108, 115),
        horizontal_line(108, 117),
        horizontal_line(73, 84),
        horizontal_line(73, 90),
        horizontal_line(73, 96),
        horizontal_line(73, 103),
        horizontal_line(73, 103),
        horizontal_line(73, 102),
        horizontal_line(73, 102),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(66, 71),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(85, 100),
        horizontal_line(92, 99),
        horizontal_line(99, 99),
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(87, 93),
        horizontal_line(84, 100),
        horizontal_line(81, 107),
        horizontal_line(78, 114),
        horizontal_line(75, 121),
        horizontal_line(72, 128),
        horizontal_line(69, 129),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(71, 133),
        horizontal_line(80, 135),
        horizontal_line(89, 136),
        horizontal_line(98, 138),
        horizontal_line(106, 139),
        horizontal_line(115, 140),
        horizontal_line(124, 142),
        horizontal_line(133, 143),
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_1209_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1209_shape_group_1_shapes[] = {
        shape(frame_1209_shape_group_1_shape_0_horizontal_lines, 51, 14),
        shape(frame_1209_shape_group_1_shape_1_horizontal_lines, 75, 9),
        shape(frame_1209_shape_group_1_shape_2_horizontal_lines, 91, 14),
        shape(frame_1209_shape_group_1_shape_3_horizontal_lines, 102, 9),
        shape(frame_1209_shape_group_1_shape_4_horizontal_lines, 109, 14),
        shape(frame_1209_shape_group_1_shape_5_horizontal_lines, 118, 9),
        shape(frame_1209_shape_group_1_shape_6_horizontal_lines, 120, 14),
        shape(frame_1209_shape_group_1_shape_7_horizontal_lines, 124, 9),
        shape(frame_1209_shape_group_1_shape_8_horizontal_lines, 142, 8),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(117, 119),
        horizontal_line(118, 123),
        horizontal_line(119, 127),
        horizontal_line(120, 131),
        horizontal_line(121, 135),
        horizontal_line(122, 139),
        horizontal_line(123, 143),
        horizontal_line(124, 147),
        horizontal_line(125, 151),
        horizontal_line(126, 155),
        horizontal_line(127, 159),
        horizontal_line(68, 130),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(87, 149),
        horizontal_line(92, 154),
        horizontal_line(96, 158),
        horizontal_line(101, 156),
        horizontal_line(106, 153),
        horizontal_line(110, 150),
        horizontal_line(115, 147),
        horizontal_line(120, 143),
        horizontal_line(124, 140),
        horizontal_line(129, 137),
        horizontal_line(134, 134),
        horizontal_line(133, 135),
        horizontal_line(131, 137),
        horizontal_line(129, 139),
        horizontal_line(127, 141),
        horizontal_line(126, 143),
        horizontal_line(124, 145),
        horizontal_line(122, 148),
        horizontal_line(120, 145),
        horizontal_line(119, 142),
        horizontal_line(119, 140),
        horizontal_line(121, 137),
        horizontal_line(123, 134),
        horizontal_line(84, 114),
        horizontal_line(91, 113),
        horizontal_line(97, 112),
        horizontal_line(103, 111),
        horizontal_line(110, 110),
        horizontal_line(110, 111),
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(107, 116),
        horizontal_line(106, 115),
        horizontal_line(105, 114),
        horizontal_line(105, 113),
        horizontal_line(106, 112),
        horizontal_line(108, 111),
        horizontal_line(151, 193),
        horizontal_line(73, 101),
        horizontal_line(78, 100),
        horizontal_line(164, 184),
        horizontal_line(168, 181),
        horizontal_line(172, 178),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(87, 92),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(101, 106),
        horizontal_line(108, 113),
        horizontal_line(115, 118),
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(125, 132),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_1209_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 26),
        horizontal_line(0, 35),
        horizontal_line(0, 43),
        horizontal_line(0, 52),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 87),
        horizontal_line(62, 96),
        horizontal_line(62, 105),
        horizontal_line(62, 114),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 158),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
    };

    constexpr const shape frame_1209_shape_group_2_shapes[] = {
        shape(frame_1209_shape_group_2_shape_0_horizontal_lines, 64, 14),
        shape(frame_1209_shape_group_2_shape_1_horizontal_lines, 109, 8),
        shape(frame_1209_shape_group_2_shape_2_horizontal_lines, 110, 14),
        shape(frame_1209_shape_group_2_shape_3_horizontal_lines, 123, 8),
        shape(frame_1209_shape_group_2_shape_4_horizontal_lines, 124, 14),
        shape(frame_1209_shape_group_2_shape_5_horizontal_lines, 125, 8),
        shape(frame_1209_shape_group_2_shape_6_horizontal_lines, 129, 1),
        shape(frame_1209_shape_group_2_shape_7_horizontal_lines, 131, 9),
        shape(frame_1209_shape_group_2_shape_8_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(130, 163),
        horizontal_line(135, 167),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(205, 239),
        horizontal_line(212, 239),
        horizontal_line(219, 239),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(47, 52),
        horizontal_line(48, 51),
        horizontal_line(50, 51),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(126, 129),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(60, 63),
        horizontal_line(60, 63),
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(60, 64),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(144, 153),
        horizontal_line(142, 160),
        horizontal_line(139, 167),
        horizontal_line(138, 173),
        horizontal_line(142, 180),
        horizontal_line(146, 187),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(155, 190),
        horizontal_line(159, 187),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(66, 72),
        horizontal_line(73, 79),
        horizontal_line(80, 86),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(94, 99),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(129, 171),
        horizontal_line(130, 170),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(136, 167),
        horizontal_line(137, 167),
        horizontal_line(139, 166),
        horizontal_line(140, 165),
        horizontal_line(141, 165),
        horizontal_line(143, 164),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 79),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(147, 162),
        horizontal_line(149, 161),
        horizontal_line(150, 161),
        horizontal_line(151, 160),
        horizontal_line(153, 159),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(124, 140),
        horizontal_line(124, 149),
    };

    constexpr const horizontal_line frame_1209_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
    };

    constexpr const shape frame_1209_shape_group_3_shapes[] = {
        shape(frame_1209_shape_group_3_shape_0_horizontal_lines, 75, 14),
        shape(frame_1209_shape_group_3_shape_1_horizontal_lines, 98, 8),
        shape(frame_1209_shape_group_3_shape_2_horizontal_lines, 101, 1),
        shape(frame_1209_shape_group_3_shape_3_horizontal_lines, 102, 14),
        shape(frame_1209_shape_group_3_shape_4_horizontal_lines, 104, 8),
        shape(frame_1209_shape_group_3_shape_5_horizontal_lines, 109, 1),
        shape(frame_1209_shape_group_3_shape_6_horizontal_lines, 110, 8),
        shape(frame_1209_shape_group_3_shape_7_horizontal_lines, 111, 14),
        shape(frame_1209_shape_group_3_shape_8_horizontal_lines, 117, 1),
        shape(frame_1209_shape_group_3_shape_9_horizontal_lines, 118, 14),
        shape(frame_1209_shape_group_3_shape_10_horizontal_lines, 120, 8),
        shape(frame_1209_shape_group_3_shape_11_horizontal_lines, 123, 1),
        shape(frame_1209_shape_group_3_shape_12_horizontal_lines, 124, 8),
        shape(frame_1209_shape_group_3_shape_13_horizontal_lines, 125, 1),
        shape(frame_1209_shape_group_3_shape_14_horizontal_lines, 132, 8),
        shape(frame_1209_shape_group_3_shape_15_horizontal_lines, 134, 1),
        shape(frame_1209_shape_group_3_shape_16_horizontal_lines, 140, 8),
        shape(frame_1209_shape_group_3_shape_17_horizontal_lines, 142, 1),
        shape(frame_1209_shape_group_3_shape_18_horizontal_lines, 147, 8),
        shape(frame_1209_shape_group_3_shape_19_horizontal_lines, 150, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(40, 41),
        horizontal_line(40, 42),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(140, 172),
        horizontal_line(144, 169),
        horizontal_line(149, 166),
        horizontal_line(154, 163),
        horizontal_line(158, 160),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(37, 48),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 32),
        horizontal_line(0, 55),
        horizontal_line(0, 35),
        horizontal_line(1, 36),
        horizontal_line(11, 37),
        horizontal_line(21, 38),
        horizontal_line(31, 39),
        horizontal_line(45, 52),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(57, 58),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(61, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(52, 58),
        horizontal_line(59, 65),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(102, 106),
        horizontal_line(0, 24),
        horizontal_line(107, 112),
        horizontal_line(129, 173),
        horizontal_line(129, 172),
        horizontal_line(128, 171),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(131, 169),
        horizontal_line(133, 169),
        horizontal_line(134, 168),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(168, 197),
        horizontal_line(167, 199),
        horizontal_line(166, 201),
        horizontal_line(166, 203),
        horizontal_line(165, 204),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(144, 163),
        horizontal_line(146, 163),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(163, 210),
        horizontal_line(162, 212),
        horizontal_line(162, 213),
        horizontal_line(161, 215),
        horizontal_line(160, 217),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(154, 159),
        horizontal_line(156, 158),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_1209_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(221, 224),
        horizontal_line(221, 226),
        horizontal_line(222, 228),
        horizontal_line(223, 230),
        horizontal_line(224, 231),
        horizontal_line(225, 233),
        horizontal_line(226, 235),
        horizontal_line(227, 237),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_1209_shape_group_4_shapes[] = {
        shape(frame_1209_shape_group_4_shape_0_horizontal_lines, 75, 8),
        shape(frame_1209_shape_group_4_shape_1_horizontal_lines, 77, 14),
        shape(frame_1209_shape_group_4_shape_2_horizontal_lines, 82, 8),
        shape(frame_1209_shape_group_4_shape_3_horizontal_lines, 98, 1),
        shape(frame_1209_shape_group_4_shape_4_horizontal_lines, 102, 8),
        shape(frame_1209_shape_group_4_shape_5_horizontal_lines, 104, 1),
        shape(frame_1209_shape_group_4_shape_6_horizontal_lines, 111, 8),
        shape(frame_1209_shape_group_4_shape_7_horizontal_lines, 113, 1),
        shape(frame_1209_shape_group_4_shape_8_horizontal_lines, 118, 8),
        shape(frame_1209_shape_group_4_shape_9_horizontal_lines, 120, 1),
        shape(frame_1209_shape_group_4_shape_10_horizontal_lines, 135, 2),
        shape(frame_1209_shape_group_4_shape_11_horizontal_lines, 140, 1),
        shape(frame_1209_shape_group_4_shape_12_horizontal_lines, 142, 2),
        shape(frame_1209_shape_group_4_shape_13_horizontal_lines, 147, 1),
        shape(frame_1209_shape_group_4_shape_14_horizontal_lines, 150, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(38, 46),
        horizontal_line(37, 47),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(157, 181),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(37, 49),
        horizontal_line(36, 50),
        horizontal_line(36, 51),
        horizontal_line(35, 52),
        horizontal_line(35, 53),
        horizontal_line(34, 54),
        horizontal_line(34, 55),
        horizontal_line(34, 56),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(138, 198),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(37, 55),
        horizontal_line(38, 54),
        horizontal_line(40, 54),
        horizontal_line(42, 53),
        horizontal_line(43, 53),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(143, 148),
        horizontal_line(118, 118),
        horizontal_line(117, 120),
        horizontal_line(135, 148),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(113, 147),
        horizontal_line(112, 126),
        horizontal_line(111, 124),
        horizontal_line(112, 123),
        horizontal_line(57, 57),
        horizontal_line(116, 119),
        horizontal_line(58, 59),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(58, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 62),
        horizontal_line(103, 118),
        horizontal_line(0, 42),
        horizontal_line(0, 39),
        horizontal_line(101, 108),
        horizontal_line(100, 108),
        horizontal_line(100, 107),
        horizontal_line(109, 114),
        horizontal_line(108, 113),
        horizontal_line(130, 173),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(172, 186),
        horizontal_line(171, 188),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(168, 195),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(164, 206),
        horizontal_line(164, 208),
    };

    constexpr const horizontal_line frame_1209_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(160, 219),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
    };

    constexpr const shape frame_1209_shape_group_5_shapes[] = {
        shape(frame_1209_shape_group_5_shape_0_horizontal_lines, 77, 14),
        shape(frame_1209_shape_group_5_shape_1_horizontal_lines, 80, 8),
        shape(frame_1209_shape_group_5_shape_2_horizontal_lines, 82, 1),
        shape(frame_1209_shape_group_5_shape_3_horizontal_lines, 83, 8),
        shape(frame_1209_shape_group_5_shape_4_horizontal_lines, 91, 1),
        shape(frame_1209_shape_group_5_shape_5_horizontal_lines, 92, 8),
        shape(frame_1209_shape_group_5_shape_6_horizontal_lines, 97, 1),
        shape(frame_1209_shape_group_5_shape_7_horizontal_lines, 129, 2),
        shape(frame_1209_shape_group_5_shape_8_horizontal_lines, 131, 1),
        shape(frame_1209_shape_group_5_shape_9_horizontal_lines, 134, 2),
        shape(frame_1209_shape_group_5_shape_10_horizontal_lines, 140, 2),
        shape(frame_1209_shape_group_5_shape_11_horizontal_lines, 147, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(39, 43),
        horizontal_line(39, 44),
        horizontal_line(38, 45),
    };

    constexpr const horizontal_line frame_1209_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(164, 177),
        horizontal_line(161, 179),
    };

    constexpr const horizontal_line frame_1209_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(154, 183),
        horizontal_line(151, 185),
        horizontal_line(148, 186),
        horizontal_line(144, 188),
        horizontal_line(141, 190),
        horizontal_line(138, 192),
        horizontal_line(135, 194),
        horizontal_line(136, 196),
    };

    constexpr const horizontal_line frame_1209_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(140, 189),
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
        horizontal_line(0, 30),
        horizontal_line(146, 148),
        horizontal_line(197, 239),
        horizontal_line(141, 148),
        horizontal_line(138, 148),
        horizontal_line(197, 239),
        horizontal_line(115, 123),
        horizontal_line(114, 125),
        horizontal_line(196, 239),
        horizontal_line(128, 147),
        horizontal_line(128, 147),
        horizontal_line(128, 147),
        horizontal_line(114, 121),
        horizontal_line(128, 147),
        horizontal_line(118, 118),
        horizontal_line(58, 60),
        horizontal_line(58, 61),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(104, 105),
        horizontal_line(103, 107),
        horizontal_line(135, 150),
        horizontal_line(60, 63),
        horizontal_line(101, 109),
        horizontal_line(111, 116),
        horizontal_line(110, 115),
        horizontal_line(109, 114),
        horizontal_line(131, 175),
        horizontal_line(131, 174),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(114, 128),
        horizontal_line(119, 128),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_1209_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(170, 190),
        horizontal_line(170, 192),
        horizontal_line(169, 194),
    };

    constexpr const horizontal_line frame_1209_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(221, 221),
        horizontal_line(220, 222),
    };

    constexpr const shape frame_1209_shape_group_6_shapes[] = {
        shape(frame_1209_shape_group_6_shape_0_horizontal_lines, 77, 8),
        shape(frame_1209_shape_group_6_shape_1_horizontal_lines, 80, 1),
        shape(frame_1209_shape_group_6_shape_2_horizontal_lines, 83, 1),
        shape(frame_1209_shape_group_6_shape_3_horizontal_lines, 92, 1),
        shape(frame_1209_shape_group_6_shape_4_horizontal_lines, 126, 2),
        shape(frame_1209_shape_group_6_shape_5_horizontal_lines, 131, 2),
        shape(frame_1209_shape_group_6_shape_6_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 173),
        horizontal_line(167, 175),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(198, 204),
        horizontal_line(142, 179),
        horizontal_line(144, 169),
        horizontal_line(146, 159),
        horizontal_line(149, 149),
        horizontal_line(197, 238),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(43, 46),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(48, 51),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(133, 148),
        horizontal_line(130, 148),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(128, 147),
        horizontal_line(195, 239),
        horizontal_line(128, 146),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
        horizontal_line(128, 131),
        horizontal_line(137, 137),
        horizontal_line(113, 116),
        horizontal_line(112, 116),
        horizontal_line(194, 239),
        horizontal_line(102, 117),
        horizontal_line(111, 116),
        horizontal_line(133, 163),
        horizontal_line(132, 167),
        horizontal_line(132, 171),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(113, 129),
        horizontal_line(174, 181),
        horizontal_line(173, 183),
        horizontal_line(172, 185),
    };

    constexpr const shape frame_1209_shape_group_7_shapes[] = {
        shape(frame_1209_shape_group_7_shape_0_horizontal_lines, 78, 1),
        shape(frame_1209_shape_group_7_shape_1_horizontal_lines, 92, 1),
        shape(frame_1209_shape_group_7_shape_2_horizontal_lines, 98, 3),
        shape(frame_1209_shape_group_7_shape_3_horizontal_lines, 99, 1),
        shape(frame_1209_shape_group_7_shape_4_horizontal_lines, 101, 3),
        shape(frame_1209_shape_group_7_shape_5_horizontal_lines, 102, 1),
        shape(frame_1209_shape_group_7_shape_6_horizontal_lines, 104, 3),
        shape(frame_1209_shape_group_7_shape_7_horizontal_lines, 105, 1),
        shape(frame_1209_shape_group_7_shape_8_horizontal_lines, 125, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(36, 36),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(198, 211),
        horizontal_line(198, 218),
        horizontal_line(198, 224),
        horizontal_line(198, 231),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(42, 44),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(149, 196),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(45, 47),
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(149, 196),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(148, 195),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(128, 141),
        horizontal_line(128, 136),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(136, 141),
        horizontal_line(135, 145),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(46, 58),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(134, 154),
        horizontal_line(134, 158),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(106, 107),
        horizontal_line(174, 179),
    };

    constexpr const shape frame_1209_shape_group_8_shapes[] = {
        shape(frame_1209_shape_group_8_shape_0_horizontal_lines, 92, 3),
        shape(frame_1209_shape_group_8_shape_1_horizontal_lines, 93, 1),
        shape(frame_1209_shape_group_8_shape_2_horizontal_lines, 97, 3),
        shape(frame_1209_shape_group_8_shape_3_horizontal_lines, 98, 4),
        shape(frame_1209_shape_group_8_shape_4_horizontal_lines, 99, 3),
        shape(frame_1209_shape_group_8_shape_5_horizontal_lines, 101, 4),
        shape(frame_1209_shape_group_8_shape_6_horizontal_lines, 102, 1),
        shape(frame_1209_shape_group_8_shape_7_horizontal_lines, 104, 4),
        shape(frame_1209_shape_group_8_shape_8_horizontal_lines, 105, 3),
        shape(frame_1209_shape_group_8_shape_9_horizontal_lines, 106, 4),
        shape(frame_1209_shape_group_8_shape_10_horizontal_lines, 108, 1),
        shape(frame_1209_shape_group_8_shape_11_horizontal_lines, 109, 4),
        shape(frame_1209_shape_group_8_shape_12_horizontal_lines, 110, 1),
        shape(frame_1209_shape_group_8_shape_13_horizontal_lines, 117, 2),
        shape(frame_1209_shape_group_8_shape_14_horizontal_lines, 118, 1),
        shape(frame_1209_shape_group_8_shape_15_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(190, 197),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(37, 37),
        horizontal_line(38, 39),
        horizontal_line(39, 41),
        horizontal_line(40, 42),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(149, 196),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(42, 42),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(149, 196),
        horizontal_line(149, 196),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(42, 47),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(52, 53),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(43, 52),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(148, 195),
        horizontal_line(148, 194),
        horizontal_line(122, 127),
        horizontal_line(148, 194),
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(118, 127),
        horizontal_line(118, 127),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_1209_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(115, 130),
        horizontal_line(114, 130),
    };

    constexpr const shape frame_1209_shape_group_9_shapes[] = {
        shape(frame_1209_shape_group_9_shape_0_horizontal_lines, 92, 4),
        shape(frame_1209_shape_group_9_shape_1_horizontal_lines, 93, 3),
        shape(frame_1209_shape_group_9_shape_2_horizontal_lines, 97, 4),
        shape(frame_1209_shape_group_9_shape_3_horizontal_lines, 98, 2),
        shape(frame_1209_shape_group_9_shape_4_horizontal_lines, 99, 4),
        shape(frame_1209_shape_group_9_shape_5_horizontal_lines, 101, 2),
        shape(frame_1209_shape_group_9_shape_6_horizontal_lines, 102, 3),
        shape(frame_1209_shape_group_9_shape_7_horizontal_lines, 104, 2),
        shape(frame_1209_shape_group_9_shape_8_horizontal_lines, 105, 4),
        shape(frame_1209_shape_group_9_shape_9_horizontal_lines, 111, 1),
        shape(frame_1209_shape_group_9_shape_10_horizontal_lines, 113, 4),
        shape(frame_1209_shape_group_9_shape_11_horizontal_lines, 115, 1),
        shape(frame_1209_shape_group_9_shape_12_horizontal_lines, 117, 2),
        shape(frame_1209_shape_group_9_shape_13_horizontal_lines, 118, 1),
        shape(frame_1209_shape_group_9_shape_14_horizontal_lines, 120, 4),
        shape(frame_1209_shape_group_9_shape_15_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(180, 197),
        horizontal_line(170, 197),
        horizontal_line(160, 197),
        horizontal_line(150, 197),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(42, 44),
        horizontal_line(42, 46),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(149, 195),
        horizontal_line(149, 195),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(148, 195),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(43, 56),
        horizontal_line(44, 56),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(148, 194),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(44, 56),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(148, 194),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(168, 193),
        horizontal_line(174, 193),
        horizontal_line(117, 123),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(119, 134),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_1209_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(117, 132),
        horizontal_line(116, 131),
        horizontal_line(115, 131),
        horizontal_line(176, 176),
        horizontal_line(175, 177),
    };

    constexpr const shape frame_1209_shape_group_10_shapes[] = {
        shape(frame_1209_shape_group_10_shape_0_horizontal_lines, 93, 4),
        shape(frame_1209_shape_group_10_shape_1_horizontal_lines, 99, 2),
        shape(frame_1209_shape_group_10_shape_2_horizontal_lines, 102, 4),
        shape(frame_1209_shape_group_10_shape_3_horizontal_lines, 105, 4),
        shape(frame_1209_shape_group_10_shape_4_horizontal_lines, 106, 2),
        shape(frame_1209_shape_group_10_shape_5_horizontal_lines, 108, 4),
        shape(frame_1209_shape_group_10_shape_6_horizontal_lines, 109, 2),
        shape(frame_1209_shape_group_10_shape_7_horizontal_lines, 110, 4),
        shape(frame_1209_shape_group_10_shape_8_horizontal_lines, 117, 2),
        shape(frame_1209_shape_group_10_shape_9_horizontal_lines, 119, 4),
        shape(frame_1209_shape_group_10_shape_10_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(43, 49),
        horizontal_line(43, 51),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(43, 54),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(44, 56),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(44, 57),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(154, 194),
        horizontal_line(161, 193),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(45, 57),
        horizontal_line(45, 58),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(181, 193),
        horizontal_line(188, 193),
    };

    constexpr const horizontal_line frame_1209_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(118, 133),
        horizontal_line(117, 133),
    };

    constexpr const shape frame_1209_shape_group_11_shapes[] = {
        shape(frame_1209_shape_group_11_shape_0_horizontal_lines, 102, 2),
        shape(frame_1209_shape_group_11_shape_1_horizontal_lines, 105, 2),
        shape(frame_1209_shape_group_11_shape_2_horizontal_lines, 108, 2),
        shape(frame_1209_shape_group_11_shape_3_horizontal_lines, 110, 2),
        shape(frame_1209_shape_group_11_shape_4_horizontal_lines, 111, 4),
        shape(frame_1209_shape_group_11_shape_5_horizontal_lines, 113, 2),
        shape(frame_1209_shape_group_11_shape_6_horizontal_lines, 115, 4),
        shape(frame_1209_shape_group_11_shape_7_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(44, 57),
        horizontal_line(45, 57),
    };

    constexpr const horizontal_line frame_1209_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(45, 58),
        horizontal_line(45, 58),
    };

    constexpr const shape frame_1209_shape_group_12_shapes[] = {
        shape(frame_1209_shape_group_12_shape_0_horizontal_lines, 111, 2),
        shape(frame_1209_shape_group_12_shape_1_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(128, 135),
        horizontal_line(63, 63),
    };

    constexpr const shape frame_1209_shape_group_13_shapes[] = {
        shape(frame_1209_shape_group_13_shape_0_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1209_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(120, 134),
    };

    constexpr const shape frame_1209_shape_group_14_shapes[] = {
        shape(frame_1209_shape_group_14_shape_0_horizontal_lines, 116, 2),
    };

    constexpr const shape_group frame_1209_shape_groups[] = {
        shape_group(frame_1209_shape_group_0_shapes),
        shape_group(frame_1209_shape_group_1_shapes),
        shape_group(frame_1209_shape_group_2_shapes),
        shape_group(frame_1209_shape_group_3_shapes),
        shape_group(frame_1209_shape_group_4_shapes),
        shape_group(frame_1209_shape_group_5_shapes),
        shape_group(frame_1209_shape_group_6_shapes),
        shape_group(frame_1209_shape_group_7_shapes),
        shape_group(frame_1209_shape_group_8_shapes),
        shape_group(frame_1209_shape_group_9_shapes),
        shape_group(frame_1209_shape_group_10_shapes),
        shape_group(frame_1209_shape_group_11_shapes),
        shape_group(frame_1209_shape_group_12_shapes),
        shape_group(frame_1209_shape_group_13_shapes),
        shape_group(frame_1209_shape_group_14_shapes),
    };

    constexpr const frame frame_1209_impl(frame_1209_colors, frame_1209_shape_groups);
} 

const frame& frame_1209()
{
    return frame_1209_impl;
}

namespace
{
    constexpr const bn::color frame_1210_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1210_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1210_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(27, 28),
        horizontal_line(28, 32),
        horizontal_line(29, 36),
        horizontal_line(30, 40),
        horizontal_line(31, 44),
        horizontal_line(32, 48),
        horizontal_line(33, 52),
        horizontal_line(34, 56),
        horizontal_line(35, 60),
        horizontal_line(36, 64),
        horizontal_line(37, 68),
        horizontal_line(38, 72),
        horizontal_line(39, 76),
        horizontal_line(40, 80),
        horizontal_line(41, 84),
    };

    constexpr const horizontal_line frame_1210_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(5, 30),
        horizontal_line(11, 29),
        horizontal_line(16, 29),
        horizontal_line(22, 28),
        horizontal_line(28, 28),
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(51, 58),
        horizontal_line(51, 59),
        horizontal_line(50, 59),
        horizontal_line(50, 60),
        horizontal_line(51, 72),
        horizontal_line(52, 60),
        horizontal_line(53, 60),
        horizontal_line(54, 59),
        horizontal_line(55, 59),
        horizontal_line(56, 58),
        horizontal_line(57, 58),
        horizontal_line(63, 72),
    };

    constexpr const horizontal_line frame_1210_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(72, 76),
    };

    constexpr const horizontal_line frame_1210_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(63, 70),
        horizontal_line(39, 48),
        horizontal_line(36, 55),
        horizontal_line(34, 63),
        horizontal_line(31, 70),
        horizontal_line(29, 77),
        horizontal_line(26, 85),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(11, 73),
        horizontal_line(21, 83),
        horizontal_line(31, 93),
        horizontal_line(42, 104),
        horizontal_line(52, 114),
        horizontal_line(62, 124),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(93, 155),
        horizontal_line(104, 157),
        horizontal_line(114, 158),
        horizontal_line(124, 159),
        horizontal_line(135, 161),
        horizontal_line(145, 162),
        horizontal_line(155, 163),
    };

    constexpr const horizontal_line frame_1210_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1210_shape_group_0_shapes[] = {
        shape(frame_1210_shape_group_0_shape_0_horizontal_lines, 25, 9),
        shape(frame_1210_shape_group_0_shape_1_horizontal_lines, 39, 14),
        shape(frame_1210_shape_group_0_shape_2_horizontal_lines, 54, 9),
        shape(frame_1210_shape_group_0_shape_3_horizontal_lines, 109, 14),
        shape(frame_1210_shape_group_0_shape_4_horizontal_lines, 110, 9),
        shape(frame_1210_shape_group_0_shape_5_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(42, 88),
        horizontal_line(43, 92),
        horizontal_line(44, 96),
        horizontal_line(45, 100),
        horizontal_line(46, 104),
        horizontal_line(47, 108),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(39, 61),
        horizontal_line(40, 62),
        horizontal_line(41, 62),
        horizontal_line(42, 63),
        horizontal_line(43, 63),
        horizontal_line(44, 64),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 67),
        horizontal_line(52, 68),
        horizontal_line(53, 68),
        horizontal_line(54, 69),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(70, 73),
        horizontal_line(70, 79),
        horizontal_line(70, 84),
        horizontal_line(71, 90),
        horizontal_line(71, 95),
        horizontal_line(71, 101),
        horizontal_line(71, 106),
        horizontal_line(72, 112),
        horizontal_line(72, 118),
        horizontal_line(72, 117),
        horizontal_line(73, 116),
        horizontal_line(78, 115),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(109, 113),
        horizontal_line(108, 115),
        horizontal_line(72, 81),
        horizontal_line(72, 87),
        horizontal_line(72, 92),
        horizontal_line(72, 97),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 102),
        horizontal_line(72, 101),
        horizontal_line(78, 101),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(65, 70),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(92, 99),
        horizontal_line(99, 99),
        horizontal_line(99, 100),
        horizontal_line(99, 102),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(86, 92),
        horizontal_line(83, 99),
        horizontal_line(80, 107),
        horizontal_line(78, 114),
        horizontal_line(75, 121),
        horizontal_line(73, 129),
        horizontal_line(70, 130),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(93, 148),
        horizontal_line(104, 149),
        horizontal_line(114, 150),
        horizontal_line(124, 152),
        horizontal_line(135, 153),
        horizontal_line(145, 154),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_1210_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1210_shape_group_1_shapes[] = {
        shape(frame_1210_shape_group_1_shape_0_horizontal_lines, 54, 14),
        shape(frame_1210_shape_group_1_shape_1_horizontal_lines, 74, 9),
        shape(frame_1210_shape_group_1_shape_2_horizontal_lines, 90, 14),
        shape(frame_1210_shape_group_1_shape_3_horizontal_lines, 102, 9),
        shape(frame_1210_shape_group_1_shape_4_horizontal_lines, 108, 14),
        shape(frame_1210_shape_group_1_shape_5_horizontal_lines, 119, 9),
        shape(frame_1210_shape_group_1_shape_6_horizontal_lines, 120, 14),
        shape(frame_1210_shape_group_1_shape_7_horizontal_lines, 125, 9),
        shape(frame_1210_shape_group_1_shape_8_horizontal_lines, 152, 8),
    };

    constexpr const horizontal_line frame_1210_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(111, 116),
        horizontal_line(112, 120),
        horizontal_line(113, 124),
        horizontal_line(114, 128),
        horizontal_line(115, 132),
        horizontal_line(116, 136),
        horizontal_line(117, 140),
        horizontal_line(118, 144),
        horizontal_line(119, 148),
        horizontal_line(120, 152),
        horizontal_line(121, 156),
        horizontal_line(122, 160),
        horizontal_line(124, 164),
        horizontal_line(66, 128),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(81, 143),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(96, 158),
        horizontal_line(101, 163),
        horizontal_line(106, 160),
        horizontal_line(111, 156),
        horizontal_line(116, 152),
        horizontal_line(121, 148),
        horizontal_line(126, 144),
        horizontal_line(131, 140),
        horizontal_line(136, 136),
        horizontal_line(135, 137),
        horizontal_line(133, 139),
        horizontal_line(131, 141),
        horizontal_line(130, 143),
        horizontal_line(128, 145),
        horizontal_line(126, 147),
        horizontal_line(125, 149),
        horizontal_line(123, 151),
        horizontal_line(121, 147),
        horizontal_line(120, 144),
        horizontal_line(121, 141),
        horizontal_line(123, 137),
        horizontal_line(125, 134),
        horizontal_line(84, 114),
        horizontal_line(91, 113),
        horizontal_line(97, 112),
        horizontal_line(103, 111),
        horizontal_line(110, 110),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1210_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(58, 62),
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_1210_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(108, 117),
        horizontal_line(107, 116),
        horizontal_line(106, 115),
        horizontal_line(105, 114),
        horizontal_line(105, 113),
        horizontal_line(106, 112),
        horizontal_line(109, 111),
        horizontal_line(150, 182),
        horizontal_line(154, 187),
        horizontal_line(85, 100),
        horizontal_line(161, 198),
        horizontal_line(164, 203),
        horizontal_line(168, 199),
        horizontal_line(171, 196),
        horizontal_line(175, 193),
        horizontal_line(178, 190),
        horizontal_line(182, 187),
    };

    constexpr const horizontal_line frame_1210_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(108, 117),
        horizontal_line(115, 121),
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_1210_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1210_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(130, 131),
        horizontal_line(127, 132),
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
        horizontal_line(125, 144),
        horizontal_line(135, 145),
        horizontal_line(145, 147),
    };

    constexpr const horizontal_line frame_1210_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 41),
        horizontal_line(0, 51),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(62, 113),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
    };

    constexpr const shape frame_1210_shape_group_2_shapes[] = {
        shape(frame_1210_shape_group_2_shape_0_horizontal_lines, 60, 14),
        shape(frame_1210_shape_group_2_shape_1_horizontal_lines, 108, 8),
        shape(frame_1210_shape_group_2_shape_2_horizontal_lines, 110, 14),
        shape(frame_1210_shape_group_2_shape_3_horizontal_lines, 127, 8),
        shape(frame_1210_shape_group_2_shape_4_horizontal_lines, 130, 1),
        shape(frame_1210_shape_group_2_shape_5_horizontal_lines, 132, 9),
        shape(frame_1210_shape_group_2_shape_6_horizontal_lines, 145, 8),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(128, 168),
        horizontal_line(133, 172),
        horizontal_line(138, 176),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(215, 239),
        horizontal_line(223, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(45, 50),
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(146, 155),
        horizontal_line(142, 160),
        horizontal_line(140, 166),
        horizontal_line(143, 171),
        horizontal_line(147, 177),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(157, 193),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(56, 71),
        horizontal_line(64, 78),
        horizontal_line(71, 85),
        horizontal_line(78, 92),
        horizontal_line(86, 99),
        horizontal_line(93, 106),
        horizontal_line(100, 113),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(130, 182),
        horizontal_line(131, 181),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(136, 178),
        horizontal_line(137, 178),
        horizontal_line(139, 177),
        horizontal_line(140, 176),
        horizontal_line(141, 176),
        horizontal_line(142, 175),
        horizontal_line(144, 174),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(149, 172),
        horizontal_line(150, 171),
        horizontal_line(151, 171),
        horizontal_line(153, 170),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 82),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(158, 167),
        horizontal_line(159, 167),
        horizontal_line(160, 166),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(124, 144),
        horizontal_line(124, 154),
    };

    constexpr const horizontal_line frame_1210_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(167, 229),
    };

    constexpr const shape frame_1210_shape_group_3_shapes[] = {
        shape(frame_1210_shape_group_3_shape_0_horizontal_lines, 74, 14),
        shape(frame_1210_shape_group_3_shape_1_horizontal_lines, 98, 8),
        shape(frame_1210_shape_group_3_shape_2_horizontal_lines, 100, 1),
        shape(frame_1210_shape_group_3_shape_3_horizontal_lines, 102, 14),
        shape(frame_1210_shape_group_3_shape_4_horizontal_lines, 103, 8),
        shape(frame_1210_shape_group_3_shape_5_horizontal_lines, 108, 1),
        shape(frame_1210_shape_group_3_shape_6_horizontal_lines, 110, 8),
        shape(frame_1210_shape_group_3_shape_7_horizontal_lines, 111, 14),
        shape(frame_1210_shape_group_3_shape_8_horizontal_lines, 117, 1),
        shape(frame_1210_shape_group_3_shape_9_horizontal_lines, 119, 14),
        shape(frame_1210_shape_group_3_shape_10_horizontal_lines, 120, 8),
        shape(frame_1210_shape_group_3_shape_11_horizontal_lines, 127, 1),
        shape(frame_1210_shape_group_3_shape_12_horizontal_lines, 142, 8),
        shape(frame_1210_shape_group_3_shape_13_horizontal_lines, 145, 1),
        shape(frame_1210_shape_group_3_shape_14_horizontal_lines, 149, 8),
        shape(frame_1210_shape_group_3_shape_15_horizontal_lines, 152, 1),
        shape(frame_1210_shape_group_3_shape_16_horizontal_lines, 155, 8),
        shape(frame_1210_shape_group_3_shape_17_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(37, 38),
        horizontal_line(36, 39),
        horizontal_line(36, 40),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(143, 180),
        horizontal_line(148, 176),
        horizontal_line(153, 172),
        horizontal_line(158, 168),
        horizontal_line(163, 164),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(33, 46),
        horizontal_line(32, 47),
        horizontal_line(32, 48),
        horizontal_line(31, 49),
        horizontal_line(0, 4),
        horizontal_line(0, 10),
        horizontal_line(0, 15),
        horizontal_line(0, 21),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(1, 35),
        horizontal_line(20, 36),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(117, 122),
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(56, 57),
        horizontal_line(56, 58),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(57, 62),
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(49, 64),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(130, 184),
        horizontal_line(130, 183),
        horizontal_line(129, 182),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(132, 180),
        horizontal_line(133, 180),
        horizontal_line(135, 179),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(179, 198),
        horizontal_line(179, 199),
        horizontal_line(178, 201),
        horizontal_line(177, 203),
        horizontal_line(177, 204),
        horizontal_line(176, 206),
        horizontal_line(175, 208),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(145, 174),
        horizontal_line(146, 173),
        horizontal_line(148, 173),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(173, 214),
        horizontal_line(172, 216),
        horizontal_line(172, 218),
        horizontal_line(171, 219),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(154, 169),
        horizontal_line(155, 169),
        horizontal_line(157, 168),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(168, 226),
        horizontal_line(168, 228),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(163, 165),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_1210_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(228, 236),
        horizontal_line(229, 238),
    };

    constexpr const shape frame_1210_shape_group_4_shapes[] = {
        shape(frame_1210_shape_group_4_shape_0_horizontal_lines, 74, 8),
        shape(frame_1210_shape_group_4_shape_1_horizontal_lines, 77, 14),
        shape(frame_1210_shape_group_4_shape_2_horizontal_lines, 82, 8),
        shape(frame_1210_shape_group_4_shape_3_horizontal_lines, 98, 1),
        shape(frame_1210_shape_group_4_shape_4_horizontal_lines, 102, 8),
        shape(frame_1210_shape_group_4_shape_5_horizontal_lines, 103, 1),
        shape(frame_1210_shape_group_4_shape_6_horizontal_lines, 111, 8),
        shape(frame_1210_shape_group_4_shape_7_horizontal_lines, 112, 1),
        shape(frame_1210_shape_group_4_shape_8_horizontal_lines, 119, 8),
        shape(frame_1210_shape_group_4_shape_9_horizontal_lines, 120, 1),
        shape(frame_1210_shape_group_4_shape_10_horizontal_lines, 135, 2),
        shape(frame_1210_shape_group_4_shape_11_horizontal_lines, 142, 1),
        shape(frame_1210_shape_group_4_shape_12_horizontal_lines, 145, 2),
        shape(frame_1210_shape_group_4_shape_13_horizontal_lines, 149, 1),
        shape(frame_1210_shape_group_4_shape_14_horizontal_lines, 152, 2),
        shape(frame_1210_shape_group_4_shape_15_horizontal_lines, 155, 1),
        shape(frame_1210_shape_group_4_shape_16_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(35, 41),
        horizontal_line(35, 42),
        horizontal_line(34, 43),
        horizontal_line(34, 44),
        horizontal_line(33, 45),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(161, 188),
        horizontal_line(157, 190),
        horizontal_line(153, 191),
        horizontal_line(149, 193),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(31, 50),
        horizontal_line(30, 51),
        horizontal_line(30, 52),
        horizontal_line(29, 53),
        horizontal_line(29, 54),
        horizontal_line(31, 53),
        horizontal_line(33, 53),
        horizontal_line(35, 52),
        horizontal_line(37, 52),
        horizontal_line(39, 51),
        horizontal_line(41, 51),
        horizontal_line(43, 50),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(145, 151),
        horizontal_line(118, 120),
        horizontal_line(138, 151),
        horizontal_line(135, 151),
        horizontal_line(0, 38),
        horizontal_line(114, 151),
        horizontal_line(113, 150),
        horizontal_line(112, 125),
        horizontal_line(111, 124),
        horizontal_line(56, 56),
        horizontal_line(114, 121),
        horizontal_line(116, 119),
        horizontal_line(56, 59),
        horizontal_line(0, 39),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
        horizontal_line(102, 119),
        horizontal_line(102, 118),
        horizontal_line(0, 38),
        horizontal_line(100, 109),
        horizontal_line(100, 108),
        horizontal_line(101, 107),
        horizontal_line(103, 106),
        horizontal_line(106, 106),
        horizontal_line(108, 112),
        horizontal_line(131, 181),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(183, 189),
        horizontal_line(182, 191),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(175, 209),
        horizontal_line(174, 211),
        horizontal_line(174, 213),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(170, 221),
        horizontal_line(170, 223),
        horizontal_line(169, 224),
    };

    constexpr const horizontal_line frame_1210_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(229, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
    };

    constexpr const shape frame_1210_shape_group_5_shapes[] = {
        shape(frame_1210_shape_group_5_shape_0_horizontal_lines, 77, 8),
        shape(frame_1210_shape_group_5_shape_1_horizontal_lines, 82, 1),
        shape(frame_1210_shape_group_5_shape_2_horizontal_lines, 86, 8),
        shape(frame_1210_shape_group_5_shape_3_horizontal_lines, 98, 1),
        shape(frame_1210_shape_group_5_shape_4_horizontal_lines, 130, 2),
        shape(frame_1210_shape_group_5_shape_5_horizontal_lines, 132, 1),
        shape(frame_1210_shape_group_5_shape_6_horizontal_lines, 142, 2),
        shape(frame_1210_shape_group_5_shape_7_horizontal_lines, 149, 2),
        shape(frame_1210_shape_group_5_shape_8_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(177, 181),
        horizontal_line(173, 183),
        horizontal_line(169, 185),
        horizontal_line(165, 186),
    };

    constexpr const horizontal_line frame_1210_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(145, 195),
        horizontal_line(141, 196),
        horizontal_line(137, 198),
        horizontal_line(138, 200),
        horizontal_line(140, 201),
        horizontal_line(142, 203),
        horizontal_line(144, 205),
        horizontal_line(146, 207),
        horizontal_line(148, 189),
        horizontal_line(150, 170),
        horizontal_line(0, 0),
        horizontal_line(0, 19),
        horizontal_line(207, 239),
        horizontal_line(142, 151),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(115, 126),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(128, 150),
        horizontal_line(128, 150),
        horizontal_line(112, 122),
        horizontal_line(128, 150),
        horizontal_line(128, 150),
        horizontal_line(118, 118),
        horizontal_line(56, 60),
        horizontal_line(116, 117),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(104, 105),
        horizontal_line(103, 108),
        horizontal_line(137, 149),
        horizontal_line(136, 153),
        horizontal_line(101, 117),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(110, 115),
        horizontal_line(109, 114),
        horizontal_line(109, 113),
        horizontal_line(132, 177),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(118, 129),
        horizontal_line(122, 129),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_1210_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(181, 193),
        horizontal_line(181, 194),
        horizontal_line(180, 196),
    };

    constexpr const horizontal_line frame_1210_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(228, 231),
        horizontal_line(228, 233),
        horizontal_line(227, 234),
    };

    constexpr const shape frame_1210_shape_group_6_shapes[] = {
        shape(frame_1210_shape_group_6_shape_0_horizontal_lines, 78, 1),
        shape(frame_1210_shape_group_6_shape_1_horizontal_lines, 86, 1),
        shape(frame_1210_shape_group_6_shape_2_horizontal_lines, 127, 2),
        shape(frame_1210_shape_group_6_shape_3_horizontal_lines, 132, 2),
        shape(frame_1210_shape_group_6_shape_4_horizontal_lines, 155, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(31, 32),
        horizontal_line(32, 34),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(207, 214),
        horizontal_line(207, 222),
        horizontal_line(152, 152),
        horizontal_line(148, 151),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(39, 44),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(43, 49),
        horizontal_line(45, 50),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(132, 151),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(49, 52),
        horizontal_line(51, 53),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(128, 150),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(128, 150),
        horizontal_line(117, 117),
        horizontal_line(128, 141),
        horizontal_line(128, 134),
        horizontal_line(139, 139),
        horizontal_line(113, 117),
        horizontal_line(112, 117),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(135, 156),
        horizontal_line(135, 160),
        horizontal_line(134, 163),
        horizontal_line(134, 167),
        horizontal_line(133, 170),
        horizontal_line(132, 174),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(114, 130),
        horizontal_line(185, 185),
        horizontal_line(184, 186),
        horizontal_line(183, 188),
    };

    constexpr const shape frame_1210_shape_group_7_shapes[] = {
        shape(frame_1210_shape_group_7_shape_0_horizontal_lines, 89, 1),
        shape(frame_1210_shape_group_7_shape_1_horizontal_lines, 91, 3),
        shape(frame_1210_shape_group_7_shape_2_horizontal_lines, 94, 1),
        shape(frame_1210_shape_group_7_shape_3_horizontal_lines, 98, 3),
        shape(frame_1210_shape_group_7_shape_4_horizontal_lines, 99, 1),
        shape(frame_1210_shape_group_7_shape_5_horizontal_lines, 100, 3),
        shape(frame_1210_shape_group_7_shape_6_horizontal_lines, 102, 1),
        shape(frame_1210_shape_group_7_shape_7_horizontal_lines, 103, 3),
        shape(frame_1210_shape_group_7_shape_8_horizontal_lines, 105, 1),
        shape(frame_1210_shape_group_7_shape_9_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(34, 36),
        horizontal_line(35, 38),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(207, 230),
        horizontal_line(207, 238),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(152, 206),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(41, 46),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(152, 206),
        horizontal_line(152, 205),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(152, 205),
        horizontal_line(151, 205),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(122, 127),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(128, 149),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(138, 142),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(183, 203),
        horizontal_line(188, 203),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(107, 107),
    };

    constexpr const shape frame_1210_shape_group_8_shapes[] = {
        shape(frame_1210_shape_group_8_shape_0_horizontal_lines, 94, 3),
        shape(frame_1210_shape_group_8_shape_1_horizontal_lines, 96, 1),
        shape(frame_1210_shape_group_8_shape_2_horizontal_lines, 98, 4),
        shape(frame_1210_shape_group_8_shape_3_horizontal_lines, 99, 3),
        shape(frame_1210_shape_group_8_shape_4_horizontal_lines, 100, 4),
        shape(frame_1210_shape_group_8_shape_5_horizontal_lines, 102, 1),
        shape(frame_1210_shape_group_8_shape_6_horizontal_lines, 103, 4),
        shape(frame_1210_shape_group_8_shape_7_horizontal_lines, 105, 3),
        shape(frame_1210_shape_group_8_shape_8_horizontal_lines, 106, 4),
        shape(frame_1210_shape_group_8_shape_9_horizontal_lines, 107, 1),
        shape(frame_1210_shape_group_8_shape_10_horizontal_lines, 108, 4),
        shape(frame_1210_shape_group_8_shape_11_horizontal_lines, 110, 1),
        shape(frame_1210_shape_group_8_shape_12_horizontal_lines, 117, 4),
        shape(frame_1210_shape_group_8_shape_13_horizontal_lines, 119, 1),
        shape(frame_1210_shape_group_8_shape_14_horizontal_lines, 125, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(190, 206),
        horizontal_line(171, 206),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(36, 40),
        horizontal_line(37, 42),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(152, 206),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(39, 42),
        horizontal_line(39, 44),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(47, 51),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(39, 48),
        horizontal_line(39, 50),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(151, 205),
        horizontal_line(123, 127),
        horizontal_line(151, 204),
        horizontal_line(151, 204),
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(41, 56),
        horizontal_line(42, 57),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(194, 203),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1210_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(113, 131),
    };

    constexpr const shape frame_1210_shape_group_9_shapes[] = {
        shape(frame_1210_shape_group_9_shape_0_horizontal_lines, 94, 4),
        shape(frame_1210_shape_group_9_shape_1_horizontal_lines, 96, 3),
        shape(frame_1210_shape_group_9_shape_2_horizontal_lines, 99, 4),
        shape(frame_1210_shape_group_9_shape_3_horizontal_lines, 100, 2),
        shape(frame_1210_shape_group_9_shape_4_horizontal_lines, 102, 3),
        shape(frame_1210_shape_group_9_shape_5_horizontal_lines, 103, 2),
        shape(frame_1210_shape_group_9_shape_6_horizontal_lines, 105, 4),
        shape(frame_1210_shape_group_9_shape_7_horizontal_lines, 111, 1),
        shape(frame_1210_shape_group_9_shape_8_horizontal_lines, 112, 4),
        shape(frame_1210_shape_group_9_shape_9_horizontal_lines, 115, 1),
        shape(frame_1210_shape_group_9_shape_10_horizontal_lines, 117, 2),
        shape(frame_1210_shape_group_9_shape_11_horizontal_lines, 119, 4),
        shape(frame_1210_shape_group_9_shape_12_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(153, 206),
        horizontal_line(152, 206),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(39, 40),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(152, 205),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(151, 205),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(40, 55),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(151, 205),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(40, 55),
        horizontal_line(40, 55),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(151, 204),
        horizontal_line(118, 127),
        horizontal_line(156, 204),
        horizontal_line(161, 204),
        horizontal_line(167, 204),
        horizontal_line(118, 123),
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(120, 136),
        horizontal_line(119, 135),
        horizontal_line(118, 134),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(199, 203),
    };

    constexpr const horizontal_line frame_1210_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(114, 131),
    };

    constexpr const shape frame_1210_shape_group_10_shapes[] = {
        shape(frame_1210_shape_group_10_shape_0_horizontal_lines, 96, 4),
        shape(frame_1210_shape_group_10_shape_1_horizontal_lines, 99, 2),
        shape(frame_1210_shape_group_10_shape_2_horizontal_lines, 102, 4),
        shape(frame_1210_shape_group_10_shape_3_horizontal_lines, 105, 4),
        shape(frame_1210_shape_group_10_shape_4_horizontal_lines, 106, 2),
        shape(frame_1210_shape_group_10_shape_5_horizontal_lines, 107, 4),
        shape(frame_1210_shape_group_10_shape_6_horizontal_lines, 108, 2),
        shape(frame_1210_shape_group_10_shape_7_horizontal_lines, 110, 4),
        shape(frame_1210_shape_group_10_shape_8_horizontal_lines, 117, 2),
        shape(frame_1210_shape_group_10_shape_9_horizontal_lines, 120, 4),
        shape(frame_1210_shape_group_10_shape_10_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(39, 46),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(40, 52),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(40, 55),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(40, 55),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(151, 204),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(41, 56),
        horizontal_line(41, 56),
        horizontal_line(41, 56),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(172, 203),
        horizontal_line(178, 203),
    };

    constexpr const horizontal_line frame_1210_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(117, 134),
        horizontal_line(117, 133),
        horizontal_line(116, 133),
        horizontal_line(115, 132),
    };

    constexpr const shape frame_1210_shape_group_11_shapes[] = {
        shape(frame_1210_shape_group_11_shape_0_horizontal_lines, 102, 2),
        shape(frame_1210_shape_group_11_shape_1_horizontal_lines, 105, 2),
        shape(frame_1210_shape_group_11_shape_2_horizontal_lines, 107, 2),
        shape(frame_1210_shape_group_11_shape_3_horizontal_lines, 110, 2),
        shape(frame_1210_shape_group_11_shape_4_horizontal_lines, 111, 4),
        shape(frame_1210_shape_group_11_shape_5_horizontal_lines, 112, 2),
        shape(frame_1210_shape_group_11_shape_6_horizontal_lines, 115, 4),
        shape(frame_1210_shape_group_11_shape_7_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(40, 55),
    };

    constexpr const horizontal_line frame_1210_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(41, 56),
        horizontal_line(41, 56),
    };

    constexpr const shape frame_1210_shape_group_12_shapes[] = {
        shape(frame_1210_shape_group_12_shape_0_horizontal_lines, 111, 2),
        shape(frame_1210_shape_group_12_shape_1_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(130, 137),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_1210_shape_group_13_shapes[] = {
        shape(frame_1210_shape_group_13_shape_0_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1210_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(121, 136),
    };

    constexpr const shape frame_1210_shape_group_14_shapes[] = {
        shape(frame_1210_shape_group_14_shape_0_horizontal_lines, 116, 2),
    };

    constexpr const shape_group frame_1210_shape_groups[] = {
        shape_group(frame_1210_shape_group_0_shapes),
        shape_group(frame_1210_shape_group_1_shapes),
        shape_group(frame_1210_shape_group_2_shapes),
        shape_group(frame_1210_shape_group_3_shapes),
        shape_group(frame_1210_shape_group_4_shapes),
        shape_group(frame_1210_shape_group_5_shapes),
        shape_group(frame_1210_shape_group_6_shapes),
        shape_group(frame_1210_shape_group_7_shapes),
        shape_group(frame_1210_shape_group_8_shapes),
        shape_group(frame_1210_shape_group_9_shapes),
        shape_group(frame_1210_shape_group_10_shapes),
        shape_group(frame_1210_shape_group_11_shapes),
        shape_group(frame_1210_shape_group_12_shapes),
        shape_group(frame_1210_shape_group_13_shapes),
        shape_group(frame_1210_shape_group_14_shapes),
    };

    constexpr const frame frame_1210_impl(frame_1210_colors, frame_1210_shape_groups);
} 

const frame& frame_1210()
{
    return frame_1210_impl;
}

namespace
{
    constexpr const bn::color frame_1211_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1211_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(1, 10),
    };

    constexpr const horizontal_line frame_1211_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(15, 15),
        horizontal_line(16, 19),
        horizontal_line(17, 23),
        horizontal_line(18, 27),
        horizontal_line(19, 31),
        horizontal_line(20, 35),
        horizontal_line(22, 39),
        horizontal_line(23, 43),
        horizontal_line(24, 47),
        horizontal_line(25, 51),
        horizontal_line(26, 55),
        horizontal_line(27, 59),
        horizontal_line(28, 63),
        horizontal_line(30, 67),
        horizontal_line(31, 71),
        horizontal_line(32, 75),
        horizontal_line(33, 79),
        horizontal_line(34, 83),
        horizontal_line(35, 87),
        horizontal_line(37, 91),
        horizontal_line(38, 95),
        horizontal_line(39, 99),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
    };

    constexpr const horizontal_line frame_1211_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 59),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(5, 24),
        horizontal_line(11, 24),
        horizontal_line(17, 23),
        horizontal_line(23, 23),
        horizontal_line(52, 53),
        horizontal_line(51, 54),
        horizontal_line(51, 54),
        horizontal_line(51, 55),
        horizontal_line(50, 56),
        horizontal_line(50, 57),
        horizontal_line(50, 57),
        horizontal_line(49, 58),
        horizontal_line(49, 59),
        horizontal_line(49, 71),
        horizontal_line(49, 59),
        horizontal_line(50, 59),
        horizontal_line(51, 58),
        horizontal_line(52, 58),
        horizontal_line(53, 57),
        horizontal_line(54, 57),
        horizontal_line(55, 56),
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_1211_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(72, 77),
    };

    constexpr const horizontal_line frame_1211_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1211_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(72, 103),
    };

    constexpr const horizontal_line frame_1211_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(63, 70),
        horizontal_line(64, 70),
        horizontal_line(64, 70),
        horizontal_line(64, 70),
        horizontal_line(36, 45),
        horizontal_line(34, 52),
        horizontal_line(31, 59),
        horizontal_line(29, 66),
        horizontal_line(27, 73),
        horizontal_line(24, 80),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(13, 75),
        horizontal_line(27, 89),
        horizontal_line(40, 102),
        horizontal_line(54, 116),
        horizontal_line(68, 130),
    };

    constexpr const shape frame_1211_shape_group_0_shapes[] = {
        shape(frame_1211_shape_group_0_shape_0_horizontal_lines, 25, 9),
        shape(frame_1211_shape_group_0_shape_1_horizontal_lines, 32, 14),
        shape(frame_1211_shape_group_0_shape_2_horizontal_lines, 56, 9),
        shape(frame_1211_shape_group_0_shape_3_horizontal_lines, 109, 14),
        shape(frame_1211_shape_group_0_shape_4_horizontal_lines, 110, 9),
        shape(frame_1211_shape_group_0_shape_5_horizontal_lines, 116, 14),
        shape(frame_1211_shape_group_0_shape_6_horizontal_lines, 117, 9),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(102, 102),
        horizontal_line(103, 106),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(35, 60),
        horizontal_line(36, 60),
        horizontal_line(37, 61),
        horizontal_line(38, 61),
        horizontal_line(39, 62),
        horizontal_line(40, 62),
        horizontal_line(41, 63),
        horizontal_line(42, 63),
        horizontal_line(44, 64),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 68),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(69, 82),
        horizontal_line(70, 87),
        horizontal_line(70, 93),
        horizontal_line(70, 98),
        horizontal_line(70, 103),
        horizontal_line(71, 108),
        horizontal_line(71, 113),
        horizontal_line(71, 119),
        horizontal_line(72, 118),
        horizontal_line(76, 117),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(61, 71),
        horizontal_line(61, 71),
        horizontal_line(61, 71),
        horizontal_line(61, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(109, 116),
        horizontal_line(72, 84),
        horizontal_line(72, 90),
        horizontal_line(72, 97),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 103),
        horizontal_line(143, 172),
        horizontal_line(76, 102),
        horizontal_line(82, 101),
        horizontal_line(88, 101),
        horizontal_line(94, 100),
        horizontal_line(100, 100),
        horizontal_line(100, 102),
        horizontal_line(100, 106),
        horizontal_line(99, 106),
        horizontal_line(100, 105),
        horizontal_line(173, 212),
    };

    constexpr const horizontal_line frame_1211_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(84, 88),
        horizontal_line(82, 95),
        horizontal_line(79, 102),
        horizontal_line(77, 109),
        horizontal_line(74, 116),
        horizontal_line(72, 123),
        horizontal_line(70, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(75, 137),
        horizontal_line(89, 151),
        horizontal_line(102, 160),
        horizontal_line(116, 161),
        horizontal_line(130, 163),
    };

    constexpr const shape frame_1211_shape_group_1_shapes[] = {
        shape(frame_1211_shape_group_1_shape_0_horizontal_lines, 54, 14),
        shape(frame_1211_shape_group_1_shape_1_horizontal_lines, 73, 9),
        shape(frame_1211_shape_group_1_shape_2_horizontal_lines, 89, 14),
        shape(frame_1211_shape_group_1_shape_3_horizontal_lines, 90, 9),
        shape(frame_1211_shape_group_1_shape_4_horizontal_lines, 91, 14),
        shape(frame_1211_shape_group_1_shape_5_horizontal_lines, 101, 9),
        shape(frame_1211_shape_group_1_shape_6_horizontal_lines, 109, 14),
        shape(frame_1211_shape_group_1_shape_7_horizontal_lines, 127, 9),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(104, 110),
        horizontal_line(105, 114),
        horizontal_line(107, 118),
        horizontal_line(108, 122),
        horizontal_line(109, 126),
        horizontal_line(110, 130),
        horizontal_line(111, 134),
        horizontal_line(112, 138),
        horizontal_line(113, 142),
        horizontal_line(115, 146),
        horizontal_line(116, 150),
        horizontal_line(117, 154),
        horizontal_line(118, 158),
        horizontal_line(119, 162),
        horizontal_line(120, 166),
        horizontal_line(122, 170),
        horizontal_line(125, 174),
        horizontal_line(68, 130),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(96, 158),
        horizontal_line(100, 162),
        horizontal_line(105, 167),
        horizontal_line(110, 164),
        horizontal_line(114, 160),
        horizontal_line(119, 155),
        horizontal_line(124, 151),
        horizontal_line(128, 146),
        horizontal_line(133, 142),
        horizontal_line(138, 138),
        horizontal_line(137, 139),
        horizontal_line(69, 77),
        horizontal_line(133, 143),
        horizontal_line(131, 145),
        horizontal_line(130, 147),
        horizontal_line(128, 149),
        horizontal_line(126, 151),
        horizontal_line(124, 154),
        horizontal_line(122, 150),
        horizontal_line(121, 146),
        horizontal_line(122, 143),
        horizontal_line(124, 139),
        horizontal_line(82, 116),
        horizontal_line(88, 115),
        horizontal_line(93, 114),
        horizontal_line(99, 113),
        horizontal_line(105, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 112),
        horizontal_line(110, 114),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(57, 62),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(108, 118),
        horizontal_line(107, 116),
        horizontal_line(106, 115),
        horizontal_line(106, 114),
        horizontal_line(107, 113),
        horizontal_line(109, 112),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(146, 177),
        horizontal_line(149, 182),
        horizontal_line(152, 186),
        horizontal_line(155, 191),
        horizontal_line(158, 196),
        horizontal_line(161, 201),
        horizontal_line(164, 206),
        horizontal_line(167, 211),
        horizontal_line(170, 215),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(81, 106),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(176, 209),
        horizontal_line(179, 206),
        horizontal_line(182, 204),
        horizontal_line(185, 201),
        horizontal_line(188, 198),
        horizontal_line(191, 195),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(127, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(137, 158),
        horizontal_line(151, 159),
    };

    constexpr const horizontal_line frame_1211_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 53),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1211_shape_group_2_shapes[] = {
        shape(frame_1211_shape_group_2_shape_0_horizontal_lines, 56, 14),
        shape(frame_1211_shape_group_2_shape_1_horizontal_lines, 109, 8),
        shape(frame_1211_shape_group_2_shape_2_horizontal_lines, 110, 14),
        shape(frame_1211_shape_group_2_shape_3_horizontal_lines, 116, 1),
        shape(frame_1211_shape_group_2_shape_4_horizontal_lines, 117, 14),
        shape(frame_1211_shape_group_2_shape_5_horizontal_lines, 126, 8),
        shape(frame_1211_shape_group_2_shape_6_horizontal_lines, 127, 14),
        shape(frame_1211_shape_group_2_shape_7_horizontal_lines, 133, 1),
        shape(frame_1211_shape_group_2_shape_8_horizontal_lines, 134, 9),
        shape(frame_1211_shape_group_2_shape_9_horizontal_lines, 157, 8),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(130, 178),
        horizontal_line(134, 182),
        horizontal_line(139, 186),
        horizontal_line(144, 206),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(135, 141),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(226, 239),
        horizontal_line(232, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(43, 48),
        horizontal_line(45, 48),
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(126, 136),
        horizontal_line(128, 132),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(59, 60),
        horizontal_line(58, 61),
        horizontal_line(58, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(150, 157),
        horizontal_line(147, 162),
        horizontal_line(144, 167),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(56, 60),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(39, 63),
        horizontal_line(46, 70),
        horizontal_line(53, 77),
        horizontal_line(60, 85),
        horizontal_line(67, 92),
        horizontal_line(74, 99),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(89, 114),
        horizontal_line(96, 116),
        horizontal_line(103, 119),
        horizontal_line(110, 122),
        horizontal_line(117, 125),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(132, 193),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(136, 190),
        horizontal_line(138, 189),
        horizontal_line(139, 189),
        horizontal_line(140, 188),
        horizontal_line(141, 188),
        horizontal_line(143, 187),
        horizontal_line(144, 186),
        horizontal_line(145, 186),
        horizontal_line(146, 185),
        horizontal_line(148, 185),
        horizontal_line(149, 184),
        horizontal_line(150, 183),
        horizontal_line(151, 183),
        horizontal_line(152, 182),
        horizontal_line(154, 181),
        horizontal_line(155, 181),
        horizontal_line(156, 180),
        horizontal_line(157, 180),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(161, 178),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_1211_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(62, 67),
    };

    constexpr const shape frame_1211_shape_group_3_shapes[] = {
        shape(frame_1211_shape_group_3_shape_0_horizontal_lines, 73, 14),
        shape(frame_1211_shape_group_3_shape_1_horizontal_lines, 98, 8),
        shape(frame_1211_shape_group_3_shape_2_horizontal_lines, 101, 14),
        shape(frame_1211_shape_group_3_shape_3_horizontal_lines, 103, 8),
        shape(frame_1211_shape_group_3_shape_4_horizontal_lines, 109, 1),
        shape(frame_1211_shape_group_3_shape_5_horizontal_lines, 110, 8),
        shape(frame_1211_shape_group_3_shape_6_horizontal_lines, 112, 14),
        shape(frame_1211_shape_group_3_shape_7_horizontal_lines, 116, 1),
        shape(frame_1211_shape_group_3_shape_8_horizontal_lines, 120, 8),
        shape(frame_1211_shape_group_3_shape_9_horizontal_lines, 126, 1),
        shape(frame_1211_shape_group_3_shape_10_horizontal_lines, 127, 8),
        shape(frame_1211_shape_group_3_shape_11_horizontal_lines, 133, 1),
        shape(frame_1211_shape_group_3_shape_12_horizontal_lines, 155, 8),
        shape(frame_1211_shape_group_3_shape_13_horizontal_lines, 157, 1),
        shape(frame_1211_shape_group_3_shape_14_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(33, 34),
        horizontal_line(32, 35),
        horizontal_line(32, 36),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(148, 186),
        horizontal_line(153, 182),
        horizontal_line(158, 177),
        horizontal_line(162, 173),
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(28, 44),
        horizontal_line(27, 45),
        horizontal_line(27, 46),
        horizontal_line(26, 47),
        horizontal_line(26, 48),
        horizontal_line(0, 4),
        horizontal_line(0, 10),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(54, 56),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(104, 118),
        horizontal_line(56, 61),
        horizontal_line(56, 61),
        horizontal_line(57, 61),
        horizontal_line(0, 38),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(107, 113),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(236, 239),
        horizontal_line(133, 192),
        horizontal_line(134, 191),
        horizontal_line(135, 191),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(191, 200),
        horizontal_line(190, 202),
        horizontal_line(190, 204),
        horizontal_line(189, 205),
        horizontal_line(189, 207),
        horizontal_line(188, 209),
        horizontal_line(187, 210),
        horizontal_line(187, 212),
        horizontal_line(186, 214),
        horizontal_line(186, 216),
        horizontal_line(185, 217),
        horizontal_line(184, 219),
        horizontal_line(184, 221),
        horizontal_line(183, 222),
        horizontal_line(182, 224),
        horizontal_line(182, 226),
        horizontal_line(181, 227),
        horizontal_line(181, 229),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(159, 179),
        horizontal_line(160, 178),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(179, 234),
        horizontal_line(178, 236),
    };

    constexpr const horizontal_line frame_1211_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(164, 177),
    };

    constexpr const shape frame_1211_shape_group_4_shapes[] = {
        shape(frame_1211_shape_group_4_shape_0_horizontal_lines, 73, 8),
        shape(frame_1211_shape_group_4_shape_1_horizontal_lines, 76, 14),
        shape(frame_1211_shape_group_4_shape_2_horizontal_lines, 82, 8),
        shape(frame_1211_shape_group_4_shape_3_horizontal_lines, 90, 14),
        shape(frame_1211_shape_group_4_shape_4_horizontal_lines, 91, 8),
        shape(frame_1211_shape_group_4_shape_5_horizontal_lines, 98, 1),
        shape(frame_1211_shape_group_4_shape_6_horizontal_lines, 101, 8),
        shape(frame_1211_shape_group_4_shape_7_horizontal_lines, 103, 1),
        shape(frame_1211_shape_group_4_shape_8_horizontal_lines, 137, 2),
        shape(frame_1211_shape_group_4_shape_9_horizontal_lines, 155, 1),
        shape(frame_1211_shape_group_4_shape_10_horizontal_lines, 157, 2),
        shape(frame_1211_shape_group_4_shape_11_horizontal_lines, 159, 1),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(31, 37),
        horizontal_line(31, 38),
        horizontal_line(30, 39),
        horizontal_line(30, 40),
        horizontal_line(29, 41),
        horizontal_line(29, 43),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(165, 199),
        horizontal_line(161, 201),
        horizontal_line(156, 202),
        horizontal_line(152, 204),
        horizontal_line(147, 206),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(25, 49),
        horizontal_line(25, 50),
        horizontal_line(24, 52),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(144, 206),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(28, 50),
        horizontal_line(30, 50),
        horizontal_line(33, 50),
        horizontal_line(35, 49),
        horizontal_line(38, 49),
        horizontal_line(40, 49),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(147, 154),
        horizontal_line(119, 121),
        horizontal_line(118, 123),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(115, 154),
        horizontal_line(114, 154),
        horizontal_line(113, 126),
        horizontal_line(112, 125),
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(117, 120),
        horizontal_line(54, 57),
        horizontal_line(55, 58),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 60),
        horizontal_line(142, 142),
        horizontal_line(103, 120),
        horizontal_line(102, 110),
        horizontal_line(102, 109),
        horizontal_line(101, 109),
        horizontal_line(101, 108),
        horizontal_line(103, 107),
        horizontal_line(107, 107),
        horizontal_line(109, 115),
        horizontal_line(108, 114),
        horizontal_line(135, 172),
        horizontal_line(134, 175),
        horizontal_line(134, 178),
        horizontal_line(133, 181),
        horizontal_line(132, 184),
        horizontal_line(132, 187),
        horizontal_line(131, 190),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(192, 197),
        horizontal_line(192, 199),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(180, 231),
        horizontal_line(179, 232),
    };

    constexpr const horizontal_line frame_1211_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(178, 238),
    };

    constexpr const shape frame_1211_shape_group_5_shapes[] = {
        shape(frame_1211_shape_group_5_shape_0_horizontal_lines, 76, 8),
        shape(frame_1211_shape_group_5_shape_1_horizontal_lines, 82, 1),
        shape(frame_1211_shape_group_5_shape_2_horizontal_lines, 87, 8),
        shape(frame_1211_shape_group_5_shape_3_horizontal_lines, 91, 1),
        shape(frame_1211_shape_group_5_shape_4_horizontal_lines, 92, 8),
        shape(frame_1211_shape_group_5_shape_5_horizontal_lines, 98, 1),
        shape(frame_1211_shape_group_5_shape_6_horizontal_lines, 133, 2),
        shape(frame_1211_shape_group_5_shape_7_horizontal_lines, 134, 1),
        shape(frame_1211_shape_group_5_shape_8_horizontal_lines, 135, 2),
        shape(frame_1211_shape_group_5_shape_9_horizontal_lines, 155, 2),
        shape(frame_1211_shape_group_5_shape_10_horizontal_lines, 159, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(187, 191),
        horizontal_line(183, 193),
        horizontal_line(178, 194),
        horizontal_line(174, 196),
        horizontal_line(169, 198),
    };

    constexpr const horizontal_line frame_1211_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_1211_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(24, 51),
    };

    constexpr const horizontal_line frame_1211_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(206, 214),
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(152, 187),
        horizontal_line(155, 155),
        horizontal_line(151, 154),
        horizontal_line(219, 239),
        horizontal_line(144, 154),
        horizontal_line(140, 154),
        horizontal_line(117, 125),
        horizontal_line(116, 127),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(129, 153),
        horizontal_line(129, 153),
        horizontal_line(113, 123),
        horizontal_line(115, 122),
        horizontal_line(129, 153),
        horizontal_line(119, 119),
        horizontal_line(117, 118),
        horizontal_line(116, 118),
        horizontal_line(115, 118),
        horizontal_line(105, 106),
        horizontal_line(104, 108),
        horizontal_line(217, 239),
        horizontal_line(141, 145),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(111, 117),
        horizontal_line(110, 116),
        horizontal_line(109, 115),
        horizontal_line(136, 166),
        horizontal_line(136, 169),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(193, 195),
    };

    constexpr const shape frame_1211_shape_group_6_shapes[] = {
        shape(frame_1211_shape_group_6_shape_0_horizontal_lines, 77, 1),
        shape(frame_1211_shape_group_6_shape_1_horizontal_lines, 87, 1),
        shape(frame_1211_shape_group_6_shape_2_horizontal_lines, 90, 8),
        shape(frame_1211_shape_group_6_shape_3_horizontal_lines, 91, 1),
        shape(frame_1211_shape_group_6_shape_4_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(205, 207),
        horizontal_line(201, 209),
        horizontal_line(202, 210),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(208, 215),
        horizontal_line(210, 217),
        horizontal_line(212, 219),
        horizontal_line(219, 225),
        horizontal_line(219, 231),
        horizontal_line(219, 238),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(35, 42),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(137, 154),
        horizontal_line(133, 154),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(46, 50),
        horizontal_line(49, 51),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(129, 153),
        horizontal_line(129, 153),
        horizontal_line(218, 239),
        horizontal_line(129, 153),
        horizontal_line(129, 153),
        horizontal_line(129, 152),
        horizontal_line(129, 140),
        horizontal_line(114, 118),
        horizontal_line(113, 118),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(119, 121),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(140, 148),
        horizontal_line(140, 151),
        horizontal_line(139, 154),
        horizontal_line(138, 157),
        horizontal_line(138, 160),
        horizontal_line(137, 163),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(114, 134),
        horizontal_line(115, 133),
        horizontal_line(117, 133),
        horizontal_line(120, 132),
        horizontal_line(123, 131),
        horizontal_line(126, 131),
        horizontal_line(129, 130),
    };

    constexpr const shape frame_1211_shape_group_7_shapes[] = {
        shape(frame_1211_shape_group_7_shape_0_horizontal_lines, 87, 1),
        shape(frame_1211_shape_group_7_shape_1_horizontal_lines, 92, 1),
        shape(frame_1211_shape_group_7_shape_2_horizontal_lines, 98, 3),
        shape(frame_1211_shape_group_7_shape_3_horizontal_lines, 99, 1),
        shape(frame_1211_shape_group_7_shape_4_horizontal_lines, 103, 3),
        shape(frame_1211_shape_group_7_shape_5_horizontal_lines, 105, 1),
        shape(frame_1211_shape_group_7_shape_6_horizontal_lines, 116, 4),
        shape(frame_1211_shape_group_7_shape_7_horizontal_lines, 117, 1),
        shape(frame_1211_shape_group_7_shape_8_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(204, 212),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(26, 27),
        horizontal_line(28, 29),
        horizontal_line(29, 32),
        horizontal_line(30, 34),
        horizontal_line(32, 37),
        horizontal_line(33, 39),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(37, 44),
        horizontal_line(39, 47),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(121, 128),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(173, 216),
        horizontal_line(178, 216),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(212, 215),
    };

    constexpr const horizontal_line frame_1211_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(106, 107),
    };

    constexpr const shape frame_1211_shape_group_8_shapes[] = {
        shape(frame_1211_shape_group_8_shape_0_horizontal_lines, 90, 1),
        shape(frame_1211_shape_group_8_shape_1_horizontal_lines, 92, 3),
        shape(frame_1211_shape_group_8_shape_2_horizontal_lines, 98, 4),
        shape(frame_1211_shape_group_8_shape_3_horizontal_lines, 99, 3),
        shape(frame_1211_shape_group_8_shape_4_horizontal_lines, 101, 1),
        shape(frame_1211_shape_group_8_shape_5_horizontal_lines, 103, 4),
        shape(frame_1211_shape_group_8_shape_6_horizontal_lines, 105, 3),
        shape(frame_1211_shape_group_8_shape_7_horizontal_lines, 106, 4),
        shape(frame_1211_shape_group_8_shape_8_horizontal_lines, 107, 1),
        shape(frame_1211_shape_group_8_shape_9_horizontal_lines, 109, 4),
        shape(frame_1211_shape_group_8_shape_10_horizontal_lines, 110, 1),
        shape(frame_1211_shape_group_8_shape_11_horizontal_lines, 116, 4),
        shape(frame_1211_shape_group_8_shape_12_horizontal_lines, 118, 1),
        shape(frame_1211_shape_group_8_shape_13_horizontal_lines, 124, 4),
        shape(frame_1211_shape_group_8_shape_14_horizontal_lines, 125, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(188, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(217, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1211_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(42, 48),
        horizontal_line(44, 49),
    };

    constexpr const horizontal_line frame_1211_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(217, 217),
        horizontal_line(217, 217),
        horizontal_line(127, 128),
        horizontal_line(154, 216),
        horizontal_line(124, 128),
        horizontal_line(123, 128),
        horizontal_line(154, 216),
        horizontal_line(120, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_1211_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(38, 55),
        horizontal_line(38, 55),
    };

    constexpr const horizontal_line frame_1211_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(207, 215),
    };

    constexpr const horizontal_line frame_1211_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(115, 135),
    };

    constexpr const shape frame_1211_shape_group_9_shapes[] = {
        shape(frame_1211_shape_group_9_shape_0_horizontal_lines, 95, 4),
        shape(frame_1211_shape_group_9_shape_1_horizontal_lines, 101, 3),
        shape(frame_1211_shape_group_9_shape_2_horizontal_lines, 103, 4),
        shape(frame_1211_shape_group_9_shape_3_horizontal_lines, 116, 2),
        shape(frame_1211_shape_group_9_shape_4_horizontal_lines, 118, 4),
        shape(frame_1211_shape_group_9_shape_5_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(218, 218),
        horizontal_line(217, 218),
    };

    constexpr const horizontal_line frame_1211_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(217, 218),
        horizontal_line(217, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1211_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(35, 45),
        horizontal_line(36, 48),
    };

    constexpr const horizontal_line frame_1211_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(216, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(216, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(158, 216),
        horizontal_line(163, 216),
        horizontal_line(168, 216),
    };

    constexpr const horizontal_line frame_1211_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1211_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(183, 215),
        horizontal_line(187, 215),
        horizontal_line(192, 215),
        horizontal_line(197, 215),
        horizontal_line(202, 215),
    };

    constexpr const horizontal_line frame_1211_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(116, 135),
    };

    constexpr const shape frame_1211_shape_group_10_shapes[] = {
        shape(frame_1211_shape_group_10_shape_0_horizontal_lines, 96, 4),
        shape(frame_1211_shape_group_10_shape_1_horizontal_lines, 99, 4),
        shape(frame_1211_shape_group_10_shape_2_horizontal_lines, 103, 2),
        shape(frame_1211_shape_group_10_shape_3_horizontal_lines, 105, 4),
        shape(frame_1211_shape_group_10_shape_4_horizontal_lines, 116, 2),
        shape(frame_1211_shape_group_10_shape_5_horizontal_lines, 118, 4),
        shape(frame_1211_shape_group_10_shape_6_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(35, 36),
        horizontal_line(35, 38),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(217, 218),
        horizontal_line(217, 217),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(216, 217),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(36, 53),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(216, 217),
        horizontal_line(216, 217),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(37, 53),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(216, 216),
        horizontal_line(216, 216),
        horizontal_line(216, 216),
    };

    constexpr const horizontal_line frame_1211_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(37, 54),
        horizontal_line(37, 54),
        horizontal_line(38, 55),
        horizontal_line(122, 141),
        horizontal_line(121, 140),
        horizontal_line(38, 55),
        horizontal_line(38, 56),
        horizontal_line(119, 138),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(116, 136),
    };

    constexpr const shape frame_1211_shape_group_11_shapes[] = {
        shape(frame_1211_shape_group_11_shape_0_horizontal_lines, 99, 2),
        shape(frame_1211_shape_group_11_shape_1_horizontal_lines, 101, 4),
        shape(frame_1211_shape_group_11_shape_2_horizontal_lines, 105, 4),
        shape(frame_1211_shape_group_11_shape_3_horizontal_lines, 106, 2),
        shape(frame_1211_shape_group_11_shape_4_horizontal_lines, 107, 4),
        shape(frame_1211_shape_group_11_shape_5_horizontal_lines, 109, 2),
        shape(frame_1211_shape_group_11_shape_6_horizontal_lines, 110, 4),
        shape(frame_1211_shape_group_11_shape_7_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(35, 41),
        horizontal_line(35, 43),
    };

    constexpr const horizontal_line frame_1211_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(36, 50),
    };

    constexpr const horizontal_line frame_1211_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(36, 53),
        horizontal_line(36, 53),
    };

    constexpr const horizontal_line frame_1211_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(37, 53),
        horizontal_line(37, 54),
        horizontal_line(37, 54),
    };

    constexpr const horizontal_line frame_1211_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1211_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_1211_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(118, 137),
        horizontal_line(117, 137),
    };

    constexpr const shape frame_1211_shape_group_12_shapes[] = {
        shape(frame_1211_shape_group_12_shape_0_horizontal_lines, 101, 2),
        shape(frame_1211_shape_group_12_shape_1_horizontal_lines, 105, 2),
        shape(frame_1211_shape_group_12_shape_2_horizontal_lines, 107, 2),
        shape(frame_1211_shape_group_12_shape_3_horizontal_lines, 110, 2),
        shape(frame_1211_shape_group_12_shape_4_horizontal_lines, 114, 2),
        shape(frame_1211_shape_group_12_shape_5_horizontal_lines, 118, 2),
        shape(frame_1211_shape_group_12_shape_6_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1211_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(120, 139),
        horizontal_line(119, 139),
    };

    constexpr const shape frame_1211_shape_group_13_shapes[] = {
        shape(frame_1211_shape_group_13_shape_0_horizontal_lines, 118, 2),
    };

    constexpr const shape_group frame_1211_shape_groups[] = {
        shape_group(frame_1211_shape_group_0_shapes),
        shape_group(frame_1211_shape_group_1_shapes),
        shape_group(frame_1211_shape_group_2_shapes),
        shape_group(frame_1211_shape_group_3_shapes),
        shape_group(frame_1211_shape_group_4_shapes),
        shape_group(frame_1211_shape_group_5_shapes),
        shape_group(frame_1211_shape_group_6_shapes),
        shape_group(frame_1211_shape_group_7_shapes),
        shape_group(frame_1211_shape_group_8_shapes),
        shape_group(frame_1211_shape_group_9_shapes),
        shape_group(frame_1211_shape_group_10_shapes),
        shape_group(frame_1211_shape_group_11_shapes),
        shape_group(frame_1211_shape_group_12_shapes),
        shape_group(frame_1211_shape_group_13_shapes),
    };

    constexpr const frame frame_1211_impl(frame_1211_colors, frame_1211_shape_groups);
} 

const frame& frame_1211()
{
    return frame_1211_impl;
}

namespace
{
    constexpr const bn::color frame_1212_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1212_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(1, 6),
        horizontal_line(2, 10),
        horizontal_line(3, 14),
        horizontal_line(4, 18),
        horizontal_line(5, 21),
        horizontal_line(7, 25),
        horizontal_line(8, 29),
        horizontal_line(9, 33),
        horizontal_line(10, 37),
        horizontal_line(11, 41),
        horizontal_line(13, 44),
        horizontal_line(14, 48),
        horizontal_line(15, 52),
        horizontal_line(16, 56),
        horizontal_line(18, 60),
        horizontal_line(19, 64),
        horizontal_line(20, 67),
        horizontal_line(21, 71),
        horizontal_line(22, 75),
        horizontal_line(24, 79),
        horizontal_line(25, 83),
        horizontal_line(26, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(61, 123),
        horizontal_line(66, 128),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(81, 143),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(96, 158),
        horizontal_line(101, 163),
        horizontal_line(106, 168),
        horizontal_line(111, 172),
        horizontal_line(116, 166),
        horizontal_line(121, 161),
        horizontal_line(126, 156),
        horizontal_line(131, 151),
        horizontal_line(136, 146),
        horizontal_line(141, 141),
        horizontal_line(69, 71),
        horizontal_line(69, 76),
        horizontal_line(69, 81),
        horizontal_line(70, 86),
        horizontal_line(70, 91),
        horizontal_line(70, 95),
        horizontal_line(70, 100),
        horizontal_line(71, 105),
        horizontal_line(71, 110),
        horizontal_line(71, 115),
        horizontal_line(72, 120),
        horizontal_line(76, 119),
        horizontal_line(81, 118),
        horizontal_line(86, 117),
        horizontal_line(91, 116),
        horizontal_line(96, 114),
        horizontal_line(101, 113),
        horizontal_line(106, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 112),
        horizontal_line(72, 76),
        horizontal_line(72, 83),
        horizontal_line(72, 90),
        horizontal_line(72, 97),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 102),
        horizontal_line(78, 101),
        horizontal_line(85, 101),
        horizontal_line(92, 100),
        horizontal_line(100, 100),
        horizontal_line(100, 102),
        horizontal_line(100, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(100, 103),
        horizontal_line(172, 217),
        horizontal_line(175, 222),
        horizontal_line(177, 226),
        horizontal_line(180, 230),
        horizontal_line(183, 227),
        horizontal_line(186, 225),
        horizontal_line(188, 222),
        horizontal_line(191, 220),
        horizontal_line(194, 218),
        horizontal_line(197, 215),
        horizontal_line(199, 213),
        horizontal_line(202, 210),
        horizontal_line(205, 208),
    };

    constexpr const horizontal_line frame_1212_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1212_shape_group_0_shapes[] = {
        shape(frame_1212_shape_group_0_shape_0_horizontal_lines, 23, 14),
        shape(frame_1212_shape_group_0_shape_1_horizontal_lines, 140, 9),
    };

    constexpr const horizontal_line frame_1212_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(89, 90),
        horizontal_line(91, 94),
        horizontal_line(92, 98),
        horizontal_line(93, 102),
        horizontal_line(94, 106),
        horizontal_line(95, 110),
        horizontal_line(97, 113),
        horizontal_line(98, 117),
        horizontal_line(99, 121),
        horizontal_line(100, 125),
        horizontal_line(101, 129),
        horizontal_line(103, 133),
        horizontal_line(104, 136),
        horizontal_line(105, 140),
        horizontal_line(106, 144),
        horizontal_line(108, 148),
        horizontal_line(109, 152),
        horizontal_line(110, 156),
        horizontal_line(111, 159),
        horizontal_line(112, 163),
        horizontal_line(114, 167),
        horizontal_line(115, 171),
        horizontal_line(116, 175),
        horizontal_line(117, 179),
        horizontal_line(119, 181),
        horizontal_line(123, 185),
        horizontal_line(128, 190),
        horizontal_line(133, 194),
        horizontal_line(138, 198),
        horizontal_line(143, 203),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(140, 141),
        horizontal_line(138, 143),
        horizontal_line(136, 145),
        horizontal_line(134, 147),
        horizontal_line(132, 149),
        horizontal_line(131, 151),
        horizontal_line(129, 153),
        horizontal_line(127, 155),
        horizontal_line(125, 157),
        horizontal_line(123, 153),
        horizontal_line(122, 149),
        horizontal_line(123, 145),
        horizontal_line(125, 142),
        horizontal_line(127, 138),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_1212_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(50, 57),
        horizontal_line(51, 56),
        horizontal_line(52, 56),
        horizontal_line(53, 55),
        horizontal_line(54, 55),
    };

    constexpr const horizontal_line frame_1212_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(110, 114),
        horizontal_line(109, 116),
        horizontal_line(108, 119),
        horizontal_line(107, 117),
        horizontal_line(106, 116),
        horizontal_line(106, 115),
        horizontal_line(108, 113),
        horizontal_line(110, 112),
        horizontal_line(147, 170),
        horizontal_line(145, 174),
        horizontal_line(147, 178),
        horizontal_line(150, 183),
        horizontal_line(153, 187),
        horizontal_line(155, 191),
        horizontal_line(158, 196),
        horizontal_line(161, 200),
        horizontal_line(164, 204),
        horizontal_line(166, 209),
        horizontal_line(169, 213),
    };

    constexpr const horizontal_line frame_1212_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(24, 72),
        horizontal_line(22, 79),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1212_shape_group_1_shapes[] = {
        shape(frame_1212_shape_group_1_shape_0_horizontal_lines, 46, 14),
        shape(frame_1212_shape_group_1_shape_1_horizontal_lines, 103, 9),
        shape(frame_1212_shape_group_1_shape_2_horizontal_lines, 108, 14),
        shape(frame_1212_shape_group_1_shape_3_horizontal_lines, 127, 9),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(181, 182),
        horizontal_line(185, 186),
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(148, 197),
        horizontal_line(153, 192),
        horizontal_line(158, 187),
        horizontal_line(163, 182),
        horizontal_line(168, 177),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(48, 56),
        horizontal_line(48, 57),
        horizontal_line(47, 58),
        horizontal_line(47, 71),
        horizontal_line(47, 58),
        horizontal_line(48, 58),
        horizontal_line(49, 57),
        horizontal_line(61, 71),
        horizontal_line(61, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(55, 62),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(153, 161),
        horizontal_line(150, 165),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 70),
        horizontal_line(64, 70),
        horizontal_line(64, 70),
        horizontal_line(64, 70),
        horizontal_line(64, 70),
        horizontal_line(70, 70),
        horizontal_line(32, 41),
        horizontal_line(30, 49),
        horizontal_line(28, 56),
        horizontal_line(26, 64),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(73, 107),
        horizontal_line(80, 115),
    };

    constexpr const horizontal_line frame_1212_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(82, 87),
        horizontal_line(80, 94),
        horizontal_line(77, 102),
        horizontal_line(75, 110),
        horizontal_line(73, 117),
        horizontal_line(71, 125),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
    };

    constexpr const shape frame_1212_shape_group_2_shapes[] = {
        shape(frame_1212_shape_group_2_shape_0_horizontal_lines, 58, 9),
        shape(frame_1212_shape_group_2_shape_1_horizontal_lines, 69, 14),
        shape(frame_1212_shape_group_2_shape_2_horizontal_lines, 73, 9),
        shape(frame_1212_shape_group_2_shape_3_horizontal_lines, 76, 14),
        shape(frame_1212_shape_group_2_shape_4_horizontal_lines, 81, 9),
        shape(frame_1212_shape_group_2_shape_5_horizontal_lines, 88, 14),
        shape(frame_1212_shape_group_2_shape_6_horizontal_lines, 96, 9),
        shape(frame_1212_shape_group_2_shape_7_horizontal_lines, 108, 8),
        shape(frame_1212_shape_group_2_shape_8_horizontal_lines, 109, 9),
        shape(frame_1212_shape_group_2_shape_9_horizontal_lines, 113, 14),
        shape(frame_1212_shape_group_2_shape_10_horizontal_lines, 116, 9),
        shape(frame_1212_shape_group_2_shape_11_horizontal_lines, 127, 8),
        shape(frame_1212_shape_group_2_shape_12_horizontal_lines, 129, 9),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(32, 58),
        horizontal_line(34, 58),
        horizontal_line(35, 59),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(43, 63),
        horizontal_line(44, 64),
        horizontal_line(45, 65),
        horizontal_line(46, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(6, 19),
        horizontal_line(12, 19),
        horizontal_line(19, 19),
        horizontal_line(50, 53),
        horizontal_line(50, 53),
        horizontal_line(49, 54),
        horizontal_line(49, 55),
        horizontal_line(49, 56),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(60, 71),
        horizontal_line(60, 71),
        horizontal_line(61, 71),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(58, 60),
        horizontal_line(57, 60),
        horizontal_line(57, 61),
        horizontal_line(56, 61),
        horizontal_line(56, 61),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(56, 61),
        horizontal_line(57, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(45, 61),
        horizontal_line(35, 69),
        horizontal_line(42, 76),
        horizontal_line(50, 84),
        horizontal_line(57, 92),
        horizontal_line(65, 99),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(88, 117),
        horizontal_line(95, 120),
        horizontal_line(103, 122),
        horizontal_line(111, 125),
        horizontal_line(118, 127),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(131, 133),
        horizontal_line(129, 134),
        horizontal_line(127, 135),
        horizontal_line(125, 136),
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_1212_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(143, 204),
        horizontal_line(144, 203),
        horizontal_line(145, 203),
        horizontal_line(146, 202),
        horizontal_line(147, 201),
        horizontal_line(148, 201),
        horizontal_line(149, 200),
        horizontal_line(150, 200),
        horizontal_line(152, 199),
        horizontal_line(153, 199),
        horizontal_line(154, 198),
        horizontal_line(155, 197),
        horizontal_line(156, 197),
        horizontal_line(157, 196),
        horizontal_line(158, 196),
        horizontal_line(159, 195),
        horizontal_line(161, 195),
    };

    constexpr const shape frame_1212_shape_group_3_shapes[] = {
        shape(frame_1212_shape_group_3_shape_0_horizontal_lines, 69, 9),
        shape(frame_1212_shape_group_3_shape_1_horizontal_lines, 96, 8),
        shape(frame_1212_shape_group_3_shape_2_horizontal_lines, 100, 9),
        shape(frame_1212_shape_group_3_shape_3_horizontal_lines, 103, 8),
        shape(frame_1212_shape_group_3_shape_4_horizontal_lines, 108, 1),
        shape(frame_1212_shape_group_3_shape_5_horizontal_lines, 109, 8),
        shape(frame_1212_shape_group_3_shape_6_horizontal_lines, 112, 1),
        shape(frame_1212_shape_group_3_shape_7_horizontal_lines, 113, 9),
        shape(frame_1212_shape_group_3_shape_8_horizontal_lines, 116, 1),
        shape(frame_1212_shape_group_3_shape_9_horizontal_lines, 118, 8),
        shape(frame_1212_shape_group_3_shape_10_horizontal_lines, 127, 1),
        shape(frame_1212_shape_group_3_shape_11_horizontal_lines, 129, 8),
        shape(frame_1212_shape_group_3_shape_12_horizontal_lines, 135, 9),
        shape(frame_1212_shape_group_3_shape_13_horizontal_lines, 140, 1),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(30, 56),
        horizontal_line(31, 57),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(27, 31),
        horizontal_line(27, 33),
        horizontal_line(26, 34),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(36, 60),
        horizontal_line(37, 60),
        horizontal_line(39, 61),
        horizontal_line(40, 62),
        horizontal_line(41, 63),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(24, 42),
        horizontal_line(23, 43),
        horizontal_line(23, 44),
        horizontal_line(22, 45),
        horizontal_line(22, 47),
        horizontal_line(21, 48),
        horizontal_line(21, 49),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(51, 51),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(35, 47),
        horizontal_line(37, 47),
        horizontal_line(40, 46),
        horizontal_line(43, 46),
        horizontal_line(46, 46),
        horizontal_line(59, 59),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(53, 54),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(53, 59),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(54, 60),
        horizontal_line(54, 60),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(108, 114),
        horizontal_line(137, 174),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(138, 200),
        horizontal_line(201, 206),
        horizontal_line(202, 205),
        horizontal_line(203, 204),
    };

    constexpr const horizontal_line frame_1212_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(205, 212),
        horizontal_line(204, 214),
        horizontal_line(204, 215),
        horizontal_line(203, 217),
        horizontal_line(202, 219),
        horizontal_line(202, 221),
        horizontal_line(201, 223),
        horizontal_line(201, 224),
        horizontal_line(200, 226),
        horizontal_line(200, 228),
        horizontal_line(199, 230),
        horizontal_line(198, 231),
        horizontal_line(198, 233),
        horizontal_line(197, 235),
        horizontal_line(197, 237),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_1212_shape_group_4_shapes[] = {
        shape(frame_1212_shape_group_4_shape_0_horizontal_lines, 71, 9),
        shape(frame_1212_shape_group_4_shape_1_horizontal_lines, 73, 8),
        shape(frame_1212_shape_group_4_shape_2_horizontal_lines, 76, 9),
        shape(frame_1212_shape_group_4_shape_3_horizontal_lines, 81, 8),
        shape(frame_1212_shape_group_4_shape_4_horizontal_lines, 89, 9),
        shape(frame_1212_shape_group_4_shape_5_horizontal_lines, 91, 8),
        shape(frame_1212_shape_group_4_shape_6_horizontal_lines, 103, 1),
        shape(frame_1212_shape_group_4_shape_7_horizontal_lines, 121, 8),
        shape(frame_1212_shape_group_4_shape_8_horizontal_lines, 122, 1),
        shape(frame_1212_shape_group_4_shape_9_horizontal_lines, 143, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(28, 29),
        horizontal_line(28, 30),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(26, 35),
        horizontal_line(25, 36),
        horizontal_line(25, 38),
        horizontal_line(24, 39),
        horizontal_line(24, 40),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(173, 211),
        horizontal_line(167, 213),
        horizontal_line(162, 215),
        horizontal_line(157, 216),
        horizontal_line(152, 214),
        horizontal_line(147, 209),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(20, 51),
        horizontal_line(0, 11),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(148, 210),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(24, 49),
        horizontal_line(27, 48),
        horizontal_line(29, 48),
        horizontal_line(32, 48),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(154, 157),
        horizontal_line(150, 157),
        horizontal_line(1, 29),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(115, 157),
        horizontal_line(114, 157),
        horizontal_line(113, 128),
        horizontal_line(112, 126),
        horizontal_line(53, 53),
        horizontal_line(115, 123),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(53, 57),
        horizontal_line(117, 119),
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(103, 119),
        horizontal_line(102, 121),
        horizontal_line(54, 60),
        horizontal_line(54, 61),
        horizontal_line(55, 61),
        horizontal_line(0, 33),
        horizontal_line(107, 107),
        horizontal_line(110, 117),
        horizontal_line(109, 116),
        horizontal_line(108, 116),
        horizontal_line(108, 115),
        horizontal_line(137, 171),
        horizontal_line(231, 239),
        horizontal_line(136, 176),
        horizontal_line(136, 179),
        horizontal_line(135, 182),
        horizontal_line(134, 185),
        horizontal_line(134, 187),
        horizontal_line(133, 190),
        horizontal_line(134, 193),
        horizontal_line(135, 196),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(200, 204),
    };

    constexpr const horizontal_line frame_1212_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(207, 207),
        horizontal_line(206, 208),
        horizontal_line(205, 210),
    };

    constexpr const shape frame_1212_shape_group_5_shapes[] = {
        shape(frame_1212_shape_group_5_shape_0_horizontal_lines, 71, 8),
        shape(frame_1212_shape_group_5_shape_1_horizontal_lines, 76, 8),
        shape(frame_1212_shape_group_5_shape_2_horizontal_lines, 81, 1),
        shape(frame_1212_shape_group_5_shape_3_horizontal_lines, 88, 8),
        shape(frame_1212_shape_group_5_shape_4_horizontal_lines, 91, 1),
        shape(frame_1212_shape_group_5_shape_5_horizontal_lines, 92, 8),
        shape(frame_1212_shape_group_5_shape_6_horizontal_lines, 96, 1),
        shape(frame_1212_shape_group_5_shape_7_horizontal_lines, 100, 8),
        shape(frame_1212_shape_group_5_shape_8_horizontal_lines, 101, 1),
        shape(frame_1212_shape_group_5_shape_9_horizontal_lines, 140, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(198, 203),
        horizontal_line(193, 205),
        horizontal_line(188, 206),
        horizontal_line(183, 208),
        horizontal_line(178, 210),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(214, 218),
        horizontal_line(209, 220),
        horizontal_line(204, 221),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(20, 50),
        horizontal_line(20, 50),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(210, 228),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(120, 122),
        horizontal_line(0, 29),
        horizontal_line(118, 126),
        horizontal_line(117, 128),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(131, 157),
        horizontal_line(131, 157),
        horizontal_line(113, 125),
        horizontal_line(131, 157),
        horizontal_line(117, 121),
        horizontal_line(120, 120),
        horizontal_line(118, 119),
        horizontal_line(131, 157),
        horizontal_line(105, 105),
        horizontal_line(104, 107),
        horizontal_line(104, 109),
        horizontal_line(233, 239),
        horizontal_line(144, 144),
        horizontal_line(102, 110),
        horizontal_line(101, 109),
        horizontal_line(101, 108),
        horizontal_line(103, 107),
        horizontal_line(110, 118),
        horizontal_line(140, 160),
        horizontal_line(139, 163),
        horizontal_line(139, 165),
        horizontal_line(138, 168),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(223, 230),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_1212_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(198, 198),
        horizontal_line(199, 201),
    };

    constexpr const shape frame_1212_shape_group_6_shapes[] = {
        shape(frame_1212_shape_group_6_shape_0_horizontal_lines, 76, 1),
        shape(frame_1212_shape_group_6_shape_1_horizontal_lines, 85, 1),
        shape(frame_1212_shape_group_6_shape_2_horizontal_lines, 89, 8),
        shape(frame_1212_shape_group_6_shape_3_horizontal_lines, 91, 1),
        shape(frame_1212_shape_group_6_shape_4_horizontal_lines, 128, 4),
        shape(frame_1212_shape_group_6_shape_5_horizontal_lines, 129, 1),
        shape(frame_1212_shape_group_6_shape_6_horizontal_lines, 134, 2),
        shape(frame_1212_shape_group_6_shape_7_horizontal_lines, 137, 1),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(204, 223),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(212, 230),
        horizontal_line(214, 231),
        horizontal_line(216, 233),
        horizontal_line(218, 236),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(27, 34),
        horizontal_line(28, 36),
        horizontal_line(30, 39),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(146, 157),
        horizontal_line(119, 124),
        horizontal_line(139, 157),
        horizontal_line(135, 157),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(44, 49),
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(131, 157),
        horizontal_line(234, 239),
        horizontal_line(131, 157),
        horizontal_line(131, 157),
        horizontal_line(131, 157),
        horizontal_line(233, 239),
        horizontal_line(116, 119),
        horizontal_line(114, 119),
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 119),
        horizontal_line(111, 118),
        horizontal_line(140, 157),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(218, 230),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(116, 136),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(227, 230),
    };

    constexpr const horizontal_line frame_1212_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(121, 135),
        horizontal_line(123, 134),
        horizontal_line(126, 133),
        horizontal_line(128, 133),
    };

    constexpr const shape frame_1212_shape_group_7_shapes[] = {
        shape(frame_1212_shape_group_7_shape_0_horizontal_lines, 88, 1),
        shape(frame_1212_shape_group_7_shape_1_horizontal_lines, 92, 1),
        shape(frame_1212_shape_group_7_shape_2_horizontal_lines, 96, 3),
        shape(frame_1212_shape_group_7_shape_3_horizontal_lines, 99, 1),
        shape(frame_1212_shape_group_7_shape_4_horizontal_lines, 103, 3),
        shape(frame_1212_shape_group_7_shape_5_horizontal_lines, 105, 1),
        shape(frame_1212_shape_group_7_shape_6_horizontal_lines, 116, 4),
        shape(frame_1212_shape_group_7_shape_7_horizontal_lines, 117, 1),
        shape(frame_1212_shape_group_7_shape_8_horizontal_lines, 127, 4),
        shape(frame_1212_shape_group_7_shape_9_horizontal_lines, 128, 2),
        shape(frame_1212_shape_group_7_shape_10_horizontal_lines, 129, 4),
        shape(frame_1212_shape_group_7_shape_11_horizontal_lines, 130, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(206, 225),
        horizontal_line(208, 226),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(22, 23),
        horizontal_line(23, 26),
        horizontal_line(25, 28),
        horizontal_line(26, 31),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(143, 157),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(50, 51),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(120, 130),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(131, 156),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(171, 232),
        horizontal_line(175, 231),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(143, 146),
        horizontal_line(142, 149),
        horizontal_line(142, 152),
        horizontal_line(141, 154),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(201, 231),
        horizontal_line(205, 230),
        horizontal_line(210, 230),
        horizontal_line(214, 230),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(115, 136),
    };

    constexpr const horizontal_line frame_1212_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(118, 135),
    };

    constexpr const shape frame_1212_shape_group_8_shapes[] = {
        shape(frame_1212_shape_group_8_shape_0_horizontal_lines, 89, 1),
        shape(frame_1212_shape_group_8_shape_1_horizontal_lines, 92, 3),
        shape(frame_1212_shape_group_8_shape_2_horizontal_lines, 96, 4),
        shape(frame_1212_shape_group_8_shape_3_horizontal_lines, 99, 1),
        shape(frame_1212_shape_group_8_shape_4_horizontal_lines, 103, 4),
        shape(frame_1212_shape_group_8_shape_5_horizontal_lines, 105, 3),
        shape(frame_1212_shape_group_8_shape_6_horizontal_lines, 106, 4),
        shape(frame_1212_shape_group_8_shape_7_horizontal_lines, 107, 1),
        shape(frame_1212_shape_group_8_shape_8_horizontal_lines, 108, 4),
        shape(frame_1212_shape_group_8_shape_9_horizontal_lines, 109, 1),
        shape(frame_1212_shape_group_8_shape_10_horizontal_lines, 112, 4),
        shape(frame_1212_shape_group_8_shape_11_horizontal_lines, 113, 1),
        shape(frame_1212_shape_group_8_shape_12_horizontal_lines, 116, 4),
        shape(frame_1212_shape_group_8_shape_13_horizontal_lines, 118, 1),
        shape(frame_1212_shape_group_8_shape_14_horizontal_lines, 123, 4),
        shape(frame_1212_shape_group_8_shape_15_horizontal_lines, 127, 2),
        shape(frame_1212_shape_group_8_shape_16_horizontal_lines, 129, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(221, 234),
        horizontal_line(220, 234),
        horizontal_line(220, 234),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(32, 42),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(38, 47),
        horizontal_line(41, 48),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(220, 233),
        horizontal_line(220, 233),
        horizontal_line(129, 130),
        horizontal_line(158, 220),
        horizontal_line(126, 130),
        horizontal_line(158, 220),
        horizontal_line(122, 130),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(33, 53),
        horizontal_line(33, 53),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1212_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(106, 108),
        horizontal_line(105, 107),
        horizontal_line(104, 107),
    };

    constexpr const shape frame_1212_shape_group_9_shapes[] = {
        shape(frame_1212_shape_group_9_shape_0_horizontal_lines, 96, 4),
        shape(frame_1212_shape_group_9_shape_1_horizontal_lines, 99, 3),
        shape(frame_1212_shape_group_9_shape_2_horizontal_lines, 100, 1),
        shape(frame_1212_shape_group_9_shape_3_horizontal_lines, 101, 3),
        shape(frame_1212_shape_group_9_shape_4_horizontal_lines, 103, 4),
        shape(frame_1212_shape_group_9_shape_5_horizontal_lines, 113, 1),
        shape(frame_1212_shape_group_9_shape_6_horizontal_lines, 114, 4),
        shape(frame_1212_shape_group_9_shape_7_horizontal_lines, 116, 2),
        shape(frame_1212_shape_group_9_shape_8_horizontal_lines, 118, 1),
        shape(frame_1212_shape_group_9_shape_9_horizontal_lines, 122, 4),
        shape(frame_1212_shape_group_9_shape_10_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(35, 45),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(31, 43),
        horizontal_line(31, 46),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(220, 233),
        horizontal_line(158, 220),
        horizontal_line(220, 233),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(220, 232),
        horizontal_line(120, 130),
        horizontal_line(162, 224),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(110, 111),
        horizontal_line(109, 111),
        horizontal_line(108, 109),
        horizontal_line(197, 231),
    };

    constexpr const horizontal_line frame_1212_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(118, 139),
        horizontal_line(117, 138),
        horizontal_line(117, 138),
        horizontal_line(116, 137),
    };

    constexpr const shape frame_1212_shape_group_10_shapes[] = {
        shape(frame_1212_shape_group_10_shape_0_horizontal_lines, 99, 4),
        shape(frame_1212_shape_group_10_shape_1_horizontal_lines, 100, 3),
        shape(frame_1212_shape_group_10_shape_2_horizontal_lines, 101, 4),
        shape(frame_1212_shape_group_10_shape_3_horizontal_lines, 103, 2),
        shape(frame_1212_shape_group_10_shape_4_horizontal_lines, 105, 4),
        shape(frame_1212_shape_group_10_shape_5_horizontal_lines, 116, 2),
        shape(frame_1212_shape_group_10_shape_6_horizontal_lines, 118, 4),
        shape(frame_1212_shape_group_10_shape_7_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(220, 234),
        horizontal_line(158, 220),
        horizontal_line(220, 234),
        horizontal_line(220, 234),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(220, 233),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(31, 52),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(220, 233),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(32, 52),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(220, 233),
        horizontal_line(220, 232),
        horizontal_line(220, 232),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(32, 52),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(224, 232),
        horizontal_line(228, 232),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(122, 143),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(179, 231),
        horizontal_line(184, 231),
        horizontal_line(188, 231),
        horizontal_line(192, 231),
    };

    constexpr const horizontal_line frame_1212_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const shape frame_1212_shape_group_11_shapes[] = {
        shape(frame_1212_shape_group_11_shape_0_horizontal_lines, 99, 4),
        shape(frame_1212_shape_group_11_shape_1_horizontal_lines, 105, 4),
        shape(frame_1212_shape_group_11_shape_2_horizontal_lines, 106, 2),
        shape(frame_1212_shape_group_11_shape_3_horizontal_lines, 107, 4),
        shape(frame_1212_shape_group_11_shape_4_horizontal_lines, 108, 2),
        shape(frame_1212_shape_group_11_shape_5_horizontal_lines, 109, 4),
        shape(frame_1212_shape_group_11_shape_6_horizontal_lines, 112, 2),
        shape(frame_1212_shape_group_11_shape_7_horizontal_lines, 113, 4),
        shape(frame_1212_shape_group_11_shape_8_horizontal_lines, 116, 2),
        shape(frame_1212_shape_group_11_shape_9_horizontal_lines, 118, 4),
        shape(frame_1212_shape_group_11_shape_10_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(30, 31),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(220, 234),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(30, 37),
        horizontal_line(30, 40),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(31, 49),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(31, 52),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(32, 52),
        horizontal_line(32, 52),
        horizontal_line(32, 52),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(220, 232),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(33, 53),
        horizontal_line(33, 53),
    };

    constexpr const horizontal_line frame_1212_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(34, 53),
        horizontal_line(34, 53),
        horizontal_line(34, 54),
        horizontal_line(34, 44),
        horizontal_line(119, 139),
    };

    constexpr const shape frame_1212_shape_group_12_shapes[] = {
        shape(frame_1212_shape_group_12_shape_0_horizontal_lines, 99, 2),
        shape(frame_1212_shape_group_12_shape_1_horizontal_lines, 100, 4),
        shape(frame_1212_shape_group_12_shape_2_horizontal_lines, 101, 2),
        shape(frame_1212_shape_group_12_shape_3_horizontal_lines, 105, 2),
        shape(frame_1212_shape_group_12_shape_4_horizontal_lines, 107, 2),
        shape(frame_1212_shape_group_12_shape_5_horizontal_lines, 109, 2),
        shape(frame_1212_shape_group_12_shape_6_horizontal_lines, 113, 4),
        shape(frame_1212_shape_group_12_shape_7_horizontal_lines, 114, 2),
        shape(frame_1212_shape_group_12_shape_8_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(30, 34),
    };

    constexpr const horizontal_line frame_1212_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(33, 53),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1212_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_1212_shape_group_13_shapes[] = {
        shape(frame_1212_shape_group_13_shape_0_horizontal_lines, 100, 2),
        shape(frame_1212_shape_group_13_shape_1_horizontal_lines, 113, 2),
        shape(frame_1212_shape_group_13_shape_2_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(121, 142),
        horizontal_line(121, 141),
        horizontal_line(120, 141),
        horizontal_line(110, 110),
    };

    constexpr const shape frame_1212_shape_group_14_shapes[] = {
        shape(frame_1212_shape_group_14_shape_0_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1212_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(119, 140),
    };

    constexpr const shape frame_1212_shape_group_15_shapes[] = {
        shape(frame_1212_shape_group_15_shape_0_horizontal_lines, 121, 2),
    };

    constexpr const shape_group frame_1212_shape_groups[] = {
        shape_group(frame_1212_shape_group_0_shapes),
        shape_group(frame_1212_shape_group_1_shapes),
        shape_group(frame_1212_shape_group_2_shapes),
        shape_group(frame_1212_shape_group_3_shapes),
        shape_group(frame_1212_shape_group_4_shapes),
        shape_group(frame_1212_shape_group_5_shapes),
        shape_group(frame_1212_shape_group_6_shapes),
        shape_group(frame_1212_shape_group_7_shapes),
        shape_group(frame_1212_shape_group_8_shapes),
        shape_group(frame_1212_shape_group_9_shapes),
        shape_group(frame_1212_shape_group_10_shapes),
        shape_group(frame_1212_shape_group_11_shapes),
        shape_group(frame_1212_shape_group_12_shapes),
        shape_group(frame_1212_shape_group_13_shapes),
        shape_group(frame_1212_shape_group_14_shapes),
        shape_group(frame_1212_shape_group_15_shapes),
    };

    constexpr const frame frame_1212_impl(frame_1212_colors, frame_1212_shape_groups);
} 

const frame& frame_1212()
{
    return frame_1212_impl;
}

namespace
{
    constexpr const bn::color frame_1213_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1213_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 28),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 39),
        horizontal_line(0, 43),
        horizontal_line(1, 46),
        horizontal_line(2, 50),
        horizontal_line(3, 54),
        horizontal_line(4, 57),
        horizontal_line(6, 61),
        horizontal_line(7, 65),
        horizontal_line(8, 68),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(62, 124),
        horizontal_line(67, 129),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(81, 143),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(95, 157),
        horizontal_line(100, 162),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(114, 176),
        horizontal_line(119, 172),
        horizontal_line(124, 166),
        horizontal_line(128, 160),
        horizontal_line(133, 154),
        horizontal_line(138, 148),
        horizontal_line(68, 71),
        horizontal_line(68, 76),
        horizontal_line(68, 81),
        horizontal_line(69, 86),
        horizontal_line(69, 91),
        horizontal_line(69, 96),
        horizontal_line(69, 101),
        horizontal_line(70, 106),
        horizontal_line(70, 111),
        horizontal_line(70, 116),
        horizontal_line(70, 121),
        horizontal_line(71, 120),
        horizontal_line(76, 119),
        horizontal_line(82, 118),
        horizontal_line(88, 117),
        horizontal_line(94, 115),
        horizontal_line(100, 114),
        horizontal_line(106, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 113),
        horizontal_line(72, 75),
        horizontal_line(72, 81),
        horizontal_line(72, 87),
        horizontal_line(72, 92),
        horizontal_line(72, 98),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 103),
        horizontal_line(72, 102),
        horizontal_line(78, 102),
        horizontal_line(85, 101),
        horizontal_line(92, 100),
        horizontal_line(100, 100),
        horizontal_line(100, 101),
        horizontal_line(100, 103),
        horizontal_line(99, 106),
        horizontal_line(99, 107),
        horizontal_line(98, 106),
        horizontal_line(98, 105),
        horizontal_line(97, 104),
        horizontal_line(102, 103),
        horizontal_line(173, 215),
        horizontal_line(176, 219),
        horizontal_line(178, 223),
        horizontal_line(181, 227),
        horizontal_line(183, 231),
        horizontal_line(186, 235),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 236),
        horizontal_line(214, 234),
        horizontal_line(217, 231),
        horizontal_line(219, 229),
        horizontal_line(222, 226),
    };

    constexpr const horizontal_line frame_1213_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1213_shape_group_0_shapes[] = {
        shape(frame_1213_shape_group_0_shape_0_horizontal_lines, 15, 14),
        shape(frame_1213_shape_group_0_shape_1_horizontal_lines, 148, 9),
    };

    constexpr const horizontal_line frame_1213_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(73, 76),
        horizontal_line(74, 79),
        horizontal_line(75, 83),
        horizontal_line(77, 87),
        horizontal_line(78, 90),
        horizontal_line(79, 94),
        horizontal_line(81, 98),
        horizontal_line(82, 101),
        horizontal_line(83, 105),
        horizontal_line(84, 109),
        horizontal_line(86, 112),
        horizontal_line(87, 116),
        horizontal_line(88, 120),
        horizontal_line(90, 123),
        horizontal_line(91, 127),
        horizontal_line(92, 131),
        horizontal_line(94, 134),
        horizontal_line(95, 138),
        horizontal_line(96, 142),
        horizontal_line(97, 145),
        horizontal_line(99, 149),
        horizontal_line(100, 153),
        horizontal_line(101, 156),
        horizontal_line(103, 160),
        horizontal_line(104, 164),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(124, 186),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(138, 200),
        horizontal_line(143, 205),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
        horizontal_line(143, 143),
        horizontal_line(141, 144),
        horizontal_line(139, 146),
        horizontal_line(137, 148),
        horizontal_line(135, 150),
        horizontal_line(133, 152),
        horizontal_line(131, 154),
        horizontal_line(129, 156),
        horizontal_line(127, 158),
        horizontal_line(125, 161),
        horizontal_line(123, 156),
        horizontal_line(124, 151),
        horizontal_line(126, 147),
        horizontal_line(129, 142),
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_1213_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(47, 56),
        horizontal_line(48, 55),
        horizontal_line(50, 55),
        horizontal_line(51, 54),
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_1213_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(111, 115),
        horizontal_line(110, 117),
        horizontal_line(109, 120),
        horizontal_line(108, 118),
        horizontal_line(107, 117),
        horizontal_line(106, 116),
        horizontal_line(107, 114),
        horizontal_line(110, 113),
        horizontal_line(128, 128),
        horizontal_line(125, 125),
        horizontal_line(122, 123),
        horizontal_line(148, 175),
        horizontal_line(150, 179),
        horizontal_line(153, 183),
        horizontal_line(155, 187),
        horizontal_line(158, 191),
        horizontal_line(160, 195),
        horizontal_line(163, 199),
        horizontal_line(165, 203),
        horizontal_line(168, 207),
        horizontal_line(171, 211),
    };

    constexpr const horizontal_line frame_1213_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(23, 53),
        horizontal_line(21, 61),
        horizontal_line(18, 70),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1213_shape_group_1_shapes[] = {
        shape(frame_1213_shape_group_1_shape_0_horizontal_lines, 34, 14),
        shape(frame_1213_shape_group_1_shape_1_horizontal_lines, 102, 9),
        shape(frame_1213_shape_group_1_shape_2_horizontal_lines, 107, 14),
        shape(frame_1213_shape_group_1_shape_3_horizontal_lines, 128, 9),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(168, 171),
        horizontal_line(170, 175),
        horizontal_line(171, 178),
        horizontal_line(172, 182),
        horizontal_line(174, 186),
        horizontal_line(175, 189),
        horizontal_line(176, 193),
        horizontal_line(178, 197),
        horizontal_line(181, 200),
        horizontal_line(186, 204),
        horizontal_line(191, 208),
        horizontal_line(195, 211),
        horizontal_line(200, 215),
        horizontal_line(205, 239),
        horizontal_line(148, 210),
        horizontal_line(152, 208),
        horizontal_line(157, 202),
        horizontal_line(162, 196),
        horizontal_line(167, 190),
        horizontal_line(171, 184),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(12, 12),
        horizontal_line(49, 52),
        horizontal_line(48, 52),
        horizontal_line(48, 53),
        horizontal_line(47, 54),
        horizontal_line(47, 55),
        horizontal_line(46, 55),
        horizontal_line(46, 56),
        horizontal_line(45, 57),
        horizontal_line(45, 58),
        horizontal_line(44, 57),
        horizontal_line(44, 57),
        horizontal_line(45, 56),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 71),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(52, 61),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(156, 163),
        horizontal_line(153, 167),
        horizontal_line(150, 171),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(67, 70),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(39, 73),
        horizontal_line(34, 80),
        horizontal_line(30, 87),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(27, 37),
        horizontal_line(25, 45),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(54, 108),
        horizontal_line(62, 116),
        horizontal_line(71, 118),
    };

    constexpr const horizontal_line frame_1213_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(78, 78),
        horizontal_line(76, 86),
        horizontal_line(74, 94),
        horizontal_line(71, 103),
        horizontal_line(69, 111),
        horizontal_line(67, 119),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
    };

    constexpr const shape frame_1213_shape_group_2_shapes[] = {
        shape(frame_1213_shape_group_2_shape_0_horizontal_lines, 59, 9),
        shape(frame_1213_shape_group_2_shape_1_horizontal_lines, 60, 14),
        shape(frame_1213_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_1213_shape_group_2_shape_3_horizontal_lines, 107, 8),
        shape(frame_1213_shape_group_2_shape_4_horizontal_lines, 108, 9),
        shape(frame_1213_shape_group_2_shape_5_horizontal_lines, 114, 14),
        shape(frame_1213_shape_group_2_shape_6_horizontal_lines, 118, 9),
        shape(frame_1213_shape_group_2_shape_7_horizontal_lines, 123, 8),
        shape(frame_1213_shape_group_2_shape_8_horizontal_lines, 126, 9),
        shape(frame_1213_shape_group_2_shape_9_horizontal_lines, 128, 8),
        shape(frame_1213_shape_group_2_shape_10_horizontal_lines, 131, 9),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 53),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(210, 214),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(43, 63),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 67),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(14, 50),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(49, 51),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(60, 70),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(47, 47),
        horizontal_line(48, 49),
        horizontal_line(49, 50),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(54, 60),
        horizontal_line(56, 60),
        horizontal_line(58, 59),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(62, 70),
        horizontal_line(63, 70),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(48, 59),
        horizontal_line(43, 66),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(38, 94),
        horizontal_line(46, 101),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(79, 120),
        horizontal_line(87, 122),
        horizontal_line(95, 124),
        horizontal_line(104, 127),
        horizontal_line(112, 129),
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(125, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
    };

    constexpr const horizontal_line frame_1213_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 218),
        horizontal_line(158, 217),
        horizontal_line(160, 217),
    };

    constexpr const shape frame_1213_shape_group_3_shapes[] = {
        shape(frame_1213_shape_group_3_shape_0_horizontal_lines, 60, 9),
        shape(frame_1213_shape_group_3_shape_1_horizontal_lines, 75, 14),
        shape(frame_1213_shape_group_3_shape_2_horizontal_lines, 76, 9),
        shape(frame_1213_shape_group_3_shape_3_horizontal_lines, 87, 8),
        shape(frame_1213_shape_group_3_shape_4_horizontal_lines, 88, 9),
        shape(frame_1213_shape_group_3_shape_5_horizontal_lines, 90, 8),
        shape(frame_1213_shape_group_3_shape_6_horizontal_lines, 99, 9),
        shape(frame_1213_shape_group_3_shape_7_horizontal_lines, 102, 8),
        shape(frame_1213_shape_group_3_shape_8_horizontal_lines, 107, 1),
        shape(frame_1213_shape_group_3_shape_9_horizontal_lines, 108, 8),
        shape(frame_1213_shape_group_3_shape_10_horizontal_lines, 111, 1),
        shape(frame_1213_shape_group_3_shape_11_horizontal_lines, 114, 9),
        shape(frame_1213_shape_group_3_shape_12_horizontal_lines, 118, 1),
        shape(frame_1213_shape_group_3_shape_13_horizontal_lines, 121, 8),
        shape(frame_1213_shape_group_3_shape_14_horizontal_lines, 123, 1),
        shape(frame_1213_shape_group_3_shape_15_horizontal_lines, 126, 8),
        shape(frame_1213_shape_group_3_shape_16_horizontal_lines, 128, 1),
        shape(frame_1213_shape_group_3_shape_17_horizontal_lines, 131, 8),
        shape(frame_1213_shape_group_3_shape_18_horizontal_lines, 137, 9),
        shape(frame_1213_shape_group_3_shape_19_horizontal_lines, 148, 1),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(25, 54),
        horizontal_line(27, 55),
        horizontal_line(28, 56),
        horizontal_line(30, 56),
        horizontal_line(31, 57),
        horizontal_line(0, 19),
        horizontal_line(34, 59),
        horizontal_line(36, 60),
        horizontal_line(37, 60),
        horizontal_line(39, 61),
        horizontal_line(40, 62),
        horizontal_line(42, 63),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(16, 42),
        horizontal_line(16, 44),
        horizontal_line(15, 45),
        horizontal_line(15, 47),
        horizontal_line(14, 48),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(144, 206),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(13, 49),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(149, 211),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(17, 47),
        horizontal_line(20, 47),
        horizontal_line(23, 46),
        horizontal_line(26, 46),
        horizontal_line(28, 45),
        horizontal_line(31, 45),
        horizontal_line(34, 44),
        horizontal_line(37, 44),
        horizontal_line(0, 24),
        horizontal_line(0, 0),
        horizontal_line(57, 59),
        horizontal_line(57, 59),
        horizontal_line(56, 59),
        horizontal_line(56, 60),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(51, 51),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(51, 59),
        horizontal_line(51, 59),
        horizontal_line(52, 59),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(52, 60),
        horizontal_line(52, 60),
        horizontal_line(53, 60),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(110, 119),
        horizontal_line(110, 118),
        horizontal_line(109, 117),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(109, 115),
        horizontal_line(140, 175),
        horizontal_line(140, 177),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(128, 133),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(209, 223),
        horizontal_line(211, 222),
        horizontal_line(212, 221),
        horizontal_line(213, 221),
        horizontal_line(214, 220),
        horizontal_line(215, 220),
        horizontal_line(216, 219),
        horizontal_line(217, 219),
        horizontal_line(218, 218),
    };

    constexpr const horizontal_line frame_1213_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_1213_shape_group_4_shapes[] = {
        shape(frame_1213_shape_group_4_shape_0_horizontal_lines, 70, 9),
        shape(frame_1213_shape_group_4_shape_1_horizontal_lines, 82, 8),
        shape(frame_1213_shape_group_4_shape_2_horizontal_lines, 87, 1),
        shape(frame_1213_shape_group_4_shape_3_horizontal_lines, 88, 8),
        shape(frame_1213_shape_group_4_shape_4_horizontal_lines, 90, 1),
        shape(frame_1213_shape_group_4_shape_5_horizontal_lines, 91, 8),
        shape(frame_1213_shape_group_4_shape_6_horizontal_lines, 107, 1),
        shape(frame_1213_shape_group_4_shape_7_horizontal_lines, 117, 8),
        shape(frame_1213_shape_group_4_shape_8_horizontal_lines, 118, 1),
        shape(frame_1213_shape_group_4_shape_9_horizontal_lines, 137, 8),
        shape(frame_1213_shape_group_4_shape_10_horizontal_lines, 138, 1),
        shape(frame_1213_shape_group_4_shape_11_horizontal_lines, 157, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(23, 24),
        horizontal_line(22, 26),
        horizontal_line(22, 27),
        horizontal_line(21, 29),
        horizontal_line(21, 30),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(33, 58),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(20, 33),
        horizontal_line(19, 35),
        horizontal_line(19, 36),
        horizontal_line(18, 38),
        horizontal_line(17, 39),
        horizontal_line(17, 41),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(173, 231),
        horizontal_line(167, 229),
        horizontal_line(161, 223),
        horizontal_line(155, 217),
        horizontal_line(149, 211),
        horizontal_line(206, 239),
        horizontal_line(145, 207),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(13, 48),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(157, 161),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(40, 43),
        horizontal_line(43, 43),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(116, 124),
        horizontal_line(51, 53),
        horizontal_line(51, 55),
        horizontal_line(51, 57),
        horizontal_line(118, 120),
        horizontal_line(117, 120),
        horizontal_line(105, 106),
        horizontal_line(52, 59),
        horizontal_line(52, 59),
        horizontal_line(52, 59),
        horizontal_line(0, 27),
        horizontal_line(101, 110),
        horizontal_line(101, 109),
        horizontal_line(102, 108),
        horizontal_line(60, 60),
        horizontal_line(107, 107),
        horizontal_line(144, 159),
        horizontal_line(143, 162),
        horizontal_line(143, 164),
        horizontal_line(108, 117),
        horizontal_line(108, 116),
        horizontal_line(141, 172),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(139, 180),
        horizontal_line(139, 182),
        horizontal_line(138, 185),
        horizontal_line(138, 188),
        horizontal_line(137, 190),
        horizontal_line(137, 193),
        horizontal_line(0, 2),
        horizontal_line(137, 198),
        horizontal_line(200, 200),
        horizontal_line(201, 203),
        horizontal_line(202, 206),
        horizontal_line(203, 208),
        horizontal_line(204, 211),
        horizontal_line(205, 213),
        horizontal_line(206, 216),
        horizontal_line(207, 218),
        horizontal_line(208, 221),
    };

    constexpr const horizontal_line frame_1213_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(223, 225),
        horizontal_line(222, 227),
        horizontal_line(222, 229),
        horizontal_line(221, 230),
        horizontal_line(221, 232),
        horizontal_line(220, 234),
        horizontal_line(220, 235),
        horizontal_line(219, 237),
    };

    constexpr const shape frame_1213_shape_group_5_shapes[] = {
        shape(frame_1213_shape_group_5_shape_0_horizontal_lines, 70, 8),
        shape(frame_1213_shape_group_5_shape_1_horizontal_lines, 75, 9),
        shape(frame_1213_shape_group_5_shape_2_horizontal_lines, 76, 8),
        shape(frame_1213_shape_group_5_shape_3_horizontal_lines, 82, 1),
        shape(frame_1213_shape_group_5_shape_4_horizontal_lines, 89, 8),
        shape(frame_1213_shape_group_5_shape_5_horizontal_lines, 90, 1),
        shape(frame_1213_shape_group_5_shape_6_horizontal_lines, 99, 8),
        shape(frame_1213_shape_group_5_shape_7_horizontal_lines, 101, 1),
        shape(frame_1213_shape_group_5_shape_8_horizontal_lines, 129, 4),
        shape(frame_1213_shape_group_5_shape_9_horizontal_lines, 131, 1),
        shape(frame_1213_shape_group_5_shape_10_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(20, 32),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(209, 222),
        horizontal_line(203, 223),
        horizontal_line(197, 225),
        horizontal_line(191, 226),
        horizontal_line(185, 228),
        horizontal_line(179, 230),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(229, 233),
        horizontal_line(223, 234),
        horizontal_line(217, 236),
        horizontal_line(211, 238),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(239, 239),
        horizontal_line(152, 161),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(118, 130),
        horizontal_line(116, 161),
        horizontal_line(115, 161),
        horizontal_line(114, 130),
        horizontal_line(113, 128),
        horizontal_line(114, 126),
        horizontal_line(133, 160),
        horizontal_line(118, 122),
        horizontal_line(121, 121),
        horizontal_line(119, 120),
        horizontal_line(132, 160),
        horizontal_line(132, 160),
        horizontal_line(115, 120),
        horizontal_line(104, 109),
        horizontal_line(103, 119),
        horizontal_line(103, 119),
        horizontal_line(52, 60),
        horizontal_line(112, 122),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(104, 107),
        horizontal_line(111, 119),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(142, 167),
        horizontal_line(142, 170),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(117, 139),
        horizontal_line(119, 139),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(128, 137),
        horizontal_line(130, 136),
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_1213_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(136, 195),
    };

    constexpr const shape frame_1213_shape_group_6_shapes[] = {
        shape(frame_1213_shape_group_6_shape_0_horizontal_lines, 75, 8),
        shape(frame_1213_shape_group_6_shape_1_horizontal_lines, 76, 1),
        shape(frame_1213_shape_group_6_shape_2_horizontal_lines, 83, 1),
        shape(frame_1213_shape_group_6_shape_3_horizontal_lines, 88, 1),
        shape(frame_1213_shape_group_6_shape_4_horizontal_lines, 91, 1),
        shape(frame_1213_shape_group_6_shape_5_horizontal_lines, 99, 8),
        shape(frame_1213_shape_group_6_shape_6_horizontal_lines, 101, 1),
        shape(frame_1213_shape_group_6_shape_7_horizontal_lines, 123, 4),
        shape(frame_1213_shape_group_6_shape_8_horizontal_lines, 126, 1),
        shape(frame_1213_shape_group_6_shape_9_horizontal_lines, 128, 4),
        shape(frame_1213_shape_group_6_shape_10_horizontal_lines, 129, 2),
        shape(frame_1213_shape_group_6_shape_11_horizontal_lines, 131, 4),
        shape(frame_1213_shape_group_6_shape_12_horizontal_lines, 134, 2),
        shape(frame_1213_shape_group_6_shape_13_horizontal_lines, 137, 1),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(215, 220),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(15, 16),
        horizontal_line(16, 19),
        horizontal_line(17, 22),
        horizontal_line(19, 25),
        horizontal_line(20, 27),
        horizontal_line(21, 30),
        horizontal_line(22, 33),
        horizontal_line(23, 36),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(1, 24),
        horizontal_line(138, 161),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(36, 45),
        horizontal_line(39, 46),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(133, 161),
        horizontal_line(133, 161),
        horizontal_line(133, 160),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(125, 132),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(133, 160),
        horizontal_line(132, 160),
        horizontal_line(132, 160),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(121, 131),
        horizontal_line(121, 131),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(132, 160),
        horizontal_line(114, 119),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(120, 127),
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(102, 119),
        horizontal_line(147, 147),
        horizontal_line(146, 149),
        horizontal_line(145, 152),
        horizontal_line(111, 120),
        horizontal_line(144, 157),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(29, 38),
        horizontal_line(29, 33),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(116, 140),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(121, 138),
        horizontal_line(123, 138),
        horizontal_line(125, 137),
    };

    constexpr const horizontal_line frame_1213_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const shape frame_1213_shape_group_7_shapes[] = {
        shape(frame_1213_shape_group_7_shape_0_horizontal_lines, 75, 1),
        shape(frame_1213_shape_group_7_shape_1_horizontal_lines, 89, 1),
        shape(frame_1213_shape_group_7_shape_2_horizontal_lines, 91, 3),
        shape(frame_1213_shape_group_7_shape_3_horizontal_lines, 99, 1),
        shape(frame_1213_shape_group_7_shape_4_horizontal_lines, 102, 3),
        shape(frame_1213_shape_group_7_shape_5_horizontal_lines, 104, 1),
        shape(frame_1213_shape_group_7_shape_6_horizontal_lines, 107, 4),
        shape(frame_1213_shape_group_7_shape_7_horizontal_lines, 108, 1),
        shape(frame_1213_shape_group_7_shape_8_horizontal_lines, 111, 4),
        shape(frame_1213_shape_group_7_shape_9_horizontal_lines, 113, 1),
        shape(frame_1213_shape_group_7_shape_10_horizontal_lines, 115, 4),
        shape(frame_1213_shape_group_7_shape_11_horizontal_lines, 117, 1),
        shape(frame_1213_shape_group_7_shape_12_horizontal_lines, 123, 2),
        shape(frame_1213_shape_group_7_shape_13_horizontal_lines, 126, 4),
        shape(frame_1213_shape_group_7_shape_14_horizontal_lines, 128, 2),
        shape(frame_1213_shape_group_7_shape_15_horizontal_lines, 131, 2),
        shape(frame_1213_shape_group_7_shape_16_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(148, 161),
        horizontal_line(119, 128),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(32, 44),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(43, 47),
        horizontal_line(47, 48),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(127, 132),
        horizontal_line(161, 223),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(121, 131),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(121, 131),
        horizontal_line(120, 131),
        horizontal_line(164, 226),
        horizontal_line(168, 230),
        horizontal_line(120, 121),
        horizontal_line(111, 111),
        horizontal_line(110, 111),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(145, 154),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1213_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(107, 109),
        horizontal_line(118, 142),
        horizontal_line(105, 107),
        horizontal_line(104, 107),
    };

    constexpr const shape frame_1213_shape_group_8_shapes[] = {
        shape(frame_1213_shape_group_8_shape_0_horizontal_lines, 97, 4),
        shape(frame_1213_shape_group_8_shape_1_horizontal_lines, 99, 1),
        shape(frame_1213_shape_group_8_shape_2_horizontal_lines, 101, 3),
        shape(frame_1213_shape_group_8_shape_3_horizontal_lines, 102, 4),
        shape(frame_1213_shape_group_8_shape_4_horizontal_lines, 104, 3),
        shape(frame_1213_shape_group_8_shape_5_horizontal_lines, 106, 4),
        shape(frame_1213_shape_group_8_shape_6_horizontal_lines, 121, 1),
        shape(frame_1213_shape_group_8_shape_7_horizontal_lines, 122, 4),
        shape(frame_1213_shape_group_8_shape_8_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(224, 238),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(25, 39),
    };

    constexpr const horizontal_line frame_1213_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(143, 161),
    };

    constexpr const horizontal_line frame_1213_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(131, 132),
        horizontal_line(129, 132),
        horizontal_line(161, 223),
        horizontal_line(223, 239),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(172, 234),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(108, 109),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(120, 143),
        horizontal_line(119, 142),
    };

    constexpr const horizontal_line frame_1213_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(118, 141),
        horizontal_line(117, 141),
    };

    constexpr const shape frame_1213_shape_group_9_shapes[] = {
        shape(frame_1213_shape_group_9_shape_0_horizontal_lines, 97, 4),
        shape(frame_1213_shape_group_9_shape_1_horizontal_lines, 99, 3),
        shape(frame_1213_shape_group_9_shape_2_horizontal_lines, 100, 1),
        shape(frame_1213_shape_group_9_shape_3_horizontal_lines, 101, 4),
        shape(frame_1213_shape_group_9_shape_4_horizontal_lines, 123, 2),
        shape(frame_1213_shape_group_9_shape_5_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(28, 42),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(25, 35),
        horizontal_line(25, 38),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(26, 50),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(27, 50),
        horizontal_line(27, 50),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(28, 51),
        horizontal_line(28, 51),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(28, 51),
        horizontal_line(29, 52),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(29, 42),
    };

    constexpr const shape frame_1213_shape_group_10_shapes[] = {
        shape(frame_1213_shape_group_10_shape_0_horizontal_lines, 99, 4),
        shape(frame_1213_shape_group_10_shape_1_horizontal_lines, 100, 3),
        shape(frame_1213_shape_group_10_shape_2_horizontal_lines, 101, 4),
        shape(frame_1213_shape_group_10_shape_3_horizontal_lines, 102, 2),
        shape(frame_1213_shape_group_10_shape_4_horizontal_lines, 104, 4),
        shape(frame_1213_shape_group_10_shape_5_horizontal_lines, 107, 2),
        shape(frame_1213_shape_group_10_shape_6_horizontal_lines, 108, 4),
        shape(frame_1213_shape_group_10_shape_7_horizontal_lines, 111, 2),
        shape(frame_1213_shape_group_10_shape_8_horizontal_lines, 113, 4),
        shape(frame_1213_shape_group_10_shape_9_horizontal_lines, 115, 2),
        shape(frame_1213_shape_group_10_shape_10_horizontal_lines, 117, 4),
        shape(frame_1213_shape_group_10_shape_11_horizontal_lines, 119, 2),
        shape(frame_1213_shape_group_10_shape_12_horizontal_lines, 121, 4),
        shape(frame_1213_shape_group_10_shape_13_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_1213_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(25, 31),
    };

    constexpr const horizontal_line frame_1213_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(26, 50),
    };

    constexpr const horizontal_line frame_1213_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(26, 50),
        horizontal_line(26, 50),
        horizontal_line(27, 50),
    };

    constexpr const horizontal_line frame_1213_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(27, 51),
        horizontal_line(27, 51),
        horizontal_line(60, 60),
        horizontal_line(60, 61),
        horizontal_line(28, 51),
        horizontal_line(28, 51),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(29, 47),
        horizontal_line(109, 110),
    };

    constexpr const shape frame_1213_shape_group_11_shapes[] = {
        shape(frame_1213_shape_group_11_shape_0_horizontal_lines, 99, 4),
        shape(frame_1213_shape_group_11_shape_1_horizontal_lines, 101, 2),
        shape(frame_1213_shape_group_11_shape_2_horizontal_lines, 104, 4),
        shape(frame_1213_shape_group_11_shape_3_horizontal_lines, 106, 2),
        shape(frame_1213_shape_group_11_shape_4_horizontal_lines, 108, 2),
        shape(frame_1213_shape_group_11_shape_5_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1213_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(25, 42),
        horizontal_line(26, 46),
    };

    constexpr const horizontal_line frame_1213_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1213_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 62),
        horizontal_line(122, 145),
        horizontal_line(111, 111),
        horizontal_line(61, 62),
        horizontal_line(120, 143),
    };

    constexpr const shape frame_1213_shape_group_12_shapes[] = {
        shape(frame_1213_shape_group_12_shape_0_horizontal_lines, 100, 4),
        shape(frame_1213_shape_group_12_shape_1_horizontal_lines, 104, 2),
        shape(frame_1213_shape_group_12_shape_2_horizontal_lines, 114, 2),
        shape(frame_1213_shape_group_12_shape_3_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(25, 27),
    };

    constexpr const horizontal_line frame_1213_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(123, 146),
    };

    constexpr const horizontal_line frame_1213_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(122, 144),
        horizontal_line(110, 110),
    };

    constexpr const shape frame_1213_shape_group_13_shapes[] = {
        shape(frame_1213_shape_group_13_shape_0_horizontal_lines, 100, 2),
        shape(frame_1213_shape_group_13_shape_1_horizontal_lines, 117, 2),
        shape(frame_1213_shape_group_13_shape_2_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1213_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(121, 144),
    };

    constexpr const shape frame_1213_shape_group_14_shapes[] = {
        shape(frame_1213_shape_group_14_shape_0_horizontal_lines, 121, 2),
    };

    constexpr const shape_group frame_1213_shape_groups[] = {
        shape_group(frame_1213_shape_group_0_shapes),
        shape_group(frame_1213_shape_group_1_shapes),
        shape_group(frame_1213_shape_group_2_shapes),
        shape_group(frame_1213_shape_group_3_shapes),
        shape_group(frame_1213_shape_group_4_shapes),
        shape_group(frame_1213_shape_group_5_shapes),
        shape_group(frame_1213_shape_group_6_shapes),
        shape_group(frame_1213_shape_group_7_shapes),
        shape_group(frame_1213_shape_group_8_shapes),
        shape_group(frame_1213_shape_group_9_shapes),
        shape_group(frame_1213_shape_group_10_shapes),
        shape_group(frame_1213_shape_group_11_shapes),
        shape_group(frame_1213_shape_group_12_shapes),
        shape_group(frame_1213_shape_group_13_shapes),
        shape_group(frame_1213_shape_group_14_shapes),
    };

    constexpr const frame frame_1213_impl(frame_1213_colors, frame_1213_shape_groups);
} 

const frame& frame_1213()
{
    return frame_1213_impl;
}

namespace
{
    constexpr const bn::color frame_1214_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1214_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 48),
        horizontal_line(0, 51),
        horizontal_line(0, 55),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(55, 117),
        horizontal_line(60, 122),
        horizontal_line(65, 127),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(84, 146),
        horizontal_line(89, 151),
        horizontal_line(94, 156),
        horizontal_line(99, 161),
        horizontal_line(103, 165),
        horizontal_line(108, 170),
        horizontal_line(113, 175),
        horizontal_line(118, 180),
        horizontal_line(123, 182),
        horizontal_line(127, 175),
        horizontal_line(132, 168),
        horizontal_line(137, 161),
        horizontal_line(142, 154),
        horizontal_line(147, 147),
        horizontal_line(67, 70),
        horizontal_line(67, 76),
        horizontal_line(68, 82),
        horizontal_line(68, 87),
        horizontal_line(68, 93),
        horizontal_line(69, 99),
        horizontal_line(69, 104),
        horizontal_line(69, 110),
        horizontal_line(70, 116),
        horizontal_line(70, 122),
        horizontal_line(71, 121),
        horizontal_line(76, 120),
        horizontal_line(82, 118),
        horizontal_line(88, 117),
        horizontal_line(94, 116),
        horizontal_line(100, 114),
        horizontal_line(106, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 113),
        horizontal_line(111, 115),
        horizontal_line(72, 77),
        horizontal_line(72, 84),
        horizontal_line(72, 91),
        horizontal_line(72, 98),
        horizontal_line(72, 105),
        horizontal_line(72, 105),
        horizontal_line(72, 104),
        horizontal_line(72, 103),
        horizontal_line(78, 103),
        horizontal_line(86, 102),
        horizontal_line(93, 101),
        horizontal_line(101, 101),
        horizontal_line(101, 101),
        horizontal_line(101, 103),
        horizontal_line(100, 105),
        horizontal_line(100, 107),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(171, 213),
        horizontal_line(174, 216),
        horizontal_line(176, 220),
        horizontal_line(178, 224),
        horizontal_line(181, 227),
        horizontal_line(183, 231),
        horizontal_line(186, 235),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1214_shape_group_0_shapes[] = {
        shape(frame_1214_shape_group_0_shape_0_horizontal_lines, 3, 14),
        shape(frame_1214_shape_group_0_shape_1_horizontal_lines, 156, 9),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 83),
        horizontal_line(62, 86),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(63, 97),
        horizontal_line(64, 100),
        horizontal_line(65, 104),
        horizontal_line(67, 107),
        horizontal_line(68, 111),
        horizontal_line(70, 114),
        horizontal_line(71, 118),
        horizontal_line(72, 122),
        horizontal_line(74, 125),
        horizontal_line(75, 129),
        horizontal_line(77, 132),
        horizontal_line(78, 136),
        horizontal_line(80, 139),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(99, 161),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(117, 179),
        horizontal_line(122, 184),
        horizontal_line(127, 189),
        horizontal_line(132, 194),
        horizontal_line(137, 199),
        horizontal_line(141, 203),
        horizontal_line(146, 208),
        horizontal_line(151, 213),
        horizontal_line(156, 218),
        horizontal_line(161, 217),
        horizontal_line(165, 210),
        horizontal_line(170, 203),
        horizontal_line(175, 196),
        horizontal_line(180, 189),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(145, 147),
        horizontal_line(143, 149),
        horizontal_line(140, 151),
        horizontal_line(138, 153),
        horizontal_line(136, 155),
        horizontal_line(133, 157),
        horizontal_line(131, 159),
        horizontal_line(128, 161),
        horizontal_line(126, 163),
        horizontal_line(124, 165),
        horizontal_line(125, 159),
        horizontal_line(127, 154),
        horizontal_line(129, 149),
        horizontal_line(131, 144),
        horizontal_line(133, 139),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(46, 54),
        horizontal_line(47, 54),
        horizontal_line(48, 53),
        horizontal_line(50, 53),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(110, 117),
        horizontal_line(109, 119),
        horizontal_line(108, 121),
        horizontal_line(107, 119),
        horizontal_line(107, 117),
        horizontal_line(108, 115),
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(124, 127),
        horizontal_line(120, 125),
        horizontal_line(116, 118),
        horizontal_line(153, 179),
        horizontal_line(152, 183),
        horizontal_line(154, 187),
        horizontal_line(156, 190),
        horizontal_line(159, 194),
        horizontal_line(161, 198),
        horizontal_line(164, 202),
        horizontal_line(166, 205),
        horizontal_line(169, 209),
    };

    constexpr const horizontal_line frame_1214_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(22, 31),
        horizontal_line(20, 39),
        horizontal_line(18, 47),
        horizontal_line(16, 56),
        horizontal_line(14, 64),
        horizontal_line(12, 72),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1214_shape_group_1_shapes[] = {
        shape(frame_1214_shape_group_1_shape_0_horizontal_lines, 20, 14),
        shape(frame_1214_shape_group_1_shape_1_horizontal_lines, 81, 9),
        shape(frame_1214_shape_group_1_shape_2_horizontal_lines, 87, 14),
        shape(frame_1214_shape_group_1_shape_3_horizontal_lines, 102, 9),
        shape(frame_1214_shape_group_1_shape_4_horizontal_lines, 107, 14),
        shape(frame_1214_shape_group_1_shape_5_horizontal_lines, 114, 9),
        shape(frame_1214_shape_group_1_shape_6_horizontal_lines, 115, 14),
        shape(frame_1214_shape_group_1_shape_7_horizontal_lines, 128, 9),
    };

    constexpr const horizontal_line frame_1214_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(144, 146),
        horizontal_line(146, 150),
        horizontal_line(147, 153),
        horizontal_line(149, 157),
        horizontal_line(150, 160),
        horizontal_line(151, 164),
        horizontal_line(153, 167),
        horizontal_line(154, 171),
        horizontal_line(156, 174),
        horizontal_line(157, 178),
        horizontal_line(159, 181),
        horizontal_line(160, 185),
        horizontal_line(161, 188),
        horizontal_line(163, 192),
        horizontal_line(164, 195),
        horizontal_line(166, 199),
        horizontal_line(167, 202),
        horizontal_line(168, 206),
        horizontal_line(170, 209),
        horizontal_line(171, 213),
        horizontal_line(173, 216),
        horizontal_line(174, 220),
        horizontal_line(176, 223),
        horizontal_line(179, 227),
        horizontal_line(184, 230),
        horizontal_line(189, 234),
        horizontal_line(194, 238),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(208, 239),
        horizontal_line(213, 231),
        horizontal_line(218, 224),
    };

    constexpr const horizontal_line frame_1214_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(41, 62),
        horizontal_line(43, 63),
        horizontal_line(44, 63),
        horizontal_line(46, 64),
        horizontal_line(47, 65),
        horizontal_line(49, 66),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(6, 6),
        horizontal_line(46, 51),
        horizontal_line(46, 51),
        horizontal_line(45, 52),
        horizontal_line(45, 53),
        horizontal_line(44, 54),
        horizontal_line(44, 54),
        horizontal_line(43, 55),
        horizontal_line(43, 56),
        horizontal_line(42, 70),
        horizontal_line(42, 56),
        horizontal_line(43, 55),
        horizontal_line(44, 55),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(62, 71),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(59, 61),
        horizontal_line(59, 61),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1214_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1214_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(162, 168),
        horizontal_line(159, 172),
        horizontal_line(156, 176),
    };

    constexpr const horizontal_line frame_1214_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(67, 70),
    };

    constexpr const horizontal_line frame_1214_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(38, 73),
        horizontal_line(33, 80),
        horizontal_line(28, 88),
        horizontal_line(24, 86),
        horizontal_line(32, 94),
        horizontal_line(40, 102),
        horizontal_line(48, 110),
        horizontal_line(57, 119),
        horizontal_line(65, 121),
        horizontal_line(73, 123),
    };

    constexpr const horizontal_line frame_1214_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(72, 81),
        horizontal_line(70, 89),
        horizontal_line(68, 97),
        horizontal_line(66, 105),
        horizontal_line(64, 114),
        horizontal_line(63, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
    };

    constexpr const shape frame_1214_shape_group_2_shapes[] = {
        shape(frame_1214_shape_group_2_shape_0_horizontal_lines, 43, 14),
        shape(frame_1214_shape_group_2_shape_1_horizontal_lines, 76, 9),
        shape(frame_1214_shape_group_2_shape_2_horizontal_lines, 114, 1),
        shape(frame_1214_shape_group_2_shape_3_horizontal_lines, 115, 14),
        shape(frame_1214_shape_group_2_shape_4_horizontal_lines, 119, 9),
        shape(frame_1214_shape_group_2_shape_5_horizontal_lines, 124, 8),
        shape(frame_1214_shape_group_2_shape_6_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(34, 58),
        horizontal_line(35, 59),
        horizontal_line(37, 60),
        horizontal_line(38, 60),
        horizontal_line(40, 61),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(11, 40),
        horizontal_line(10, 42),
        horizontal_line(10, 43),
        horizontal_line(9, 45),
        horizontal_line(9, 46),
        horizontal_line(8, 48),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(48, 48),
        horizontal_line(47, 49),
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(58, 70),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(45, 45),
        horizontal_line(46, 46),
        horizontal_line(47, 47),
        horizontal_line(49, 49),
        horizontal_line(50, 50),
        horizontal_line(52, 60),
        horizontal_line(54, 60),
        horizontal_line(55, 59),
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(51, 58),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(61, 70),
        horizontal_line(61, 61),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(48, 59),
        horizontal_line(43, 66),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(86, 95),
        horizontal_line(94, 102),
        horizontal_line(102, 109),
        horizontal_line(110, 117),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(82, 125),
        horizontal_line(90, 127),
        horizontal_line(98, 129),
        horizontal_line(106, 131),
        horizontal_line(115, 133),
        horizontal_line(123, 135),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(124, 130),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
    };

    constexpr const horizontal_line frame_1214_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
    };

    constexpr const shape frame_1214_shape_group_3_shapes[] = {
        shape(frame_1214_shape_group_3_shape_0_horizontal_lines, 59, 9),
        shape(frame_1214_shape_group_3_shape_1_horizontal_lines, 81, 8),
        shape(frame_1214_shape_group_3_shape_2_horizontal_lines, 87, 9),
        shape(frame_1214_shape_group_3_shape_3_horizontal_lines, 90, 8),
        shape(frame_1214_shape_group_3_shape_4_horizontal_lines, 99, 9),
        shape(frame_1214_shape_group_3_shape_5_horizontal_lines, 102, 8),
        shape(frame_1214_shape_group_3_shape_6_horizontal_lines, 111, 1),
        shape(frame_1214_shape_group_3_shape_7_horizontal_lines, 115, 9),
        shape(frame_1214_shape_group_3_shape_8_horizontal_lines, 119, 8),
        shape(frame_1214_shape_group_3_shape_9_horizontal_lines, 124, 1),
        shape(frame_1214_shape_group_3_shape_10_horizontal_lines, 127, 8),
        shape(frame_1214_shape_group_3_shape_11_horizontal_lines, 132, 1),
        shape(frame_1214_shape_group_3_shape_12_horizontal_lines, 134, 8),
        shape(frame_1214_shape_group_3_shape_13_horizontal_lines, 140, 9),
        shape(frame_1214_shape_group_3_shape_14_horizontal_lines, 156, 1),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(20, 51),
        horizontal_line(22, 52),
        horizontal_line(23, 53),
        horizontal_line(25, 54),
        horizontal_line(26, 54),
        horizontal_line(28, 55),
        horizontal_line(29, 56),
        horizontal_line(31, 57),
        horizontal_line(32, 57),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(13, 33),
        horizontal_line(13, 34),
        horizontal_line(12, 36),
        horizontal_line(12, 37),
        horizontal_line(11, 39),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(176, 238),
        horizontal_line(169, 231),
        horizontal_line(162, 224),
        horizontal_line(155, 217),
        horizontal_line(148, 210),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(8, 47),
        horizontal_line(7, 46),
        horizontal_line(0, 5),
        horizontal_line(9, 45),
        horizontal_line(13, 45),
        horizontal_line(16, 44),
        horizontal_line(20, 44),
        horizontal_line(23, 43),
        horizontal_line(27, 43),
        horizontal_line(30, 42),
        horizontal_line(34, 42),
        horizontal_line(37, 41),
        horizontal_line(0, 19),
        horizontal_line(0, 9),
        horizontal_line(0, 0),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(54, 60),
        horizontal_line(54, 60),
        horizontal_line(53, 61),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(50, 58),
        horizontal_line(50, 58),
        horizontal_line(51, 58),
        horizontal_line(104, 120),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(63, 70),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(110, 120),
        horizontal_line(110, 119),
        horizontal_line(104, 104),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(144, 180),
        horizontal_line(143, 182),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_1214_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_1214_shape_group_4_shapes[] = {
        shape(frame_1214_shape_group_4_shape_0_horizontal_lines, 67, 9),
        shape(frame_1214_shape_group_4_shape_1_horizontal_lines, 76, 8),
        shape(frame_1214_shape_group_4_shape_2_horizontal_lines, 81, 1),
        shape(frame_1214_shape_group_4_shape_3_horizontal_lines, 87, 8),
        shape(frame_1214_shape_group_4_shape_4_horizontal_lines, 107, 1),
        shape(frame_1214_shape_group_4_shape_5_horizontal_lines, 116, 9),
        shape(frame_1214_shape_group_4_shape_6_horizontal_lines, 117, 8),
        shape(frame_1214_shape_group_4_shape_7_horizontal_lines, 119, 1),
        shape(frame_1214_shape_group_4_shape_8_horizontal_lines, 140, 8),
        shape(frame_1214_shape_group_4_shape_9_horizontal_lines, 141, 1),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(18, 19),
        horizontal_line(17, 21),
        horizontal_line(17, 22),
        horizontal_line(16, 24),
        horizontal_line(16, 25),
        horizontal_line(15, 27),
        horizontal_line(15, 28),
        horizontal_line(14, 30),
        horizontal_line(14, 31),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(211, 239),
        horizontal_line(204, 239),
        horizontal_line(197, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(231, 239),
        horizontal_line(224, 239),
        horizontal_line(217, 239),
        horizontal_line(210, 239),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(7, 46),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(122, 124),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(41, 41),
        horizontal_line(56, 58),
        horizontal_line(56, 58),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(49, 51),
        horizontal_line(49, 53),
        horizontal_line(50, 54),
        horizontal_line(50, 56),
        horizontal_line(118, 121),
        horizontal_line(106, 107),
        horizontal_line(105, 109),
        horizontal_line(135, 165),
        horizontal_line(51, 58),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(52, 59),
        horizontal_line(52, 59),
        horizontal_line(53, 59),
        horizontal_line(60, 60),
        horizontal_line(111, 120),
        horizontal_line(148, 160),
        horizontal_line(148, 163),
        horizontal_line(109, 118),
        horizontal_line(109, 118),
        horizontal_line(108, 117),
        horizontal_line(110, 116),
        horizontal_line(145, 175),
        horizontal_line(144, 177),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(143, 185),
        horizontal_line(142, 187),
        horizontal_line(141, 190),
        horizontal_line(141, 192),
        horizontal_line(140, 195),
        horizontal_line(140, 197),
        horizontal_line(139, 199),
        horizontal_line(202, 202),
        horizontal_line(203, 204),
        horizontal_line(204, 207),
        horizontal_line(205, 209),
        horizontal_line(206, 212),
        horizontal_line(207, 214),
        horizontal_line(208, 217),
        horizontal_line(209, 219),
        horizontal_line(210, 221),
        horizontal_line(211, 224),
        horizontal_line(212, 226),
        horizontal_line(213, 229),
        horizontal_line(214, 231),
        horizontal_line(215, 234),
        horizontal_line(216, 236),
    };

    constexpr const shape frame_1214_shape_group_5_shapes[] = {
        shape(frame_1214_shape_group_5_shape_0_horizontal_lines, 67, 8),
        shape(frame_1214_shape_group_5_shape_1_horizontal_lines, 76, 1),
        shape(frame_1214_shape_group_5_shape_2_horizontal_lines, 82, 1),
        shape(frame_1214_shape_group_5_shape_3_horizontal_lines, 89, 8),
        shape(frame_1214_shape_group_5_shape_4_horizontal_lines, 90, 1),
        shape(frame_1214_shape_group_5_shape_5_horizontal_lines, 99, 8),
        shape(frame_1214_shape_group_5_shape_6_horizontal_lines, 102, 1),
        shape(frame_1214_shape_group_5_shape_7_horizontal_lines, 116, 8),
        shape(frame_1214_shape_group_5_shape_8_horizontal_lines, 117, 1),
        shape(frame_1214_shape_group_5_shape_9_horizontal_lines, 132, 4),
        shape(frame_1214_shape_group_5_shape_10_horizontal_lines, 134, 1),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(152, 214),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(160, 165),
        horizontal_line(155, 165),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(10, 19),
        horizontal_line(1, 19),
        horizontal_line(115, 165),
        horizontal_line(114, 165),
        horizontal_line(113, 131),
        horizontal_line(114, 129),
        horizontal_line(49, 49),
        horizontal_line(118, 125),
        horizontal_line(120, 123),
        horizontal_line(122, 122),
        horizontal_line(120, 121),
        horizontal_line(134, 165),
        horizontal_line(116, 121),
        horizontal_line(114, 121),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(104, 120),
        horizontal_line(0, 21),
        horizontal_line(52, 59),
        horizontal_line(52, 59),
        horizontal_line(102, 109),
        horizontal_line(104, 109),
        horizontal_line(106, 108),
        horizontal_line(111, 121),
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(74, 75),
        horizontal_line(81, 82),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(147, 165),
        horizontal_line(147, 168),
        horizontal_line(146, 170),
        horizontal_line(145, 173),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(122, 143),
        horizontal_line(124, 142),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(130, 140),
        horizontal_line(132, 140),
        horizontal_line(134, 139),
        horizontal_line(136, 139),
        horizontal_line(138, 138),
    };

    constexpr const shape frame_1214_shape_group_6_shapes[] = {
        shape(frame_1214_shape_group_6_shape_0_horizontal_lines, 74, 1),
        shape(frame_1214_shape_group_6_shape_1_horizontal_lines, 87, 1),
        shape(frame_1214_shape_group_6_shape_2_horizontal_lines, 99, 8),
        shape(frame_1214_shape_group_6_shape_3_horizontal_lines, 100, 1),
        shape(frame_1214_shape_group_6_shape_4_horizontal_lines, 114, 4),
        shape(frame_1214_shape_group_6_shape_5_horizontal_lines, 115, 1),
        shape(frame_1214_shape_group_6_shape_6_horizontal_lines, 124, 4),
        shape(frame_1214_shape_group_6_shape_7_horizontal_lines, 126, 1),
        shape(frame_1214_shape_group_6_shape_8_horizontal_lines, 130, 4),
        shape(frame_1214_shape_group_6_shape_9_horizontal_lines, 132, 2),
        shape(frame_1214_shape_group_6_shape_10_horizontal_lines, 134, 4),
        shape(frame_1214_shape_group_6_shape_11_horizontal_lines, 135, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(8, 8),
        horizontal_line(9, 12),
        horizontal_line(10, 15),
        horizontal_line(12, 19),
        horizontal_line(13, 22),
        horizontal_line(14, 26),
        horizontal_line(16, 29),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(239, 239),
        horizontal_line(119, 128),
        horizontal_line(118, 130),
        horizontal_line(117, 132),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(34, 44),
        horizontal_line(39, 45),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(134, 165),
        horizontal_line(134, 165),
        horizontal_line(116, 127),
        horizontal_line(134, 165),
        horizontal_line(134, 165),
        horizontal_line(134, 165),
        horizontal_line(134, 165),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(122, 133),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(134, 165),
        horizontal_line(134, 165),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(121, 128),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(51, 58),
        horizontal_line(102, 119),
        horizontal_line(102, 110),
        horizontal_line(112, 123),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(149, 155),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(89, 89),
        horizontal_line(96, 96),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(118, 144),
        horizontal_line(120, 143),
    };

    constexpr const horizontal_line frame_1214_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(126, 142),
    };

    constexpr const shape frame_1214_shape_group_7_shapes[] = {
        shape(frame_1214_shape_group_7_shape_0_horizontal_lines, 89, 1),
        shape(frame_1214_shape_group_7_shape_1_horizontal_lines, 90, 3),
        shape(frame_1214_shape_group_7_shape_2_horizontal_lines, 97, 1),
        shape(frame_1214_shape_group_7_shape_3_horizontal_lines, 102, 3),
        shape(frame_1214_shape_group_7_shape_4_horizontal_lines, 104, 1),
        shape(frame_1214_shape_group_7_shape_5_horizontal_lines, 111, 4),
        shape(frame_1214_shape_group_7_shape_6_horizontal_lines, 112, 1),
        shape(frame_1214_shape_group_7_shape_7_horizontal_lines, 114, 4),
        shape(frame_1214_shape_group_7_shape_8_horizontal_lines, 116, 1),
        shape(frame_1214_shape_group_7_shape_9_horizontal_lines, 123, 4),
        shape(frame_1214_shape_group_7_shape_10_horizontal_lines, 130, 2),
        shape(frame_1214_shape_group_7_shape_11_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(17, 33),
        horizontal_line(18, 36),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(150, 165),
        horizontal_line(145, 165),
        horizontal_line(140, 165),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(44, 46),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(130, 133),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(134, 165),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(126, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(122, 133),
        horizontal_line(166, 228),
        horizontal_line(122, 133),
        horizontal_line(122, 133),
        horizontal_line(228, 239),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(103, 120),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(173, 235),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(150, 153),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(23, 42),
        horizontal_line(23, 37),
        horizontal_line(23, 32),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(103, 107),
        horizontal_line(117, 144),
    };

    constexpr const shape frame_1214_shape_group_8_shapes[] = {
        shape(frame_1214_shape_group_8_shape_0_horizontal_lines, 97, 3),
        shape(frame_1214_shape_group_8_shape_1_horizontal_lines, 99, 1),
        shape(frame_1214_shape_group_8_shape_2_horizontal_lines, 102, 4),
        shape(frame_1214_shape_group_8_shape_3_horizontal_lines, 104, 3),
        shape(frame_1214_shape_group_8_shape_4_horizontal_lines, 105, 4),
        shape(frame_1214_shape_group_8_shape_5_horizontal_lines, 106, 1),
        shape(frame_1214_shape_group_8_shape_6_horizontal_lines, 107, 4),
        shape(frame_1214_shape_group_8_shape_7_horizontal_lines, 116, 1),
        shape(frame_1214_shape_group_8_shape_8_horizontal_lines, 117, 4),
        shape(frame_1214_shape_group_8_shape_9_horizontal_lines, 118, 1),
        shape(frame_1214_shape_group_8_shape_10_horizontal_lines, 119, 4),
        shape(frame_1214_shape_group_8_shape_11_horizontal_lines, 120, 1),
        shape(frame_1214_shape_group_8_shape_12_horizontal_lines, 122, 4),
        shape(frame_1214_shape_group_8_shape_13_horizontal_lines, 123, 2),
        shape(frame_1214_shape_group_8_shape_14_horizontal_lines, 126, 4),
        shape(frame_1214_shape_group_8_shape_15_horizontal_lines, 128, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(166, 201),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(20, 40),
        horizontal_line(24, 42),
        horizontal_line(29, 43),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(132, 133),
        horizontal_line(166, 228),
        horizontal_line(128, 133),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(22, 50),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(121, 123),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1214_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(23, 47),
        horizontal_line(107, 110),
        horizontal_line(106, 109),
        horizontal_line(105, 109),
        horizontal_line(23, 27),
        horizontal_line(104, 108),
        horizontal_line(118, 145),
    };

    constexpr const shape frame_1214_shape_group_9_shapes[] = {
        shape(frame_1214_shape_group_9_shape_0_horizontal_lines, 97, 4),
        shape(frame_1214_shape_group_9_shape_1_horizontal_lines, 99, 3),
        shape(frame_1214_shape_group_9_shape_2_horizontal_lines, 102, 4),
        shape(frame_1214_shape_group_9_shape_3_horizontal_lines, 114, 2),
        shape(frame_1214_shape_group_9_shape_4_horizontal_lines, 115, 4),
        shape(frame_1214_shape_group_9_shape_5_horizontal_lines, 118, 1),
        shape(frame_1214_shape_group_9_shape_6_horizontal_lines, 119, 4),
        shape(frame_1214_shape_group_9_shape_7_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(228, 238),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(20, 33),
        horizontal_line(20, 38),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(21, 49),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(22, 50),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(169, 231),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(22, 51),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(22, 51),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(121, 148),
        horizontal_line(121, 147),
        horizontal_line(120, 147),
        horizontal_line(105, 108),
        horizontal_line(119, 146),
    };

    constexpr const shape frame_1214_shape_group_10_shapes[] = {
        shape(frame_1214_shape_group_10_shape_0_horizontal_lines, 98, 4),
        shape(frame_1214_shape_group_10_shape_1_horizontal_lines, 102, 2),
        shape(frame_1214_shape_group_10_shape_2_horizontal_lines, 104, 4),
        shape(frame_1214_shape_group_10_shape_3_horizontal_lines, 111, 2),
        shape(frame_1214_shape_group_10_shape_4_horizontal_lines, 112, 4),
        shape(frame_1214_shape_group_10_shape_5_horizontal_lines, 114, 2),
        shape(frame_1214_shape_group_10_shape_6_horizontal_lines, 116, 4),
        shape(frame_1214_shape_group_10_shape_7_horizontal_lines, 117, 2),
        shape(frame_1214_shape_group_10_shape_8_horizontal_lines, 118, 4),
        shape(frame_1214_shape_group_10_shape_9_horizontal_lines, 119, 2),
        shape(frame_1214_shape_group_10_shape_10_horizontal_lines, 120, 4),
        shape(frame_1214_shape_group_10_shape_11_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(20, 48),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(21, 48),
        horizontal_line(21, 48),
        horizontal_line(21, 49),
        horizontal_line(21, 49),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(21, 49),
        horizontal_line(22, 50),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(60, 61),
        horizontal_line(23, 51),
        horizontal_line(23, 52),
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_1214_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(119, 146),
    };

    constexpr const shape frame_1214_shape_group_11_shapes[] = {
        shape(frame_1214_shape_group_11_shape_0_horizontal_lines, 99, 4),
        shape(frame_1214_shape_group_11_shape_1_horizontal_lines, 104, 4),
        shape(frame_1214_shape_group_11_shape_2_horizontal_lines, 105, 2),
        shape(frame_1214_shape_group_11_shape_3_horizontal_lines, 106, 4),
        shape(frame_1214_shape_group_11_shape_4_horizontal_lines, 107, 2),
        shape(frame_1214_shape_group_11_shape_5_horizontal_lines, 112, 2),
        shape(frame_1214_shape_group_11_shape_6_horizontal_lines, 115, 2),
        shape(frame_1214_shape_group_11_shape_7_horizontal_lines, 116, 4),
        shape(frame_1214_shape_group_11_shape_8_horizontal_lines, 117, 2),
        shape(frame_1214_shape_group_11_shape_9_horizontal_lines, 118, 4),
        shape(frame_1214_shape_group_11_shape_10_horizontal_lines, 119, 2),
        shape(frame_1214_shape_group_11_shape_11_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(20, 23),
        horizontal_line(20, 28),
    };

    constexpr const horizontal_line frame_1214_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(20, 43),
    };

    constexpr const horizontal_line frame_1214_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(21, 48),
    };

    constexpr const horizontal_line frame_1214_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1214_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(22, 50),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_1214_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1214_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(124, 142),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(122, 148),
    };

    constexpr const shape frame_1214_shape_group_12_shapes[] = {
        shape(frame_1214_shape_group_12_shape_0_horizontal_lines, 100, 2),
        shape(frame_1214_shape_group_12_shape_1_horizontal_lines, 104, 2),
        shape(frame_1214_shape_group_12_shape_2_horizontal_lines, 106, 2),
        shape(frame_1214_shape_group_12_shape_3_horizontal_lines, 113, 2),
        shape(frame_1214_shape_group_12_shape_4_horizontal_lines, 116, 2),
        shape(frame_1214_shape_group_12_shape_5_horizontal_lines, 118, 4),
        shape(frame_1214_shape_group_12_shape_6_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1214_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(22, 51),
    };

    constexpr const horizontal_line frame_1214_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(110, 111),
    };

    constexpr const shape frame_1214_shape_group_13_shapes[] = {
        shape(frame_1214_shape_group_13_shape_0_horizontal_lines, 116, 2),
        shape(frame_1214_shape_group_13_shape_1_horizontal_lines, 118, 2),
        shape(frame_1214_shape_group_13_shape_2_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1214_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(123, 150),
        horizontal_line(123, 149),
    };

    constexpr const shape frame_1214_shape_group_14_shapes[] = {
        shape(frame_1214_shape_group_14_shape_0_horizontal_lines, 118, 2),
        shape(frame_1214_shape_group_14_shape_1_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1214_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(125, 134),
    };

    constexpr const shape frame_1214_shape_group_15_shapes[] = {
        shape(frame_1214_shape_group_15_shape_0_horizontal_lines, 118, 2),
    };

    constexpr const shape_group frame_1214_shape_groups[] = {
        shape_group(frame_1214_shape_group_0_shapes),
        shape_group(frame_1214_shape_group_1_shapes),
        shape_group(frame_1214_shape_group_2_shapes),
        shape_group(frame_1214_shape_group_3_shapes),
        shape_group(frame_1214_shape_group_4_shapes),
        shape_group(frame_1214_shape_group_5_shapes),
        shape_group(frame_1214_shape_group_6_shapes),
        shape_group(frame_1214_shape_group_7_shapes),
        shape_group(frame_1214_shape_group_8_shapes),
        shape_group(frame_1214_shape_group_9_shapes),
        shape_group(frame_1214_shape_group_10_shapes),
        shape_group(frame_1214_shape_group_11_shapes),
        shape_group(frame_1214_shape_group_12_shapes),
        shape_group(frame_1214_shape_group_13_shapes),
        shape_group(frame_1214_shape_group_14_shapes),
        shape_group(frame_1214_shape_group_15_shapes),
    };

    constexpr const frame frame_1214_impl(frame_1214_colors, frame_1214_shape_groups);
} 

const frame& frame_1214()
{
    return frame_1214_impl;
}

namespace
{
    constexpr const bn::color frame_1215_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1215_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(151, 213),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(2, 42),
        horizontal_line(5, 44),
        horizontal_line(7, 45),
        horizontal_line(10, 47),
        horizontal_line(48, 50),
        horizontal_line(49, 55),
        horizontal_line(50, 59),
        horizontal_line(51, 64),
        horizontal_line(52, 68),
        horizontal_line(52, 73),
        horizontal_line(53, 77),
        horizontal_line(54, 82),
        horizontal_line(55, 86),
        horizontal_line(56, 91),
        horizontal_line(57, 95),
        horizontal_line(57, 100),
        horizontal_line(58, 104),
        horizontal_line(59, 109),
        horizontal_line(60, 113),
        horizontal_line(61, 118),
        horizontal_line(61, 122),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 66),
        horizontal_line(51, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 67),
        horizontal_line(54, 68),
        horizontal_line(55, 68),
        horizontal_line(56, 69),
        horizontal_line(70, 74),
        horizontal_line(70, 80),
        horizontal_line(70, 86),
        horizontal_line(70, 92),
        horizontal_line(71, 98),
        horizontal_line(71, 104),
        horizontal_line(71, 111),
        horizontal_line(71, 111),
        horizontal_line(72, 110),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(63, 70),
        horizontal_line(70, 76),
        horizontal_line(70, 84),
        horizontal_line(70, 92),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
        horizontal_line(76, 98),
        horizontal_line(83, 98),
        horizontal_line(90, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1215_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(29, 91),
        horizontal_line(25, 87),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_1215_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(16, 25),
        horizontal_line(14, 34),
        horizontal_line(12, 43),
        horizontal_line(10, 52),
        horizontal_line(8, 61),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1215_shape_group_0_shapes[] = {
        shape(frame_1215_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1215_shape_group_0_shape_1_horizontal_lines, 127, 8),
        shape(frame_1215_shape_group_0_shape_2_horizontal_lines, 131, 9),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(121, 183),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(136, 198),
        horizontal_line(140, 202),
        horizontal_line(143, 205),
        horizontal_line(146, 208),
        horizontal_line(149, 211),
        horizontal_line(152, 214),
        horizontal_line(155, 217),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(154, 216),
        horizontal_line(157, 219),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(125, 131),
        horizontal_line(126, 136),
        horizontal_line(127, 140),
        horizontal_line(128, 145),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(81, 143),
        horizontal_line(86, 143),
        horizontal_line(92, 140),
        horizontal_line(97, 138),
        horizontal_line(103, 135),
        horizontal_line(108, 132),
        horizontal_line(114, 130),
        horizontal_line(119, 127),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(40, 69),
        horizontal_line(40, 55),
        horizontal_line(41, 55),
        horizontal_line(43, 54),
        horizontal_line(44, 54),
        horizontal_line(46, 53),
        horizontal_line(48, 53),
        horizontal_line(49, 52),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(78, 109),
        horizontal_line(85, 108),
        horizontal_line(92, 107),
        horizontal_line(99, 106),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(59, 61),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(133, 153),
        horizontal_line(130, 169),
        horizontal_line(128, 166),
        horizontal_line(133, 164),
        horizontal_line(139, 162),
        horizontal_line(145, 159),
        horizontal_line(151, 157),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(63, 69),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(43, 65),
        horizontal_line(40, 73),
        horizontal_line(36, 80),
        horizontal_line(32, 88),
        horizontal_line(91, 96),
        horizontal_line(87, 103),
        horizontal_line(83, 111),
        horizontal_line(80, 119),
        horizontal_line(26, 88),
        horizontal_line(35, 97),
        horizontal_line(44, 106),
        horizontal_line(53, 115),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_1215_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(68, 70),
        horizontal_line(66, 79),
        horizontal_line(64, 88),
        horizontal_line(63, 97),
        horizontal_line(62, 106),
        horizontal_line(62, 115),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1215_shape_group_1_shapes[] = {
        shape(frame_1215_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1215_shape_group_1_shape_1_horizontal_lines, 60, 9),
        shape(frame_1215_shape_group_1_shape_2_horizontal_lines, 81, 4),
        shape(frame_1215_shape_group_1_shape_3_horizontal_lines, 97, 9),
        shape(frame_1215_shape_group_1_shape_4_horizontal_lines, 106, 4),
        shape(frame_1215_shape_group_1_shape_5_horizontal_lines, 111, 9),
        shape(frame_1215_shape_group_1_shape_6_horizontal_lines, 114, 4),
        shape(frame_1215_shape_group_1_shape_7_horizontal_lines, 122, 9),
        shape(frame_1215_shape_group_1_shape_8_horizontal_lines, 123, 8),
        shape(frame_1215_shape_group_1_shape_9_horizontal_lines, 136, 9),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(12, 47),
        horizontal_line(14, 48),
        horizontal_line(15, 49),
        horizontal_line(17, 50),
        horizontal_line(18, 51),
        horizontal_line(20, 51),
        horizontal_line(21, 52),
        horizontal_line(23, 53),
        horizontal_line(25, 54),
        horizontal_line(26, 55),
        horizontal_line(28, 56),
        horizontal_line(29, 56),
        horizontal_line(31, 57),
        horizontal_line(32, 58),
        horizontal_line(34, 59),
        horizontal_line(36, 60),
        horizontal_line(37, 60),
        horizontal_line(0, 0),
        horizontal_line(40, 62),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(45, 65),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(132, 150),
        horizontal_line(137, 148),
        horizontal_line(143, 145),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(45, 48),
        horizontal_line(44, 49),
        horizontal_line(44, 50),
        horizontal_line(43, 51),
        horizontal_line(42, 52),
        horizontal_line(42, 53),
        horizontal_line(41, 54),
        horizontal_line(41, 55),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 70),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 71),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(49, 60),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(59, 60),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(47, 57),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(88, 120),
        horizontal_line(97, 122),
        horizontal_line(106, 123),
        horizontal_line(115, 125),
        horizontal_line(124, 127),
        horizontal_line(71, 128),
        horizontal_line(80, 130),
        horizontal_line(89, 132),
        horizontal_line(98, 133),
        horizontal_line(107, 135),
        horizontal_line(116, 137),
    };

    constexpr const horizontal_line frame_1215_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 133),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
    };

    constexpr const shape frame_1215_shape_group_2_shapes[] = {
        shape(frame_1215_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_1215_shape_group_2_shape_1_horizontal_lines, 30, 4),
        shape(frame_1215_shape_group_2_shape_2_horizontal_lines, 64, 9),
        shape(frame_1215_shape_group_2_shape_3_horizontal_lines, 86, 4),
        shape(frame_1215_shape_group_2_shape_4_horizontal_lines, 89, 9),
        shape(frame_1215_shape_group_2_shape_5_horizontal_lines, 97, 8),
        shape(frame_1215_shape_group_2_shape_6_horizontal_lines, 98, 9),
        shape(frame_1215_shape_group_2_shape_7_horizontal_lines, 106, 8),
        shape(frame_1215_shape_group_2_shape_8_horizontal_lines, 107, 9),
        shape(frame_1215_shape_group_2_shape_9_horizontal_lines, 111, 1),
        shape(frame_1215_shape_group_2_shape_10_horizontal_lines, 114, 9),
        shape(frame_1215_shape_group_2_shape_11_horizontal_lines, 122, 8),
        shape(frame_1215_shape_group_2_shape_12_horizontal_lines, 123, 1),
        shape(frame_1215_shape_group_2_shape_13_horizontal_lines, 131, 8),
        shape(frame_1215_shape_group_2_shape_14_horizontal_lines, 142, 9),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(9, 11),
        horizontal_line(9, 13),
        horizontal_line(8, 14),
        horizontal_line(8, 16),
        horizontal_line(7, 17),
        horizontal_line(7, 19),
        horizontal_line(6, 20),
        horizontal_line(6, 22),
        horizontal_line(5, 24),
        horizontal_line(5, 25),
        horizontal_line(4, 27),
        horizontal_line(4, 28),
        horizontal_line(3, 30),
        horizontal_line(3, 31),
        horizontal_line(2, 33),
        horizontal_line(2, 35),
        horizontal_line(1, 36),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(39, 61),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(45, 47),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(3, 44),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(35, 39),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(44, 45),
        horizontal_line(45, 47),
        horizontal_line(46, 48),
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(51, 59),
        horizontal_line(53, 59),
        horizontal_line(55, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(48, 57),
        horizontal_line(48, 57),
        horizontal_line(49, 57),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(63, 69),
        horizontal_line(63, 69),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(112, 122),
        horizontal_line(111, 121),
        horizontal_line(111, 121),
        horizontal_line(110, 120),
        horizontal_line(104, 104),
        horizontal_line(109, 119),
        horizontal_line(112, 118),
        horizontal_line(150, 174),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(144, 197),
        horizontal_line(143, 199),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(125, 138),
        horizontal_line(134, 140),
    };

    constexpr const horizontal_line frame_1215_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
    };

    constexpr const shape frame_1215_shape_group_3_shapes[] = {
        shape(frame_1215_shape_group_3_shape_0_horizontal_lines, 64, 8),
        shape(frame_1215_shape_group_3_shape_1_horizontal_lines, 81, 9),
        shape(frame_1215_shape_group_3_shape_2_horizontal_lines, 82, 8),
        shape(frame_1215_shape_group_3_shape_3_horizontal_lines, 87, 9),
        shape(frame_1215_shape_group_3_shape_4_horizontal_lines, 89, 8),
        shape(frame_1215_shape_group_3_shape_5_horizontal_lines, 106, 1),
        shape(frame_1215_shape_group_3_shape_6_horizontal_lines, 107, 8),
        shape(frame_1215_shape_group_3_shape_7_horizontal_lines, 111, 1),
        shape(frame_1215_shape_group_3_shape_8_horizontal_lines, 115, 9),
        shape(frame_1215_shape_group_3_shape_9_horizontal_lines, 117, 8),
        shape(frame_1215_shape_group_3_shape_10_horizontal_lines, 122, 1),
        shape(frame_1215_shape_group_3_shape_11_horizontal_lines, 142, 8),
        shape(frame_1215_shape_group_3_shape_12_horizontal_lines, 144, 1),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(225, 239),
        horizontal_line(218, 239),
        horizontal_line(210, 239),
        horizontal_line(203, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(1, 38),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(174, 236),
        horizontal_line(166, 228),
        horizontal_line(159, 221),
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(157, 219),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(7, 43),
        horizontal_line(11, 43),
        horizontal_line(15, 42),
        horizontal_line(19, 41),
        horizontal_line(23, 41),
        horizontal_line(27, 40),
        horizontal_line(31, 40),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(39, 39),
        horizontal_line(56, 56),
        horizontal_line(42, 42),
        horizontal_line(43, 43),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(53, 59),
        horizontal_line(53, 59),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(47, 48),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(106, 107),
        horizontal_line(105, 109),
        horizontal_line(105, 111),
        horizontal_line(49, 57),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(59, 59),
        horizontal_line(155, 158),
        horizontal_line(154, 160),
        horizontal_line(154, 162),
        horizontal_line(153, 165),
        horizontal_line(110, 119),
        horizontal_line(152, 169),
        horizontal_line(151, 172),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(150, 176),
        horizontal_line(149, 179),
        horizontal_line(149, 181),
        horizontal_line(148, 183),
        horizontal_line(147, 185),
        horizontal_line(147, 188),
        horizontal_line(146, 190),
        horizontal_line(145, 192),
        horizontal_line(145, 195),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(136, 143),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_1215_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(143, 202),
        horizontal_line(142, 204),
        horizontal_line(205, 206),
        horizontal_line(206, 209),
        horizontal_line(207, 211),
        horizontal_line(208, 213),
        horizontal_line(209, 215),
        horizontal_line(210, 218),
        horizontal_line(211, 220),
        horizontal_line(212, 222),
        horizontal_line(213, 225),
        horizontal_line(214, 227),
        horizontal_line(215, 229),
        horizontal_line(216, 232),
        horizontal_line(217, 234),
        horizontal_line(218, 236),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_1215_shape_group_4_shapes[] = {
        shape(frame_1215_shape_group_4_shape_0_horizontal_lines, 75, 1),
        shape(frame_1215_shape_group_4_shape_1_horizontal_lines, 81, 8),
        shape(frame_1215_shape_group_4_shape_2_horizontal_lines, 82, 1),
        shape(frame_1215_shape_group_4_shape_3_horizontal_lines, 87, 8),
        shape(frame_1215_shape_group_4_shape_4_horizontal_lines, 89, 1),
        shape(frame_1215_shape_group_4_shape_5_horizontal_lines, 90, 8),
        shape(frame_1215_shape_group_4_shape_6_horizontal_lines, 97, 1),
        shape(frame_1215_shape_group_4_shape_7_horizontal_lines, 98, 8),
        shape(frame_1215_shape_group_4_shape_8_horizontal_lines, 106, 1),
        shape(frame_1215_shape_group_4_shape_9_horizontal_lines, 115, 8),
        shape(frame_1215_shape_group_4_shape_10_horizontal_lines, 117, 1),
        shape(frame_1215_shape_group_4_shape_11_horizontal_lines, 130, 14),
        shape(frame_1215_shape_group_4_shape_12_horizontal_lines, 131, 1),
        shape(frame_1215_shape_group_4_shape_13_horizontal_lines, 140, 2),
        shape(frame_1215_shape_group_4_shape_14_horizontal_lines, 142, 1),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(228, 239),
        horizontal_line(221, 239),
        horizontal_line(214, 239),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(219, 239),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(166, 171),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(120, 130),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(55, 57),
        horizontal_line(55, 57),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(118, 127),
        horizontal_line(47, 50),
        horizontal_line(47, 52),
        horizontal_line(48, 54),
        horizontal_line(48, 57),
        horizontal_line(118, 122),
        horizontal_line(117, 122),
        horizontal_line(115, 121),
        horizontal_line(104, 121),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(50, 58),
        horizontal_line(50, 58),
        horizontal_line(50, 58),
        horizontal_line(50, 58),
        horizontal_line(51, 58),
        horizontal_line(112, 122),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(66, 67),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(152, 167),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(120, 149),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(129, 146),
        horizontal_line(131, 145),
        horizontal_line(133, 144),
        horizontal_line(134, 144),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_1215_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(204, 204),
    };

    constexpr const shape frame_1215_shape_group_5_shapes[] = {
        shape(frame_1215_shape_group_5_shape_0_horizontal_lines, 81, 1),
        shape(frame_1215_shape_group_5_shape_1_horizontal_lines, 83, 1),
        shape(frame_1215_shape_group_5_shape_2_horizontal_lines, 98, 8),
        shape(frame_1215_shape_group_5_shape_3_horizontal_lines, 99, 1),
        shape(frame_1215_shape_group_5_shape_4_horizontal_lines, 100, 8),
        shape(frame_1215_shape_group_5_shape_5_horizontal_lines, 102, 1),
        shape(frame_1215_shape_group_5_shape_6_horizontal_lines, 123, 14),
        shape(frame_1215_shape_group_5_shape_7_horizontal_lines, 127, 1),
        shape(frame_1215_shape_group_5_shape_8_horizontal_lines, 128, 14),
        shape(frame_1215_shape_group_5_shape_9_horizontal_lines, 130, 2),
        shape(frame_1215_shape_group_5_shape_10_horizontal_lines, 131, 14),
        shape(frame_1215_shape_group_5_shape_11_horizontal_lines, 136, 2),
        shape(frame_1215_shape_group_5_shape_12_horizontal_lines, 142, 2),
        shape(frame_1215_shape_group_5_shape_13_horizontal_lines, 143, 1),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(205, 239),
        horizontal_line(122, 128),
        horizontal_line(154, 171),
        horizontal_line(6, 11),
        horizontal_line(1, 11),
        horizontal_line(114, 171),
        horizontal_line(113, 134),
        horizontal_line(114, 132),
        horizontal_line(116, 130),
        horizontal_line(136, 171),
        horizontal_line(120, 125),
        horizontal_line(123, 123),
        horizontal_line(121, 122),
        horizontal_line(120, 122),
        horizontal_line(136, 170),
        horizontal_line(136, 170),
        horizontal_line(136, 170),
        horizontal_line(137, 170),
        horizontal_line(49, 57),
        horizontal_line(49, 58),
        horizontal_line(102, 111),
        horizontal_line(102, 110),
        horizontal_line(103, 109),
        horizontal_line(105, 108),
        horizontal_line(108, 108),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(16, 39),
        horizontal_line(17, 35),
        horizontal_line(17, 31),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(97, 98),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(17, 24),
        horizontal_line(17, 20),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(121, 149),
        horizontal_line(123, 148),
        horizontal_line(124, 148),
        horizontal_line(126, 147),
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_1215_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const shape frame_1215_shape_group_6_shapes[] = {
        shape(frame_1215_shape_group_6_shape_0_horizontal_lines, 87, 1),
        shape(frame_1215_shape_group_6_shape_1_horizontal_lines, 89, 3),
        shape(frame_1215_shape_group_6_shape_2_horizontal_lines, 90, 1),
        shape(frame_1215_shape_group_6_shape_3_horizontal_lines, 123, 14),
        shape(frame_1215_shape_group_6_shape_4_horizontal_lines, 124, 2),
        shape(frame_1215_shape_group_6_shape_5_horizontal_lines, 127, 14),
        shape(frame_1215_shape_group_6_shape_6_horizontal_lines, 128, 2),
        shape(frame_1215_shape_group_6_shape_7_horizontal_lines, 131, 2),
        shape(frame_1215_shape_group_6_shape_8_horizontal_lines, 143, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(1, 6),
        horizontal_line(2, 10),
        horizontal_line(3, 14),
        horizontal_line(4, 18),
        horizontal_line(5, 22),
        horizontal_line(7, 26),
        horizontal_line(8, 30),
        horizontal_line(9, 34),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(160, 171),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(12, 40),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(118, 132),
        horizontal_line(116, 134),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(29, 43),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(136, 171),
        horizontal_line(136, 171),
        horizontal_line(136, 171),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(128, 135),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(136, 170),
        horizontal_line(136, 170),
        horizontal_line(136, 170),
        horizontal_line(136, 170),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(123, 135),
        horizontal_line(123, 135),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(113, 120),
        horizontal_line(113, 116),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 123),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(16, 42),
        horizontal_line(107, 110),
        horizontal_line(106, 110),
        horizontal_line(105, 109),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(104, 108),
        horizontal_line(119, 150),
    };

    constexpr const shape frame_1215_shape_group_7_shapes[] = {
        shape(frame_1215_shape_group_7_shape_0_horizontal_lines, 90, 3),
        shape(frame_1215_shape_group_7_shape_1_horizontal_lines, 98, 1),
        shape(frame_1215_shape_group_7_shape_2_horizontal_lines, 99, 3),
        shape(frame_1215_shape_group_7_shape_3_horizontal_lines, 100, 1),
        shape(frame_1215_shape_group_7_shape_4_horizontal_lines, 102, 3),
        shape(frame_1215_shape_group_7_shape_5_horizontal_lines, 103, 1),
        shape(frame_1215_shape_group_7_shape_6_horizontal_lines, 106, 14),
        shape(frame_1215_shape_group_7_shape_7_horizontal_lines, 107, 1),
        shape(frame_1215_shape_group_7_shape_8_horizontal_lines, 111, 14),
        shape(frame_1215_shape_group_7_shape_9_horizontal_lines, 115, 1),
        shape(frame_1215_shape_group_7_shape_10_horizontal_lines, 122, 14),
        shape(frame_1215_shape_group_7_shape_11_horizontal_lines, 123, 2),
        shape(frame_1215_shape_group_7_shape_12_horizontal_lines, 127, 14),
        shape(frame_1215_shape_group_7_shape_13_horizontal_lines, 128, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(172, 204),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(148, 171),
        horizontal_line(142, 171),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(35, 44),
        horizontal_line(41, 45),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(131, 135),
        horizontal_line(172, 234),
        horizontal_line(126, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 135),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(154, 170),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(120, 125),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(108, 111),
        horizontal_line(122, 153),
        horizontal_line(122, 153),
        horizontal_line(121, 152),
        horizontal_line(17, 28),
        horizontal_line(120, 151),
    };

    constexpr const shape frame_1215_shape_group_8_shapes[] = {
        shape(frame_1215_shape_group_8_shape_0_horizontal_lines, 97, 14),
        shape(frame_1215_shape_group_8_shape_1_horizontal_lines, 98, 1),
        shape(frame_1215_shape_group_8_shape_2_horizontal_lines, 99, 14),
        shape(frame_1215_shape_group_8_shape_3_horizontal_lines, 100, 1),
        shape(frame_1215_shape_group_8_shape_4_horizontal_lines, 102, 14),
        shape(frame_1215_shape_group_8_shape_5_horizontal_lines, 103, 3),
        shape(frame_1215_shape_group_8_shape_6_horizontal_lines, 105, 14),
        shape(frame_1215_shape_group_8_shape_7_horizontal_lines, 115, 1),
        shape(frame_1215_shape_group_8_shape_8_horizontal_lines, 116, 14),
        shape(frame_1215_shape_group_8_shape_9_horizontal_lines, 118, 1),
        shape(frame_1215_shape_group_8_shape_10_horizontal_lines, 119, 14),
        shape(frame_1215_shape_group_8_shape_11_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(10, 38),
    };

    constexpr const horizontal_line frame_1215_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(17, 41),
        horizontal_line(23, 42),
    };

    constexpr const horizontal_line frame_1215_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(135, 135),
        horizontal_line(133, 135),
        horizontal_line(172, 234),
        horizontal_line(234, 239),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(122, 130),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(111, 112),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(16, 46),
        horizontal_line(123, 154),
    };

    constexpr const horizontal_line frame_1215_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(105, 109),
    };

    constexpr const shape frame_1215_shape_group_9_shapes[] = {
        shape(frame_1215_shape_group_9_shape_0_horizontal_lines, 98, 3),
        shape(frame_1215_shape_group_9_shape_1_horizontal_lines, 99, 14),
        shape(frame_1215_shape_group_9_shape_2_horizontal_lines, 100, 3),
        shape(frame_1215_shape_group_9_shape_3_horizontal_lines, 102, 14),
        shape(frame_1215_shape_group_9_shape_4_horizontal_lines, 122, 2),
        shape(frame_1215_shape_group_9_shape_5_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(12, 28),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(13, 46),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(14, 47),
        horizontal_line(14, 47),
        horizontal_line(14, 48),
        horizontal_line(14, 48),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(15, 49),
        horizontal_line(16, 49),
        horizontal_line(16, 50),
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1215_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(120, 151),
    };

    constexpr const shape frame_1215_shape_group_10_shapes[] = {
        shape(frame_1215_shape_group_10_shape_0_horizontal_lines, 98, 14),
        shape(frame_1215_shape_group_10_shape_1_horizontal_lines, 100, 14),
        shape(frame_1215_shape_group_10_shape_2_horizontal_lines, 102, 2),
        shape(frame_1215_shape_group_10_shape_3_horizontal_lines, 103, 14),
        shape(frame_1215_shape_group_10_shape_4_horizontal_lines, 106, 2),
        shape(frame_1215_shape_group_10_shape_5_horizontal_lines, 107, 14),
        shape(frame_1215_shape_group_10_shape_6_horizontal_lines, 111, 2),
        shape(frame_1215_shape_group_10_shape_7_horizontal_lines, 115, 14),
        shape(frame_1215_shape_group_10_shape_8_horizontal_lines, 119, 2),
        shape(frame_1215_shape_group_10_shape_9_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(234, 238),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(13, 46),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(13, 46),
        horizontal_line(13, 46),
        horizontal_line(13, 47),
        horizontal_line(14, 47),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 58),
        horizontal_line(58, 59),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(15, 48),
        horizontal_line(15, 49),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1215_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(59, 61),
        horizontal_line(59, 61),
        horizontal_line(109, 111),
    };

    constexpr const shape frame_1215_shape_group_11_shapes[] = {
        shape(frame_1215_shape_group_11_shape_0_horizontal_lines, 98, 14),
        shape(frame_1215_shape_group_11_shape_1_horizontal_lines, 100, 14),
        shape(frame_1215_shape_group_11_shape_2_horizontal_lines, 103, 14),
        shape(frame_1215_shape_group_11_shape_3_horizontal_lines, 105, 2),
        shape(frame_1215_shape_group_11_shape_4_horizontal_lines, 107, 2),
        shape(frame_1215_shape_group_11_shape_5_horizontal_lines, 112, 2),
        shape(frame_1215_shape_group_11_shape_6_horizontal_lines, 115, 14),
        shape(frame_1215_shape_group_11_shape_7_horizontal_lines, 116, 2),
        shape(frame_1215_shape_group_11_shape_8_horizontal_lines, 118, 14),
        shape(frame_1215_shape_group_11_shape_9_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(12, 16),
        horizontal_line(12, 22),
    };

    constexpr const horizontal_line frame_1215_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(12, 34),
        horizontal_line(12, 40),
    };

    constexpr const horizontal_line frame_1215_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(15, 48),
        horizontal_line(59, 60),
        horizontal_line(59, 61),
        horizontal_line(15, 49),
        horizontal_line(125, 138),
        horizontal_line(112, 112),
        horizontal_line(111, 112),
        horizontal_line(123, 155),
    };

    constexpr const shape frame_1215_shape_group_12_shapes[] = {
        shape(frame_1215_shape_group_12_shape_0_horizontal_lines, 100, 2),
        shape(frame_1215_shape_group_12_shape_1_horizontal_lines, 103, 2),
        shape(frame_1215_shape_group_12_shape_2_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(58, 59),
    };

    constexpr const horizontal_line frame_1215_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1215_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(125, 144),
        horizontal_line(124, 150),
    };

    constexpr const shape frame_1215_shape_group_13_shapes[] = {
        shape(frame_1215_shape_group_13_shape_0_horizontal_lines, 115, 2),
        shape(frame_1215_shape_group_13_shape_1_horizontal_lines, 117, 2),
        shape(frame_1215_shape_group_13_shape_2_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1215_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(126, 132),
    };

    constexpr const shape frame_1215_shape_group_14_shapes[] = {
        shape(frame_1215_shape_group_14_shape_0_horizontal_lines, 118, 2),
    };

    constexpr const shape_group frame_1215_shape_groups[] = {
        shape_group(frame_1215_shape_group_0_shapes),
        shape_group(frame_1215_shape_group_1_shapes),
        shape_group(frame_1215_shape_group_2_shapes),
        shape_group(frame_1215_shape_group_3_shapes),
        shape_group(frame_1215_shape_group_4_shapes),
        shape_group(frame_1215_shape_group_5_shapes),
        shape_group(frame_1215_shape_group_6_shapes),
        shape_group(frame_1215_shape_group_7_shapes),
        shape_group(frame_1215_shape_group_8_shapes),
        shape_group(frame_1215_shape_group_9_shapes),
        shape_group(frame_1215_shape_group_10_shapes),
        shape_group(frame_1215_shape_group_11_shapes),
        shape_group(frame_1215_shape_group_12_shapes),
        shape_group(frame_1215_shape_group_13_shapes),
        shape_group(frame_1215_shape_group_14_shapes),
    };

    constexpr const frame frame_1215_impl(frame_1215_colors, frame_1215_shape_groups);
} 

const frame& frame_1215()
{
    return frame_1215_impl;
}

namespace
{
    constexpr const bn::color frame_1216_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1216_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(3, 3),
        horizontal_line(45, 51),
        horizontal_line(46, 55),
        horizontal_line(47, 60),
        horizontal_line(48, 64),
        horizontal_line(49, 69),
        horizontal_line(50, 73),
        horizontal_line(51, 78),
        horizontal_line(51, 82),
        horizontal_line(52, 87),
        horizontal_line(53, 91),
        horizontal_line(54, 96),
        horizontal_line(55, 100),
        horizontal_line(56, 105),
        horizontal_line(57, 109),
        horizontal_line(58, 114),
        horizontal_line(58, 118),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(44, 64),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 66),
        horizontal_line(51, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 68),
        horizontal_line(54, 68),
        horizontal_line(55, 69),
        horizontal_line(70, 74),
        horizontal_line(70, 80),
        horizontal_line(70, 86),
        horizontal_line(70, 93),
        horizontal_line(70, 99),
        horizontal_line(70, 105),
        horizontal_line(70, 112),
        horizontal_line(70, 112),
        horizontal_line(71, 111),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(70, 76),
        horizontal_line(70, 84),
        horizontal_line(70, 92),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 99),
        horizontal_line(70, 99),
        horizontal_line(70, 98),
        horizontal_line(67, 68),
        horizontal_line(83, 97),
        horizontal_line(90, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1216_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(94, 101),
        horizontal_line(103, 110),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_1216_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(23, 85),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
    };

    constexpr const horizontal_line frame_1216_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(8, 19),
        horizontal_line(6, 30),
        horizontal_line(4, 40),
        horizontal_line(2, 51),
        horizontal_line(1, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1216_shape_group_0_shapes[] = {
        shape(frame_1216_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1216_shape_group_0_shape_1_horizontal_lines, 31, 4),
        shape(frame_1216_shape_group_0_shape_2_horizontal_lines, 127, 9),
        shape(frame_1216_shape_group_0_shape_3_horizontal_lines, 130, 8),
        shape(frame_1216_shape_group_0_shape_4_horizontal_lines, 135, 9),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(44, 46),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(10, 47),
        horizontal_line(12, 48),
        horizontal_line(14, 49),
        horizontal_line(15, 50),
        horizontal_line(17, 50),
        horizontal_line(19, 51),
        horizontal_line(20, 52),
        horizontal_line(22, 53),
        horizontal_line(24, 54),
        horizontal_line(25, 55),
        horizontal_line(27, 56),
        horizontal_line(29, 57),
        horizontal_line(30, 57),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(122, 127),
        horizontal_line(123, 132),
        horizontal_line(124, 136),
        horizontal_line(125, 141),
        horizontal_line(126, 145),
        horizontal_line(127, 150),
        horizontal_line(69, 131),
        horizontal_line(74, 136),
        horizontal_line(79, 141),
        horizontal_line(84, 146),
        horizontal_line(89, 145),
        horizontal_line(95, 142),
        horizontal_line(100, 139),
        horizontal_line(105, 136),
        horizontal_line(110, 134),
        horizontal_line(115, 131),
        horizontal_line(120, 128),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(38, 69),
        horizontal_line(38, 54),
        horizontal_line(38, 54),
        horizontal_line(39, 53),
        horizontal_line(41, 53),
        horizontal_line(43, 53),
        horizontal_line(45, 52),
        horizontal_line(46, 52),
        horizontal_line(48, 51),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(76, 110),
        horizontal_line(82, 110),
        horizontal_line(88, 109),
        horizontal_line(94, 108),
        horizontal_line(100, 107),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(134, 147),
        horizontal_line(131, 157),
        horizontal_line(129, 166),
        horizontal_line(134, 175),
        horizontal_line(140, 172),
        horizontal_line(145, 169),
        horizontal_line(151, 166),
        horizontal_line(156, 163),
        horizontal_line(76, 98),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(67, 75),
        horizontal_line(76, 84),
        horizontal_line(85, 92),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(32, 93),
        horizontal_line(29, 91),
        horizontal_line(26, 88),
        horizontal_line(85, 120),
        horizontal_line(81, 121),
        horizontal_line(78, 123),
        horizontal_line(75, 124),
        horizontal_line(72, 126),
        horizontal_line(20, 82),
        horizontal_line(31, 93),
        horizontal_line(41, 103),
        horizontal_line(52, 114),
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_1216_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 83),
        horizontal_line(62, 93),
        horizontal_line(62, 104),
        horizontal_line(62, 115),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1216_shape_group_1_shapes[] = {
        shape(frame_1216_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1216_shape_group_1_shape_1_horizontal_lines, 60, 4),
        shape(frame_1216_shape_group_1_shape_2_horizontal_lines, 61, 9),
        shape(frame_1216_shape_group_1_shape_3_horizontal_lines, 77, 4),
        shape(frame_1216_shape_group_1_shape_4_horizontal_lines, 96, 9),
        shape(frame_1216_shape_group_1_shape_5_horizontal_lines, 105, 4),
        shape(frame_1216_shape_group_1_shape_6_horizontal_lines, 111, 9),
        shape(frame_1216_shape_group_1_shape_7_horizontal_lines, 114, 4),
        shape(frame_1216_shape_group_1_shape_8_horizontal_lines, 124, 9),
        shape(frame_1216_shape_group_1_shape_9_horizontal_lines, 127, 8),
        shape(frame_1216_shape_group_1_shape_10_horizontal_lines, 140, 9),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(5, 44),
        horizontal_line(7, 45),
        horizontal_line(9, 46),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(32, 58),
        horizontal_line(34, 59),
        horizontal_line(35, 60),
        horizontal_line(37, 61),
        horizontal_line(39, 62),
        horizontal_line(40, 63),
        horizontal_line(42, 64),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(131, 155),
        horizontal_line(136, 153),
        horizontal_line(141, 150),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(42, 47),
        horizontal_line(41, 48),
        horizontal_line(41, 49),
        horizontal_line(41, 50),
        horizontal_line(40, 51),
        horizontal_line(40, 52),
        horizontal_line(39, 53),
        horizontal_line(39, 54),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(27, 37),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(56, 69),
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(60, 70),
        horizontal_line(50, 51),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(59, 60),
        horizontal_line(59, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(59, 69),
        horizontal_line(60, 60),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(63, 69),
        horizontal_line(58, 66),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(42, 66),
        horizontal_line(39, 75),
        horizontal_line(36, 84),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(91, 102),
        horizontal_line(88, 111),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(82, 127),
        horizontal_line(93, 129),
        horizontal_line(103, 131),
        horizontal_line(114, 132),
        horizontal_line(125, 134),
        horizontal_line(73, 135),
        horizontal_line(84, 137),
        horizontal_line(94, 139),
        horizontal_line(105, 140),
        horizontal_line(116, 142),
    };

    constexpr const horizontal_line frame_1216_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 136),
        horizontal_line(124, 147),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
    };

    constexpr const shape frame_1216_shape_group_2_shapes[] = {
        shape(frame_1216_shape_group_2_shape_0_horizontal_lines, 60, 9),
        shape(frame_1216_shape_group_2_shape_1_horizontal_lines, 64, 8),
        shape(frame_1216_shape_group_2_shape_2_horizontal_lines, 77, 9),
        shape(frame_1216_shape_group_2_shape_3_horizontal_lines, 84, 4),
        shape(frame_1216_shape_group_2_shape_4_horizontal_lines, 88, 9),
        shape(frame_1216_shape_group_2_shape_5_horizontal_lines, 96, 8),
        shape(frame_1216_shape_group_2_shape_6_horizontal_lines, 97, 9),
        shape(frame_1216_shape_group_2_shape_7_horizontal_lines, 111, 8),
        shape(frame_1216_shape_group_2_shape_8_horizontal_lines, 112, 1),
        shape(frame_1216_shape_group_2_shape_9_horizontal_lines, 114, 9),
        shape(frame_1216_shape_group_2_shape_10_horizontal_lines, 124, 8),
        shape(frame_1216_shape_group_2_shape_11_horizontal_lines, 127, 1),
        shape(frame_1216_shape_group_2_shape_12_horizontal_lines, 128, 8),
        shape(frame_1216_shape_group_2_shape_13_horizontal_lines, 130, 1),
        shape(frame_1216_shape_group_2_shape_14_horizontal_lines, 135, 8),
        shape(frame_1216_shape_group_2_shape_15_horizontal_lines, 145, 9),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(4, 43),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(2, 4),
        horizontal_line(1, 6),
        horizontal_line(1, 8),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(43, 44),
        horizontal_line(43, 45),
        horizontal_line(42, 46),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(4, 40),
        horizontal_line(9, 39),
        horizontal_line(13, 39),
        horizontal_line(18, 38),
        horizontal_line(23, 38),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(41, 42),
        horizontal_line(42, 44),
        horizontal_line(43, 45),
        horizontal_line(45, 47),
        horizontal_line(47, 49),
        horizontal_line(49, 59),
        horizontal_line(51, 59),
        horizontal_line(53, 58),
        horizontal_line(55, 58),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(46, 56),
        horizontal_line(47, 56),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(45, 57),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(104, 104),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(156, 176),
        horizontal_line(156, 178),
        horizontal_line(155, 181),
        horizontal_line(155, 183),
        horizontal_line(154, 185),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(150, 201),
        horizontal_line(149, 203),
        horizontal_line(149, 205),
        horizontal_line(148, 207),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(126, 143),
        horizontal_line(137, 145),
    };

    constexpr const horizontal_line frame_1216_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
    };

    constexpr const shape frame_1216_shape_group_3_shapes[] = {
        shape(frame_1216_shape_group_3_shape_0_horizontal_lines, 60, 9),
        shape(frame_1216_shape_group_3_shape_1_horizontal_lines, 61, 8),
        shape(frame_1216_shape_group_3_shape_2_horizontal_lines, 75, 1),
        shape(frame_1216_shape_group_3_shape_3_horizontal_lines, 77, 8),
        shape(frame_1216_shape_group_3_shape_4_horizontal_lines, 85, 9),
        shape(frame_1216_shape_group_3_shape_5_horizontal_lines, 88, 8),
        shape(frame_1216_shape_group_3_shape_6_horizontal_lines, 96, 1),
        shape(frame_1216_shape_group_3_shape_7_horizontal_lines, 97, 8),
        shape(frame_1216_shape_group_3_shape_8_horizontal_lines, 111, 1),
        shape(frame_1216_shape_group_3_shape_9_horizontal_lines, 115, 9),
        shape(frame_1216_shape_group_3_shape_10_horizontal_lines, 116, 8),
        shape(frame_1216_shape_group_3_shape_11_horizontal_lines, 120, 1),
        shape(frame_1216_shape_group_3_shape_12_horizontal_lines, 122, 8),
        shape(frame_1216_shape_group_3_shape_13_horizontal_lines, 124, 1),
        shape(frame_1216_shape_group_3_shape_14_horizontal_lines, 140, 8),
        shape(frame_1216_shape_group_3_shape_15_horizontal_lines, 141, 1),
        shape(frame_1216_shape_group_3_shape_16_horizontal_lines, 145, 8),
        shape(frame_1216_shape_group_3_shape_17_horizontal_lines, 147, 1),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(206, 239),
        horizontal_line(198, 239),
        horizontal_line(190, 239),
        horizontal_line(181, 239),
        horizontal_line(173, 235),
        horizontal_line(165, 227),
        horizontal_line(157, 219),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(32, 37),
        horizontal_line(37, 37),
        horizontal_line(54, 56),
        horizontal_line(40, 40),
        horizontal_line(54, 57),
        horizontal_line(53, 58),
        horizontal_line(53, 58),
        horizontal_line(52, 59),
        horizontal_line(52, 60),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(46, 56),
        horizontal_line(106, 110),
        horizontal_line(105, 112),
        horizontal_line(47, 56),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(48, 57),
        horizontal_line(48, 57),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(112, 122),
        horizontal_line(111, 122),
        horizontal_line(105, 105),
        horizontal_line(110, 120),
        horizontal_line(111, 120),
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(154, 187),
        horizontal_line(153, 189),
        horizontal_line(152, 192),
        horizontal_line(152, 194),
        horizontal_line(151, 196),
        horizontal_line(151, 198),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(138, 149),
        horizontal_line(140, 148),
        horizontal_line(141, 148),
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_1216_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(210, 214),
        horizontal_line(210, 216),
        horizontal_line(211, 218),
        horizontal_line(212, 221),
        horizontal_line(213, 223),
        horizontal_line(214, 225),
        horizontal_line(215, 227),
        horizontal_line(216, 230),
        horizontal_line(217, 232),
        horizontal_line(218, 234),
        horizontal_line(219, 236),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_1216_shape_group_4_shapes[] = {
        shape(frame_1216_shape_group_4_shape_0_horizontal_lines, 77, 1),
        shape(frame_1216_shape_group_4_shape_1_horizontal_lines, 85, 8),
        shape(frame_1216_shape_group_4_shape_2_horizontal_lines, 88, 1),
        shape(frame_1216_shape_group_4_shape_3_horizontal_lines, 97, 8),
        shape(frame_1216_shape_group_4_shape_4_horizontal_lines, 106, 1),
        shape(frame_1216_shape_group_4_shape_5_horizontal_lines, 115, 8),
        shape(frame_1216_shape_group_4_shape_6_horizontal_lines, 116, 1),
        shape(frame_1216_shape_group_4_shape_7_horizontal_lines, 130, 14),
        shape(frame_1216_shape_group_4_shape_8_horizontal_lines, 135, 1),
        shape(frame_1216_shape_group_4_shape_9_horizontal_lines, 141, 2),
        shape(frame_1216_shape_group_4_shape_10_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(227, 239),
        horizontal_line(219, 239),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(55, 55),
        horizontal_line(55, 56),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(119, 133),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(54, 57),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(45, 48),
        horizontal_line(45, 50),
        horizontal_line(45, 52),
        horizontal_line(46, 54),
        horizontal_line(46, 56),
        horizontal_line(107, 108),
        horizontal_line(117, 123),
        horizontal_line(116, 123),
        horizontal_line(104, 123),
        horizontal_line(0, 6),
        horizontal_line(47, 57),
        horizontal_line(47, 57),
        horizontal_line(48, 57),
        horizontal_line(48, 57),
        horizontal_line(61, 61),
        horizontal_line(113, 124),
        horizontal_line(49, 58),
        horizontal_line(112, 123),
        horizontal_line(160, 163),
        horizontal_line(159, 165),
        horizontal_line(111, 121),
        horizontal_line(158, 169),
        horizontal_line(158, 172),
        horizontal_line(157, 174),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(9, 22),
        horizontal_line(9, 18),
        horizontal_line(9, 15),
        horizontal_line(9, 12),
        horizontal_line(127, 153),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(130, 152),
        horizontal_line(132, 151),
        horizontal_line(133, 151),
        horizontal_line(135, 150),
        horizontal_line(136, 150),
    };

    constexpr const horizontal_line frame_1216_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(210, 210),
        horizontal_line(209, 212),
    };

    constexpr const shape frame_1216_shape_group_5_shapes[] = {
        shape(frame_1216_shape_group_5_shape_0_horizontal_lines, 82, 1),
        shape(frame_1216_shape_group_5_shape_1_horizontal_lines, 97, 8),
        shape(frame_1216_shape_group_5_shape_2_horizontal_lines, 99, 1),
        shape(frame_1216_shape_group_5_shape_3_horizontal_lines, 100, 8),
        shape(frame_1216_shape_group_5_shape_4_horizontal_lines, 101, 1),
        shape(frame_1216_shape_group_5_shape_5_horizontal_lines, 130, 2),
        shape(frame_1216_shape_group_5_shape_6_horizontal_lines, 135, 14),
        shape(frame_1216_shape_group_5_shape_7_horizontal_lines, 136, 2),
        shape(frame_1216_shape_group_5_shape_8_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
        horizontal_line(0, 17),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(123, 129),
        horizontal_line(121, 131),
        horizontal_line(158, 176),
        horizontal_line(117, 135),
        horizontal_line(115, 137),
        horizontal_line(114, 176),
        horizontal_line(115, 136),
        horizontal_line(117, 133),
        horizontal_line(45, 46),
        horizontal_line(121, 127),
        horizontal_line(124, 124),
        horizontal_line(122, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
        horizontal_line(118, 123),
        horizontal_line(138, 176),
        horizontal_line(138, 176),
        horizontal_line(139, 176),
        horizontal_line(47, 56),
        horizontal_line(102, 122),
        horizontal_line(102, 112),
        horizontal_line(103, 111),
        horizontal_line(106, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(113, 123),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(159, 167),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(121, 155),
        horizontal_line(122, 155),
        horizontal_line(124, 154),
        horizontal_line(125, 154),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(128, 153),
    };

    constexpr const horizontal_line frame_1216_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(144, 147),
        horizontal_line(146, 146),
    };

    constexpr const shape frame_1216_shape_group_6_shapes[] = {
        shape(frame_1216_shape_group_6_shape_0_horizontal_lines, 85, 1),
        shape(frame_1216_shape_group_6_shape_1_horizontal_lines, 91, 3),
        shape(frame_1216_shape_group_6_shape_2_horizontal_lines, 97, 1),
        shape(frame_1216_shape_group_6_shape_3_horizontal_lines, 121, 14),
        shape(frame_1216_shape_group_6_shape_4_horizontal_lines, 122, 1),
        shape(frame_1216_shape_group_6_shape_5_horizontal_lines, 124, 14),
        shape(frame_1216_shape_group_6_shape_6_horizontal_lines, 126, 1),
        shape(frame_1216_shape_group_6_shape_7_horizontal_lines, 127, 14),
        shape(frame_1216_shape_group_6_shape_8_horizontal_lines, 130, 2),
        shape(frame_1216_shape_group_6_shape_9_horizontal_lines, 135, 2),
        shape(frame_1216_shape_group_6_shape_10_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 176),
        horizontal_line(164, 176),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(3, 38),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(152, 176),
        horizontal_line(146, 176),
        horizontal_line(176, 176),
        horizontal_line(139, 176),
        horizontal_line(139, 176),
        horizontal_line(119, 130),
        horizontal_line(139, 176),
        horizontal_line(139, 176),
        horizontal_line(139, 176),
        horizontal_line(138, 176),
        horizontal_line(138, 176),
        horizontal_line(138, 176),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(103, 123),
        horizontal_line(158, 176),
        horizontal_line(114, 118),
        horizontal_line(114, 126),
        horizontal_line(114, 125),
        horizontal_line(114, 125),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(8, 41),
        horizontal_line(8, 38),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(8, 31),
        horizontal_line(9, 28),
        horizontal_line(9, 25),
    };

    constexpr const shape frame_1216_shape_group_7_shapes[] = {
        shape(frame_1216_shape_group_7_shape_0_horizontal_lines, 97, 1),
        shape(frame_1216_shape_group_7_shape_1_horizontal_lines, 99, 3),
        shape(frame_1216_shape_group_7_shape_2_horizontal_lines, 100, 1),
        shape(frame_1216_shape_group_7_shape_3_horizontal_lines, 112, 14),
        shape(frame_1216_shape_group_7_shape_4_horizontal_lines, 115, 1),
        shape(frame_1216_shape_group_7_shape_5_horizontal_lines, 121, 14),
        shape(frame_1216_shape_group_7_shape_6_horizontal_lines, 124, 2),
        shape(frame_1216_shape_group_7_shape_7_horizontal_lines, 126, 14),
        shape(frame_1216_shape_group_7_shape_8_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(5, 39),
        horizontal_line(15, 40),
        horizontal_line(25, 41),
        horizontal_line(35, 42),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(139, 176),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(128, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(148, 176),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(167, 176),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(112, 113),
        horizontal_line(111, 112),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1216_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(8, 47),
        horizontal_line(8, 48),
        horizontal_line(8, 44),
        horizontal_line(107, 111),
        horizontal_line(106, 110),
        horizontal_line(8, 35),
        horizontal_line(105, 109),
        horizontal_line(121, 157),
        horizontal_line(120, 156),
    };

    constexpr const shape frame_1216_shape_group_8_shapes[] = {
        shape(frame_1216_shape_group_8_shape_0_horizontal_lines, 97, 1),
        shape(frame_1216_shape_group_8_shape_1_horizontal_lines, 99, 14),
        shape(frame_1216_shape_group_8_shape_2_horizontal_lines, 100, 3),
        shape(frame_1216_shape_group_8_shape_3_horizontal_lines, 104, 14),
        shape(frame_1216_shape_group_8_shape_4_horizontal_lines, 105, 1),
        shape(frame_1216_shape_group_8_shape_5_horizontal_lines, 106, 14),
        shape(frame_1216_shape_group_8_shape_6_horizontal_lines, 115, 1),
        shape(frame_1216_shape_group_8_shape_7_horizontal_lines, 116, 14),
        shape(frame_1216_shape_group_8_shape_8_horizontal_lines, 117, 1),
        shape(frame_1216_shape_group_8_shape_9_horizontal_lines, 118, 14),
        shape(frame_1216_shape_group_8_shape_10_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(1, 31),
        horizontal_line(2, 36),
    };

    constexpr const horizontal_line frame_1216_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(137, 138),
        horizontal_line(177, 239),
        horizontal_line(131, 138),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(124, 129),
        horizontal_line(239, 239),
        horizontal_line(113, 113),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(59, 61),
        horizontal_line(108, 111),
        horizontal_line(123, 159),
        horizontal_line(123, 158),
        horizontal_line(106, 110),
        horizontal_line(121, 157),
    };

    constexpr const shape frame_1216_shape_group_9_shapes[] = {
        shape(frame_1216_shape_group_9_shape_0_horizontal_lines, 97, 3),
        shape(frame_1216_shape_group_9_shape_1_horizontal_lines, 99, 14),
        shape(frame_1216_shape_group_9_shape_2_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(177, 207),
        horizontal_line(177, 238),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(6, 45),
        horizontal_line(6, 46),
        horizontal_line(7, 46),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(7, 46),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(7, 47),
        horizontal_line(7, 47),
        horizontal_line(110, 112),
        horizontal_line(109, 112),
        horizontal_line(124, 160),
    };

    constexpr const horizontal_line frame_1216_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(122, 158),
    };

    constexpr const shape frame_1216_shape_group_10_shapes[] = {
        shape(frame_1216_shape_group_10_shape_0_horizontal_lines, 97, 14),
        shape(frame_1216_shape_group_10_shape_1_horizontal_lines, 100, 14),
        shape(frame_1216_shape_group_10_shape_2_horizontal_lines, 112, 2),
        shape(frame_1216_shape_group_10_shape_3_horizontal_lines, 115, 14),
        shape(frame_1216_shape_group_10_shape_4_horizontal_lines, 116, 2),
        shape(frame_1216_shape_group_10_shape_5_horizontal_lines, 117, 14),
        shape(frame_1216_shape_group_10_shape_6_horizontal_lines, 119, 2),
        shape(frame_1216_shape_group_10_shape_7_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(5, 14),
        horizontal_line(5, 24),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(5, 44),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(5, 44),
        horizontal_line(6, 44),
        horizontal_line(6, 44),
        horizontal_line(6, 45),
        horizontal_line(6, 45),
        horizontal_line(6, 45),
        horizontal_line(57, 57),
        horizontal_line(57, 58),
        horizontal_line(57, 58),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1216_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(7, 47),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(125, 150),
        horizontal_line(124, 155),
    };

    constexpr const shape frame_1216_shape_group_11_shapes[] = {
        shape(frame_1216_shape_group_11_shape_0_horizontal_lines, 101, 2),
        shape(frame_1216_shape_group_11_shape_1_horizontal_lines, 103, 14),
        shape(frame_1216_shape_group_11_shape_2_horizontal_lines, 104, 2),
        shape(frame_1216_shape_group_11_shape_3_horizontal_lines, 105, 14),
        shape(frame_1216_shape_group_11_shape_4_horizontal_lines, 106, 2),
        shape(frame_1216_shape_group_11_shape_5_horizontal_lines, 115, 14),
        shape(frame_1216_shape_group_11_shape_6_horizontal_lines, 116, 2),
        shape(frame_1216_shape_group_11_shape_7_horizontal_lines, 117, 14),
        shape(frame_1216_shape_group_11_shape_8_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(5, 34),
    };

    constexpr const horizontal_line frame_1216_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(5, 44),
    };

    constexpr const horizontal_line frame_1216_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(7, 46),
    };

    constexpr const horizontal_line frame_1216_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(7, 46),
        horizontal_line(58, 60),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
    };

    constexpr const shape frame_1216_shape_group_12_shapes[] = {
        shape(frame_1216_shape_group_12_shape_0_horizontal_lines, 103, 2),
        shape(frame_1216_shape_group_12_shape_1_horizontal_lines, 105, 2),
        shape(frame_1216_shape_group_12_shape_2_horizontal_lines, 115, 2),
        shape(frame_1216_shape_group_12_shape_3_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1216_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(58, 60),
        horizontal_line(127, 133),
        horizontal_line(126, 139),
        horizontal_line(126, 144),
    };

    constexpr const shape frame_1216_shape_group_13_shapes[] = {
        shape(frame_1216_shape_group_13_shape_0_horizontal_lines, 115, 2),
        shape(frame_1216_shape_group_13_shape_1_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1216_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const shape frame_1216_shape_group_14_shapes[] = {
        shape(frame_1216_shape_group_14_shape_0_horizontal_lines, 117, 2),
    };

    constexpr const shape_group frame_1216_shape_groups[] = {
        shape_group(frame_1216_shape_group_0_shapes),
        shape_group(frame_1216_shape_group_1_shapes),
        shape_group(frame_1216_shape_group_2_shapes),
        shape_group(frame_1216_shape_group_3_shapes),
        shape_group(frame_1216_shape_group_4_shapes),
        shape_group(frame_1216_shape_group_5_shapes),
        shape_group(frame_1216_shape_group_6_shapes),
        shape_group(frame_1216_shape_group_7_shapes),
        shape_group(frame_1216_shape_group_8_shapes),
        shape_group(frame_1216_shape_group_9_shapes),
        shape_group(frame_1216_shape_group_10_shapes),
        shape_group(frame_1216_shape_group_11_shapes),
        shape_group(frame_1216_shape_group_12_shapes),
        shape_group(frame_1216_shape_group_13_shapes),
        shape_group(frame_1216_shape_group_14_shapes),
    };

    constexpr const frame frame_1216_impl(frame_1216_colors, frame_1216_shape_groups);
} 

const frame& frame_1216()
{
    return frame_1216_impl;
}

namespace
{
    constexpr const bn::color frame_1217_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1217_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1217_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1217_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(39, 41),
        horizontal_line(40, 46),
        horizontal_line(41, 50),
        horizontal_line(42, 55),
        horizontal_line(43, 59),
        horizontal_line(44, 64),
        horizontal_line(45, 68),
        horizontal_line(46, 73),
        horizontal_line(47, 78),
        horizontal_line(47, 82),
        horizontal_line(48, 87),
        horizontal_line(49, 91),
        horizontal_line(50, 96),
        horizontal_line(51, 100),
        horizontal_line(52, 105),
        horizontal_line(53, 109),
        horizontal_line(54, 114),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(43, 62),
        horizontal_line(44, 63),
        horizontal_line(45, 63),
        horizontal_line(46, 64),
        horizontal_line(47, 64),
        horizontal_line(48, 65),
        horizontal_line(49, 65),
        horizontal_line(50, 66),
        horizontal_line(51, 66),
        horizontal_line(52, 67),
        horizontal_line(53, 67),
        horizontal_line(55, 68),
        horizontal_line(69, 72),
        horizontal_line(69, 78),
        horizontal_line(69, 84),
        horizontal_line(70, 90),
        horizontal_line(70, 95),
        horizontal_line(70, 101),
        horizontal_line(70, 107),
        horizontal_line(71, 113),
        horizontal_line(65, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 65),
        horizontal_line(70, 81),
        horizontal_line(70, 88),
        horizontal_line(70, 94),
        horizontal_line(70, 101),
        horizontal_line(70, 101),
        horizontal_line(70, 101),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 99),
        horizontal_line(63, 68),
        horizontal_line(66, 68),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_1217_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(71, 83),
        horizontal_line(80, 92),
        horizontal_line(88, 101),
        horizontal_line(97, 110),
        horizontal_line(105, 114),
        horizontal_line(114, 118),
    };

    constexpr const horizontal_line frame_1217_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_1217_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 21),
        horizontal_line(0, 32),
        horizontal_line(0, 43),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1217_shape_group_0_shapes[] = {
        shape(frame_1217_shape_group_0_shape_0_horizontal_lines, 31, 4),
        shape(frame_1217_shape_group_0_shape_1_horizontal_lines, 55, 9),
        shape(frame_1217_shape_group_0_shape_2_horizontal_lines, 56, 4),
        shape(frame_1217_shape_group_0_shape_3_horizontal_lines, 125, 9),
        shape(frame_1217_shape_group_0_shape_4_horizontal_lines, 131, 8),
        shape(frame_1217_shape_group_0_shape_5_horizontal_lines, 139, 9),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(1, 41),
        horizontal_line(2, 42),
        horizontal_line(4, 43),
        horizontal_line(6, 44),
        horizontal_line(8, 45),
        horizontal_line(9, 46),
        horizontal_line(11, 46),
        horizontal_line(13, 47),
        horizontal_line(15, 48),
        horizontal_line(17, 49),
        horizontal_line(18, 50),
        horizontal_line(20, 51),
        horizontal_line(22, 52),
        horizontal_line(24, 53),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(117, 119),
        horizontal_line(117, 123),
        horizontal_line(118, 128),
        horizontal_line(119, 132),
        horizontal_line(120, 137),
        horizontal_line(121, 141),
        horizontal_line(122, 146),
        horizontal_line(123, 150),
        horizontal_line(124, 155),
        horizontal_line(125, 160),
        horizontal_line(67, 129),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(84, 146),
        horizontal_line(89, 147),
        horizontal_line(95, 144),
        horizontal_line(100, 141),
        horizontal_line(106, 139),
        horizontal_line(111, 136),
        horizontal_line(117, 133),
        horizontal_line(122, 130),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(35, 53),
        horizontal_line(35, 53),
        horizontal_line(35, 52),
        horizontal_line(37, 52),
        horizontal_line(39, 52),
        horizontal_line(41, 51),
        horizontal_line(43, 51),
        horizontal_line(45, 51),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(75, 113),
        horizontal_line(80, 112),
        horizontal_line(86, 111),
        horizontal_line(91, 110),
        horizontal_line(97, 109),
        horizontal_line(102, 108),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(70, 75),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(59, 69),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(137, 151),
        horizontal_line(133, 162),
        horizontal_line(131, 172),
        horizontal_line(135, 182),
        horizontal_line(140, 179),
        horizontal_line(144, 177),
        horizontal_line(149, 175),
        horizontal_line(78, 99),
        horizontal_line(88, 98),
        horizontal_line(163, 168),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(37, 70),
        horizontal_line(34, 79),
        horizontal_line(31, 87),
        horizontal_line(29, 91),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(82, 122),
        horizontal_line(79, 123),
        horizontal_line(77, 124),
        horizontal_line(74, 126),
        horizontal_line(71, 127),
        horizontal_line(68, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(11, 73),
        horizontal_line(22, 84),
        horizontal_line(33, 95),
        horizontal_line(44, 106),
        horizontal_line(55, 117),
    };

    constexpr const horizontal_line frame_1217_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 76),
        horizontal_line(62, 87),
        horizontal_line(62, 98),
        horizontal_line(62, 109),
        horizontal_line(62, 120),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1217_shape_group_1_shapes[] = {
        shape(frame_1217_shape_group_1_shape_0_horizontal_lines, 56, 9),
        shape(frame_1217_shape_group_1_shape_1_horizontal_lines, 73, 4),
        shape(frame_1217_shape_group_1_shape_2_horizontal_lines, 95, 9),
        shape(frame_1217_shape_group_1_shape_3_horizontal_lines, 103, 4),
        shape(frame_1217_shape_group_1_shape_4_horizontal_lines, 110, 9),
        shape(frame_1217_shape_group_1_shape_5_horizontal_lines, 112, 4),
        shape(frame_1217_shape_group_1_shape_6_horizontal_lines, 113, 9),
        shape(frame_1217_shape_group_1_shape_7_horizontal_lines, 114, 4),
        shape(frame_1217_shape_group_1_shape_8_horizontal_lines, 125, 8),
        shape(frame_1217_shape_group_1_shape_9_horizontal_lines, 144, 9),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(25, 54),
        horizontal_line(27, 54),
        horizontal_line(29, 55),
        horizontal_line(31, 56),
        horizontal_line(33, 57),
        horizontal_line(34, 58),
        horizontal_line(36, 59),
        horizontal_line(38, 60),
        horizontal_line(40, 61),
        horizontal_line(42, 62),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(129, 158),
        horizontal_line(135, 155),
        horizontal_line(140, 152),
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(39, 46),
        horizontal_line(39, 47),
        horizontal_line(38, 48),
        horizontal_line(38, 49),
        horizontal_line(37, 50),
        horizontal_line(37, 51),
        horizontal_line(36, 52),
        horizontal_line(36, 54),
        horizontal_line(55, 68),
        horizontal_line(56, 68),
        horizontal_line(56, 68),
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(59, 70),
        horizontal_line(47, 50),
        horizontal_line(49, 50),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(58, 59),
        horizontal_line(58, 59),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(44, 55),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(44, 55),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(154, 172),
        horizontal_line(158, 170),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(63, 74),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(97, 101),
        horizontal_line(102, 104),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(91, 96),
        horizontal_line(88, 104),
        horizontal_line(85, 113),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(163, 180),
        horizontal_line(163, 182),
        horizontal_line(162, 184),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(125, 132),
        horizontal_line(73, 133),
        horizontal_line(84, 135),
        horizontal_line(95, 136),
        horizontal_line(106, 138),
        horizontal_line(117, 139),
        horizontal_line(66, 128),
        horizontal_line(77, 139),
        horizontal_line(88, 144),
        horizontal_line(99, 145),
        horizontal_line(110, 147),
        horizontal_line(121, 148),
    };

    constexpr const horizontal_line frame_1217_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(124, 142),
        horizontal_line(124, 153),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
    };

    constexpr const shape frame_1217_shape_group_2_shapes[] = {
        shape(frame_1217_shape_group_2_shape_0_horizontal_lines, 59, 8),
        shape(frame_1217_shape_group_2_shape_1_horizontal_lines, 73, 9),
        shape(frame_1217_shape_group_2_shape_2_horizontal_lines, 83, 4),
        shape(frame_1217_shape_group_2_shape_3_horizontal_lines, 87, 9),
        shape(frame_1217_shape_group_2_shape_4_horizontal_lines, 110, 8),
        shape(frame_1217_shape_group_2_shape_5_horizontal_lines, 111, 1),
        shape(frame_1217_shape_group_2_shape_6_horizontal_lines, 112, 9),
        shape(frame_1217_shape_group_2_shape_7_horizontal_lines, 113, 1),
        shape(frame_1217_shape_group_2_shape_8_horizontal_lines, 114, 9),
        shape(frame_1217_shape_group_2_shape_9_horizontal_lines, 122, 4),
        shape(frame_1217_shape_group_2_shape_10_horizontal_lines, 124, 9),
        shape(frame_1217_shape_group_2_shape_11_horizontal_lines, 125, 1),
        shape(frame_1217_shape_group_2_shape_12_horizontal_lines, 128, 8),
        shape(frame_1217_shape_group_2_shape_13_horizontal_lines, 131, 1),
        shape(frame_1217_shape_group_2_shape_14_horizontal_lines, 137, 8),
        shape(frame_1217_shape_group_2_shape_15_horizontal_lines, 150, 9),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(41, 42),
        horizontal_line(41, 43),
        horizontal_line(40, 44),
        horizontal_line(40, 45),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(4, 36),
        horizontal_line(9, 36),
        horizontal_line(14, 35),
        horizontal_line(19, 35),
        horizontal_line(24, 34),
        horizontal_line(29, 34),
        horizontal_line(34, 34),
        horizontal_line(36, 36),
        horizontal_line(37, 38),
        horizontal_line(38, 40),
        horizontal_line(39, 42),
        horizontal_line(40, 44),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(59, 64),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(43, 48),
        horizontal_line(45, 58),
        horizontal_line(47, 58),
        horizontal_line(49, 57),
        horizontal_line(51, 57),
        horizontal_line(53, 56),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(44, 55),
        horizontal_line(107, 112),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(66, 69),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(105, 124),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(45, 56),
        horizontal_line(45, 56),
        horizontal_line(45, 56),
        horizontal_line(46, 57),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(54, 65),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(40, 62),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(104, 105),
        horizontal_line(110, 123),
        horizontal_line(111, 122),
        horizontal_line(115, 122),
        horizontal_line(119, 121),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(162, 186),
        horizontal_line(161, 188),
        horizontal_line(161, 191),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(159, 197),
        horizontal_line(159, 199),
        horizontal_line(158, 201),
        horizontal_line(158, 204),
        horizontal_line(157, 206),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(156, 212),
        horizontal_line(155, 215),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(132, 150),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_1217_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
    };

    constexpr const shape frame_1217_shape_group_3_shapes[] = {
        shape(frame_1217_shape_group_3_shape_0_horizontal_lines, 73, 8),
        shape(frame_1217_shape_group_3_shape_1_horizontal_lines, 83, 9),
        shape(frame_1217_shape_group_3_shape_2_horizontal_lines, 87, 8),
        shape(frame_1217_shape_group_3_shape_3_horizontal_lines, 103, 9),
        shape(frame_1217_shape_group_3_shape_4_horizontal_lines, 104, 8),
        shape(frame_1217_shape_group_3_shape_5_horizontal_lines, 110, 1),
        shape(frame_1217_shape_group_3_shape_6_horizontal_lines, 112, 9),
        shape(frame_1217_shape_group_3_shape_7_horizontal_lines, 113, 1),
        shape(frame_1217_shape_group_3_shape_8_horizontal_lines, 114, 9),
        shape(frame_1217_shape_group_3_shape_9_horizontal_lines, 115, 8),
        shape(frame_1217_shape_group_3_shape_10_horizontal_lines, 119, 1),
        shape(frame_1217_shape_group_3_shape_11_horizontal_lines, 123, 9),
        shape(frame_1217_shape_group_3_shape_12_horizontal_lines, 124, 8),
        shape(frame_1217_shape_group_3_shape_13_horizontal_lines, 125, 1),
        shape(frame_1217_shape_group_3_shape_14_horizontal_lines, 131, 14),
        shape(frame_1217_shape_group_3_shape_15_horizontal_lines, 134, 1),
        shape(frame_1217_shape_group_3_shape_16_horizontal_lines, 144, 8),
        shape(frame_1217_shape_group_3_shape_17_horizontal_lines, 146, 1),
        shape(frame_1217_shape_group_3_shape_18_horizontal_lines, 150, 8),
        shape(frame_1217_shape_group_3_shape_19_horizontal_lines, 152, 1),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(210, 239),
        horizontal_line(201, 239),
        horizontal_line(191, 239),
        horizontal_line(181, 239),
        horizontal_line(171, 233),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(53, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(41, 46),
        horizontal_line(51, 59),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(43, 44),
        horizontal_line(43, 46),
        horizontal_line(43, 48),
        horizontal_line(43, 50),
        horizontal_line(43, 52),
        horizontal_line(108, 109),
        horizontal_line(117, 124),
        horizontal_line(44, 55),
        horizontal_line(141, 183),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(44, 55),
        horizontal_line(45, 56),
        horizontal_line(45, 56),
        horizontal_line(45, 56),
        horizontal_line(61, 61),
        horizontal_line(114, 127),
        horizontal_line(114, 126),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(43, 53),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(111, 124),
        horizontal_line(111, 123),
        horizontal_line(165, 171),
        horizontal_line(165, 173),
        horizontal_line(164, 175),
        horizontal_line(164, 177),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(1, 5),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(160, 193),
        horizontal_line(160, 195),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(134, 158),
        horizontal_line(136, 158),
        horizontal_line(137, 157),
        horizontal_line(139, 157),
        horizontal_line(140, 156),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(157, 208),
        horizontal_line(156, 210),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(145, 155),
        horizontal_line(146, 154),
    };

    constexpr const horizontal_line frame_1217_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(217, 217),
        horizontal_line(216, 219),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(216, 225),
        horizontal_line(216, 228),
        horizontal_line(217, 230),
        horizontal_line(218, 232),
        horizontal_line(219, 234),
        horizontal_line(220, 236),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_1217_shape_group_4_shapes[] = {
        shape(frame_1217_shape_group_4_shape_0_horizontal_lines, 75, 1),
        shape(frame_1217_shape_group_4_shape_1_horizontal_lines, 83, 8),
        shape(frame_1217_shape_group_4_shape_2_horizontal_lines, 87, 1),
        shape(frame_1217_shape_group_4_shape_3_horizontal_lines, 95, 8),
        shape(frame_1217_shape_group_4_shape_4_horizontal_lines, 105, 1),
        shape(frame_1217_shape_group_4_shape_5_horizontal_lines, 114, 8),
        shape(frame_1217_shape_group_4_shape_6_horizontal_lines, 115, 1),
        shape(frame_1217_shape_group_4_shape_7_horizontal_lines, 123, 8),
        shape(frame_1217_shape_group_4_shape_8_horizontal_lines, 124, 1),
        shape(frame_1217_shape_group_4_shape_9_horizontal_lines, 131, 2),
        shape(frame_1217_shape_group_4_shape_10_horizontal_lines, 134, 14),
        shape(frame_1217_shape_group_4_shape_11_horizontal_lines, 136, 2),
        shape(frame_1217_shape_group_4_shape_12_horizontal_lines, 137, 1),
        shape(frame_1217_shape_group_4_shape_13_horizontal_lines, 139, 2),
        shape(frame_1217_shape_group_4_shape_14_horizontal_lines, 144, 1),
        shape(frame_1217_shape_group_4_shape_15_horizontal_lines, 146, 2),
        shape(frame_1217_shape_group_4_shape_16_horizontal_lines, 148, 1),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(224, 239),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 13),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(125, 131),
        horizontal_line(123, 133),
        horizontal_line(122, 135),
        horizontal_line(120, 137),
        horizontal_line(118, 139),
        horizontal_line(116, 178),
        horizontal_line(115, 138),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(51, 58),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(119, 131),
        horizontal_line(122, 128),
        horizontal_line(125, 125),
        horizontal_line(123, 124),
        horizontal_line(122, 124),
        horizontal_line(120, 124),
        horizontal_line(119, 124),
        horizontal_line(141, 183),
        horizontal_line(106, 124),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(44, 55),
        horizontal_line(103, 113),
        horizontal_line(103, 112),
        horizontal_line(104, 111),
        horizontal_line(107, 110),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(113, 126),
        horizontal_line(107, 107),
        horizontal_line(112, 125),
        horizontal_line(167, 167),
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(123, 162),
        horizontal_line(124, 162),
        horizontal_line(125, 161),
        horizontal_line(1, 11),
        horizontal_line(1, 8),
        horizontal_line(130, 160),
        horizontal_line(1, 2),
        horizontal_line(133, 159),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(142, 156),
        horizontal_line(143, 155),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(148, 154),
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_1217_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(216, 221),
        horizontal_line(215, 223),
    };

    constexpr const shape frame_1217_shape_group_5_shapes[] = {
        shape(frame_1217_shape_group_5_shape_0_horizontal_lines, 81, 1),
        shape(frame_1217_shape_group_5_shape_1_horizontal_lines, 92, 3),
        shape(frame_1217_shape_group_5_shape_2_horizontal_lines, 95, 1),
        shape(frame_1217_shape_group_5_shape_3_horizontal_lines, 103, 8),
        shape(frame_1217_shape_group_5_shape_4_horizontal_lines, 104, 1),
        shape(frame_1217_shape_group_5_shape_5_horizontal_lines, 113, 14),
        shape(frame_1217_shape_group_5_shape_6_horizontal_lines, 114, 1),
        shape(frame_1217_shape_group_5_shape_7_horizontal_lines, 120, 14),
        shape(frame_1217_shape_group_5_shape_8_horizontal_lines, 122, 1),
        shape(frame_1217_shape_group_5_shape_9_horizontal_lines, 127, 14),
        shape(frame_1217_shape_group_5_shape_10_horizontal_lines, 131, 2),
        shape(frame_1217_shape_group_5_shape_11_horizontal_lines, 144, 2),
        shape(frame_1217_shape_group_5_shape_12_horizontal_lines, 148, 2),
        shape(frame_1217_shape_group_5_shape_13_horizontal_lines, 150, 1),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(177, 184),
        horizontal_line(170, 184),
        horizontal_line(163, 184),
        horizontal_line(156, 184),
        horizontal_line(149, 184),
        horizontal_line(178, 184),
        horizontal_line(141, 184),
        horizontal_line(116, 135),
        horizontal_line(141, 184),
        horizontal_line(141, 184),
        horizontal_line(141, 184),
        horizontal_line(141, 183),
        horizontal_line(141, 183),
        horizontal_line(141, 183),
        horizontal_line(141, 183),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(141, 183),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(104, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 119),
        horizontal_line(115, 128),
        horizontal_line(115, 127),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(113, 125),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(127, 161),
        horizontal_line(128, 160),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(131, 159),
    };

    constexpr const horizontal_line frame_1217_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(151, 153),
        horizontal_line(152, 152),
    };

    constexpr const shape frame_1217_shape_group_6_shapes[] = {
        shape(frame_1217_shape_group_6_shape_0_horizontal_lines, 83, 1),
        shape(frame_1217_shape_group_6_shape_1_horizontal_lines, 91, 3),
        shape(frame_1217_shape_group_6_shape_2_horizontal_lines, 95, 1),
        shape(frame_1217_shape_group_6_shape_3_horizontal_lines, 111, 14),
        shape(frame_1217_shape_group_6_shape_4_horizontal_lines, 112, 1),
        shape(frame_1217_shape_group_6_shape_5_horizontal_lines, 113, 14),
        shape(frame_1217_shape_group_6_shape_6_horizontal_lines, 114, 1),
        shape(frame_1217_shape_group_6_shape_7_horizontal_lines, 120, 14),
        shape(frame_1217_shape_group_6_shape_8_horizontal_lines, 121, 2),
        shape(frame_1217_shape_group_6_shape_9_horizontal_lines, 122, 14),
        shape(frame_1217_shape_group_6_shape_10_horizontal_lines, 123, 1),
        shape(frame_1217_shape_group_6_shape_11_horizontal_lines, 124, 14),
        shape(frame_1217_shape_group_6_shape_12_horizontal_lines, 127, 2),
        shape(frame_1217_shape_group_6_shape_13_horizontal_lines, 134, 2),
        shape(frame_1217_shape_group_6_shape_14_horizontal_lines, 137, 2),
        shape(frame_1217_shape_group_6_shape_15_horizontal_lines, 150, 2),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(221, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(1, 37),
        horizontal_line(11, 38),
        horizontal_line(22, 39),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(141, 184),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(132, 140),
        horizontal_line(129, 140),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(184, 239),
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(142, 183),
        horizontal_line(152, 183),
        horizontal_line(163, 183),
        horizontal_line(173, 183),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(57, 61),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(105, 109),
        horizontal_line(123, 164),
        horizontal_line(123, 163),
        horizontal_line(122, 163),
    };

    constexpr const shape frame_1217_shape_group_7_shapes[] = {
        shape(frame_1217_shape_group_7_shape_0_horizontal_lines, 95, 3),
        shape(frame_1217_shape_group_7_shape_1_horizontal_lines, 96, 1),
        shape(frame_1217_shape_group_7_shape_2_horizontal_lines, 99, 3),
        shape(frame_1217_shape_group_7_shape_3_horizontal_lines, 103, 1),
        shape(frame_1217_shape_group_7_shape_4_horizontal_lines, 104, 14),
        shape(frame_1217_shape_group_7_shape_5_horizontal_lines, 113, 2),
        shape(frame_1217_shape_group_7_shape_6_horizontal_lines, 114, 1),
        shape(frame_1217_shape_group_7_shape_7_horizontal_lines, 118, 14),
        shape(frame_1217_shape_group_7_shape_8_horizontal_lines, 120, 2),
        shape(frame_1217_shape_group_7_shape_9_horizontal_lines, 123, 14),
        shape(frame_1217_shape_group_7_shape_10_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(32, 40),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(56, 58),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(114, 114),
        horizontal_line(113, 114),
        horizontal_line(112, 114),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(57, 61),
        horizontal_line(110, 113),
        horizontal_line(58, 61),
        horizontal_line(0, 42),
        horizontal_line(107, 111),
        horizontal_line(107, 110),
        horizontal_line(106, 110),
        horizontal_line(124, 164),
    };

    constexpr const shape frame_1217_shape_group_8_shapes[] = {
        shape(frame_1217_shape_group_8_shape_0_horizontal_lines, 96, 3),
        shape(frame_1217_shape_group_8_shape_1_horizontal_lines, 99, 14),
        shape(frame_1217_shape_group_8_shape_2_horizontal_lines, 103, 3),
        shape(frame_1217_shape_group_8_shape_3_horizontal_lines, 104, 14),
        shape(frame_1217_shape_group_8_shape_4_horizontal_lines, 111, 2),
        shape(frame_1217_shape_group_8_shape_5_horizontal_lines, 112, 14),
        shape(frame_1217_shape_group_8_shape_6_horizontal_lines, 113, 2),
        shape(frame_1217_shape_group_8_shape_7_horizontal_lines, 114, 14),
        shape(frame_1217_shape_group_8_shape_8_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1217_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(185, 202),
        horizontal_line(185, 220),
        horizontal_line(185, 238),
    };

    constexpr const horizontal_line frame_1217_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1217_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_1217_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(56, 56),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1217_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(125, 131),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(112, 113),
        horizontal_line(127, 148),
        horizontal_line(109, 112),
        horizontal_line(108, 112),
        horizontal_line(126, 162),
        horizontal_line(125, 166),
        horizontal_line(124, 165),
    };

    constexpr const shape frame_1217_shape_group_9_shapes[] = {
        shape(frame_1217_shape_group_9_shape_0_horizontal_lines, 96, 14),
        shape(frame_1217_shape_group_9_shape_1_horizontal_lines, 100, 2),
        shape(frame_1217_shape_group_9_shape_2_horizontal_lines, 102, 14),
        shape(frame_1217_shape_group_9_shape_3_horizontal_lines, 104, 2),
        shape(frame_1217_shape_group_9_shape_4_horizontal_lines, 114, 14),
        shape(frame_1217_shape_group_9_shape_5_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1217_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1217_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(56, 57),
    };

    constexpr const horizontal_line frame_1217_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1217_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1217_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(57, 60),
        horizontal_line(57, 60),
        horizontal_line(128, 143),
    };

    constexpr const horizontal_line frame_1217_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(127, 153),
        horizontal_line(126, 157),
    };

    constexpr const shape frame_1217_shape_group_10_shapes[] = {
        shape(frame_1217_shape_group_10_shape_0_horizontal_lines, 102, 2),
        shape(frame_1217_shape_group_10_shape_1_horizontal_lines, 103, 14),
        shape(frame_1217_shape_group_10_shape_2_horizontal_lines, 112, 2),
        shape(frame_1217_shape_group_10_shape_3_horizontal_lines, 114, 2),
        shape(frame_1217_shape_group_10_shape_4_horizontal_lines, 115, 14),
        shape(frame_1217_shape_group_10_shape_5_horizontal_lines, 116, 2),
        shape(frame_1217_shape_group_10_shape_6_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1217_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1217_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(56, 59),
        horizontal_line(0, 43),
        horizontal_line(57, 60),
        horizontal_line(57, 60),
        horizontal_line(129, 134),
        horizontal_line(114, 114),
    };

    constexpr const shape frame_1217_shape_group_11_shapes[] = {
        shape(frame_1217_shape_group_11_shape_0_horizontal_lines, 103, 2),
        shape(frame_1217_shape_group_11_shape_1_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1217_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(56, 60),
    };

    constexpr const horizontal_line frame_1217_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_1217_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(128, 139),
    };

    constexpr const shape frame_1217_shape_group_12_shapes[] = {
        shape(frame_1217_shape_group_12_shape_0_horizontal_lines, 115, 2),
        shape(frame_1217_shape_group_12_shape_1_horizontal_lines, 117, 2),
        shape(frame_1217_shape_group_12_shape_2_horizontal_lines, 119, 2),
    };

    constexpr const shape_group frame_1217_shape_groups[] = {
        shape_group(frame_1217_shape_group_0_shapes),
        shape_group(frame_1217_shape_group_1_shapes),
        shape_group(frame_1217_shape_group_2_shapes),
        shape_group(frame_1217_shape_group_3_shapes),
        shape_group(frame_1217_shape_group_4_shapes),
        shape_group(frame_1217_shape_group_5_shapes),
        shape_group(frame_1217_shape_group_6_shapes),
        shape_group(frame_1217_shape_group_7_shapes),
        shape_group(frame_1217_shape_group_8_shapes),
        shape_group(frame_1217_shape_group_9_shapes),
        shape_group(frame_1217_shape_group_10_shapes),
        shape_group(frame_1217_shape_group_11_shapes),
        shape_group(frame_1217_shape_group_12_shapes),
    };

    constexpr const frame frame_1217_impl(frame_1217_colors, frame_1217_shape_groups);
} 

const frame& frame_1217()
{
    return frame_1217_impl;
}

namespace
{
    constexpr const bn::color frame_1218_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1218_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1218_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1218_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(34, 35),
        horizontal_line(35, 39),
        horizontal_line(36, 44),
        horizontal_line(37, 48),
        horizontal_line(38, 53),
        horizontal_line(39, 57),
        horizontal_line(40, 61),
        horizontal_line(41, 66),
        horizontal_line(42, 70),
        horizontal_line(43, 75),
        horizontal_line(44, 79),
        horizontal_line(45, 84),
        horizontal_line(46, 88),
        horizontal_line(47, 92),
        horizontal_line(48, 97),
        horizontal_line(49, 101),
        horizontal_line(50, 106),
        horizontal_line(51, 110),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(50, 61),
        horizontal_line(39, 62),
        horizontal_line(40, 62),
        horizontal_line(41, 63),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(44, 64),
        horizontal_line(45, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 68),
        horizontal_line(52, 60),
        horizontal_line(69, 77),
        horizontal_line(69, 82),
        horizontal_line(69, 87),
        horizontal_line(70, 93),
        horizontal_line(70, 98),
        horizontal_line(70, 103),
        horizontal_line(70, 108),
        horizontal_line(70, 114),
        horizontal_line(71, 113),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(70, 75),
        horizontal_line(70, 82),
        horizontal_line(70, 88),
        horizontal_line(70, 95),
        horizontal_line(70, 102),
        horizontal_line(70, 102),
        horizontal_line(70, 101),
        horizontal_line(70, 101),
        horizontal_line(70, 100),
        horizontal_line(70, 99),
        horizontal_line(63, 68),
        horizontal_line(63, 68),
        horizontal_line(66, 68),
        horizontal_line(162, 180),
        horizontal_line(166, 178),
        horizontal_line(170, 175),
    };

    constexpr const horizontal_line frame_1218_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(84, 101),
        horizontal_line(92, 111),
        horizontal_line(100, 114),
        horizontal_line(108, 117),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_1218_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1218_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 12),
        horizontal_line(0, 24),
        horizontal_line(0, 36),
        horizontal_line(0, 48),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1218_shape_group_0_shapes[] = {
        shape(frame_1218_shape_group_0_shape_0_horizontal_lines, 30, 4),
        shape(frame_1218_shape_group_0_shape_1_horizontal_lines, 50, 9),
        shape(frame_1218_shape_group_0_shape_2_horizontal_lines, 51, 4),
        shape(frame_1218_shape_group_0_shape_3_horizontal_lines, 127, 9),
        shape(frame_1218_shape_group_0_shape_4_horizontal_lines, 132, 8),
        shape(frame_1218_shape_group_0_shape_5_horizontal_lines, 144, 9),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(1, 42),
        horizontal_line(2, 43),
        horizontal_line(4, 44),
        horizontal_line(6, 45),
        horizontal_line(8, 46),
        horizontal_line(10, 47),
        horizontal_line(11, 48),
        horizontal_line(13, 49),
        horizontal_line(15, 50),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(115, 119),
        horizontal_line(116, 123),
        horizontal_line(117, 128),
        horizontal_line(118, 132),
        horizontal_line(119, 137),
        horizontal_line(120, 141),
        horizontal_line(121, 145),
        horizontal_line(122, 150),
        horizontal_line(123, 154),
        horizontal_line(124, 159),
        horizontal_line(65, 127),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(80, 142),
        horizontal_line(85, 147),
        horizontal_line(90, 152),
        horizontal_line(95, 152),
        horizontal_line(99, 149),
        horizontal_line(104, 145),
        horizontal_line(109, 142),
        horizontal_line(114, 139),
        horizontal_line(119, 135),
        horizontal_line(124, 132),
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(32, 68),
        horizontal_line(32, 52),
        horizontal_line(32, 52),
        horizontal_line(34, 51),
        horizontal_line(36, 51),
        horizontal_line(38, 51),
        horizontal_line(41, 50),
        horizontal_line(43, 50),
        horizontal_line(45, 49),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(77, 112),
        horizontal_line(85, 111),
        horizontal_line(92, 110),
        horizontal_line(100, 109),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(56, 60),
        horizontal_line(56, 60),
        horizontal_line(57, 69),
        horizontal_line(58, 60),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(139, 150),
        horizontal_line(136, 158),
        horizontal_line(134, 167),
        horizontal_line(138, 175),
        horizontal_line(142, 183),
        horizontal_line(146, 191),
        horizontal_line(78, 99),
        horizontal_line(88, 98),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(60, 74),
        horizontal_line(68, 83),
        horizontal_line(76, 92),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(30, 83),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(79, 124),
        horizontal_line(76, 125),
        horizontal_line(73, 126),
        horizontal_line(71, 128),
        horizontal_line(68, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(1, 63),
        horizontal_line(13, 75),
        horizontal_line(25, 87),
        horizontal_line(37, 99),
        horizontal_line(49, 111),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_1218_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 85),
        horizontal_line(62, 97),
        horizontal_line(62, 110),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1218_shape_group_1_shapes[] = {
        shape(frame_1218_shape_group_1_shape_0_horizontal_lines, 51, 9),
        shape(frame_1218_shape_group_1_shape_1_horizontal_lines, 69, 4),
        shape(frame_1218_shape_group_1_shape_2_horizontal_lines, 94, 9),
        shape(frame_1218_shape_group_1_shape_3_horizontal_lines, 103, 4),
        shape(frame_1218_shape_group_1_shape_4_horizontal_lines, 108, 9),
        shape(frame_1218_shape_group_1_shape_5_horizontal_lines, 114, 4),
        shape(frame_1218_shape_group_1_shape_6_horizontal_lines, 124, 9),
        shape(frame_1218_shape_group_1_shape_7_horizontal_lines, 127, 8),
        shape(frame_1218_shape_group_1_shape_8_horizontal_lines, 150, 9),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(17, 51),
        horizontal_line(19, 52),
        horizontal_line(20, 53),
        horizontal_line(22, 54),
        horizontal_line(24, 55),
        horizontal_line(26, 56),
        horizontal_line(28, 57),
        horizontal_line(29, 58),
        horizontal_line(31, 59),
        horizontal_line(33, 60),
        horizontal_line(35, 61),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(127, 163),
        horizontal_line(132, 168),
        horizontal_line(137, 165),
        horizontal_line(142, 162),
        horizontal_line(147, 159),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(36, 43),
        horizontal_line(36, 44),
        horizontal_line(35, 46),
        horizontal_line(35, 47),
        horizontal_line(34, 48),
        horizontal_line(34, 49),
        horizontal_line(33, 50),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(20, 31),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(54, 68),
        horizontal_line(55, 68),
        horizontal_line(56, 69),
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(58, 69),
        horizontal_line(59, 69),
        horizontal_line(60, 70),
        horizontal_line(47, 49),
        horizontal_line(59, 59),
        horizontal_line(58, 59),
        horizontal_line(58, 59),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(52, 56),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(41, 54),
        horizontal_line(41, 54),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(150, 188),
        horizontal_line(154, 185),
        horizontal_line(158, 183),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(38, 59),
        horizontal_line(35, 67),
        horizontal_line(33, 75),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(102, 105),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(89, 91),
        horizontal_line(87, 99),
        horizontal_line(84, 107),
        horizontal_line(81, 115),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(171, 184),
        horizontal_line(171, 187),
        horizontal_line(170, 189),
        horizontal_line(170, 191),
        horizontal_line(169, 193),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(127, 131),
        horizontal_line(125, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(63, 125),
        horizontal_line(75, 137),
        horizontal_line(87, 143),
        horizontal_line(99, 145),
        horizontal_line(111, 146),
        horizontal_line(124, 147),
        horizontal_line(74, 136),
        horizontal_line(86, 148),
        horizontal_line(98, 152),
        horizontal_line(111, 153),
        horizontal_line(123, 154),
    };

    constexpr const horizontal_line frame_1218_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(124, 146),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
    };

    constexpr const shape frame_1218_shape_group_2_shapes[] = {
        shape(frame_1218_shape_group_2_shape_0_horizontal_lines, 60, 8),
        shape(frame_1218_shape_group_2_shape_1_horizontal_lines, 69, 9),
        shape(frame_1218_shape_group_2_shape_2_horizontal_lines, 80, 4),
        shape(frame_1218_shape_group_2_shape_3_horizontal_lines, 86, 9),
        shape(frame_1218_shape_group_2_shape_4_horizontal_lines, 93, 4),
        shape(frame_1218_shape_group_2_shape_5_horizontal_lines, 94, 8),
        shape(frame_1218_shape_group_2_shape_6_horizontal_lines, 95, 9),
        shape(frame_1218_shape_group_2_shape_7_horizontal_lines, 108, 8),
        shape(frame_1218_shape_group_2_shape_8_horizontal_lines, 110, 1),
        shape(frame_1218_shape_group_2_shape_9_horizontal_lines, 112, 9),
        shape(frame_1218_shape_group_2_shape_10_horizontal_lines, 121, 4),
        shape(frame_1218_shape_group_2_shape_11_horizontal_lines, 124, 8),
        shape(frame_1218_shape_group_2_shape_12_horizontal_lines, 127, 1),
        shape(frame_1218_shape_group_2_shape_13_horizontal_lines, 128, 8),
        shape(frame_1218_shape_group_2_shape_14_horizontal_lines, 132, 1),
        shape(frame_1218_shape_group_2_shape_15_horizontal_lines, 137, 8),
        shape(frame_1218_shape_group_2_shape_16_horizontal_lines, 155, 9),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(37, 49),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(38, 39),
        horizontal_line(38, 40),
        horizontal_line(37, 41),
        horizontal_line(37, 42),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(5, 33),
        horizontal_line(10, 32),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(33, 51),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(25, 31),
        horizontal_line(31, 31),
        horizontal_line(33, 33),
        horizontal_line(34, 35),
        horizontal_line(35, 37),
        horizontal_line(36, 40),
        horizontal_line(37, 42),
        horizontal_line(38, 44),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(42, 58),
        horizontal_line(45, 57),
        horizontal_line(47, 57),
        horizontal_line(50, 56),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(41, 51),
        horizontal_line(41, 54),
        horizontal_line(107, 113),
        horizontal_line(106, 125),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(52, 65),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(97, 101),
        horizontal_line(97, 106),
        horizontal_line(111, 126),
        horizontal_line(112, 125),
        horizontal_line(115, 124),
        horizontal_line(118, 124),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(169, 195),
        horizontal_line(168, 197),
        horizontal_line(168, 200),
        horizontal_line(167, 202),
        horizontal_line(167, 204),
        horizontal_line(166, 206),
        horizontal_line(166, 208),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(137, 142),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(164, 215),
        horizontal_line(164, 217),
        horizontal_line(163, 219),
        horizontal_line(163, 221),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(136, 149),
        horizontal_line(148, 150),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(135, 156),
        horizontal_line(147, 157),
    };

    constexpr const horizontal_line frame_1218_shape_group_3_shape_22_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
    };

    constexpr const shape frame_1218_shape_group_3_shapes[] = {
        shape(frame_1218_shape_group_3_shape_0_horizontal_lines, 69, 8),
        shape(frame_1218_shape_group_3_shape_1_horizontal_lines, 80, 9),
        shape(frame_1218_shape_group_3_shape_2_horizontal_lines, 81, 8),
        shape(frame_1218_shape_group_3_shape_3_horizontal_lines, 82, 9),
        shape(frame_1218_shape_group_3_shape_4_horizontal_lines, 86, 8),
        shape(frame_1218_shape_group_3_shape_5_horizontal_lines, 93, 9),
        shape(frame_1218_shape_group_3_shape_6_horizontal_lines, 94, 1),
        shape(frame_1218_shape_group_3_shape_7_horizontal_lines, 95, 8),
        shape(frame_1218_shape_group_3_shape_8_horizontal_lines, 103, 9),
        shape(frame_1218_shape_group_3_shape_9_horizontal_lines, 104, 8),
        shape(frame_1218_shape_group_3_shape_10_horizontal_lines, 108, 1),
        shape(frame_1218_shape_group_3_shape_11_horizontal_lines, 112, 8),
        shape(frame_1218_shape_group_3_shape_12_horizontal_lines, 122, 9),
        shape(frame_1218_shape_group_3_shape_13_horizontal_lines, 124, 1),
        shape(frame_1218_shape_group_3_shape_14_horizontal_lines, 132, 14),
        shape(frame_1218_shape_group_3_shape_15_horizontal_lines, 135, 2),
        shape(frame_1218_shape_group_3_shape_16_horizontal_lines, 137, 1),
        shape(frame_1218_shape_group_3_shape_17_horizontal_lines, 144, 8),
        shape(frame_1218_shape_group_3_shape_18_horizontal_lines, 146, 1),
        shape(frame_1218_shape_group_3_shape_19_horizontal_lines, 150, 8),
        shape(frame_1218_shape_group_3_shape_20_horizontal_lines, 152, 1),
        shape(frame_1218_shape_group_3_shape_21_horizontal_lines, 155, 8),
        shape(frame_1218_shape_group_3_shape_22_horizontal_lines, 157, 1),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(210, 239),
        horizontal_line(200, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(61, 68),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(53, 54),
        horizontal_line(52, 55),
        horizontal_line(52, 56),
        horizontal_line(52, 56),
        horizontal_line(51, 57),
        horizontal_line(51, 58),
        horizontal_line(50, 59),
        horizontal_line(40, 46),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(40, 41),
        horizontal_line(40, 44),
        horizontal_line(40, 46),
        horizontal_line(40, 49),
        horizontal_line(108, 109),
        horizontal_line(107, 111),
        horizontal_line(118, 125),
        horizontal_line(142, 192),
        horizontal_line(41, 54),
        horizontal_line(42, 54),
        horizontal_line(42, 54),
        horizontal_line(42, 54),
        horizontal_line(42, 55),
        horizontal_line(42, 55),
        horizontal_line(43, 55),
        horizontal_line(43, 55),
        horizontal_line(43, 55),
        horizontal_line(43, 55),
        horizontal_line(44, 56),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(41, 51),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(106, 107),
        horizontal_line(105, 106),
        horizontal_line(112, 126),
        horizontal_line(174, 174),
        horizontal_line(173, 176),
        horizontal_line(173, 178),
        horizontal_line(172, 180),
        horizontal_line(172, 182),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(129, 169),
        horizontal_line(130, 168),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(134, 167),
        horizontal_line(136, 166),
        horizontal_line(137, 166),
        horizontal_line(139, 165),
        horizontal_line(140, 165),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(165, 210),
        horizontal_line(165, 213),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(144, 163),
        horizontal_line(146, 163),
        horizontal_line(147, 162),
        horizontal_line(148, 162),
    };

    constexpr const horizontal_line frame_1218_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(162, 223),
        horizontal_line(162, 224),
        horizontal_line(223, 228),
        horizontal_line(223, 230),
        horizontal_line(222, 232),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_1218_shape_group_4_shapes[] = {
        shape(frame_1218_shape_group_4_shape_0_horizontal_lines, 75, 1),
        shape(frame_1218_shape_group_4_shape_1_horizontal_lines, 80, 8),
        shape(frame_1218_shape_group_4_shape_2_horizontal_lines, 81, 1),
        shape(frame_1218_shape_group_4_shape_3_horizontal_lines, 82, 8),
        shape(frame_1218_shape_group_4_shape_4_horizontal_lines, 86, 1),
        shape(frame_1218_shape_group_4_shape_5_horizontal_lines, 93, 9),
        shape(frame_1218_shape_group_4_shape_6_horizontal_lines, 94, 1),
        shape(frame_1218_shape_group_4_shape_7_horizontal_lines, 95, 8),
        shape(frame_1218_shape_group_4_shape_8_horizontal_lines, 104, 1),
        shape(frame_1218_shape_group_4_shape_9_horizontal_lines, 123, 8),
        shape(frame_1218_shape_group_4_shape_10_horizontal_lines, 124, 1),
        shape(frame_1218_shape_group_4_shape_11_horizontal_lines, 132, 2),
        shape(frame_1218_shape_group_4_shape_12_horizontal_lines, 144, 1),
        shape(frame_1218_shape_group_4_shape_13_horizontal_lines, 146, 2),
        shape(frame_1218_shape_group_4_shape_14_horizontal_lines, 150, 1),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(232, 239),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(15, 32),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(126, 132),
        horizontal_line(124, 134),
        horizontal_line(123, 136),
        horizontal_line(121, 138),
        horizontal_line(119, 140),
        horizontal_line(117, 179),
        horizontal_line(116, 141),
        horizontal_line(117, 138),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(50, 58),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(121, 132),
        horizontal_line(123, 129),
        horizontal_line(126, 126),
        horizontal_line(124, 125),
        horizontal_line(122, 125),
        horizontal_line(120, 125),
        horizontal_line(142, 192),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(126, 141),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(105, 125),
        horizontal_line(105, 114),
        horizontal_line(104, 113),
        horizontal_line(104, 112),
        horizontal_line(105, 111),
        horizontal_line(107, 110),
        horizontal_line(60, 60),
        horizontal_line(116, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 129),
        horizontal_line(61, 61),
        horizontal_line(107, 107),
        horizontal_line(113, 127),
        horizontal_line(112, 127),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(125, 170),
        horizontal_line(126, 170),
        horizontal_line(127, 169),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(132, 168),
        horizontal_line(133, 167),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(141, 164),
        horizontal_line(143, 164),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(150, 161),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(224, 226),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(153, 160),
        horizontal_line(154, 160),
        horizontal_line(155, 159),
    };

    constexpr const horizontal_line frame_1218_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(222, 234),
        horizontal_line(221, 236),
    };

    constexpr const shape frame_1218_shape_group_5_shapes[] = {
        shape(frame_1218_shape_group_5_shape_0_horizontal_lines, 80, 1),
        shape(frame_1218_shape_group_5_shape_1_horizontal_lines, 91, 3),
        shape(frame_1218_shape_group_5_shape_2_horizontal_lines, 93, 8),
        shape(frame_1218_shape_group_5_shape_3_horizontal_lines, 94, 3),
        shape(frame_1218_shape_group_5_shape_4_horizontal_lines, 95, 1),
        shape(frame_1218_shape_group_5_shape_5_horizontal_lines, 103, 8),
        shape(frame_1218_shape_group_5_shape_6_horizontal_lines, 104, 1),
        shape(frame_1218_shape_group_5_shape_7_horizontal_lines, 111, 14),
        shape(frame_1218_shape_group_5_shape_8_horizontal_lines, 112, 1),
        shape(frame_1218_shape_group_5_shape_9_horizontal_lines, 126, 14),
        shape(frame_1218_shape_group_5_shape_10_horizontal_lines, 132, 2),
        shape(frame_1218_shape_group_5_shape_11_horizontal_lines, 137, 2),
        shape(frame_1218_shape_group_5_shape_12_horizontal_lines, 144, 2),
        shape(frame_1218_shape_group_5_shape_13_horizontal_lines, 150, 2),
        shape(frame_1218_shape_group_5_shape_14_horizontal_lines, 151, 1),
        shape(frame_1218_shape_group_5_shape_15_horizontal_lines, 152, 2),
        shape(frame_1218_shape_group_5_shape_16_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(185, 193),
        horizontal_line(177, 193),
        horizontal_line(169, 193),
        horizontal_line(160, 193),
        horizontal_line(152, 193),
        horizontal_line(179, 193),
        horizontal_line(143, 193),
        horizontal_line(143, 193),
        horizontal_line(119, 135),
        horizontal_line(143, 193),
        horizontal_line(143, 193),
        horizontal_line(143, 193),
        horizontal_line(143, 193),
        horizontal_line(142, 192),
        horizontal_line(142, 192),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(126, 141),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(142, 192),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 121),
        horizontal_line(116, 118),
        horizontal_line(110, 110),
        horizontal_line(184, 192),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(114, 128),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(151, 161),
    };

    constexpr const horizontal_line frame_1218_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(157, 159),
        horizontal_line(158, 158),
    };

    constexpr const shape frame_1218_shape_group_6_shapes[] = {
        shape(frame_1218_shape_group_6_shape_0_horizontal_lines, 82, 1),
        shape(frame_1218_shape_group_6_shape_1_horizontal_lines, 93, 1),
        shape(frame_1218_shape_group_6_shape_2_horizontal_lines, 95, 1),
        shape(frame_1218_shape_group_6_shape_3_horizontal_lines, 110, 14),
        shape(frame_1218_shape_group_6_shape_4_horizontal_lines, 112, 1),
        shape(frame_1218_shape_group_6_shape_5_horizontal_lines, 120, 14),
        shape(frame_1218_shape_group_6_shape_6_horizontal_lines, 122, 1),
        shape(frame_1218_shape_group_6_shape_7_horizontal_lines, 124, 14),
        shape(frame_1218_shape_group_6_shape_8_horizontal_lines, 126, 2),
        shape(frame_1218_shape_group_6_shape_9_horizontal_lines, 151, 2),
        shape(frame_1218_shape_group_6_shape_10_horizontal_lines, 155, 2),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(216, 239),
        horizontal_line(227, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(1, 36),
        horizontal_line(20, 37),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(143, 193),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(133, 142),
        horizontal_line(130, 142),
        horizontal_line(127, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(126, 141),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(142, 192),
        horizontal_line(143, 192),
        horizontal_line(151, 192),
        horizontal_line(159, 192),
        horizontal_line(168, 192),
        horizontal_line(116, 131),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(111, 113),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(114, 129),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(107, 111),
        horizontal_line(106, 110),
        horizontal_line(126, 172),
        horizontal_line(125, 172),
        horizontal_line(125, 171),
        horizontal_line(124, 171),
    };

    constexpr const shape frame_1218_shape_group_7_shapes[] = {
        shape(frame_1218_shape_group_7_shape_0_horizontal_lines, 93, 3),
        shape(frame_1218_shape_group_7_shape_1_horizontal_lines, 95, 1),
        shape(frame_1218_shape_group_7_shape_2_horizontal_lines, 99, 3),
        shape(frame_1218_shape_group_7_shape_3_horizontal_lines, 103, 1),
        shape(frame_1218_shape_group_7_shape_4_horizontal_lines, 104, 14),
        shape(frame_1218_shape_group_7_shape_5_horizontal_lines, 111, 2),
        shape(frame_1218_shape_group_7_shape_6_horizontal_lines, 112, 14),
        shape(frame_1218_shape_group_7_shape_7_horizontal_lines, 113, 1),
        shape(frame_1218_shape_group_7_shape_8_horizontal_lines, 119, 14),
        shape(frame_1218_shape_group_7_shape_9_horizontal_lines, 121, 2),
        shape(frame_1218_shape_group_7_shape_10_horizontal_lines, 122, 1),
        shape(frame_1218_shape_group_7_shape_11_horizontal_lines, 123, 14),
        shape(frame_1218_shape_group_7_shape_12_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(142, 142),
        horizontal_line(139, 142),
        horizontal_line(136, 142),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(55, 56),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(115, 115),
        horizontal_line(114, 115),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(176, 192),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(56, 60),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(108, 112),
        horizontal_line(107, 111),
        horizontal_line(127, 169),
        horizontal_line(127, 173),
    };

    constexpr const shape frame_1218_shape_group_8_shapes[] = {
        shape(frame_1218_shape_group_8_shape_0_horizontal_lines, 95, 3),
        shape(frame_1218_shape_group_8_shape_1_horizontal_lines, 99, 14),
        shape(frame_1218_shape_group_8_shape_2_horizontal_lines, 110, 2),
        shape(frame_1218_shape_group_8_shape_3_horizontal_lines, 112, 14),
        shape(frame_1218_shape_group_8_shape_4_horizontal_lines, 118, 1),
        shape(frame_1218_shape_group_8_shape_5_horizontal_lines, 119, 14),
        shape(frame_1218_shape_group_8_shape_6_horizontal_lines, 120, 2),
        shape(frame_1218_shape_group_8_shape_7_horizontal_lines, 122, 14),
        shape(frame_1218_shape_group_8_shape_8_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1218_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(194, 204),
        horizontal_line(194, 215),
        horizontal_line(194, 226),
        horizontal_line(194, 238),
    };

    constexpr const horizontal_line frame_1218_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1218_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1218_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_1218_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(56, 60),
        horizontal_line(110, 114),
        horizontal_line(0, 43),
        horizontal_line(108, 113),
        horizontal_line(128, 161),
        horizontal_line(128, 165),
    };

    constexpr const shape frame_1218_shape_group_9_shapes[] = {
        shape(frame_1218_shape_group_9_shape_0_horizontal_lines, 95, 14),
        shape(frame_1218_shape_group_9_shape_1_horizontal_lines, 101, 14),
        shape(frame_1218_shape_group_9_shape_2_horizontal_lines, 104, 2),
        shape(frame_1218_shape_group_9_shape_3_horizontal_lines, 112, 2),
        shape(frame_1218_shape_group_9_shape_4_horizontal_lines, 113, 14),
        shape(frame_1218_shape_group_9_shape_5_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1218_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 19),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1218_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(55, 57),
    };

    constexpr const horizontal_line frame_1218_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1218_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1218_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(56, 60),
        horizontal_line(112, 114),
        horizontal_line(130, 149),
        horizontal_line(57, 60),
        horizontal_line(129, 157),
    };

    constexpr const shape frame_1218_shape_group_10_shapes[] = {
        shape(frame_1218_shape_group_10_shape_0_horizontal_lines, 101, 2),
        shape(frame_1218_shape_group_10_shape_1_horizontal_lines, 112, 2),
        shape(frame_1218_shape_group_10_shape_2_horizontal_lines, 113, 14),
        shape(frame_1218_shape_group_10_shape_3_horizontal_lines, 115, 2),
        shape(frame_1218_shape_group_10_shape_4_horizontal_lines, 118, 14),
        shape(frame_1218_shape_group_10_shape_5_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1218_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(55, 59),
        horizontal_line(56, 59),
        horizontal_line(56, 59),
        horizontal_line(0, 42),
        horizontal_line(114, 115),
        horizontal_line(131, 145),
    };

    constexpr const horizontal_line frame_1218_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(109, 113),
    };

    constexpr const shape frame_1218_shape_group_11_shapes[] = {
        shape(frame_1218_shape_group_11_shape_0_horizontal_lines, 113, 2),
        shape(frame_1218_shape_group_11_shape_1_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1218_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(55, 58),
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_1218_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(56, 59),
        horizontal_line(131, 141),
    };

    constexpr const horizontal_line frame_1218_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(130, 153),
    };

    constexpr const shape frame_1218_shape_group_12_shapes[] = {
        shape(frame_1218_shape_group_12_shape_0_horizontal_lines, 113, 2),
        shape(frame_1218_shape_group_12_shape_1_horizontal_lines, 117, 2),
        shape(frame_1218_shape_group_12_shape_2_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1218_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(132, 137),
    };

    constexpr const shape frame_1218_shape_group_13_shapes[] = {
        shape(frame_1218_shape_group_13_shape_0_horizontal_lines, 118, 2),
    };

    constexpr const shape_group frame_1218_shape_groups[] = {
        shape_group(frame_1218_shape_group_0_shapes),
        shape_group(frame_1218_shape_group_1_shapes),
        shape_group(frame_1218_shape_group_2_shapes),
        shape_group(frame_1218_shape_group_3_shapes),
        shape_group(frame_1218_shape_group_4_shapes),
        shape_group(frame_1218_shape_group_5_shapes),
        shape_group(frame_1218_shape_group_6_shapes),
        shape_group(frame_1218_shape_group_7_shapes),
        shape_group(frame_1218_shape_group_8_shapes),
        shape_group(frame_1218_shape_group_9_shapes),
        shape_group(frame_1218_shape_group_10_shapes),
        shape_group(frame_1218_shape_group_11_shapes),
        shape_group(frame_1218_shape_group_12_shapes),
        shape_group(frame_1218_shape_group_13_shapes),
    };

    constexpr const frame frame_1218_impl(frame_1218_colors, frame_1218_shape_groups);
} 

const frame& frame_1218()
{
    return frame_1218_impl;
}

namespace
{
    constexpr const bn::color frame_1219_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1219_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1219_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1219_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(26, 30),
        horizontal_line(27, 34),
        horizontal_line(28, 39),
        horizontal_line(29, 43),
        horizontal_line(30, 47),
        horizontal_line(31, 51),
        horizontal_line(32, 56),
        horizontal_line(33, 60),
        horizontal_line(34, 64),
        horizontal_line(35, 69),
        horizontal_line(36, 73),
        horizontal_line(37, 77),
        horizontal_line(38, 81),
        horizontal_line(39, 86),
        horizontal_line(40, 90),
        horizontal_line(41, 94),
        horizontal_line(42, 99),
        horizontal_line(43, 103),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(38, 59),
        horizontal_line(39, 60),
        horizontal_line(40, 61),
        horizontal_line(41, 61),
        horizontal_line(42, 62),
        horizontal_line(43, 63),
        horizontal_line(45, 63),
        horizontal_line(46, 64),
        horizontal_line(47, 65),
        horizontal_line(48, 65),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 68),
        horizontal_line(69, 73),
        horizontal_line(69, 79),
        horizontal_line(69, 85),
        horizontal_line(69, 91),
        horizontal_line(70, 97),
        horizontal_line(70, 103),
        horizontal_line(70, 109),
        horizontal_line(70, 116),
        horizontal_line(71, 115),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(71, 75),
        horizontal_line(71, 82),
        horizontal_line(71, 88),
        horizontal_line(71, 95),
        horizontal_line(71, 102),
        horizontal_line(71, 102),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
        horizontal_line(71, 100),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(64, 69),
        horizontal_line(159, 198),
        horizontal_line(162, 196),
        horizontal_line(166, 194),
        horizontal_line(170, 192),
        horizontal_line(174, 190),
        horizontal_line(178, 188),
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_1219_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(103, 117),
        horizontal_line(111, 120),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_1219_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1219_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 25),
        horizontal_line(0, 38),
        horizontal_line(0, 51),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1219_shape_group_0_shapes[] = {
        shape(frame_1219_shape_group_0_shape_0_horizontal_lines, 28, 4),
        shape(frame_1219_shape_group_0_shape_1_horizontal_lines, 42, 9),
        shape(frame_1219_shape_group_0_shape_2_horizontal_lines, 43, 4),
        shape(frame_1219_shape_group_0_shape_3_horizontal_lines, 130, 9),
        shape(frame_1219_shape_group_0_shape_4_horizontal_lines, 133, 8),
        shape(frame_1219_shape_group_0_shape_5_horizontal_lines, 152, 9),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(1, 41),
        horizontal_line(3, 42),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(106, 107),
        horizontal_line(107, 111),
        horizontal_line(108, 116),
        horizontal_line(109, 120),
        horizontal_line(110, 124),
        horizontal_line(111, 128),
        horizontal_line(112, 133),
        horizontal_line(113, 137),
        horizontal_line(114, 141),
        horizontal_line(115, 146),
        horizontal_line(116, 150),
        horizontal_line(117, 154),
        horizontal_line(118, 158),
        horizontal_line(119, 163),
        horizontal_line(120, 167),
        horizontal_line(121, 171),
        horizontal_line(122, 176),
        horizontal_line(64, 126),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(81, 143),
        horizontal_line(87, 149),
        horizontal_line(92, 154),
        horizontal_line(98, 152),
        horizontal_line(103, 149),
        horizontal_line(109, 145),
        horizontal_line(115, 142),
        horizontal_line(120, 138),
        horizontal_line(126, 135),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(29, 68),
        horizontal_line(28, 51),
        horizontal_line(28, 51),
        horizontal_line(30, 50),
        horizontal_line(33, 50),
        horizontal_line(35, 49),
        horizontal_line(38, 49),
        horizontal_line(40, 48),
        horizontal_line(43, 48),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(76, 114),
        horizontal_line(83, 113),
        horizontal_line(89, 112),
        horizontal_line(96, 111),
        horizontal_line(102, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(56, 60),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 70),
        horizontal_line(57, 60),
        horizontal_line(58, 59),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(142, 153),
        horizontal_line(138, 160),
        horizontal_line(136, 167),
        horizontal_line(139, 174),
        horizontal_line(77, 99),
        horizontal_line(84, 99),
        horizontal_line(91, 98),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(48, 71),
        horizontal_line(56, 79),
        horizontal_line(64, 87),
        horizontal_line(72, 95),
        horizontal_line(80, 103),
        horizontal_line(87, 112),
        horizontal_line(95, 114),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(77, 126),
        horizontal_line(74, 127),
        horizontal_line(72, 128),
        horizontal_line(70, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(13, 75),
        horizontal_line(26, 88),
        horizontal_line(39, 101),
        horizontal_line(52, 114),
    };

    constexpr const horizontal_line frame_1219_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 77),
        horizontal_line(62, 90),
        horizontal_line(62, 103),
    };

    constexpr const shape frame_1219_shape_group_1_shapes[] = {
        shape(frame_1219_shape_group_1_shape_0_horizontal_lines, 43, 9),
        shape(frame_1219_shape_group_1_shape_1_horizontal_lines, 62, 4),
        shape(frame_1219_shape_group_1_shape_2_horizontal_lines, 92, 9),
        shape(frame_1219_shape_group_1_shape_3_horizontal_lines, 101, 4),
        shape(frame_1219_shape_group_1_shape_4_horizontal_lines, 107, 9),
        shape(frame_1219_shape_group_1_shape_5_horizontal_lines, 114, 4),
        shape(frame_1219_shape_group_1_shape_6_horizontal_lines, 123, 9),
        shape(frame_1219_shape_group_1_shape_7_horizontal_lines, 130, 8),
        shape(frame_1219_shape_group_1_shape_8_horizontal_lines, 156, 9),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(5, 43),
        horizontal_line(7, 44),
        horizontal_line(9, 45),
        horizontal_line(11, 46),
        horizontal_line(13, 47),
        horizontal_line(15, 48),
        horizontal_line(17, 49),
        horizontal_line(19, 50),
        horizontal_line(21, 51),
        horizontal_line(23, 52),
        horizontal_line(25, 53),
        horizontal_line(27, 54),
        horizontal_line(29, 55),
        horizontal_line(31, 56),
        horizontal_line(33, 57),
        horizontal_line(35, 58),
        horizontal_line(37, 59),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(126, 173),
        horizontal_line(132, 170),
        horizontal_line(137, 166),
        horizontal_line(143, 163),
        horizontal_line(149, 159),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(33, 44),
        horizontal_line(32, 45),
        horizontal_line(31, 46),
        horizontal_line(31, 47),
        horizontal_line(30, 48),
        horizontal_line(30, 49),
        horizontal_line(29, 50),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(13, 28),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(53, 68),
        horizontal_line(54, 68),
        horizontal_line(55, 68),
        horizontal_line(55, 69),
        horizontal_line(56, 69),
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(58, 70),
        horizontal_line(45, 47),
        horizontal_line(58, 58),
        horizontal_line(58, 58),
        horizontal_line(57, 59),
        horizontal_line(57, 59),
        horizontal_line(56, 59),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(54, 55),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(39, 53),
        horizontal_line(39, 53),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(143, 181),
        horizontal_line(147, 188),
        horizontal_line(151, 195),
        horizontal_line(155, 201),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(38, 47),
        horizontal_line(36, 55),
        horizontal_line(33, 63),
        horizontal_line(31, 71),
        horizontal_line(29, 79),
        horizontal_line(26, 86),
        horizontal_line(24, 86),
        horizontal_line(84, 102),
        horizontal_line(81, 110),
        horizontal_line(79, 118),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(183, 191),
        horizontal_line(182, 193),
        horizontal_line(182, 195),
        horizontal_line(181, 197),
    };

    constexpr const horizontal_line frame_1219_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(127, 132),
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 150),
        horizontal_line(75, 137),
        horizontal_line(88, 150),
        horizontal_line(101, 154),
        horizontal_line(114, 155),
        horizontal_line(65, 127),
        horizontal_line(78, 140),
        horizontal_line(91, 153),
        horizontal_line(104, 161),
    };

    constexpr const shape frame_1219_shape_group_2_shapes[] = {
        shape(frame_1219_shape_group_2_shape_0_horizontal_lines, 60, 8),
        shape(frame_1219_shape_group_2_shape_1_horizontal_lines, 62, 9),
        shape(frame_1219_shape_group_2_shape_2_horizontal_lines, 79, 4),
        shape(frame_1219_shape_group_2_shape_3_horizontal_lines, 85, 9),
        shape(frame_1219_shape_group_2_shape_4_horizontal_lines, 92, 8),
        shape(frame_1219_shape_group_2_shape_5_horizontal_lines, 93, 9),
        shape(frame_1219_shape_group_2_shape_6_horizontal_lines, 107, 8),
        shape(frame_1219_shape_group_2_shape_7_horizontal_lines, 109, 1),
        shape(frame_1219_shape_group_2_shape_8_horizontal_lines, 111, 9),
        shape(frame_1219_shape_group_2_shape_9_horizontal_lines, 119, 4),
        shape(frame_1219_shape_group_2_shape_10_horizontal_lines, 123, 8),
        shape(frame_1219_shape_group_2_shape_11_horizontal_lines, 133, 1),
        shape(frame_1219_shape_group_2_shape_12_horizontal_lines, 137, 8),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(36, 37),
        horizontal_line(35, 38),
        horizontal_line(35, 39),
        horizontal_line(34, 40),
        horizontal_line(34, 41),
        horizontal_line(33, 42),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(6, 28),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(20, 27),
        horizontal_line(27, 27),
        horizontal_line(29, 29),
        horizontal_line(30, 32),
        horizontal_line(31, 34),
        horizontal_line(33, 37),
        horizontal_line(34, 39),
        horizontal_line(35, 42),
        horizontal_line(36, 44),
        horizontal_line(38, 57),
        horizontal_line(41, 57),
        horizontal_line(44, 56),
        horizontal_line(47, 56),
        horizontal_line(50, 55),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(38, 53),
        horizontal_line(38, 53),
        horizontal_line(107, 114),
        horizontal_line(107, 127),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(41, 63),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(98, 101),
        horizontal_line(97, 104),
        horizontal_line(97, 103),
        horizontal_line(104, 105),
        horizontal_line(113, 127),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(86, 94),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(118, 126),
        horizontal_line(121, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(181, 200),
        horizontal_line(180, 202),
        horizontal_line(180, 204),
        horizontal_line(179, 206),
        horizontal_line(179, 208),
        horizontal_line(178, 210),
        horizontal_line(178, 213),
        horizontal_line(177, 215),
        horizontal_line(177, 217),
        horizontal_line(176, 219),
        horizontal_line(176, 221),
        horizontal_line(175, 223),
        horizontal_line(175, 226),
        horizontal_line(174, 228),
        horizontal_line(174, 230),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(137, 151),
        horizontal_line(150, 152),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(127, 156),
        horizontal_line(140, 158),
        horizontal_line(153, 159),
    };

    constexpr const horizontal_line frame_1219_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(170, 232),
    };

    constexpr const shape frame_1219_shape_group_3_shapes[] = {
        shape(frame_1219_shape_group_3_shape_0_horizontal_lines, 62, 8),
        shape(frame_1219_shape_group_3_shape_1_horizontal_lines, 79, 9),
        shape(frame_1219_shape_group_3_shape_2_horizontal_lines, 85, 8),
        shape(frame_1219_shape_group_3_shape_3_horizontal_lines, 92, 1),
        shape(frame_1219_shape_group_3_shape_4_horizontal_lines, 93, 8),
        shape(frame_1219_shape_group_3_shape_5_horizontal_lines, 107, 1),
        shape(frame_1219_shape_group_3_shape_6_horizontal_lines, 111, 8),
        shape(frame_1219_shape_group_3_shape_7_horizontal_lines, 120, 9),
        shape(frame_1219_shape_group_3_shape_8_horizontal_lines, 123, 1),
        shape(frame_1219_shape_group_3_shape_9_horizontal_lines, 129, 8),
        shape(frame_1219_shape_group_3_shape_10_horizontal_lines, 130, 1),
        shape(frame_1219_shape_group_3_shape_11_horizontal_lines, 133, 14),
        shape(frame_1219_shape_group_3_shape_12_horizontal_lines, 134, 2),
        shape(frame_1219_shape_group_3_shape_13_horizontal_lines, 137, 1),
        shape(frame_1219_shape_group_3_shape_14_horizontal_lines, 152, 8),
        shape(frame_1219_shape_group_3_shape_15_horizontal_lines, 154, 1),
        shape(frame_1219_shape_group_3_shape_16_horizontal_lines, 156, 8),
        shape(frame_1219_shape_group_3_shape_17_horizontal_lines, 159, 1),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(215, 239),
        horizontal_line(202, 239),
        horizontal_line(190, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(51, 54),
        horizontal_line(51, 54),
        horizontal_line(50, 55),
        horizontal_line(50, 56),
        horizontal_line(49, 56),
        horizontal_line(49, 57),
        horizontal_line(48, 58),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(122, 137),
        horizontal_line(38, 40),
        horizontal_line(38, 43),
        horizontal_line(38, 46),
        horizontal_line(38, 49),
        horizontal_line(109, 110),
        horizontal_line(108, 112),
        horizontal_line(120, 127),
        horizontal_line(146, 202),
        horizontal_line(39, 53),
        horizontal_line(39, 53),
        horizontal_line(39, 53),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 55),
        horizontal_line(115, 131),
        horizontal_line(108, 108),
        horizontal_line(107, 107),
        horizontal_line(106, 106),
        horizontal_line(105, 106),
        horizontal_line(112, 128),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(115, 127),
        horizontal_line(185, 185),
        horizontal_line(184, 187),
        horizontal_line(183, 189),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(128, 181),
        horizontal_line(129, 181),
        horizontal_line(131, 180),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(136, 178),
        horizontal_line(137, 178),
        horizontal_line(139, 177),
        horizontal_line(140, 177),
        horizontal_line(141, 176),
        horizontal_line(143, 176),
        horizontal_line(144, 175),
        horizontal_line(145, 175),
        horizontal_line(147, 174),
        horizontal_line(148, 174),
        horizontal_line(149, 173),
        horizontal_line(151, 173),
    };

    constexpr const horizontal_line frame_1219_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(173, 232),
        horizontal_line(173, 234),
        horizontal_line(234, 236),
        horizontal_line(234, 239),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_1219_shape_group_4_shapes[] = {
        shape(frame_1219_shape_group_4_shape_0_horizontal_lines, 74, 1),
        shape(frame_1219_shape_group_4_shape_1_horizontal_lines, 79, 8),
        shape(frame_1219_shape_group_4_shape_2_horizontal_lines, 85, 1),
        shape(frame_1219_shape_group_4_shape_3_horizontal_lines, 93, 8),
        shape(frame_1219_shape_group_4_shape_4_horizontal_lines, 102, 1),
        shape(frame_1219_shape_group_4_shape_5_horizontal_lines, 128, 14),
        shape(frame_1219_shape_group_4_shape_6_horizontal_lines, 129, 1),
        shape(frame_1219_shape_group_4_shape_7_horizontal_lines, 133, 2),
        shape(frame_1219_shape_group_4_shape_8_horizontal_lines, 152, 1),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(129, 134),
        horizontal_line(127, 136),
        horizontal_line(125, 138),
        horizontal_line(123, 140),
        horizontal_line(121, 142),
        horizontal_line(119, 144),
        horizontal_line(118, 180),
        horizontal_line(118, 143),
        horizontal_line(120, 140),
        horizontal_line(146, 203),
        horizontal_line(124, 134),
        horizontal_line(126, 131),
        horizontal_line(128, 128),
        horizontal_line(126, 127),
        horizontal_line(124, 127),
        horizontal_line(122, 127),
        horizontal_line(146, 202),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(128, 145),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(106, 127),
        horizontal_line(105, 127),
        horizontal_line(104, 115),
        horizontal_line(104, 114),
        horizontal_line(105, 113),
        horizontal_line(108, 112),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(117, 132),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(115, 130),
        horizontal_line(114, 130),
        horizontal_line(113, 129),
        horizontal_line(113, 128),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(127, 182),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(132, 180),
        horizontal_line(133, 179),
        horizontal_line(135, 179),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(152, 172),
        horizontal_line(153, 172),
        horizontal_line(155, 171),
        horizontal_line(156, 171),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(162, 169),
    };

    constexpr const shape frame_1219_shape_group_5_shapes[] = {
        shape(frame_1219_shape_group_5_shape_0_horizontal_lines, 79, 1),
        shape(frame_1219_shape_group_5_shape_1_horizontal_lines, 91, 3),
        shape(frame_1219_shape_group_5_shape_2_horizontal_lines, 93, 1),
        shape(frame_1219_shape_group_5_shape_3_horizontal_lines, 110, 14),
        shape(frame_1219_shape_group_5_shape_4_horizontal_lines, 111, 1),
        shape(frame_1219_shape_group_5_shape_5_horizontal_lines, 122, 14),
        shape(frame_1219_shape_group_5_shape_6_horizontal_lines, 123, 1),
        shape(frame_1219_shape_group_5_shape_7_horizontal_lines, 127, 14),
        shape(frame_1219_shape_group_5_shape_8_horizontal_lines, 128, 2),
        shape(frame_1219_shape_group_5_shape_9_horizontal_lines, 129, 14),
        shape(frame_1219_shape_group_5_shape_10_horizontal_lines, 133, 2),
        shape(frame_1219_shape_group_5_shape_11_horizontal_lines, 137, 2),
        shape(frame_1219_shape_group_5_shape_12_horizontal_lines, 152, 2),
        shape(frame_1219_shape_group_5_shape_13_horizontal_lines, 156, 1),
        shape(frame_1219_shape_group_5_shape_14_horizontal_lines, 159, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(192, 203),
        horizontal_line(181, 203),
        horizontal_line(169, 203),
        horizontal_line(158, 203),
        horizontal_line(180, 203),
        horizontal_line(146, 203),
        horizontal_line(146, 203),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(138, 145),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(146, 203),
        horizontal_line(146, 203),
        horizontal_line(146, 203),
        horizontal_line(146, 203),
        horizontal_line(146, 203),
        horizontal_line(146, 203),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(128, 145),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(146, 202),
        horizontal_line(146, 202),
        horizontal_line(117, 127),
        horizontal_line(117, 126),
        horizontal_line(117, 123),
        horizontal_line(117, 120),
        horizontal_line(111, 111),
        horizontal_line(118, 133),
        horizontal_line(182, 202),
        horizontal_line(117, 132),
        horizontal_line(116, 131),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(128, 177),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1219_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(157, 170),
        horizontal_line(159, 170),
        horizontal_line(160, 169),
    };

    constexpr const shape frame_1219_shape_group_6_shapes[] = {
        shape(frame_1219_shape_group_6_shape_0_horizontal_lines, 93, 1),
        shape(frame_1219_shape_group_6_shape_1_horizontal_lines, 102, 14),
        shape(frame_1219_shape_group_6_shape_2_horizontal_lines, 103, 1),
        shape(frame_1219_shape_group_6_shape_3_horizontal_lines, 109, 14),
        shape(frame_1219_shape_group_6_shape_4_horizontal_lines, 111, 1),
        shape(frame_1219_shape_group_6_shape_5_horizontal_lines, 122, 2),
        shape(frame_1219_shape_group_6_shape_6_horizontal_lines, 123, 14),
        shape(frame_1219_shape_group_6_shape_7_horizontal_lines, 127, 2),
        shape(frame_1219_shape_group_6_shape_8_horizontal_lines, 156, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(1, 35),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(135, 145),
        horizontal_line(132, 145),
        horizontal_line(129, 145),
        horizontal_line(128, 145),
        horizontal_line(128, 145),
        horizontal_line(128, 145),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(128, 145),
        horizontal_line(128, 145),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(146, 202),
        horizontal_line(147, 202),
        horizontal_line(154, 202),
        horizontal_line(161, 202),
        horizontal_line(117, 134),
        horizontal_line(175, 202),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(189, 202),
        horizontal_line(196, 202),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(109, 114),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(106, 111),
    };

    constexpr const horizontal_line frame_1219_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(128, 181),
        horizontal_line(127, 184),
        horizontal_line(127, 183),
        horizontal_line(126, 182),
    };

    constexpr const shape frame_1219_shape_group_7_shapes[] = {
        shape(frame_1219_shape_group_7_shape_0_horizontal_lines, 93, 3),
        shape(frame_1219_shape_group_7_shape_1_horizontal_lines, 95, 1),
        shape(frame_1219_shape_group_7_shape_2_horizontal_lines, 97, 3),
        shape(frame_1219_shape_group_7_shape_3_horizontal_lines, 102, 14),
        shape(frame_1219_shape_group_7_shape_4_horizontal_lines, 110, 2),
        shape(frame_1219_shape_group_7_shape_5_horizontal_lines, 111, 14),
        shape(frame_1219_shape_group_7_shape_6_horizontal_lines, 113, 1),
        shape(frame_1219_shape_group_7_shape_7_horizontal_lines, 119, 14),
        shape(frame_1219_shape_group_7_shape_8_horizontal_lines, 120, 1),
        shape(frame_1219_shape_group_7_shape_9_horizontal_lines, 122, 2),
        shape(frame_1219_shape_group_7_shape_10_horizontal_lines, 129, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(144, 145),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(54, 55),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(116, 116),
        horizontal_line(115, 116),
        horizontal_line(114, 116),
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(168, 202),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(111, 115),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(132, 154),
        horizontal_line(109, 114),
        horizontal_line(108, 113),
        horizontal_line(107, 112),
        horizontal_line(107, 112),
        horizontal_line(129, 173),
    };

    constexpr const shape frame_1219_shape_group_8_shapes[] = {
        shape(frame_1219_shape_group_8_shape_0_horizontal_lines, 95, 3),
        shape(frame_1219_shape_group_8_shape_1_horizontal_lines, 97, 14),
        shape(frame_1219_shape_group_8_shape_2_horizontal_lines, 102, 2),
        shape(frame_1219_shape_group_8_shape_3_horizontal_lines, 103, 14),
        shape(frame_1219_shape_group_8_shape_4_horizontal_lines, 109, 2),
        shape(frame_1219_shape_group_8_shape_5_horizontal_lines, 111, 14),
        shape(frame_1219_shape_group_8_shape_6_horizontal_lines, 117, 1),
        shape(frame_1219_shape_group_8_shape_7_horizontal_lines, 118, 14),
        shape(frame_1219_shape_group_8_shape_8_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(204, 220),
        horizontal_line(204, 238),
    };

    constexpr const horizontal_line frame_1219_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1219_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1219_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(128, 145),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(112, 116),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1219_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(131, 158),
        horizontal_line(131, 161),
        horizontal_line(130, 165),
        horizontal_line(129, 169),
    };

    constexpr const shape frame_1219_shape_group_9_shapes[] = {
        shape(frame_1219_shape_group_9_shape_0_horizontal_lines, 95, 14),
        shape(frame_1219_shape_group_9_shape_1_horizontal_lines, 100, 14),
        shape(frame_1219_shape_group_9_shape_2_horizontal_lines, 103, 2),
        shape(frame_1219_shape_group_9_shape_3_horizontal_lines, 111, 2),
        shape(frame_1219_shape_group_9_shape_4_horizontal_lines, 113, 14),
        shape(frame_1219_shape_group_9_shape_5_horizontal_lines, 119, 2),
        shape(frame_1219_shape_group_9_shape_6_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1219_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(54, 56),
        horizontal_line(54, 57),
    };

    constexpr const horizontal_line frame_1219_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1219_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1219_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 60),
    };

    constexpr const shape frame_1219_shape_group_10_shapes[] = {
        shape(frame_1219_shape_group_10_shape_0_horizontal_lines, 101, 2),
        shape(frame_1219_shape_group_10_shape_1_horizontal_lines, 111, 2),
        shape(frame_1219_shape_group_10_shape_2_horizontal_lines, 113, 14),
        shape(frame_1219_shape_group_10_shape_3_horizontal_lines, 114, 2),
        shape(frame_1219_shape_group_10_shape_4_horizontal_lines, 117, 14),
        shape(frame_1219_shape_group_10_shape_5_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(0, 39),
        horizontal_line(55, 59),
        horizontal_line(113, 116),
        horizontal_line(111, 116),
        horizontal_line(110, 115),
    };

    constexpr const shape frame_1219_shape_group_11_shapes[] = {
        shape(frame_1219_shape_group_11_shape_0_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(54, 58),
    };

    constexpr const horizontal_line frame_1219_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(55, 59),
        horizontal_line(116, 117),
        horizontal_line(133, 142),
        horizontal_line(133, 146),
        horizontal_line(132, 150),
    };

    constexpr const shape frame_1219_shape_group_12_shapes[] = {
        shape(frame_1219_shape_group_12_shape_0_horizontal_lines, 113, 2),
        shape(frame_1219_shape_group_12_shape_1_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1219_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(134, 138),
    };

    constexpr const shape frame_1219_shape_group_13_shapes[] = {
        shape(frame_1219_shape_group_13_shape_0_horizontal_lines, 117, 2),
    };

    constexpr const shape_group frame_1219_shape_groups[] = {
        shape_group(frame_1219_shape_group_0_shapes),
        shape_group(frame_1219_shape_group_1_shapes),
        shape_group(frame_1219_shape_group_2_shapes),
        shape_group(frame_1219_shape_group_3_shapes),
        shape_group(frame_1219_shape_group_4_shapes),
        shape_group(frame_1219_shape_group_5_shapes),
        shape_group(frame_1219_shape_group_6_shapes),
        shape_group(frame_1219_shape_group_7_shapes),
        shape_group(frame_1219_shape_group_8_shapes),
        shape_group(frame_1219_shape_group_9_shapes),
        shape_group(frame_1219_shape_group_10_shapes),
        shape_group(frame_1219_shape_group_11_shapes),
        shape_group(frame_1219_shape_group_12_shapes),
        shape_group(frame_1219_shape_group_13_shapes),
    };

    constexpr const frame frame_1219_impl(frame_1219_colors, frame_1219_shape_groups);
} 

const frame& frame_1219()
{
    return frame_1219_impl;
}

namespace
{
    constexpr const bn::color frame_1220_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1220_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(1, 9),
    };

    constexpr const horizontal_line frame_1220_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1220_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(14, 15),
        horizontal_line(15, 19),
        horizontal_line(16, 23),
        horizontal_line(17, 27),
        horizontal_line(18, 31),
        horizontal_line(19, 35),
        horizontal_line(20, 39),
        horizontal_line(21, 43),
        horizontal_line(23, 47),
        horizontal_line(24, 51),
        horizontal_line(25, 56),
        horizontal_line(26, 60),
        horizontal_line(27, 64),
        horizontal_line(28, 68),
        horizontal_line(29, 72),
        horizontal_line(30, 76),
        horizontal_line(32, 80),
        horizontal_line(33, 84),
        horizontal_line(34, 88),
        horizontal_line(35, 92),
        horizontal_line(36, 96),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(33, 58),
        horizontal_line(34, 59),
        horizontal_line(35, 59),
        horizontal_line(37, 60),
        horizontal_line(38, 61),
        horizontal_line(39, 61),
        horizontal_line(41, 62),
        horizontal_line(42, 62),
        horizontal_line(43, 63),
        horizontal_line(45, 64),
        horizontal_line(46, 64),
        horizontal_line(47, 65),
        horizontal_line(49, 65),
        horizontal_line(50, 66),
        horizontal_line(51, 67),
        horizontal_line(68, 71),
        horizontal_line(68, 77),
        horizontal_line(68, 83),
        horizontal_line(68, 88),
        horizontal_line(69, 94),
        horizontal_line(69, 100),
        horizontal_line(69, 105),
        horizontal_line(69, 111),
        horizontal_line(70, 117),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(60, 69),
        horizontal_line(60, 69),
        horizontal_line(60, 70),
        horizontal_line(71, 75),
        horizontal_line(71, 82),
        horizontal_line(71, 89),
        horizontal_line(71, 96),
        horizontal_line(71, 103),
        horizontal_line(71, 103),
        horizontal_line(71, 102),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(156, 200),
        horizontal_line(159, 205),
        horizontal_line(162, 211),
        horizontal_line(166, 216),
        horizontal_line(169, 213),
        horizontal_line(173, 211),
        horizontal_line(176, 209),
        horizontal_line(179, 206),
        horizontal_line(183, 204),
        horizontal_line(186, 202),
        horizontal_line(190, 199),
        horizontal_line(193, 197),
    };

    constexpr const horizontal_line frame_1220_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1220_shape_group_0_shapes[] = {
        shape(frame_1220_shape_group_0_shape_0_horizontal_lines, 25, 4),
        shape(frame_1220_shape_group_0_shape_1_horizontal_lines, 33, 9),
        shape(frame_1220_shape_group_0_shape_2_horizontal_lines, 34, 4),
        shape(frame_1220_shape_group_0_shape_3_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(99, 101),
        horizontal_line(100, 105),
        horizontal_line(101, 109),
        horizontal_line(103, 113),
        horizontal_line(104, 117),
        horizontal_line(105, 121),
        horizontal_line(106, 125),
        horizontal_line(107, 129),
        horizontal_line(108, 133),
        horizontal_line(109, 137),
        horizontal_line(110, 141),
        horizontal_line(112, 146),
        horizontal_line(113, 150),
        horizontal_line(114, 154),
        horizontal_line(115, 158),
        horizontal_line(116, 162),
        horizontal_line(117, 166),
        horizontal_line(118, 170),
        horizontal_line(119, 174),
        horizontal_line(121, 178),
        horizontal_line(62, 124),
        horizontal_line(67, 129),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(96, 158),
        horizontal_line(101, 161),
        horizontal_line(106, 157),
        horizontal_line(110, 153),
        horizontal_line(115, 150),
        horizontal_line(120, 146),
        horizontal_line(125, 142),
        horizontal_line(130, 138),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(25, 51),
        horizontal_line(24, 51),
        horizontal_line(24, 50),
        horizontal_line(25, 50),
        horizontal_line(28, 49),
        horizontal_line(30, 49),
        horizontal_line(33, 48),
        horizontal_line(35, 48),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(74, 116),
        horizontal_line(80, 115),
        horizontal_line(86, 114),
        horizontal_line(92, 113),
        horizontal_line(98, 112),
        horizontal_line(104, 111),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(55, 59),
        horizontal_line(56, 70),
        horizontal_line(57, 59),
        horizontal_line(58, 59),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(146, 154),
        horizontal_line(143, 160),
        horizontal_line(140, 166),
        horizontal_line(139, 171),
        horizontal_line(77, 100),
        horizontal_line(84, 99),
        horizontal_line(91, 98),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(44, 70),
        horizontal_line(39, 79),
        horizontal_line(47, 87),
        horizontal_line(55, 96),
        horizontal_line(63, 104),
        horizontal_line(71, 113),
        horizontal_line(79, 115),
        horizontal_line(88, 117),
        horizontal_line(96, 119),
        horizontal_line(104, 121),
        horizontal_line(112, 123),
        horizontal_line(120, 125),
    };

    constexpr const horizontal_line frame_1220_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(74, 128),
        horizontal_line(72, 129),
        horizontal_line(70, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1220_shape_group_1_shapes[] = {
        shape(frame_1220_shape_group_1_shape_0_horizontal_lines, 32, 9),
        shape(frame_1220_shape_group_1_shape_1_horizontal_lines, 34, 9),
        shape(frame_1220_shape_group_1_shape_2_horizontal_lines, 55, 4),
        shape(frame_1220_shape_group_1_shape_3_horizontal_lines, 91, 9),
        shape(frame_1220_shape_group_1_shape_4_horizontal_lines, 99, 4),
        shape(frame_1220_shape_group_1_shape_5_horizontal_lines, 106, 9),
        shape(frame_1220_shape_group_1_shape_6_horizontal_lines, 113, 4),
        shape(frame_1220_shape_group_1_shape_7_horizontal_lines, 122, 9),
        shape(frame_1220_shape_group_1_shape_8_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(1, 42),
        horizontal_line(3, 43),
        horizontal_line(5, 44),
        horizontal_line(7, 45),
        horizontal_line(9, 46),
        horizontal_line(11, 47),
        horizontal_line(13, 49),
        horizontal_line(15, 50),
        horizontal_line(18, 51),
        horizontal_line(20, 52),
        horizontal_line(22, 53),
        horizontal_line(24, 54),
        horizontal_line(26, 55),
        horizontal_line(28, 56),
        horizontal_line(30, 58),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 182),
        horizontal_line(129, 187),
        horizontal_line(134, 184),
        horizontal_line(139, 180),
        horizontal_line(144, 176),
        horizontal_line(148, 172),
        horizontal_line(153, 169),
        horizontal_line(158, 165),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(29, 42),
        horizontal_line(28, 44),
        horizontal_line(28, 45),
        horizontal_line(27, 46),
        horizontal_line(27, 48),
        horizontal_line(26, 49),
        horizontal_line(26, 50),
        horizontal_line(25, 67),
        horizontal_line(53, 67),
        horizontal_line(54, 67),
        horizontal_line(54, 67),
        horizontal_line(55, 68),
        horizontal_line(55, 68),
        horizontal_line(56, 68),
        horizontal_line(56, 68),
        horizontal_line(57, 69),
        horizontal_line(38, 47),
        horizontal_line(40, 47),
        horizontal_line(43, 46),
        horizontal_line(46, 46),
        horizontal_line(56, 58),
        horizontal_line(55, 58),
        horizontal_line(55, 58),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(35, 52),
        horizontal_line(36, 52),
        horizontal_line(36, 52),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(61, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(142, 177),
        horizontal_line(145, 183),
        horizontal_line(149, 188),
        horizontal_line(152, 194),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(38, 43),
        horizontal_line(98, 104),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(36, 46),
        horizontal_line(34, 54),
        horizontal_line(31, 62),
        horizontal_line(29, 70),
        horizontal_line(27, 78),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(195, 198),
        horizontal_line(195, 200),
    };

    constexpr const horizontal_line frame_1220_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(127, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
    };

    constexpr const shape frame_1220_shape_group_2_shapes[] = {
        shape(frame_1220_shape_group_2_shape_0_horizontal_lines, 55, 9),
        shape(frame_1220_shape_group_2_shape_1_horizontal_lines, 75, 4),
        shape(frame_1220_shape_group_2_shape_2_horizontal_lines, 83, 9),
        shape(frame_1220_shape_group_2_shape_3_horizontal_lines, 106, 8),
        shape(frame_1220_shape_group_2_shape_4_horizontal_lines, 107, 1),
        shape(frame_1220_shape_group_2_shape_5_horizontal_lines, 110, 9),
        shape(frame_1220_shape_group_2_shape_6_horizontal_lines, 112, 8),
        shape(frame_1220_shape_group_2_shape_7_horizontal_lines, 113, 9),
        shape(frame_1220_shape_group_2_shape_8_horizontal_lines, 118, 4),
        shape(frame_1220_shape_group_2_shape_9_horizontal_lines, 122, 1),
        shape(frame_1220_shape_group_2_shape_10_horizontal_lines, 124, 8),
        shape(frame_1220_shape_group_2_shape_11_horizontal_lines, 134, 1),
        shape(frame_1220_shape_group_2_shape_12_horizontal_lines, 137, 8),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(32, 33),
        horizontal_line(32, 34),
        horizontal_line(31, 36),
        horizontal_line(31, 37),
        horizontal_line(30, 38),
        horizontal_line(30, 40),
        horizontal_line(29, 41),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(7, 24),
        horizontal_line(15, 23),
        horizontal_line(23, 23),
        horizontal_line(51, 54),
        horizontal_line(26, 27),
        horizontal_line(27, 29),
        horizontal_line(28, 32),
        horizontal_line(30, 34),
        horizontal_line(31, 37),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(56, 57),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(39, 55),
        horizontal_line(44, 54),
        horizontal_line(48, 54),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(35, 52),
        horizontal_line(109, 113),
        horizontal_line(108, 115),
        horizontal_line(108, 128),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(36, 52),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(59, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(49, 62),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(107, 108),
        horizontal_line(97, 104),
        horizontal_line(97, 103),
        horizontal_line(105, 106),
        horizontal_line(114, 131),
        horizontal_line(116, 130),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(86, 87),
        horizontal_line(84, 95),
        horizontal_line(82, 103),
        horizontal_line(79, 111),
        horizontal_line(77, 119),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1220_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(194, 202),
        horizontal_line(194, 205),
        horizontal_line(193, 207),
        horizontal_line(193, 209),
        horizontal_line(192, 211),
        horizontal_line(192, 214),
        horizontal_line(191, 216),
        horizontal_line(191, 218),
        horizontal_line(190, 220),
        horizontal_line(190, 223),
        horizontal_line(189, 225),
        horizontal_line(189, 227),
        horizontal_line(188, 229),
        horizontal_line(188, 232),
        horizontal_line(187, 234),
        horizontal_line(187, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
    };

    constexpr const shape frame_1220_shape_group_3_shapes[] = {
        shape(frame_1220_shape_group_3_shape_0_horizontal_lines, 60, 8),
        shape(frame_1220_shape_group_3_shape_1_horizontal_lines, 76, 9),
        shape(frame_1220_shape_group_3_shape_2_horizontal_lines, 83, 8),
        shape(frame_1220_shape_group_3_shape_3_horizontal_lines, 100, 9),
        shape(frame_1220_shape_group_3_shape_4_horizontal_lines, 103, 8),
        shape(frame_1220_shape_group_3_shape_5_horizontal_lines, 106, 1),
        shape(frame_1220_shape_group_3_shape_6_horizontal_lines, 110, 8),
        shape(frame_1220_shape_group_3_shape_7_horizontal_lines, 112, 1),
        shape(frame_1220_shape_group_3_shape_8_horizontal_lines, 113, 8),
        shape(frame_1220_shape_group_3_shape_9_horizontal_lines, 119, 9),
        shape(frame_1220_shape_group_3_shape_10_horizontal_lines, 122, 1),
        shape(frame_1220_shape_group_3_shape_11_horizontal_lines, 129, 8),
        shape(frame_1220_shape_group_3_shape_12_horizontal_lines, 134, 2),
        shape(frame_1220_shape_group_3_shape_13_horizontal_lines, 137, 1),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(228, 239),
        horizontal_line(218, 239),
        horizontal_line(208, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(51, 53),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(127, 142),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(50, 54),
        horizontal_line(50, 55),
        horizontal_line(49, 55),
        horizontal_line(49, 56),
        horizontal_line(48, 57),
        horizontal_line(32, 39),
        horizontal_line(33, 42),
        horizontal_line(35, 45),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(35, 38),
        horizontal_line(35, 43),
        horizontal_line(35, 47),
        horizontal_line(110, 111),
        horizontal_line(122, 128),
        horizontal_line(120, 128),
        horizontal_line(149, 211),
        horizontal_line(36, 52),
        horizontal_line(36, 52),
        horizontal_line(105, 116),
        horizontal_line(37, 53),
        horizontal_line(37, 53),
        horizontal_line(37, 53),
        horizontal_line(37, 53),
        horizontal_line(37, 53),
        horizontal_line(38, 53),
        horizontal_line(38, 53),
        horizontal_line(38, 54),
        horizontal_line(38, 48),
        horizontal_line(108, 109),
        horizontal_line(115, 133),
        horizontal_line(106, 107),
        horizontal_line(105, 107),
        horizontal_line(113, 131),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(118, 129),
        horizontal_line(120, 129),
        horizontal_line(122, 128),
        horizontal_line(124, 128),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_1220_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(136, 192),
        horizontal_line(138, 191),
        horizontal_line(139, 191),
        horizontal_line(140, 190),
        horizontal_line(142, 190),
        horizontal_line(143, 189),
        horizontal_line(144, 189),
        horizontal_line(146, 188),
        horizontal_line(147, 188),
        horizontal_line(148, 187),
        horizontal_line(150, 187),
        horizontal_line(151, 186),
        horizontal_line(152, 186),
        horizontal_line(154, 185),
        horizontal_line(155, 185),
        horizontal_line(156, 184),
        horizontal_line(158, 184),
        horizontal_line(159, 183),
        horizontal_line(160, 183),
        horizontal_line(162, 183),
    };

    constexpr const shape frame_1220_shape_group_4_shapes[] = {
        shape(frame_1220_shape_group_4_shape_0_horizontal_lines, 71, 1),
        shape(frame_1220_shape_group_4_shape_1_horizontal_lines, 76, 8),
        shape(frame_1220_shape_group_4_shape_2_horizontal_lines, 83, 1),
        shape(frame_1220_shape_group_4_shape_3_horizontal_lines, 91, 8),
        shape(frame_1220_shape_group_4_shape_4_horizontal_lines, 94, 1),
        shape(frame_1220_shape_group_4_shape_5_horizontal_lines, 95, 8),
        shape(frame_1220_shape_group_4_shape_6_horizontal_lines, 103, 1),
        shape(frame_1220_shape_group_4_shape_7_horizontal_lines, 127, 14),
        shape(frame_1220_shape_group_4_shape_8_horizontal_lines, 129, 1),
        shape(frame_1220_shape_group_4_shape_9_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(131, 138),
        horizontal_line(129, 140),
        horizontal_line(218, 239),
        horizontal_line(125, 144),
        horizontal_line(123, 146),
        horizontal_line(121, 148),
        horizontal_line(119, 181),
        horizontal_line(120, 146),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(48, 56),
        horizontal_line(47, 56),
        horizontal_line(47, 55),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(127, 128),
        horizontal_line(125, 128),
        horizontal_line(124, 128),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(211, 217),
        horizontal_line(107, 128),
        horizontal_line(106, 128),
        horizontal_line(118, 128),
        horizontal_line(105, 115),
        horizontal_line(106, 114),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(109, 109),
        horizontal_line(116, 134),
        horizontal_line(206, 217),
        horizontal_line(114, 132),
        horizontal_line(114, 132),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(191, 195),
        horizontal_line(192, 194),
        horizontal_line(193, 194),
        horizontal_line(132, 193),
        horizontal_line(134, 193),
        horizontal_line(135, 192),
    };

    constexpr const shape frame_1220_shape_group_5_shapes[] = {
        shape(frame_1220_shape_group_5_shape_0_horizontal_lines, 76, 1),
        shape(frame_1220_shape_group_5_shape_1_horizontal_lines, 91, 1),
        shape(frame_1220_shape_group_5_shape_2_horizontal_lines, 100, 8),
        shape(frame_1220_shape_group_5_shape_3_horizontal_lines, 103, 1),
        shape(frame_1220_shape_group_5_shape_4_horizontal_lines, 126, 14),
        shape(frame_1220_shape_group_5_shape_5_horizontal_lines, 127, 2),
        shape(frame_1220_shape_group_5_shape_6_horizontal_lines, 129, 14),
        shape(frame_1220_shape_group_5_shape_7_horizontal_lines, 132, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(201, 217),
        horizontal_line(184, 217),
        horizontal_line(167, 217),
        horizontal_line(181, 217),
        horizontal_line(150, 212),
        horizontal_line(122, 142),
        horizontal_line(124, 137),
        horizontal_line(126, 133),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(211, 217),
        horizontal_line(211, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(129, 148),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(118, 128),
        horizontal_line(118, 127),
        horizontal_line(109, 113),
        horizontal_line(112, 112),
        horizontal_line(119, 137),
        horizontal_line(118, 136),
        horizontal_line(118, 135),
        horizontal_line(110, 110),
        horizontal_line(116, 134),
        horizontal_line(201, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(212, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_1220_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(132, 172),
        horizontal_line(131, 175),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(129, 189),
        horizontal_line(128, 190),
    };

    constexpr const shape frame_1220_shape_group_6_shapes[] = {
        shape(frame_1220_shape_group_6_shape_0_horizontal_lines, 91, 1),
        shape(frame_1220_shape_group_6_shape_1_horizontal_lines, 94, 3),
        shape(frame_1220_shape_group_6_shape_2_horizontal_lines, 95, 1),
        shape(frame_1220_shape_group_6_shape_3_horizontal_lines, 109, 14),
        shape(frame_1220_shape_group_6_shape_4_horizontal_lines, 110, 1),
        shape(frame_1220_shape_group_6_shape_5_horizontal_lines, 123, 14),
        shape(frame_1220_shape_group_6_shape_6_horizontal_lines, 124, 1),
        shape(frame_1220_shape_group_6_shape_7_horizontal_lines, 125, 14),
        shape(frame_1220_shape_group_6_shape_8_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 14),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(212, 217),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(212, 217),
        horizontal_line(212, 217),
        horizontal_line(212, 217),
        horizontal_line(211, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(129, 148),
        horizontal_line(129, 148),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(211, 217),
        horizontal_line(211, 217),
        horizontal_line(211, 217),
        horizontal_line(150, 212),
        horizontal_line(155, 217),
        horizontal_line(118, 123),
        horizontal_line(118, 120),
        horizontal_line(172, 217),
        horizontal_line(178, 217),
        horizontal_line(184, 217),
        horizontal_line(117, 135),
        horizontal_line(195, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(107, 112),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(130, 178),
        horizontal_line(130, 182),
        horizontal_line(129, 185),
    };

    constexpr const horizontal_line frame_1220_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(190, 192),
    };

    constexpr const shape frame_1220_shape_group_7_shapes[] = {
        shape(frame_1220_shape_group_7_shape_0_horizontal_lines, 91, 3),
        shape(frame_1220_shape_group_7_shape_1_horizontal_lines, 95, 3),
        shape(frame_1220_shape_group_7_shape_2_horizontal_lines, 99, 1),
        shape(frame_1220_shape_group_7_shape_3_horizontal_lines, 107, 14),
        shape(frame_1220_shape_group_7_shape_4_horizontal_lines, 110, 1),
        shape(frame_1220_shape_group_7_shape_5_horizontal_lines, 122, 14),
        shape(frame_1220_shape_group_7_shape_6_horizontal_lines, 123, 2),
        shape(frame_1220_shape_group_7_shape_7_horizontal_lines, 124, 14),
        shape(frame_1220_shape_group_7_shape_8_horizontal_lines, 126, 2),
        shape(frame_1220_shape_group_7_shape_9_horizontal_lines, 129, 2),
        shape(frame_1220_shape_group_7_shape_10_horizontal_lines, 133, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(212, 217),
        horizontal_line(212, 217),
        horizontal_line(212, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(130, 149),
        horizontal_line(129, 149),
        horizontal_line(129, 149),
        horizontal_line(129, 148),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(129, 148),
        horizontal_line(129, 148),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(212, 217),
        horizontal_line(217, 217),
        horizontal_line(161, 217),
        horizontal_line(167, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(112, 116),
        horizontal_line(112, 113),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(189, 217),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(109, 114),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(132, 168),
    };

    constexpr const shape frame_1220_shape_group_8_shapes[] = {
        shape(frame_1220_shape_group_8_shape_0_horizontal_lines, 95, 14),
        shape(frame_1220_shape_group_8_shape_1_horizontal_lines, 99, 3),
        shape(frame_1220_shape_group_8_shape_2_horizontal_lines, 100, 1),
        shape(frame_1220_shape_group_8_shape_3_horizontal_lines, 103, 14),
        shape(frame_1220_shape_group_8_shape_4_horizontal_lines, 109, 2),
        shape(frame_1220_shape_group_8_shape_5_horizontal_lines, 110, 14),
        shape(frame_1220_shape_group_8_shape_6_horizontal_lines, 113, 1),
        shape(frame_1220_shape_group_8_shape_7_horizontal_lines, 117, 14),
        shape(frame_1220_shape_group_8_shape_8_horizontal_lines, 120, 1),
        shape(frame_1220_shape_group_8_shape_9_horizontal_lines, 121, 14),
        shape(frame_1220_shape_group_8_shape_10_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(147, 149),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(1, 32),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(134, 149),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(53, 55),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(129, 148),
        horizontal_line(116, 117),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(113, 117),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(110, 115),
        horizontal_line(134, 158),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
    };

    constexpr const shape frame_1220_shape_group_9_shapes[] = {
        shape(frame_1220_shape_group_9_shape_0_horizontal_lines, 99, 14),
        shape(frame_1220_shape_group_9_shape_1_horizontal_lines, 100, 3),
        shape(frame_1220_shape_group_9_shape_2_horizontal_lines, 102, 14),
        shape(frame_1220_shape_group_9_shape_3_horizontal_lines, 107, 2),
        shape(frame_1220_shape_group_9_shape_4_horizontal_lines, 110, 14),
        shape(frame_1220_shape_group_9_shape_5_horizontal_lines, 119, 2),
        shape(frame_1220_shape_group_9_shape_6_horizontal_lines, 120, 14),
        shape(frame_1220_shape_group_9_shape_7_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(143, 149),
        horizontal_line(138, 149),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(53, 53),
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_1220_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1220_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(129, 148),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(54, 59),
        horizontal_line(0, 37),
        horizontal_line(110, 115),
        horizontal_line(135, 155),
    };

    constexpr const horizontal_line frame_1220_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(133, 161),
        horizontal_line(133, 165),
    };

    constexpr const shape frame_1220_shape_group_10_shapes[] = {
        shape(frame_1220_shape_group_10_shape_0_horizontal_lines, 99, 14),
        shape(frame_1220_shape_group_10_shape_1_horizontal_lines, 103, 2),
        shape(frame_1220_shape_group_10_shape_2_horizontal_lines, 110, 2),
        shape(frame_1220_shape_group_10_shape_3_horizontal_lines, 112, 14),
        shape(frame_1220_shape_group_10_shape_4_horizontal_lines, 117, 2),
        shape(frame_1220_shape_group_10_shape_5_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1220_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(53, 56),
        horizontal_line(53, 57),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1220_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1220_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(112, 117),
        horizontal_line(55, 59),
        horizontal_line(135, 151),
    };

    constexpr const shape frame_1220_shape_group_11_shapes[] = {
        shape(frame_1220_shape_group_11_shape_0_horizontal_lines, 100, 14),
        shape(frame_1220_shape_group_11_shape_1_horizontal_lines, 102, 2),
        shape(frame_1220_shape_group_11_shape_2_horizontal_lines, 110, 2),
        shape(frame_1220_shape_group_11_shape_3_horizontal_lines, 113, 14),
        shape(frame_1220_shape_group_11_shape_4_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1220_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(53, 58),
        horizontal_line(0, 36),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(117, 118),
        horizontal_line(114, 117),
        horizontal_line(136, 144),
        horizontal_line(111, 116),
    };

    constexpr const shape frame_1220_shape_group_12_shapes[] = {
        shape(frame_1220_shape_group_12_shape_0_horizontal_lines, 101, 2),
        shape(frame_1220_shape_group_12_shape_1_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1220_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(54, 58),
    };

    constexpr const horizontal_line frame_1220_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(137, 141),
    };

    constexpr const horizontal_line frame_1220_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(136, 148),
    };

    constexpr const shape frame_1220_shape_group_13_shapes[] = {
        shape(frame_1220_shape_group_13_shape_0_horizontal_lines, 113, 2),
        shape(frame_1220_shape_group_13_shape_1_horizontal_lines, 117, 2),
        shape(frame_1220_shape_group_13_shape_2_horizontal_lines, 120, 2),
    };

    constexpr const shape_group frame_1220_shape_groups[] = {
        shape_group(frame_1220_shape_group_0_shapes),
        shape_group(frame_1220_shape_group_1_shapes),
        shape_group(frame_1220_shape_group_2_shapes),
        shape_group(frame_1220_shape_group_3_shapes),
        shape_group(frame_1220_shape_group_4_shapes),
        shape_group(frame_1220_shape_group_5_shapes),
        shape_group(frame_1220_shape_group_6_shapes),
        shape_group(frame_1220_shape_group_7_shapes),
        shape_group(frame_1220_shape_group_8_shapes),
        shape_group(frame_1220_shape_group_9_shapes),
        shape_group(frame_1220_shape_group_10_shapes),
        shape_group(frame_1220_shape_group_11_shapes),
        shape_group(frame_1220_shape_group_12_shapes),
        shape_group(frame_1220_shape_group_13_shapes),
    };

    constexpr const frame frame_1220_impl(frame_1220_colors, frame_1220_shape_groups);
} 

const frame& frame_1220()
{
    return frame_1220_impl;
}

namespace
{
    constexpr const bn::color frame_1221_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1221_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(1, 10),
        horizontal_line(2, 13),
        horizontal_line(3, 17),
        horizontal_line(4, 21),
        horizontal_line(5, 25),
        horizontal_line(6, 28),
        horizontal_line(7, 32),
        horizontal_line(8, 36),
        horizontal_line(9, 40),
        horizontal_line(11, 43),
        horizontal_line(12, 47),
        horizontal_line(13, 51),
        horizontal_line(14, 55),
        horizontal_line(15, 58),
        horizontal_line(16, 62),
        horizontal_line(17, 66),
        horizontal_line(18, 70),
        horizontal_line(20, 73),
        horizontal_line(21, 77),
        horizontal_line(22, 81),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(29, 56),
        horizontal_line(30, 57),
        horizontal_line(31, 58),
        horizontal_line(33, 58),
        horizontal_line(34, 59),
        horizontal_line(36, 60),
        horizontal_line(37, 61),
        horizontal_line(39, 61),
        horizontal_line(40, 62),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 67),
        horizontal_line(68, 71),
        horizontal_line(68, 76),
        horizontal_line(68, 81),
        horizontal_line(68, 87),
        horizontal_line(69, 92),
        horizontal_line(69, 97),
        horizontal_line(69, 103),
        horizontal_line(69, 108),
        horizontal_line(69, 113),
        horizontal_line(70, 119),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(60, 69),
        horizontal_line(60, 69),
        horizontal_line(60, 70),
        horizontal_line(71, 76),
        horizontal_line(71, 83),
        horizontal_line(71, 90),
        horizontal_line(71, 97),
        horizontal_line(71, 104),
        horizontal_line(71, 104),
        horizontal_line(71, 103),
        horizontal_line(71, 102),
        horizontal_line(71, 102),
        horizontal_line(67, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(69, 69),
        horizontal_line(159, 201),
        horizontal_line(163, 207),
        horizontal_line(166, 212),
        horizontal_line(169, 217),
        horizontal_line(173, 223),
        horizontal_line(176, 228),
        horizontal_line(179, 233),
        horizontal_line(183, 230),
        horizontal_line(186, 228),
        horizontal_line(189, 226),
        horizontal_line(193, 224),
        horizontal_line(196, 222),
        horizontal_line(199, 219),
        horizontal_line(203, 217),
        horizontal_line(206, 215),
        horizontal_line(209, 213),
    };

    constexpr const horizontal_line frame_1221_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1221_shape_group_0_shapes[] = {
        shape(frame_1221_shape_group_0_shape_0_horizontal_lines, 20, 4),
        shape(frame_1221_shape_group_0_shape_1_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(85, 85),
        horizontal_line(86, 88),
        horizontal_line(87, 92),
        horizontal_line(88, 96),
        horizontal_line(89, 100),
        horizontal_line(91, 103),
        horizontal_line(92, 107),
        horizontal_line(93, 111),
        horizontal_line(94, 114),
        horizontal_line(95, 118),
        horizontal_line(96, 122),
        horizontal_line(97, 126),
        horizontal_line(98, 129),
        horizontal_line(99, 133),
        horizontal_line(101, 137),
        horizontal_line(102, 141),
        horizontal_line(103, 144),
        horizontal_line(104, 148),
        horizontal_line(105, 152),
        horizontal_line(106, 156),
        horizontal_line(107, 159),
        horizontal_line(108, 163),
        horizontal_line(110, 167),
        horizontal_line(111, 171),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(119, 181),
        horizontal_line(61, 123),
        horizontal_line(66, 128),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(81, 143),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(97, 159),
        horizontal_line(102, 164),
        horizontal_line(107, 163),
        horizontal_line(112, 159),
        horizontal_line(117, 155),
        horizontal_line(122, 150),
        horizontal_line(127, 146),
        horizontal_line(132, 142),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(21, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 48),
        horizontal_line(21, 48),
        horizontal_line(24, 47),
        horizontal_line(27, 47),
        horizontal_line(30, 46),
        horizontal_line(32, 46),
        horizontal_line(35, 45),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(75, 118),
        horizontal_line(81, 117),
        horizontal_line(87, 116),
        horizontal_line(93, 114),
        horizontal_line(99, 113),
        horizontal_line(105, 112),
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(55, 70),
        horizontal_line(56, 59),
        horizontal_line(57, 59),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(150, 158),
        horizontal_line(147, 163),
        horizontal_line(77, 101),
        horizontal_line(84, 100),
        horizontal_line(91, 99),
        horizontal_line(99, 99),
        horizontal_line(153, 190),
        horizontal_line(156, 196),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(40, 75),
        horizontal_line(36, 83),
        horizontal_line(44, 91),
        horizontal_line(53, 98),
        horizontal_line(62, 106),
        horizontal_line(70, 114),
        horizontal_line(79, 116),
        horizontal_line(88, 118),
        horizontal_line(97, 121),
        horizontal_line(105, 123),
        horizontal_line(114, 126),
        horizontal_line(123, 128),
    };

    constexpr const horizontal_line frame_1221_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1221_shape_group_1_shapes[] = {
        shape(frame_1221_shape_group_1_shape_0_horizontal_lines, 22, 9),
        shape(frame_1221_shape_group_1_shape_1_horizontal_lines, 42, 4),
        shape(frame_1221_shape_group_1_shape_2_horizontal_lines, 89, 9),
        shape(frame_1221_shape_group_1_shape_3_horizontal_lines, 98, 4),
        shape(frame_1221_shape_group_1_shape_4_horizontal_lines, 105, 9),
        shape(frame_1221_shape_group_1_shape_5_horizontal_lines, 113, 4),
        shape(frame_1221_shape_group_1_shape_6_horizontal_lines, 122, 9),
        shape(frame_1221_shape_group_1_shape_7_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(1, 41),
        horizontal_line(3, 42),
        horizontal_line(5, 43),
        horizontal_line(7, 44),
        horizontal_line(9, 45),
        horizontal_line(11, 47),
        horizontal_line(13, 48),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(175, 178),
        horizontal_line(176, 182),
        horizontal_line(177, 186),
        horizontal_line(178, 189),
        horizontal_line(179, 193),
        horizontal_line(181, 197),
        horizontal_line(123, 185),
        horizontal_line(128, 190),
        horizontal_line(133, 193),
        horizontal_line(138, 189),
        horizontal_line(143, 184),
        horizontal_line(148, 180),
        horizontal_line(153, 176),
        horizontal_line(159, 172),
        horizontal_line(164, 167),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(24, 41),
        horizontal_line(24, 42),
        horizontal_line(23, 44),
        horizontal_line(23, 45),
        horizontal_line(22, 47),
        horizontal_line(22, 48),
        horizontal_line(21, 67),
        horizontal_line(51, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 67),
        horizontal_line(53, 68),
        horizontal_line(54, 68),
        horizontal_line(55, 68),
        horizontal_line(55, 68),
        horizontal_line(56, 68),
        horizontal_line(57, 69),
        horizontal_line(38, 45),
        horizontal_line(41, 44),
        horizontal_line(44, 44),
        horizontal_line(56, 58),
        horizontal_line(56, 58),
        horizontal_line(55, 58),
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(52, 53),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(32, 51),
        horizontal_line(32, 51),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(59, 60),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(144, 169),
        horizontal_line(143, 174),
        horizontal_line(146, 180),
        horizontal_line(149, 185),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(49, 60),
        horizontal_line(45, 68),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(35, 39),
        horizontal_line(98, 104),
    };

    constexpr const horizontal_line frame_1221_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(33, 43),
        horizontal_line(31, 52),
        horizontal_line(29, 61),
        horizontal_line(26, 69),
        horizontal_line(24, 78),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(72, 131),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(125, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
    };

    constexpr const shape frame_1221_shape_group_2_shapes[] = {
        shape(frame_1221_shape_group_2_shape_0_horizontal_lines, 42, 9),
        shape(frame_1221_shape_group_2_shape_1_horizontal_lines, 66, 4),
        shape(frame_1221_shape_group_2_shape_2_horizontal_lines, 82, 9),
        shape(frame_1221_shape_group_2_shape_3_horizontal_lines, 105, 8),
        shape(frame_1221_shape_group_2_shape_4_horizontal_lines, 106, 1),
        shape(frame_1221_shape_group_2_shape_5_horizontal_lines, 108, 9),
        shape(frame_1221_shape_group_2_shape_6_horizontal_lines, 110, 8),
        shape(frame_1221_shape_group_2_shape_7_horizontal_lines, 113, 9),
        shape(frame_1221_shape_group_2_shape_8_horizontal_lines, 116, 4),
        shape(frame_1221_shape_group_2_shape_9_horizontal_lines, 120, 9),
        shape(frame_1221_shape_group_2_shape_10_horizontal_lines, 122, 1),
        shape(frame_1221_shape_group_2_shape_11_horizontal_lines, 124, 8),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(15, 49),
        horizontal_line(17, 50),
        horizontal_line(19, 51),
        horizontal_line(21, 52),
        horizontal_line(23, 53),
        horizontal_line(25, 54),
        horizontal_line(27, 56),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(185, 201),
        horizontal_line(190, 197),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(28, 30),
        horizontal_line(27, 32),
        horizontal_line(27, 33),
        horizontal_line(26, 35),
        horizontal_line(26, 36),
        horizontal_line(25, 38),
        horizontal_line(25, 39),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(9, 19),
        horizontal_line(19, 19),
        horizontal_line(49, 52),
        horizontal_line(22, 23),
        horizontal_line(23, 26),
        horizontal_line(24, 29),
        horizontal_line(26, 31),
        horizontal_line(27, 34),
        horizontal_line(28, 37),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(35, 55),
        horizontal_line(39, 46),
        horizontal_line(43, 54),
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(32, 51),
        horizontal_line(110, 114),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(33, 51),
        horizontal_line(33, 51),
        horizontal_line(33, 52),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(35, 44),
        horizontal_line(98, 105),
        horizontal_line(106, 108),
        horizontal_line(97, 107),
        horizontal_line(99, 107),
        horizontal_line(114, 135),
        horizontal_line(115, 134),
        horizontal_line(117, 133),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(84, 87),
        horizontal_line(81, 96),
        horizontal_line(79, 104),
        horizontal_line(77, 113),
        horizontal_line(74, 122),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(129, 133),
        horizontal_line(127, 134),
    };

    constexpr const horizontal_line frame_1221_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(212, 212),
        horizontal_line(211, 214),
        horizontal_line(211, 216),
        horizontal_line(210, 218),
        horizontal_line(210, 221),
        horizontal_line(209, 223),
        horizontal_line(209, 225),
        horizontal_line(208, 227),
        horizontal_line(208, 230),
        horizontal_line(207, 232),
        horizontal_line(207, 234),
        horizontal_line(206, 236),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const shape frame_1221_shape_group_3_shapes[] = {
        shape(frame_1221_shape_group_3_shape_0_horizontal_lines, 59, 8),
        shape(frame_1221_shape_group_3_shape_1_horizontal_lines, 66, 9),
        shape(frame_1221_shape_group_3_shape_2_horizontal_lines, 73, 4),
        shape(frame_1221_shape_group_3_shape_3_horizontal_lines, 75, 9),
        shape(frame_1221_shape_group_3_shape_4_horizontal_lines, 82, 8),
        shape(frame_1221_shape_group_3_shape_5_horizontal_lines, 99, 9),
        shape(frame_1221_shape_group_3_shape_6_horizontal_lines, 101, 8),
        shape(frame_1221_shape_group_3_shape_7_horizontal_lines, 105, 1),
        shape(frame_1221_shape_group_3_shape_8_horizontal_lines, 108, 8),
        shape(frame_1221_shape_group_3_shape_9_horizontal_lines, 110, 1),
        shape(frame_1221_shape_group_3_shape_10_horizontal_lines, 113, 8),
        shape(frame_1221_shape_group_3_shape_11_horizontal_lines, 116, 9),
        shape(frame_1221_shape_group_3_shape_12_horizontal_lines, 117, 8),
        shape(frame_1221_shape_group_3_shape_13_horizontal_lines, 118, 9),
        shape(frame_1221_shape_group_3_shape_14_horizontal_lines, 121, 1),
        shape(frame_1221_shape_group_3_shape_15_horizontal_lines, 129, 8),
        shape(frame_1221_shape_group_3_shape_16_horizontal_lines, 134, 2),
        shape(frame_1221_shape_group_3_shape_17_horizontal_lines, 135, 8),
        shape(frame_1221_shape_group_3_shape_18_horizontal_lines, 138, 1),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(28, 29),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(50, 51),
        horizontal_line(49, 52),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(131, 144),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(48, 53),
        horizontal_line(48, 54),
        horizontal_line(47, 54),
        horizontal_line(47, 55),
        horizontal_line(46, 56),
        horizontal_line(46, 57),
        horizontal_line(29, 40),
        horizontal_line(31, 43),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(31, 34),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(48, 55),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(31, 42),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(51, 54),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(123, 130),
        horizontal_line(121, 130),
        horizontal_line(32, 51),
        horizontal_line(32, 51),
        horizontal_line(106, 117),
        horizontal_line(106, 116),
        horizontal_line(107, 114),
        horizontal_line(33, 52),
        horizontal_line(34, 52),
        horizontal_line(34, 52),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(34, 52),
        horizontal_line(34, 52),
        horizontal_line(35, 53),
        horizontal_line(35, 48),
        horizontal_line(99, 102),
        horizontal_line(107, 108),
        horizontal_line(116, 137),
        horizontal_line(116, 136),
        horizontal_line(115, 135),
        horizontal_line(224, 234),
        horizontal_line(229, 234),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(119, 133),
        horizontal_line(122, 132),
        horizontal_line(124, 131),
        horizontal_line(127, 131),
        horizontal_line(129, 130),
    };

    constexpr const horizontal_line frame_1221_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 207),
        horizontal_line(148, 206),
        horizontal_line(149, 206),
        horizontal_line(150, 205),
        horizontal_line(151, 205),
        horizontal_line(153, 204),
        horizontal_line(154, 204),
        horizontal_line(155, 203),
        horizontal_line(156, 203),
        horizontal_line(158, 202),
        horizontal_line(159, 202),
        horizontal_line(160, 201),
        horizontal_line(161, 201),
        horizontal_line(163, 201),
    };

    constexpr const shape frame_1221_shape_group_4_shapes[] = {
        shape(frame_1221_shape_group_4_shape_0_horizontal_lines, 66, 8),
        shape(frame_1221_shape_group_4_shape_1_horizontal_lines, 74, 9),
        shape(frame_1221_shape_group_4_shape_2_horizontal_lines, 75, 8),
        shape(frame_1221_shape_group_4_shape_3_horizontal_lines, 82, 1),
        shape(frame_1221_shape_group_4_shape_4_horizontal_lines, 89, 8),
        shape(frame_1221_shape_group_4_shape_5_horizontal_lines, 92, 1),
        shape(frame_1221_shape_group_4_shape_6_horizontal_lines, 93, 8),
        shape(frame_1221_shape_group_4_shape_7_horizontal_lines, 101, 1),
        shape(frame_1221_shape_group_4_shape_8_horizontal_lines, 102, 8),
        shape(frame_1221_shape_group_4_shape_9_horizontal_lines, 103, 1),
        shape(frame_1221_shape_group_4_shape_10_horizontal_lines, 104, 8),
        shape(frame_1221_shape_group_4_shape_11_horizontal_lines, 105, 1),
        shape(frame_1221_shape_group_4_shape_12_horizontal_lines, 116, 8),
        shape(frame_1221_shape_group_4_shape_13_horizontal_lines, 117, 1),
        shape(frame_1221_shape_group_4_shape_14_horizontal_lines, 128, 14),
        shape(frame_1221_shape_group_4_shape_15_horizontal_lines, 129, 1),
        shape(frame_1221_shape_group_4_shape_16_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(229, 239),
        horizontal_line(220, 239),
        horizontal_line(211, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(137, 138),
        horizontal_line(135, 140),
        horizontal_line(133, 142),
        horizontal_line(236, 239),
        horizontal_line(129, 146),
        horizontal_line(127, 148),
        horizontal_line(125, 150),
        horizontal_line(123, 152),
        horizontal_line(121, 183),
        horizontal_line(122, 150),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(45, 56),
        horizontal_line(45, 56),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(128, 135),
        horizontal_line(31, 38),
        horizontal_line(129, 130),
        horizontal_line(31, 46),
        horizontal_line(125, 130),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(108, 130),
        horizontal_line(107, 130),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(119, 130),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(34, 52),
        horizontal_line(60, 60),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
        horizontal_line(108, 109),
        horizontal_line(117, 137),
        horizontal_line(208, 234),
        horizontal_line(213, 234),
        horizontal_line(218, 234),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(194, 198),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(200, 210),
        horizontal_line(201, 210),
        horizontal_line(202, 209),
        horizontal_line(203, 209),
        horizontal_line(205, 208),
        horizontal_line(206, 208),
        horizontal_line(207, 207),
    };

    constexpr const shape frame_1221_shape_group_5_shapes[] = {
        shape(frame_1221_shape_group_5_shape_0_horizontal_lines, 69, 1),
        shape(frame_1221_shape_group_5_shape_1_horizontal_lines, 74, 8),
        shape(frame_1221_shape_group_5_shape_2_horizontal_lines, 75, 1),
        shape(frame_1221_shape_group_5_shape_3_horizontal_lines, 89, 1),
        shape(frame_1221_shape_group_5_shape_4_horizontal_lines, 99, 8),
        shape(frame_1221_shape_group_5_shape_5_horizontal_lines, 101, 1),
        shape(frame_1221_shape_group_5_shape_6_horizontal_lines, 126, 14),
        shape(frame_1221_shape_group_5_shape_7_horizontal_lines, 128, 2),
        shape(frame_1221_shape_group_5_shape_8_horizontal_lines, 129, 14),
        shape(frame_1221_shape_group_5_shape_9_horizontal_lines, 130, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1221_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(219, 235),
        horizontal_line(203, 235),
        horizontal_line(187, 235),
        horizontal_line(171, 233),
        horizontal_line(183, 235),
        horizontal_line(154, 216),
        horizontal_line(124, 145),
        horizontal_line(126, 140),
        horizontal_line(154, 216),
        horizontal_line(131, 131),
        horizontal_line(154, 216),
        horizontal_line(127, 130),
        horizontal_line(154, 216),
        horizontal_line(215, 235),
        horizontal_line(215, 235),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(109, 113),
        horizontal_line(112, 112),
        horizontal_line(119, 122),
        horizontal_line(60, 60),
        horizontal_line(120, 141),
        horizontal_line(120, 140),
        horizontal_line(110, 110),
        horizontal_line(99, 100),
        horizontal_line(118, 138),
        horizontal_line(202, 234),
    };

    constexpr const horizontal_line frame_1221_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(134, 178),
        horizontal_line(0, 21),
        horizontal_line(133, 185),
        horizontal_line(132, 188),
        horizontal_line(132, 192),
        horizontal_line(131, 193),
    };

    constexpr const horizontal_line frame_1221_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(195, 202),
        horizontal_line(196, 205),
        horizontal_line(197, 208),
        horizontal_line(198, 211),
    };

    constexpr const shape frame_1221_shape_group_6_shapes[] = {
        shape(frame_1221_shape_group_6_shape_0_horizontal_lines, 74, 1),
        shape(frame_1221_shape_group_6_shape_1_horizontal_lines, 89, 1),
        shape(frame_1221_shape_group_6_shape_2_horizontal_lines, 92, 3),
        shape(frame_1221_shape_group_6_shape_3_horizontal_lines, 93, 1),
        shape(frame_1221_shape_group_6_shape_4_horizontal_lines, 123, 14),
        shape(frame_1221_shape_group_6_shape_5_horizontal_lines, 126, 2),
        shape(frame_1221_shape_group_6_shape_6_horizontal_lines, 135, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(233, 235),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(216, 235),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(216, 235),
        horizontal_line(154, 216),
        horizontal_line(216, 235),
        horizontal_line(154, 216),
        horizontal_line(216, 235),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(215, 235),
        horizontal_line(215, 235),
        horizontal_line(215, 235),
        horizontal_line(215, 234),
        horizontal_line(215, 234),
        horizontal_line(119, 129),
        horizontal_line(119, 125),
        horizontal_line(164, 226),
        horizontal_line(121, 132),
        horizontal_line(175, 234),
        horizontal_line(181, 234),
        horizontal_line(119, 139),
        horizontal_line(109, 109),
        horizontal_line(197, 234),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(107, 113),
        horizontal_line(135, 175),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(134, 182),
    };

    constexpr const horizontal_line frame_1221_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(193, 195),
    };

    constexpr const shape frame_1221_shape_group_7_shapes[] = {
        shape(frame_1221_shape_group_7_shape_0_horizontal_lines, 90, 3),
        shape(frame_1221_shape_group_7_shape_1_horizontal_lines, 93, 1),
        shape(frame_1221_shape_group_7_shape_2_horizontal_lines, 94, 3),
        shape(frame_1221_shape_group_7_shape_3_horizontal_lines, 96, 1),
        shape(frame_1221_shape_group_7_shape_4_horizontal_lines, 97, 3),
        shape(frame_1221_shape_group_7_shape_5_horizontal_lines, 98, 1),
        shape(frame_1221_shape_group_7_shape_6_horizontal_lines, 106, 3),
        shape(frame_1221_shape_group_7_shape_7_horizontal_lines, 108, 1),
        shape(frame_1221_shape_group_7_shape_8_horizontal_lines, 122, 14),
        shape(frame_1221_shape_group_7_shape_9_horizontal_lines, 123, 2),
        shape(frame_1221_shape_group_7_shape_10_horizontal_lines, 129, 2),
        shape(frame_1221_shape_group_7_shape_11_horizontal_lines, 133, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(216, 235),
        horizontal_line(216, 235),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(136, 153),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(216, 235),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(131, 153),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(216, 235),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(131, 153),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(118, 118),
        horizontal_line(117, 118),
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(159, 221),
        horizontal_line(226, 234),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(186, 234),
        horizontal_line(118, 139),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(109, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 114),
        horizontal_line(136, 172),
    };

    constexpr const shape frame_1221_shape_group_8_shapes[] = {
        shape(frame_1221_shape_group_8_shape_0_horizontal_lines, 93, 3),
        shape(frame_1221_shape_group_8_shape_1_horizontal_lines, 94, 14),
        shape(frame_1221_shape_group_8_shape_2_horizontal_lines, 96, 3),
        shape(frame_1221_shape_group_8_shape_3_horizontal_lines, 97, 14),
        shape(frame_1221_shape_group_8_shape_4_horizontal_lines, 98, 3),
        shape(frame_1221_shape_group_8_shape_5_horizontal_lines, 99, 1),
        shape(frame_1221_shape_group_8_shape_6_horizontal_lines, 101, 14),
        shape(frame_1221_shape_group_8_shape_7_horizontal_lines, 102, 1),
        shape(frame_1221_shape_group_8_shape_8_horizontal_lines, 103, 14),
        shape(frame_1221_shape_group_8_shape_9_horizontal_lines, 104, 1),
        shape(frame_1221_shape_group_8_shape_10_horizontal_lines, 105, 14),
        shape(frame_1221_shape_group_8_shape_11_horizontal_lines, 113, 1),
        shape(frame_1221_shape_group_8_shape_12_horizontal_lines, 117, 14),
        shape(frame_1221_shape_group_8_shape_13_horizontal_lines, 119, 1),
        shape(frame_1221_shape_group_8_shape_14_horizontal_lines, 121, 14),
        shape(frame_1221_shape_group_8_shape_15_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(236, 238),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(141, 153),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(47, 47),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(216, 234),
        horizontal_line(221, 234),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(113, 118),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(232, 234),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(191, 234),
    };

    constexpr const horizontal_line frame_1221_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(109, 116),
        horizontal_line(138, 162),
        horizontal_line(137, 165),
        horizontal_line(136, 168),
    };

    constexpr const shape frame_1221_shape_group_9_shapes[] = {
        shape(frame_1221_shape_group_9_shape_0_horizontal_lines, 93, 14),
        shape(frame_1221_shape_group_9_shape_1_horizontal_lines, 96, 14),
        shape(frame_1221_shape_group_9_shape_2_horizontal_lines, 98, 14),
        shape(frame_1221_shape_group_9_shape_3_horizontal_lines, 99, 3),
        shape(frame_1221_shape_group_9_shape_4_horizontal_lines, 100, 14),
        shape(frame_1221_shape_group_9_shape_5_horizontal_lines, 102, 3),
        shape(frame_1221_shape_group_9_shape_6_horizontal_lines, 103, 14),
        shape(frame_1221_shape_group_9_shape_7_horizontal_lines, 104, 3),
        shape(frame_1221_shape_group_9_shape_8_horizontal_lines, 105, 14),
        shape(frame_1221_shape_group_9_shape_9_horizontal_lines, 113, 1),
        shape(frame_1221_shape_group_9_shape_10_horizontal_lines, 115, 14),
        shape(frame_1221_shape_group_9_shape_11_horizontal_lines, 116, 1),
        shape(frame_1221_shape_group_9_shape_12_horizontal_lines, 117, 14),
        shape(frame_1221_shape_group_9_shape_13_horizontal_lines, 118, 2),
        shape(frame_1221_shape_group_9_shape_14_horizontal_lines, 119, 14),
        shape(frame_1221_shape_group_9_shape_15_horizontal_lines, 120, 1),
        shape(frame_1221_shape_group_9_shape_16_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(146, 153),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(132, 153),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(131, 153),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(114, 118),
        horizontal_line(113, 118),
        horizontal_line(235, 239),
        horizontal_line(113, 117),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(53, 59),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(110, 117),
        horizontal_line(138, 158),
    };

    constexpr const shape frame_1221_shape_group_10_shapes[] = {
        shape(frame_1221_shape_group_10_shape_0_horizontal_lines, 98, 14),
        shape(frame_1221_shape_group_10_shape_1_horizontal_lines, 101, 2),
        shape(frame_1221_shape_group_10_shape_2_horizontal_lines, 102, 14),
        shape(frame_1221_shape_group_10_shape_3_horizontal_lines, 103, 2),
        shape(frame_1221_shape_group_10_shape_4_horizontal_lines, 104, 14),
        shape(frame_1221_shape_group_10_shape_5_horizontal_lines, 105, 2),
        shape(frame_1221_shape_group_10_shape_6_horizontal_lines, 110, 14),
        shape(frame_1221_shape_group_10_shape_7_horizontal_lines, 117, 2),
        shape(frame_1221_shape_group_10_shape_8_horizontal_lines, 120, 14),
        shape(frame_1221_shape_group_10_shape_9_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(52, 55),
        horizontal_line(52, 56),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1221_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(53, 59),
        horizontal_line(112, 119),
        horizontal_line(54, 59),
        horizontal_line(0, 34),
        horizontal_line(139, 155),
    };

    constexpr const shape frame_1221_shape_group_11_shapes[] = {
        shape(frame_1221_shape_group_11_shape_0_horizontal_lines, 99, 14),
        shape(frame_1221_shape_group_11_shape_1_horizontal_lines, 100, 2),
        shape(frame_1221_shape_group_11_shape_2_horizontal_lines, 102, 14),
        shape(frame_1221_shape_group_11_shape_3_horizontal_lines, 104, 14),
        shape(frame_1221_shape_group_11_shape_4_horizontal_lines, 106, 2),
        shape(frame_1221_shape_group_11_shape_5_horizontal_lines, 113, 14),
        shape(frame_1221_shape_group_11_shape_6_horizontal_lines, 115, 2),
        shape(frame_1221_shape_group_11_shape_7_horizontal_lines, 116, 14),
        shape(frame_1221_shape_group_11_shape_8_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1221_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1221_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(52, 58),
        horizontal_line(52, 58),
        horizontal_line(53, 58),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(53, 58),
        horizontal_line(0, 33),
        horizontal_line(115, 119),
        horizontal_line(141, 145),
        horizontal_line(111, 118),
        horizontal_line(110, 117),
    };

    constexpr const shape frame_1221_shape_group_12_shapes[] = {
        shape(frame_1221_shape_group_12_shape_0_horizontal_lines, 102, 2),
        shape(frame_1221_shape_group_12_shape_1_horizontal_lines, 104, 2),
        shape(frame_1221_shape_group_12_shape_2_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(53, 58),
        horizontal_line(53, 58),
    };

    constexpr const horizontal_line frame_1221_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(53, 59),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_1221_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(140, 148),
        horizontal_line(140, 152),
    };

    constexpr const shape frame_1221_shape_group_13_shapes[] = {
        shape(frame_1221_shape_group_13_shape_0_horizontal_lines, 113, 2),
        shape(frame_1221_shape_group_13_shape_1_horizontal_lines, 116, 2),
        shape(frame_1221_shape_group_13_shape_2_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1221_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(118, 120),
    };

    constexpr const shape frame_1221_shape_group_14_shapes[] = {
        shape(frame_1221_shape_group_14_shape_0_horizontal_lines, 116, 2),
    };

    constexpr const shape_group frame_1221_shape_groups[] = {
        shape_group(frame_1221_shape_group_0_shapes),
        shape_group(frame_1221_shape_group_1_shapes),
        shape_group(frame_1221_shape_group_2_shapes),
        shape_group(frame_1221_shape_group_3_shapes),
        shape_group(frame_1221_shape_group_4_shapes),
        shape_group(frame_1221_shape_group_5_shapes),
        shape_group(frame_1221_shape_group_6_shapes),
        shape_group(frame_1221_shape_group_7_shapes),
        shape_group(frame_1221_shape_group_8_shapes),
        shape_group(frame_1221_shape_group_9_shapes),
        shape_group(frame_1221_shape_group_10_shapes),
        shape_group(frame_1221_shape_group_11_shapes),
        shape_group(frame_1221_shape_group_12_shapes),
        shape_group(frame_1221_shape_group_13_shapes),
        shape_group(frame_1221_shape_group_14_shapes),
    };

    constexpr const frame frame_1221_impl(frame_1221_colors, frame_1221_shape_groups);
} 

const frame& frame_1221()
{
    return frame_1221_impl;
}

namespace
{
    constexpr const bn::color frame_1222_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1222_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 48),
        horizontal_line(0, 51),
        horizontal_line(1, 55),
        horizontal_line(2, 58),
        horizontal_line(3, 62),
        horizontal_line(4, 65),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(25, 53),
        horizontal_line(26, 54),
        horizontal_line(27, 55),
        horizontal_line(29, 56),
        horizontal_line(30, 56),
        horizontal_line(32, 57),
        horizontal_line(33, 58),
        horizontal_line(35, 59),
        horizontal_line(36, 59),
        horizontal_line(38, 60),
        horizontal_line(39, 61),
        horizontal_line(41, 62),
        horizontal_line(42, 62),
        horizontal_line(44, 63),
        horizontal_line(45, 64),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(67, 70),
        horizontal_line(67, 76),
        horizontal_line(67, 81),
        horizontal_line(68, 87),
        horizontal_line(68, 92),
        horizontal_line(68, 98),
        horizontal_line(69, 103),
        horizontal_line(69, 109),
        horizontal_line(69, 114),
        horizontal_line(70, 120),
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(57, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(60, 69),
        horizontal_line(60, 70),
        horizontal_line(71, 76),
        horizontal_line(71, 83),
        horizontal_line(71, 90),
        horizontal_line(71, 97),
        horizontal_line(71, 104),
        horizontal_line(71, 104),
        horizontal_line(71, 103),
        horizontal_line(71, 103),
        horizontal_line(71, 102),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(69, 69),
        horizontal_line(158, 198),
        horizontal_line(161, 203),
        horizontal_line(165, 208),
        horizontal_line(168, 213),
        horizontal_line(171, 218),
        horizontal_line(174, 223),
        horizontal_line(177, 228),
        horizontal_line(180, 233),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 236),
    };

    constexpr const horizontal_line frame_1222_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1222_shape_group_0_shapes[] = {
        shape(frame_1222_shape_group_0_shape_0_horizontal_lines, 6, 4),
        shape(frame_1222_shape_group_0_shape_1_horizontal_lines, 145, 8),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(67, 69),
        horizontal_line(68, 73),
        horizontal_line(69, 76),
        horizontal_line(70, 80),
        horizontal_line(72, 83),
        horizontal_line(73, 87),
        horizontal_line(74, 90),
        horizontal_line(75, 94),
        horizontal_line(76, 97),
        horizontal_line(77, 101),
        horizontal_line(78, 104),
        horizontal_line(79, 108),
        horizontal_line(81, 111),
        horizontal_line(82, 115),
        horizontal_line(83, 118),
        horizontal_line(84, 122),
        horizontal_line(85, 125),
        horizontal_line(86, 129),
        horizontal_line(87, 132),
        horizontal_line(88, 136),
        horizontal_line(90, 139),
        horizontal_line(91, 143),
        horizontal_line(92, 147),
        horizontal_line(93, 150),
        horizontal_line(94, 154),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(57, 119),
        horizontal_line(62, 124),
        horizontal_line(67, 129),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(87, 149),
        horizontal_line(92, 154),
        horizontal_line(97, 159),
        horizontal_line(102, 164),
        horizontal_line(107, 169),
        horizontal_line(112, 168),
        horizontal_line(117, 164),
        horizontal_line(122, 159),
        horizontal_line(127, 155),
        horizontal_line(132, 150),
        horizontal_line(137, 146),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(16, 48),
        horizontal_line(15, 48),
        horizontal_line(15, 47),
        horizontal_line(17, 47),
        horizontal_line(20, 46),
        horizontal_line(23, 46),
        horizontal_line(26, 45),
        horizontal_line(30, 45),
        horizontal_line(33, 44),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(75, 119),
        horizontal_line(81, 118),
        horizontal_line(87, 117),
        horizontal_line(93, 115),
        horizontal_line(99, 114),
        horizontal_line(105, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(54, 58),
        horizontal_line(53, 59),
        horizontal_line(53, 59),
        horizontal_line(53, 70),
        horizontal_line(54, 59),
        horizontal_line(55, 58),
        horizontal_line(56, 58),
        horizontal_line(61, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(154, 163),
        horizontal_line(77, 101),
        horizontal_line(85, 101),
        horizontal_line(92, 100),
        horizontal_line(100, 100),
        horizontal_line(152, 188),
        horizontal_line(155, 193),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(42, 76),
        horizontal_line(39, 84),
        horizontal_line(35, 92),
        horizontal_line(32, 94),
        horizontal_line(41, 103),
        horizontal_line(50, 112),
        horizontal_line(60, 118),
        horizontal_line(69, 120),
        horizontal_line(78, 122),
        horizontal_line(88, 124),
        horizontal_line(97, 126),
        horizontal_line(106, 128),
        horizontal_line(116, 130),
        horizontal_line(125, 132),
    };

    constexpr const horizontal_line frame_1222_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1222_shape_group_1_shapes[] = {
        shape(frame_1222_shape_group_1_shape_0_horizontal_lines, 21, 9),
        shape(frame_1222_shape_group_1_shape_1_horizontal_lines, 25, 4),
        shape(frame_1222_shape_group_1_shape_2_horizontal_lines, 87, 9),
        shape(frame_1222_shape_group_1_shape_3_horizontal_lines, 96, 4),
        shape(frame_1222_shape_group_1_shape_4_horizontal_lines, 103, 9),
        shape(frame_1222_shape_group_1_shape_5_horizontal_lines, 113, 4),
        shape(frame_1222_shape_group_1_shape_6_horizontal_lines, 121, 9),
        shape(frame_1222_shape_group_1_shape_7_horizontal_lines, 135, 8),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(158, 161),
        horizontal_line(159, 164),
        horizontal_line(161, 168),
        horizontal_line(162, 171),
        horizontal_line(163, 175),
        horizontal_line(164, 178),
        horizontal_line(165, 182),
        horizontal_line(166, 185),
        horizontal_line(167, 189),
        horizontal_line(168, 192),
        horizontal_line(170, 196),
        horizontal_line(171, 199),
        horizontal_line(172, 203),
        horizontal_line(173, 206),
        horizontal_line(174, 210),
        horizontal_line(175, 213),
        horizontal_line(176, 217),
        horizontal_line(178, 221),
        horizontal_line(119, 181),
        horizontal_line(124, 186),
        horizontal_line(129, 191),
        horizontal_line(134, 196),
        horizontal_line(139, 199),
        horizontal_line(144, 195),
        horizontal_line(149, 190),
        horizontal_line(154, 186),
        horizontal_line(159, 182),
        horizontal_line(164, 177),
        horizontal_line(169, 173),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(19, 40),
        horizontal_line(19, 41),
        horizontal_line(18, 43),
        horizontal_line(18, 44),
        horizontal_line(17, 46),
        horizontal_line(17, 47),
        horizontal_line(16, 66),
        horizontal_line(50, 66),
        horizontal_line(51, 66),
        horizontal_line(52, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 67),
        horizontal_line(54, 68),
        horizontal_line(54, 68),
        horizontal_line(55, 68),
        horizontal_line(56, 69),
        horizontal_line(36, 44),
        horizontal_line(39, 43),
        horizontal_line(43, 43),
        horizontal_line(55, 57),
        horizontal_line(55, 57),
        horizontal_line(55, 58),
        horizontal_line(54, 58),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(46, 53),
        horizontal_line(51, 52),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(27, 50),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(58, 60),
        horizontal_line(58, 61),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(117, 117),
        horizontal_line(146, 178),
        horizontal_line(149, 183),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(49, 62),
        horizontal_line(46, 68),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(31, 41),
        horizontal_line(31, 38),
        horizontal_line(31, 34),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(94, 100),
        horizontal_line(103, 108),
        horizontal_line(112, 116),
    };

    constexpr const horizontal_line frame_1222_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(25, 59),
        horizontal_line(23, 68),
        horizontal_line(20, 77),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
    };

    constexpr const shape frame_1222_shape_group_2_shapes[] = {
        shape(frame_1222_shape_group_2_shape_0_horizontal_lines, 25, 9),
        shape(frame_1222_shape_group_2_shape_1_horizontal_lines, 50, 4),
        shape(frame_1222_shape_group_2_shape_2_horizontal_lines, 80, 9),
        shape(frame_1222_shape_group_2_shape_3_horizontal_lines, 103, 8),
        shape(frame_1222_shape_group_2_shape_4_horizontal_lines, 106, 1),
        shape(frame_1222_shape_group_2_shape_5_horizontal_lines, 107, 9),
        shape(frame_1222_shape_group_2_shape_6_horizontal_lines, 110, 8),
        shape(frame_1222_shape_group_2_shape_7_horizontal_lines, 113, 9),
        shape(frame_1222_shape_group_2_shape_8_horizontal_lines, 115, 4),
        shape(frame_1222_shape_group_2_shape_9_horizontal_lines, 119, 9),
        shape(frame_1222_shape_group_2_shape_10_horizontal_lines, 121, 1),
        shape(frame_1222_shape_group_2_shape_11_horizontal_lines, 124, 9),
        shape(frame_1222_shape_group_2_shape_12_horizontal_lines, 127, 8),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(1, 41),
        horizontal_line(3, 42),
        horizontal_line(5, 43),
        horizontal_line(7, 45),
        horizontal_line(9, 46),
        horizontal_line(11, 47),
        horizontal_line(14, 48),
        horizontal_line(16, 49),
        horizontal_line(18, 50),
        horizontal_line(20, 51),
        horizontal_line(22, 53),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(181, 217),
        horizontal_line(186, 213),
        horizontal_line(191, 208),
        horizontal_line(196, 204),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(23, 29),
        horizontal_line(22, 31),
        horizontal_line(22, 32),
        horizontal_line(21, 34),
        horizontal_line(21, 35),
        horizontal_line(20, 37),
        horizontal_line(20, 38),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(7, 14),
        horizontal_line(14, 14),
        horizontal_line(16, 16),
        horizontal_line(17, 19),
        horizontal_line(18, 22),
        horizontal_line(19, 25),
        horizontal_line(21, 29),
        horizontal_line(22, 32),
        horizontal_line(23, 35),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(30, 54),
        horizontal_line(34, 54),
        horizontal_line(38, 54),
        horizontal_line(42, 53),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(27, 45),
        horizontal_line(27, 50),
        horizontal_line(27, 50),
        horizontal_line(109, 132),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(59, 60),
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(28, 50),
        horizontal_line(29, 51),
        horizontal_line(29, 51),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(151, 168),
        horizontal_line(148, 173),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(30, 48),
        horizontal_line(31, 45),
        horizontal_line(99, 106),
        horizontal_line(98, 105),
        horizontal_line(97, 108),
        horizontal_line(101, 108),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(29, 40),
        horizontal_line(27, 49),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(119, 137),
        horizontal_line(121, 137),
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(80, 87),
        horizontal_line(78, 96),
        horizontal_line(76, 105),
        horizontal_line(74, 115),
        horizontal_line(71, 124),
        horizontal_line(131, 134),
        horizontal_line(129, 135),
        horizontal_line(127, 136),
        horizontal_line(125, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
    };

    constexpr const horizontal_line frame_1222_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(234, 234),
        horizontal_line(233, 236),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_1222_shape_group_3_shapes[] = {
        shape(frame_1222_shape_group_3_shape_0_horizontal_lines, 50, 9),
        shape(frame_1222_shape_group_3_shape_1_horizontal_lines, 69, 4),
        shape(frame_1222_shape_group_3_shape_2_horizontal_lines, 73, 9),
        shape(frame_1222_shape_group_3_shape_3_horizontal_lines, 80, 8),
        shape(frame_1222_shape_group_3_shape_4_horizontal_lines, 97, 9),
        shape(frame_1222_shape_group_3_shape_5_horizontal_lines, 99, 8),
        shape(frame_1222_shape_group_3_shape_6_horizontal_lines, 103, 1),
        shape(frame_1222_shape_group_3_shape_7_horizontal_lines, 107, 8),
        shape(frame_1222_shape_group_3_shape_8_horizontal_lines, 110, 1),
        shape(frame_1222_shape_group_3_shape_9_horizontal_lines, 113, 8),
        shape(frame_1222_shape_group_3_shape_10_horizontal_lines, 115, 4),
        shape(frame_1222_shape_group_3_shape_11_horizontal_lines, 117, 9),
        shape(frame_1222_shape_group_3_shape_12_horizontal_lines, 119, 1),
        shape(frame_1222_shape_group_3_shape_13_horizontal_lines, 125, 8),
        shape(frame_1222_shape_group_3_shape_14_horizontal_lines, 127, 1),
        shape(frame_1222_shape_group_3_shape_15_horizontal_lines, 130, 8),
        shape(frame_1222_shape_group_3_shape_16_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(24, 25),
        horizontal_line(24, 26),
        horizontal_line(23, 28),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(49, 49),
        horizontal_line(49, 50),
        horizontal_line(48, 51),
        horizontal_line(48, 51),
        horizontal_line(47, 52),
        horizontal_line(47, 53),
        horizontal_line(46, 53),
        horizontal_line(46, 54),
        horizontal_line(45, 55),
        horizontal_line(45, 56),
        horizontal_line(24, 38),
        horizontal_line(26, 42),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(26, 29),
        horizontal_line(26, 33),
        horizontal_line(26, 37),
        horizontal_line(26, 41),
        horizontal_line(112, 113),
        horizontal_line(111, 115),
        horizontal_line(110, 117),
        horizontal_line(158, 220),
        horizontal_line(28, 50),
        horizontal_line(28, 50),
        horizontal_line(28, 50),
        horizontal_line(106, 117),
        horizontal_line(107, 116),
        horizontal_line(58, 58),
        horizontal_line(29, 51),
        horizontal_line(29, 51),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(30, 52),
        horizontal_line(100, 101),
        horizontal_line(99, 103),
        horizontal_line(108, 110),
        horizontal_line(107, 109),
        horizontal_line(118, 140),
        horizontal_line(117, 139),
        horizontal_line(116, 139),
        horizontal_line(117, 138),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(125, 136),
        horizontal_line(127, 135),
        horizontal_line(129, 134),
        horizontal_line(131, 134),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_1222_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
    };

    constexpr const shape frame_1222_shape_group_4_shapes[] = {
        shape(frame_1222_shape_group_4_shape_0_horizontal_lines, 58, 8),
        shape(frame_1222_shape_group_4_shape_1_horizontal_lines, 70, 9),
        shape(frame_1222_shape_group_4_shape_2_horizontal_lines, 73, 8),
        shape(frame_1222_shape_group_4_shape_3_horizontal_lines, 87, 8),
        shape(frame_1222_shape_group_4_shape_4_horizontal_lines, 99, 1),
        shape(frame_1222_shape_group_4_shape_5_horizontal_lines, 115, 8),
        shape(frame_1222_shape_group_4_shape_6_horizontal_lines, 116, 9),
        shape(frame_1222_shape_group_4_shape_7_horizontal_lines, 117, 8),
        shape(frame_1222_shape_group_4_shape_8_horizontal_lines, 118, 1),
        shape(frame_1222_shape_group_4_shape_9_horizontal_lines, 129, 2),
        shape(frame_1222_shape_group_4_shape_10_horizontal_lines, 130, 1),
        shape(frame_1222_shape_group_4_shape_11_horizontal_lines, 135, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(230, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(138, 144),
        horizontal_line(136, 146),
        horizontal_line(133, 148),
        horizontal_line(131, 150),
        horizontal_line(129, 152),
        horizontal_line(126, 154),
        horizontal_line(124, 156),
        horizontal_line(122, 158),
        horizontal_line(123, 154),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(44, 55),
        horizontal_line(44, 55),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(129, 141),
        horizontal_line(131, 137),
        horizontal_line(133, 133),
        horizontal_line(130, 132),
        horizontal_line(128, 132),
        horizontal_line(125, 132),
        horizontal_line(123, 132),
        horizontal_line(220, 239),
        horizontal_line(108, 132),
        horizontal_line(107, 132),
        horizontal_line(106, 118),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
        horizontal_line(109, 115),
        horizontal_line(58, 58),
        horizontal_line(58, 59),
        horizontal_line(29, 51),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(30, 51),
        horizontal_line(59, 60),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(119, 141),
        horizontal_line(118, 140),
        horizontal_line(209, 239),
        horizontal_line(214, 239),
        horizontal_line(219, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(137, 183),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(201, 214),
        horizontal_line(203, 218),
        horizontal_line(204, 221),
        horizontal_line(205, 224),
        horizontal_line(206, 227),
        horizontal_line(207, 230),
        horizontal_line(209, 233),
        horizontal_line(210, 232),
        horizontal_line(211, 232),
        horizontal_line(212, 231),
        horizontal_line(213, 231),
        horizontal_line(215, 230),
        horizontal_line(216, 230),
        horizontal_line(217, 230),
        horizontal_line(218, 229),
        horizontal_line(219, 229),
        horizontal_line(221, 228),
        horizontal_line(222, 228),
        horizontal_line(223, 227),
        horizontal_line(224, 227),
        horizontal_line(226, 227),
    };

    constexpr const shape frame_1222_shape_group_5_shapes[] = {
        shape(frame_1222_shape_group_5_shape_0_horizontal_lines, 66, 1),
        shape(frame_1222_shape_group_5_shape_1_horizontal_lines, 70, 8),
        shape(frame_1222_shape_group_5_shape_2_horizontal_lines, 73, 1),
        shape(frame_1222_shape_group_5_shape_3_horizontal_lines, 87, 1),
        shape(frame_1222_shape_group_5_shape_4_horizontal_lines, 97, 8),
        shape(frame_1222_shape_group_5_shape_5_horizontal_lines, 99, 1),
        shape(frame_1222_shape_group_5_shape_6_horizontal_lines, 116, 8),
        shape(frame_1222_shape_group_5_shape_7_horizontal_lines, 117, 1),
        shape(frame_1222_shape_group_5_shape_8_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1222_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(186, 239),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(125, 150),
        horizontal_line(127, 146),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1222_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(133, 157),
    };

    constexpr const horizontal_line frame_1222_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(120, 132),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(120, 131),
        horizontal_line(111, 114),
        horizontal_line(113, 113),
        horizontal_line(58, 59),
        horizontal_line(30, 51),
        horizontal_line(59, 60),
        horizontal_line(121, 143),
        horizontal_line(120, 142),
        horizontal_line(120, 142),
        horizontal_line(199, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(138, 176),
        horizontal_line(138, 179),
    };

    constexpr const horizontal_line frame_1222_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(137, 186),
        horizontal_line(136, 189),
        horizontal_line(135, 192),
        horizontal_line(135, 195),
        horizontal_line(134, 196),
        horizontal_line(197, 202),
        horizontal_line(198, 205),
        horizontal_line(199, 208),
        horizontal_line(200, 211),
    };

    constexpr const shape frame_1222_shape_group_6_shapes[] = {
        shape(frame_1222_shape_group_6_shape_0_horizontal_lines, 70, 1),
        shape(frame_1222_shape_group_6_shape_1_horizontal_lines, 88, 3),
        shape(frame_1222_shape_group_6_shape_2_horizontal_lines, 93, 1),
        shape(frame_1222_shape_group_6_shape_3_horizontal_lines, 106, 14),
        shape(frame_1222_shape_group_6_shape_4_horizontal_lines, 107, 1),
        shape(frame_1222_shape_group_6_shape_5_horizontal_lines, 123, 2),
        shape(frame_1222_shape_group_6_shape_6_horizontal_lines, 130, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1222_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1222_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(158, 220),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(158, 220),
        horizontal_line(120, 127),
        horizontal_line(120, 124),
        horizontal_line(123, 131),
        horizontal_line(59, 60),
        horizontal_line(122, 144),
        horizontal_line(184, 239),
        horizontal_line(189, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(109, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 115),
        horizontal_line(139, 173),
    };

    constexpr const horizontal_line frame_1222_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(196, 199),
    };

    constexpr const shape frame_1222_shape_group_7_shapes[] = {
        shape(frame_1222_shape_group_7_shape_0_horizontal_lines, 93, 3),
        shape(frame_1222_shape_group_7_shape_1_horizontal_lines, 95, 1),
        shape(frame_1222_shape_group_7_shape_2_horizontal_lines, 106, 2),
        shape(frame_1222_shape_group_7_shape_3_horizontal_lines, 107, 1),
        shape(frame_1222_shape_group_7_shape_4_horizontal_lines, 121, 2),
        shape(frame_1222_shape_group_7_shape_5_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(142, 157),
        horizontal_line(138, 157),
        horizontal_line(134, 157),
        horizontal_line(133, 157),
        horizontal_line(133, 157),
        horizontal_line(133, 157),
        horizontal_line(133, 157),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(133, 157),
        horizontal_line(133, 157),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(118, 119),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(159, 221),
        horizontal_line(164, 226),
        horizontal_line(169, 231),
        horizontal_line(122, 138),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(111, 118),
        horizontal_line(110, 117),
        horizontal_line(141, 164),
        horizontal_line(140, 167),
        horizontal_line(140, 170),
    };

    constexpr const shape frame_1222_shape_group_8_shapes[] = {
        shape(frame_1222_shape_group_8_shape_0_horizontal_lines, 95, 3),
        shape(frame_1222_shape_group_8_shape_1_horizontal_lines, 97, 1),
        shape(frame_1222_shape_group_8_shape_2_horizontal_lines, 99, 14),
        shape(frame_1222_shape_group_8_shape_3_horizontal_lines, 106, 2),
        shape(frame_1222_shape_group_8_shape_4_horizontal_lines, 107, 14),
        shape(frame_1222_shape_group_8_shape_5_horizontal_lines, 109, 1),
        shape(frame_1222_shape_group_8_shape_6_horizontal_lines, 110, 14),
        shape(frame_1222_shape_group_8_shape_7_horizontal_lines, 112, 1),
        shape(frame_1222_shape_group_8_shape_8_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(133, 157),
        horizontal_line(133, 157),
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(226, 239),
        horizontal_line(231, 239),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_1222_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(53, 58),
        horizontal_line(112, 119),
        horizontal_line(111, 119),
        horizontal_line(142, 157),
        horizontal_line(141, 160),
    };

    constexpr const shape frame_1222_shape_group_9_shapes[] = {
        shape(frame_1222_shape_group_9_shape_0_horizontal_lines, 96, 14),
        shape(frame_1222_shape_group_9_shape_1_horizontal_lines, 97, 3),
        shape(frame_1222_shape_group_9_shape_2_horizontal_lines, 99, 2),
        shape(frame_1222_shape_group_9_shape_3_horizontal_lines, 107, 2),
        shape(frame_1222_shape_group_9_shape_4_horizontal_lines, 109, 14),
        shape(frame_1222_shape_group_9_shape_5_horizontal_lines, 113, 1),
        shape(frame_1222_shape_group_9_shape_6_horizontal_lines, 117, 14),
        shape(frame_1222_shape_group_9_shape_7_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(151, 157),
        horizontal_line(147, 157),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(51, 51),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(51, 53),
        horizontal_line(51, 54),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(133, 157),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(133, 157),
        horizontal_line(115, 119),
        horizontal_line(114, 119),
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1222_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(113, 120),
        horizontal_line(143, 151),
        horizontal_line(143, 154),
    };

    constexpr const shape frame_1222_shape_group_10_shapes[] = {
        shape(frame_1222_shape_group_10_shape_0_horizontal_lines, 97, 14),
        shape(frame_1222_shape_group_10_shape_1_horizontal_lines, 105, 2),
        shape(frame_1222_shape_group_10_shape_2_horizontal_lines, 107, 2),
        shape(frame_1222_shape_group_10_shape_3_horizontal_lines, 109, 14),
        shape(frame_1222_shape_group_10_shape_4_horizontal_lines, 110, 2),
        shape(frame_1222_shape_group_10_shape_5_horizontal_lines, 112, 14),
        shape(frame_1222_shape_group_10_shape_6_horizontal_lines, 116, 1),
        shape(frame_1222_shape_group_10_shape_7_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(25, 25),
    };

    constexpr const horizontal_line frame_1222_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(51, 57),
        horizontal_line(52, 57),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1222_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_1222_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(52, 58),
        horizontal_line(144, 148),
    };

    constexpr const shape frame_1222_shape_group_11_shapes[] = {
        shape(frame_1222_shape_group_11_shape_0_horizontal_lines, 98, 2),
        shape(frame_1222_shape_group_11_shape_1_horizontal_lines, 109, 2),
        shape(frame_1222_shape_group_11_shape_2_horizontal_lines, 116, 14),
        shape(frame_1222_shape_group_11_shape_3_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(51, 55),
    };

    constexpr const horizontal_line frame_1222_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(0, 29),
        horizontal_line(115, 121),
    };

    constexpr const shape frame_1222_shape_group_12_shapes[] = {
        shape(frame_1222_shape_group_12_shape_0_horizontal_lines, 109, 2),
        shape(frame_1222_shape_group_12_shape_1_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(52, 58),
        horizontal_line(145, 145),
    };

    constexpr const shape frame_1222_shape_group_13_shapes[] = {
        shape(frame_1222_shape_group_13_shape_0_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1222_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(118, 121),
    };

    constexpr const shape frame_1222_shape_group_14_shapes[] = {
        shape(frame_1222_shape_group_14_shape_0_horizontal_lines, 116, 2),
    };

    constexpr const shape_group frame_1222_shape_groups[] = {
        shape_group(frame_1222_shape_group_0_shapes),
        shape_group(frame_1222_shape_group_1_shapes),
        shape_group(frame_1222_shape_group_2_shapes),
        shape_group(frame_1222_shape_group_3_shapes),
        shape_group(frame_1222_shape_group_4_shapes),
        shape_group(frame_1222_shape_group_5_shapes),
        shape_group(frame_1222_shape_group_6_shapes),
        shape_group(frame_1222_shape_group_7_shapes),
        shape_group(frame_1222_shape_group_8_shapes),
        shape_group(frame_1222_shape_group_9_shapes),
        shape_group(frame_1222_shape_group_10_shapes),
        shape_group(frame_1222_shape_group_11_shapes),
        shape_group(frame_1222_shape_group_12_shapes),
        shape_group(frame_1222_shape_group_13_shapes),
        shape_group(frame_1222_shape_group_14_shapes),
    };

    constexpr const frame frame_1222_impl(frame_1222_colors, frame_1222_shape_groups);
} 

const frame& frame_1222()
{
    return frame_1222_impl;
}

namespace
{
    constexpr const bn::color frame_1223_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1223_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(113, 175),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(148, 210),
        horizontal_line(151, 213),
        horizontal_line(154, 216),
        horizontal_line(157, 219),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(5, 44),
        horizontal_line(7, 46),
        horizontal_line(9, 47),
        horizontal_line(11, 48),
        horizontal_line(13, 49),
        horizontal_line(15, 50),
        horizontal_line(17, 52),
    };

    constexpr const horizontal_line frame_1223_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(53, 55),
        horizontal_line(54, 60),
        horizontal_line(55, 64),
        horizontal_line(55, 69),
        horizontal_line(56, 74),
        horizontal_line(57, 78),
        horizontal_line(58, 83),
        horizontal_line(58, 88),
        horizontal_line(59, 92),
        horizontal_line(60, 97),
        horizontal_line(61, 102),
        horizontal_line(61, 106),
        horizontal_line(62, 111),
        horizontal_line(63, 116),
        horizontal_line(64, 120),
        horizontal_line(64, 125),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(81, 140),
        horizontal_line(86, 138),
        horizontal_line(91, 136),
        horizontal_line(97, 134),
        horizontal_line(102, 131),
        horizontal_line(107, 129),
        horizontal_line(112, 127),
        horizontal_line(117, 125),
        horizontal_line(123, 123),
        horizontal_line(70, 74),
        horizontal_line(70, 80),
        horizontal_line(70, 86),
        horizontal_line(70, 93),
        horizontal_line(70, 99),
        horizontal_line(70, 105),
        horizontal_line(70, 112),
        horizontal_line(70, 112),
        horizontal_line(71, 111),
        horizontal_line(76, 110),
        horizontal_line(82, 109),
        horizontal_line(88, 108),
        horizontal_line(94, 107),
        horizontal_line(100, 106),
        horizontal_line(106, 106),
        horizontal_line(106, 107),
        horizontal_line(105, 110),
        horizontal_line(104, 113),
        horizontal_line(71, 75),
        horizontal_line(71, 81),
        horizontal_line(71, 87),
        horizontal_line(71, 93),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(71, 98),
        horizontal_line(77, 98),
        horizontal_line(86, 97),
        horizontal_line(94, 97),
    };

    constexpr const horizontal_line frame_1223_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(36, 98),
        horizontal_line(45, 107),
        horizontal_line(55, 117),
        horizontal_line(64, 123),
        horizontal_line(73, 125),
        horizontal_line(83, 127),
        horizontal_line(92, 128),
        horizontal_line(101, 130),
        horizontal_line(111, 132),
        horizontal_line(120, 134),
        horizontal_line(129, 136),
    };

    constexpr const horizontal_line frame_1223_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1223_shape_group_0_shapes[] = {
        shape(frame_1223_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_1223_shape_group_0_shape_1_horizontal_lines, 58, 9),
        shape(frame_1223_shape_group_0_shape_2_horizontal_lines, 65, 14),
        shape(frame_1223_shape_group_0_shape_3_horizontal_lines, 124, 9),
        shape(frame_1223_shape_group_0_shape_4_horizontal_lines, 137, 8),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(118, 180),
        horizontal_line(121, 183),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(140, 202),
        horizontal_line(143, 205),
        horizontal_line(146, 208),
        horizontal_line(149, 211),
        horizontal_line(152, 214),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(1, 42),
        horizontal_line(3, 43),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(230, 239),
        horizontal_line(225, 239),
        horizontal_line(220, 239),
        horizontal_line(215, 239),
        horizontal_line(210, 239),
        horizontal_line(205, 239),
        horizontal_line(200, 239),
        horizontal_line(195, 239),
        horizontal_line(190, 239),
        horizontal_line(185, 239),
        horizontal_line(180, 239),
        horizontal_line(175, 237),
        horizontal_line(170, 232),
        horizontal_line(165, 227),
        horizontal_line(160, 222),
        horizontal_line(155, 217),
        horizontal_line(150, 212),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(163, 202),
        horizontal_line(165, 165),
        horizontal_line(122, 124),
        horizontal_line(121, 126),
        horizontal_line(119, 129),
        horizontal_line(118, 131),
        horizontal_line(116, 134),
        horizontal_line(115, 132),
        horizontal_line(114, 130),
        horizontal_line(115, 128),
        horizontal_line(117, 127),
        horizontal_line(119, 125),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(55, 58),
        horizontal_line(56, 58),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(131, 162),
        horizontal_line(104, 113),
        horizontal_line(103, 113),
        horizontal_line(102, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 112),
        horizontal_line(104, 111),
        horizontal_line(108, 109),
        horizontal_line(107, 108),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(38, 85),
        horizontal_line(34, 93),
        horizontal_line(92, 101),
        horizontal_line(89, 109),
        horizontal_line(98, 118),
        horizontal_line(107, 119),
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_1223_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(17, 63),
        horizontal_line(15, 72),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1223_shape_group_1_shapes[] = {
        shape(frame_1223_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1223_shape_group_1_shape_1_horizontal_lines, 39, 9),
        shape(frame_1223_shape_group_1_shape_2_horizontal_lines, 58, 8),
        shape(frame_1223_shape_group_1_shape_3_horizontal_lines, 66, 14),
        shape(frame_1223_shape_group_1_shape_4_horizontal_lines, 106, 9),
        shape(frame_1223_shape_group_1_shape_5_horizontal_lines, 111, 14),
        shape(frame_1223_shape_group_1_shape_6_horizontal_lines, 122, 9),
        shape(frame_1223_shape_group_1_shape_7_horizontal_lines, 129, 8),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(19, 20),
        horizontal_line(19, 21),
        horizontal_line(18, 23),
        horizontal_line(18, 24),
        horizontal_line(17, 26),
        horizontal_line(17, 27),
        horizontal_line(16, 29),
        horizontal_line(16, 30),
        horizontal_line(15, 32),
        horizontal_line(15, 33),
        horizontal_line(14, 35),
        horizontal_line(14, 36),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(232, 239),
        horizontal_line(227, 239),
        horizontal_line(127, 130),
        horizontal_line(128, 134),
        horizontal_line(129, 139),
        horizontal_line(133, 144),
        horizontal_line(138, 142),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(27, 42),
        horizontal_line(31, 42),
        horizontal_line(34, 41),
        horizontal_line(37, 41),
        horizontal_line(41, 41),
        horizontal_line(55, 57),
        horizontal_line(55, 58),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(53, 59),
        horizontal_line(53, 59),
        horizontal_line(53, 70),
        horizontal_line(54, 59),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(58, 61),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(128, 159),
        horizontal_line(127, 156),
        horizontal_line(135, 154),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(49, 62),
        horizontal_line(45, 68),
        horizontal_line(41, 76),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(26, 37),
        horizontal_line(26, 33),
        horizontal_line(26, 29),
        horizontal_line(118, 144),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(24, 35),
        horizontal_line(22, 44),
        horizontal_line(19, 54),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(124, 141),
        horizontal_line(126, 141),
    };

    constexpr const horizontal_line frame_1223_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(74, 82),
        horizontal_line(72, 91),
        horizontal_line(70, 100),
        horizontal_line(67, 110),
        horizontal_line(65, 119),
        horizontal_line(63, 125),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
    };

    constexpr const shape frame_1223_shape_group_2_shapes[] = {
        shape(frame_1223_shape_group_2_shape_0_horizontal_lines, 0, 14),
        shape(frame_1223_shape_group_2_shape_1_horizontal_lines, 20, 9),
        shape(frame_1223_shape_group_2_shape_2_horizontal_lines, 56, 8),
        shape(frame_1223_shape_group_2_shape_3_horizontal_lines, 66, 9),
        shape(frame_1223_shape_group_2_shape_4_horizontal_lines, 78, 14),
        shape(frame_1223_shape_group_2_shape_5_horizontal_lines, 93, 9),
        shape(frame_1223_shape_group_2_shape_6_horizontal_lines, 110, 8),
        shape(frame_1223_shape_group_2_shape_7_horizontal_lines, 111, 9),
        shape(frame_1223_shape_group_2_shape_8_horizontal_lines, 113, 14),
        shape(frame_1223_shape_group_2_shape_9_horizontal_lines, 117, 9),
        shape(frame_1223_shape_group_2_shape_10_horizontal_lines, 122, 1),
        shape(frame_1223_shape_group_2_shape_11_horizontal_lines, 126, 8),
        shape(frame_1223_shape_group_2_shape_12_horizontal_lines, 129, 1),
        shape(frame_1223_shape_group_2_shape_13_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(13, 38),
        horizontal_line(13, 39),
        horizontal_line(12, 41),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(217, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(9, 46),
        horizontal_line(9, 45),
        horizontal_line(11, 45),
        horizontal_line(14, 44),
        horizontal_line(17, 44),
        horizontal_line(21, 43),
        horizontal_line(24, 43),
        horizontal_line(56, 68),
        horizontal_line(57, 69),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(55, 57),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(22, 54),
        horizontal_line(28, 43),
        horizontal_line(35, 53),
        horizontal_line(42, 46),
        horizontal_line(49, 52),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(23, 48),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(59, 60),
        horizontal_line(58, 60),
        horizontal_line(58, 61),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(24, 50),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(25, 51),
        horizontal_line(25, 52),
        horizontal_line(25, 48),
        horizontal_line(26, 44),
        horizontal_line(26, 40),
        horizontal_line(98, 105),
        horizontal_line(98, 104),
        horizontal_line(102, 103),
        horizontal_line(225, 239),
        horizontal_line(119, 143),
        horizontal_line(120, 143),
        horizontal_line(122, 142),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(128, 140),
        horizontal_line(129, 140),
        horizontal_line(131, 139),
        horizontal_line(133, 138),
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_1223_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
    };

    constexpr const shape frame_1223_shape_group_3_shapes[] = {
        shape(frame_1223_shape_group_3_shape_0_horizontal_lines, 66, 8),
        shape(frame_1223_shape_group_3_shape_1_horizontal_lines, 78, 9),
        shape(frame_1223_shape_group_3_shape_2_horizontal_lines, 81, 14),
        shape(frame_1223_shape_group_3_shape_3_horizontal_lines, 86, 9),
        shape(frame_1223_shape_group_3_shape_4_horizontal_lines, 98, 8),
        shape(frame_1223_shape_group_3_shape_5_horizontal_lines, 104, 1),
        shape(frame_1223_shape_group_3_shape_6_horizontal_lines, 105, 9),
        shape(frame_1223_shape_group_3_shape_7_horizontal_lines, 106, 8),
        shape(frame_1223_shape_group_3_shape_8_horizontal_lines, 110, 1),
        shape(frame_1223_shape_group_3_shape_9_horizontal_lines, 111, 8),
        shape(frame_1223_shape_group_3_shape_10_horizontal_lines, 113, 9),
        shape(frame_1223_shape_group_3_shape_11_horizontal_lines, 114, 8),
        shape(frame_1223_shape_group_3_shape_12_horizontal_lines, 115, 9),
        shape(frame_1223_shape_group_3_shape_13_horizontal_lines, 117, 1),
        shape(frame_1223_shape_group_3_shape_14_horizontal_lines, 129, 2),
        shape(frame_1223_shape_group_3_shape_15_horizontal_lines, 131, 1),
        shape(frame_1223_shape_group_3_shape_16_horizontal_lines, 136, 8),
        shape(frame_1223_shape_group_3_shape_17_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(12, 42),
        horizontal_line(11, 44),
        horizontal_line(11, 45),
        horizontal_line(10, 66),
        horizontal_line(10, 46),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 67),
        horizontal_line(54, 68),
        horizontal_line(55, 68),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(16, 26),
        horizontal_line(17, 30),
        horizontal_line(18, 33),
        horizontal_line(19, 36),
        horizontal_line(20, 40),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(132, 141),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(45, 54),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(22, 34),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(48, 53),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(22, 48),
        horizontal_line(22, 48),
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(23, 49),
        horizontal_line(23, 49),
        horizontal_line(23, 49),
        horizontal_line(24, 49),
        horizontal_line(57, 57),
        horizontal_line(24, 50),
        horizontal_line(24, 50),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(24, 51),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(59, 60),
        horizontal_line(100, 107),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(107, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(142, 186),
        horizontal_line(142, 189),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_1223_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(201, 211),
        horizontal_line(202, 214),
        horizontal_line(203, 217),
        horizontal_line(204, 220),
        horizontal_line(205, 223),
        horizontal_line(207, 226),
        horizontal_line(208, 229),
        horizontal_line(209, 232),
        horizontal_line(210, 235),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_1223_shape_group_4_shapes[] = {
        shape(frame_1223_shape_group_4_shape_0_horizontal_lines, 78, 8),
        shape(frame_1223_shape_group_4_shape_1_horizontal_lines, 81, 9),
        shape(frame_1223_shape_group_4_shape_2_horizontal_lines, 93, 8),
        shape(frame_1223_shape_group_4_shape_3_horizontal_lines, 98, 1),
        shape(frame_1223_shape_group_4_shape_4_horizontal_lines, 99, 8),
        shape(frame_1223_shape_group_4_shape_5_horizontal_lines, 100, 1),
        shape(frame_1223_shape_group_4_shape_6_horizontal_lines, 101, 8),
        shape(frame_1223_shape_group_4_shape_7_horizontal_lines, 102, 1),
        shape(frame_1223_shape_group_4_shape_8_horizontal_lines, 105, 8),
        shape(frame_1223_shape_group_4_shape_9_horizontal_lines, 106, 1),
        shape(frame_1223_shape_group_4_shape_10_horizontal_lines, 113, 8),
        shape(frame_1223_shape_group_4_shape_11_horizontal_lines, 114, 1),
        shape(frame_1223_shape_group_4_shape_12_horizontal_lines, 115, 8),
        shape(frame_1223_shape_group_4_shape_13_horizontal_lines, 117, 1),
        shape(frame_1223_shape_group_4_shape_14_horizontal_lines, 125, 2),
        shape(frame_1223_shape_group_4_shape_15_horizontal_lines, 126, 1),
        shape(frame_1223_shape_group_4_shape_16_horizontal_lines, 128, 2),
        shape(frame_1223_shape_group_4_shape_17_horizontal_lines, 136, 1),
        shape(frame_1223_shape_group_4_shape_18_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1223_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(48, 66),
    };

    constexpr const horizontal_line frame_1223_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(8, 8),
        horizontal_line(10, 10),
        horizontal_line(11, 13),
        horizontal_line(12, 16),
        horizontal_line(13, 20),
        horizontal_line(14, 23),
        horizontal_line(43, 55),
        horizontal_line(43, 56),
        horizontal_line(42, 55),
        horizontal_line(42, 55),
        horizontal_line(42, 54),
    };

    constexpr const horizontal_line frame_1223_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(164, 226),
        horizontal_line(22, 27),
        horizontal_line(133, 134),
        horizontal_line(22, 41),
        horizontal_line(113, 114),
        horizontal_line(112, 116),
        horizontal_line(126, 134),
        horizontal_line(23, 48),
        horizontal_line(109, 134),
        horizontal_line(108, 134),
        horizontal_line(107, 120),
        horizontal_line(107, 118),
        horizontal_line(108, 117),
        horizontal_line(57, 57),
        horizontal_line(58, 58),
        horizontal_line(24, 50),
        horizontal_line(58, 59),
        horizontal_line(25, 51),
        horizontal_line(25, 51),
        horizontal_line(113, 113),
        horizontal_line(100, 103),
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(108, 111),
        horizontal_line(120, 146),
        horizontal_line(120, 145),
        horizontal_line(119, 144),
    };

    constexpr const horizontal_line frame_1223_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(110, 117),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(143, 183),
    };

    constexpr const horizontal_line frame_1223_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(141, 192),
        horizontal_line(141, 196),
        horizontal_line(140, 199),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_1223_shape_group_5_shapes[] = {
        shape(frame_1223_shape_group_5_shape_0_horizontal_lines, 81, 8),
        shape(frame_1223_shape_group_5_shape_1_horizontal_lines, 85, 9),
        shape(frame_1223_shape_group_5_shape_2_horizontal_lines, 86, 8),
        shape(frame_1223_shape_group_5_shape_3_horizontal_lines, 98, 1),
        shape(frame_1223_shape_group_5_shape_4_horizontal_lines, 125, 2),
        shape(frame_1223_shape_group_5_shape_5_horizontal_lines, 131, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(47, 48),
        horizontal_line(46, 49),
        horizontal_line(46, 50),
        horizontal_line(45, 51),
        horizontal_line(45, 52),
        horizontal_line(44, 53),
        horizontal_line(44, 54),
    };

    constexpr const horizontal_line frame_1223_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(126, 162),
        horizontal_line(124, 164),
        horizontal_line(125, 159),
        horizontal_line(127, 153),
        horizontal_line(130, 147),
        horizontal_line(226, 239),
        horizontal_line(135, 135),
        horizontal_line(164, 226),
        horizontal_line(131, 134),
        horizontal_line(129, 134),
        horizontal_line(128, 134),
        horizontal_line(163, 225),
        horizontal_line(110, 120),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(111, 115),
        horizontal_line(114, 114),
        horizontal_line(58, 58),
        horizontal_line(126, 126),
        horizontal_line(58, 60),
        horizontal_line(59, 60),
        horizontal_line(124, 149),
        horizontal_line(112, 112),
        horizontal_line(122, 147),
        horizontal_line(122, 147),
        horizontal_line(121, 146),
        horizontal_line(211, 239),
        horizontal_line(216, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(145, 174),
        horizontal_line(144, 177),
        horizontal_line(144, 180),
    };

    constexpr const horizontal_line frame_1223_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(201, 202),
        horizontal_line(201, 205),
        horizontal_line(138, 200),
    };

    constexpr const shape frame_1223_shape_group_6_shapes[] = {
        shape(frame_1223_shape_group_6_shape_0_horizontal_lines, 85, 8),
        shape(frame_1223_shape_group_6_shape_1_horizontal_lines, 93, 1),
        shape(frame_1223_shape_group_6_shape_2_horizontal_lines, 125, 2),
        shape(frame_1223_shape_group_6_shape_3_horizontal_lines, 134, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(47, 47),
    };

    constexpr const horizontal_line frame_1223_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(141, 148),
        horizontal_line(139, 150),
        horizontal_line(137, 152),
        horizontal_line(135, 154),
        horizontal_line(132, 156),
        horizontal_line(130, 158),
        horizontal_line(128, 160),
        horizontal_line(203, 239),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
    };

    constexpr const horizontal_line frame_1223_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(142, 163),
    };

    constexpr const horizontal_line frame_1223_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(164, 226),
        horizontal_line(226, 239),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(225, 239),
        horizontal_line(124, 134),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(122, 133),
        horizontal_line(122, 129),
        horizontal_line(122, 125),
        horizontal_line(173, 235),
        horizontal_line(125, 134),
        horizontal_line(124, 142),
        horizontal_line(187, 239),
        horizontal_line(123, 148),
        horizontal_line(197, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(105, 105),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_1223_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(200, 208),
    };

    constexpr const shape frame_1223_shape_group_7_shapes[] = {
        shape(frame_1223_shape_group_7_shape_0_horizontal_lines, 85, 8),
        shape(frame_1223_shape_group_7_shape_1_horizontal_lines, 86, 1),
        shape(frame_1223_shape_group_7_shape_2_horizontal_lines, 98, 4),
        shape(frame_1223_shape_group_7_shape_3_horizontal_lines, 99, 1),
        shape(frame_1223_shape_group_7_shape_4_horizontal_lines, 122, 4),
        shape(frame_1223_shape_group_7_shape_5_horizontal_lines, 136, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(135, 163),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(163, 225),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(168, 230),
        horizontal_line(235, 239),
        horizontal_line(178, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const shape frame_1223_shape_group_8_shapes[] = {
        shape(frame_1223_shape_group_8_shape_0_horizontal_lines, 85, 1),
        shape(frame_1223_shape_group_8_shape_1_horizontal_lines, 87, 3),
        shape(frame_1223_shape_group_8_shape_2_horizontal_lines, 94, 1),
        shape(frame_1223_shape_group_8_shape_3_horizontal_lines, 98, 2),
        shape(frame_1223_shape_group_8_shape_4_horizontal_lines, 99, 1),
        shape(frame_1223_shape_group_8_shape_5_horizontal_lines, 100, 4),
        shape(frame_1223_shape_group_8_shape_6_horizontal_lines, 101, 1),
        shape(frame_1223_shape_group_8_shape_7_horizontal_lines, 104, 3),
        shape(frame_1223_shape_group_8_shape_8_horizontal_lines, 105, 1),
        shape(frame_1223_shape_group_8_shape_9_horizontal_lines, 106, 3),
        shape(frame_1223_shape_group_8_shape_10_horizontal_lines, 108, 1),
        shape(frame_1223_shape_group_8_shape_11_horizontal_lines, 117, 2),
        shape(frame_1223_shape_group_8_shape_12_horizontal_lines, 118, 1),
        shape(frame_1223_shape_group_8_shape_13_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(44, 44),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(47, 47),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(135, 163),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(135, 162),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(135, 162),
        horizontal_line(135, 162),
        horizontal_line(121, 121),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(114, 121),
        horizontal_line(114, 117),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_1223_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(52, 58),
        horizontal_line(0, 24),
        horizontal_line(113, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(111, 119),
        horizontal_line(110, 119),
        horizontal_line(105, 105),
    };

    constexpr const shape frame_1223_shape_group_9_shapes[] = {
        shape(frame_1223_shape_group_9_shape_0_horizontal_lines, 94, 3),
        shape(frame_1223_shape_group_9_shape_1_horizontal_lines, 99, 3),
        shape(frame_1223_shape_group_9_shape_2_horizontal_lines, 100, 2),
        shape(frame_1223_shape_group_9_shape_3_horizontal_lines, 101, 3),
        shape(frame_1223_shape_group_9_shape_4_horizontal_lines, 102, 4),
        shape(frame_1223_shape_group_9_shape_5_horizontal_lines, 103, 3),
        shape(frame_1223_shape_group_9_shape_6_horizontal_lines, 104, 4),
        shape(frame_1223_shape_group_9_shape_7_horizontal_lines, 105, 1),
        shape(frame_1223_shape_group_9_shape_8_horizontal_lines, 106, 4),
        shape(frame_1223_shape_group_9_shape_9_horizontal_lines, 111, 1),
        shape(frame_1223_shape_group_9_shape_10_horizontal_lines, 114, 4),
        shape(frame_1223_shape_group_9_shape_11_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(160, 163),
        horizontal_line(154, 163),
        horizontal_line(148, 163),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(136, 163),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(135, 163),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(135, 163),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(135, 162),
        horizontal_line(135, 162),
        horizontal_line(135, 162),
        horizontal_line(116, 121),
        horizontal_line(115, 121),
        horizontal_line(114, 121),
    };

    constexpr const horizontal_line frame_1223_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(114, 123),
        horizontal_line(53, 58),
        horizontal_line(148, 156),
        horizontal_line(148, 159),
        horizontal_line(147, 162),
        horizontal_line(147, 165),
        horizontal_line(146, 168),
        horizontal_line(110, 118),
    };

    constexpr const shape frame_1223_shape_group_10_shapes[] = {
        shape(frame_1223_shape_group_10_shape_0_horizontal_lines, 95, 4),
        shape(frame_1223_shape_group_10_shape_1_horizontal_lines, 99, 4),
        shape(frame_1223_shape_group_10_shape_2_horizontal_lines, 101, 4),
        shape(frame_1223_shape_group_10_shape_3_horizontal_lines, 102, 2),
        shape(frame_1223_shape_group_10_shape_4_horizontal_lines, 103, 4),
        shape(frame_1223_shape_group_10_shape_5_horizontal_lines, 104, 2),
        shape(frame_1223_shape_group_10_shape_6_horizontal_lines, 105, 3),
        shape(frame_1223_shape_group_10_shape_7_horizontal_lines, 106, 2),
        shape(frame_1223_shape_group_10_shape_8_horizontal_lines, 108, 4),
        shape(frame_1223_shape_group_10_shape_9_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(49, 50),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(135, 162),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(50, 53),
        horizontal_line(50, 54),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(135, 162),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(150, 150),
        horizontal_line(113, 122),
    };

    constexpr const horizontal_line frame_1223_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(145, 171),
    };

    constexpr const shape frame_1223_shape_group_11_shapes[] = {
        shape(frame_1223_shape_group_11_shape_0_horizontal_lines, 99, 2),
        shape(frame_1223_shape_group_11_shape_1_horizontal_lines, 101, 2),
        shape(frame_1223_shape_group_11_shape_2_horizontal_lines, 103, 2),
        shape(frame_1223_shape_group_11_shape_3_horizontal_lines, 105, 4),
        shape(frame_1223_shape_group_11_shape_4_horizontal_lines, 106, 2),
        shape(frame_1223_shape_group_11_shape_5_horizontal_lines, 111, 4),
        shape(frame_1223_shape_group_11_shape_6_horizontal_lines, 112, 2),
        shape(frame_1223_shape_group_11_shape_7_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1223_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1223_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(50, 56),
        horizontal_line(50, 56),
        horizontal_line(51, 56),
        horizontal_line(0, 23),
        horizontal_line(51, 57),
        horizontal_line(51, 57),
    };

    constexpr const horizontal_line frame_1223_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(120, 124),
        horizontal_line(115, 123),
    };

    constexpr const horizontal_line frame_1223_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(149, 153),
    };

    constexpr const shape frame_1223_shape_group_12_shapes[] = {
        shape(frame_1223_shape_group_12_shape_0_horizontal_lines, 103, 2),
        shape(frame_1223_shape_group_12_shape_1_horizontal_lines, 105, 2),
        shape(frame_1223_shape_group_12_shape_2_horizontal_lines, 108, 2),
        shape(frame_1223_shape_group_12_shape_3_horizontal_lines, 115, 2),
        shape(frame_1223_shape_group_12_shape_4_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1223_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(49, 52),
    };

    constexpr const horizontal_line frame_1223_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(51, 56),
    };

    constexpr const shape frame_1223_shape_group_13_shapes[] = {
        shape(frame_1223_shape_group_13_shape_0_horizontal_lines, 105, 2),
        shape(frame_1223_shape_group_13_shape_1_horizontal_lines, 111, 2),
    };

    constexpr const shape_group frame_1223_shape_groups[] = {
        shape_group(frame_1223_shape_group_0_shapes),
        shape_group(frame_1223_shape_group_1_shapes),
        shape_group(frame_1223_shape_group_2_shapes),
        shape_group(frame_1223_shape_group_3_shapes),
        shape_group(frame_1223_shape_group_4_shapes),
        shape_group(frame_1223_shape_group_5_shapes),
        shape_group(frame_1223_shape_group_6_shapes),
        shape_group(frame_1223_shape_group_7_shapes),
        shape_group(frame_1223_shape_group_8_shapes),
        shape_group(frame_1223_shape_group_9_shapes),
        shape_group(frame_1223_shape_group_10_shapes),
        shape_group(frame_1223_shape_group_11_shapes),
        shape_group(frame_1223_shape_group_12_shapes),
        shape_group(frame_1223_shape_group_13_shapes),
    };

    constexpr const frame frame_1223_impl(frame_1223_colors, frame_1223_shape_groups);
} 

const frame& frame_1223()
{
    return frame_1223_impl;
}

namespace
{
    constexpr const bn::color frame_1224_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1224_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(1, 41),
        horizontal_line(3, 42),
        horizontal_line(5, 43),
        horizontal_line(7, 44),
        horizontal_line(9, 45),
        horizontal_line(11, 46),
        horizontal_line(13, 48),
    };

    constexpr const horizontal_line frame_1224_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(49, 51),
        horizontal_line(50, 56),
        horizontal_line(51, 61),
        horizontal_line(52, 65),
        horizontal_line(53, 70),
        horizontal_line(54, 75),
        horizontal_line(54, 79),
        horizontal_line(55, 84),
        horizontal_line(56, 89),
        horizontal_line(57, 93),
        horizontal_line(58, 98),
        horizontal_line(59, 103),
        horizontal_line(60, 107),
        horizontal_line(60, 112),
        horizontal_line(61, 117),
        horizontal_line(62, 121),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(80, 142),
        horizontal_line(85, 145),
        horizontal_line(90, 143),
        horizontal_line(95, 140),
        horizontal_line(100, 138),
        horizontal_line(105, 135),
        horizontal_line(110, 132),
        horizontal_line(115, 130),
        horizontal_line(120, 127),
        horizontal_line(70, 73),
        horizontal_line(70, 79),
        horizontal_line(70, 84),
        horizontal_line(70, 90),
        horizontal_line(70, 96),
        horizontal_line(70, 101),
        horizontal_line(70, 107),
        horizontal_line(70, 113),
        horizontal_line(70, 113),
        horizontal_line(71, 112),
        horizontal_line(76, 111),
        horizontal_line(82, 110),
        horizontal_line(88, 109),
        horizontal_line(94, 108),
        horizontal_line(100, 107),
        horizontal_line(107, 107),
        horizontal_line(107, 108),
        horizontal_line(106, 111),
        horizontal_line(105, 114),
        horizontal_line(71, 75),
        horizontal_line(71, 81),
        horizontal_line(71, 87),
        horizontal_line(71, 93),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(71, 100),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(74, 98),
        horizontal_line(81, 98),
        horizontal_line(89, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1224_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(32, 94),
        horizontal_line(42, 104),
        horizontal_line(52, 114),
        horizontal_line(62, 124),
        horizontal_line(72, 128),
        horizontal_line(82, 130),
        horizontal_line(92, 132),
        horizontal_line(102, 134),
        horizontal_line(112, 136),
        horizontal_line(122, 138),
        horizontal_line(132, 140),
    };

    constexpr const horizontal_line frame_1224_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1224_shape_group_0_shapes[] = {
        shape(frame_1224_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_1224_shape_group_0_shape_1_horizontal_lines, 30, 9),
        shape(frame_1224_shape_group_0_shape_2_horizontal_lines, 61, 14),
        shape(frame_1224_shape_group_0_shape_3_horizontal_lines, 124, 9),
        shape(frame_1224_shape_group_0_shape_4_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(12, 13),
        horizontal_line(12, 15),
        horizontal_line(11, 16),
        horizontal_line(11, 18),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(230, 239),
        horizontal_line(225, 239),
        horizontal_line(220, 239),
        horizontal_line(215, 239),
        horizontal_line(210, 239),
        horizontal_line(205, 239),
        horizontal_line(200, 239),
        horizontal_line(196, 239),
        horizontal_line(191, 239),
        horizontal_line(186, 239),
        horizontal_line(181, 239),
        horizontal_line(176, 238),
        horizontal_line(171, 233),
        horizontal_line(166, 228),
        horizontal_line(161, 223),
        horizontal_line(156, 218),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(125, 125),
        horizontal_line(124, 126),
        horizontal_line(122, 128),
        horizontal_line(121, 130),
        horizontal_line(119, 132),
        horizontal_line(118, 134),
        horizontal_line(116, 137),
        horizontal_line(115, 134),
        horizontal_line(116, 132),
        horizontal_line(118, 130),
        horizontal_line(120, 127),
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(54, 58),
        horizontal_line(55, 57),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(105, 114),
        horizontal_line(104, 114),
        horizontal_line(103, 114),
        horizontal_line(102, 114),
        horizontal_line(102, 114),
        horizontal_line(103, 113),
        horizontal_line(106, 112),
        horizontal_line(109, 110),
        horizontal_line(108, 109),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(38, 80),
        horizontal_line(34, 88),
        horizontal_line(31, 93),
        horizontal_line(90, 103),
        horizontal_line(87, 111),
        horizontal_line(84, 119),
        horizontal_line(94, 120),
        horizontal_line(104, 122),
        horizontal_line(114, 124),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_1224_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(10, 71),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1224_shape_group_1_shapes[] = {
        shape(frame_1224_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1224_shape_group_1_shape_1_horizontal_lines, 18, 9),
        shape(frame_1224_shape_group_1_shape_2_horizontal_lines, 54, 8),
        shape(frame_1224_shape_group_1_shape_3_horizontal_lines, 61, 9),
        shape(frame_1224_shape_group_1_shape_4_horizontal_lines, 65, 14),
        shape(frame_1224_shape_group_1_shape_5_horizontal_lines, 104, 9),
        shape(frame_1224_shape_group_1_shape_6_horizontal_lines, 110, 14),
        shape(frame_1224_shape_group_1_shape_7_horizontal_lines, 121, 9),
        shape(frame_1224_shape_group_1_shape_8_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(10, 19),
        horizontal_line(10, 21),
        horizontal_line(9, 22),
        horizontal_line(9, 24),
        horizontal_line(8, 25),
        horizontal_line(8, 27),
        horizontal_line(7, 28),
        horizontal_line(7, 30),
        horizontal_line(6, 31),
        horizontal_line(6, 33),
        horizontal_line(5, 34),
        horizontal_line(5, 36),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(126, 131),
        horizontal_line(127, 135),
        horizontal_line(128, 140),
        horizontal_line(132, 145),
        horizontal_line(137, 150),
        horizontal_line(142, 148),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(169, 205),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(39, 39),
        horizontal_line(54, 56),
        horizontal_line(54, 56),
        horizontal_line(54, 57),
        horizontal_line(53, 57),
        horizontal_line(53, 57),
        horizontal_line(52, 58),
        horizontal_line(52, 58),
        horizontal_line(52, 70),
        horizontal_line(53, 58),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(58, 61),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(134, 153),
        horizontal_line(131, 168),
        horizontal_line(129, 165),
        horizontal_line(135, 162),
        horizontal_line(142, 159),
        horizontal_line(149, 156),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(47, 57),
        horizontal_line(44, 65),
        horizontal_line(41, 73),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(20, 37),
        horizontal_line(21, 33),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(93, 96),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(21, 27),
        horizontal_line(21, 24),
        horizontal_line(120, 148),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(19, 31),
        horizontal_line(17, 41),
        horizontal_line(15, 51),
        horizontal_line(12, 61),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(129, 145),
    };

    constexpr const horizontal_line frame_1224_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(70, 81),
        horizontal_line(67, 91),
        horizontal_line(65, 101),
        horizontal_line(63, 111),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 167),
    };

    constexpr const shape frame_1224_shape_group_2_shapes[] = {
        shape(frame_1224_shape_group_2_shape_0_horizontal_lines, 61, 8),
        shape(frame_1224_shape_group_2_shape_1_horizontal_lines, 65, 9),
        shape(frame_1224_shape_group_2_shape_2_horizontal_lines, 77, 14),
        shape(frame_1224_shape_group_2_shape_3_horizontal_lines, 94, 9),
        shape(frame_1224_shape_group_2_shape_4_horizontal_lines, 108, 8),
        shape(frame_1224_shape_group_2_shape_5_horizontal_lines, 110, 9),
        shape(frame_1224_shape_group_2_shape_6_horizontal_lines, 111, 14),
        shape(frame_1224_shape_group_2_shape_7_horizontal_lines, 117, 9),
        shape(frame_1224_shape_group_2_shape_8_horizontal_lines, 121, 1),
        shape(frame_1224_shape_group_2_shape_9_horizontal_lines, 123, 9),
        shape(frame_1224_shape_group_2_shape_10_horizontal_lines, 124, 1),
        shape(frame_1224_shape_group_2_shape_11_horizontal_lines, 127, 8),
        shape(frame_1224_shape_group_2_shape_12_horizontal_lines, 131, 1),
        shape(frame_1224_shape_group_2_shape_13_horizontal_lines, 132, 8),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(233, 239),
        horizontal_line(228, 239),
        horizontal_line(223, 239),
        horizontal_line(218, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(1, 44),
        horizontal_line(3, 43),
        horizontal_line(7, 43),
        horizontal_line(11, 42),
        horizontal_line(15, 42),
        horizontal_line(19, 41),
        horizontal_line(23, 41),
        horizontal_line(27, 40),
        horizontal_line(31, 40),
        horizontal_line(35, 39),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(13, 53),
        horizontal_line(15, 41),
        horizontal_line(21, 42),
        horizontal_line(28, 43),
        horizontal_line(34, 44),
        horizontal_line(41, 45),
        horizontal_line(50, 51),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(16, 47),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(60, 70),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(17, 48),
        horizontal_line(18, 48),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(19, 50),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(20, 43),
        horizontal_line(20, 40),
        horizontal_line(99, 106),
        horizontal_line(98, 105),
        horizontal_line(21, 30),
        horizontal_line(106, 109),
        horizontal_line(119, 149),
        horizontal_line(235, 239),
        horizontal_line(121, 147),
        horizontal_line(123, 147),
        horizontal_line(125, 146),
        horizontal_line(127, 145),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(131, 144),
        horizontal_line(133, 144),
        horizontal_line(135, 143),
        horizontal_line(137, 142),
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_1224_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
    };

    constexpr const shape frame_1224_shape_group_3_shapes[] = {
        shape(frame_1224_shape_group_3_shape_0_horizontal_lines, 65, 8),
        shape(frame_1224_shape_group_3_shape_1_horizontal_lines, 77, 14),
        shape(frame_1224_shape_group_3_shape_2_horizontal_lines, 84, 9),
        shape(frame_1224_shape_group_3_shape_3_horizontal_lines, 95, 8),
        shape(frame_1224_shape_group_3_shape_4_horizontal_lines, 102, 1),
        shape(frame_1224_shape_group_3_shape_5_horizontal_lines, 103, 9),
        shape(frame_1224_shape_group_3_shape_6_horizontal_lines, 104, 8),
        shape(frame_1224_shape_group_3_shape_7_horizontal_lines, 108, 1),
        shape(frame_1224_shape_group_3_shape_8_horizontal_lines, 110, 8),
        shape(frame_1224_shape_group_3_shape_9_horizontal_lines, 112, 9),
        shape(frame_1224_shape_group_3_shape_10_horizontal_lines, 117, 1),
        shape(frame_1224_shape_group_3_shape_11_horizontal_lines, 118, 9),
        shape(frame_1224_shape_group_3_shape_12_horizontal_lines, 119, 1),
        shape(frame_1224_shape_group_3_shape_13_horizontal_lines, 131, 2),
        shape(frame_1224_shape_group_3_shape_14_horizontal_lines, 132, 1),
        shape(frame_1224_shape_group_3_shape_15_horizontal_lines, 137, 8),
        shape(frame_1224_shape_group_3_shape_16_horizontal_lines, 138, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(4, 37),
        horizontal_line(4, 39),
        horizontal_line(3, 40),
        horizontal_line(3, 42),
        horizontal_line(2, 43),
        horizontal_line(2, 64),
        horizontal_line(1, 44),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 68),
        horizontal_line(54, 68),
        horizontal_line(55, 69),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(10, 30),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(12, 38),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(131, 157),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(43, 53),
        horizontal_line(44, 53),
        horizontal_line(46, 52),
        horizontal_line(47, 52),
        horizontal_line(49, 51),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(16, 47),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(16, 47),
        horizontal_line(17, 47),
        horizontal_line(17, 47),
        horizontal_line(17, 48),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(18, 48),
        horizontal_line(18, 48),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(60, 61),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(19, 49),
        horizontal_line(19, 49),
        horizontal_line(19, 49),
        horizontal_line(58, 60),
        horizontal_line(20, 46),
        horizontal_line(100, 107),
        horizontal_line(99, 107),
        horizontal_line(108, 111),
        horizontal_line(107, 110),
        horizontal_line(98, 104),
        horizontal_line(120, 149),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(146, 195),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(143, 205),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_1224_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(205, 215),
        horizontal_line(206, 218),
        horizontal_line(207, 221),
        horizontal_line(208, 224),
        horizontal_line(209, 227),
        horizontal_line(210, 230),
        horizontal_line(212, 233),
        horizontal_line(213, 236),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_1224_shape_group_4_shapes[] = {
        shape(frame_1224_shape_group_4_shape_0_horizontal_lines, 77, 9),
        shape(frame_1224_shape_group_4_shape_1_horizontal_lines, 92, 8),
        shape(frame_1224_shape_group_4_shape_2_horizontal_lines, 93, 9),
        shape(frame_1224_shape_group_4_shape_3_horizontal_lines, 94, 8),
        shape(frame_1224_shape_group_4_shape_4_horizontal_lines, 95, 1),
        shape(frame_1224_shape_group_4_shape_5_horizontal_lines, 96, 8),
        shape(frame_1224_shape_group_4_shape_6_horizontal_lines, 101, 1),
        shape(frame_1224_shape_group_4_shape_7_horizontal_lines, 103, 8),
        shape(frame_1224_shape_group_4_shape_8_horizontal_lines, 104, 1),
        shape(frame_1224_shape_group_4_shape_9_horizontal_lines, 112, 8),
        shape(frame_1224_shape_group_4_shape_10_horizontal_lines, 114, 1),
        shape(frame_1224_shape_group_4_shape_11_horizontal_lines, 126, 2),
        shape(frame_1224_shape_group_4_shape_12_horizontal_lines, 137, 1),
        shape(frame_1224_shape_group_4_shape_13_horizontal_lines, 138, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(56, 65),
        horizontal_line(64, 65),
        horizontal_line(47, 66),
    };

    constexpr const horizontal_line frame_1224_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(2, 2),
        horizontal_line(3, 6),
        horizontal_line(4, 10),
        horizontal_line(5, 14),
        horizontal_line(6, 18),
        horizontal_line(8, 22),
        horizontal_line(9, 26),
        horizontal_line(41, 55),
        horizontal_line(11, 34),
        horizontal_line(40, 54),
    };

    constexpr const horizontal_line frame_1224_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(133, 151),
        horizontal_line(15, 20),
        horizontal_line(15, 27),
        horizontal_line(15, 33),
        horizontal_line(15, 40),
        horizontal_line(113, 117),
        horizontal_line(128, 137),
        horizontal_line(16, 47),
        horizontal_line(110, 137),
        horizontal_line(109, 137),
        horizontal_line(108, 121),
        horizontal_line(108, 119),
        horizontal_line(109, 118),
        horizontal_line(112, 116),
        horizontal_line(57, 58),
        horizontal_line(57, 58),
        horizontal_line(18, 49),
        horizontal_line(18, 49),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(101, 105),
        horizontal_line(59, 61),
        horizontal_line(110, 112),
        horizontal_line(109, 112),
        horizontal_line(122, 151),
        horizontal_line(121, 150),
        horizontal_line(107, 110),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(149, 181),
        horizontal_line(148, 183),
        horizontal_line(148, 186),
        horizontal_line(147, 189),
        horizontal_line(146, 192),
    };

    constexpr const horizontal_line frame_1224_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(145, 198),
        horizontal_line(145, 201),
        horizontal_line(144, 204),
        horizontal_line(143, 205),
        horizontal_line(205, 210),
        horizontal_line(142, 204),
    };

    constexpr const shape frame_1224_shape_group_5_shapes[] = {
        shape(frame_1224_shape_group_5_shape_0_horizontal_lines, 77, 8),
        shape(frame_1224_shape_group_5_shape_1_horizontal_lines, 81, 9),
        shape(frame_1224_shape_group_5_shape_2_horizontal_lines, 84, 8),
        shape(frame_1224_shape_group_5_shape_3_horizontal_lines, 95, 1),
        shape(frame_1224_shape_group_5_shape_4_horizontal_lines, 125, 2),
        shape(frame_1224_shape_group_5_shape_5_horizontal_lines, 132, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(45, 47),
        horizontal_line(44, 48),
        horizontal_line(44, 49),
        horizontal_line(43, 50),
        horizontal_line(43, 51),
        horizontal_line(42, 52),
        horizontal_line(42, 53),
        horizontal_line(41, 54),
    };

    constexpr const horizontal_line frame_1224_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(126, 168),
    };

    constexpr const horizontal_line frame_1224_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(40, 54),
    };

    constexpr const horizontal_line frame_1224_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(129, 164),
        horizontal_line(232, 239),
        horizontal_line(170, 232),
        horizontal_line(135, 144),
        horizontal_line(138, 138),
        horizontal_line(135, 137),
        horizontal_line(114, 115),
        horizontal_line(131, 137),
        horizontal_line(170, 232),
        horizontal_line(111, 121),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(115, 115),
        horizontal_line(123, 131),
        horizontal_line(58, 59),
        horizontal_line(58, 59),
        horizontal_line(127, 134),
        horizontal_line(126, 141),
        horizontal_line(101, 102),
        horizontal_line(113, 113),
        horizontal_line(100, 108),
        horizontal_line(123, 152),
        horizontal_line(123, 152),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(121, 150),
    };

    constexpr const horizontal_line frame_1224_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(112, 118),
    };

    constexpr const horizontal_line frame_1224_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(205, 207),
    };

    constexpr const horizontal_line frame_1224_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(204, 212),
    };

    constexpr const shape frame_1224_shape_group_6_shapes[] = {
        shape(frame_1224_shape_group_6_shape_0_horizontal_lines, 81, 8),
        shape(frame_1224_shape_group_6_shape_1_horizontal_lines, 92, 1),
        shape(frame_1224_shape_group_6_shape_2_horizontal_lines, 93, 8),
        shape(frame_1224_shape_group_6_shape_3_horizontal_lines, 94, 1),
        shape(frame_1224_shape_group_6_shape_4_horizontal_lines, 124, 2),
        shape(frame_1224_shape_group_6_shape_5_horizontal_lines, 135, 2),
        shape(frame_1224_shape_group_6_shape_6_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(45, 46),
    };

    constexpr const horizontal_line frame_1224_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(146, 153),
        horizontal_line(144, 155),
        horizontal_line(141, 157),
        horizontal_line(139, 159),
        horizontal_line(136, 160),
        horizontal_line(133, 162),
        horizontal_line(131, 164),
        horizontal_line(128, 166),
        horizontal_line(206, 239),
        horizontal_line(127, 170),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_1224_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1224_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(133, 137),
        horizontal_line(170, 232),
        horizontal_line(232, 239),
        horizontal_line(126, 137),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(123, 136),
        horizontal_line(169, 231),
        horizontal_line(123, 126),
        horizontal_line(128, 128),
        horizontal_line(179, 239),
        horizontal_line(184, 239),
        horizontal_line(114, 114),
        horizontal_line(125, 154),
        horizontal_line(111, 113),
        horizontal_line(202, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1224_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(104, 105),
        horizontal_line(150, 178),
    };

    constexpr const shape frame_1224_shape_group_7_shapes[] = {
        shape(frame_1224_shape_group_7_shape_0_horizontal_lines, 83, 8),
        shape(frame_1224_shape_group_7_shape_1_horizontal_lines, 84, 1),
        shape(frame_1224_shape_group_7_shape_2_horizontal_lines, 95, 3),
        shape(frame_1224_shape_group_7_shape_3_horizontal_lines, 96, 1),
        shape(frame_1224_shape_group_7_shape_4_horizontal_lines, 121, 2),
        shape(frame_1224_shape_group_7_shape_5_horizontal_lines, 123, 1),
        shape(frame_1224_shape_group_7_shape_6_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(149, 151),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(158, 169),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(42, 42),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(170, 232),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(49, 51),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(169, 231),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(138, 168),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(169, 231),
        horizontal_line(231, 239),
        horizontal_line(170, 232),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(115, 118),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(125, 148),
        horizontal_line(193, 239),
        horizontal_line(124, 153),
    };

    constexpr const horizontal_line frame_1224_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(107, 107),
        horizontal_line(106, 106),
        horizontal_line(0, 20),
        horizontal_line(110, 119),
    };

    constexpr const shape frame_1224_shape_group_8_shapes[] = {
        shape(frame_1224_shape_group_8_shape_0_horizontal_lines, 83, 1),
        shape(frame_1224_shape_group_8_shape_1_horizontal_lines, 85, 3),
        shape(frame_1224_shape_group_8_shape_2_horizontal_lines, 93, 1),
        shape(frame_1224_shape_group_8_shape_3_horizontal_lines, 95, 4),
        shape(frame_1224_shape_group_8_shape_4_horizontal_lines, 96, 3),
        shape(frame_1224_shape_group_8_shape_5_horizontal_lines, 97, 1),
        shape(frame_1224_shape_group_8_shape_6_horizontal_lines, 102, 3),
        shape(frame_1224_shape_group_8_shape_7_horizontal_lines, 103, 1),
        shape(frame_1224_shape_group_8_shape_8_horizontal_lines, 104, 3),
        shape(frame_1224_shape_group_8_shape_9_horizontal_lines, 105, 4),
        shape(frame_1224_shape_group_8_shape_10_horizontal_lines, 106, 1),
        shape(frame_1224_shape_group_8_shape_11_horizontal_lines, 114, 4),
        shape(frame_1224_shape_group_8_shape_12_horizontal_lines, 116, 1),
        shape(frame_1224_shape_group_8_shape_13_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(152, 169),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(43, 43),
        horizontal_line(44, 45),
        horizontal_line(45, 46),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(48, 49),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(138, 169),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(138, 168),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1224_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(112, 121),
        horizontal_line(111, 120),
        horizontal_line(105, 106),
        horizontal_line(150, 175),
    };

    constexpr const shape frame_1224_shape_group_9_shapes[] = {
        shape(frame_1224_shape_group_9_shape_0_horizontal_lines, 93, 1),
        shape(frame_1224_shape_group_9_shape_1_horizontal_lines, 94, 3),
        shape(frame_1224_shape_group_9_shape_2_horizontal_lines, 96, 4),
        shape(frame_1224_shape_group_9_shape_3_horizontal_lines, 97, 3),
        shape(frame_1224_shape_group_9_shape_4_horizontal_lines, 100, 1),
        shape(frame_1224_shape_group_9_shape_5_horizontal_lines, 101, 3),
        shape(frame_1224_shape_group_9_shape_6_horizontal_lines, 102, 4),
        shape(frame_1224_shape_group_9_shape_7_horizontal_lines, 103, 1),
        shape(frame_1224_shape_group_9_shape_8_horizontal_lines, 104, 4),
        shape(frame_1224_shape_group_9_shape_9_horizontal_lines, 105, 2),
        shape(frame_1224_shape_group_9_shape_10_horizontal_lines, 106, 4),
        shape(frame_1224_shape_group_9_shape_11_horizontal_lines, 110, 1),
        shape(frame_1224_shape_group_9_shape_12_horizontal_lines, 111, 4),
        shape(frame_1224_shape_group_9_shape_13_horizontal_lines, 112, 1),
        shape(frame_1224_shape_group_9_shape_14_horizontal_lines, 114, 2),
        shape(frame_1224_shape_group_9_shape_15_horizontal_lines, 116, 1),
        shape(frame_1224_shape_group_9_shape_16_horizontal_lines, 117, 2),
        shape(frame_1224_shape_group_9_shape_17_horizontal_lines, 118, 1),
        shape(frame_1224_shape_group_9_shape_18_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(145, 169),
        horizontal_line(139, 169),
        horizontal_line(138, 169),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(46, 48),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(138, 169),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(48, 54),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(138, 168),
        horizontal_line(138, 168),
        horizontal_line(138, 168),
        horizontal_line(138, 168),
        horizontal_line(116, 122),
        horizontal_line(154, 168),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_1224_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(50, 57),
        horizontal_line(50, 57),
        horizontal_line(0, 18),
        horizontal_line(51, 57),
        horizontal_line(0, 19),
        horizontal_line(153, 160),
        horizontal_line(153, 163),
        horizontal_line(152, 166),
        horizontal_line(151, 169),
        horizontal_line(111, 120),
    };

    constexpr const shape frame_1224_shape_group_10_shapes[] = {
        shape(frame_1224_shape_group_10_shape_0_horizontal_lines, 93, 3),
        shape(frame_1224_shape_group_10_shape_1_horizontal_lines, 94, 4),
        shape(frame_1224_shape_group_10_shape_2_horizontal_lines, 96, 2),
        shape(frame_1224_shape_group_10_shape_3_horizontal_lines, 97, 4),
        shape(frame_1224_shape_group_10_shape_4_horizontal_lines, 100, 3),
        shape(frame_1224_shape_group_10_shape_5_horizontal_lines, 101, 4),
        shape(frame_1224_shape_group_10_shape_6_horizontal_lines, 102, 2),
        shape(frame_1224_shape_group_10_shape_7_horizontal_lines, 103, 3),
        shape(frame_1224_shape_group_10_shape_8_horizontal_lines, 104, 2),
        shape(frame_1224_shape_group_10_shape_9_horizontal_lines, 106, 4),
        shape(frame_1224_shape_group_10_shape_10_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(138, 169),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(138, 168),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(48, 52),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(138, 168),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(122, 126),
        horizontal_line(116, 125),
        horizontal_line(50, 57),
        horizontal_line(114, 124),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1224_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(151, 172),
    };

    constexpr const shape frame_1224_shape_group_11_shapes[] = {
        shape(frame_1224_shape_group_11_shape_0_horizontal_lines, 97, 2),
        shape(frame_1224_shape_group_11_shape_1_horizontal_lines, 100, 4),
        shape(frame_1224_shape_group_11_shape_2_horizontal_lines, 101, 2),
        shape(frame_1224_shape_group_11_shape_3_horizontal_lines, 103, 4),
        shape(frame_1224_shape_group_11_shape_4_horizontal_lines, 104, 2),
        shape(frame_1224_shape_group_11_shape_5_horizontal_lines, 106, 2),
        shape(frame_1224_shape_group_11_shape_6_horizontal_lines, 110, 4),
        shape(frame_1224_shape_group_11_shape_7_horizontal_lines, 111, 2),
        shape(frame_1224_shape_group_11_shape_8_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1224_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1224_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(48, 56),
        horizontal_line(49, 56),
        horizontal_line(49, 56),
        horizontal_line(49, 56),
        horizontal_line(0, 17),
        horizontal_line(49, 56),
        horizontal_line(50, 57),
        horizontal_line(50, 57),
    };

    constexpr const horizontal_line frame_1224_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(115, 124),
        horizontal_line(155, 155),
        horizontal_line(114, 123),
    };

    constexpr const shape frame_1224_shape_group_12_shapes[] = {
        shape(frame_1224_shape_group_12_shape_0_horizontal_lines, 100, 2),
        shape(frame_1224_shape_group_12_shape_1_horizontal_lines, 103, 2),
        shape(frame_1224_shape_group_12_shape_2_horizontal_lines, 106, 2),
        shape(frame_1224_shape_group_12_shape_3_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1224_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(48, 50),
    };

    constexpr const horizontal_line frame_1224_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(49, 56),
    };

    constexpr const horizontal_line frame_1224_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(154, 157),
    };

    constexpr const shape frame_1224_shape_group_13_shapes[] = {
        shape(frame_1224_shape_group_13_shape_0_horizontal_lines, 103, 2),
        shape(frame_1224_shape_group_13_shape_1_horizontal_lines, 110, 2),
        shape(frame_1224_shape_group_13_shape_2_horizontal_lines, 118, 2),
    };

    constexpr const shape_group frame_1224_shape_groups[] = {
        shape_group(frame_1224_shape_group_0_shapes),
        shape_group(frame_1224_shape_group_1_shapes),
        shape_group(frame_1224_shape_group_2_shapes),
        shape_group(frame_1224_shape_group_3_shapes),
        shape_group(frame_1224_shape_group_4_shapes),
        shape_group(frame_1224_shape_group_5_shapes),
        shape_group(frame_1224_shape_group_6_shapes),
        shape_group(frame_1224_shape_group_7_shapes),
        shape_group(frame_1224_shape_group_8_shapes),
        shape_group(frame_1224_shape_group_9_shapes),
        shape_group(frame_1224_shape_group_10_shapes),
        shape_group(frame_1224_shape_group_11_shapes),
        shape_group(frame_1224_shape_group_12_shapes),
        shape_group(frame_1224_shape_group_13_shapes),
    };

    constexpr const frame frame_1224_impl(frame_1224_colors, frame_1224_shape_groups);
} 

const frame& frame_1224()
{
    return frame_1224_impl;
}

namespace
{
    constexpr const bn::color frame_1225_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1225_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(2, 42),
        horizontal_line(4, 44),
        horizontal_line(3, 5),
        horizontal_line(3, 7),
        horizontal_line(2, 8),
        horizontal_line(2, 10),
        horizontal_line(1, 12),
        horizontal_line(1, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(3, 40),
        horizontal_line(7, 40),
        horizontal_line(11, 39),
        horizontal_line(14, 39),
        horizontal_line(18, 39),
        horizontal_line(22, 38),
        horizontal_line(25, 38),
        horizontal_line(29, 37),
        horizontal_line(33, 37),
        horizontal_line(37, 37),
        horizontal_line(53, 56),
        horizontal_line(53, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(51, 58),
        horizontal_line(51, 58),
        horizontal_line(51, 70),
        horizontal_line(52, 58),
        horizontal_line(53, 58),
        horizontal_line(54, 57),
        horizontal_line(55, 57),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_1225_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1225_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(62, 62),
        horizontal_line(46, 56),
        horizontal_line(43, 63),
        horizontal_line(40, 70),
        horizontal_line(36, 78),
        horizontal_line(33, 85),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(23, 85),
        horizontal_line(33, 95),
        horizontal_line(42, 104),
        horizontal_line(52, 114),
        horizontal_line(62, 124),
        horizontal_line(71, 133),
        horizontal_line(81, 135),
        horizontal_line(91, 137),
        horizontal_line(100, 139),
        horizontal_line(110, 141),
        horizontal_line(120, 142),
        horizontal_line(129, 144),
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_1225_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1225_shape_group_0_shapes[] = {
        shape(frame_1225_shape_group_0_shape_0_horizontal_lines, 17, 9),
        shape(frame_1225_shape_group_0_shape_1_horizontal_lines, 110, 8),
        shape(frame_1225_shape_group_0_shape_2_horizontal_lines, 111, 9),
        shape(frame_1225_shape_group_0_shape_3_horizontal_lines, 141, 8),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(50, 74),
        horizontal_line(51, 79),
        horizontal_line(52, 83),
        horizontal_line(53, 88),
        horizontal_line(54, 92),
        horizontal_line(55, 97),
        horizontal_line(55, 101),
        horizontal_line(56, 106),
        horizontal_line(57, 110),
        horizontal_line(58, 115),
        horizontal_line(59, 119),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(44, 64),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 65),
        horizontal_line(49, 66),
        horizontal_line(50, 66),
        horizontal_line(51, 66),
        horizontal_line(52, 67),
        horizontal_line(53, 67),
        horizontal_line(54, 67),
        horizontal_line(55, 68),
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(53, 55),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(7, 52),
        horizontal_line(14, 52),
        horizontal_line(22, 51),
        horizontal_line(30, 42),
        horizontal_line(38, 43),
        horizontal_line(48, 50),
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(57, 61),
        horizontal_line(58, 61),
        horizontal_line(58, 61),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(71, 76),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(71, 88),
        horizontal_line(71, 94),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
        horizontal_line(71, 100),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(64, 65),
        horizontal_line(71, 73),
        horizontal_line(79, 81),
        horizontal_line(86, 88),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(92, 92),
        horizontal_line(89, 100),
        horizontal_line(85, 107),
        horizontal_line(82, 114),
        horizontal_line(79, 122),
        horizontal_line(76, 123),
        horizontal_line(85, 125),
        horizontal_line(95, 127),
        horizontal_line(104, 128),
        horizontal_line(114, 130),
        horizontal_line(124, 132),
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_1225_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1225_shape_group_1_shapes[] = {
        shape(frame_1225_shape_group_1_shape_0_horizontal_lines, 53, 8),
        shape(frame_1225_shape_group_1_shape_1_horizontal_lines, 61, 14),
        shape(frame_1225_shape_group_1_shape_2_horizontal_lines, 79, 9),
        shape(frame_1225_shape_group_1_shape_3_horizontal_lines, 94, 8),
        shape(frame_1225_shape_group_1_shape_4_horizontal_lines, 101, 9),
        shape(frame_1225_shape_group_1_shape_5_horizontal_lines, 107, 8),
        shape(frame_1225_shape_group_1_shape_6_horizontal_lines, 110, 14),
        shape(frame_1225_shape_group_1_shape_7_horizontal_lines, 111, 8),
        shape(frame_1225_shape_group_1_shape_8_horizontal_lines, 112, 14),
        shape(frame_1225_shape_group_1_shape_9_horizontal_lines, 117, 9),
        shape(frame_1225_shape_group_1_shape_10_horizontal_lines, 118, 8),
        shape(frame_1225_shape_group_1_shape_11_horizontal_lines, 122, 9),
        shape(frame_1225_shape_group_1_shape_12_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(45, 47),
        horizontal_line(46, 52),
        horizontal_line(47, 56),
        horizontal_line(48, 61),
        horizontal_line(49, 65),
        horizontal_line(50, 70),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(224, 239),
        horizontal_line(219, 239),
        horizontal_line(214, 239),
        horizontal_line(209, 239),
        horizontal_line(204, 239),
        horizontal_line(199, 239),
        horizontal_line(193, 239),
        horizontal_line(188, 239),
        horizontal_line(183, 239),
        horizontal_line(178, 239),
        horizontal_line(173, 235),
        horizontal_line(168, 230),
        horizontal_line(163, 225),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(43, 43),
        horizontal_line(43, 44),
        horizontal_line(42, 45),
        horizontal_line(42, 46),
        horizontal_line(42, 47),
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(1, 21),
        horizontal_line(2, 24),
        horizontal_line(3, 28),
        horizontal_line(4, 32),
        horizontal_line(5, 36),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(69, 90),
        horizontal_line(70, 96),
        horizontal_line(70, 102),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(44, 51),
        horizontal_line(46, 50),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(71, 114),
        horizontal_line(75, 113),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(58, 59),
        horizontal_line(58, 60),
        horizontal_line(57, 60),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(107, 112),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(71, 82),
        horizontal_line(104, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(104, 115),
        horizontal_line(106, 113),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(71, 99),
        horizontal_line(76, 98),
        horizontal_line(83, 98),
        horizontal_line(90, 97),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(101, 104),
        horizontal_line(108, 112),
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(13, 16),
        horizontal_line(124, 154),
    };

    constexpr const horizontal_line frame_1225_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(11, 22),
        horizontal_line(9, 32),
        horizontal_line(7, 41),
        horizontal_line(5, 51),
        horizontal_line(3, 61),
        horizontal_line(1, 63),
        horizontal_line(62, 80),
        horizontal_line(62, 90),
        horizontal_line(62, 99),
        horizontal_line(62, 109),
        horizontal_line(62, 119),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
    };

    constexpr const shape frame_1225_shape_group_2_shapes[] = {
        shape(frame_1225_shape_group_2_shape_0_horizontal_lines, 55, 14),
        shape(frame_1225_shape_group_2_shape_1_horizontal_lines, 64, 14),
        shape(frame_1225_shape_group_2_shape_2_horizontal_lines, 79, 8),
        shape(frame_1225_shape_group_2_shape_3_horizontal_lines, 94, 14),
        shape(frame_1225_shape_group_2_shape_4_horizontal_lines, 97, 8),
        shape(frame_1225_shape_group_2_shape_5_horizontal_lines, 99, 14),
        shape(frame_1225_shape_group_2_shape_6_horizontal_lines, 101, 8),
        shape(frame_1225_shape_group_2_shape_7_horizontal_lines, 107, 14),
        shape(frame_1225_shape_group_2_shape_8_horizontal_lines, 117, 8),
        shape(frame_1225_shape_group_2_shape_9_horizontal_lines, 118, 14),
        shape(frame_1225_shape_group_2_shape_10_horizontal_lines, 122, 8),
        shape(frame_1225_shape_group_2_shape_11_horizontal_lines, 126, 1),
        shape(frame_1225_shape_group_2_shape_12_horizontal_lines, 128, 8),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(122, 124),
        horizontal_line(122, 128),
        horizontal_line(123, 133),
        horizontal_line(124, 137),
        horizontal_line(125, 142),
        horizontal_line(126, 146),
        horizontal_line(127, 151),
        horizontal_line(69, 131),
        horizontal_line(74, 136),
        horizontal_line(80, 142),
        horizontal_line(85, 147),
        horizontal_line(90, 146),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(41, 48),
        horizontal_line(41, 49),
        horizontal_line(40, 50),
        horizontal_line(40, 51),
        horizontal_line(40, 52),
        horizontal_line(39, 53),
        horizontal_line(39, 54),
        horizontal_line(38, 53),
        horizontal_line(38, 53),
        horizontal_line(38, 52),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(122, 134),
        horizontal_line(120, 136),
        horizontal_line(119, 138),
        horizontal_line(70, 108),
        horizontal_line(70, 114),
        horizontal_line(117, 134),
        horizontal_line(120, 131),
        horizontal_line(80, 112),
        horizontal_line(86, 111),
        horizontal_line(91, 110),
        horizontal_line(97, 109),
        horizontal_line(102, 108),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(9, 46),
        horizontal_line(9, 47),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(136, 152),
        horizontal_line(105, 115),
        horizontal_line(131, 175),
        horizontal_line(136, 172),
        horizontal_line(141, 170),
        horizontal_line(146, 167),
        horizontal_line(151, 165),
        horizontal_line(71, 100),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(12, 39),
        horizontal_line(12, 35),
        horizontal_line(12, 32),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(13, 26),
        horizontal_line(13, 22),
        horizontal_line(13, 19),
        horizontal_line(123, 155),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(126, 154),
        horizontal_line(128, 153),
        horizontal_line(129, 153),
        horizontal_line(131, 152),
        horizontal_line(133, 152),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(63, 70),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(136, 150),
        horizontal_line(138, 150),
        horizontal_line(140, 149),
        horizontal_line(142, 149),
        horizontal_line(143, 148),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_1225_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
    };

    constexpr const shape frame_1225_shape_group_3_shapes[] = {
        shape(frame_1225_shape_group_3_shape_0_horizontal_lines, 72, 14),
        shape(frame_1225_shape_group_3_shape_1_horizontal_lines, 84, 8),
        shape(frame_1225_shape_group_3_shape_2_horizontal_lines, 94, 14),
        shape(frame_1225_shape_group_3_shape_3_horizontal_lines, 107, 1),
        shape(frame_1225_shape_group_3_shape_4_horizontal_lines, 109, 14),
        shape(frame_1225_shape_group_3_shape_5_horizontal_lines, 119, 1),
        shape(frame_1225_shape_group_3_shape_6_horizontal_lines, 122, 14),
        shape(frame_1225_shape_group_3_shape_7_horizontal_lines, 123, 1),
        shape(frame_1225_shape_group_3_shape_8_horizontal_lines, 127, 2),
        shape(frame_1225_shape_group_3_shape_9_horizontal_lines, 128, 1),
        shape(frame_1225_shape_group_3_shape_10_horizontal_lines, 133, 8),
        shape(frame_1225_shape_group_3_shape_11_horizontal_lines, 134, 1),
        shape(frame_1225_shape_group_3_shape_12_horizontal_lines, 139, 8),
        shape(frame_1225_shape_group_3_shape_13_horizontal_lines, 141, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(230, 239),
        horizontal_line(225, 239),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(96, 143),
        horizontal_line(101, 141),
        horizontal_line(106, 138),
        horizontal_line(112, 135),
        horizontal_line(117, 133),
        horizontal_line(122, 130),
        horizontal_line(128, 128),
        horizontal_line(69, 72),
        horizontal_line(69, 78),
        horizontal_line(69, 84),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(135, 159),
        horizontal_line(7, 13),
        horizontal_line(7, 21),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(117, 140),
        horizontal_line(116, 137),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(8, 45),
        horizontal_line(8, 45),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(123, 128),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(8, 45),
        horizontal_line(8, 45),
        horizontal_line(9, 46),
        horizontal_line(9, 46),
        horizontal_line(9, 46),
        horizontal_line(56, 56),
        horizontal_line(56, 57),
        horizontal_line(10, 47),
        horizontal_line(10, 47),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(133, 164),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(10, 48),
        horizontal_line(11, 48),
        horizontal_line(11, 48),
        horizontal_line(11, 48),
        horizontal_line(11, 49),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(12, 42),
        horizontal_line(99, 107),
        horizontal_line(99, 106),
        horizontal_line(98, 105),
        horizontal_line(12, 29),
        horizontal_line(106, 111),
        horizontal_line(123, 156),
        horizontal_line(122, 156),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(155, 187),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(135, 151),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(151, 207),
        horizontal_line(151, 210),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(145, 148),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_1225_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(211, 227),
        horizontal_line(212, 230),
        horizontal_line(213, 233),
        horizontal_line(214, 236),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_1225_shape_group_4_shapes[] = {
        shape(frame_1225_shape_group_4_shape_0_horizontal_lines, 76, 14),
        shape(frame_1225_shape_group_4_shape_1_horizontal_lines, 94, 1),
        shape(frame_1225_shape_group_4_shape_2_horizontal_lines, 97, 14),
        shape(frame_1225_shape_group_4_shape_3_horizontal_lines, 99, 1),
        shape(frame_1225_shape_group_4_shape_4_horizontal_lines, 101, 14),
        shape(frame_1225_shape_group_4_shape_5_horizontal_lines, 102, 1),
        shape(frame_1225_shape_group_4_shape_6_horizontal_lines, 111, 14),
        shape(frame_1225_shape_group_4_shape_7_horizontal_lines, 112, 1),
        shape(frame_1225_shape_group_4_shape_8_horizontal_lines, 117, 14),
        shape(frame_1225_shape_group_4_shape_9_horizontal_lines, 118, 1),
        shape(frame_1225_shape_group_4_shape_10_horizontal_lines, 126, 2),
        shape(frame_1225_shape_group_4_shape_11_horizontal_lines, 133, 1),
        shape(frame_1225_shape_group_4_shape_12_horizontal_lines, 134, 2),
        shape(frame_1225_shape_group_4_shape_13_horizontal_lines, 139, 1),
        shape(frame_1225_shape_group_4_shape_14_horizontal_lines, 141, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(131, 156),
        horizontal_line(136, 154),
        horizontal_line(142, 151),
        horizontal_line(147, 149),
        horizontal_line(226, 239),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(127, 128),
        horizontal_line(125, 130),
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_1225_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(137, 153),
        horizontal_line(139, 147),
        horizontal_line(7, 29),
        horizontal_line(7, 37),
        horizontal_line(115, 116),
        horizontal_line(114, 119),
        horizontal_line(8, 45),
        horizontal_line(112, 140),
        horizontal_line(111, 140),
        horizontal_line(110, 123),
        horizontal_line(109, 121),
        horizontal_line(109, 120),
        horizontal_line(110, 118),
        horizontal_line(113, 117),
        horizontal_line(57, 57),
        horizontal_line(57, 58),
        horizontal_line(10, 47),
        horizontal_line(57, 60),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1225_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(156, 162),
    };

    constexpr const horizontal_line frame_1225_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(100, 108),
        horizontal_line(109, 114),
        horizontal_line(108, 113),
        horizontal_line(108, 112),
        horizontal_line(98, 104),
        horizontal_line(123, 157),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(156, 184),
    };

    constexpr const horizontal_line frame_1225_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(155, 189),
        horizontal_line(154, 192),
        horizontal_line(154, 195),
        horizontal_line(153, 198),
        horizontal_line(153, 201),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1225_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(212, 213),
        horizontal_line(212, 215),
        horizontal_line(211, 218),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
    };

    constexpr const shape frame_1225_shape_group_5_shapes[] = {
        shape(frame_1225_shape_group_5_shape_0_horizontal_lines, 79, 14),
        shape(frame_1225_shape_group_5_shape_1_horizontal_lines, 94, 1),
        shape(frame_1225_shape_group_5_shape_2_horizontal_lines, 117, 14),
        shape(frame_1225_shape_group_5_shape_3_horizontal_lines, 118, 1),
        shape(frame_1225_shape_group_5_shape_4_horizontal_lines, 126, 2),
        shape(frame_1225_shape_group_5_shape_5_horizontal_lines, 128, 2),
        shape(frame_1225_shape_group_5_shape_6_horizontal_lines, 136, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(147, 163),
    };

    constexpr const horizontal_line frame_1225_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_1225_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(131, 171),
        horizontal_line(133, 165),
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(141, 141),
        horizontal_line(138, 140),
        horizontal_line(135, 140),
        horizontal_line(132, 140),
        horizontal_line(113, 122),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(116, 116),
        horizontal_line(125, 134),
        horizontal_line(57, 59),
        horizontal_line(130, 130),
        horizontal_line(129, 135),
        horizontal_line(128, 140),
        horizontal_line(102, 103),
        horizontal_line(101, 105),
        horizontal_line(11, 45),
        horizontal_line(110, 114),
        horizontal_line(126, 159),
        horizontal_line(125, 158),
        horizontal_line(124, 158),
        horizontal_line(107, 112),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1225_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(152, 204),
    };

    constexpr const horizontal_line frame_1225_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(211, 221),
        horizontal_line(210, 224),
    };

    constexpr const shape frame_1225_shape_group_6_shapes[] = {
        shape(frame_1225_shape_group_6_shape_0_horizontal_lines, 79, 14),
        shape(frame_1225_shape_group_6_shape_1_horizontal_lines, 83, 1),
        shape(frame_1225_shape_group_6_shape_2_horizontal_lines, 84, 14),
        shape(frame_1225_shape_group_6_shape_3_horizontal_lines, 92, 1),
        shape(frame_1225_shape_group_6_shape_4_horizontal_lines, 124, 2),
        shape(frame_1225_shape_group_6_shape_5_horizontal_lines, 133, 2),
        shape(frame_1225_shape_group_6_shape_6_horizontal_lines, 139, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(155, 157),
        horizontal_line(152, 159),
        horizontal_line(150, 161),
    };

    constexpr const horizontal_line frame_1225_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(144, 164),
        horizontal_line(142, 166),
        horizontal_line(139, 168),
        horizontal_line(136, 170),
        horizontal_line(134, 171),
        horizontal_line(131, 173),
        horizontal_line(129, 175),
        horizontal_line(129, 177),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1225_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(129, 140),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(125, 139),
        horizontal_line(176, 238),
        horizontal_line(125, 129),
        horizontal_line(177, 239),
        horizontal_line(181, 239),
        horizontal_line(186, 239),
        horizontal_line(116, 116),
        horizontal_line(114, 115),
        horizontal_line(59, 61),
        horizontal_line(126, 160),
        horizontal_line(208, 239),
        horizontal_line(213, 239),
        horizontal_line(217, 239),
        horizontal_line(124, 157),
    };

    constexpr const horizontal_line frame_1225_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(113, 122),
        horizontal_line(118, 121),
    };

    constexpr const shape frame_1225_shape_group_7_shapes[] = {
        shape(frame_1225_shape_group_7_shape_0_horizontal_lines, 80, 1),
        shape(frame_1225_shape_group_7_shape_1_horizontal_lines, 84, 1),
        shape(frame_1225_shape_group_7_shape_2_horizontal_lines, 94, 3),
        shape(frame_1225_shape_group_7_shape_3_horizontal_lines, 95, 1),
        shape(frame_1225_shape_group_7_shape_4_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(160, 176),
        horizontal_line(154, 176),
        horizontal_line(148, 176),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(51, 52),
        horizontal_line(52, 53),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(176, 238),
        horizontal_line(238, 239),
        horizontal_line(176, 238),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(116, 120),
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(128, 145),
        horizontal_line(127, 150),
        horizontal_line(101, 108),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(107, 107),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(157, 178),
        horizontal_line(157, 181),
    };

    constexpr const shape frame_1225_shape_group_8_shapes[] = {
        shape(frame_1225_shape_group_8_shape_0_horizontal_lines, 89, 3),
        shape(frame_1225_shape_group_8_shape_1_horizontal_lines, 91, 1),
        shape(frame_1225_shape_group_8_shape_2_horizontal_lines, 94, 4),
        shape(frame_1225_shape_group_8_shape_3_horizontal_lines, 97, 1),
        shape(frame_1225_shape_group_8_shape_4_horizontal_lines, 102, 3),
        shape(frame_1225_shape_group_8_shape_5_horizontal_lines, 104, 1),
        shape(frame_1225_shape_group_8_shape_6_horizontal_lines, 113, 4),
        shape(frame_1225_shape_group_8_shape_7_horizontal_lines, 115, 1),
        shape(frame_1225_shape_group_8_shape_8_horizontal_lines, 119, 4),
        shape(frame_1225_shape_group_8_shape_9_horizontal_lines, 122, 1),
        shape(frame_1225_shape_group_8_shape_10_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(43, 43),
        horizontal_line(44, 45),
        horizontal_line(46, 47),
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(141, 175),
        horizontal_line(141, 175),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(195, 239),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_1225_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(112, 122),
    };

    constexpr const shape frame_1225_shape_group_9_shapes[] = {
        shape(frame_1225_shape_group_9_shape_0_horizontal_lines, 91, 3),
        shape(frame_1225_shape_group_9_shape_1_horizontal_lines, 95, 2),
        shape(frame_1225_shape_group_9_shape_2_horizontal_lines, 97, 3),
        shape(frame_1225_shape_group_9_shape_3_horizontal_lines, 101, 1),
        shape(frame_1225_shape_group_9_shape_4_horizontal_lines, 102, 4),
        shape(frame_1225_shape_group_9_shape_5_horizontal_lines, 104, 3),
        shape(frame_1225_shape_group_9_shape_6_horizontal_lines, 105, 4),
        shape(frame_1225_shape_group_9_shape_7_horizontal_lines, 109, 1),
        shape(frame_1225_shape_group_9_shape_8_horizontal_lines, 110, 4),
        shape(frame_1225_shape_group_9_shape_9_horizontal_lines, 111, 1),
        shape(frame_1225_shape_group_9_shape_10_horizontal_lines, 112, 4),
        shape(frame_1225_shape_group_9_shape_11_horizontal_lines, 113, 2),
        shape(frame_1225_shape_group_9_shape_12_horizontal_lines, 115, 1),
        shape(frame_1225_shape_group_9_shape_13_horizontal_lines, 118, 2),
        shape(frame_1225_shape_group_9_shape_14_horizontal_lines, 122, 4),
        shape(frame_1225_shape_group_9_shape_15_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(172, 176),
        horizontal_line(166, 176),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(142, 176),
        horizontal_line(141, 176),
        horizontal_line(141, 176),
        horizontal_line(141, 176),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(49, 51),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(141, 175),
        horizontal_line(141, 175),
        horizontal_line(141, 175),
        horizontal_line(141, 175),
        horizontal_line(117, 124),
        horizontal_line(153, 175),
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(49, 57),
        horizontal_line(49, 57),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(127, 155),
    };

    constexpr const horizontal_line frame_1225_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(107, 107),
        horizontal_line(0, 11),
        horizontal_line(158, 175),
    };

    constexpr const shape frame_1225_shape_group_10_shapes[] = {
        shape(frame_1225_shape_group_10_shape_0_horizontal_lines, 92, 4),
        shape(frame_1225_shape_group_10_shape_1_horizontal_lines, 97, 4),
        shape(frame_1225_shape_group_10_shape_2_horizontal_lines, 101, 3),
        shape(frame_1225_shape_group_10_shape_3_horizontal_lines, 102, 2),
        shape(frame_1225_shape_group_10_shape_4_horizontal_lines, 104, 4),
        shape(frame_1225_shape_group_10_shape_5_horizontal_lines, 112, 2),
        shape(frame_1225_shape_group_10_shape_6_horizontal_lines, 117, 1),
        shape(frame_1225_shape_group_10_shape_7_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(141, 176),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(46, 50),
        horizontal_line(46, 51),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(141, 175),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(141, 175),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(165, 175),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(49, 56),
        horizontal_line(124, 128),
        horizontal_line(118, 127),
        horizontal_line(49, 57),
        horizontal_line(50, 57),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1225_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(160, 163),
        horizontal_line(159, 166),
        horizontal_line(113, 123),
        horizontal_line(106, 106),
    };

    constexpr const shape frame_1225_shape_group_11_shapes[] = {
        shape(frame_1225_shape_group_11_shape_0_horizontal_lines, 97, 2),
        shape(frame_1225_shape_group_11_shape_1_horizontal_lines, 101, 4),
        shape(frame_1225_shape_group_11_shape_2_horizontal_lines, 102, 2),
        shape(frame_1225_shape_group_11_shape_3_horizontal_lines, 104, 4),
        shape(frame_1225_shape_group_11_shape_4_horizontal_lines, 105, 2),
        shape(frame_1225_shape_group_11_shape_5_horizontal_lines, 109, 4),
        shape(frame_1225_shape_group_11_shape_6_horizontal_lines, 110, 2),
        shape(frame_1225_shape_group_11_shape_7_horizontal_lines, 111, 4),
        shape(frame_1225_shape_group_11_shape_8_horizontal_lines, 112, 2),
        shape(frame_1225_shape_group_11_shape_9_horizontal_lines, 117, 1),
        shape(frame_1225_shape_group_11_shape_10_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1225_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(47, 55),
        horizontal_line(47, 55),
        horizontal_line(47, 55),
        horizontal_line(48, 55),
        horizontal_line(0, 9),
        horizontal_line(48, 56),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1225_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(117, 127),
        horizontal_line(61, 61),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1225_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(113, 123),
    };

    constexpr const shape frame_1225_shape_group_12_shapes[] = {
        shape(frame_1225_shape_group_12_shape_0_horizontal_lines, 100, 2),
        shape(frame_1225_shape_group_12_shape_1_horizontal_lines, 104, 2),
        shape(frame_1225_shape_group_12_shape_2_horizontal_lines, 115, 2),
        shape(frame_1225_shape_group_12_shape_3_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(46, 48),
    };

    constexpr const horizontal_line frame_1225_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(47, 53),
    };

    constexpr const horizontal_line frame_1225_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(48, 56),
    };

    constexpr const horizontal_line frame_1225_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(48, 56),
    };

    constexpr const horizontal_line frame_1225_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1225_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(158, 172),
    };

    constexpr const shape frame_1225_shape_group_13_shapes[] = {
        shape(frame_1225_shape_group_13_shape_0_horizontal_lines, 101, 2),
        shape(frame_1225_shape_group_13_shape_1_horizontal_lines, 104, 2),
        shape(frame_1225_shape_group_13_shape_2_horizontal_lines, 109, 2),
        shape(frame_1225_shape_group_13_shape_3_horizontal_lines, 111, 2),
        shape(frame_1225_shape_group_13_shape_4_horizontal_lines, 116, 2),
        shape(frame_1225_shape_group_13_shape_5_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1225_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(116, 126),
    };

    constexpr const shape frame_1225_shape_group_14_shapes[] = {
        shape(frame_1225_shape_group_14_shape_0_horizontal_lines, 117, 2),
    };

    constexpr const shape_group frame_1225_shape_groups[] = {
        shape_group(frame_1225_shape_group_0_shapes),
        shape_group(frame_1225_shape_group_1_shapes),
        shape_group(frame_1225_shape_group_2_shapes),
        shape_group(frame_1225_shape_group_3_shapes),
        shape_group(frame_1225_shape_group_4_shapes),
        shape_group(frame_1225_shape_group_5_shapes),
        shape_group(frame_1225_shape_group_6_shapes),
        shape_group(frame_1225_shape_group_7_shapes),
        shape_group(frame_1225_shape_group_8_shapes),
        shape_group(frame_1225_shape_group_9_shapes),
        shape_group(frame_1225_shape_group_10_shapes),
        shape_group(frame_1225_shape_group_11_shapes),
        shape_group(frame_1225_shape_group_12_shapes),
        shape_group(frame_1225_shape_group_13_shapes),
        shape_group(frame_1225_shape_group_14_shapes),
    };

    constexpr const frame frame_1225_impl(frame_1225_colors, frame_1225_shape_groups);
} 

const frame& frame_1225()
{
    return frame_1225_impl;
}

namespace
{
    constexpr const bn::color frame_1226_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1226_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1226_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(40, 42),
        horizontal_line(41, 46),
    };

    constexpr const horizontal_line frame_1226_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 62),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(4, 37),
        horizontal_line(8, 37),
        horizontal_line(13, 37),
        horizontal_line(17, 36),
        horizontal_line(21, 36),
        horizontal_line(26, 35),
        horizontal_line(30, 35),
        horizontal_line(35, 35),
        horizontal_line(52, 54),
        horizontal_line(52, 55),
        horizontal_line(52, 56),
        horizontal_line(51, 56),
        horizontal_line(51, 57),
        horizontal_line(50, 57),
        horizontal_line(50, 58),
        horizontal_line(50, 59),
        horizontal_line(51, 58),
        horizontal_line(52, 58),
        horizontal_line(53, 57),
        horizontal_line(54, 57),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_1226_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(71, 76),
    };

    constexpr const horizontal_line frame_1226_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(60, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(45, 54),
        horizontal_line(42, 61),
        horizontal_line(39, 68),
        horizontal_line(36, 75),
        horizontal_line(33, 82),
        horizontal_line(30, 89),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(15, 77),
        horizontal_line(26, 88),
        horizontal_line(37, 99),
        horizontal_line(48, 110),
        horizontal_line(58, 120),
        horizontal_line(69, 131),
        horizontal_line(80, 142),
        horizontal_line(91, 144),
        horizontal_line(102, 146),
        horizontal_line(112, 148),
        horizontal_line(123, 149),
        horizontal_line(134, 151),
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_1226_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1226_shape_group_0_shapes[] = {
        shape(frame_1226_shape_group_0_shape_0_horizontal_lines, 15, 9),
        shape(frame_1226_shape_group_0_shape_1_horizontal_lines, 48, 14),
        shape(frame_1226_shape_group_0_shape_2_horizontal_lines, 50, 9),
        shape(frame_1226_shape_group_0_shape_3_horizontal_lines, 108, 14),
        shape(frame_1226_shape_group_0_shape_4_horizontal_lines, 109, 9),
        shape(frame_1226_shape_group_0_shape_5_horizontal_lines, 144, 8),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(42, 50),
        horizontal_line(43, 54),
        horizontal_line(44, 58),
        horizontal_line(45, 63),
        horizontal_line(46, 67),
        horizontal_line(47, 71),
        horizontal_line(48, 75),
        horizontal_line(48, 79),
        horizontal_line(49, 83),
        horizontal_line(50, 88),
        horizontal_line(51, 92),
        horizontal_line(52, 96),
        horizontal_line(53, 100),
        horizontal_line(54, 104),
        horizontal_line(55, 108),
        horizontal_line(56, 113),
        horizontal_line(56, 117),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(44, 64),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 66),
        horizontal_line(51, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 68),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(69, 88),
        horizontal_line(69, 94),
        horizontal_line(70, 99),
        horizontal_line(70, 105),
        horizontal_line(70, 110),
        horizontal_line(70, 116),
        horizontal_line(70, 116),
        horizontal_line(71, 115),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(109, 111),
        horizontal_line(108, 114),
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(71, 82),
        horizontal_line(71, 89),
        horizontal_line(71, 95),
        horizontal_line(71, 102),
        horizontal_line(71, 102),
        horizontal_line(71, 101),
        horizontal_line(71, 101),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(67, 70),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(84, 99),
        horizontal_line(91, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 100),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(89, 96),
        horizontal_line(87, 103),
        horizontal_line(84, 110),
        horizontal_line(81, 117),
        horizontal_line(78, 124),
        horizontal_line(75, 125),
        horizontal_line(72, 127),
        horizontal_line(69, 129),
        horizontal_line(67, 129),
        horizontal_line(77, 132),
        horizontal_line(88, 134),
        horizontal_line(99, 136),
        horizontal_line(110, 137),
        horizontal_line(120, 139),
        horizontal_line(131, 141),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_1226_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1226_shape_group_1_shapes[] = {
        shape(frame_1226_shape_group_1_shape_0_horizontal_lines, 50, 14),
        shape(frame_1226_shape_group_1_shape_1_horizontal_lines, 75, 9),
        shape(frame_1226_shape_group_1_shape_2_horizontal_lines, 88, 14),
        shape(frame_1226_shape_group_1_shape_3_horizontal_lines, 89, 9),
        shape(frame_1226_shape_group_1_shape_4_horizontal_lines, 91, 14),
        shape(frame_1226_shape_group_1_shape_5_horizontal_lines, 99, 9),
        shape(frame_1226_shape_group_1_shape_6_horizontal_lines, 105, 14),
        shape(frame_1226_shape_group_1_shape_7_horizontal_lines, 116, 9),
        shape(frame_1226_shape_group_1_shape_8_horizontal_lines, 118, 14),
        shape(frame_1226_shape_group_1_shape_9_horizontal_lines, 122, 9),
        shape(frame_1226_shape_group_1_shape_10_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_1226_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(230, 239),
        horizontal_line(225, 239),
        horizontal_line(220, 239),
        horizontal_line(215, 239),
        horizontal_line(210, 239),
        horizontal_line(205, 239),
        horizontal_line(200, 239),
        horizontal_line(195, 239),
        horizontal_line(190, 239),
        horizontal_line(185, 239),
        horizontal_line(180, 239),
        horizontal_line(67, 129),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(96, 151),
        horizontal_line(101, 148),
        horizontal_line(106, 145),
        horizontal_line(110, 142),
        horizontal_line(115, 139),
        horizontal_line(120, 136),
        horizontal_line(125, 133),
        horizontal_line(130, 130),
        horizontal_line(69, 77),
        horizontal_line(69, 83),
        horizontal_line(126, 134),
        horizontal_line(124, 136),
        horizontal_line(122, 138),
        horizontal_line(121, 140),
        horizontal_line(119, 142),
        horizontal_line(118, 139),
        horizontal_line(119, 137),
        horizontal_line(121, 134),
        horizontal_line(76, 114),
        horizontal_line(83, 113),
        horizontal_line(89, 112),
        horizontal_line(96, 111),
        horizontal_line(102, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1226_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(56, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
    };

    constexpr const horizontal_line frame_1226_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(106, 117),
        horizontal_line(105, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(105, 117),
        horizontal_line(107, 116),
        horizontal_line(110, 114),
        horizontal_line(71, 100),
        horizontal_line(77, 99),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_1226_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(76, 80),
        horizontal_line(83, 88),
        horizontal_line(90, 96),
        horizontal_line(97, 104),
        horizontal_line(104, 112),
        horizontal_line(111, 116),
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_1226_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(4, 15),
        horizontal_line(4, 12),
        horizontal_line(4, 9),
        horizontal_line(4, 6),
    };

    constexpr const horizontal_line frame_1226_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(129, 130),
    };

    constexpr const horizontal_line frame_1226_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(1, 14),
        horizontal_line(0, 25),
        horizontal_line(0, 36),
        horizontal_line(0, 47),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 90),
        horizontal_line(62, 101),
        horizontal_line(62, 111),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
    };

    constexpr const shape frame_1226_shape_group_2_shapes[] = {
        shape(frame_1226_shape_group_2_shape_0_horizontal_lines, 63, 14),
        shape(frame_1226_shape_group_2_shape_1_horizontal_lines, 105, 8),
        shape(frame_1226_shape_group_2_shape_2_horizontal_lines, 108, 14),
        shape(frame_1226_shape_group_2_shape_3_horizontal_lines, 119, 8),
        shape(frame_1226_shape_group_2_shape_4_horizontal_lines, 126, 1),
        shape(frame_1226_shape_group_2_shape_5_horizontal_lines, 130, 9),
        shape(frame_1226_shape_group_2_shape_6_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(120, 125),
        horizontal_line(121, 129),
        horizontal_line(122, 133),
        horizontal_line(123, 138),
        horizontal_line(124, 142),
        horizontal_line(125, 146),
        horizontal_line(126, 150),
        horizontal_line(175, 237),
        horizontal_line(170, 232),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(129, 130),
        horizontal_line(127, 132),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(1, 51),
        horizontal_line(8, 38),
        horizontal_line(15, 39),
        horizontal_line(22, 40),
        horizontal_line(29, 41),
        horizontal_line(36, 42),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(123, 132),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(58, 59),
        horizontal_line(58, 60),
        horizontal_line(57, 60),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(138, 152),
        horizontal_line(135, 163),
        horizontal_line(133, 174),
        horizontal_line(138, 184),
        horizontal_line(143, 181),
        horizontal_line(148, 178),
        horizontal_line(154, 176),
        horizontal_line(110, 113),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(2, 35),
        horizontal_line(3, 32),
        horizontal_line(3, 29),
        horizontal_line(3, 26),
        horizontal_line(3, 24),
        horizontal_line(3, 21),
        horizontal_line(4, 18),
        horizontal_line(125, 163),
        horizontal_line(126, 163),
        horizontal_line(128, 162),
        horizontal_line(130, 162),
        horizontal_line(131, 161),
        horizontal_line(133, 161),
        horizontal_line(135, 160),
        horizontal_line(137, 159),
        horizontal_line(138, 159),
        horizontal_line(140, 158),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 79),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(145, 157),
        horizontal_line(147, 156),
        horizontal_line(149, 156),
        horizontal_line(150, 155),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(124, 144),
    };

    constexpr const horizontal_line frame_1226_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
    };

    constexpr const shape frame_1226_shape_group_3_shapes[] = {
        shape(frame_1226_shape_group_3_shape_0_horizontal_lines, 67, 14),
        shape(frame_1226_shape_group_3_shape_1_horizontal_lines, 91, 8),
        shape(frame_1226_shape_group_3_shape_2_horizontal_lines, 99, 14),
        shape(frame_1226_shape_group_3_shape_3_horizontal_lines, 101, 8),
        shape(frame_1226_shape_group_3_shape_4_horizontal_lines, 105, 1),
        shape(frame_1226_shape_group_3_shape_5_horizontal_lines, 108, 8),
        shape(frame_1226_shape_group_3_shape_6_horizontal_lines, 109, 14),
        shape(frame_1226_shape_group_3_shape_7_horizontal_lines, 118, 8),
        shape(frame_1226_shape_group_3_shape_8_horizontal_lines, 119, 1),
        shape(frame_1226_shape_group_3_shape_9_horizontal_lines, 136, 8),
        shape(frame_1226_shape_group_3_shape_10_horizontal_lines, 138, 1),
        shape(frame_1226_shape_group_3_shape_11_horizontal_lines, 142, 8),
        shape(frame_1226_shape_group_3_shape_12_horizontal_lines, 144, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 154),
        horizontal_line(134, 158),
        horizontal_line(139, 163),
        horizontal_line(144, 160),
        horizontal_line(148, 157),
        horizontal_line(153, 154),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(135, 178),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(40, 51),
        horizontal_line(42, 50),
        horizontal_line(43, 50),
        horizontal_line(45, 49),
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(55, 55),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(1, 46),
        horizontal_line(1, 46),
        horizontal_line(1, 46),
        horizontal_line(2, 47),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(159, 173),
        horizontal_line(164, 170),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(2, 38),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(101, 104),
        horizontal_line(108, 111),
        horizontal_line(125, 165),
        horizontal_line(125, 164),
        horizontal_line(124, 164),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(161, 208),
        horizontal_line(160, 211),
        horizontal_line(160, 213),
        horizontal_line(159, 216),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(142, 158),
        horizontal_line(143, 157),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(152, 155),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_1226_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
    };

    constexpr const shape frame_1226_shape_group_4_shapes[] = {
        shape(frame_1226_shape_group_4_shape_0_horizontal_lines, 75, 14),
        shape(frame_1226_shape_group_4_shape_1_horizontal_lines, 85, 8),
        shape(frame_1226_shape_group_4_shape_2_horizontal_lines, 89, 14),
        shape(frame_1226_shape_group_4_shape_3_horizontal_lines, 91, 1),
        shape(frame_1226_shape_group_4_shape_4_horizontal_lines, 93, 8),
        shape(frame_1226_shape_group_4_shape_5_horizontal_lines, 98, 1),
        shape(frame_1226_shape_group_4_shape_6_horizontal_lines, 99, 8),
        shape(frame_1226_shape_group_4_shape_7_horizontal_lines, 101, 1),
        shape(frame_1226_shape_group_4_shape_8_horizontal_lines, 109, 8),
        shape(frame_1226_shape_group_4_shape_9_horizontal_lines, 112, 1),
        shape(frame_1226_shape_group_4_shape_10_horizontal_lines, 116, 14),
        shape(frame_1226_shape_group_4_shape_11_horizontal_lines, 118, 1),
        shape(frame_1226_shape_group_4_shape_12_horizontal_lines, 126, 2),
        shape(frame_1226_shape_group_4_shape_13_horizontal_lines, 136, 1),
        shape(frame_1226_shape_group_4_shape_14_horizontal_lines, 138, 2),
        shape(frame_1226_shape_group_4_shape_15_horizontal_lines, 142, 1),
        shape(frame_1226_shape_group_4_shape_16_horizontal_lines, 144, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(232, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(39, 46),
        horizontal_line(39, 47),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(38, 50),
        horizontal_line(37, 51),
        horizontal_line(37, 52),
        horizontal_line(36, 53),
        horizontal_line(0, 29),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1226_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(137, 169),
        horizontal_line(0, 7),
        horizontal_line(0, 14),
        horizontal_line(0, 21),
        horizontal_line(0, 28),
        horizontal_line(0, 35),
        horizontal_line(116, 120),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(113, 142),
        horizontal_line(112, 142),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(112, 121),
        horizontal_line(115, 119),
        horizontal_line(118, 118),
        horizontal_line(56, 57),
        horizontal_line(0, 45),
        horizontal_line(1, 45),
        horizontal_line(1, 46),
        horizontal_line(57, 59),
        horizontal_line(57, 59),
        horizontal_line(57, 60),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1226_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(55, 56),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_1226_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(100, 107),
        horizontal_line(110, 113),
        horizontal_line(109, 113),
        horizontal_line(109, 112),
        horizontal_line(126, 165),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(164, 191),
        horizontal_line(164, 194),
        horizontal_line(163, 197),
        horizontal_line(163, 199),
        horizontal_line(162, 202),
        horizontal_line(162, 205),
    };

    constexpr const horizontal_line frame_1226_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(159, 219),
        horizontal_line(158, 220),
        horizontal_line(220, 225),
        horizontal_line(219, 227),
        horizontal_line(219, 230),
        horizontal_line(218, 233),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
    };

    constexpr const shape frame_1226_shape_group_5_shapes[] = {
        shape(frame_1226_shape_group_5_shape_0_horizontal_lines, 75, 14),
        shape(frame_1226_shape_group_5_shape_1_horizontal_lines, 81, 8),
        shape(frame_1226_shape_group_5_shape_2_horizontal_lines, 91, 1),
        shape(frame_1226_shape_group_5_shape_3_horizontal_lines, 116, 8),
        shape(frame_1226_shape_group_5_shape_4_horizontal_lines, 118, 1),
        shape(frame_1226_shape_group_5_shape_5_horizontal_lines, 125, 2),
        shape(frame_1226_shape_group_5_shape_6_horizontal_lines, 136, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(41, 41),
        horizontal_line(41, 42),
        horizontal_line(40, 43),
        horizontal_line(40, 44),
        horizontal_line(40, 45),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(152, 170),
        horizontal_line(149, 171),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(38, 48),
        horizontal_line(38, 49),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(140, 177),
        horizontal_line(137, 178),
        horizontal_line(134, 180),
        horizontal_line(131, 182),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(36, 52),
        horizontal_line(36, 52),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(179, 185),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(139, 160),
        horizontal_line(141, 151),
        horizontal_line(143, 143),
        horizontal_line(140, 142),
        horizontal_line(117, 118),
        horizontal_line(135, 142),
        horizontal_line(115, 122),
        horizontal_line(114, 124),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 141),
        horizontal_line(56, 58),
        horizontal_line(56, 59),
        horizontal_line(56, 59),
        horizontal_line(131, 137),
        horizontal_line(103, 104),
        horizontal_line(102, 106),
        horizontal_line(102, 109),
        horizontal_line(2, 44),
        horizontal_line(2, 41),
        horizontal_line(111, 114),
        horizontal_line(127, 167),
        horizontal_line(127, 166),
        horizontal_line(126, 166),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(220, 222),
    };

    constexpr const horizontal_line frame_1226_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(218, 236),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_1226_shape_group_6_shapes[] = {
        shape(frame_1226_shape_group_6_shape_0_horizontal_lines, 76, 8),
        shape(frame_1226_shape_group_6_shape_1_horizontal_lines, 81, 1),
        shape(frame_1226_shape_group_6_shape_2_horizontal_lines, 83, 8),
        shape(frame_1226_shape_group_6_shape_3_horizontal_lines, 85, 1),
        shape(frame_1226_shape_group_6_shape_4_horizontal_lines, 89, 8),
        shape(frame_1226_shape_group_6_shape_5_horizontal_lines, 91, 4),
        shape(frame_1226_shape_group_6_shape_6_horizontal_lines, 92, 1),
        shape(frame_1226_shape_group_6_shape_7_horizontal_lines, 123, 2),
        shape(frame_1226_shape_group_6_shape_8_horizontal_lines, 137, 2),
        shape(frame_1226_shape_group_6_shape_9_horizontal_lines, 142, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(161, 164),
        horizontal_line(158, 166),
        horizontal_line(155, 168),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(146, 173),
        horizontal_line(143, 175),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(131, 184),
        horizontal_line(133, 186),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(170, 185),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(138, 142),
        horizontal_line(186, 239),
        horizontal_line(133, 142),
        horizontal_line(130, 142),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(143, 185),
        horizontal_line(143, 184),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(127, 133),
        horizontal_line(185, 239),
        horizontal_line(132, 132),
        horizontal_line(186, 239),
        horizontal_line(130, 142),
        horizontal_line(117, 117),
        horizontal_line(115, 116),
        horizontal_line(58, 60),
        horizontal_line(100, 108),
        horizontal_line(128, 168),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(113, 124),
        horizontal_line(117, 124),
        horizontal_line(165, 188),
    };

    constexpr const shape frame_1226_shape_group_7_shapes[] = {
        shape(frame_1226_shape_group_7_shape_0_horizontal_lines, 78, 1),
        shape(frame_1226_shape_group_7_shape_1_horizontal_lines, 83, 1),
        shape(frame_1226_shape_group_7_shape_2_horizontal_lines, 89, 1),
        shape(frame_1226_shape_group_7_shape_3_horizontal_lines, 92, 4),
        shape(frame_1226_shape_group_7_shape_4_horizontal_lines, 93, 1),
        shape(frame_1226_shape_group_7_shape_5_horizontal_lines, 101, 4),
        shape(frame_1226_shape_group_7_shape_6_horizontal_lines, 103, 1),
        shape(frame_1226_shape_group_7_shape_7_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(161, 185),
        horizontal_line(152, 185),
        horizontal_line(144, 185),
        horizontal_line(143, 185),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(143, 185),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(52, 53),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(124, 126),
        horizontal_line(122, 126),
        horizontal_line(120, 126),
        horizontal_line(119, 126),
        horizontal_line(118, 126),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(118, 126),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(130, 147),
        horizontal_line(129, 153),
        horizontal_line(101, 109),
        horizontal_line(112, 115),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(106, 107),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_1226_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(105, 107),
        horizontal_line(166, 183),
        horizontal_line(165, 185),
    };

    constexpr const shape frame_1226_shape_group_8_shapes[] = {
        shape(frame_1226_shape_group_8_shape_0_horizontal_lines, 90, 1),
        shape(frame_1226_shape_group_8_shape_1_horizontal_lines, 93, 4),
        shape(frame_1226_shape_group_8_shape_2_horizontal_lines, 97, 1),
        shape(frame_1226_shape_group_8_shape_3_horizontal_lines, 98, 4),
        shape(frame_1226_shape_group_8_shape_4_horizontal_lines, 99, 1),
        shape(frame_1226_shape_group_8_shape_5_horizontal_lines, 101, 3),
        shape(frame_1226_shape_group_8_shape_6_horizontal_lines, 103, 4),
        shape(frame_1226_shape_group_8_shape_7_horizontal_lines, 109, 1),
        shape(frame_1226_shape_group_8_shape_8_horizontal_lines, 110, 4),
        shape(frame_1226_shape_group_8_shape_9_horizontal_lines, 111, 1),
        shape(frame_1226_shape_group_8_shape_10_horizontal_lines, 112, 4),
        shape(frame_1226_shape_group_8_shape_11_horizontal_lines, 113, 1),
        shape(frame_1226_shape_group_8_shape_12_horizontal_lines, 119, 4),
        shape(frame_1226_shape_group_8_shape_13_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(39, 39),
        horizontal_line(40, 41),
        horizontal_line(41, 42),
        horizontal_line(42, 44),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(143, 185),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(44, 48),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(143, 185),
        horizontal_line(143, 185),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(44, 49),
        horizontal_line(44, 51),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(143, 184),
        horizontal_line(143, 184),
        horizontal_line(143, 184),
        horizontal_line(143, 184),
        horizontal_line(143, 184),
        horizontal_line(143, 184),
        horizontal_line(118, 126),
        horizontal_line(164, 184),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(114, 115),
        horizontal_line(128, 163),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_1226_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(112, 125),
    };

    constexpr const shape frame_1226_shape_group_9_shapes[] = {
        shape(frame_1226_shape_group_9_shape_0_horizontal_lines, 93, 3),
        shape(frame_1226_shape_group_9_shape_1_horizontal_lines, 97, 4),
        shape(frame_1226_shape_group_9_shape_2_horizontal_lines, 98, 3),
        shape(frame_1226_shape_group_9_shape_3_horizontal_lines, 99, 4),
        shape(frame_1226_shape_group_9_shape_4_horizontal_lines, 101, 2),
        shape(frame_1226_shape_group_9_shape_5_horizontal_lines, 103, 4),
        shape(frame_1226_shape_group_9_shape_6_horizontal_lines, 112, 2),
        shape(frame_1226_shape_group_9_shape_7_horizontal_lines, 113, 4),
        shape(frame_1226_shape_group_9_shape_8_horizontal_lines, 114, 1),
        shape(frame_1226_shape_group_9_shape_9_horizontal_lines, 118, 4),
        shape(frame_1226_shape_group_9_shape_10_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(43, 46),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(46, 50),
        horizontal_line(48, 51),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(45, 54),
        horizontal_line(45, 54),
        horizontal_line(45, 54),
        horizontal_line(45, 54),
        horizontal_line(46, 54),
        horizontal_line(46, 55),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(153, 184),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(175, 184),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(47, 56),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(129, 158),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(106, 108),
        horizontal_line(166, 180),
    };

    constexpr const shape frame_1226_shape_group_10_shapes[] = {
        shape(frame_1226_shape_group_10_shape_0_horizontal_lines, 97, 3),
        shape(frame_1226_shape_group_10_shape_1_horizontal_lines, 99, 3),
        shape(frame_1226_shape_group_10_shape_2_horizontal_lines, 103, 2),
        shape(frame_1226_shape_group_10_shape_3_horizontal_lines, 109, 4),
        shape(frame_1226_shape_group_10_shape_4_horizontal_lines, 110, 2),
        shape(frame_1226_shape_group_10_shape_5_horizontal_lines, 111, 4),
        shape(frame_1226_shape_group_10_shape_6_horizontal_lines, 112, 2),
        shape(frame_1226_shape_group_10_shape_7_horizontal_lines, 116, 1),
        shape(frame_1226_shape_group_10_shape_8_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(44, 45),
        horizontal_line(44, 47),
    };

    constexpr const horizontal_line frame_1226_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(46, 55),
        horizontal_line(46, 55),
        horizontal_line(0, 0),
        horizontal_line(125, 130),
        horizontal_line(47, 56),
        horizontal_line(47, 56),
        horizontal_line(48, 56),
    };

    constexpr const horizontal_line frame_1226_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1226_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1226_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(115, 127),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
        horizontal_line(113, 125),
    };

    constexpr const shape frame_1226_shape_group_11_shapes[] = {
        shape(frame_1226_shape_group_11_shape_0_horizontal_lines, 99, 2),
        shape(frame_1226_shape_group_11_shape_1_horizontal_lines, 109, 2),
        shape(frame_1226_shape_group_11_shape_2_horizontal_lines, 116, 1),
        shape(frame_1226_shape_group_11_shape_3_horizontal_lines, 117, 4),
        shape(frame_1226_shape_group_11_shape_4_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(47, 55),
    };

    constexpr const horizontal_line frame_1226_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(118, 129),
        horizontal_line(117, 128),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(169, 169),
        horizontal_line(168, 171),
        horizontal_line(167, 174),
        horizontal_line(167, 177),
    };

    constexpr const shape frame_1226_shape_group_12_shapes[] = {
        shape(frame_1226_shape_group_12_shape_0_horizontal_lines, 111, 2),
        shape(frame_1226_shape_group_12_shape_1_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(119, 129),
    };

    constexpr const horizontal_line frame_1226_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(116, 127),
    };

    constexpr const shape frame_1226_shape_group_13_shapes[] = {
        shape(frame_1226_shape_group_13_shape_0_horizontal_lines, 113, 2),
        shape(frame_1226_shape_group_13_shape_1_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const shape frame_1226_shape_group_14_shapes[] = {
        shape(frame_1226_shape_group_14_shape_0_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1226_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(116, 128),
    };

    constexpr const shape frame_1226_shape_group_15_shapes[] = {
        shape(frame_1226_shape_group_15_shape_0_horizontal_lines, 116, 2),
    };

    constexpr const shape_group frame_1226_shape_groups[] = {
        shape_group(frame_1226_shape_group_0_shapes),
        shape_group(frame_1226_shape_group_1_shapes),
        shape_group(frame_1226_shape_group_2_shapes),
        shape_group(frame_1226_shape_group_3_shapes),
        shape_group(frame_1226_shape_group_4_shapes),
        shape_group(frame_1226_shape_group_5_shapes),
        shape_group(frame_1226_shape_group_6_shapes),
        shape_group(frame_1226_shape_group_7_shapes),
        shape_group(frame_1226_shape_group_8_shapes),
        shape_group(frame_1226_shape_group_9_shapes),
        shape_group(frame_1226_shape_group_10_shapes),
        shape_group(frame_1226_shape_group_11_shapes),
        shape_group(frame_1226_shape_group_12_shapes),
        shape_group(frame_1226_shape_group_13_shapes),
        shape_group(frame_1226_shape_group_14_shapes),
        shape_group(frame_1226_shape_group_15_shapes),
    };

    constexpr const frame frame_1226_impl(frame_1226_colors, frame_1226_shape_groups);
} 

const frame& frame_1226()
{
    return frame_1226_impl;
}

namespace
{
    constexpr const bn::color frame_1227_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1227_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1227_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(34, 35),
        horizontal_line(35, 39),
        horizontal_line(36, 43),
        horizontal_line(37, 47),
        horizontal_line(38, 51),
        horizontal_line(39, 55),
        horizontal_line(40, 59),
        horizontal_line(41, 63),
        horizontal_line(41, 67),
        horizontal_line(42, 71),
        horizontal_line(43, 75),
    };

    constexpr const horizontal_line frame_1227_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 62),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(4, 33),
        horizontal_line(8, 33),
        horizontal_line(13, 32),
        horizontal_line(17, 32),
        horizontal_line(22, 31),
        horizontal_line(26, 31),
        horizontal_line(31, 31),
        horizontal_line(51, 53),
        horizontal_line(51, 54),
        horizontal_line(51, 55),
        horizontal_line(50, 55),
        horizontal_line(50, 56),
        horizontal_line(49, 56),
        horizontal_line(49, 57),
        horizontal_line(49, 70),
        horizontal_line(49, 57),
        horizontal_line(50, 57),
        horizontal_line(51, 56),
        horizontal_line(52, 56),
        horizontal_line(53, 55),
        horizontal_line(54, 55),
        horizontal_line(54, 54),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(63, 71),
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(60, 62),
        horizontal_line(60, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(62, 62),
        horizontal_line(43, 52),
        horizontal_line(40, 59),
        horizontal_line(37, 67),
        horizontal_line(34, 74),
        horizontal_line(31, 82),
        horizontal_line(29, 89),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(11, 73),
        horizontal_line(22, 84),
        horizontal_line(33, 95),
        horizontal_line(44, 106),
        horizontal_line(55, 117),
        horizontal_line(65, 127),
        horizontal_line(76, 138),
        horizontal_line(87, 149),
        horizontal_line(98, 152),
        horizontal_line(109, 154),
        horizontal_line(119, 155),
        horizontal_line(130, 157),
        horizontal_line(141, 158),
        horizontal_line(152, 160),
    };

    constexpr const horizontal_line frame_1227_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1227_shape_group_0_shapes[] = {
        shape(frame_1227_shape_group_0_shape_0_horizontal_lines, 11, 9),
        shape(frame_1227_shape_group_0_shape_1_horizontal_lines, 39, 14),
        shape(frame_1227_shape_group_0_shape_2_horizontal_lines, 50, 9),
        shape(frame_1227_shape_group_0_shape_3_horizontal_lines, 148, 8),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(44, 79),
        horizontal_line(45, 83),
        horizontal_line(46, 87),
        horizontal_line(47, 91),
        horizontal_line(48, 95),
        horizontal_line(48, 99),
        horizontal_line(49, 103),
        horizontal_line(50, 107),
        horizontal_line(51, 111),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(40, 62),
        horizontal_line(41, 63),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(44, 64),
        horizontal_line(45, 65),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 67),
        horizontal_line(52, 68),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(69, 89),
        horizontal_line(70, 95),
        horizontal_line(70, 101),
        horizontal_line(70, 106),
        horizontal_line(70, 112),
        horizontal_line(70, 118),
        horizontal_line(71, 118),
        horizontal_line(75, 117),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(110, 114),
        horizontal_line(109, 116),
        horizontal_line(108, 118),
        horizontal_line(72, 78),
        horizontal_line(72, 86),
        horizontal_line(72, 94),
        horizontal_line(72, 103),
        horizontal_line(72, 103),
        horizontal_line(72, 102),
        horizontal_line(72, 101),
        horizontal_line(72, 101),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(64, 70),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(84, 99),
        horizontal_line(91, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 99),
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(88, 97),
        horizontal_line(85, 104),
        horizontal_line(82, 112),
        horizontal_line(79, 119),
        horizontal_line(77, 127),
        horizontal_line(74, 128),
        horizontal_line(71, 130),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(73, 135),
        horizontal_line(84, 142),
        horizontal_line(95, 143),
        horizontal_line(106, 145),
        horizontal_line(117, 146),
        horizontal_line(127, 148),
        horizontal_line(138, 149),
        horizontal_line(149, 151),
    };

    constexpr const horizontal_line frame_1227_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1227_shape_group_1_shapes[] = {
        shape(frame_1227_shape_group_1_shape_0_horizontal_lines, 50, 14),
        shape(frame_1227_shape_group_1_shape_1_horizontal_lines, 72, 9),
        shape(frame_1227_shape_group_1_shape_2_horizontal_lines, 86, 14),
        shape(frame_1227_shape_group_1_shape_3_horizontal_lines, 87, 9),
        shape(frame_1227_shape_group_1_shape_4_horizontal_lines, 89, 14),
        shape(frame_1227_shape_group_1_shape_5_horizontal_lines, 97, 9),
        shape(frame_1227_shape_group_1_shape_6_horizontal_lines, 104, 14),
        shape(frame_1227_shape_group_1_shape_7_horizontal_lines, 115, 9),
        shape(frame_1227_shape_group_1_shape_8_horizontal_lines, 116, 14),
        shape(frame_1227_shape_group_1_shape_9_horizontal_lines, 121, 9),
        shape(frame_1227_shape_group_1_shape_10_horizontal_lines, 142, 8),
    };

    constexpr const horizontal_line frame_1227_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(115, 119),
        horizontal_line(116, 123),
        horizontal_line(234, 239),
        horizontal_line(228, 239),
        horizontal_line(223, 239),
        horizontal_line(217, 239),
        horizontal_line(212, 239),
        horizontal_line(206, 239),
        horizontal_line(200, 239),
        horizontal_line(195, 239),
        horizontal_line(189, 239),
        horizontal_line(184, 239),
        horizontal_line(66, 128),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(85, 147),
        horizontal_line(90, 152),
        horizontal_line(95, 157),
        horizontal_line(99, 154),
        horizontal_line(104, 151),
        horizontal_line(109, 148),
        horizontal_line(114, 145),
        horizontal_line(118, 142),
        horizontal_line(123, 139),
        horizontal_line(128, 136),
        horizontal_line(133, 133),
        horizontal_line(69, 78),
        horizontal_line(69, 84),
        horizontal_line(128, 137),
        horizontal_line(127, 139),
        horizontal_line(125, 140),
        horizontal_line(123, 142),
        horizontal_line(121, 144),
        horizontal_line(120, 146),
        horizontal_line(121, 142),
        horizontal_line(123, 138),
        horizontal_line(81, 116),
        horizontal_line(87, 115),
        horizontal_line(93, 114),
        horizontal_line(99, 113),
        horizontal_line(105, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_1227_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(55, 61),
        horizontal_line(56, 61),
        horizontal_line(57, 62),
    };

    constexpr const horizontal_line frame_1227_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(107, 118),
        horizontal_line(106, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(107, 118),
        horizontal_line(109, 116),
        horizontal_line(111, 114),
        horizontal_line(77, 100),
        horizontal_line(111, 111),
        horizontal_line(169, 183),
        horizontal_line(174, 180),
    };

    constexpr const horizontal_line frame_1227_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(83, 92),
        horizontal_line(90, 99),
        horizontal_line(98, 106),
        horizontal_line(105, 114),
        horizontal_line(113, 118),
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_1227_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1227_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(130, 131),
        horizontal_line(127, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(125, 139),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_1227_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 32),
        horizontal_line(0, 43),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 97),
        horizontal_line(62, 108),
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
    };

    constexpr const shape frame_1227_shape_group_2_shapes[] = {
        shape(frame_1227_shape_group_2_shape_0_horizontal_lines, 59, 14),
        shape(frame_1227_shape_group_2_shape_1_horizontal_lines, 104, 8),
        shape(frame_1227_shape_group_2_shape_2_horizontal_lines, 107, 14),
        shape(frame_1227_shape_group_2_shape_3_horizontal_lines, 119, 8),
        shape(frame_1227_shape_group_2_shape_4_horizontal_lines, 125, 1),
        shape(frame_1227_shape_group_2_shape_5_horizontal_lines, 128, 9),
        shape(frame_1227_shape_group_2_shape_6_horizontal_lines, 135, 8),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(117, 127),
        horizontal_line(117, 131),
        horizontal_line(118, 135),
        horizontal_line(119, 139),
        horizontal_line(120, 143),
        horizontal_line(121, 147),
        horizontal_line(122, 151),
        horizontal_line(123, 155),
        horizontal_line(124, 159),
        horizontal_line(125, 163),
        horizontal_line(178, 239),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(132, 133),
        horizontal_line(130, 135),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 50),
        horizontal_line(0, 33),
        horizontal_line(1, 34),
        horizontal_line(11, 36),
        horizontal_line(21, 37),
        horizontal_line(31, 38),
        horizontal_line(45, 48),
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(125, 135),
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(57, 59),
        horizontal_line(57, 59),
        horizontal_line(56, 60),
        horizontal_line(56, 60),
        horizontal_line(55, 60),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(142, 154),
        horizontal_line(139, 162),
        horizontal_line(137, 171),
        horizontal_line(141, 179),
        horizontal_line(146, 187),
        horizontal_line(151, 195),
        horizontal_line(155, 192),
        horizontal_line(111, 112),
        horizontal_line(165, 186),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(68, 77),
        horizontal_line(75, 85),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(128, 173),
        horizontal_line(129, 173),
        horizontal_line(131, 172),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(137, 170),
        horizontal_line(138, 169),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(143, 168),
        horizontal_line(144, 167),
        horizontal_line(146, 167),
        horizontal_line(147, 166),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 75),
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(153, 164),
        horizontal_line(155, 163),
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 140),
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_1227_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
    };

    constexpr const shape frame_1227_shape_group_3_shapes[] = {
        shape(frame_1227_shape_group_3_shape_0_horizontal_lines, 62, 14),
        shape(frame_1227_shape_group_3_shape_1_horizontal_lines, 89, 8),
        shape(frame_1227_shape_group_3_shape_2_horizontal_lines, 97, 14),
        shape(frame_1227_shape_group_3_shape_3_horizontal_lines, 99, 8),
        shape(frame_1227_shape_group_3_shape_4_horizontal_lines, 104, 1),
        shape(frame_1227_shape_group_3_shape_5_horizontal_lines, 107, 14),
        shape(frame_1227_shape_group_3_shape_6_horizontal_lines, 117, 8),
        shape(frame_1227_shape_group_3_shape_7_horizontal_lines, 119, 1),
        shape(frame_1227_shape_group_3_shape_8_horizontal_lines, 133, 8),
        shape(frame_1227_shape_group_3_shape_9_horizontal_lines, 135, 1),
        shape(frame_1227_shape_group_3_shape_10_horizontal_lines, 139, 8),
        shape(frame_1227_shape_group_3_shape_11_horizontal_lines, 142, 1),
        shape(frame_1227_shape_group_3_shape_12_horizontal_lines, 145, 8),
        shape(frame_1227_shape_group_3_shape_13_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(128, 167),
        horizontal_line(133, 171),
        horizontal_line(138, 169),
        horizontal_line(142, 166),
        horizontal_line(147, 163),
        horizontal_line(152, 160),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(35, 45),
        horizontal_line(35, 46),
        horizontal_line(35, 47),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(138, 183),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(35, 50),
        horizontal_line(37, 50),
        horizontal_line(39, 49),
        horizontal_line(41, 49),
        horizontal_line(43, 48),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(55, 56),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(59, 60),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(160, 189),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(60, 70),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(100, 106),
        horizontal_line(102, 105),
        horizontal_line(108, 113),
        horizontal_line(128, 175),
        horizontal_line(128, 174),
        horizontal_line(127, 174),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(174, 194),
        horizontal_line(174, 197),
        horizontal_line(173, 200),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(132, 172),
        horizontal_line(134, 171),
        horizontal_line(135, 170),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(171, 211),
        horizontal_line(170, 214),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(140, 169),
        horizontal_line(141, 168),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(169, 222),
        horizontal_line(168, 225),
        horizontal_line(168, 227),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(149, 165),
        horizontal_line(150, 165),
        horizontal_line(152, 164),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(158, 162),
        horizontal_line(159, 162),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_1227_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_1227_shape_group_4_shapes[] = {
        shape(frame_1227_shape_group_4_shape_0_horizontal_lines, 72, 14),
        shape(frame_1227_shape_group_4_shape_1_horizontal_lines, 79, 8),
        shape(frame_1227_shape_group_4_shape_2_horizontal_lines, 87, 14),
        shape(frame_1227_shape_group_4_shape_3_horizontal_lines, 88, 8),
        shape(frame_1227_shape_group_4_shape_4_horizontal_lines, 89, 1),
        shape(frame_1227_shape_group_4_shape_5_horizontal_lines, 90, 8),
        shape(frame_1227_shape_group_4_shape_6_horizontal_lines, 95, 1),
        shape(frame_1227_shape_group_4_shape_7_horizontal_lines, 97, 8),
        shape(frame_1227_shape_group_4_shape_8_horizontal_lines, 99, 1),
        shape(frame_1227_shape_group_4_shape_9_horizontal_lines, 107, 8),
        shape(frame_1227_shape_group_4_shape_10_horizontal_lines, 110, 1),
        shape(frame_1227_shape_group_4_shape_11_horizontal_lines, 115, 14),
        shape(frame_1227_shape_group_4_shape_12_horizontal_lines, 116, 8),
        shape(frame_1227_shape_group_4_shape_13_horizontal_lines, 117, 1),
        shape(frame_1227_shape_group_4_shape_14_horizontal_lines, 125, 2),
        shape(frame_1227_shape_group_4_shape_15_horizontal_lines, 128, 1),
        shape(frame_1227_shape_group_4_shape_16_horizontal_lines, 131, 2),
        shape(frame_1227_shape_group_4_shape_17_horizontal_lines, 133, 1),
        shape(frame_1227_shape_group_4_shape_18_horizontal_lines, 135, 2),
        shape(frame_1227_shape_group_4_shape_19_horizontal_lines, 139, 1),
        shape(frame_1227_shape_group_4_shape_20_horizontal_lines, 142, 2),
        shape(frame_1227_shape_group_4_shape_21_horizontal_lines, 145, 1),
        shape(frame_1227_shape_group_4_shape_22_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(36, 43),
        horizontal_line(36, 44),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(155, 182),
        horizontal_line(152, 184),
        horizontal_line(149, 185),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(34, 48),
        horizontal_line(34, 49),
        horizontal_line(33, 50),
        horizontal_line(33, 51),
        horizontal_line(32, 52),
        horizontal_line(0, 25),
        horizontal_line(32, 51),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(140, 176),
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
        horizontal_line(0, 30),
        horizontal_line(119, 120),
        horizontal_line(118, 122),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(115, 146),
        horizontal_line(114, 146),
        horizontal_line(113, 126),
        horizontal_line(112, 124),
        horizontal_line(113, 123),
        horizontal_line(115, 121),
        horizontal_line(117, 120),
        horizontal_line(119, 119),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(56, 59),
        horizontal_line(56, 59),
        horizontal_line(56, 59),
        horizontal_line(56, 59),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(53, 63),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(99, 108),
        horizontal_line(99, 107),
        horizontal_line(110, 114),
        horizontal_line(109, 114),
        horizontal_line(129, 175),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(119, 127),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(173, 202),
        horizontal_line(172, 205),
        horizontal_line(171, 208),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(170, 216),
        horizontal_line(169, 219),
    };

    constexpr const horizontal_line frame_1227_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(229, 230),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
    };

    constexpr const shape frame_1227_shape_group_5_shapes[] = {
        shape(frame_1227_shape_group_5_shape_0_horizontal_lines, 73, 14),
        shape(frame_1227_shape_group_5_shape_1_horizontal_lines, 77, 8),
        shape(frame_1227_shape_group_5_shape_2_horizontal_lines, 79, 1),
        shape(frame_1227_shape_group_5_shape_3_horizontal_lines, 82, 8),
        shape(frame_1227_shape_group_5_shape_4_horizontal_lines, 89, 1),
        shape(frame_1227_shape_group_5_shape_5_horizontal_lines, 115, 8),
        shape(frame_1227_shape_group_5_shape_6_horizontal_lines, 116, 1),
        shape(frame_1227_shape_group_5_shape_7_horizontal_lines, 123, 2),
        shape(frame_1227_shape_group_5_shape_8_horizontal_lines, 128, 2),
        shape(frame_1227_shape_group_5_shape_9_horizontal_lines, 133, 2),
        shape(frame_1227_shape_group_5_shape_10_horizontal_lines, 138, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(38, 39),
        horizontal_line(38, 40),
        horizontal_line(37, 41),
        horizontal_line(37, 42),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(161, 178),
        horizontal_line(158, 180),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(146, 187),
        horizontal_line(143, 189),
        horizontal_line(140, 191),
        horizontal_line(137, 193),
        horizontal_line(134, 195),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(32, 51),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(136, 190),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(184, 196),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(141, 168),
        horizontal_line(143, 161),
        horizontal_line(145, 154),
        horizontal_line(147, 147),
        horizontal_line(143, 146),
        horizontal_line(139, 146),
        horizontal_line(117, 124),
        horizontal_line(116, 126),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(55, 57),
        horizontal_line(55, 58),
        horizontal_line(55, 59),
        horizontal_line(136, 136),
        horizontal_line(104, 104),
        horizontal_line(103, 106),
        horizontal_line(102, 108),
        horizontal_line(102, 110),
        horizontal_line(0, 42),
        horizontal_line(100, 109),
        horizontal_line(111, 116),
        horizontal_line(110, 115),
        horizontal_line(130, 177),
        horizontal_line(130, 176),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(115, 127),
        horizontal_line(175, 189),
        horizontal_line(175, 191),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(228, 233),
        horizontal_line(228, 236),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_1227_shape_group_6_shapes[] = {
        shape(frame_1227_shape_group_6_shape_0_horizontal_lines, 73, 8),
        shape(frame_1227_shape_group_6_shape_1_horizontal_lines, 77, 1),
        shape(frame_1227_shape_group_6_shape_2_horizontal_lines, 82, 1),
        shape(frame_1227_shape_group_6_shape_3_horizontal_lines, 87, 8),
        shape(frame_1227_shape_group_6_shape_4_horizontal_lines, 88, 1),
        shape(frame_1227_shape_group_6_shape_5_horizontal_lines, 89, 4),
        shape(frame_1227_shape_group_6_shape_6_horizontal_lines, 90, 1),
        shape(frame_1227_shape_group_6_shape_7_horizontal_lines, 122, 2),
        shape(frame_1227_shape_group_6_shape_8_horizontal_lines, 139, 2),
        shape(frame_1227_shape_group_6_shape_9_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(167, 174),
        horizontal_line(164, 176),
    };

    constexpr const horizontal_line frame_1227_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(134, 196),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(177, 196),
    };

    constexpr const horizontal_line frame_1227_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(136, 146),
        horizontal_line(132, 146),
    };

    constexpr const horizontal_line frame_1227_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(147, 196),
        horizontal_line(147, 196),
    };

    constexpr const horizontal_line frame_1227_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(128, 145),
        horizontal_line(128, 136),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(135, 140),
        horizontal_line(119, 119),
        horizontal_line(117, 118),
        horizontal_line(115, 118),
        horizontal_line(101, 110),
        horizontal_line(112, 116),
        horizontal_line(131, 168),
        horizontal_line(131, 173),
        horizontal_line(222, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(176, 186),
    };

    constexpr const shape frame_1227_shape_group_7_shapes[] = {
        shape(frame_1227_shape_group_7_shape_0_horizontal_lines, 74, 1),
        shape(frame_1227_shape_group_7_shape_1_horizontal_lines, 87, 1),
        shape(frame_1227_shape_group_7_shape_2_horizontal_lines, 90, 4),
        shape(frame_1227_shape_group_7_shape_3_horizontal_lines, 91, 1),
        shape(frame_1227_shape_group_7_shape_4_horizontal_lines, 99, 4),
        shape(frame_1227_shape_group_7_shape_5_horizontal_lines, 101, 1),
        shape(frame_1227_shape_group_7_shape_6_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(191, 196),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(34, 34),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(169, 196),
        horizontal_line(162, 196),
        horizontal_line(155, 196),
        horizontal_line(148, 196),
        horizontal_line(147, 196),
        horizontal_line(147, 196),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(48, 50),
        horizontal_line(50, 51),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(122, 127),
        horizontal_line(121, 127),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(119, 127),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(134, 145),
        horizontal_line(134, 150),
        horizontal_line(133, 154),
        horizontal_line(113, 117),
        horizontal_line(132, 164),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1227_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(114, 128),
    };

    constexpr const shape frame_1227_shape_group_8_shapes[] = {
        shape(frame_1227_shape_group_8_shape_0_horizontal_lines, 87, 1),
        shape(frame_1227_shape_group_8_shape_1_horizontal_lines, 88, 4),
        shape(frame_1227_shape_group_8_shape_2_horizontal_lines, 90, 3),
        shape(frame_1227_shape_group_8_shape_3_horizontal_lines, 91, 4),
        shape(frame_1227_shape_group_8_shape_4_horizontal_lines, 97, 1),
        shape(frame_1227_shape_group_8_shape_5_horizontal_lines, 99, 3),
        shape(frame_1227_shape_group_8_shape_6_horizontal_lines, 101, 4),
        shape(frame_1227_shape_group_8_shape_7_horizontal_lines, 107, 1),
        shape(frame_1227_shape_group_8_shape_8_horizontal_lines, 109, 4),
        shape(frame_1227_shape_group_8_shape_9_horizontal_lines, 111, 1),
        shape(frame_1227_shape_group_8_shape_10_horizontal_lines, 119, 4),
        shape(frame_1227_shape_group_8_shape_11_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(35, 36),
        horizontal_line(37, 38),
        horizontal_line(38, 40),
        horizontal_line(39, 42),
        horizontal_line(41, 44),
        horizontal_line(42, 47),
    };

    constexpr const horizontal_line frame_1227_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(147, 196),
        horizontal_line(147, 196),
    };

    constexpr const horizontal_line frame_1227_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(42, 47),
        horizontal_line(42, 49),
    };

    constexpr const horizontal_line frame_1227_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(147, 195),
        horizontal_line(147, 195),
        horizontal_line(147, 195),
        horizontal_line(147, 195),
        horizontal_line(147, 195),
        horizontal_line(147, 195),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(163, 195),
        horizontal_line(172, 195),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_1227_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(133, 159),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1227_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(107, 108),
        horizontal_line(176, 183),
    };

    constexpr const shape frame_1227_shape_group_9_shapes[] = {
        shape(frame_1227_shape_group_9_shape_0_horizontal_lines, 91, 3),
        shape(frame_1227_shape_group_9_shape_1_horizontal_lines, 97, 4),
        shape(frame_1227_shape_group_9_shape_2_horizontal_lines, 99, 2),
        shape(frame_1227_shape_group_9_shape_3_horizontal_lines, 101, 4),
        shape(frame_1227_shape_group_9_shape_4_horizontal_lines, 112, 1),
        shape(frame_1227_shape_group_9_shape_5_horizontal_lines, 117, 4),
        shape(frame_1227_shape_group_9_shape_6_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(41, 41),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(44, 48),
        horizontal_line(46, 49),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(42, 53),
        horizontal_line(43, 53),
        horizontal_line(43, 53),
        horizontal_line(43, 53),
        horizontal_line(43, 54),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(147, 195),
        horizontal_line(155, 195),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(44, 54),
        horizontal_line(44, 55),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(180, 195),
        horizontal_line(188, 195),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(45, 55),
        horizontal_line(46, 56),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_1227_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
    };

    constexpr const shape frame_1227_shape_group_10_shapes[] = {
        shape(frame_1227_shape_group_10_shape_0_horizontal_lines, 96, 2),
        shape(frame_1227_shape_group_10_shape_1_horizontal_lines, 97, 3),
        shape(frame_1227_shape_group_10_shape_2_horizontal_lines, 101, 3),
        shape(frame_1227_shape_group_10_shape_3_horizontal_lines, 102, 2),
        shape(frame_1227_shape_group_10_shape_4_horizontal_lines, 107, 4),
        shape(frame_1227_shape_group_10_shape_5_horizontal_lines, 109, 2),
        shape(frame_1227_shape_group_10_shape_6_horizontal_lines, 111, 4),
        shape(frame_1227_shape_group_10_shape_7_horizontal_lines, 113, 2),
        shape(frame_1227_shape_group_10_shape_8_horizontal_lines, 115, 1),
        shape(frame_1227_shape_group_10_shape_9_horizontal_lines, 116, 4),
        shape(frame_1227_shape_group_10_shape_10_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(41, 43),
        horizontal_line(41, 45),
    };

    constexpr const horizontal_line frame_1227_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(42, 51),
    };

    constexpr const horizontal_line frame_1227_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(44, 54),
        horizontal_line(44, 54),
    };

    constexpr const horizontal_line frame_1227_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(45, 55),
        horizontal_line(45, 55),
        horizontal_line(60, 60),
        horizontal_line(61, 61),
        horizontal_line(118, 132),
        horizontal_line(117, 131),
        horizontal_line(117, 130),
        horizontal_line(116, 130),
        horizontal_line(178, 178),
        horizontal_line(177, 180),
    };

    constexpr const shape frame_1227_shape_group_11_shapes[] = {
        shape(frame_1227_shape_group_11_shape_0_horizontal_lines, 97, 2),
        shape(frame_1227_shape_group_11_shape_1_horizontal_lines, 101, 2),
        shape(frame_1227_shape_group_11_shape_2_horizontal_lines, 107, 2),
        shape(frame_1227_shape_group_11_shape_3_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(121, 134),
        horizontal_line(60, 60),
        horizontal_line(119, 133),
        horizontal_line(119, 132),
    };

    constexpr const shape frame_1227_shape_group_12_shapes[] = {
        shape(frame_1227_shape_group_12_shape_0_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1227_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(120, 133),
    };

    constexpr const shape frame_1227_shape_group_13_shapes[] = {
        shape(frame_1227_shape_group_13_shape_0_horizontal_lines, 112, 2),
    };

    constexpr const shape_group frame_1227_shape_groups[] = {
        shape_group(frame_1227_shape_group_0_shapes),
        shape_group(frame_1227_shape_group_1_shapes),
        shape_group(frame_1227_shape_group_2_shapes),
        shape_group(frame_1227_shape_group_3_shapes),
        shape_group(frame_1227_shape_group_4_shapes),
        shape_group(frame_1227_shape_group_5_shapes),
        shape_group(frame_1227_shape_group_6_shapes),
        shape_group(frame_1227_shape_group_7_shapes),
        shape_group(frame_1227_shape_group_8_shapes),
        shape_group(frame_1227_shape_group_9_shapes),
        shape_group(frame_1227_shape_group_10_shapes),
        shape_group(frame_1227_shape_group_11_shapes),
        shape_group(frame_1227_shape_group_12_shapes),
        shape_group(frame_1227_shape_group_13_shapes),
    };

    constexpr const frame frame_1227_impl(frame_1227_colors, frame_1227_shape_groups);
} 

const frame& frame_1227()
{
    return frame_1227_impl;
}

namespace
{
    constexpr const bn::color frame_1228_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1228_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(1, 20),
    };

    constexpr const horizontal_line frame_1228_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(24, 25),
        horizontal_line(25, 29),
        horizontal_line(26, 33),
        horizontal_line(27, 37),
        horizontal_line(28, 41),
        horizontal_line(29, 45),
        horizontal_line(30, 48),
        horizontal_line(31, 52),
        horizontal_line(32, 56),
        horizontal_line(33, 60),
        horizontal_line(33, 64),
        horizontal_line(34, 68),
        horizontal_line(35, 71),
        horizontal_line(36, 75),
        horizontal_line(37, 79),
        horizontal_line(38, 83),
        horizontal_line(39, 87),
        horizontal_line(40, 91),
        horizontal_line(41, 94),
        horizontal_line(42, 98),
    };

    constexpr const horizontal_line frame_1228_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 60),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(3, 30),
        horizontal_line(7, 29),
        horizontal_line(11, 29),
        horizontal_line(15, 28),
        horizontal_line(19, 28),
        horizontal_line(23, 27),
        horizontal_line(27, 27),
        horizontal_line(51, 54),
        horizontal_line(50, 54),
        horizontal_line(50, 55),
        horizontal_line(49, 55),
        horizontal_line(49, 56),
        horizontal_line(48, 56),
        horizontal_line(48, 57),
        horizontal_line(48, 58),
        horizontal_line(49, 57),
        horizontal_line(50, 57),
        horizontal_line(51, 56),
        horizontal_line(52, 56),
        horizontal_line(53, 55),
        horizontal_line(54, 55),
        horizontal_line(61, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_1228_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(72, 75),
    };

    constexpr const horizontal_line frame_1228_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(60, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(63, 71),
        horizontal_line(40, 49),
        horizontal_line(37, 56),
        horizontal_line(34, 63),
        horizontal_line(31, 71),
        horizontal_line(29, 78),
        horizontal_line(26, 85),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(12, 74),
        horizontal_line(23, 85),
        horizontal_line(35, 97),
        horizontal_line(46, 108),
        horizontal_line(58, 120),
        horizontal_line(69, 131),
        horizontal_line(81, 143),
        horizontal_line(92, 154),
        horizontal_line(104, 162),
        horizontal_line(115, 164),
        horizontal_line(127, 165),
        horizontal_line(138, 167),
        horizontal_line(150, 168),
        horizontal_line(161, 170),
    };

    constexpr const horizontal_line frame_1228_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1228_shape_group_0_shapes[] = {
        shape(frame_1228_shape_group_0_shape_0_horizontal_lines, 7, 9),
        shape(frame_1228_shape_group_0_shape_1_horizontal_lines, 28, 14),
        shape(frame_1228_shape_group_0_shape_2_horizontal_lines, 48, 9),
        shape(frame_1228_shape_group_0_shape_3_horizontal_lines, 104, 14),
        shape(frame_1228_shape_group_0_shape_4_horizontal_lines, 105, 9),
        shape(frame_1228_shape_group_0_shape_5_horizontal_lines, 154, 8),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(42, 102),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(38, 61),
        horizontal_line(39, 61),
        horizontal_line(40, 62),
        horizontal_line(41, 62),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(45, 64),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(51, 68),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(51, 53),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(69, 93),
        horizontal_line(70, 98),
        horizontal_line(70, 103),
        horizontal_line(70, 108),
        horizontal_line(70, 113),
        horizontal_line(70, 119),
        horizontal_line(70, 119),
        horizontal_line(71, 118),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(111, 114),
        horizontal_line(110, 116),
        horizontal_line(109, 118),
        horizontal_line(72, 81),
        horizontal_line(72, 87),
        horizontal_line(72, 92),
        horizontal_line(72, 98),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 103),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(78, 101),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(64, 71),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(99, 101),
        horizontal_line(98, 104),
        horizontal_line(101, 104),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(85, 92),
        horizontal_line(82, 100),
        horizontal_line(79, 107),
        horizontal_line(77, 114),
        horizontal_line(74, 121),
        horizontal_line(71, 129),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(74, 136),
        horizontal_line(85, 147),
        horizontal_line(97, 153),
        horizontal_line(108, 155),
        horizontal_line(120, 156),
        horizontal_line(131, 158),
        horizontal_line(143, 159),
        horizontal_line(154, 161),
    };

    constexpr const horizontal_line frame_1228_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1228_shape_group_1_shapes[] = {
        shape(frame_1228_shape_group_1_shape_0_horizontal_lines, 48, 14),
        shape(frame_1228_shape_group_1_shape_1_horizontal_lines, 70, 9),
        shape(frame_1228_shape_group_1_shape_2_horizontal_lines, 83, 14),
        shape(frame_1228_shape_group_1_shape_3_horizontal_lines, 84, 9),
        shape(frame_1228_shape_group_1_shape_4_horizontal_lines, 87, 14),
        shape(frame_1228_shape_group_1_shape_5_horizontal_lines, 95, 9),
        shape(frame_1228_shape_group_1_shape_6_horizontal_lines, 101, 14),
        shape(frame_1228_shape_group_1_shape_7_horizontal_lines, 115, 9),
        shape(frame_1228_shape_group_1_shape_8_horizontal_lines, 117, 14),
        shape(frame_1228_shape_group_1_shape_9_horizontal_lines, 121, 9),
        shape(frame_1228_shape_group_1_shape_10_horizontal_lines, 148, 8),
    };

    constexpr const horizontal_line frame_1228_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(106, 110),
        horizontal_line(107, 114),
        horizontal_line(108, 117),
        horizontal_line(109, 121),
        horizontal_line(110, 125),
        horizontal_line(111, 129),
        horizontal_line(112, 133),
        horizontal_line(113, 137),
        horizontal_line(113, 140),
        horizontal_line(239, 239),
        horizontal_line(233, 239),
        horizontal_line(228, 239),
        horizontal_line(222, 239),
        horizontal_line(217, 239),
        horizontal_line(211, 239),
        horizontal_line(206, 239),
        horizontal_line(200, 239),
        horizontal_line(195, 239),
        horizontal_line(189, 239),
        horizontal_line(127, 189),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(80, 142),
        horizontal_line(85, 147),
        horizontal_line(90, 152),
        horizontal_line(95, 157),
        horizontal_line(100, 160),
        horizontal_line(105, 156),
        horizontal_line(110, 153),
        horizontal_line(115, 149),
        horizontal_line(120, 146),
        horizontal_line(125, 142),
        horizontal_line(130, 139),
        horizontal_line(136, 136),
        horizontal_line(69, 77),
        horizontal_line(69, 82),
        horizontal_line(69, 87),
        horizontal_line(129, 143),
        horizontal_line(128, 145),
        horizontal_line(126, 147),
        horizontal_line(124, 149),
        horizontal_line(122, 151),
        horizontal_line(121, 148),
        horizontal_line(122, 145),
        horizontal_line(124, 142),
        horizontal_line(77, 117),
        horizontal_line(84, 116),
        horizontal_line(91, 115),
        horizontal_line(98, 114),
        horizontal_line(105, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1228_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(55, 60),
        horizontal_line(56, 61),
        horizontal_line(57, 61),
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_1228_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(109, 120),
        horizontal_line(108, 120),
        horizontal_line(107, 120),
        horizontal_line(106, 120),
        horizontal_line(106, 120),
        horizontal_line(107, 120),
        horizontal_line(109, 119),
        horizontal_line(112, 117),
        horizontal_line(112, 114),
        horizontal_line(112, 112),
        horizontal_line(85, 100),
        horizontal_line(92, 99),
        horizontal_line(172, 199),
        horizontal_line(177, 197),
        horizontal_line(181, 194),
        horizontal_line(186, 191),
    };

    constexpr const horizontal_line frame_1228_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(93, 107),
        horizontal_line(101, 115),
        horizontal_line(108, 118),
        horizontal_line(115, 122),
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_1228_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1228_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(127, 132),
        horizontal_line(125, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(125, 148),
        horizontal_line(136, 150),
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_1228_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 45),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(62, 114),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 178),
    };

    constexpr const shape frame_1228_shape_group_2_shapes[] = {
        shape(frame_1228_shape_group_2_shape_0_horizontal_lines, 49, 14),
        shape(frame_1228_shape_group_2_shape_1_horizontal_lines, 101, 8),
        shape(frame_1228_shape_group_2_shape_2_horizontal_lines, 105, 14),
        shape(frame_1228_shape_group_2_shape_3_horizontal_lines, 121, 8),
        shape(frame_1228_shape_group_2_shape_4_horizontal_lines, 126, 1),
        shape(frame_1228_shape_group_2_shape_5_horizontal_lines, 127, 9),
        shape(frame_1228_shape_group_2_shape_6_horizontal_lines, 142, 8),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(114, 144),
        horizontal_line(115, 148),
        horizontal_line(116, 152),
        horizontal_line(117, 156),
        horizontal_line(118, 160),
        horizontal_line(119, 163),
        horizontal_line(120, 167),
        horizontal_line(121, 171),
        horizontal_line(122, 175),
        horizontal_line(123, 179),
        horizontal_line(189, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(135, 137),
        horizontal_line(133, 139),
        horizontal_line(131, 141),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 50),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(1, 32),
        horizontal_line(10, 33),
        horizontal_line(20, 35),
        horizontal_line(29, 36),
        horizontal_line(47, 47),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(126, 139),
        horizontal_line(128, 136),
        horizontal_line(130, 133),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(57, 59),
        horizontal_line(56, 60),
        horizontal_line(56, 60),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(147, 157),
        horizontal_line(144, 164),
        horizontal_line(141, 172),
        horizontal_line(140, 179),
        horizontal_line(144, 186),
        horizontal_line(149, 194),
        horizontal_line(153, 201),
        horizontal_line(158, 208),
        horizontal_line(163, 205),
        horizontal_line(167, 202),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(64, 77),
        horizontal_line(72, 85),
        horizontal_line(79, 92),
        horizontal_line(86, 100),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(130, 186),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(136, 184),
        horizontal_line(137, 183),
        horizontal_line(139, 183),
        horizontal_line(140, 182),
        horizontal_line(142, 181),
        horizontal_line(143, 181),
        horizontal_line(145, 180),
        horizontal_line(146, 180),
        horizontal_line(148, 179),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 11),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(154, 177),
        horizontal_line(156, 177),
        horizontal_line(157, 176),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 80),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(163, 174),
        horizontal_line(165, 173),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 137),
        horizontal_line(124, 149),
        horizontal_line(124, 160),
    };

    constexpr const horizontal_line frame_1228_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
    };

    constexpr const shape frame_1228_shape_group_3_shapes[] = {
        shape(frame_1228_shape_group_3_shape_0_horizontal_lines, 59, 14),
        shape(frame_1228_shape_group_3_shape_1_horizontal_lines, 87, 8),
        shape(frame_1228_shape_group_3_shape_2_horizontal_lines, 95, 14),
        shape(frame_1228_shape_group_3_shape_3_horizontal_lines, 98, 8),
        shape(frame_1228_shape_group_3_shape_4_horizontal_lines, 101, 1),
        shape(frame_1228_shape_group_3_shape_5_horizontal_lines, 105, 8),
        shape(frame_1228_shape_group_3_shape_6_horizontal_lines, 106, 14),
        shape(frame_1228_shape_group_3_shape_7_horizontal_lines, 117, 8),
        shape(frame_1228_shape_group_3_shape_8_horizontal_lines, 121, 1),
        shape(frame_1228_shape_group_3_shape_9_horizontal_lines, 139, 8),
        shape(frame_1228_shape_group_3_shape_10_horizontal_lines, 142, 1),
        shape(frame_1228_shape_group_3_shape_11_horizontal_lines, 145, 8),
        shape(frame_1228_shape_group_3_shape_12_horizontal_lines, 148, 1),
        shape(frame_1228_shape_group_3_shape_13_horizontal_lines, 150, 8),
        shape(frame_1228_shape_group_3_shape_14_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(132, 180),
        horizontal_line(137, 177),
        horizontal_line(142, 173),
        horizontal_line(147, 170),
        horizontal_line(152, 166),
        horizontal_line(157, 163),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(33, 44),
        horizontal_line(32, 45),
        horizontal_line(32, 46),
        horizontal_line(31, 47),
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(209, 238),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(144, 199),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(32, 49),
        horizontal_line(34, 49),
        horizontal_line(37, 48),
        horizontal_line(39, 48),
        horizontal_line(42, 47),
        horizontal_line(44, 47),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 58),
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(53, 54),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(54, 57),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(50, 63),
        horizontal_line(57, 70),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(109, 114),
        horizontal_line(131, 188),
        horizontal_line(130, 187),
        horizontal_line(130, 187),
        horizontal_line(129, 186),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(187, 204),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(131, 185),
        horizontal_line(133, 185),
        horizontal_line(134, 184),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(185, 215),
        horizontal_line(184, 218),
        horizontal_line(184, 221),
        horizontal_line(183, 224),
        horizontal_line(182, 227),
        horizontal_line(182, 230),
        horizontal_line(181, 233),
        horizontal_line(181, 236),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(149, 179),
        horizontal_line(151, 178),
        horizontal_line(153, 178),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(159, 175),
        horizontal_line(160, 175),
        horizontal_line(162, 174),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(166, 173),
        horizontal_line(168, 172),
        horizontal_line(169, 172),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_1228_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1228_shape_group_4_shapes[] = {
        shape(frame_1228_shape_group_4_shape_0_horizontal_lines, 70, 14),
        shape(frame_1228_shape_group_4_shape_1_horizontal_lines, 76, 8),
        shape(frame_1228_shape_group_4_shape_2_horizontal_lines, 84, 14),
        shape(frame_1228_shape_group_4_shape_3_horizontal_lines, 86, 8),
        shape(frame_1228_shape_group_4_shape_4_horizontal_lines, 87, 1),
        shape(frame_1228_shape_group_4_shape_5_horizontal_lines, 88, 8),
        shape(frame_1228_shape_group_4_shape_6_horizontal_lines, 94, 1),
        shape(frame_1228_shape_group_4_shape_7_horizontal_lines, 95, 8),
        shape(frame_1228_shape_group_4_shape_8_horizontal_lines, 98, 1),
        shape(frame_1228_shape_group_4_shape_9_horizontal_lines, 106, 8),
        shape(frame_1228_shape_group_4_shape_10_horizontal_lines, 108, 1),
        shape(frame_1228_shape_group_4_shape_11_horizontal_lines, 115, 8),
        shape(frame_1228_shape_group_4_shape_12_horizontal_lines, 117, 1),
        shape(frame_1228_shape_group_4_shape_13_horizontal_lines, 126, 2),
        shape(frame_1228_shape_group_4_shape_14_horizontal_lines, 127, 1),
        shape(frame_1228_shape_group_4_shape_15_horizontal_lines, 130, 2),
        shape(frame_1228_shape_group_4_shape_16_horizontal_lines, 139, 1),
        shape(frame_1228_shape_group_4_shape_17_horizontal_lines, 142, 2),
        shape(frame_1228_shape_group_4_shape_18_horizontal_lines, 145, 1),
        shape(frame_1228_shape_group_4_shape_19_horizontal_lines, 148, 2),
        shape(frame_1228_shape_group_4_shape_20_horizontal_lines, 150, 1),
        shape(frame_1228_shape_group_4_shape_21_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(36, 37),
        horizontal_line(35, 38),
        horizontal_line(35, 39),
        horizontal_line(34, 40),
        horizontal_line(34, 41),
        horizontal_line(33, 42),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(161, 194),
        horizontal_line(157, 195),
        horizontal_line(154, 197),
        horizontal_line(150, 198),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(31, 48),
        horizontal_line(30, 49),
        horizontal_line(30, 50),
        horizontal_line(29, 52),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(28, 50),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(146, 187),
        horizontal_line(148, 175),
        horizontal_line(0, 0),
        horizontal_line(0, 9),
        horizontal_line(0, 19),
        horizontal_line(0, 28),
        horizontal_line(119, 123),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(115, 151),
        horizontal_line(114, 150),
        horizontal_line(53, 53),
        horizontal_line(113, 127),
        horizontal_line(115, 125),
        horizontal_line(117, 124),
        horizontal_line(119, 122),
        horizontal_line(54, 58),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(54, 59),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 60),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(100, 107),
        horizontal_line(102, 106),
        horizontal_line(105, 105),
        horizontal_line(109, 115),
        horizontal_line(132, 189),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(116, 130),
        horizontal_line(119, 129),
        horizontal_line(123, 129),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(186, 207),
        horizontal_line(186, 210),
        horizontal_line(185, 213),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
    };

    constexpr const shape frame_1228_shape_group_5_shapes[] = {
        shape(frame_1228_shape_group_5_shape_0_horizontal_lines, 70, 8),
        shape(frame_1228_shape_group_5_shape_1_horizontal_lines, 76, 1),
        shape(frame_1228_shape_group_5_shape_2_horizontal_lines, 80, 8),
        shape(frame_1228_shape_group_5_shape_3_horizontal_lines, 87, 1),
        shape(frame_1228_shape_group_5_shape_4_horizontal_lines, 122, 2),
        shape(frame_1228_shape_group_5_shape_5_horizontal_lines, 127, 2),
        shape(frame_1228_shape_group_5_shape_6_horizontal_lines, 139, 2),
        shape(frame_1228_shape_group_5_shape_7_horizontal_lines, 144, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(181, 184),
        horizontal_line(178, 186),
        horizontal_line(174, 187),
        horizontal_line(171, 189),
        horizontal_line(167, 190),
        horizontal_line(164, 192),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(147, 200),
        horizontal_line(143, 202),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(29, 51),
        horizontal_line(28, 51),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(200, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(150, 163),
        horizontal_line(152, 152),
        horizontal_line(149, 151),
        horizontal_line(120, 121),
        horizontal_line(143, 151),
        horizontal_line(118, 125),
        horizontal_line(117, 127),
        horizontal_line(116, 129),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(113, 128),
        horizontal_line(131, 150),
        horizontal_line(131, 150),
        horizontal_line(131, 150),
        horizontal_line(130, 150),
        horizontal_line(121, 121),
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(105, 106),
        horizontal_line(104, 108),
        horizontal_line(103, 111),
        horizontal_line(103, 111),
        horizontal_line(102, 110),
        horizontal_line(101, 109),
        horizontal_line(100, 108),
        horizontal_line(111, 117),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(132, 185),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(189, 192),
        horizontal_line(188, 195),
        horizontal_line(188, 198),
        horizontal_line(187, 201),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_1228_shape_group_6_shapes[] = {
        shape(frame_1228_shape_group_6_shape_0_horizontal_lines, 70, 1),
        shape(frame_1228_shape_group_6_shape_1_horizontal_lines, 80, 1),
        shape(frame_1228_shape_group_6_shape_2_horizontal_lines, 84, 8),
        shape(frame_1228_shape_group_6_shape_3_horizontal_lines, 86, 1),
        shape(frame_1228_shape_group_6_shape_4_horizontal_lines, 87, 4),
        shape(frame_1228_shape_group_6_shape_5_horizontal_lines, 88, 1),
        shape(frame_1228_shape_group_6_shape_6_horizontal_lines, 121, 2),
        shape(frame_1228_shape_group_6_shape_7_horizontal_lines, 145, 2),
        shape(frame_1228_shape_group_6_shape_8_horizontal_lines, 150, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(202, 203),
        horizontal_line(199, 205),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(188, 209),
        horizontal_line(176, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(146, 151),
        horizontal_line(210, 239),
        horizontal_line(140, 151),
        horizontal_line(137, 151),
        horizontal_line(134, 151),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(152, 209),
        horizontal_line(151, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(131, 150),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(130, 150),
        horizontal_line(130, 149),
        horizontal_line(130, 139),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(121, 129),
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(120, 121),
        horizontal_line(118, 120),
        horizontal_line(115, 120),
        horizontal_line(113, 119),
        horizontal_line(112, 118),
        horizontal_line(111, 118),
        horizontal_line(134, 171),
        horizontal_line(134, 176),
        horizontal_line(133, 180),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(115, 131),
    };

    constexpr const shape frame_1228_shape_group_7_shapes[] = {
        shape(frame_1228_shape_group_7_shape_0_horizontal_lines, 82, 1),
        shape(frame_1228_shape_group_7_shape_1_horizontal_lines, 88, 4),
        shape(frame_1228_shape_group_7_shape_2_horizontal_lines, 90, 1),
        shape(frame_1228_shape_group_7_shape_3_horizontal_lines, 98, 4),
        shape(frame_1228_shape_group_7_shape_4_horizontal_lines, 100, 1),
        shape(frame_1228_shape_group_7_shape_5_horizontal_lines, 108, 4),
        shape(frame_1228_shape_group_7_shape_6_horizontal_lines, 110, 1),
        shape(frame_1228_shape_group_7_shape_7_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(200, 206),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(30, 31),
        horizontal_line(32, 33),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(164, 209),
        horizontal_line(153, 209),
        horizontal_line(152, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(152, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(50, 51),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(40, 52),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(126, 130),
        horizontal_line(125, 130),
        horizontal_line(123, 129),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(165, 208),
        horizontal_line(173, 208),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(138, 143),
        horizontal_line(137, 148),
        horizontal_line(137, 152),
        horizontal_line(136, 157),
        horizontal_line(135, 162),
        horizontal_line(135, 166),
        horizontal_line(222, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_1228_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(190, 190),
    };

    constexpr const shape frame_1228_shape_group_8_shapes[] = {
        shape(frame_1228_shape_group_8_shape_0_horizontal_lines, 84, 1),
        shape(frame_1228_shape_group_8_shape_1_horizontal_lines, 88, 3),
        shape(frame_1228_shape_group_8_shape_2_horizontal_lines, 90, 4),
        shape(frame_1228_shape_group_8_shape_3_horizontal_lines, 93, 1),
        shape(frame_1228_shape_group_8_shape_4_horizontal_lines, 94, 4),
        shape(frame_1228_shape_group_8_shape_5_horizontal_lines, 95, 1),
        shape(frame_1228_shape_group_8_shape_6_horizontal_lines, 98, 3),
        shape(frame_1228_shape_group_8_shape_7_horizontal_lines, 99, 2),
        shape(frame_1228_shape_group_8_shape_8_horizontal_lines, 100, 1),
        shape(frame_1228_shape_group_8_shape_9_horizontal_lines, 101, 4),
        shape(frame_1228_shape_group_8_shape_10_horizontal_lines, 105, 1),
        shape(frame_1228_shape_group_8_shape_11_horizontal_lines, 108, 4),
        shape(frame_1228_shape_group_8_shape_12_horizontal_lines, 110, 1),
        shape(frame_1228_shape_group_8_shape_13_horizontal_lines, 120, 4),
        shape(frame_1228_shape_group_8_shape_14_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(202, 208),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(33, 36),
        horizontal_line(34, 38),
        horizontal_line(36, 41),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(152, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(39, 46),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(152, 209),
        horizontal_line(152, 209),
        horizontal_line(152, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(39, 49),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(151, 208),
        horizontal_line(151, 208),
        horizontal_line(151, 208),
        horizontal_line(151, 208),
        horizontal_line(122, 129),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(41, 53),
        horizontal_line(42, 54),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(107, 107),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1228_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(106, 108),
    };

    constexpr const shape frame_1228_shape_group_9_shapes[] = {
        shape(frame_1228_shape_group_9_shape_0_horizontal_lines, 85, 1),
        shape(frame_1228_shape_group_9_shape_1_horizontal_lines, 90, 3),
        shape(frame_1228_shape_group_9_shape_2_horizontal_lines, 93, 4),
        shape(frame_1228_shape_group_9_shape_3_horizontal_lines, 94, 3),
        shape(frame_1228_shape_group_9_shape_4_horizontal_lines, 95, 4),
        shape(frame_1228_shape_group_9_shape_5_horizontal_lines, 98, 2),
        shape(frame_1228_shape_group_9_shape_6_horizontal_lines, 100, 4),
        shape(frame_1228_shape_group_9_shape_7_horizontal_lines, 108, 2),
        shape(frame_1228_shape_group_9_shape_8_horizontal_lines, 110, 4),
        shape(frame_1228_shape_group_9_shape_9_horizontal_lines, 111, 1),
        shape(frame_1228_shape_group_9_shape_10_horizontal_lines, 117, 4),
        shape(frame_1228_shape_group_9_shape_11_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(37, 43),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(41, 48),
        horizontal_line(44, 49),
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(151, 209),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(40, 52),
        horizontal_line(40, 52),
        horizontal_line(40, 52),
        horizontal_line(41, 53),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(151, 208),
        horizontal_line(151, 208),
        horizontal_line(158, 208),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(180, 208),
        horizontal_line(187, 208),
        horizontal_line(195, 208),
        horizontal_line(202, 208),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1228_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(109, 110),
        horizontal_line(108, 109),
        horizontal_line(107, 109),
        horizontal_line(116, 131),
    };

    constexpr const shape frame_1228_shape_group_10_shapes[] = {
        shape(frame_1228_shape_group_10_shape_0_horizontal_lines, 93, 3),
        shape(frame_1228_shape_group_10_shape_1_horizontal_lines, 95, 3),
        shape(frame_1228_shape_group_10_shape_2_horizontal_lines, 100, 4),
        shape(frame_1228_shape_group_10_shape_3_horizontal_lines, 101, 2),
        shape(frame_1228_shape_group_10_shape_4_horizontal_lines, 105, 4),
        shape(frame_1228_shape_group_10_shape_5_horizontal_lines, 109, 2),
        shape(frame_1228_shape_group_10_shape_6_horizontal_lines, 110, 4),
        shape(frame_1228_shape_group_10_shape_7_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(39, 40),
        horizontal_line(39, 43),
        horizontal_line(39, 46),
    };

    constexpr const horizontal_line frame_1228_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(40, 52),
    };

    constexpr const horizontal_line frame_1228_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(41, 53),
        horizontal_line(41, 53),
        horizontal_line(41, 53),
    };

    constexpr const horizontal_line frame_1228_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(42, 54),
        horizontal_line(42, 54),
        horizontal_line(42, 54),
        horizontal_line(42, 54),
        horizontal_line(43, 55),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(118, 133),
        horizontal_line(117, 133),
        horizontal_line(117, 132),
    };

    constexpr const shape frame_1228_shape_group_11_shapes[] = {
        shape(frame_1228_shape_group_11_shape_0_horizontal_lines, 95, 2),
        shape(frame_1228_shape_group_11_shape_1_horizontal_lines, 100, 2),
        shape(frame_1228_shape_group_11_shape_2_horizontal_lines, 105, 2),
        shape(frame_1228_shape_group_11_shape_3_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 62),
        horizontal_line(119, 134),
        horizontal_line(119, 134),
    };

    constexpr const shape frame_1228_shape_group_12_shapes[] = {
        shape(frame_1228_shape_group_12_shape_0_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1228_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(123, 138),
        horizontal_line(122, 137),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(120, 135),
    };

    constexpr const shape frame_1228_shape_group_13_shapes[] = {
        shape(frame_1228_shape_group_13_shape_0_horizontal_lines, 110, 2),
    };

    constexpr const shape_group frame_1228_shape_groups[] = {
        shape_group(frame_1228_shape_group_0_shapes),
        shape_group(frame_1228_shape_group_1_shapes),
        shape_group(frame_1228_shape_group_2_shapes),
        shape_group(frame_1228_shape_group_3_shapes),
        shape_group(frame_1228_shape_group_4_shapes),
        shape_group(frame_1228_shape_group_5_shapes),
        shape_group(frame_1228_shape_group_6_shapes),
        shape_group(frame_1228_shape_group_7_shapes),
        shape_group(frame_1228_shape_group_8_shapes),
        shape_group(frame_1228_shape_group_9_shapes),
        shape_group(frame_1228_shape_group_10_shapes),
        shape_group(frame_1228_shape_group_11_shapes),
        shape_group(frame_1228_shape_group_12_shapes),
        shape_group(frame_1228_shape_group_13_shapes),
    };

    constexpr const frame frame_1228_impl(frame_1228_colors, frame_1228_shape_groups);
} 

const frame& frame_1228()
{
    return frame_1228_impl;
}

namespace
{
    constexpr const bn::color frame_1229_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1229_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(1, 8),
    };

    constexpr const horizontal_line frame_1229_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(12, 13),
        horizontal_line(13, 17),
        horizontal_line(14, 20),
        horizontal_line(15, 24),
        horizontal_line(16, 28),
        horizontal_line(17, 31),
        horizontal_line(18, 35),
        horizontal_line(19, 38),
        horizontal_line(20, 42),
        horizontal_line(21, 46),
        horizontal_line(22, 49),
        horizontal_line(23, 53),
        horizontal_line(24, 57),
        horizontal_line(24, 60),
        horizontal_line(25, 64),
        horizontal_line(26, 67),
        horizontal_line(27, 71),
        horizontal_line(28, 75),
        horizontal_line(29, 78),
        horizontal_line(30, 82),
        horizontal_line(31, 85),
        horizontal_line(32, 89),
        horizontal_line(33, 93),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
    };

    constexpr const horizontal_line frame_1229_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(5, 24),
        horizontal_line(11, 24),
        horizontal_line(17, 23),
        horizontal_line(23, 23),
        horizontal_line(50, 52),
        horizontal_line(50, 53),
        horizontal_line(49, 53),
        horizontal_line(49, 54),
        horizontal_line(48, 54),
        horizontal_line(48, 55),
        horizontal_line(47, 55),
        horizontal_line(47, 56),
        horizontal_line(46, 56),
        horizontal_line(46, 70),
        horizontal_line(47, 56),
        horizontal_line(48, 56),
        horizontal_line(49, 55),
        horizontal_line(50, 55),
        horizontal_line(51, 54),
        horizontal_line(53, 54),
        horizontal_line(53, 53),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(62, 71),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
        horizontal_line(60, 62),
        horizontal_line(60, 62),
        horizontal_line(61, 63),
        horizontal_line(61, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 71),
        horizontal_line(63, 63),
        horizontal_line(69, 71),
        horizontal_line(37, 46),
        horizontal_line(34, 54),
        horizontal_line(31, 62),
        horizontal_line(28, 70),
        horizontal_line(25, 77),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(14, 76),
        horizontal_line(29, 91),
        horizontal_line(44, 106),
        horizontal_line(59, 121),
        horizontal_line(74, 136),
        horizontal_line(88, 150),
        horizontal_line(103, 165),
        horizontal_line(118, 178),
        horizontal_line(133, 180),
        horizontal_line(148, 182),
    };

    constexpr const shape frame_1229_shape_group_0_shapes[] = {
        shape(frame_1229_shape_group_0_shape_0_horizontal_lines, 3, 9),
        shape(frame_1229_shape_group_0_shape_1_horizontal_lines, 13, 14),
        shape(frame_1229_shape_group_0_shape_2_horizontal_lines, 46, 9),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(97, 100),
        horizontal_line(98, 104),
        horizontal_line(98, 107),
        horizontal_line(99, 111),
        horizontal_line(100, 114),
        horizontal_line(101, 118),
        horizontal_line(102, 122),
        horizontal_line(103, 125),
        horizontal_line(104, 129),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(34, 59),
        horizontal_line(35, 60),
        horizontal_line(36, 60),
        horizontal_line(37, 61),
        horizontal_line(38, 61),
        horizontal_line(40, 62),
        horizontal_line(41, 62),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(44, 64),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 67),
        horizontal_line(52, 68),
        horizontal_line(51, 51),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(69, 83),
        horizontal_line(69, 89),
        horizontal_line(69, 94),
        horizontal_line(70, 100),
        horizontal_line(70, 105),
        horizontal_line(70, 111),
        horizontal_line(70, 116),
        horizontal_line(70, 122),
        horizontal_line(71, 121),
        horizontal_line(76, 120),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(58, 70),
        horizontal_line(58, 70),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(111, 115),
        horizontal_line(110, 117),
        horizontal_line(110, 119),
        horizontal_line(72, 78),
        horizontal_line(72, 87),
        horizontal_line(72, 96),
        horizontal_line(72, 105),
        horizontal_line(72, 105),
        horizontal_line(72, 104),
        horizontal_line(72, 103),
        horizontal_line(72, 102),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(85, 100),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(65, 71),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(99, 99),
        horizontal_line(99, 101),
        horizontal_line(98, 103),
        horizontal_line(98, 105),
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(84, 85),
        horizontal_line(81, 93),
        horizontal_line(78, 101),
        horizontal_line(75, 108),
        horizontal_line(72, 116),
        horizontal_line(69, 124),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(76, 138),
        horizontal_line(91, 153),
        horizontal_line(106, 168),
        horizontal_line(121, 172),
        horizontal_line(136, 174),
        horizontal_line(150, 175),
        horizontal_line(165, 177),
    };

    constexpr const horizontal_line frame_1229_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1229_shape_group_1_shapes[] = {
        shape(frame_1229_shape_group_1_shape_0_horizontal_lines, 36, 14),
        shape(frame_1229_shape_group_1_shape_1_horizontal_lines, 65, 9),
        shape(frame_1229_shape_group_1_shape_2_horizontal_lines, 83, 14),
        shape(frame_1229_shape_group_1_shape_3_horizontal_lines, 93, 9),
        shape(frame_1229_shape_group_1_shape_4_horizontal_lines, 100, 14),
        shape(frame_1229_shape_group_1_shape_5_horizontal_lines, 111, 9),
        shape(frame_1229_shape_group_1_shape_6_horizontal_lines, 112, 14),
        shape(frame_1229_shape_group_1_shape_7_horizontal_lines, 113, 9),
        shape(frame_1229_shape_group_1_shape_8_horizontal_lines, 114, 14),
        shape(frame_1229_shape_group_1_shape_9_horizontal_lines, 120, 9),
        shape(frame_1229_shape_group_1_shape_10_horizontal_lines, 157, 8),
    };

    constexpr const horizontal_line frame_1229_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(105, 132),
        horizontal_line(106, 136),
        horizontal_line(107, 140),
        horizontal_line(108, 143),
        horizontal_line(109, 147),
        horizontal_line(110, 151),
        horizontal_line(110, 154),
        horizontal_line(111, 158),
        horizontal_line(112, 161),
        horizontal_line(113, 165),
        horizontal_line(114, 169),
        horizontal_line(239, 239),
        horizontal_line(233, 239),
        horizontal_line(227, 239),
        horizontal_line(221, 239),
        horizontal_line(216, 239),
        horizontal_line(210, 239),
        horizontal_line(204, 239),
        horizontal_line(122, 184),
        horizontal_line(63, 125),
        horizontal_line(68, 130),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(104, 166),
        horizontal_line(108, 162),
        horizontal_line(113, 159),
        horizontal_line(117, 156),
        horizontal_line(122, 153),
        horizontal_line(126, 149),
        horizontal_line(131, 146),
        horizontal_line(69, 72),
        horizontal_line(69, 78),
        horizontal_line(138, 141),
        horizontal_line(136, 143),
        horizontal_line(134, 145),
        horizontal_line(132, 147),
        horizontal_line(130, 149),
        horizontal_line(128, 151),
        horizontal_line(126, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 151),
        horizontal_line(126, 147),
        horizontal_line(82, 118),
        horizontal_line(88, 117),
        horizontal_line(94, 116),
        horizontal_line(100, 114),
        horizontal_line(106, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 113),
    };

    constexpr const horizontal_line frame_1229_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(54, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 61),
    };

    constexpr const horizontal_line frame_1229_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(109, 121),
        horizontal_line(108, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(109, 121),
        horizontal_line(111, 121),
        horizontal_line(113, 121),
        horizontal_line(78, 101),
        horizontal_line(112, 118),
        horizontal_line(92, 99),
        horizontal_line(112, 113),
        horizontal_line(168, 225),
        horizontal_line(172, 222),
        horizontal_line(176, 220),
        horizontal_line(180, 218),
        horizontal_line(185, 215),
        horizontal_line(189, 213),
        horizontal_line(193, 211),
        horizontal_line(197, 208),
        horizontal_line(201, 206),
    };

    constexpr const horizontal_line frame_1229_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(117, 126),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_1229_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(128, 132),
        horizontal_line(125, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(138, 168),
        horizontal_line(153, 169),
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_1229_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1229_shape_group_2_shapes[] = {
        shape(frame_1229_shape_group_2_shape_0_horizontal_lines, 46, 14),
        shape(frame_1229_shape_group_2_shape_1_horizontal_lines, 100, 8),
        shape(frame_1229_shape_group_2_shape_2_horizontal_lines, 103, 14),
        shape(frame_1229_shape_group_2_shape_3_horizontal_lines, 124, 8),
        shape(frame_1229_shape_group_2_shape_4_horizontal_lines, 126, 9),
        shape(frame_1229_shape_group_2_shape_5_horizontal_lines, 153, 8),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(115, 172),
        horizontal_line(116, 176),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(184, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(135, 143),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(1, 30),
        horizontal_line(12, 31),
        horizontal_line(23, 32),
        horizontal_line(42, 45),
        horizontal_line(45, 45),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(128, 144),
        horizontal_line(130, 140),
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(56, 58),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(54, 59),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(58, 60),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(150, 162),
        horizontal_line(146, 170),
        horizontal_line(143, 178),
        horizontal_line(147, 186),
        horizontal_line(112, 121),
        horizontal_line(155, 202),
        horizontal_line(112, 115),
        horizontal_line(164, 218),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(47, 75),
        horizontal_line(55, 82),
        horizontal_line(63, 89),
        horizontal_line(71, 96),
        horizontal_line(78, 103),
        horizontal_line(86, 110),
        horizontal_line(94, 117),
        horizontal_line(102, 120),
        horizontal_line(109, 123),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(139, 200),
        horizontal_line(140, 200),
        horizontal_line(142, 199),
        horizontal_line(143, 199),
        horizontal_line(145, 198),
        horizontal_line(146, 198),
        horizontal_line(148, 197),
        horizontal_line(149, 197),
        horizontal_line(151, 196),
        horizontal_line(152, 196),
        horizontal_line(154, 195),
        horizontal_line(155, 195),
        horizontal_line(157, 194),
        horizontal_line(158, 194),
        horizontal_line(160, 193),
        horizontal_line(161, 193),
        horizontal_line(163, 192),
        horizontal_line(164, 192),
        horizontal_line(166, 191),
        horizontal_line(167, 191),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 28),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(173, 189),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 87),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(179, 187),
    };

    constexpr const horizontal_line frame_1229_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(124, 147),
    };

    constexpr const shape frame_1229_shape_group_3_shapes[] = {
        shape(frame_1229_shape_group_3_shape_0_horizontal_lines, 57, 14),
        shape(frame_1229_shape_group_3_shape_1_horizontal_lines, 83, 8),
        shape(frame_1229_shape_group_3_shape_2_horizontal_lines, 93, 14),
        shape(frame_1229_shape_group_3_shape_3_horizontal_lines, 96, 8),
        shape(frame_1229_shape_group_3_shape_4_horizontal_lines, 100, 1),
        shape(frame_1229_shape_group_3_shape_5_horizontal_lines, 103, 8),
        shape(frame_1229_shape_group_3_shape_6_horizontal_lines, 106, 14),
        shape(frame_1229_shape_group_3_shape_7_horizontal_lines, 115, 8),
        shape(frame_1229_shape_group_3_shape_8_horizontal_lines, 124, 1),
        shape(frame_1229_shape_group_3_shape_9_horizontal_lines, 150, 8),
        shape(frame_1229_shape_group_3_shape_10_horizontal_lines, 153, 1),
        shape(frame_1229_shape_group_3_shape_11_horizontal_lines, 154, 8),
        shape(frame_1229_shape_group_3_shape_12_horizontal_lines, 157, 1),
        shape(frame_1229_shape_group_3_shape_13_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(180, 183),
        horizontal_line(181, 187),
        horizontal_line(182, 190),
        horizontal_line(183, 194),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 187),
        horizontal_line(130, 192),
        horizontal_line(134, 189),
        horizontal_line(139, 185),
        horizontal_line(143, 182),
        horizontal_line(148, 179),
        horizontal_line(152, 176),
        horizontal_line(157, 172),
        horizontal_line(161, 169),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(27, 45),
        horizontal_line(27, 46),
        horizontal_line(26, 47),
        horizontal_line(26, 48),
        horizontal_line(0, 4),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(27, 49),
        horizontal_line(29, 48),
        horizontal_line(31, 48),
        horizontal_line(34, 47),
        horizontal_line(36, 47),
        horizontal_line(38, 46),
        horizontal_line(40, 46),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(56, 58),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(53, 53),
        horizontal_line(53, 54),
        horizontal_line(53, 55),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(151, 194),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(159, 210),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(40, 68),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(198, 201),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(201, 222),
        horizontal_line(201, 224),
        horizontal_line(200, 227),
        horizontal_line(200, 230),
        horizontal_line(199, 233),
        horizontal_line(199, 236),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(169, 190),
        horizontal_line(170, 190),
        horizontal_line(172, 189),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(175, 188),
        horizontal_line(176, 188),
        horizontal_line(178, 187),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(181, 186),
        horizontal_line(183, 186),
    };

    constexpr const shape frame_1229_shape_group_4_shapes[] = {
        shape(frame_1229_shape_group_4_shape_0_horizontal_lines, 59, 14),
        shape(frame_1229_shape_group_4_shape_1_horizontal_lines, 65, 14),
        shape(frame_1229_shape_group_4_shape_2_horizontal_lines, 75, 8),
        shape(frame_1229_shape_group_4_shape_3_horizontal_lines, 81, 14),
        shape(frame_1229_shape_group_4_shape_4_horizontal_lines, 83, 1),
        shape(frame_1229_shape_group_4_shape_5_horizontal_lines, 84, 8),
        shape(frame_1229_shape_group_4_shape_6_horizontal_lines, 91, 1),
        shape(frame_1229_shape_group_4_shape_7_horizontal_lines, 93, 8),
        shape(frame_1229_shape_group_4_shape_8_horizontal_lines, 96, 1),
        shape(frame_1229_shape_group_4_shape_9_horizontal_lines, 106, 8),
        shape(frame_1229_shape_group_4_shape_10_horizontal_lines, 107, 1),
        shape(frame_1229_shape_group_4_shape_11_horizontal_lines, 111, 14),
        shape(frame_1229_shape_group_4_shape_12_horizontal_lines, 112, 1),
        shape(frame_1229_shape_group_4_shape_13_horizontal_lines, 113, 14),
        shape(frame_1229_shape_group_4_shape_14_horizontal_lines, 114, 8),
        shape(frame_1229_shape_group_4_shape_15_horizontal_lines, 115, 1),
        shape(frame_1229_shape_group_4_shape_16_horizontal_lines, 130, 2),
        shape(frame_1229_shape_group_4_shape_17_horizontal_lines, 150, 1),
        shape(frame_1229_shape_group_4_shape_18_horizontal_lines, 153, 2),
        shape(frame_1229_shape_group_4_shape_19_horizontal_lines, 154, 1),
        shape(frame_1229_shape_group_4_shape_20_horizontal_lines, 157, 2),
        shape(frame_1229_shape_group_4_shape_21_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(187, 195),
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(31, 35),
        horizontal_line(31, 36),
        horizontal_line(30, 37),
        horizontal_line(30, 39),
        horizontal_line(29, 40),
        horizontal_line(29, 41),
        horizontal_line(28, 42),
        horizontal_line(28, 43),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(163, 215),
        horizontal_line(160, 216),
        horizontal_line(157, 218),
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(25, 49),
        horizontal_line(25, 51),
        horizontal_line(0, 16),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(148, 197),
        horizontal_line(150, 187),
        horizontal_line(0, 0),
        horizontal_line(0, 11),
        horizontal_line(0, 22),
        horizontal_line(122, 123),
        horizontal_line(121, 125),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(115, 155),
        horizontal_line(114, 155),
        horizontal_line(113, 130),
        horizontal_line(114, 128),
        horizontal_line(116, 127),
        horizontal_line(118, 125),
        horizontal_line(120, 123),
        horizontal_line(53, 56),
        horizontal_line(53, 57),
        horizontal_line(54, 58),
        horizontal_line(0, 37),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(0, 38),
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(47, 61),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(100, 108),
        horizontal_line(102, 107),
        horizontal_line(104, 106),
        horizontal_line(106, 106),
        horizontal_line(110, 117),
        horizontal_line(111, 116),
        horizontal_line(134, 192),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(195, 204),
        horizontal_line(194, 203),
        horizontal_line(195, 202),
        horizontal_line(196, 202),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(202, 216),
        horizontal_line(202, 219),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
    };

    constexpr const shape frame_1229_shape_group_5_shapes[] = {
        shape(frame_1229_shape_group_5_shape_0_horizontal_lines, 65, 14),
        shape(frame_1229_shape_group_5_shape_1_horizontal_lines, 67, 8),
        shape(frame_1229_shape_group_5_shape_2_horizontal_lines, 75, 1),
        shape(frame_1229_shape_group_5_shape_3_horizontal_lines, 79, 8),
        shape(frame_1229_shape_group_5_shape_4_horizontal_lines, 83, 1),
        shape(frame_1229_shape_group_5_shape_5_horizontal_lines, 113, 8),
        shape(frame_1229_shape_group_5_shape_6_horizontal_lines, 114, 1),
        shape(frame_1229_shape_group_5_shape_7_horizontal_lines, 128, 2),
        shape(frame_1229_shape_group_5_shape_8_horizontal_lines, 150, 2),
        shape(frame_1229_shape_group_5_shape_9_horizontal_lines, 154, 2),
        shape(frame_1229_shape_group_5_shape_10_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(32, 33),
        horizontal_line(32, 34),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(190, 202),
        horizontal_line(186, 204),
        horizontal_line(183, 205),
        horizontal_line(180, 207),
        horizontal_line(177, 209),
        horizontal_line(173, 210),
        horizontal_line(170, 212),
        horizontal_line(167, 213),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(216, 220),
        horizontal_line(150, 212),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(24, 50),
        horizontal_line(24, 50),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(152, 176),
        horizontal_line(154, 166),
        horizontal_line(156, 156),
        horizontal_line(152, 155),
        horizontal_line(148, 155),
        horizontal_line(119, 127),
        horizontal_line(118, 129),
        horizontal_line(117, 131),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(133, 155),
        horizontal_line(133, 154),
        horizontal_line(133, 154),
        horizontal_line(133, 154),
        horizontal_line(133, 154),
        horizontal_line(122, 122),
        horizontal_line(133, 154),
        horizontal_line(133, 154),
        horizontal_line(54, 58),
        horizontal_line(106, 106),
        horizontal_line(105, 108),
        horizontal_line(104, 110),
        horizontal_line(103, 112),
        horizontal_line(54, 59),
        horizontal_line(101, 111),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(100, 109),
        horizontal_line(113, 120),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(111, 118),
        horizontal_line(136, 184),
        horizontal_line(135, 188),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(118, 133),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(195, 200),
    };

    constexpr const horizontal_line frame_1229_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(127, 132),
        horizontal_line(130, 131),
        horizontal_line(203, 210),
        horizontal_line(203, 213),
    };

    constexpr const shape frame_1229_shape_group_6_shapes[] = {
        shape(frame_1229_shape_group_6_shape_0_horizontal_lines, 65, 8),
        shape(frame_1229_shape_group_6_shape_1_horizontal_lines, 67, 1),
        shape(frame_1229_shape_group_6_shape_2_horizontal_lines, 78, 1),
        shape(frame_1229_shape_group_6_shape_3_horizontal_lines, 81, 8),
        shape(frame_1229_shape_group_6_shape_4_horizontal_lines, 84, 1),
        shape(frame_1229_shape_group_6_shape_5_horizontal_lines, 113, 8),
        shape(frame_1229_shape_group_6_shape_6_horizontal_lines, 114, 1),
        shape(frame_1229_shape_group_6_shape_7_horizontal_lines, 121, 2),
        shape(frame_1229_shape_group_6_shape_8_horizontal_lines, 122, 1),
        shape(frame_1229_shape_group_6_shape_9_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(196, 199),
        horizontal_line(193, 201),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(212, 221),
        horizontal_line(209, 223),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(206, 218),
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(28, 30),
        horizontal_line(30, 33),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(145, 155),
        horizontal_line(141, 155),
        horizontal_line(137, 155),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(47, 49),
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(133, 154),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(142, 142),
        horizontal_line(141, 146),
        horizontal_line(102, 111),
        horizontal_line(119, 122),
        horizontal_line(0, 38),
        horizontal_line(114, 121),
        horizontal_line(138, 167),
        horizontal_line(137, 171),
        horizontal_line(137, 175),
        horizontal_line(136, 179),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(106, 109),
        horizontal_line(117, 134),
    };

    constexpr const horizontal_line frame_1229_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(121, 133),
        horizontal_line(124, 132),
        horizontal_line(205, 205),
        horizontal_line(204, 207),
    };

    constexpr const shape frame_1229_shape_group_7_shapes[] = {
        shape(frame_1229_shape_group_7_shape_0_horizontal_lines, 65, 1),
        shape(frame_1229_shape_group_7_shape_1_horizontal_lines, 79, 1),
        shape(frame_1229_shape_group_7_shape_2_horizontal_lines, 84, 1),
        shape(frame_1229_shape_group_7_shape_3_horizontal_lines, 86, 3),
        shape(frame_1229_shape_group_7_shape_4_horizontal_lines, 88, 1),
        shape(frame_1229_shape_group_7_shape_5_horizontal_lines, 96, 3),
        shape(frame_1229_shape_group_7_shape_6_horizontal_lines, 98, 1),
        shape(frame_1229_shape_group_7_shape_7_horizontal_lines, 119, 2),
        shape(frame_1229_shape_group_7_shape_8_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(206, 224),
        horizontal_line(203, 226),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(26, 26),
        horizontal_line(27, 28),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(198, 227),
        horizontal_line(188, 227),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(31, 35),
        horizontal_line(32, 37),
        horizontal_line(33, 39),
        horizontal_line(35, 41),
        horizontal_line(37, 44),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(131, 132),
        horizontal_line(129, 132),
        horizontal_line(128, 132),
        horizontal_line(126, 132),
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(122, 130),
        horizontal_line(122, 128),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(122, 123),
        horizontal_line(140, 154),
        horizontal_line(100, 110),
        horizontal_line(139, 163),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(118, 135),
    };

    constexpr const shape frame_1229_shape_group_8_shapes[] = {
        shape(frame_1229_shape_group_8_shape_0_horizontal_lines, 81, 1),
        shape(frame_1229_shape_group_8_shape_1_horizontal_lines, 84, 3),
        shape(frame_1229_shape_group_8_shape_2_horizontal_lines, 86, 4),
        shape(frame_1229_shape_group_8_shape_3_horizontal_lines, 88, 3),
        shape(frame_1229_shape_group_8_shape_4_horizontal_lines, 93, 1),
        shape(frame_1229_shape_group_8_shape_5_horizontal_lines, 96, 4),
        shape(frame_1229_shape_group_8_shape_6_horizontal_lines, 103, 1),
        shape(frame_1229_shape_group_8_shape_7_horizontal_lines, 104, 4),
        shape(frame_1229_shape_group_8_shape_8_horizontal_lines, 109, 1),
        shape(frame_1229_shape_group_8_shape_9_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(219, 227),
        horizontal_line(209, 227),
    };

    constexpr const horizontal_line frame_1229_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(177, 227),
        horizontal_line(167, 227),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_1229_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(40, 46),
        horizontal_line(42, 47),
        horizontal_line(45, 48),
    };

    constexpr const horizontal_line frame_1229_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(218, 226),
        horizontal_line(218, 226),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(123, 132),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(163, 225),
        horizontal_line(171, 225),
        horizontal_line(122, 126),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_1229_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(140, 150),
        horizontal_line(226, 239),
        horizontal_line(116, 121),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(109, 111),
        horizontal_line(108, 109),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1229_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(119, 135),
    };

    constexpr const shape frame_1229_shape_group_9_shapes[] = {
        shape(frame_1229_shape_group_9_shape_0_horizontal_lines, 84, 4),
        shape(frame_1229_shape_group_9_shape_1_horizontal_lines, 88, 4),
        shape(frame_1229_shape_group_9_shape_2_horizontal_lines, 93, 3),
        shape(frame_1229_shape_group_9_shape_3_horizontal_lines, 96, 4),
        shape(frame_1229_shape_group_9_shape_4_horizontal_lines, 111, 1),
        shape(frame_1229_shape_group_9_shape_5_horizontal_lines, 115, 4),
        shape(frame_1229_shape_group_9_shape_6_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(219, 227),
        horizontal_line(218, 227),
        horizontal_line(218, 227),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(36, 46),
        horizontal_line(36, 49),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(218, 226),
        horizontal_line(217, 226),
        horizontal_line(217, 226),
        horizontal_line(217, 226),
        horizontal_line(217, 226),
        horizontal_line(155, 217),
        horizontal_line(217, 226),
        horizontal_line(217, 225),
        horizontal_line(217, 225),
        horizontal_line(225, 225),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(38, 53),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(179, 225),
        horizontal_line(187, 225),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(203, 225),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(139, 158),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1229_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(110, 111),
        horizontal_line(108, 111),
    };

    constexpr const shape frame_1229_shape_group_10_shapes[] = {
        shape(frame_1229_shape_group_10_shape_0_horizontal_lines, 90, 4),
        shape(frame_1229_shape_group_10_shape_1_horizontal_lines, 96, 2),
        shape(frame_1229_shape_group_10_shape_2_horizontal_lines, 98, 4),
        shape(frame_1229_shape_group_10_shape_3_horizontal_lines, 108, 2),
        shape(frame_1229_shape_group_10_shape_4_horizontal_lines, 109, 4),
        shape(frame_1229_shape_group_10_shape_5_horizontal_lines, 111, 1),
        shape(frame_1229_shape_group_10_shape_6_horizontal_lines, 112, 4),
        shape(frame_1229_shape_group_10_shape_7_horizontal_lines, 113, 1),
        shape(frame_1229_shape_group_10_shape_8_horizontal_lines, 114, 4),
        shape(frame_1229_shape_group_10_shape_9_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(35, 36),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(218, 227),
        horizontal_line(218, 226),
        horizontal_line(218, 226),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(36, 52),
        horizontal_line(36, 52),
        horizontal_line(36, 52),
        horizontal_line(37, 52),
        horizontal_line(37, 52),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(217, 226),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(37, 52),
        horizontal_line(38, 53),
        horizontal_line(38, 53),
        horizontal_line(38, 53),
        horizontal_line(59, 59),
        horizontal_line(38, 53),
        horizontal_line(39, 53),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(195, 225),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(39, 54),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(219, 225),
    };

    constexpr const horizontal_line frame_1229_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(121, 137),
        horizontal_line(120, 136),
        horizontal_line(119, 136),
    };

    constexpr const shape frame_1229_shape_group_11_shapes[] = {
        shape(frame_1229_shape_group_11_shape_0_horizontal_lines, 92, 2),
        shape(frame_1229_shape_group_11_shape_1_horizontal_lines, 93, 4),
        shape(frame_1229_shape_group_11_shape_2_horizontal_lines, 98, 2),
        shape(frame_1229_shape_group_11_shape_3_horizontal_lines, 103, 4),
        shape(frame_1229_shape_group_11_shape_4_horizontal_lines, 104, 2),
        shape(frame_1229_shape_group_11_shape_5_horizontal_lines, 111, 4),
        shape(frame_1229_shape_group_11_shape_6_horizontal_lines, 112, 2),
        shape(frame_1229_shape_group_11_shape_7_horizontal_lines, 113, 1),
        shape(frame_1229_shape_group_11_shape_8_horizontal_lines, 114, 4),
        shape(frame_1229_shape_group_11_shape_9_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(35, 39),
        horizontal_line(35, 41),
        horizontal_line(35, 44),
    };

    constexpr const horizontal_line frame_1229_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(37, 52),
    };

    constexpr const horizontal_line frame_1229_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1229_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(39, 53),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1229_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_1229_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(122, 138),
    };

    constexpr const shape frame_1229_shape_group_12_shapes[] = {
        shape(frame_1229_shape_group_12_shape_0_horizontal_lines, 93, 2),
        shape(frame_1229_shape_group_12_shape_1_horizontal_lines, 103, 2),
        shape(frame_1229_shape_group_12_shape_2_horizontal_lines, 107, 2),
        shape(frame_1229_shape_group_12_shape_3_horizontal_lines, 109, 2),
        shape(frame_1229_shape_group_12_shape_4_horizontal_lines, 113, 4),
        shape(frame_1229_shape_group_12_shape_5_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(60, 61),
        horizontal_line(123, 139),
    };

    constexpr const horizontal_line frame_1229_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(211, 225),
    };

    constexpr const shape frame_1229_shape_group_13_shapes[] = {
        shape(frame_1229_shape_group_13_shape_0_horizontal_lines, 110, 2),
        shape(frame_1229_shape_group_13_shape_1_horizontal_lines, 113, 4),
    };

    constexpr const horizontal_line frame_1229_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(124, 139),
    };

    constexpr const horizontal_line frame_1229_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(39, 46),
    };

    constexpr const shape frame_1229_shape_group_14_shapes[] = {
        shape(frame_1229_shape_group_14_shape_0_horizontal_lines, 111, 2),
        shape(frame_1229_shape_group_14_shape_1_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const shape frame_1229_shape_group_15_shapes[] = {
        shape(frame_1229_shape_group_15_shape_0_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1229_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(122, 138),
    };

    constexpr const shape frame_1229_shape_group_16_shapes[] = {
        shape(frame_1229_shape_group_16_shape_0_horizontal_lines, 113, 2),
    };

    constexpr const shape_group frame_1229_shape_groups[] = {
        shape_group(frame_1229_shape_group_0_shapes),
        shape_group(frame_1229_shape_group_1_shapes),
        shape_group(frame_1229_shape_group_2_shapes),
        shape_group(frame_1229_shape_group_3_shapes),
        shape_group(frame_1229_shape_group_4_shapes),
        shape_group(frame_1229_shape_group_5_shapes),
        shape_group(frame_1229_shape_group_6_shapes),
        shape_group(frame_1229_shape_group_7_shapes),
        shape_group(frame_1229_shape_group_8_shapes),
        shape_group(frame_1229_shape_group_9_shapes),
        shape_group(frame_1229_shape_group_10_shapes),
        shape_group(frame_1229_shape_group_11_shapes),
        shape_group(frame_1229_shape_group_12_shapes),
        shape_group(frame_1229_shape_group_13_shapes),
        shape_group(frame_1229_shape_group_14_shapes),
        shape_group(frame_1229_shape_group_15_shapes),
        shape_group(frame_1229_shape_group_16_shapes),
    };

    constexpr const frame frame_1229_impl(frame_1229_colors, frame_1229_shape_groups);
} 

const frame& frame_1229()
{
    return frame_1229_impl;
}

namespace
{
    constexpr const bn::color frame_1230_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1230_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(2, 27),
        horizontal_line(2, 30),
        horizontal_line(3, 33),
        horizontal_line(4, 36),
        horizontal_line(5, 40),
        horizontal_line(6, 43),
        horizontal_line(7, 46),
        horizontal_line(8, 50),
        horizontal_line(9, 53),
        horizontal_line(10, 56),
        horizontal_line(11, 59),
        horizontal_line(12, 63),
        horizontal_line(13, 66),
        horizontal_line(14, 69),
        horizontal_line(15, 73),
        horizontal_line(16, 76),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(61, 123),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(84, 146),
        horizontal_line(88, 150),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(102, 164),
        horizontal_line(106, 168),
        horizontal_line(111, 169),
        horizontal_line(115, 165),
        horizontal_line(120, 161),
        horizontal_line(124, 158),
        horizontal_line(129, 154),
        horizontal_line(133, 150),
        horizontal_line(138, 146),
        horizontal_line(69, 72),
        horizontal_line(69, 77),
        horizontal_line(69, 82),
        horizontal_line(69, 87),
        horizontal_line(69, 92),
        horizontal_line(70, 98),
        horizontal_line(70, 103),
        horizontal_line(70, 108),
        horizontal_line(70, 113),
        horizontal_line(70, 118),
        horizontal_line(70, 124),
        horizontal_line(71, 123),
        horizontal_line(75, 122),
        horizontal_line(81, 121),
        horizontal_line(86, 120),
        horizontal_line(92, 118),
        horizontal_line(97, 117),
        horizontal_line(103, 116),
        horizontal_line(108, 115),
        horizontal_line(114, 114),
        horizontal_line(114, 115),
        horizontal_line(113, 117),
        horizontal_line(72, 76),
        horizontal_line(72, 82),
        horizontal_line(72, 88),
        horizontal_line(72, 94),
        horizontal_line(72, 100),
        horizontal_line(72, 106),
        horizontal_line(72, 106),
        horizontal_line(72, 105),
        horizontal_line(72, 104),
        horizontal_line(73, 103),
        horizontal_line(79, 102),
        horizontal_line(86, 101),
        horizontal_line(93, 100),
        horizontal_line(100, 100),
        horizontal_line(100, 101),
        horizontal_line(99, 103),
        horizontal_line(99, 106),
        horizontal_line(98, 106),
        horizontal_line(105, 106),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(207, 236),
        horizontal_line(211, 234),
        horizontal_line(215, 232),
        horizontal_line(219, 230),
        horizontal_line(223, 228),
    };

    constexpr const horizontal_line frame_1230_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1230_shape_group_0_shapes[] = {
        shape(frame_1230_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_1230_shape_group_0_shape_1_horizontal_lines, 128, 9),
    };

    constexpr const horizontal_line frame_1230_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(79, 79),
        horizontal_line(80, 82),
        horizontal_line(81, 86),
        horizontal_line(82, 89),
        horizontal_line(82, 92),
        horizontal_line(83, 96),
        horizontal_line(84, 99),
        horizontal_line(85, 102),
        horizontal_line(86, 106),
        horizontal_line(87, 109),
        horizontal_line(88, 112),
        horizontal_line(89, 115),
        horizontal_line(90, 119),
        horizontal_line(91, 122),
        horizontal_line(92, 125),
        horizontal_line(93, 129),
        horizontal_line(94, 132),
        horizontal_line(95, 135),
        horizontal_line(96, 138),
        horizontal_line(97, 142),
        horizontal_line(98, 145),
        horizontal_line(99, 148),
        horizontal_line(100, 152),
        horizontal_line(101, 155),
        horizontal_line(101, 158),
        horizontal_line(102, 162),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(239, 239),
        horizontal_line(233, 239),
        horizontal_line(228, 239),
        horizontal_line(223, 239),
        horizontal_line(119, 181),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(4, 19),
        horizontal_line(9, 18),
    };

    constexpr const horizontal_line frame_1230_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(142, 143),
        horizontal_line(140, 145),
        horizontal_line(138, 147),
        horizontal_line(136, 149),
        horizontal_line(135, 151),
        horizontal_line(133, 152),
        horizontal_line(131, 154),
        horizontal_line(129, 156),
        horizontal_line(127, 158),
        horizontal_line(126, 160),
        horizontal_line(127, 156),
        horizontal_line(129, 152),
        horizontal_line(131, 148),
        horizontal_line(133, 144),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_1230_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(49, 54),
        horizontal_line(50, 54),
        horizontal_line(52, 53),
        horizontal_line(53, 53),
        horizontal_line(61, 70),
        horizontal_line(61, 71),
    };

    constexpr const horizontal_line frame_1230_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(111, 121),
        horizontal_line(110, 123),
        horizontal_line(109, 123),
        horizontal_line(108, 123),
        horizontal_line(108, 123),
        horizontal_line(108, 123),
        horizontal_line(110, 123),
        horizontal_line(112, 123),
        horizontal_line(114, 123),
        horizontal_line(113, 120),
        horizontal_line(113, 117),
        horizontal_line(113, 115),
        horizontal_line(113, 113),
        horizontal_line(171, 219),
        horizontal_line(175, 225),
        horizontal_line(179, 232),
        horizontal_line(183, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1230_shape_group_1_shapes[] = {
        shape(frame_1230_shape_group_1_shape_0_horizontal_lines, 16, 14),
        shape(frame_1230_shape_group_1_shape_1_horizontal_lines, 72, 9),
        shape(frame_1230_shape_group_1_shape_2_horizontal_lines, 78, 14),
        shape(frame_1230_shape_group_1_shape_3_horizontal_lines, 94, 9),
        shape(frame_1230_shape_group_1_shape_4_horizontal_lines, 100, 14),
        shape(frame_1230_shape_group_1_shape_5_horizontal_lines, 119, 9),
    };

    constexpr const horizontal_line frame_1230_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(166, 168),
        horizontal_line(167, 171),
        horizontal_line(168, 175),
        horizontal_line(169, 178),
        horizontal_line(170, 181),
        horizontal_line(171, 185),
        horizontal_line(172, 188),
        horizontal_line(173, 191),
        horizontal_line(174, 194),
        horizontal_line(175, 198),
        horizontal_line(176, 201),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(181, 239),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(137, 199),
        horizontal_line(141, 195),
        horizontal_line(146, 191),
        horizontal_line(150, 188),
        horizontal_line(155, 184),
        horizontal_line(159, 180),
        horizontal_line(164, 176),
        horizontal_line(168, 173),
    };

    constexpr const horizontal_line frame_1230_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(43, 64),
        horizontal_line(44, 65),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 68),
        horizontal_line(13, 18),
        horizontal_line(18, 18),
        horizontal_line(49, 50),
        horizontal_line(48, 51),
        horizontal_line(48, 51),
        horizontal_line(47, 52),
        horizontal_line(47, 53),
        horizontal_line(46, 53),
        horizontal_line(46, 54),
        horizontal_line(45, 55),
        horizontal_line(45, 55),
        horizontal_line(44, 56),
        horizontal_line(44, 70),
        horizontal_line(45, 56),
        horizontal_line(46, 55),
        horizontal_line(48, 55),
        horizontal_line(59, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
    };

    constexpr const horizontal_line frame_1230_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1230_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1230_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(155, 165),
        horizontal_line(151, 172),
        horizontal_line(148, 179),
        horizontal_line(151, 185),
        horizontal_line(155, 192),
        horizontal_line(159, 199),
        horizontal_line(163, 205),
        horizontal_line(167, 212),
    };

    constexpr const horizontal_line frame_1230_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(34, 43),
        horizontal_line(31, 51),
        horizontal_line(28, 59),
        horizontal_line(25, 66),
        horizontal_line(23, 74),
        horizontal_line(82, 82),
        horizontal_line(79, 89),
        horizontal_line(76, 97),
        horizontal_line(74, 105),
        horizontal_line(71, 112),
        horizontal_line(68, 120),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(124, 138),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 178),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
    };

    constexpr const shape frame_1230_shape_group_2_shapes[] = {
        shape(frame_1230_shape_group_2_shape_0_horizontal_lines, 42, 14),
        shape(frame_1230_shape_group_2_shape_1_horizontal_lines, 71, 9),
        shape(frame_1230_shape_group_2_shape_2_horizontal_lines, 98, 1),
        shape(frame_1230_shape_group_2_shape_3_horizontal_lines, 101, 9),
        shape(frame_1230_shape_group_2_shape_4_horizontal_lines, 105, 14),
        shape(frame_1230_shape_group_2_shape_5_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(177, 204),
        horizontal_line(178, 208),
        horizontal_line(179, 211),
        horizontal_line(180, 214),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(182, 214),
        horizontal_line(185, 210),
        horizontal_line(190, 206),
        horizontal_line(194, 203),
        horizontal_line(199, 199),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(41, 64),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(162, 224),
        horizontal_line(159, 221),
        horizontal_line(155, 217),
        horizontal_line(151, 213),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(153, 213),
        horizontal_line(155, 200),
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(58, 70),
        horizontal_line(58, 70),
        horizontal_line(59, 70),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(52, 53),
        horizontal_line(52, 54),
        horizontal_line(52, 55),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(60, 62),
        horizontal_line(61, 63),
        horizontal_line(61, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 71),
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(125, 136),
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_1230_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 218),
        horizontal_line(160, 218),
        horizontal_line(161, 217),
        horizontal_line(163, 217),
        horizontal_line(164, 216),
        horizontal_line(166, 216),
        horizontal_line(167, 215),
        horizontal_line(169, 215),
        horizontal_line(170, 214),
        horizontal_line(171, 214),
        horizontal_line(173, 213),
        horizontal_line(174, 213),
        horizontal_line(176, 212),
        horizontal_line(177, 212),
        horizontal_line(179, 211),
        horizontal_line(180, 211),
        horizontal_line(182, 210),
        horizontal_line(183, 210),
        horizontal_line(185, 210),
    };

    constexpr const shape frame_1230_shape_group_3_shapes[] = {
        shape(frame_1230_shape_group_3_shape_0_horizontal_lines, 44, 9),
        shape(frame_1230_shape_group_3_shape_1_horizontal_lines, 54, 14),
        shape(frame_1230_shape_group_3_shape_2_horizontal_lines, 58, 9),
        shape(frame_1230_shape_group_3_shape_3_horizontal_lines, 59, 14),
        shape(frame_1230_shape_group_3_shape_4_horizontal_lines, 64, 9),
        shape(frame_1230_shape_group_3_shape_5_horizontal_lines, 72, 1),
        shape(frame_1230_shape_group_3_shape_6_horizontal_lines, 79, 9),
        shape(frame_1230_shape_group_3_shape_7_horizontal_lines, 80, 1),
        shape(frame_1230_shape_group_3_shape_8_horizontal_lines, 91, 9),
        shape(frame_1230_shape_group_3_shape_9_horizontal_lines, 94, 1),
        shape(frame_1230_shape_group_3_shape_10_horizontal_lines, 105, 9),
        shape(frame_1230_shape_group_3_shape_11_horizontal_lines, 114, 1),
        shape(frame_1230_shape_group_3_shape_12_horizontal_lines, 125, 9),
        shape(frame_1230_shape_group_3_shape_13_horizontal_lines, 128, 1),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(33, 60),
        horizontal_line(34, 60),
        horizontal_line(36, 61),
        horizontal_line(37, 61),
        horizontal_line(38, 62),
        horizontal_line(39, 63),
        horizontal_line(40, 63),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(144, 206),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 226),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(157, 187),
        horizontal_line(159, 174),
        horizontal_line(161, 161),
        horizontal_line(124, 126),
        horizontal_line(123, 128),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(118, 160),
        horizontal_line(117, 160),
        horizontal_line(116, 133),
        horizontal_line(52, 52),
        horizontal_line(116, 130),
        horizontal_line(118, 128),
        horizontal_line(120, 127),
        horizontal_line(52, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(53, 58),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(65, 71),
        horizontal_line(65, 71),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(102, 109),
        horizontal_line(104, 108),
        horizontal_line(107, 107),
        horizontal_line(113, 120),
        horizontal_line(112, 119),
        horizontal_line(112, 118),
        horizontal_line(139, 194),
        horizontal_line(139, 198),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(138, 200),
        horizontal_line(201, 225),
        horizontal_line(203, 224),
        horizontal_line(204, 224),
        horizontal_line(206, 223),
        horizontal_line(207, 223),
        horizontal_line(209, 222),
        horizontal_line(210, 222),
        horizontal_line(212, 221),
        horizontal_line(213, 221),
        horizontal_line(215, 220),
        horizontal_line(216, 220),
        horizontal_line(217, 219),
        horizontal_line(219, 219),
    };

    constexpr const horizontal_line frame_1230_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const shape frame_1230_shape_group_4_shapes[] = {
        shape(frame_1230_shape_group_4_shape_0_horizontal_lines, 54, 9),
        shape(frame_1230_shape_group_4_shape_1_horizontal_lines, 59, 9),
        shape(frame_1230_shape_group_4_shape_2_horizontal_lines, 71, 1),
        shape(frame_1230_shape_group_4_shape_3_horizontal_lines, 84, 8),
        shape(frame_1230_shape_group_4_shape_4_horizontal_lines, 86, 1),
        shape(frame_1230_shape_group_4_shape_5_horizontal_lines, 111, 9),
        shape(frame_1230_shape_group_4_shape_6_horizontal_lines, 113, 1),
        shape(frame_1230_shape_group_4_shape_7_horizontal_lines, 141, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(215, 218),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(29, 57),
        horizontal_line(30, 58),
        horizontal_line(31, 58),
        horizontal_line(32, 59),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(196, 226),
        horizontal_line(192, 228),
        horizontal_line(189, 229),
        horizontal_line(185, 231),
        horizontal_line(181, 233),
        horizontal_line(177, 234),
        horizontal_line(174, 236),
        horizontal_line(232, 238),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(22, 42),
        horizontal_line(21, 43),
        horizontal_line(21, 44),
        horizontal_line(20, 45),
        horizontal_line(0, 3),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(29, 46),
        horizontal_line(31, 45),
        horizontal_line(1, 26),
        horizontal_line(11, 27),
        horizontal_line(21, 28),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(157, 160),
        horizontal_line(153, 160),
        horizontal_line(122, 130),
        horizontal_line(121, 132),
        horizontal_line(119, 134),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(55, 58),
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(136, 160),
        horizontal_line(115, 132),
        horizontal_line(136, 159),
        horizontal_line(136, 159),
        horizontal_line(136, 159),
        horizontal_line(122, 125),
        horizontal_line(124, 124),
        horizontal_line(136, 159),
        horizontal_line(136, 159),
        horizontal_line(53, 58),
        horizontal_line(53, 58),
        horizontal_line(53, 58),
        horizontal_line(53, 58),
        horizontal_line(53, 59),
        horizontal_line(53, 59),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(101, 110),
        horizontal_line(114, 122),
        horizontal_line(114, 121),
        horizontal_line(113, 120),
        horizontal_line(141, 182),
        horizontal_line(140, 186),
        horizontal_line(140, 190),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(90, 119),
        horizontal_line(98, 121),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(200, 202),
        horizontal_line(199, 206),
        horizontal_line(199, 210),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(200, 222),
    };

    constexpr const horizontal_line frame_1230_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(226, 226),
        horizontal_line(225, 228),
        horizontal_line(225, 231),
        horizontal_line(224, 233),
        horizontal_line(224, 236),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_1230_shape_group_5_shapes[] = {
        shape(frame_1230_shape_group_5_shape_0_horizontal_lines, 59, 1),
        shape(frame_1230_shape_group_5_shape_1_horizontal_lines, 60, 9),
        shape(frame_1230_shape_group_5_shape_2_horizontal_lines, 64, 1),
        shape(frame_1230_shape_group_5_shape_3_horizontal_lines, 72, 8),
        shape(frame_1230_shape_group_5_shape_4_horizontal_lines, 79, 1),
        shape(frame_1230_shape_group_5_shape_5_horizontal_lines, 80, 8),
        shape(frame_1230_shape_group_5_shape_6_horizontal_lines, 89, 1),
        shape(frame_1230_shape_group_5_shape_7_horizontal_lines, 94, 8),
        shape(frame_1230_shape_group_5_shape_8_horizontal_lines, 96, 1),
        shape(frame_1230_shape_group_5_shape_9_horizontal_lines, 120, 8),
        shape(frame_1230_shape_group_5_shape_10_horizontal_lines, 122, 1),
        shape(frame_1230_shape_group_5_shape_11_horizontal_lines, 128, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(211, 220),
        horizontal_line(207, 221),
        horizontal_line(204, 223),
        horizontal_line(200, 225),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(25, 32),
        horizontal_line(25, 33),
        horizontal_line(24, 35),
        horizontal_line(24, 36),
        horizontal_line(23, 37),
        horizontal_line(23, 38),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(236, 236),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(22, 40),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(20, 46),
        horizontal_line(19, 47),
        horizontal_line(19, 49),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(22, 47),
        horizontal_line(24, 47),
        horizontal_line(27, 46),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(25, 28),
        horizontal_line(26, 30),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(33, 45),
        horizontal_line(36, 44),
        horizontal_line(38, 44),
        horizontal_line(40, 43),
        horizontal_line(43, 43),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(149, 160),
        horizontal_line(145, 160),
        horizontal_line(141, 160),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(46, 48),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(54, 59),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(136, 159),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(54, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 61),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(136, 159),
        horizontal_line(136, 159),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(136, 158),
        horizontal_line(107, 107),
        horizontal_line(106, 109),
        horizontal_line(105, 111),
        horizontal_line(104, 113),
        horizontal_line(103, 112),
        horizontal_line(54, 59),
        horizontal_line(101, 111),
        horizontal_line(115, 122),
        horizontal_line(143, 170),
        horizontal_line(142, 174),
        horizontal_line(142, 178),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(67, 97),
        horizontal_line(75, 104),
        horizontal_line(83, 111),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(120, 138),
        horizontal_line(122, 138),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(106, 124),
        horizontal_line(113, 127),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_1230_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(198, 214),
        horizontal_line(199, 218),
    };

    constexpr const shape frame_1230_shape_group_6_shapes[] = {
        shape(frame_1230_shape_group_6_shape_0_horizontal_lines, 60, 1),
        shape(frame_1230_shape_group_6_shape_1_horizontal_lines, 64, 8),
        shape(frame_1230_shape_group_6_shape_2_horizontal_lines, 70, 1),
        shape(frame_1230_shape_group_6_shape_3_horizontal_lines, 71, 8),
        shape(frame_1230_shape_group_6_shape_4_horizontal_lines, 76, 8),
        shape(frame_1230_shape_group_6_shape_5_horizontal_lines, 81, 8),
        shape(frame_1230_shape_group_6_shape_6_horizontal_lines, 84, 3),
        shape(frame_1230_shape_group_6_shape_7_horizontal_lines, 86, 8),
        shape(frame_1230_shape_group_6_shape_8_horizontal_lines, 91, 1),
        shape(frame_1230_shape_group_6_shape_9_horizontal_lines, 94, 3),
        shape(frame_1230_shape_group_6_shape_10_horizontal_lines, 96, 8),
        shape(frame_1230_shape_group_6_shape_11_horizontal_lines, 97, 1),
        shape(frame_1230_shape_group_6_shape_12_horizontal_lines, 98, 8),
        shape(frame_1230_shape_group_6_shape_13_horizontal_lines, 101, 1),
        shape(frame_1230_shape_group_6_shape_14_horizontal_lines, 103, 8),
        shape(frame_1230_shape_group_6_shape_15_horizontal_lines, 105, 1),
        shape(frame_1230_shape_group_6_shape_16_horizontal_lines, 117, 8),
        shape(frame_1230_shape_group_6_shape_17_horizontal_lines, 120, 2),
        shape(frame_1230_shape_group_6_shape_18_horizontal_lines, 122, 8),
        shape(frame_1230_shape_group_6_shape_19_horizontal_lines, 125, 1),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(27, 28),
        horizontal_line(27, 29),
        horizontal_line(26, 30),
        horizontal_line(26, 31),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(23, 39),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(19, 48),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(21, 21),
        horizontal_line(22, 23),
        horizontal_line(23, 26),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(27, 32),
        horizontal_line(28, 35),
        horizontal_line(29, 37),
        horizontal_line(31, 39),
        horizontal_line(34, 42),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(56, 57),
        horizontal_line(56, 58),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(54, 59),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(131, 135),
        horizontal_line(129, 135),
        horizontal_line(128, 135),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(124, 125),
        horizontal_line(121, 124),
        horizontal_line(102, 112),
        horizontal_line(116, 123),
        horizontal_line(143, 166),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(44, 75),
        horizontal_line(52, 82),
        horizontal_line(60, 89),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(119, 139),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(125, 137),
        horizontal_line(128, 136),
        horizontal_line(131, 136),
    };

    constexpr const horizontal_line frame_1230_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(129, 133),
    };

    constexpr const shape frame_1230_shape_group_7_shapes[] = {
        shape(frame_1230_shape_group_7_shape_0_horizontal_lines, 60, 8),
        shape(frame_1230_shape_group_7_shape_1_horizontal_lines, 70, 8),
        shape(frame_1230_shape_group_7_shape_2_horizontal_lines, 79, 8),
        shape(frame_1230_shape_group_7_shape_3_horizontal_lines, 81, 3),
        shape(frame_1230_shape_group_7_shape_4_horizontal_lines, 84, 4),
        shape(frame_1230_shape_group_7_shape_5_horizontal_lines, 86, 3),
        shape(frame_1230_shape_group_7_shape_6_horizontal_lines, 91, 8),
        shape(frame_1230_shape_group_7_shape_7_horizontal_lines, 94, 4),
        shape(frame_1230_shape_group_7_shape_8_horizontal_lines, 97, 8),
        shape(frame_1230_shape_group_7_shape_9_horizontal_lines, 98, 4),
        shape(frame_1230_shape_group_7_shape_10_horizontal_lines, 101, 8),
        shape(frame_1230_shape_group_7_shape_11_horizontal_lines, 103, 4),
        shape(frame_1230_shape_group_7_shape_12_horizontal_lines, 108, 1),
        shape(frame_1230_shape_group_7_shape_13_horizontal_lines, 114, 8),
        shape(frame_1230_shape_group_7_shape_14_horizontal_lines, 117, 4),
        shape(frame_1230_shape_group_7_shape_15_horizontal_lines, 119, 2),
        shape(frame_1230_shape_group_7_shape_16_horizontal_lines, 122, 2),
        shape(frame_1230_shape_group_7_shape_17_horizontal_lines, 125, 8),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(175, 237),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(37, 44),
        horizontal_line(40, 45),
        horizontal_line(43, 47),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(161, 223),
        horizontal_line(133, 135),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(166, 228),
        horizontal_line(173, 235),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(146, 150),
        horizontal_line(145, 154),
        horizontal_line(118, 124),
        horizontal_line(144, 162),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(37, 67),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(109, 112),
        horizontal_line(108, 111),
    };

    constexpr const horizontal_line frame_1230_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const shape frame_1230_shape_group_8_shapes[] = {
        shape(frame_1230_shape_group_8_shape_0_horizontal_lines, 83, 4),
        shape(frame_1230_shape_group_8_shape_1_horizontal_lines, 86, 4),
        shape(frame_1230_shape_group_8_shape_2_horizontal_lines, 91, 3),
        shape(frame_1230_shape_group_8_shape_3_horizontal_lines, 94, 4),
        shape(frame_1230_shape_group_8_shape_4_horizontal_lines, 109, 1),
        shape(frame_1230_shape_group_8_shape_5_horizontal_lines, 113, 8),
        shape(frame_1230_shape_group_8_shape_6_horizontal_lines, 114, 4),
        shape(frame_1230_shape_group_8_shape_7_horizontal_lines, 117, 2),
        shape(frame_1230_shape_group_8_shape_8_horizontal_lines, 125, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_1230_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(32, 45),
        horizontal_line(32, 48),
    };

    constexpr const horizontal_line frame_1230_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(160, 222),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(228, 239),
        horizontal_line(235, 239),
        horizontal_line(180, 239),
        horizontal_line(186, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(145, 158),
    };

    constexpr const horizontal_line frame_1230_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(45, 60),
    };

    constexpr const horizontal_line frame_1230_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(220, 239),
        horizontal_line(226, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(121, 140),
        horizontal_line(120, 139),
    };

    constexpr const shape frame_1230_shape_group_9_shapes[] = {
        shape(frame_1230_shape_group_9_shape_0_horizontal_lines, 87, 4),
        shape(frame_1230_shape_group_9_shape_1_horizontal_lines, 94, 2),
        shape(frame_1230_shape_group_9_shape_2_horizontal_lines, 96, 4),
        shape(frame_1230_shape_group_9_shape_3_horizontal_lines, 111, 1),
        shape(frame_1230_shape_group_9_shape_4_horizontal_lines, 112, 8),
        shape(frame_1230_shape_group_9_shape_5_horizontal_lines, 113, 4),
        shape(frame_1230_shape_group_9_shape_6_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(31, 33),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(32, 51),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(33, 51),
        horizontal_line(33, 51),
        horizontal_line(33, 51),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(34, 51),
        horizontal_line(34, 52),
        horizontal_line(35, 52),
        horizontal_line(35, 52),
        horizontal_line(35, 52),
        horizontal_line(35, 52),
        horizontal_line(36, 52),
        horizontal_line(36, 52),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(110, 112),
    };

    constexpr const shape frame_1230_shape_group_10_shapes[] = {
        shape(frame_1230_shape_group_10_shape_0_horizontal_lines, 90, 2),
        shape(frame_1230_shape_group_10_shape_1_horizontal_lines, 91, 4),
        shape(frame_1230_shape_group_10_shape_2_horizontal_lines, 96, 2),
        shape(frame_1230_shape_group_10_shape_3_horizontal_lines, 97, 4),
        shape(frame_1230_shape_group_10_shape_4_horizontal_lines, 98, 2),
        shape(frame_1230_shape_group_10_shape_5_horizontal_lines, 101, 4),
        shape(frame_1230_shape_group_10_shape_6_horizontal_lines, 103, 2),
        shape(frame_1230_shape_group_10_shape_7_horizontal_lines, 111, 8),
        shape(frame_1230_shape_group_10_shape_8_horizontal_lines, 113, 4),
        shape(frame_1230_shape_group_10_shape_9_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(31, 36),
        horizontal_line(31, 39),
        horizontal_line(32, 42),
    };

    constexpr const horizontal_line frame_1230_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(33, 51),
    };

    constexpr const horizontal_line frame_1230_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(34, 51),
        horizontal_line(34, 51),
    };

    constexpr const horizontal_line frame_1230_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 60),
        horizontal_line(59, 60),
        horizontal_line(60, 61),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1230_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1230_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(123, 142),
        horizontal_line(122, 141),
        horizontal_line(121, 141),
    };

    constexpr const shape frame_1230_shape_group_11_shapes[] = {
        shape(frame_1230_shape_group_11_shape_0_horizontal_lines, 91, 2),
        shape(frame_1230_shape_group_11_shape_1_horizontal_lines, 97, 2),
        shape(frame_1230_shape_group_11_shape_2_horizontal_lines, 101, 2),
        shape(frame_1230_shape_group_11_shape_3_horizontal_lines, 105, 2),
        shape(frame_1230_shape_group_11_shape_4_horizontal_lines, 111, 4),
        shape(frame_1230_shape_group_11_shape_5_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(127, 146),
        horizontal_line(126, 145),
        horizontal_line(125, 144),
        horizontal_line(36, 53),
    };

    constexpr const horizontal_line frame_1230_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1230_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(123, 142),
    };

    constexpr const shape frame_1230_shape_group_12_shapes[] = {
        shape(frame_1230_shape_group_12_shape_0_horizontal_lines, 108, 2),
        shape(frame_1230_shape_group_12_shape_1_horizontal_lines, 112, 4),
        shape(frame_1230_shape_group_12_shape_2_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(36, 44),
    };

    constexpr const shape frame_1230_shape_group_13_shapes[] = {
        shape(frame_1230_shape_group_13_shape_0_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(125, 144),
        horizontal_line(61, 62),
    };

    constexpr const shape frame_1230_shape_group_14_shapes[] = {
        shape(frame_1230_shape_group_14_shape_0_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1230_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(124, 143),
    };

    constexpr const shape frame_1230_shape_group_15_shapes[] = {
        shape(frame_1230_shape_group_15_shape_0_horizontal_lines, 112, 2),
    };

    constexpr const shape_group frame_1230_shape_groups[] = {
        shape_group(frame_1230_shape_group_0_shapes),
        shape_group(frame_1230_shape_group_1_shapes),
        shape_group(frame_1230_shape_group_2_shapes),
        shape_group(frame_1230_shape_group_3_shapes),
        shape_group(frame_1230_shape_group_4_shapes),
        shape_group(frame_1230_shape_group_5_shapes),
        shape_group(frame_1230_shape_group_6_shapes),
        shape_group(frame_1230_shape_group_7_shapes),
        shape_group(frame_1230_shape_group_8_shapes),
        shape_group(frame_1230_shape_group_9_shapes),
        shape_group(frame_1230_shape_group_10_shapes),
        shape_group(frame_1230_shape_group_11_shapes),
        shape_group(frame_1230_shape_group_12_shapes),
        shape_group(frame_1230_shape_group_13_shapes),
        shape_group(frame_1230_shape_group_14_shapes),
        shape_group(frame_1230_shape_group_15_shapes),
    };

    constexpr const frame frame_1230_impl(frame_1230_colors, frame_1230_shape_groups);
} 

const frame& frame_1230()
{
    return frame_1230_impl;
}

namespace
{
    constexpr const bn::color frame_1231_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1231_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(1, 42),
        horizontal_line(2, 43),
        horizontal_line(4, 44),
        horizontal_line(6, 45),
        horizontal_line(8, 46),
        horizontal_line(10, 47),
        horizontal_line(12, 48),
        horizontal_line(13, 49),
        horizontal_line(15, 50),
        horizontal_line(17, 51),
        horizontal_line(19, 52),
        horizontal_line(21, 53),
        horizontal_line(23, 54),
        horizontal_line(55, 57),
        horizontal_line(56, 61),
        horizontal_line(56, 65),
        horizontal_line(57, 70),
        horizontal_line(58, 74),
        horizontal_line(58, 78),
        horizontal_line(59, 83),
        horizontal_line(60, 87),
        horizontal_line(60, 91),
        horizontal_line(61, 96),
        horizontal_line(62, 100),
        horizontal_line(62, 104),
        horizontal_line(63, 109),
        horizontal_line(64, 113),
        horizontal_line(64, 117),
        horizontal_line(65, 122),
        horizontal_line(66, 126),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 67),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 68),
        horizontal_line(52, 68),
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(54, 69),
        horizontal_line(55, 69),
        horizontal_line(56, 70),
        horizontal_line(71, 74),
        horizontal_line(71, 79),
        horizontal_line(71, 84),
        horizontal_line(71, 89),
        horizontal_line(71, 94),
        horizontal_line(72, 99),
        horizontal_line(72, 104),
        horizontal_line(72, 109),
        horizontal_line(72, 114),
        horizontal_line(72, 114),
        horizontal_line(72, 113),
        horizontal_line(73, 112),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(73, 78),
        horizontal_line(73, 85),
        horizontal_line(73, 92),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(76, 99),
        horizontal_line(84, 99),
        horizontal_line(91, 98),
    };

    constexpr const horizontal_line frame_1231_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(23, 54),
        horizontal_line(20, 62),
        horizontal_line(17, 70),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1231_shape_group_0_shapes[] = {
        shape(frame_1231_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1231_shape_group_0_shape_1_horizontal_lines, 116, 9),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(121, 183),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(136, 198),
        horizontal_line(139, 201),
        horizontal_line(142, 204),
        horizontal_line(145, 207),
        horizontal_line(148, 210),
        horizontal_line(151, 213),
        horizontal_line(154, 216),
        horizontal_line(157, 219),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(129, 135),
        horizontal_line(130, 139),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(87, 144),
        horizontal_line(92, 142),
        horizontal_line(97, 140),
        horizontal_line(102, 138),
        horizontal_line(107, 135),
        horizontal_line(112, 133),
        horizontal_line(117, 131),
        horizontal_line(122, 129),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(42, 70),
        horizontal_line(43, 55),
        horizontal_line(44, 55),
        horizontal_line(45, 54),
        horizontal_line(46, 54),
        horizontal_line(47, 54),
        horizontal_line(48, 53),
        horizontal_line(50, 53),
        horizontal_line(51, 52),
        horizontal_line(52, 52),
        horizontal_line(61, 71),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(79, 111),
        horizontal_line(86, 110),
        horizontal_line(93, 109),
        horizontal_line(100, 108),
        horizontal_line(108, 108),
        horizontal_line(139, 164),
        horizontal_line(135, 160),
        horizontal_line(132, 157),
        horizontal_line(130, 154),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(61, 72),
        horizontal_line(62, 63),
        horizontal_line(63, 63),
        horizontal_line(65, 72),
        horizontal_line(68, 72),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(29, 38),
        horizontal_line(26, 46),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1231_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(77, 78),
        horizontal_line(74, 86),
        horizontal_line(71, 93),
        horizontal_line(68, 101),
        horizontal_line(65, 109),
        horizontal_line(63, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1231_shape_group_1_shapes[] = {
        shape(frame_1231_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1231_shape_group_1_shape_1_horizontal_lines, 46, 9),
        shape(frame_1231_shape_group_1_shape_2_horizontal_lines, 72, 4),
        shape(frame_1231_shape_group_1_shape_3_horizontal_lines, 87, 9),
        shape(frame_1231_shape_group_1_shape_4_horizontal_lines, 99, 4),
        shape(frame_1231_shape_group_1_shape_5_horizontal_lines, 108, 9),
        shape(frame_1231_shape_group_1_shape_6_horizontal_lines, 113, 1),
        shape(frame_1231_shape_group_1_shape_7_horizontal_lines, 114, 9),
        shape(frame_1231_shape_group_1_shape_8_horizontal_lines, 116, 1),
        shape(frame_1231_shape_group_1_shape_9_horizontal_lines, 119, 9),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(24, 54),
        horizontal_line(25, 55),
        horizontal_line(26, 55),
        horizontal_line(28, 56),
        horizontal_line(29, 57),
        horizontal_line(30, 57),
        horizontal_line(31, 58),
        horizontal_line(33, 59),
        horizontal_line(34, 59),
        horizontal_line(35, 60),
        horizontal_line(36, 61),
        horizontal_line(38, 61),
        horizontal_line(39, 62),
        horizontal_line(40, 63),
        horizontal_line(41, 63),
        horizontal_line(43, 64),
        horizontal_line(44, 65),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(134, 143),
        horizontal_line(139, 148),
        horizontal_line(144, 146),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(46, 49),
        horizontal_line(45, 50),
        horizontal_line(45, 51),
        horizontal_line(44, 51),
        horizontal_line(44, 52),
        horizontal_line(43, 53),
        horizontal_line(43, 53),
        horizontal_line(42, 54),
        horizontal_line(42, 55),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(57, 70),
        horizontal_line(57, 70),
        horizontal_line(58, 70),
        horizontal_line(58, 70),
        horizontal_line(59, 71),
        horizontal_line(59, 71),
        horizontal_line(60, 71),
        horizontal_line(60, 71),
        horizontal_line(61, 71),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
        horizontal_line(60, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 63),
        horizontal_line(60, 63),
        horizontal_line(61, 63),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(65, 72),
        horizontal_line(65, 72),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(105, 109),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(114, 122),
        horizontal_line(113, 122),
        horizontal_line(115, 121),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1231_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 133),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1231_shape_group_2_shapes[] = {
        shape(frame_1231_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_1231_shape_group_2_shape_1_horizontal_lines, 42, 9),
        shape(frame_1231_shape_group_2_shape_2_horizontal_lines, 53, 1),
        shape(frame_1231_shape_group_2_shape_3_horizontal_lines, 55, 9),
        shape(frame_1231_shape_group_2_shape_4_horizontal_lines, 75, 4),
        shape(frame_1231_shape_group_2_shape_5_horizontal_lines, 78, 9),
        shape(frame_1231_shape_group_2_shape_6_horizontal_lines, 87, 1),
        shape(frame_1231_shape_group_2_shape_7_horizontal_lines, 88, 9),
        shape(frame_1231_shape_group_2_shape_8_horizontal_lines, 97, 1),
        shape(frame_1231_shape_group_2_shape_9_horizontal_lines, 99, 9),
        shape(frame_1231_shape_group_2_shape_10_horizontal_lines, 108, 1),
        shape(frame_1231_shape_group_2_shape_11_horizontal_lines, 109, 9),
        shape(frame_1231_shape_group_2_shape_12_horizontal_lines, 111, 1),
        shape(frame_1231_shape_group_2_shape_13_horizontal_lines, 125, 9),
    };

    constexpr const horizontal_line frame_1231_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(198, 239),
        horizontal_line(195, 239),
        horizontal_line(191, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 239),
        horizontal_line(180, 239),
        horizontal_line(176, 238),
        horizontal_line(172, 234),
        horizontal_line(168, 230),
    };

    constexpr const horizontal_line frame_1231_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(45, 65),
        horizontal_line(46, 66),
        horizontal_line(48, 67),
        horizontal_line(5, 11),
        horizontal_line(11, 11),
        horizontal_line(46, 49),
    };

    constexpr const horizontal_line frame_1231_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 210),
        horizontal_line(163, 195),
        horizontal_line(0, 11),
        horizontal_line(0, 23),
        horizontal_line(126, 127),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(50, 52),
        horizontal_line(50, 53),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(52, 58),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(102, 111),
        horizontal_line(103, 110),
        horizontal_line(115, 124),
        horizontal_line(108, 108),
        horizontal_line(114, 123),
        horizontal_line(147, 183),
        horizontal_line(146, 187),
        horizontal_line(146, 191),
        horizontal_line(145, 195),
        horizontal_line(145, 199),
        horizontal_line(144, 203),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const shape frame_1231_shape_group_3_shapes[] = {
        shape(frame_1231_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_1231_shape_group_3_shape_1_horizontal_lines, 55, 1),
        shape(frame_1231_shape_group_3_shape_2_horizontal_lines, 72, 9),
        shape(frame_1231_shape_group_3_shape_3_horizontal_lines, 78, 1),
        shape(frame_1231_shape_group_3_shape_4_horizontal_lines, 159, 9),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(22, 23),
        horizontal_line(22, 24),
        horizontal_line(21, 25),
        horizontal_line(21, 27),
        horizontal_line(20, 28),
        horizontal_line(20, 29),
        horizontal_line(19, 30),
        horizontal_line(19, 32),
        horizontal_line(18, 33),
        horizontal_line(18, 34),
        horizontal_line(17, 35),
        horizontal_line(17, 37),
        horizontal_line(16, 38),
        horizontal_line(16, 39),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(165, 227),
        horizontal_line(161, 223),
        horizontal_line(157, 219),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(47, 47),
        horizontal_line(47, 48),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 224),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(165, 181),
        horizontal_line(167, 167),
        horizontal_line(163, 166),
        horizontal_line(125, 129),
        horizontal_line(124, 131),
        horizontal_line(122, 133),
        horizontal_line(121, 135),
        horizontal_line(120, 137),
        horizontal_line(118, 166),
        horizontal_line(117, 166),
        horizontal_line(50, 50),
        horizontal_line(50, 51),
        horizontal_line(119, 132),
        horizontal_line(121, 130),
        horizontal_line(50, 54),
        horizontal_line(51, 55),
        horizontal_line(51, 56),
        horizontal_line(51, 57),
        horizontal_line(51, 57),
        horizontal_line(51, 57),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(52, 58),
        horizontal_line(104, 113),
        horizontal_line(52, 58),
        horizontal_line(53, 59),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(149, 171),
        horizontal_line(115, 123),
        horizontal_line(147, 179),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(55, 98),
        horizontal_line(63, 106),
        horizontal_line(71, 114),
        horizontal_line(79, 122),
        horizontal_line(87, 124),
        horizontal_line(94, 126),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(205, 207),
        horizontal_line(205, 211),
        horizontal_line(204, 215),
        horizontal_line(204, 219),
        horizontal_line(203, 223),
        horizontal_line(204, 227),
        horizontal_line(205, 231),
        horizontal_line(206, 235),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(187, 239),
    };

    constexpr const shape frame_1231_shape_group_4_shapes[] = {
        shape(frame_1231_shape_group_4_shape_0_horizontal_lines, 55, 8),
        shape(frame_1231_shape_group_4_shape_1_horizontal_lines, 69, 1),
        shape(frame_1231_shape_group_4_shape_2_horizontal_lines, 75, 9),
        shape(frame_1231_shape_group_4_shape_3_horizontal_lines, 77, 1),
        shape(frame_1231_shape_group_4_shape_4_horizontal_lines, 83, 8),
        shape(frame_1231_shape_group_4_shape_5_horizontal_lines, 85, 1),
        shape(frame_1231_shape_group_4_shape_6_horizontal_lines, 116, 8),
        shape(frame_1231_shape_group_4_shape_7_horizontal_lines, 122, 1),
        shape(frame_1231_shape_group_4_shape_8_horizontal_lines, 159, 1),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(15, 40),
        horizontal_line(15, 42),
        horizontal_line(14, 43),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(153, 215),
        horizontal_line(150, 212),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(30, 42),
        horizontal_line(32, 42),
        horizontal_line(12, 22),
        horizontal_line(24, 24),
        horizontal_line(41, 41),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(159, 166),
        horizontal_line(155, 166),
        horizontal_line(151, 166),
        horizontal_line(147, 166),
        horizontal_line(143, 166),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(54, 58),
        horizontal_line(54, 59),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(116, 136),
        horizontal_line(117, 134),
        horizontal_line(139, 165),
        horizontal_line(139, 165),
        horizontal_line(123, 128),
        horizontal_line(126, 126),
        horizontal_line(139, 165),
        horizontal_line(139, 165),
        horizontal_line(139, 165),
        horizontal_line(108, 108),
        horizontal_line(107, 110),
        horizontal_line(106, 112),
        horizontal_line(105, 114),
        horizontal_line(125, 127),
        horizontal_line(103, 113),
        horizontal_line(102, 112),
        horizontal_line(150, 163),
        horizontal_line(149, 167),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(32, 75),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(148, 175),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(47, 90),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(108, 112),
        horizontal_line(122, 145),
        horizontal_line(123, 144),
        horizontal_line(125, 144),
        horizontal_line(127, 143),
    };

    constexpr const horizontal_line frame_1231_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(102, 129),
        horizontal_line(110, 131),
        horizontal_line(118, 133),
        horizontal_line(126, 136),
        horizontal_line(134, 138),
    };

    constexpr const shape frame_1231_shape_group_5_shapes[] = {
        shape(frame_1231_shape_group_5_shape_0_horizontal_lines, 69, 8),
        shape(frame_1231_shape_group_5_shape_1_horizontal_lines, 72, 1),
        shape(frame_1231_shape_group_5_shape_2_horizontal_lines, 78, 8),
        shape(frame_1231_shape_group_5_shape_3_horizontal_lines, 88, 1),
        shape(frame_1231_shape_group_5_shape_4_horizontal_lines, 93, 8),
        shape(frame_1231_shape_group_5_shape_5_horizontal_lines, 95, 1),
        shape(frame_1231_shape_group_5_shape_6_horizontal_lines, 113, 8),
        shape(frame_1231_shape_group_5_shape_7_horizontal_lines, 114, 1),
        shape(frame_1231_shape_group_5_shape_8_horizontal_lines, 115, 8),
        shape(frame_1231_shape_group_5_shape_9_horizontal_lines, 116, 14),
        shape(frame_1231_shape_group_5_shape_10_horizontal_lines, 117, 2),
        shape(frame_1231_shape_group_5_shape_11_horizontal_lines, 122, 8),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(14, 44),
        horizontal_line(13, 45),
        horizontal_line(13, 47),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(16, 45),
        horizontal_line(19, 44),
        horizontal_line(21, 44),
        horizontal_line(24, 43),
        horizontal_line(27, 43),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(21, 29),
        horizontal_line(22, 31),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(35, 41),
        horizontal_line(38, 41),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(28, 40),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(55, 57),
        horizontal_line(55, 57),
        horizontal_line(55, 58),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(46, 47),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(139, 166),
        horizontal_line(139, 165),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(53, 60),
        horizontal_line(54, 61),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(139, 165),
        horizontal_line(139, 165),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(57, 59),
        horizontal_line(58, 59),
        horizontal_line(58, 59),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(126, 138),
        horizontal_line(126, 134),
        horizontal_line(126, 131),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(121, 126),
        horizontal_line(117, 126),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(46, 59),
        horizontal_line(39, 67),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(39, 83),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(109, 113),
        horizontal_line(123, 145),
    };

    constexpr const horizontal_line frame_1231_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(130, 142),
        horizontal_line(132, 142),
        horizontal_line(134, 141),
        horizontal_line(137, 141),
        horizontal_line(139, 140),
    };

    constexpr const shape frame_1231_shape_group_6_shapes[] = {
        shape(frame_1231_shape_group_6_shape_0_horizontal_lines, 72, 8),
        shape(frame_1231_shape_group_6_shape_1_horizontal_lines, 75, 1),
        shape(frame_1231_shape_group_6_shape_2_horizontal_lines, 77, 8),
        shape(frame_1231_shape_group_6_shape_3_horizontal_lines, 83, 3),
        shape(frame_1231_shape_group_6_shape_4_horizontal_lines, 85, 8),
        shape(frame_1231_shape_group_6_shape_5_horizontal_lines, 87, 3),
        shape(frame_1231_shape_group_6_shape_6_horizontal_lines, 88, 8),
        shape(frame_1231_shape_group_6_shape_7_horizontal_lines, 93, 3),
        shape(frame_1231_shape_group_6_shape_8_horizontal_lines, 94, 14),
        shape(frame_1231_shape_group_6_shape_9_horizontal_lines, 95, 1),
        shape(frame_1231_shape_group_6_shape_10_horizontal_lines, 97, 8),
        shape(frame_1231_shape_group_6_shape_11_horizontal_lines, 99, 1),
        shape(frame_1231_shape_group_6_shape_12_horizontal_lines, 101, 8),
        shape(frame_1231_shape_group_6_shape_13_horizontal_lines, 104, 14),
        shape(frame_1231_shape_group_6_shape_14_horizontal_lines, 108, 1),
        shape(frame_1231_shape_group_6_shape_15_horizontal_lines, 111, 8),
        shape(frame_1231_shape_group_6_shape_16_horizontal_lines, 113, 14),
        shape(frame_1231_shape_group_6_shape_17_horizontal_lines, 114, 8),
        shape(frame_1231_shape_group_6_shape_18_horizontal_lines, 115, 14),
        shape(frame_1231_shape_group_6_shape_19_horizontal_lines, 116, 2),
        shape(frame_1231_shape_group_6_shape_20_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(14, 15),
        horizontal_line(15, 18),
        horizontal_line(17, 20),
        horizontal_line(18, 23),
        horizontal_line(19, 26),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(23, 34),
        horizontal_line(25, 37),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(31, 42),
        horizontal_line(34, 43),
        horizontal_line(37, 44),
        horizontal_line(40, 45),
        horizontal_line(43, 46),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(167, 229),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(53, 59),
        horizontal_line(53, 60),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(133, 138),
        horizontal_line(131, 138),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(55, 60),
        horizontal_line(56, 60),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(126, 138),
        horizontal_line(126, 138),
        horizontal_line(126, 138),
        horizontal_line(166, 228),
        horizontal_line(172, 234),
        horizontal_line(179, 239),
        horizontal_line(186, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(151, 155),
        horizontal_line(150, 159),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(111, 113),
        horizontal_line(226, 239),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_1231_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(110, 113),
        horizontal_line(123, 146),
    };

    constexpr const shape frame_1231_shape_group_7_shapes[] = {
        shape(frame_1231_shape_group_7_shape_0_horizontal_lines, 75, 8),
        shape(frame_1231_shape_group_7_shape_1_horizontal_lines, 78, 3),
        shape(frame_1231_shape_group_7_shape_2_horizontal_lines, 83, 14),
        shape(frame_1231_shape_group_7_shape_3_horizontal_lines, 85, 3),
        shape(frame_1231_shape_group_7_shape_4_horizontal_lines, 87, 14),
        shape(frame_1231_shape_group_7_shape_5_horizontal_lines, 88, 3),
        shape(frame_1231_shape_group_7_shape_6_horizontal_lines, 93, 14),
        shape(frame_1231_shape_group_7_shape_7_horizontal_lines, 95, 8),
        shape(frame_1231_shape_group_7_shape_8_horizontal_lines, 97, 14),
        shape(frame_1231_shape_group_7_shape_9_horizontal_lines, 99, 8),
        shape(frame_1231_shape_group_7_shape_10_horizontal_lines, 101, 14),
        shape(frame_1231_shape_group_7_shape_11_horizontal_lines, 109, 1),
        shape(frame_1231_shape_group_7_shape_12_horizontal_lines, 111, 8),
        shape(frame_1231_shape_group_7_shape_13_horizontal_lines, 112, 14),
        shape(frame_1231_shape_group_7_shape_14_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(12, 46),
        horizontal_line(12, 46),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(168, 230),
        horizontal_line(229, 239),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(27, 49),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(137, 138),
        horizontal_line(135, 138),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(129, 138),
        horizontal_line(127, 138),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(30, 51),
        horizontal_line(30, 51),
        horizontal_line(30, 51),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(112, 113),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(124, 146),
    };

    constexpr const shape frame_1231_shape_group_8_shapes[] = {
        shape(frame_1231_shape_group_8_shape_0_horizontal_lines, 75, 8),
        shape(frame_1231_shape_group_8_shape_1_horizontal_lines, 82, 14),
        shape(frame_1231_shape_group_8_shape_2_horizontal_lines, 85, 14),
        shape(frame_1231_shape_group_8_shape_3_horizontal_lines, 94, 2),
        shape(frame_1231_shape_group_8_shape_4_horizontal_lines, 95, 14),
        shape(frame_1231_shape_group_8_shape_5_horizontal_lines, 106, 2),
        shape(frame_1231_shape_group_8_shape_6_horizontal_lines, 109, 8),
        shape(frame_1231_shape_group_8_shape_7_horizontal_lines, 111, 14),
        shape(frame_1231_shape_group_8_shape_8_horizontal_lines, 113, 2),
        shape(frame_1231_shape_group_8_shape_9_horizontal_lines, 114, 14),
        shape(frame_1231_shape_group_8_shape_10_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(25, 27),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(26, 45),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(29, 50),
        horizontal_line(29, 51),
        horizontal_line(59, 59),
        horizontal_line(59, 60),
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(113, 113),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(31, 38),
        horizontal_line(125, 148),
        horizontal_line(111, 114),
    };

    constexpr const shape frame_1231_shape_group_9_shapes[] = {
        shape(frame_1231_shape_group_9_shape_0_horizontal_lines, 86, 14),
        shape(frame_1231_shape_group_9_shape_1_horizontal_lines, 87, 2),
        shape(frame_1231_shape_group_9_shape_2_horizontal_lines, 88, 14),
        shape(frame_1231_shape_group_9_shape_3_horizontal_lines, 93, 2),
        shape(frame_1231_shape_group_9_shape_4_horizontal_lines, 95, 14),
        shape(frame_1231_shape_group_9_shape_5_horizontal_lines, 104, 2),
        shape(frame_1231_shape_group_9_shape_6_horizontal_lines, 109, 14),
        shape(frame_1231_shape_group_9_shape_7_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(25, 30),
        horizontal_line(25, 33),
        horizontal_line(26, 36),
        horizontal_line(26, 39),
        horizontal_line(26, 42),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(27, 49),
        horizontal_line(28, 49),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(28, 50),
        horizontal_line(29, 50),
        horizontal_line(29, 50),
        horizontal_line(58, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 151),
        horizontal_line(30, 51),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(31, 45),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_1231_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(124, 147),
    };

    constexpr const shape frame_1231_shape_group_10_shapes[] = {
        shape(frame_1231_shape_group_10_shape_0_horizontal_lines, 88, 2),
        shape(frame_1231_shape_group_10_shape_1_horizontal_lines, 95, 14),
        shape(frame_1231_shape_group_10_shape_2_horizontal_lines, 97, 2),
        shape(frame_1231_shape_group_10_shape_3_horizontal_lines, 99, 14),
        shape(frame_1231_shape_group_10_shape_4_horizontal_lines, 101, 2),
        shape(frame_1231_shape_group_10_shape_5_horizontal_lines, 107, 2),
        shape(frame_1231_shape_group_10_shape_6_horizontal_lines, 110, 14),
        shape(frame_1231_shape_group_10_shape_7_horizontal_lines, 111, 2),
        shape(frame_1231_shape_group_10_shape_8_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1231_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(27, 49),
        horizontal_line(27, 49),
    };

    constexpr const horizontal_line frame_1231_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(28, 49),
        horizontal_line(28, 50),
    };

    constexpr const horizontal_line frame_1231_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(31, 52),
        horizontal_line(60, 62),
        horizontal_line(126, 148),
    };

    constexpr const shape frame_1231_shape_group_11_shapes[] = {
        shape(frame_1231_shape_group_11_shape_0_horizontal_lines, 95, 2),
        shape(frame_1231_shape_group_11_shape_1_horizontal_lines, 99, 2),
        shape(frame_1231_shape_group_11_shape_2_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1231_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(127, 150),
        horizontal_line(60, 62),
        horizontal_line(115, 115),
    };

    constexpr const shape frame_1231_shape_group_12_shapes[] = {
        shape(frame_1231_shape_group_12_shape_0_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1231_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(127, 149),
        horizontal_line(126, 149),
    };

    constexpr const shape frame_1231_shape_group_13_shapes[] = {
        shape(frame_1231_shape_group_13_shape_0_horizontal_lines, 110, 2),
    };

    constexpr const shape_group frame_1231_shape_groups[] = {
        shape_group(frame_1231_shape_group_0_shapes),
        shape_group(frame_1231_shape_group_1_shapes),
        shape_group(frame_1231_shape_group_2_shapes),
        shape_group(frame_1231_shape_group_3_shapes),
        shape_group(frame_1231_shape_group_4_shapes),
        shape_group(frame_1231_shape_group_5_shapes),
        shape_group(frame_1231_shape_group_6_shapes),
        shape_group(frame_1231_shape_group_7_shapes),
        shape_group(frame_1231_shape_group_8_shapes),
        shape_group(frame_1231_shape_group_9_shapes),
        shape_group(frame_1231_shape_group_10_shapes),
        shape_group(frame_1231_shape_group_11_shapes),
        shape_group(frame_1231_shape_group_12_shapes),
        shape_group(frame_1231_shape_group_13_shapes),
    };

    constexpr const frame frame_1231_impl(frame_1231_colors, frame_1231_shape_groups);
} 

const frame& frame_1231()
{
    return frame_1231_impl;
}

namespace
{
    constexpr const bn::color frame_1232_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1232_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(4, 45),
        horizontal_line(6, 46),
        horizontal_line(7, 47),
        horizontal_line(9, 48),
        horizontal_line(11, 49),
        horizontal_line(12, 50),
        horizontal_line(14, 51),
        horizontal_line(16, 52),
        horizontal_line(53, 55),
        horizontal_line(54, 59),
        horizontal_line(54, 63),
        horizontal_line(55, 67),
        horizontal_line(56, 71),
        horizontal_line(56, 75),
        horizontal_line(57, 79),
        horizontal_line(58, 83),
        horizontal_line(58, 88),
        horizontal_line(59, 92),
        horizontal_line(60, 96),
        horizontal_line(60, 100),
        horizontal_line(61, 104),
        horizontal_line(61, 108),
        horizontal_line(62, 112),
        horizontal_line(63, 116),
        horizontal_line(63, 121),
        horizontal_line(64, 125),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(46, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 66),
        horizontal_line(48, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 68),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(55, 70),
        horizontal_line(71, 74),
        horizontal_line(71, 79),
        horizontal_line(71, 84),
        horizontal_line(71, 89),
        horizontal_line(71, 95),
        horizontal_line(72, 100),
        horizontal_line(72, 105),
        horizontal_line(72, 110),
        horizontal_line(72, 116),
        horizontal_line(72, 116),
        horizontal_line(73, 115),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(73, 77),
        horizontal_line(73, 83),
        horizontal_line(73, 89),
        horizontal_line(73, 95),
        horizontal_line(73, 101),
        horizontal_line(73, 101),
        horizontal_line(73, 100),
        horizontal_line(81, 99),
        horizontal_line(88, 99),
        horizontal_line(95, 98),
    };

    constexpr const horizontal_line frame_1232_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(17, 49),
        horizontal_line(14, 57),
        horizontal_line(12, 65),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1232_shape_group_0_shapes[] = {
        shape(frame_1232_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1232_shape_group_0_shape_1_horizontal_lines, 116, 9),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(127, 133),
        horizontal_line(128, 137),
        horizontal_line(129, 141),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(84, 146),
        horizontal_line(88, 150),
        horizontal_line(93, 147),
        horizontal_line(97, 145),
        horizontal_line(102, 143),
        horizontal_line(106, 140),
        horizontal_line(111, 138),
        horizontal_line(115, 136),
        horizontal_line(120, 133),
        horizontal_line(124, 131),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(39, 70),
        horizontal_line(40, 54),
        horizontal_line(41, 54),
        horizontal_line(42, 53),
        horizontal_line(44, 53),
        horizontal_line(45, 53),
        horizontal_line(46, 52),
        horizontal_line(48, 52),
        horizontal_line(49, 51),
        horizontal_line(50, 51),
        horizontal_line(51, 51),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(77, 114),
        horizontal_line(82, 113),
        horizontal_line(87, 112),
        horizontal_line(93, 111),
        horizontal_line(98, 110),
        horizontal_line(103, 109),
        horizontal_line(109, 109),
        horizontal_line(142, 171),
        horizontal_line(138, 168),
        horizontal_line(135, 165),
        horizontal_line(133, 162),
        horizontal_line(146, 159),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(65, 72),
        horizontal_line(66, 72),
        horizontal_line(66, 72),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(32, 72),
        horizontal_line(26, 80),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(23, 33),
        horizontal_line(20, 41),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(50, 102),
        horizontal_line(58, 109),
        horizontal_line(66, 116),
    };

    constexpr const horizontal_line frame_1232_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(71, 73),
        horizontal_line(68, 81),
        horizontal_line(65, 89),
        horizontal_line(63, 97),
        horizontal_line(62, 105),
        horizontal_line(62, 113),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1232_shape_group_1_shapes[] = {
        shape(frame_1232_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1232_shape_group_1_shape_1_horizontal_lines, 39, 9),
        shape(frame_1232_shape_group_1_shape_2_horizontal_lines, 67, 4),
        shape(frame_1232_shape_group_1_shape_3_horizontal_lines, 85, 9),
        shape(frame_1232_shape_group_1_shape_4_horizontal_lines, 96, 4),
        shape(frame_1232_shape_group_1_shape_5_horizontal_lines, 108, 9),
        shape(frame_1232_shape_group_1_shape_6_horizontal_lines, 112, 8),
        shape(frame_1232_shape_group_1_shape_7_horizontal_lines, 114, 9),
        shape(frame_1232_shape_group_1_shape_8_horizontal_lines, 116, 8),
        shape(frame_1232_shape_group_1_shape_9_horizontal_lines, 119, 9),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(17, 52),
        horizontal_line(18, 53),
        horizontal_line(19, 53),
        horizontal_line(21, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 55),
        horizontal_line(25, 56),
        horizontal_line(26, 57),
        horizontal_line(27, 57),
        horizontal_line(29, 58),
        horizontal_line(30, 59),
        horizontal_line(31, 59),
        horizontal_line(32, 60),
        horizontal_line(34, 60),
        horizontal_line(35, 61),
        horizontal_line(36, 62),
        horizontal_line(38, 62),
        horizontal_line(39, 63),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(132, 145),
        horizontal_line(137, 149),
        horizontal_line(141, 154),
        horizontal_line(146, 152),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(43, 48),
        horizontal_line(43, 49),
        horizontal_line(42, 50),
        horizontal_line(42, 50),
        horizontal_line(41, 51),
        horizontal_line(41, 52),
        horizontal_line(40, 52),
        horizontal_line(40, 53),
        horizontal_line(39, 54),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(38, 38),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(56, 70),
        horizontal_line(57, 70),
        horizontal_line(57, 70),
        horizontal_line(58, 70),
        horizontal_line(58, 71),
        horizontal_line(59, 71),
        horizontal_line(59, 71),
        horizontal_line(60, 71),
        horizontal_line(60, 71),
        horizontal_line(61, 72),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(53, 61),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 62),
        horizontal_line(60, 63),
        horizontal_line(60, 63),
        horizontal_line(61, 63),
        horizontal_line(62, 72),
        horizontal_line(63, 63),
        horizontal_line(65, 72),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(45, 58),
        horizontal_line(39, 65),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(34, 87),
        horizontal_line(42, 94),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(74, 124),
        horizontal_line(82, 126),
        horizontal_line(90, 128),
        horizontal_line(98, 131),
        horizontal_line(106, 133),
        horizontal_line(114, 135),
        horizontal_line(122, 138),
    };

    constexpr const horizontal_line frame_1232_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 137),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 178),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 182),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1232_shape_group_2_shapes[] = {
        shape(frame_1232_shape_group_2_shape_0_horizontal_lines, 49, 9),
        shape(frame_1232_shape_group_2_shape_1_horizontal_lines, 71, 4),
        shape(frame_1232_shape_group_2_shape_2_horizontal_lines, 76, 9),
        shape(frame_1232_shape_group_2_shape_3_horizontal_lines, 85, 8),
        shape(frame_1232_shape_group_2_shape_4_horizontal_lines, 86, 9),
        shape(frame_1232_shape_group_2_shape_5_horizontal_lines, 96, 8),
        shape(frame_1232_shape_group_2_shape_6_horizontal_lines, 97, 9),
        shape(frame_1232_shape_group_2_shape_7_horizontal_lines, 109, 8),
        shape(frame_1232_shape_group_2_shape_8_horizontal_lines, 112, 1),
        shape(frame_1232_shape_group_2_shape_9_horizontal_lines, 114, 8),
        shape(frame_1232_shape_group_2_shape_10_horizontal_lines, 116, 1),
        shape(frame_1232_shape_group_2_shape_11_horizontal_lines, 119, 8),
        shape(frame_1232_shape_group_2_shape_12_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(15, 16),
        horizontal_line(15, 17),
        horizontal_line(14, 18),
        horizontal_line(14, 20),
        horizontal_line(13, 21),
        horizontal_line(13, 22),
        horizontal_line(12, 24),
        horizontal_line(12, 25),
        horizontal_line(11, 26),
        horizontal_line(11, 28),
        horizontal_line(10, 29),
        horizontal_line(10, 30),
        horizontal_line(10, 31),
        horizontal_line(9, 33),
        horizontal_line(9, 34),
        horizontal_line(8, 35),
        horizontal_line(8, 37),
        horizontal_line(7, 38),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(40, 64),
        horizontal_line(42, 64),
        horizontal_line(43, 65),
        horizontal_line(44, 66),
        horizontal_line(0, 4),
        horizontal_line(4, 4),
        horizontal_line(45, 46),
        horizontal_line(44, 47),
        horizontal_line(44, 47),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(18, 18),
        horizontal_line(35, 38),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(55, 55),
        horizontal_line(55, 56),
        horizontal_line(54, 56),
        horizontal_line(54, 57),
        horizontal_line(54, 57),
        horizontal_line(53, 58),
        horizontal_line(53, 58),
        horizontal_line(52, 59),
        horizontal_line(52, 59),
        horizontal_line(52, 60),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(54, 60),
        horizontal_line(55, 60),
        horizontal_line(57, 59),
        horizontal_line(57, 59),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(65, 72),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(106, 110),
        horizontal_line(109, 109),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(107, 107),
        horizontal_line(113, 124),
        horizontal_line(117, 123),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(130, 140),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
    };

    constexpr const shape frame_1232_shape_group_3_shapes[] = {
        shape(frame_1232_shape_group_3_shape_0_horizontal_lines, 49, 8),
        shape(frame_1232_shape_group_3_shape_1_horizontal_lines, 67, 9),
        shape(frame_1232_shape_group_3_shape_2_horizontal_lines, 76, 8),
        shape(frame_1232_shape_group_3_shape_3_horizontal_lines, 85, 1),
        shape(frame_1232_shape_group_3_shape_4_horizontal_lines, 86, 8),
        shape(frame_1232_shape_group_3_shape_5_horizontal_lines, 96, 1),
        shape(frame_1232_shape_group_3_shape_6_horizontal_lines, 97, 8),
        shape(frame_1232_shape_group_3_shape_7_horizontal_lines, 102, 1),
        shape(frame_1232_shape_group_3_shape_8_horizontal_lines, 107, 9),
        shape(frame_1232_shape_group_3_shape_9_horizontal_lines, 108, 8),
        shape(frame_1232_shape_group_3_shape_10_horizontal_lines, 109, 1),
        shape(frame_1232_shape_group_3_shape_11_horizontal_lines, 110, 8),
        shape(frame_1232_shape_group_3_shape_12_horizontal_lines, 111, 1),
        shape(frame_1232_shape_group_3_shape_13_horizontal_lines, 126, 8),
        shape(frame_1232_shape_group_3_shape_14_horizontal_lines, 128, 1),
        shape(frame_1232_shape_group_3_shape_15_horizontal_lines, 158, 9),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(190, 239),
        horizontal_line(186, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(7, 39),
        horizontal_line(6, 41),
        horizontal_line(6, 42),
        horizontal_line(5, 43),
        horizontal_line(5, 45),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(45, 45),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(14, 42),
        horizontal_line(17, 42),
        horizontal_line(19, 41),
        horizontal_line(22, 41),
        horizontal_line(24, 40),
        horizontal_line(27, 40),
        horizontal_line(30, 39),
        horizontal_line(32, 39),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(128, 130),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(48, 52),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(50, 56),
        horizontal_line(50, 56),
        horizontal_line(50, 57),
        horizontal_line(51, 57),
        horizontal_line(51, 57),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(52, 58),
        horizontal_line(0, 24),
        horizontal_line(104, 111),
        horizontal_line(117, 127),
        horizontal_line(116, 126),
        horizontal_line(115, 126),
        horizontal_line(108, 108),
        horizontal_line(114, 124),
        horizontal_line(152, 191),
        horizontal_line(151, 194),
        horizontal_line(150, 198),
        horizontal_line(150, 202),
        horizontal_line(149, 205),
        horizontal_line(148, 209),
        horizontal_line(210, 213),
        horizontal_line(209, 216),
        horizontal_line(208, 220),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(208, 231),
        horizontal_line(209, 235),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_1232_shape_group_4_shapes[] = {
        shape(frame_1232_shape_group_4_shape_0_horizontal_lines, 52, 1),
        shape(frame_1232_shape_group_4_shape_1_horizontal_lines, 67, 8),
        shape(frame_1232_shape_group_4_shape_2_horizontal_lines, 72, 9),
        shape(frame_1232_shape_group_4_shape_3_horizontal_lines, 73, 8),
        shape(frame_1232_shape_group_4_shape_4_horizontal_lines, 84, 1),
        shape(frame_1232_shape_group_4_shape_5_horizontal_lines, 107, 8),
        shape(frame_1232_shape_group_4_shape_6_horizontal_lines, 108, 1),
        shape(frame_1232_shape_group_4_shape_7_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_1232_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(175, 237),
        horizontal_line(171, 233),
        horizontal_line(167, 229),
        horizontal_line(163, 225),
    };

    constexpr const horizontal_line frame_1232_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1232_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_1232_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(9, 43),
        horizontal_line(11, 43),
    };

    constexpr const horizontal_line frame_1232_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 222),
        horizontal_line(170, 206),
        horizontal_line(0, 17),
        horizontal_line(174, 174),
        horizontal_line(168, 173),
        horizontal_line(127, 132),
        horizontal_line(126, 134),
        horizontal_line(124, 136),
        horizontal_line(123, 138),
        horizontal_line(122, 173),
        horizontal_line(120, 140),
        horizontal_line(119, 138),
        horizontal_line(48, 48),
        horizontal_line(48, 49),
        horizontal_line(48, 50),
        horizontal_line(123, 131),
        horizontal_line(49, 53),
        horizontal_line(49, 54),
        horizontal_line(49, 56),
        horizontal_line(49, 56),
        horizontal_line(50, 56),
        horizontal_line(142, 172),
        horizontal_line(109, 110),
        horizontal_line(108, 112),
        horizontal_line(107, 114),
        horizontal_line(106, 116),
        horizontal_line(0, 23),
        horizontal_line(51, 58),
        horizontal_line(103, 113),
        horizontal_line(63, 63),
        horizontal_line(118, 127),
        horizontal_line(155, 172),
        horizontal_line(154, 176),
        horizontal_line(154, 180),
        horizontal_line(115, 125),
        horizontal_line(152, 187),
    };

    constexpr const horizontal_line frame_1232_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(124, 150),
        horizontal_line(125, 149),
        horizontal_line(127, 149),
        horizontal_line(129, 148),
        horizontal_line(132, 147),
        horizontal_line(134, 147),
        horizontal_line(136, 146),
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_1232_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(208, 224),
        horizontal_line(207, 227),
    };

    constexpr const shape frame_1232_shape_group_5_shapes[] = {
        shape(frame_1232_shape_group_5_shape_0_horizontal_lines, 67, 1),
        shape(frame_1232_shape_group_5_shape_1_horizontal_lines, 72, 8),
        shape(frame_1232_shape_group_5_shape_2_horizontal_lines, 73, 1),
        shape(frame_1232_shape_group_5_shape_3_horizontal_lines, 74, 8),
        shape(frame_1232_shape_group_5_shape_4_horizontal_lines, 76, 1),
        shape(frame_1232_shape_group_5_shape_5_horizontal_lines, 117, 2),
        shape(frame_1232_shape_group_5_shape_6_horizontal_lines, 126, 1),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(233, 239),
        horizontal_line(229, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(5, 44),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(16, 26),
        horizontal_line(17, 29),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(172, 190),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(22, 34),
        horizontal_line(25, 37),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(163, 173),
        horizontal_line(158, 173),
        horizontal_line(152, 173),
        horizontal_line(147, 173),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(41, 44),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(142, 173),
        horizontal_line(142, 173),
        horizontal_line(118, 136),
        horizontal_line(119, 135),
        horizontal_line(121, 133),
        horizontal_line(142, 172),
        horizontal_line(125, 129),
        horizontal_line(128, 128),
        horizontal_line(142, 172),
        horizontal_line(142, 172),
        horizontal_line(142, 172),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 137),
        horizontal_line(128, 134),
        horizontal_line(128, 131),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(51, 57),
        horizontal_line(104, 114),
        horizontal_line(122, 129),
        horizontal_line(103, 112),
        horizontal_line(156, 169),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(111, 113),
        horizontal_line(110, 111),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(153, 183),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(108, 113),
        horizontal_line(125, 151),
    };

    constexpr const horizontal_line frame_1232_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(143, 144),
    };

    constexpr const shape frame_1232_shape_group_6_shapes[] = {
        shape(frame_1232_shape_group_6_shape_0_horizontal_lines, 68, 1),
        shape(frame_1232_shape_group_6_shape_1_horizontal_lines, 72, 8),
        shape(frame_1232_shape_group_6_shape_2_horizontal_lines, 73, 1),
        shape(frame_1232_shape_group_6_shape_3_horizontal_lines, 81, 3),
        shape(frame_1232_shape_group_6_shape_4_horizontal_lines, 83, 1),
        shape(frame_1232_shape_group_6_shape_5_horizontal_lines, 84, 3),
        shape(frame_1232_shape_group_6_shape_6_horizontal_lines, 86, 1),
        shape(frame_1232_shape_group_6_shape_7_horizontal_lines, 90, 3),
        shape(frame_1232_shape_group_6_shape_8_horizontal_lines, 91, 1),
        shape(frame_1232_shape_group_6_shape_9_horizontal_lines, 102, 14),
        shape(frame_1232_shape_group_6_shape_10_horizontal_lines, 107, 1),
        shape(frame_1232_shape_group_6_shape_11_horizontal_lines, 112, 14),
        shape(frame_1232_shape_group_6_shape_12_horizontal_lines, 115, 1),
        shape(frame_1232_shape_group_6_shape_13_horizontal_lines, 116, 2),
        shape(frame_1232_shape_group_6_shape_14_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(10, 13),
        horizontal_line(11, 16),
        horizontal_line(12, 18),
        horizontal_line(13, 21),
        horizontal_line(15, 23),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(19, 31),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(28, 39),
        horizontal_line(31, 40),
        horizontal_line(35, 41),
        horizontal_line(38, 43),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(44, 45),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(142, 173),
        horizontal_line(142, 172),
        horizontal_line(142, 172),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(132, 141),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(142, 172),
        horizontal_line(142, 172),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(179, 239),
        horizontal_line(185, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(105, 115),
        horizontal_line(125, 129),
        horizontal_line(157, 161),
        horizontal_line(119, 128),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(112, 114),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(110, 114),
        horizontal_line(109, 114),
        horizontal_line(125, 151),
    };

    constexpr const shape frame_1232_shape_group_7_shapes[] = {
        shape(frame_1232_shape_group_7_shape_0_horizontal_lines, 72, 1),
        shape(frame_1232_shape_group_7_shape_1_horizontal_lines, 74, 1),
        shape(frame_1232_shape_group_7_shape_2_horizontal_lines, 76, 3),
        shape(frame_1232_shape_group_7_shape_3_horizontal_lines, 81, 14),
        shape(frame_1232_shape_group_7_shape_4_horizontal_lines, 83, 3),
        shape(frame_1232_shape_group_7_shape_5_horizontal_lines, 84, 14),
        shape(frame_1232_shape_group_7_shape_6_horizontal_lines, 86, 3),
        shape(frame_1232_shape_group_7_shape_7_horizontal_lines, 90, 14),
        shape(frame_1232_shape_group_7_shape_8_horizontal_lines, 91, 3),
        shape(frame_1232_shape_group_7_shape_9_horizontal_lines, 92, 14),
        shape(frame_1232_shape_group_7_shape_10_horizontal_lines, 93, 1),
        shape(frame_1232_shape_group_7_shape_11_horizontal_lines, 96, 14),
        shape(frame_1232_shape_group_7_shape_12_horizontal_lines, 97, 1),
        shape(frame_1232_shape_group_7_shape_13_horizontal_lines, 99, 14),
        shape(frame_1232_shape_group_7_shape_14_horizontal_lines, 107, 1),
        shape(frame_1232_shape_group_7_shape_15_horizontal_lines, 111, 14),
        shape(frame_1232_shape_group_7_shape_16_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(7, 8),
        horizontal_line(8, 10),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(236, 239),
        horizontal_line(141, 141),
        horizontal_line(174, 236),
        horizontal_line(137, 141),
        horizontal_line(136, 141),
        horizontal_line(134, 141),
        horizontal_line(173, 235),
        horizontal_line(130, 141),
        horizontal_line(129, 141),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(23, 49),
        horizontal_line(24, 50),
        horizontal_line(24, 50),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(156, 165),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(25, 31),
        horizontal_line(112, 115),
        horizontal_line(127, 153),
        horizontal_line(126, 152),
    };

    constexpr const shape frame_1232_shape_group_8_shapes[] = {
        shape(frame_1232_shape_group_8_shape_0_horizontal_lines, 72, 1),
        shape(frame_1232_shape_group_8_shape_1_horizontal_lines, 74, 3),
        shape(frame_1232_shape_group_8_shape_2_horizontal_lines, 83, 14),
        shape(frame_1232_shape_group_8_shape_3_horizontal_lines, 104, 2),
        shape(frame_1232_shape_group_8_shape_4_horizontal_lines, 107, 1),
        shape(frame_1232_shape_group_8_shape_5_horizontal_lines, 109, 14),
        shape(frame_1232_shape_group_8_shape_6_horizontal_lines, 110, 1),
        shape(frame_1232_shape_group_8_shape_7_horizontal_lines, 111, 14),
        shape(frame_1232_shape_group_8_shape_8_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1232_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(19, 21),
        horizontal_line(19, 24),
    };

    constexpr const horizontal_line frame_1232_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(20, 40),
    };

    constexpr const horizontal_line frame_1232_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(236, 239),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(235, 239),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(23, 49),
        horizontal_line(23, 49),
        horizontal_line(58, 59),
        horizontal_line(58, 60),
        horizontal_line(58, 61),
    };

    constexpr const horizontal_line frame_1232_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(115, 115),
        horizontal_line(209, 239),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_1232_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(25, 38),
        horizontal_line(114, 116),
        horizontal_line(127, 153),
    };

    constexpr const shape frame_1232_shape_group_9_shapes[] = {
        shape(frame_1232_shape_group_9_shape_0_horizontal_lines, 84, 2),
        shape(frame_1232_shape_group_9_shape_1_horizontal_lines, 86, 14),
        shape(frame_1232_shape_group_9_shape_2_horizontal_lines, 90, 2),
        shape(frame_1232_shape_group_9_shape_3_horizontal_lines, 91, 14),
        shape(frame_1232_shape_group_9_shape_4_horizontal_lines, 102, 2),
        shape(frame_1232_shape_group_9_shape_5_horizontal_lines, 107, 14),
        shape(frame_1232_shape_group_9_shape_6_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(19, 27),
        horizontal_line(19, 30),
        horizontal_line(20, 34),
        horizontal_line(20, 37),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(21, 47),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(22, 47),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(22, 48),
        horizontal_line(22, 48),
        horizontal_line(23, 49),
        horizontal_line(57, 58),
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(24, 50),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(25, 51),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1232_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(128, 154),
    };

    constexpr const shape frame_1232_shape_group_10_shapes[] = {
        shape(frame_1232_shape_group_10_shape_0_horizontal_lines, 86, 2),
        shape(frame_1232_shape_group_10_shape_1_horizontal_lines, 91, 14),
        shape(frame_1232_shape_group_10_shape_2_horizontal_lines, 92, 2),
        shape(frame_1232_shape_group_10_shape_3_horizontal_lines, 93, 14),
        shape(frame_1232_shape_group_10_shape_4_horizontal_lines, 96, 2),
        shape(frame_1232_shape_group_10_shape_5_horizontal_lines, 97, 14),
        shape(frame_1232_shape_group_10_shape_6_horizontal_lines, 99, 2),
        shape(frame_1232_shape_group_10_shape_7_horizontal_lines, 106, 2),
        shape(frame_1232_shape_group_10_shape_8_horizontal_lines, 108, 14),
        shape(frame_1232_shape_group_10_shape_9_horizontal_lines, 109, 2),
        shape(frame_1232_shape_group_10_shape_10_horizontal_lines, 110, 14),
        shape(frame_1232_shape_group_10_shape_11_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1232_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(20, 43),
    };

    constexpr const horizontal_line frame_1232_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(21, 47),
        horizontal_line(21, 47),
        horizontal_line(21, 47),
    };

    constexpr const horizontal_line frame_1232_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(22, 48),
        horizontal_line(22, 48),
    };

    constexpr const horizontal_line frame_1232_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1232_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(58, 62),
        horizontal_line(24, 50),
        horizontal_line(59, 62),
        horizontal_line(25, 44),
        horizontal_line(128, 155),
    };

    constexpr const shape frame_1232_shape_group_11_shapes[] = {
        shape(frame_1232_shape_group_11_shape_0_horizontal_lines, 91, 2),
        shape(frame_1232_shape_group_11_shape_1_horizontal_lines, 93, 2),
        shape(frame_1232_shape_group_11_shape_2_horizontal_lines, 97, 2),
        shape(frame_1232_shape_group_11_shape_3_horizontal_lines, 101, 2),
        shape(frame_1232_shape_group_11_shape_4_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1232_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(131, 145),
        horizontal_line(59, 62),
        horizontal_line(130, 156),
        horizontal_line(59, 62),
    };

    constexpr const shape frame_1232_shape_group_12_shapes[] = {
        shape(frame_1232_shape_group_12_shape_0_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1232_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(130, 157),
    };

    constexpr const horizontal_line frame_1232_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(129, 155),
    };

    constexpr const shape frame_1232_shape_group_13_shapes[] = {
        shape(frame_1232_shape_group_13_shape_0_horizontal_lines, 108, 2),
        shape(frame_1232_shape_group_13_shape_1_horizontal_lines, 110, 2),
    };

    constexpr const shape_group frame_1232_shape_groups[] = {
        shape_group(frame_1232_shape_group_0_shapes),
        shape_group(frame_1232_shape_group_1_shapes),
        shape_group(frame_1232_shape_group_2_shapes),
        shape_group(frame_1232_shape_group_3_shapes),
        shape_group(frame_1232_shape_group_4_shapes),
        shape_group(frame_1232_shape_group_5_shapes),
        shape_group(frame_1232_shape_group_6_shapes),
        shape_group(frame_1232_shape_group_7_shapes),
        shape_group(frame_1232_shape_group_8_shapes),
        shape_group(frame_1232_shape_group_9_shapes),
        shape_group(frame_1232_shape_group_10_shapes),
        shape_group(frame_1232_shape_group_11_shapes),
        shape_group(frame_1232_shape_group_12_shapes),
        shape_group(frame_1232_shape_group_13_shapes),
    };

    constexpr const frame frame_1232_impl(frame_1232_colors, frame_1232_shape_groups);
} 

const frame& frame_1232()
{
    return frame_1232_impl;
}

namespace
{
    constexpr const bn::color frame_1233_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1233_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(2, 44),
        horizontal_line(4, 45),
        horizontal_line(6, 46),
        horizontal_line(47, 47),
        horizontal_line(48, 49),
        horizontal_line(49, 53),
        horizontal_line(50, 57),
        horizontal_line(50, 61),
        horizontal_line(51, 65),
        horizontal_line(52, 69),
        horizontal_line(52, 73),
        horizontal_line(53, 77),
        horizontal_line(54, 81),
        horizontal_line(54, 85),
        horizontal_line(55, 89),
        horizontal_line(56, 93),
        horizontal_line(57, 97),
        horizontal_line(57, 101),
        horizontal_line(58, 104),
        horizontal_line(59, 108),
        horizontal_line(59, 112),
        horizontal_line(60, 116),
        horizontal_line(61, 120),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(44, 65),
        horizontal_line(44, 65),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(55, 70),
        horizontal_line(71, 74),
        horizontal_line(71, 79),
        horizontal_line(71, 85),
        horizontal_line(71, 90),
        horizontal_line(71, 96),
        horizontal_line(72, 101),
        horizontal_line(72, 107),
        horizontal_line(72, 112),
        horizontal_line(72, 118),
        horizontal_line(72, 118),
        horizontal_line(72, 117),
        horizontal_line(73, 116),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 73),
        horizontal_line(74, 78),
        horizontal_line(74, 84),
        horizontal_line(74, 90),
        horizontal_line(74, 96),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 101),
        horizontal_line(74, 100),
        horizontal_line(81, 100),
        horizontal_line(89, 99),
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_1233_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(16, 26),
        horizontal_line(13, 34),
        horizontal_line(10, 42),
        horizontal_line(7, 51),
        horizontal_line(4, 59),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1233_shape_group_0_shapes[] = {
        shape(frame_1233_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1233_shape_group_0_shape_1_horizontal_lines, 115, 9),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(21, 53),
        horizontal_line(22, 54),
        horizontal_line(24, 55),
        horizontal_line(25, 56),
        horizontal_line(26, 56),
        horizontal_line(28, 57),
        horizontal_line(29, 58),
        horizontal_line(30, 58),
        horizontal_line(32, 59),
        horizontal_line(33, 60),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(124, 128),
        horizontal_line(125, 132),
        horizontal_line(125, 136),
        horizontal_line(126, 140),
        horizontal_line(127, 144),
        horizontal_line(128, 148),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(96, 151),
        horizontal_line(100, 148),
        horizontal_line(105, 146),
        horizontal_line(109, 144),
        horizontal_line(114, 141),
        horizontal_line(118, 139),
        horizontal_line(123, 136),
        horizontal_line(127, 134),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(38, 53),
        horizontal_line(39, 53),
        horizontal_line(40, 52),
        horizontal_line(41, 52),
        horizontal_line(42, 52),
        horizontal_line(43, 51),
        horizontal_line(44, 51),
        horizontal_line(46, 51),
        horizontal_line(47, 50),
        horizontal_line(48, 50),
        horizontal_line(50, 50),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(78, 115),
        horizontal_line(84, 114),
        horizontal_line(91, 113),
        horizontal_line(97, 112),
        horizontal_line(103, 111),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(141, 179),
        horizontal_line(138, 176),
        horizontal_line(136, 173),
        horizontal_line(146, 170),
        horizontal_line(156, 167),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(66, 73),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(29, 80),
        horizontal_line(24, 86),
        horizontal_line(19, 81),
        horizontal_line(27, 89),
        horizontal_line(35, 97),
        horizontal_line(43, 105),
        horizontal_line(52, 114),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_1233_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(63, 67),
        horizontal_line(62, 76),
        horizontal_line(62, 84),
        horizontal_line(62, 92),
        horizontal_line(62, 101),
        horizontal_line(62, 109),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1233_shape_group_1_shapes[] = {
        shape(frame_1233_shape_group_1_shape_0_horizontal_lines, 38, 9),
        shape(frame_1233_shape_group_1_shape_1_horizontal_lines, 61, 4),
        shape(frame_1233_shape_group_1_shape_2_horizontal_lines, 83, 9),
        shape(frame_1233_shape_group_1_shape_3_horizontal_lines, 95, 4),
        shape(frame_1233_shape_group_1_shape_4_horizontal_lines, 101, 9),
        shape(frame_1233_shape_group_1_shape_5_horizontal_lines, 102, 4),
        shape(frame_1233_shape_group_1_shape_6_horizontal_lines, 108, 9),
        shape(frame_1233_shape_group_1_shape_7_horizontal_lines, 112, 8),
        shape(frame_1233_shape_group_1_shape_8_horizontal_lines, 120, 9),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(8, 46),
        horizontal_line(9, 47),
        horizontal_line(10, 48),
        horizontal_line(12, 49),
        horizontal_line(13, 49),
        horizontal_line(14, 50),
        horizontal_line(16, 51),
        horizontal_line(17, 51),
        horizontal_line(18, 52),
        horizontal_line(20, 53),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(34, 60),
        horizontal_line(36, 61),
        horizontal_line(37, 62),
        horizontal_line(38, 62),
        horizontal_line(40, 63),
        horizontal_line(41, 64),
        horizontal_line(42, 65),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(131, 152),
        horizontal_line(135, 156),
        horizontal_line(140, 160),
        horizontal_line(144, 158),
        horizontal_line(149, 156),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(41, 47),
        horizontal_line(40, 48),
        horizontal_line(40, 49),
        horizontal_line(39, 50),
        horizontal_line(39, 50),
        horizontal_line(38, 51),
        horizontal_line(38, 52),
        horizontal_line(37, 53),
        horizontal_line(37, 54),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 70),
        horizontal_line(57, 70),
        horizontal_line(58, 71),
        horizontal_line(59, 71),
        horizontal_line(59, 71),
        horizontal_line(60, 71),
        horizontal_line(60, 71),
        horizontal_line(61, 71),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(51, 61),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 61),
        horizontal_line(60, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(60, 63),
        horizontal_line(60, 63),
        horizontal_line(61, 73),
        horizontal_line(62, 63),
        horizontal_line(63, 63),
        horizontal_line(65, 73),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(44, 56),
        horizontal_line(39, 65),
        horizontal_line(34, 72),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(86, 88),
        horizontal_line(81, 95),
        horizontal_line(89, 103),
        horizontal_line(97, 111),
        horizontal_line(105, 119),
        horizontal_line(114, 127),
        horizontal_line(122, 129),
        horizontal_line(68, 130),
        horizontal_line(77, 133),
        horizontal_line(85, 135),
        horizontal_line(93, 137),
        horizontal_line(102, 139),
        horizontal_line(110, 141),
        horizontal_line(118, 143),
    };

    constexpr const horizontal_line frame_1233_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 134),
        horizontal_line(124, 142),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1233_shape_group_2_shapes[] = {
        shape(frame_1233_shape_group_2_shape_0_horizontal_lines, 41, 9),
        shape(frame_1233_shape_group_2_shape_1_horizontal_lines, 51, 8),
        shape(frame_1233_shape_group_2_shape_2_horizontal_lines, 61, 9),
        shape(frame_1233_shape_group_2_shape_3_horizontal_lines, 68, 4),
        shape(frame_1233_shape_group_2_shape_4_horizontal_lines, 74, 9),
        shape(frame_1233_shape_group_2_shape_5_horizontal_lines, 94, 8),
        shape(frame_1233_shape_group_2_shape_6_horizontal_lines, 95, 9),
        shape(frame_1233_shape_group_2_shape_7_horizontal_lines, 101, 1),
        shape(frame_1233_shape_group_2_shape_8_horizontal_lines, 102, 9),
        shape(frame_1233_shape_group_2_shape_9_horizontal_lines, 108, 8),
        shape(frame_1233_shape_group_2_shape_10_horizontal_lines, 112, 1),
        shape(frame_1233_shape_group_2_shape_11_horizontal_lines, 113, 8),
        shape(frame_1233_shape_group_2_shape_12_horizontal_lines, 127, 9),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(5, 7),
        horizontal_line(5, 8),
        horizontal_line(4, 9),
        horizontal_line(4, 11),
        horizontal_line(3, 12),
        horizontal_line(3, 13),
        horizontal_line(2, 15),
        horizontal_line(2, 16),
        horizontal_line(1, 17),
        horizontal_line(1, 19),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(204, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(43, 43),
        horizontal_line(43, 44),
        horizontal_line(42, 45),
        horizontal_line(42, 46),
        horizontal_line(41, 46),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(9, 9),
        horizontal_line(33, 36),
        horizontal_line(36, 36),
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(53, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(52, 58),
        horizontal_line(51, 59),
        horizontal_line(51, 59),
        horizontal_line(51, 60),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(52, 60),
        horizontal_line(54, 60),
        horizontal_line(55, 59),
        horizontal_line(57, 59),
        horizontal_line(57, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(48, 56),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(65, 73),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(118, 129),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(156, 213),
        horizontal_line(156, 216),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(127, 145),
        horizontal_line(135, 147),
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
    };

    constexpr const shape frame_1233_shape_group_3_shapes[] = {
        shape(frame_1233_shape_group_3_shape_0_horizontal_lines, 41, 8),
        shape(frame_1233_shape_group_3_shape_1_horizontal_lines, 51, 1),
        shape(frame_1233_shape_group_3_shape_2_horizontal_lines, 61, 8),
        shape(frame_1233_shape_group_3_shape_3_horizontal_lines, 69, 9),
        shape(frame_1233_shape_group_3_shape_4_horizontal_lines, 74, 8),
        shape(frame_1233_shape_group_3_shape_5_horizontal_lines, 94, 1),
        shape(frame_1233_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_1233_shape_group_3_shape_7_horizontal_lines, 101, 1),
        shape(frame_1233_shape_group_3_shape_8_horizontal_lines, 105, 9),
        shape(frame_1233_shape_group_3_shape_9_horizontal_lines, 107, 8),
        shape(frame_1233_shape_group_3_shape_10_horizontal_lines, 108, 1),
        shape(frame_1233_shape_group_3_shape_11_horizontal_lines, 109, 8),
        shape(frame_1233_shape_group_3_shape_12_horizontal_lines, 110, 1),
        shape(frame_1233_shape_group_3_shape_13_horizontal_lines, 120, 8),
        shape(frame_1233_shape_group_3_shape_14_horizontal_lines, 121, 1),
        shape(frame_1233_shape_group_3_shape_15_horizontal_lines, 127, 8),
        shape(frame_1233_shape_group_3_shape_16_horizontal_lines, 130, 1),
        shape(frame_1233_shape_group_3_shape_17_horizontal_lines, 156, 9),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(193, 239),
        horizontal_line(189, 239),
        horizontal_line(185, 239),
        horizontal_line(181, 239),
        horizontal_line(177, 239),
        horizontal_line(173, 235),
        horizontal_line(169, 231),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(3, 41),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(12, 40),
        horizontal_line(15, 39),
        horizontal_line(18, 39),
        horizontal_line(21, 38),
        horizontal_line(24, 38),
        horizontal_line(27, 37),
        horizontal_line(30, 37),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(46, 50),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(110, 111),
        horizontal_line(48, 56),
        horizontal_line(48, 56),
        horizontal_line(49, 57),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(50, 57),
        horizontal_line(0, 16),
        horizontal_line(107, 111),
        horizontal_line(110, 110),
        horizontal_line(162, 179),
        horizontal_line(117, 129),
        horizontal_line(110, 110),
        horizontal_line(108, 109),
        horizontal_line(115, 127),
        horizontal_line(120, 126),
        horizontal_line(158, 202),
        horizontal_line(158, 205),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(134, 155),
        horizontal_line(136, 155),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(217, 220),
        horizontal_line(216, 224),
        horizontal_line(216, 227),
        horizontal_line(215, 231),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
    };

    constexpr const shape frame_1233_shape_group_4_shapes[] = {
        shape(frame_1233_shape_group_4_shape_0_horizontal_lines, 61, 1),
        shape(frame_1233_shape_group_4_shape_1_horizontal_lines, 69, 8),
        shape(frame_1233_shape_group_4_shape_2_horizontal_lines, 81, 1),
        shape(frame_1233_shape_group_4_shape_3_horizontal_lines, 105, 8),
        shape(frame_1233_shape_group_4_shape_4_horizontal_lines, 107, 1),
        shape(frame_1233_shape_group_4_shape_5_horizontal_lines, 121, 2),
        shape(frame_1233_shape_group_4_shape_6_horizontal_lines, 123, 1),
        shape(frame_1233_shape_group_4_shape_7_horizontal_lines, 156, 1),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(165, 227),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(6, 41),
        horizontal_line(9, 40),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 225),
        horizontal_line(0, 8),
        horizontal_line(181, 197),
        horizontal_line(183, 183),
        horizontal_line(131, 133),
        horizontal_line(130, 135),
        horizontal_line(128, 137),
        horizontal_line(127, 139),
        horizontal_line(125, 141),
        horizontal_line(124, 143),
        horizontal_line(122, 182),
        horizontal_line(121, 143),
        horizontal_line(46, 46),
        horizontal_line(46, 47),
        horizontal_line(46, 49),
        horizontal_line(124, 135),
        horizontal_line(47, 51),
        horizontal_line(47, 53),
        horizontal_line(47, 54),
        horizontal_line(47, 56),
        horizontal_line(48, 56),
        horizontal_line(48, 56),
        horizontal_line(145, 180),
        horizontal_line(109, 113),
        horizontal_line(108, 115),
        horizontal_line(107, 117),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(49, 57),
        horizontal_line(104, 113),
        horizontal_line(57, 57),
        horizontal_line(119, 130),
        horizontal_line(118, 130),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(161, 183),
        horizontal_line(116, 128),
        horizontal_line(116, 127),
        horizontal_line(159, 194),
        horizontal_line(159, 198),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(128, 157),
        horizontal_line(130, 157),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(157, 209),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(138, 154),
        horizontal_line(140, 153),
        horizontal_line(142, 153),
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_1233_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(214, 235),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_1233_shape_group_5_shapes[] = {
        shape(frame_1233_shape_group_5_shape_0_horizontal_lines, 66, 1),
        shape(frame_1233_shape_group_5_shape_1_horizontal_lines, 72, 8),
        shape(frame_1233_shape_group_5_shape_2_horizontal_lines, 74, 1),
        shape(frame_1233_shape_group_5_shape_3_horizontal_lines, 112, 14),
        shape(frame_1233_shape_group_5_shape_4_horizontal_lines, 113, 1),
        shape(frame_1233_shape_group_5_shape_5_horizontal_lines, 118, 2),
        shape(frame_1233_shape_group_5_shape_6_horizontal_lines, 120, 1),
        shape(frame_1233_shape_group_5_shape_7_horizontal_lines, 123, 2),
        shape(frame_1233_shape_group_5_shape_8_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(8, 26),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(179, 211),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(13, 32),
        horizontal_line(17, 35),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(177, 182),
        horizontal_line(172, 182),
        horizontal_line(167, 182),
        horizontal_line(161, 182),
        horizontal_line(156, 182),
        horizontal_line(151, 182),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(42, 43),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(145, 181),
        horizontal_line(120, 141),
        horizontal_line(120, 139),
        horizontal_line(122, 137),
        horizontal_line(145, 181),
        horizontal_line(125, 133),
        horizontal_line(127, 131),
        horizontal_line(129, 129),
        horizontal_line(145, 180),
        horizontal_line(145, 180),
        horizontal_line(145, 180),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(129, 144),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(146, 180),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(129, 139),
        horizontal_line(129, 135),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(49, 57),
        horizontal_line(49, 57),
        horizontal_line(104, 114),
        horizontal_line(121, 132),
        horizontal_line(63, 63),
        horizontal_line(163, 172),
        horizontal_line(163, 176),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(161, 187),
        horizontal_line(160, 190),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(112, 114),
        horizontal_line(127, 158),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(132, 156),
    };

    constexpr const horizontal_line frame_1233_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(146, 151),
        horizontal_line(148, 151),
        horizontal_line(150, 150),
    };

    constexpr const shape frame_1233_shape_group_6_shapes[] = {
        shape(frame_1233_shape_group_6_shape_0_horizontal_lines, 69, 1),
        shape(frame_1233_shape_group_6_shape_1_horizontal_lines, 79, 3),
        shape(frame_1233_shape_group_6_shape_2_horizontal_lines, 80, 1),
        shape(frame_1233_shape_group_6_shape_3_horizontal_lines, 81, 3),
        shape(frame_1233_shape_group_6_shape_4_horizontal_lines, 83, 1),
        shape(frame_1233_shape_group_6_shape_5_horizontal_lines, 89, 3),
        shape(frame_1233_shape_group_6_shape_6_horizontal_lines, 90, 1),
        shape(frame_1233_shape_group_6_shape_7_horizontal_lines, 101, 14),
        shape(frame_1233_shape_group_6_shape_8_horizontal_lines, 102, 1),
        shape(frame_1233_shape_group_6_shape_9_horizontal_lines, 103, 14),
        shape(frame_1233_shape_group_6_shape_10_horizontal_lines, 105, 1),
        shape(frame_1233_shape_group_6_shape_11_horizontal_lines, 112, 14),
        shape(frame_1233_shape_group_6_shape_12_horizontal_lines, 114, 1),
        shape(frame_1233_shape_group_6_shape_13_horizontal_lines, 116, 2),
        shape(frame_1233_shape_group_6_shape_14_horizontal_lines, 120, 2),
        shape(frame_1233_shape_group_6_shape_15_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(3, 11),
        horizontal_line(4, 14),
        horizontal_line(5, 17),
        horizontal_line(6, 20),
        horizontal_line(7, 23),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(10, 29),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(20, 37),
        horizontal_line(24, 38),
        horizontal_line(28, 39),
        horizontal_line(31, 40),
        horizontal_line(35, 41),
        horizontal_line(38, 42),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(145, 181),
        horizontal_line(145, 181),
        horizontal_line(145, 181),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(136, 144),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(145, 181),
        horizontal_line(145, 181),
        horizontal_line(145, 180),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(181, 239),
        horizontal_line(129, 144),
        horizontal_line(181, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(106, 116),
        horizontal_line(105, 115),
        horizontal_line(125, 132),
        horizontal_line(165, 165),
        horizontal_line(105, 112),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(112, 116),
        horizontal_line(111, 114),
    };

    constexpr const horizontal_line frame_1233_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(18, 28),
        horizontal_line(18, 23),
        horizontal_line(111, 115),
        horizontal_line(110, 115),
        horizontal_line(128, 158),
    };

    constexpr const shape frame_1233_shape_group_7_shapes[] = {
        shape(frame_1233_shape_group_7_shape_0_horizontal_lines, 71, 3),
        shape(frame_1233_shape_group_7_shape_1_horizontal_lines, 72, 1),
        shape(frame_1233_shape_group_7_shape_2_horizontal_lines, 74, 3),
        shape(frame_1233_shape_group_7_shape_3_horizontal_lines, 79, 14),
        shape(frame_1233_shape_group_7_shape_4_horizontal_lines, 80, 3),
        shape(frame_1233_shape_group_7_shape_5_horizontal_lines, 81, 14),
        shape(frame_1233_shape_group_7_shape_6_horizontal_lines, 83, 3),
        shape(frame_1233_shape_group_7_shape_7_horizontal_lines, 89, 14),
        shape(frame_1233_shape_group_7_shape_8_horizontal_lines, 91, 1),
        shape(frame_1233_shape_group_7_shape_9_horizontal_lines, 94, 14),
        shape(frame_1233_shape_group_7_shape_10_horizontal_lines, 95, 1),
        shape(frame_1233_shape_group_7_shape_11_horizontal_lines, 98, 14),
        shape(frame_1233_shape_group_7_shape_12_horizontal_lines, 105, 1),
        shape(frame_1233_shape_group_7_shape_13_horizontal_lines, 110, 14),
        shape(frame_1233_shape_group_7_shape_14_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(1, 5),
        horizontal_line(2, 8),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(10, 12),
        horizontal_line(10, 16),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(12, 41),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(142, 144),
        horizontal_line(140, 144),
        horizontal_line(138, 144),
        horizontal_line(182, 239),
        horizontal_line(134, 144),
        horizontal_line(132, 144),
        horizontal_line(130, 144),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(15, 47),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(16, 47),
        horizontal_line(16, 48),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(130, 133),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(113, 117),
        horizontal_line(112, 116),
        horizontal_line(129, 160),
        horizontal_line(128, 159),
    };

    constexpr const shape frame_1233_shape_group_8_shapes[] = {
        shape(frame_1233_shape_group_8_shape_0_horizontal_lines, 72, 3),
        shape(frame_1233_shape_group_8_shape_1_horizontal_lines, 80, 14),
        shape(frame_1233_shape_group_8_shape_2_horizontal_lines, 81, 2),
        shape(frame_1233_shape_group_8_shape_3_horizontal_lines, 83, 14),
        shape(frame_1233_shape_group_8_shape_4_horizontal_lines, 89, 2),
        shape(frame_1233_shape_group_8_shape_5_horizontal_lines, 90, 14),
        shape(frame_1233_shape_group_8_shape_6_horizontal_lines, 101, 2),
        shape(frame_1233_shape_group_8_shape_7_horizontal_lines, 102, 14),
        shape(frame_1233_shape_group_8_shape_8_horizontal_lines, 103, 2),
        shape(frame_1233_shape_group_8_shape_9_horizontal_lines, 105, 14),
        shape(frame_1233_shape_group_8_shape_10_horizontal_lines, 106, 1),
        shape(frame_1233_shape_group_8_shape_11_horizontal_lines, 107, 14),
        shape(frame_1233_shape_group_8_shape_12_horizontal_lines, 109, 1),
        shape(frame_1233_shape_group_8_shape_13_horizontal_lines, 110, 14),
        shape(frame_1233_shape_group_8_shape_14_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(10, 19),
        horizontal_line(11, 23),
        horizontal_line(11, 27),
        horizontal_line(11, 30),
        horizontal_line(11, 34),
        horizontal_line(12, 37),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(12, 45),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(13, 45),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(14, 46),
        horizontal_line(15, 47),
        horizontal_line(15, 47),
        horizontal_line(57, 58),
        horizontal_line(15, 47),
        horizontal_line(57, 59),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(116, 116),
        horizontal_line(204, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(164, 168),
    };

    constexpr const horizontal_line frame_1233_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(17, 38),
        horizontal_line(18, 33),
        horizontal_line(130, 161),
        horizontal_line(130, 160),
    };

    constexpr const shape frame_1233_shape_group_9_shapes[] = {
        shape(frame_1233_shape_group_9_shape_0_horizontal_lines, 83, 2),
        shape(frame_1233_shape_group_9_shape_1_horizontal_lines, 90, 2),
        shape(frame_1233_shape_group_9_shape_2_horizontal_lines, 91, 14),
        shape(frame_1233_shape_group_9_shape_3_horizontal_lines, 94, 2),
        shape(frame_1233_shape_group_9_shape_4_horizontal_lines, 95, 14),
        shape(frame_1233_shape_group_9_shape_5_horizontal_lines, 98, 2),
        shape(frame_1233_shape_group_9_shape_6_horizontal_lines, 105, 14),
        shape(frame_1233_shape_group_9_shape_7_horizontal_lines, 109, 1),
        shape(frame_1233_shape_group_9_shape_8_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(12, 45),
        horizontal_line(13, 45),
        horizontal_line(13, 45),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(13, 46),
        horizontal_line(14, 46),
        horizontal_line(14, 46),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(16, 48),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(17, 48),
        horizontal_line(17, 49),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_1233_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(117, 118),
        horizontal_line(115, 117),
    };

    constexpr const shape frame_1233_shape_group_10_shapes[] = {
        shape(frame_1233_shape_group_10_shape_0_horizontal_lines, 91, 2),
        shape(frame_1233_shape_group_10_shape_1_horizontal_lines, 95, 2),
        shape(frame_1233_shape_group_10_shape_2_horizontal_lines, 100, 2),
        shape(frame_1233_shape_group_10_shape_3_horizontal_lines, 102, 2),
        shape(frame_1233_shape_group_10_shape_4_horizontal_lines, 105, 2),
        shape(frame_1233_shape_group_10_shape_5_horizontal_lines, 106, 14),
        shape(frame_1233_shape_group_10_shape_6_horizontal_lines, 107, 2),
        shape(frame_1233_shape_group_10_shape_7_horizontal_lines, 109, 14),
        shape(frame_1233_shape_group_10_shape_8_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(16, 48),
        horizontal_line(58, 62),
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_1233_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1233_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(131, 162),
        horizontal_line(131, 162),
    };

    constexpr const shape frame_1233_shape_group_11_shapes[] = {
        shape(frame_1233_shape_group_11_shape_0_horizontal_lines, 105, 2),
        shape(frame_1233_shape_group_11_shape_1_horizontal_lines, 109, 14),
        shape(frame_1233_shape_group_11_shape_2_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(58, 62),
        horizontal_line(133, 155),
        horizontal_line(133, 164),
        horizontal_line(17, 43),
    };

    constexpr const shape frame_1233_shape_group_12_shapes[] = {
        shape(frame_1233_shape_group_12_shape_0_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(134, 145),
    };

    constexpr const horizontal_line frame_1233_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(58, 62),
    };

    constexpr const shape frame_1233_shape_group_13_shapes[] = {
        shape(frame_1233_shape_group_13_shape_0_horizontal_lines, 106, 2),
        shape(frame_1233_shape_group_13_shape_1_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(119, 119),
    };

    constexpr const shape frame_1233_shape_group_14_shapes[] = {
        shape(frame_1233_shape_group_14_shape_0_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1233_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(132, 163),
    };

    constexpr const shape frame_1233_shape_group_15_shapes[] = {
        shape(frame_1233_shape_group_15_shape_0_horizontal_lines, 109, 2),
    };

    constexpr const shape_group frame_1233_shape_groups[] = {
        shape_group(frame_1233_shape_group_0_shapes),
        shape_group(frame_1233_shape_group_1_shapes),
        shape_group(frame_1233_shape_group_2_shapes),
        shape_group(frame_1233_shape_group_3_shapes),
        shape_group(frame_1233_shape_group_4_shapes),
        shape_group(frame_1233_shape_group_5_shapes),
        shape_group(frame_1233_shape_group_6_shapes),
        shape_group(frame_1233_shape_group_7_shapes),
        shape_group(frame_1233_shape_group_8_shapes),
        shape_group(frame_1233_shape_group_9_shapes),
        shape_group(frame_1233_shape_group_10_shapes),
        shape_group(frame_1233_shape_group_11_shapes),
        shape_group(frame_1233_shape_group_12_shapes),
        shape_group(frame_1233_shape_group_13_shapes),
        shape_group(frame_1233_shape_group_14_shapes),
        shape_group(frame_1233_shape_group_15_shapes),
    };

    constexpr const frame frame_1233_impl(frame_1233_colors, frame_1233_shape_groups);
} 

const frame& frame_1233()
{
    return frame_1233_impl;
}

namespace
{
    constexpr const bn::color frame_1234_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1234_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(1, 39),
        horizontal_line(22, 40),
    };

    constexpr const horizontal_line frame_1234_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1234_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(43, 44),
        horizontal_line(44, 48),
        horizontal_line(45, 52),
        horizontal_line(45, 56),
        horizontal_line(46, 59),
        horizontal_line(47, 63),
        horizontal_line(47, 67),
        horizontal_line(48, 71),
        horizontal_line(49, 75),
        horizontal_line(49, 78),
        horizontal_line(50, 82),
        horizontal_line(51, 86),
        horizontal_line(51, 90),
        horizontal_line(52, 94),
        horizontal_line(53, 97),
        horizontal_line(54, 101),
        horizontal_line(54, 105),
        horizontal_line(55, 109),
        horizontal_line(56, 113),
        horizontal_line(56, 116),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(41, 64),
        horizontal_line(42, 64),
        horizontal_line(43, 65),
        horizontal_line(44, 65),
        horizontal_line(45, 65),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 66),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 68),
        horizontal_line(53, 69),
        horizontal_line(70, 72),
        horizontal_line(70, 77),
        horizontal_line(70, 82),
        horizontal_line(71, 86),
        horizontal_line(71, 91),
        horizontal_line(71, 96),
        horizontal_line(71, 101),
        horizontal_line(72, 105),
        horizontal_line(72, 110),
        horizontal_line(72, 115),
        horizontal_line(72, 120),
        horizontal_line(73, 119),
        horizontal_line(61, 72),
        horizontal_line(61, 72),
        horizontal_line(61, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(65, 73),
        horizontal_line(74, 79),
        horizontal_line(74, 87),
        horizontal_line(74, 95),
        horizontal_line(74, 103),
        horizontal_line(74, 103),
        horizontal_line(74, 102),
        horizontal_line(74, 101),
        horizontal_line(74, 101),
        horizontal_line(81, 100),
        horizontal_line(88, 99),
        horizontal_line(95, 98),
    };

    constexpr const horizontal_line frame_1234_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(9, 71),
    };

    constexpr const horizontal_line frame_1234_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(7, 15),
        horizontal_line(5, 23),
        horizontal_line(3, 31),
        horizontal_line(1, 39),
        horizontal_line(0, 47),
        horizontal_line(0, 55),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1234_shape_group_0_shapes[] = {
        shape(frame_1234_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1234_shape_group_0_shape_1_horizontal_lines, 32, 9),
        shape(frame_1234_shape_group_0_shape_2_horizontal_lines, 33, 4),
        shape(frame_1234_shape_group_0_shape_3_horizontal_lines, 114, 8),
        shape(frame_1234_shape_group_0_shape_4_horizontal_lines, 115, 9),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(3, 44),
        horizontal_line(5, 45),
        horizontal_line(6, 46),
        horizontal_line(7, 46),
        horizontal_line(9, 47),
        horizontal_line(10, 48),
        horizontal_line(11, 48),
        horizontal_line(13, 49),
        horizontal_line(14, 50),
        horizontal_line(15, 50),
        horizontal_line(17, 51),
        horizontal_line(18, 52),
        horizontal_line(19, 53),
        horizontal_line(21, 53),
        horizontal_line(22, 54),
        horizontal_line(23, 55),
        horizontal_line(25, 55),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(119, 120),
        horizontal_line(120, 124),
        horizontal_line(120, 128),
        horizontal_line(121, 132),
        horizontal_line(122, 135),
        horizontal_line(122, 139),
        horizontal_line(123, 143),
        horizontal_line(124, 147),
        horizontal_line(124, 151),
        horizontal_line(125, 154),
        horizontal_line(126, 158),
        horizontal_line(127, 162),
        horizontal_line(68, 130),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(83, 145),
        horizontal_line(88, 150),
        horizontal_line(92, 154),
        horizontal_line(97, 157),
        horizontal_line(102, 154),
        horizontal_line(107, 152),
        horizontal_line(112, 149),
        horizontal_line(116, 146),
        horizontal_line(121, 144),
        horizontal_line(126, 141),
        horizontal_line(131, 138),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(34, 69),
        horizontal_line(35, 52),
        horizontal_line(36, 52),
        horizontal_line(37, 51),
        horizontal_line(39, 51),
        horizontal_line(40, 51),
        horizontal_line(41, 50),
        horizontal_line(43, 50),
        horizontal_line(44, 50),
        horizontal_line(46, 49),
        horizontal_line(47, 49),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(77, 118),
        horizontal_line(83, 117),
        horizontal_line(88, 116),
        horizontal_line(94, 114),
        horizontal_line(99, 113),
        horizontal_line(105, 112),
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(58, 62),
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(145, 189),
        horizontal_line(142, 186),
        horizontal_line(140, 183),
        horizontal_line(148, 181),
        horizontal_line(157, 178),
        horizontal_line(166, 175),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(66, 73),
        horizontal_line(67, 73),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(28, 73),
        horizontal_line(23, 80),
        horizontal_line(18, 80),
        horizontal_line(13, 75),
        horizontal_line(71, 101),
        horizontal_line(16, 78),
        horizontal_line(24, 86),
        horizontal_line(32, 94),
        horizontal_line(40, 102),
        horizontal_line(48, 110),
        horizontal_line(56, 118),
    };

    constexpr const horizontal_line frame_1234_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 71),
        horizontal_line(62, 79),
        horizontal_line(62, 86),
        horizontal_line(62, 94),
        horizontal_line(62, 102),
        horizontal_line(62, 110),
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1234_shape_group_1_shapes[] = {
        shape(frame_1234_shape_group_1_shape_0_horizontal_lines, 30, 9),
        shape(frame_1234_shape_group_1_shape_1_horizontal_lines, 33, 9),
        shape(frame_1234_shape_group_1_shape_2_horizontal_lines, 53, 4),
        shape(frame_1234_shape_group_1_shape_3_horizontal_lines, 80, 9),
        shape(frame_1234_shape_group_1_shape_4_horizontal_lines, 92, 4),
        shape(frame_1234_shape_group_1_shape_5_horizontal_lines, 99, 9),
        shape(frame_1234_shape_group_1_shape_6_horizontal_lines, 101, 4),
        shape(frame_1234_shape_group_1_shape_7_horizontal_lines, 108, 9),
        shape(frame_1234_shape_group_1_shape_8_horizontal_lines, 110, 8),
        shape(frame_1234_shape_group_1_shape_9_horizontal_lines, 121, 9),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(26, 56),
        horizontal_line(27, 57),
        horizontal_line(29, 57),
        horizontal_line(30, 58),
        horizontal_line(31, 59),
        horizontal_line(33, 59),
        horizontal_line(34, 60),
        horizontal_line(35, 61),
        horizontal_line(37, 61),
        horizontal_line(38, 62),
        horizontal_line(39, 63),
        horizontal_line(41, 64),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(130, 166),
        horizontal_line(135, 170),
        horizontal_line(140, 168),
        horizontal_line(145, 165),
        horizontal_line(150, 162),
        horizontal_line(154, 160),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(37, 45),
        horizontal_line(37, 46),
        horizontal_line(37, 47),
        horizontal_line(36, 48),
        horizontal_line(36, 48),
        horizontal_line(35, 49),
        horizontal_line(35, 50),
        horizontal_line(34, 51),
        horizontal_line(34, 52),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(33, 33),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(54, 69),
        horizontal_line(55, 69),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 70),
        horizontal_line(58, 71),
        horizontal_line(58, 71),
        horizontal_line(59, 71),
        horizontal_line(59, 71),
        horizontal_line(60, 72),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(50, 60),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(59, 61),
        horizontal_line(59, 61),
        horizontal_line(59, 62),
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(59, 63),
        horizontal_line(60, 64),
        horizontal_line(61, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(37, 59),
        horizontal_line(32, 66),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(80, 87),
        horizontal_line(75, 94),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(78, 108),
        horizontal_line(86, 115),
        horizontal_line(94, 122),
        horizontal_line(102, 129),
        horizontal_line(110, 130),
        horizontal_line(118, 132),
        horizontal_line(64, 126),
        horizontal_line(72, 134),
        horizontal_line(80, 138),
        horizontal_line(87, 140),
        horizontal_line(95, 142),
        horizontal_line(103, 144),
        horizontal_line(111, 146),
        horizontal_line(119, 148),
    };

    constexpr const horizontal_line frame_1234_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 134),
        horizontal_line(124, 142),
        horizontal_line(124, 150),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1234_shape_group_2_shapes[] = {
        shape(frame_1234_shape_group_2_shape_0_horizontal_lines, 34, 8),
        shape(frame_1234_shape_group_2_shape_1_horizontal_lines, 53, 9),
        shape(frame_1234_shape_group_2_shape_2_horizontal_lines, 65, 4),
        shape(frame_1234_shape_group_2_shape_3_horizontal_lines, 71, 9),
        shape(frame_1234_shape_group_2_shape_4_horizontal_lines, 80, 8),
        shape(frame_1234_shape_group_2_shape_5_horizontal_lines, 81, 9),
        shape(frame_1234_shape_group_2_shape_6_horizontal_lines, 92, 8),
        shape(frame_1234_shape_group_2_shape_7_horizontal_lines, 93, 9),
        shape(frame_1234_shape_group_2_shape_8_horizontal_lines, 99, 1),
        shape(frame_1234_shape_group_2_shape_9_horizontal_lines, 101, 9),
        shape(frame_1234_shape_group_2_shape_10_horizontal_lines, 108, 8),
        shape(frame_1234_shape_group_2_shape_11_horizontal_lines, 110, 1),
        shape(frame_1234_shape_group_2_shape_12_horizontal_lines, 112, 8),
        shape(frame_1234_shape_group_2_shape_13_horizontal_lines, 114, 1),
        shape(frame_1234_shape_group_2_shape_14_horizontal_lines, 115, 8),
        shape(frame_1234_shape_group_2_shape_15_horizontal_lines, 129, 9),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(40, 40),
        horizontal_line(40, 41),
        horizontal_line(39, 42),
        horizontal_line(39, 43),
        horizontal_line(38, 44),
        horizontal_line(38, 44),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(8, 36),
        horizontal_line(11, 36),
        horizontal_line(13, 36),
        horizontal_line(16, 35),
        horizontal_line(19, 35),
        horizontal_line(22, 34),
        horizontal_line(24, 34),
        horizontal_line(27, 33),
        horizontal_line(30, 33),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(53, 54),
        horizontal_line(52, 54),
        horizontal_line(52, 55),
        horizontal_line(52, 55),
        horizontal_line(51, 56),
        horizontal_line(51, 57),
        horizontal_line(51, 57),
        horizontal_line(45, 45),
        horizontal_line(50, 58),
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(51, 59),
        horizontal_line(53, 59),
        horizontal_line(54, 58),
        horizontal_line(56, 58),
        horizontal_line(56, 58),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(45, 55),
        horizontal_line(45, 55),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(65, 73),
        horizontal_line(65, 73),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(42, 52),
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(111, 111),
        horizontal_line(120, 133),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(109, 109),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(166, 213),
        horizontal_line(166, 217),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(126, 134),
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(127, 150),
        horizontal_line(135, 152),
        horizontal_line(143, 154),
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 187),
        horizontal_line(186, 189),
        horizontal_line(186, 190),
        horizontal_line(186, 192),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
    };

    constexpr const shape frame_1234_shape_group_3_shapes[] = {
        shape(frame_1234_shape_group_3_shape_0_horizontal_lines, 50, 1),
        shape(frame_1234_shape_group_3_shape_1_horizontal_lines, 53, 8),
        shape(frame_1234_shape_group_3_shape_2_horizontal_lines, 65, 9),
        shape(frame_1234_shape_group_3_shape_3_horizontal_lines, 71, 8),
        shape(frame_1234_shape_group_3_shape_4_horizontal_lines, 80, 1),
        shape(frame_1234_shape_group_3_shape_5_horizontal_lines, 81, 8),
        shape(frame_1234_shape_group_3_shape_6_horizontal_lines, 92, 1),
        shape(frame_1234_shape_group_3_shape_7_horizontal_lines, 93, 8),
        shape(frame_1234_shape_group_3_shape_8_horizontal_lines, 99, 1),
        shape(frame_1234_shape_group_3_shape_9_horizontal_lines, 103, 9),
        shape(frame_1234_shape_group_3_shape_10_horizontal_lines, 106, 8),
        shape(frame_1234_shape_group_3_shape_11_horizontal_lines, 109, 1),
        shape(frame_1234_shape_group_3_shape_12_horizontal_lines, 121, 8),
        shape(frame_1234_shape_group_3_shape_13_horizontal_lines, 123, 1),
        shape(frame_1234_shape_group_3_shape_14_horizontal_lines, 129, 8),
        shape(frame_1234_shape_group_3_shape_15_horizontal_lines, 133, 1),
        shape(frame_1234_shape_group_3_shape_16_horizontal_lines, 153, 9),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(204, 239),
        horizontal_line(200, 239),
        horizontal_line(196, 239),
        horizontal_line(192, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(2, 37),
        horizontal_line(5, 37),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 216),
        horizontal_line(193, 193),
        horizontal_line(188, 192),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(50, 58),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(50, 59),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(44, 49),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(111, 112),
        horizontal_line(110, 114),
        horizontal_line(45, 56),
        horizontal_line(46, 56),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(109, 112),
        horizontal_line(121, 133),
        horizontal_line(172, 184),
        horizontal_line(119, 132),
        horizontal_line(110, 110),
        horizontal_line(118, 130),
        horizontal_line(109, 109),
        horizontal_line(117, 129),
        horizontal_line(123, 128),
        horizontal_line(167, 210),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(131, 165),
        horizontal_line(133, 165),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(165, 220),
        horizontal_line(165, 224),
        horizontal_line(226, 228),
        horizontal_line(225, 231),
        horizontal_line(225, 235),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_1234_shape_group_4_shapes[] = {
        shape(frame_1234_shape_group_4_shape_0_horizontal_lines, 53, 1),
        shape(frame_1234_shape_group_4_shape_1_horizontal_lines, 65, 8),
        shape(frame_1234_shape_group_4_shape_2_horizontal_lines, 71, 1),
        shape(frame_1234_shape_group_4_shape_3_horizontal_lines, 89, 8),
        shape(frame_1234_shape_group_4_shape_4_horizontal_lines, 90, 1),
        shape(frame_1234_shape_group_4_shape_5_horizontal_lines, 91, 8),
        shape(frame_1234_shape_group_4_shape_6_horizontal_lines, 92, 1),
        shape(frame_1234_shape_group_4_shape_7_horizontal_lines, 103, 8),
        shape(frame_1234_shape_group_4_shape_8_horizontal_lines, 106, 1),
        shape(frame_1234_shape_group_4_shape_9_horizontal_lines, 107, 8),
        shape(frame_1234_shape_group_4_shape_10_horizontal_lines, 108, 1),
        shape(frame_1234_shape_group_4_shape_11_horizontal_lines, 119, 2),
        shape(frame_1234_shape_group_4_shape_12_horizontal_lines, 121, 1),
        shape(frame_1234_shape_group_4_shape_13_horizontal_lines, 153, 1),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(1, 23),
        horizontal_line(5, 26),
        horizontal_line(9, 29),
        horizontal_line(13, 32),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(134, 138),
        horizontal_line(132, 140),
        horizontal_line(131, 142),
        horizontal_line(130, 143),
        horizontal_line(128, 145),
        horizontal_line(127, 147),
        horizontal_line(126, 149),
        horizontal_line(43, 43),
        horizontal_line(0, 1),
        horizontal_line(43, 46),
        horizontal_line(0, 2),
        horizontal_line(125, 138),
        horizontal_line(44, 50),
        horizontal_line(44, 52),
        horizontal_line(44, 53),
        horizontal_line(44, 55),
        horizontal_line(45, 55),
        horizontal_line(45, 55),
        horizontal_line(149, 190),
        horizontal_line(149, 190),
        horizontal_line(109, 116),
        horizontal_line(108, 118),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(47, 57),
        horizontal_line(0, 6),
        horizontal_line(63, 63),
        horizontal_line(121, 134),
        horizontal_line(172, 181),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(8, 22),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(171, 188),
        horizontal_line(119, 131),
        horizontal_line(170, 195),
        horizontal_line(117, 130),
        horizontal_line(168, 202),
        horizontal_line(168, 206),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(130, 166),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(135, 164),
        horizontal_line(137, 164),
        horizontal_line(139, 163),
        horizontal_line(141, 162),
        horizontal_line(143, 162),
        horizontal_line(145, 161),
        horizontal_line(147, 160),
        horizontal_line(149, 160),
    };

    constexpr const horizontal_line frame_1234_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_1234_shape_group_5_shapes[] = {
        shape(frame_1234_shape_group_5_shape_0_horizontal_lines, 65, 1),
        shape(frame_1234_shape_group_5_shape_1_horizontal_lines, 71, 3),
        shape(frame_1234_shape_group_5_shape_2_horizontal_lines, 81, 1),
        shape(frame_1234_shape_group_5_shape_3_horizontal_lines, 111, 2),
        shape(frame_1234_shape_group_5_shape_4_horizontal_lines, 112, 1),
        shape(frame_1234_shape_group_5_shape_5_horizontal_lines, 118, 2),
        shape(frame_1234_shape_group_5_shape_6_horizontal_lines, 121, 2),
        shape(frame_1234_shape_group_5_shape_7_horizontal_lines, 129, 1),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(183, 192),
        horizontal_line(177, 192),
        horizontal_line(172, 192),
        horizontal_line(167, 192),
        horizontal_line(161, 192),
        horizontal_line(156, 192),
        horizontal_line(151, 191),
        horizontal_line(124, 147),
        horizontal_line(43, 44),
        horizontal_line(122, 142),
        horizontal_line(43, 47),
        horizontal_line(149, 191),
        horizontal_line(127, 135),
        horizontal_line(129, 133),
        horizontal_line(131, 131),
        horizontal_line(149, 190),
        horizontal_line(149, 190),
        horizontal_line(149, 190),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(5, 44),
        horizontal_line(5, 44),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(150, 190),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(6, 45),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(46, 56),
        horizontal_line(46, 56),
        horizontal_line(46, 56),
        horizontal_line(62, 62),
        horizontal_line(53, 57),
        horizontal_line(107, 113),
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(8, 27),
        horizontal_line(114, 119),
        horizontal_line(8, 17),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(170, 192),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(169, 199),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(129, 167),
    };

    constexpr const horizontal_line frame_1234_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(151, 159),
        horizontal_line(153, 158),
        horizontal_line(155, 158),
        horizontal_line(157, 157),
    };

    constexpr const shape frame_1234_shape_group_6_shapes[] = {
        shape(frame_1234_shape_group_6_shape_0_horizontal_lines, 65, 1),
        shape(frame_1234_shape_group_6_shape_1_horizontal_lines, 77, 2),
        shape(frame_1234_shape_group_6_shape_2_horizontal_lines, 81, 1),
        shape(frame_1234_shape_group_6_shape_3_horizontal_lines, 99, 2),
        shape(frame_1234_shape_group_6_shape_4_horizontal_lines, 101, 1),
        shape(frame_1234_shape_group_6_shape_5_horizontal_lines, 102, 2),
        shape(frame_1234_shape_group_6_shape_6_horizontal_lines, 103, 1),
        shape(frame_1234_shape_group_6_shape_7_horizontal_lines, 110, 2),
        shape(frame_1234_shape_group_6_shape_8_horizontal_lines, 113, 1),
        shape(frame_1234_shape_group_6_shape_9_horizontal_lines, 114, 2),
        shape(frame_1234_shape_group_6_shape_10_horizontal_lines, 115, 1),
        shape(frame_1234_shape_group_6_shape_11_horizontal_lines, 116, 2),
        shape(frame_1234_shape_group_6_shape_12_horizontal_lines, 129, 2),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(17, 34),
        horizontal_line(22, 35),
        horizontal_line(26, 36),
        horizontal_line(30, 38),
        horizontal_line(34, 39),
        horizontal_line(38, 40),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(2, 42),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(149, 191),
        horizontal_line(123, 145),
        horizontal_line(149, 191),
        horizontal_line(123, 140),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(3, 43),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(149, 191),
        horizontal_line(149, 191),
        horizontal_line(149, 190),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(4, 43),
        horizontal_line(4, 44),
        horizontal_line(5, 44),
        horizontal_line(56, 57),
        horizontal_line(56, 58),
        horizontal_line(5, 44),
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(107, 117),
        horizontal_line(106, 117),
        horizontal_line(105, 116),
        horizontal_line(105, 115),
        horizontal_line(62, 62),
        horizontal_line(122, 135),
    };

    constexpr const horizontal_line frame_1234_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(7, 31),
        horizontal_line(116, 120),
        horizontal_line(134, 171),
        horizontal_line(112, 118),
        horizontal_line(8, 12),
        horizontal_line(131, 169),
        horizontal_line(110, 116),
        horizontal_line(130, 167),
    };

    constexpr const shape frame_1234_shape_group_7_shapes[] = {
        shape(frame_1234_shape_group_7_shape_0_horizontal_lines, 69, 3),
        shape(frame_1234_shape_group_7_shape_1_horizontal_lines, 78, 14),
        shape(frame_1234_shape_group_7_shape_2_horizontal_lines, 81, 3),
        shape(frame_1234_shape_group_7_shape_3_horizontal_lines, 87, 2),
        shape(frame_1234_shape_group_7_shape_4_horizontal_lines, 88, 1),
        shape(frame_1234_shape_group_7_shape_5_horizontal_lines, 92, 2),
        shape(frame_1234_shape_group_7_shape_6_horizontal_lines, 93, 1),
        shape(frame_1234_shape_group_7_shape_7_horizontal_lines, 96, 2),
        shape(frame_1234_shape_group_7_shape_8_horizontal_lines, 103, 1),
        shape(frame_1234_shape_group_7_shape_9_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(1, 16),
        horizontal_line(1, 21),
        horizontal_line(1, 25),
        horizontal_line(1, 29),
        horizontal_line(1, 33),
        horizontal_line(2, 37),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(2, 42),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(149, 191),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(3, 42),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(149, 191),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(139, 148),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(3, 43),
        horizontal_line(4, 43),
        horizontal_line(4, 43),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(131, 148),
        horizontal_line(131, 148),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(131, 148),
        horizontal_line(131, 148),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(57, 58),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(131, 143),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(6, 45),
        horizontal_line(6, 45),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(133, 137),
        horizontal_line(128, 136),
        horizontal_line(105, 114),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(134, 171),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(133, 170),
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1234_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(131, 168),
    };

    constexpr const shape frame_1234_shape_group_8_shapes[] = {
        shape(frame_1234_shape_group_8_shape_0_horizontal_lines, 81, 2),
        shape(frame_1234_shape_group_8_shape_1_horizontal_lines, 87, 14),
        shape(frame_1234_shape_group_8_shape_2_horizontal_lines, 88, 2),
        shape(frame_1234_shape_group_8_shape_3_horizontal_lines, 89, 1),
        shape(frame_1234_shape_group_8_shape_4_horizontal_lines, 90, 2),
        shape(frame_1234_shape_group_8_shape_5_horizontal_lines, 91, 1),
        shape(frame_1234_shape_group_8_shape_6_horizontal_lines, 92, 14),
        shape(frame_1234_shape_group_8_shape_7_horizontal_lines, 93, 2),
        shape(frame_1234_shape_group_8_shape_8_horizontal_lines, 96, 14),
        shape(frame_1234_shape_group_8_shape_9_horizontal_lines, 98, 2),
        shape(frame_1234_shape_group_8_shape_10_horizontal_lines, 99, 14),
        shape(frame_1234_shape_group_8_shape_11_horizontal_lines, 101, 2),
        shape(frame_1234_shape_group_8_shape_12_horizontal_lines, 102, 14),
        shape(frame_1234_shape_group_8_shape_13_horizontal_lines, 103, 2),
        shape(frame_1234_shape_group_8_shape_14_horizontal_lines, 105, 1),
        shape(frame_1234_shape_group_8_shape_15_horizontal_lines, 109, 2),
        shape(frame_1234_shape_group_8_shape_16_horizontal_lines, 111, 14),
        shape(frame_1234_shape_group_8_shape_17_horizontal_lines, 112, 2),
        shape(frame_1234_shape_group_8_shape_18_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(2, 42),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(143, 148),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(3, 42),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(136, 148),
        horizontal_line(134, 148),
        horizontal_line(132, 148),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(131, 148),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(131, 148),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(57, 61),
        horizontal_line(6, 45),
        horizontal_line(7, 46),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(123, 135),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(7, 36),
        horizontal_line(135, 172),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_1234_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(132, 169),
    };

    constexpr const shape frame_1234_shape_group_9_shapes[] = {
        shape(frame_1234_shape_group_9_shape_0_horizontal_lines, 81, 14),
        shape(frame_1234_shape_group_9_shape_1_horizontal_lines, 88, 14),
        shape(frame_1234_shape_group_9_shape_2_horizontal_lines, 89, 2),
        shape(frame_1234_shape_group_9_shape_3_horizontal_lines, 90, 14),
        shape(frame_1234_shape_group_9_shape_4_horizontal_lines, 91, 2),
        shape(frame_1234_shape_group_9_shape_5_horizontal_lines, 92, 14),
        shape(frame_1234_shape_group_9_shape_6_horizontal_lines, 103, 2),
        shape(frame_1234_shape_group_9_shape_7_horizontal_lines, 107, 1),
        shape(frame_1234_shape_group_9_shape_8_horizontal_lines, 108, 2),
        shape(frame_1234_shape_group_9_shape_9_horizontal_lines, 110, 14),
        shape(frame_1234_shape_group_9_shape_10_horizontal_lines, 112, 14),
        shape(frame_1234_shape_group_9_shape_11_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1234_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(146, 148),
        horizontal_line(192, 239),
        horizontal_line(141, 148),
    };

    constexpr const horizontal_line frame_1234_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(131, 138),
    };

    constexpr const horizontal_line frame_1234_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(57, 61),
        horizontal_line(58, 61),
        horizontal_line(7, 41),
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_1234_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(113, 117),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_1234_shape_group_10_shapes[] = {
        shape(frame_1234_shape_group_10_shape_0_horizontal_lines, 88, 14),
        shape(frame_1234_shape_group_10_shape_1_horizontal_lines, 93, 14),
        shape(frame_1234_shape_group_10_shape_2_horizontal_lines, 98, 14),
        shape(frame_1234_shape_group_10_shape_3_horizontal_lines, 101, 14),
        shape(frame_1234_shape_group_10_shape_4_horizontal_lines, 103, 14),
        shape(frame_1234_shape_group_10_shape_5_horizontal_lines, 104, 2),
        shape(frame_1234_shape_group_10_shape_6_horizontal_lines, 109, 14),
    };

    constexpr const horizontal_line frame_1234_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1234_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_1234_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(138, 147),
        horizontal_line(137, 156),
        horizontal_line(58, 61),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_1234_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const shape frame_1234_shape_group_11_shapes[] = {
        shape(frame_1234_shape_group_11_shape_0_horizontal_lines, 89, 14),
        shape(frame_1234_shape_group_11_shape_1_horizontal_lines, 91, 14),
        shape(frame_1234_shape_group_11_shape_2_horizontal_lines, 103, 14),
        shape(frame_1234_shape_group_11_shape_3_horizontal_lines, 105, 2),
        shape(frame_1234_shape_group_11_shape_4_horizontal_lines, 109, 14),
    };

    constexpr const horizontal_line frame_1234_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_1234_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(136, 165),
        horizontal_line(136, 173),
    };

    constexpr const shape frame_1234_shape_group_12_shapes[] = {
        shape(frame_1234_shape_group_12_shape_0_horizontal_lines, 104, 14),
        shape(frame_1234_shape_group_12_shape_1_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1234_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(212, 239),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
    };

    constexpr const shape frame_1234_shape_group_13_shapes[] = {
        shape(frame_1234_shape_group_13_shape_0_horizontal_lines, 105, 14),
    };

    constexpr const horizontal_line frame_1234_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(223, 239),
    };

    constexpr const shape frame_1234_shape_group_14_shapes[] = {
        shape(frame_1234_shape_group_14_shape_0_horizontal_lines, 107, 14),
    };

    constexpr const shape_group frame_1234_shape_groups[] = {
        shape_group(frame_1234_shape_group_0_shapes),
        shape_group(frame_1234_shape_group_1_shapes),
        shape_group(frame_1234_shape_group_2_shapes),
        shape_group(frame_1234_shape_group_3_shapes),
        shape_group(frame_1234_shape_group_4_shapes),
        shape_group(frame_1234_shape_group_5_shapes),
        shape_group(frame_1234_shape_group_6_shapes),
        shape_group(frame_1234_shape_group_7_shapes),
        shape_group(frame_1234_shape_group_8_shapes),
        shape_group(frame_1234_shape_group_9_shapes),
        shape_group(frame_1234_shape_group_10_shapes),
        shape_group(frame_1234_shape_group_11_shapes),
        shape_group(frame_1234_shape_group_12_shapes),
        shape_group(frame_1234_shape_group_13_shapes),
        shape_group(frame_1234_shape_group_14_shapes),
    };

    constexpr const frame frame_1234_impl(frame_1234_colors, frame_1234_shape_groups);
} 

const frame& frame_1234()
{
    return frame_1234_impl;
}

namespace
{
    constexpr const bn::color frame_1235_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1235_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(1, 31),
        horizontal_line(12, 32),
        horizontal_line(24, 33),
    };

    constexpr const horizontal_line frame_1235_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1235_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(36, 37),
        horizontal_line(37, 41),
        horizontal_line(38, 44),
        horizontal_line(38, 48),
        horizontal_line(39, 51),
        horizontal_line(40, 55),
        horizontal_line(40, 58),
        horizontal_line(41, 62),
        horizontal_line(42, 66),
        horizontal_line(42, 69),
        horizontal_line(43, 73),
        horizontal_line(44, 76),
        horizontal_line(45, 80),
        horizontal_line(45, 83),
        horizontal_line(46, 87),
        horizontal_line(47, 90),
        horizontal_line(47, 94),
        horizontal_line(48, 98),
        horizontal_line(49, 101),
        horizontal_line(49, 105),
        horizontal_line(50, 108),
        horizontal_line(51, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(38, 62),
        horizontal_line(39, 62),
        horizontal_line(40, 63),
        horizontal_line(41, 63),
        horizontal_line(42, 64),
        horizontal_line(43, 64),
        horizontal_line(43, 64),
        horizontal_line(44, 65),
        horizontal_line(45, 65),
        horizontal_line(46, 66),
        horizontal_line(47, 66),
        horizontal_line(48, 66),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(70, 73),
        horizontal_line(70, 78),
        horizontal_line(70, 84),
        horizontal_line(70, 89),
        horizontal_line(71, 95),
        horizontal_line(71, 100),
        horizontal_line(71, 105),
        horizontal_line(71, 111),
        horizontal_line(72, 116),
        horizontal_line(72, 122),
        horizontal_line(72, 121),
        horizontal_line(72, 120),
        horizontal_line(73, 119),
        horizontal_line(61, 72),
        horizontal_line(61, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 73),
        horizontal_line(74, 77),
        horizontal_line(74, 82),
        horizontal_line(74, 88),
        horizontal_line(74, 93),
        horizontal_line(74, 98),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 103),
        horizontal_line(74, 102),
        horizontal_line(68, 73),
        horizontal_line(71, 73),
        horizontal_line(92, 99),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1235_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(13, 75),
        horizontal_line(9, 71),
        horizontal_line(5, 67),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1235_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 8),
        horizontal_line(0, 17),
        horizontal_line(0, 26),
        horizontal_line(0, 35),
        horizontal_line(0, 44),
        horizontal_line(0, 53),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1235_shape_group_0_shapes[] = {
        shape(frame_1235_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1235_shape_group_0_shape_1_horizontal_lines, 21, 9),
        shape(frame_1235_shape_group_0_shape_2_horizontal_lines, 22, 4),
        shape(frame_1235_shape_group_0_shape_3_horizontal_lines, 113, 8),
        shape(frame_1235_shape_group_0_shape_4_horizontal_lines, 118, 9),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 11),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(1, 44),
        horizontal_line(2, 44),
        horizontal_line(3, 45),
        horizontal_line(5, 46),
        horizontal_line(6, 46),
        horizontal_line(8, 47),
        horizontal_line(9, 48),
        horizontal_line(10, 48),
        horizontal_line(12, 49),
        horizontal_line(13, 50),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(114, 119),
        horizontal_line(115, 123),
        horizontal_line(116, 126),
        horizontal_line(116, 130),
        horizontal_line(117, 133),
        horizontal_line(118, 137),
        horizontal_line(118, 140),
        horizontal_line(119, 144),
        horizontal_line(120, 147),
        horizontal_line(120, 151),
        horizontal_line(121, 155),
        horizontal_line(122, 158),
        horizontal_line(122, 162),
        horizontal_line(123, 165),
        horizontal_line(124, 169),
        horizontal_line(125, 172),
        horizontal_line(66, 128),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(98, 160),
        horizontal_line(102, 161),
        horizontal_line(107, 158),
        horizontal_line(111, 155),
        horizontal_line(116, 153),
        horizontal_line(120, 150),
        horizontal_line(125, 147),
        horizontal_line(129, 144),
        horizontal_line(134, 141),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(31, 69),
        horizontal_line(32, 51),
        horizontal_line(33, 51),
        horizontal_line(35, 50),
        horizontal_line(36, 50),
        horizontal_line(38, 49),
        horizontal_line(39, 49),
        horizontal_line(41, 48),
        horizontal_line(42, 48),
        horizontal_line(44, 47),
        horizontal_line(45, 47),
        horizontal_line(47, 47),
        horizontal_line(61, 72),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(77, 118),
        horizontal_line(83, 117),
        horizontal_line(89, 116),
        horizontal_line(94, 115),
        horizontal_line(100, 114),
        horizontal_line(106, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(58, 63),
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(149, 169),
        horizontal_line(145, 185),
        horizontal_line(143, 201),
        horizontal_line(150, 198),
        horizontal_line(157, 195),
        horizontal_line(164, 192),
        horizontal_line(171, 189),
        horizontal_line(178, 186),
        horizontal_line(79, 101),
        horizontal_line(86, 100),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(22, 77),
        horizontal_line(18, 80),
        horizontal_line(75, 90),
        horizontal_line(71, 97),
        horizontal_line(67, 104),
        horizontal_line(63, 111),
        horizontal_line(62, 118),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(18, 80),
        horizontal_line(27, 89),
        horizontal_line(36, 98),
        horizontal_line(45, 107),
        horizontal_line(54, 116),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_1235_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 79),
        horizontal_line(62, 88),
        horizontal_line(62, 97),
        horizontal_line(62, 106),
        horizontal_line(62, 114),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1235_shape_group_1_shapes[] = {
        shape(frame_1235_shape_group_1_shape_0_horizontal_lines, 18, 9),
        shape(frame_1235_shape_group_1_shape_1_horizontal_lines, 22, 9),
        shape(frame_1235_shape_group_1_shape_2_horizontal_lines, 44, 4),
        shape(frame_1235_shape_group_1_shape_3_horizontal_lines, 78, 9),
        shape(frame_1235_shape_group_1_shape_4_horizontal_lines, 91, 4),
        shape(frame_1235_shape_group_1_shape_5_horizontal_lines, 98, 9),
        shape(frame_1235_shape_group_1_shape_6_horizontal_lines, 100, 4),
        shape(frame_1235_shape_group_1_shape_7_horizontal_lines, 111, 8),
        shape(frame_1235_shape_group_1_shape_8_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(15, 50),
        horizontal_line(16, 51),
        horizontal_line(18, 52),
        horizontal_line(19, 53),
        horizontal_line(20, 53),
        horizontal_line(22, 54),
        horizontal_line(23, 55),
        horizontal_line(25, 55),
        horizontal_line(26, 56),
        horizontal_line(28, 57),
        horizontal_line(29, 57),
        horizontal_line(30, 58),
        horizontal_line(32, 59),
        horizontal_line(33, 59),
        horizontal_line(35, 60),
        horizontal_line(36, 61),
        horizontal_line(38, 62),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(128, 176),
        horizontal_line(133, 180),
        horizontal_line(137, 178),
        horizontal_line(142, 175),
        horizontal_line(146, 172),
        horizontal_line(151, 169),
        horizontal_line(155, 167),
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(33, 44),
        horizontal_line(33, 45),
        horizontal_line(32, 46),
        horizontal_line(32, 47),
        horizontal_line(31, 47),
        horizontal_line(31, 48),
        horizontal_line(30, 49),
        horizontal_line(30, 50),
        horizontal_line(30, 51),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(138, 139),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(55, 69),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 70),
        horizontal_line(57, 70),
        horizontal_line(58, 71),
        horizontal_line(59, 71),
        horizontal_line(59, 71),
        horizontal_line(60, 71),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(47, 60),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(59, 61),
        horizontal_line(59, 61),
        horizontal_line(58, 62),
        horizontal_line(58, 62),
        horizontal_line(57, 62),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(42, 54),
        horizontal_line(42, 54),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(60, 73),
        horizontal_line(61, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
        horizontal_line(67, 73),
        horizontal_line(67, 73),
        horizontal_line(67, 73),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(31, 63),
        horizontal_line(26, 70),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(99, 101),
        horizontal_line(98, 104),
        horizontal_line(107, 109),
        horizontal_line(118, 132),
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(71, 132),
        horizontal_line(80, 134),
        horizontal_line(89, 136),
        horizontal_line(98, 138),
        horizontal_line(107, 140),
        horizontal_line(116, 142),
        horizontal_line(124, 144),
        horizontal_line(71, 133),
        horizontal_line(80, 142),
        horizontal_line(89, 150),
        horizontal_line(98, 152),
        horizontal_line(107, 154),
        horizontal_line(115, 156),
        horizontal_line(124, 158),
    };

    constexpr const horizontal_line frame_1235_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(124, 141),
        horizontal_line(124, 150),
        horizontal_line(124, 159),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 184),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1235_shape_group_2_shapes[] = {
        shape(frame_1235_shape_group_2_shape_0_horizontal_lines, 34, 8),
        shape(frame_1235_shape_group_2_shape_1_horizontal_lines, 44, 9),
        shape(frame_1235_shape_group_2_shape_2_horizontal_lines, 61, 4),
        shape(frame_1235_shape_group_2_shape_3_horizontal_lines, 69, 9),
        shape(frame_1235_shape_group_2_shape_4_horizontal_lines, 78, 1),
        shape(frame_1235_shape_group_2_shape_5_horizontal_lines, 79, 9),
        shape(frame_1235_shape_group_2_shape_6_horizontal_lines, 90, 8),
        shape(frame_1235_shape_group_2_shape_7_horizontal_lines, 91, 9),
        shape(frame_1235_shape_group_2_shape_8_horizontal_lines, 98, 1),
        shape(frame_1235_shape_group_2_shape_9_horizontal_lines, 100, 9),
        shape(frame_1235_shape_group_2_shape_10_horizontal_lines, 109, 8),
        shape(frame_1235_shape_group_2_shape_11_horizontal_lines, 111, 1),
        shape(frame_1235_shape_group_2_shape_12_horizontal_lines, 112, 8),
        shape(frame_1235_shape_group_2_shape_13_horizontal_lines, 113, 1),
        shape(frame_1235_shape_group_2_shape_14_horizontal_lines, 118, 8),
        shape(frame_1235_shape_group_2_shape_15_horizontal_lines, 133, 9),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(37, 37),
        horizontal_line(37, 38),
        horizontal_line(36, 39),
        horizontal_line(36, 40),
        horizontal_line(35, 41),
        horizontal_line(35, 42),
        horizontal_line(34, 42),
        horizontal_line(34, 43),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(5, 32),
        horizontal_line(8, 32),
        horizontal_line(11, 31),
        horizontal_line(14, 31),
        horizontal_line(17, 30),
        horizontal_line(20, 30),
        horizontal_line(23, 29),
        horizontal_line(26, 29),
        horizontal_line(29, 29),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(201, 205),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(34, 34),
        horizontal_line(35, 35),
        horizontal_line(36, 37),
        horizontal_line(37, 38),
        horizontal_line(39, 40),
        horizontal_line(40, 41),
        horizontal_line(42, 43),
        horizontal_line(44, 44),
        horizontal_line(45, 46),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(40, 46),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(49, 59),
        horizontal_line(50, 59),
        horizontal_line(52, 58),
        horizontal_line(54, 58),
        horizontal_line(55, 57),
        horizontal_line(56, 57),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(41, 53),
        horizontal_line(112, 113),
        horizontal_line(111, 115),
        horizontal_line(42, 54),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(65, 73),
        horizontal_line(66, 73),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(63, 65),
        horizontal_line(64, 66),
        horizontal_line(39, 49),
        horizontal_line(35, 56),
        horizontal_line(65, 67),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(122, 136),
        horizontal_line(121, 136),
        horizontal_line(110, 110),
        horizontal_line(109, 110),
        horizontal_line(108, 109),
        horizontal_line(119, 133),
        horizontal_line(180, 210),
        horizontal_line(180, 213),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(178, 221),
        horizontal_line(178, 224),
        horizontal_line(177, 228),
        horizontal_line(177, 231),
        horizontal_line(176, 235),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(133, 146),
        horizontal_line(142, 148),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(133, 160),
        horizontal_line(142, 162),
        horizontal_line(151, 164),
        horizontal_line(160, 166),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(186, 188),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 192),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
    };

    constexpr const shape frame_1235_shape_group_3_shapes[] = {
        shape(frame_1235_shape_group_3_shape_0_horizontal_lines, 44, 8),
        shape(frame_1235_shape_group_3_shape_1_horizontal_lines, 61, 9),
        shape(frame_1235_shape_group_3_shape_2_horizontal_lines, 69, 8),
        shape(frame_1235_shape_group_3_shape_3_horizontal_lines, 78, 1),
        shape(frame_1235_shape_group_3_shape_4_horizontal_lines, 79, 8),
        shape(frame_1235_shape_group_3_shape_5_horizontal_lines, 90, 1),
        shape(frame_1235_shape_group_3_shape_6_horizontal_lines, 91, 8),
        shape(frame_1235_shape_group_3_shape_7_horizontal_lines, 97, 1),
        shape(frame_1235_shape_group_3_shape_8_horizontal_lines, 101, 9),
        shape(frame_1235_shape_group_3_shape_9_horizontal_lines, 104, 8),
        shape(frame_1235_shape_group_3_shape_10_horizontal_lines, 110, 1),
        shape(frame_1235_shape_group_3_shape_11_horizontal_lines, 118, 8),
        shape(frame_1235_shape_group_3_shape_12_horizontal_lines, 119, 1),
        shape(frame_1235_shape_group_3_shape_13_horizontal_lines, 126, 8),
        shape(frame_1235_shape_group_3_shape_14_horizontal_lines, 128, 1),
        shape(frame_1235_shape_group_3_shape_15_horizontal_lines, 133, 8),
        shape(frame_1235_shape_group_3_shape_16_horizontal_lines, 137, 1),
        shape(frame_1235_shape_group_3_shape_17_horizontal_lines, 151, 9),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(201, 239),
        horizontal_line(197, 239),
        horizontal_line(193, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(2, 33),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 222),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(9, 30),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(136, 141),
        horizontal_line(135, 143),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(51, 54),
        horizontal_line(51, 54),
        horizontal_line(50, 55),
        horizontal_line(50, 56),
        horizontal_line(49, 56),
        horizontal_line(49, 57),
        horizontal_line(48, 58),
        horizontal_line(48, 58),
        horizontal_line(48, 59),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(127, 144),
        horizontal_line(40, 48),
        horizontal_line(40, 49),
        horizontal_line(40, 51),
        horizontal_line(41, 53),
        horizontal_line(41, 53),
        horizontal_line(41, 53),
        horizontal_line(153, 202),
        horizontal_line(153, 202),
        horizontal_line(153, 202),
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(43, 55),
        horizontal_line(43, 56),
        horizontal_line(44, 56),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(184, 188),
        horizontal_line(183, 192),
        horizontal_line(121, 135),
        horizontal_line(120, 134),
        horizontal_line(119, 134),
        horizontal_line(181, 206),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(133, 179),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(126, 131),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(133, 177),
        horizontal_line(135, 177),
        horizontal_line(137, 176),
        horizontal_line(139, 176),
        horizontal_line(141, 175),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
    };

    constexpr const shape frame_1235_shape_group_4_shapes[] = {
        shape(frame_1235_shape_group_4_shape_0_horizontal_lines, 48, 1),
        shape(frame_1235_shape_group_4_shape_1_horizontal_lines, 61, 8),
        shape(frame_1235_shape_group_4_shape_2_horizontal_lines, 69, 1),
        shape(frame_1235_shape_group_4_shape_3_horizontal_lines, 78, 3),
        shape(frame_1235_shape_group_4_shape_4_horizontal_lines, 79, 1),
        shape(frame_1235_shape_group_4_shape_5_horizontal_lines, 81, 8),
        shape(frame_1235_shape_group_4_shape_6_horizontal_lines, 90, 1),
        shape(frame_1235_shape_group_4_shape_7_horizontal_lines, 101, 8),
        shape(frame_1235_shape_group_4_shape_8_horizontal_lines, 104, 1),
        shape(frame_1235_shape_group_4_shape_9_horizontal_lines, 107, 8),
        shape(frame_1235_shape_group_4_shape_10_horizontal_lines, 109, 1),
        shape(frame_1235_shape_group_4_shape_11_horizontal_lines, 116, 2),
        shape(frame_1235_shape_group_4_shape_12_horizontal_lines, 118, 1),
        shape(frame_1235_shape_group_4_shape_13_horizontal_lines, 119, 2),
        shape(frame_1235_shape_group_4_shape_14_horizontal_lines, 124, 1),
        shape(frame_1235_shape_group_4_shape_15_horizontal_lines, 151, 1),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(1, 25),
        horizontal_line(5, 28),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(195, 205),
        horizontal_line(190, 205),
        horizontal_line(133, 145),
        horizontal_line(132, 146),
        horizontal_line(130, 148),
        horizontal_line(128, 150),
        horizontal_line(127, 152),
        horizontal_line(39, 39),
        horizontal_line(39, 41),
        horizontal_line(39, 43),
        horizontal_line(39, 44),
        horizontal_line(154, 204),
        horizontal_line(129, 141),
        horizontal_line(130, 139),
        horizontal_line(132, 136),
        horizontal_line(134, 134),
        horizontal_line(153, 203),
        horizontal_line(153, 203),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(154, 202),
        horizontal_line(42, 55),
        horizontal_line(43, 55),
        horizontal_line(43, 55),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(50, 56),
        horizontal_line(57, 57),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(183, 195),
        horizontal_line(182, 199),
        horizontal_line(181, 203),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(112, 117),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(179, 217),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(143, 174),
        horizontal_line(145, 174),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(151, 172),
        horizontal_line(153, 171),
        horizontal_line(155, 171),
        horizontal_line(157, 170),
        horizontal_line(159, 170),
    };

    constexpr const horizontal_line frame_1235_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_1235_shape_group_5_shapes[] = {
        shape(frame_1235_shape_group_5_shape_0_horizontal_lines, 61, 1),
        shape(frame_1235_shape_group_5_shape_1_horizontal_lines, 69, 3),
        shape(frame_1235_shape_group_5_shape_2_horizontal_lines, 78, 2),
        shape(frame_1235_shape_group_5_shape_3_horizontal_lines, 79, 1),
        shape(frame_1235_shape_group_5_shape_4_horizontal_lines, 97, 2),
        shape(frame_1235_shape_group_5_shape_5_horizontal_lines, 100, 1),
        shape(frame_1235_shape_group_5_shape_6_horizontal_lines, 110, 2),
        shape(frame_1235_shape_group_5_shape_7_horizontal_lines, 112, 1),
        shape(frame_1235_shape_group_5_shape_8_horizontal_lines, 115, 2),
        shape(frame_1235_shape_group_5_shape_9_horizontal_lines, 118, 1),
        shape(frame_1235_shape_group_5_shape_10_horizontal_lines, 124, 2),
        shape(frame_1235_shape_group_5_shape_11_horizontal_lines, 126, 1),
        shape(frame_1235_shape_group_5_shape_12_horizontal_lines, 128, 2),
        shape(frame_1235_shape_group_5_shape_13_horizontal_lines, 133, 1),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(13, 31),
        horizontal_line(17, 32),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(184, 205),
        horizontal_line(178, 205),
        horizontal_line(173, 205),
        horizontal_line(167, 204),
        horizontal_line(161, 204),
        horizontal_line(125, 154),
        horizontal_line(124, 152),
        horizontal_line(124, 149),
        horizontal_line(126, 147),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(154, 203),
        horizontal_line(154, 203),
        horizontal_line(154, 203),
        horizontal_line(153, 203),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(54, 56),
        horizontal_line(55, 57),
        horizontal_line(55, 58),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(109, 120),
        horizontal_line(108, 119),
        horizontal_line(107, 118),
        horizontal_line(106, 117),
        horizontal_line(106, 115),
        horizontal_line(107, 114),
        horizontal_line(62, 63),
        horizontal_line(63, 64),
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(113, 121),
        horizontal_line(112, 120),
        horizontal_line(0, 17),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(110, 118),
        horizontal_line(133, 179),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(132, 178),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(147, 173),
        horizontal_line(149, 173),
    };

    constexpr const horizontal_line frame_1235_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(161, 169),
        horizontal_line(163, 168),
        horizontal_line(165, 168),
        horizontal_line(167, 167),
    };

    constexpr const shape frame_1235_shape_group_6_shapes[] = {
        shape(frame_1235_shape_group_6_shape_0_horizontal_lines, 68, 3),
        shape(frame_1235_shape_group_6_shape_1_horizontal_lines, 76, 2),
        shape(frame_1235_shape_group_6_shape_2_horizontal_lines, 78, 14),
        shape(frame_1235_shape_group_6_shape_3_horizontal_lines, 79, 3),
        shape(frame_1235_shape_group_6_shape_4_horizontal_lines, 81, 1),
        shape(frame_1235_shape_group_6_shape_5_horizontal_lines, 90, 2),
        shape(frame_1235_shape_group_6_shape_6_horizontal_lines, 91, 1),
        shape(frame_1235_shape_group_6_shape_7_horizontal_lines, 95, 2),
        shape(frame_1235_shape_group_6_shape_8_horizontal_lines, 101, 1),
        shape(frame_1235_shape_group_6_shape_9_horizontal_lines, 110, 2),
        shape(frame_1235_shape_group_6_shape_10_horizontal_lines, 118, 2),
        shape(frame_1235_shape_group_6_shape_11_horizontal_lines, 126, 2),
        shape(frame_1235_shape_group_6_shape_12_horizontal_lines, 133, 2),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(22, 33),
        horizontal_line(26, 34),
        horizontal_line(30, 35),
        horizontal_line(34, 36),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(156, 204),
        horizontal_line(154, 204),
        horizontal_line(154, 204),
        horizontal_line(154, 204),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(54, 54),
        horizontal_line(54, 55),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(134, 152),
        horizontal_line(134, 152),
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(170, 202),
        horizontal_line(186, 202),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(136, 140),
        horizontal_line(130, 139),
        horizontal_line(125, 139),
        horizontal_line(109, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1235_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(137, 183),
        horizontal_line(137, 182),
        horizontal_line(111, 120),
        horizontal_line(111, 119),
        horizontal_line(110, 118),
        horizontal_line(134, 180),
    };

    constexpr const shape frame_1235_shape_group_7_shapes[] = {
        shape(frame_1235_shape_group_7_shape_0_horizontal_lines, 76, 14),
        shape(frame_1235_shape_group_7_shape_1_horizontal_lines, 79, 2),
        shape(frame_1235_shape_group_7_shape_2_horizontal_lines, 81, 3),
        shape(frame_1235_shape_group_7_shape_3_horizontal_lines, 85, 2),
        shape(frame_1235_shape_group_7_shape_4_horizontal_lines, 86, 1),
        shape(frame_1235_shape_group_7_shape_5_horizontal_lines, 90, 14),
        shape(frame_1235_shape_group_7_shape_6_horizontal_lines, 91, 2),
        shape(frame_1235_shape_group_7_shape_7_horizontal_lines, 97, 14),
        shape(frame_1235_shape_group_7_shape_8_horizontal_lines, 100, 2),
        shape(frame_1235_shape_group_7_shape_9_horizontal_lines, 101, 1),
        shape(frame_1235_shape_group_7_shape_10_horizontal_lines, 103, 2),
        shape(frame_1235_shape_group_7_shape_11_horizontal_lines, 104, 1),
        shape(frame_1235_shape_group_7_shape_12_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(142, 153),
        horizontal_line(140, 153),
        horizontal_line(137, 153),
        horizontal_line(135, 152),
        horizontal_line(134, 152),
        horizontal_line(134, 152),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(56, 61),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(124, 138),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1235_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(136, 182),
        horizontal_line(135, 181),
        horizontal_line(135, 180),
    };

    constexpr const shape frame_1235_shape_group_8_shapes[] = {
        shape(frame_1235_shape_group_8_shape_0_horizontal_lines, 79, 14),
        shape(frame_1235_shape_group_8_shape_1_horizontal_lines, 81, 2),
        shape(frame_1235_shape_group_8_shape_2_horizontal_lines, 85, 14),
        shape(frame_1235_shape_group_8_shape_3_horizontal_lines, 86, 2),
        shape(frame_1235_shape_group_8_shape_4_horizontal_lines, 90, 14),
        shape(frame_1235_shape_group_8_shape_5_horizontal_lines, 101, 2),
        shape(frame_1235_shape_group_8_shape_6_horizontal_lines, 107, 1),
        shape(frame_1235_shape_group_8_shape_7_horizontal_lines, 109, 2),
        shape(frame_1235_shape_group_8_shape_8_horizontal_lines, 110, 14),
        shape(frame_1235_shape_group_8_shape_9_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1235_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(153, 153),
        horizontal_line(150, 153),
        horizontal_line(148, 153),
    };

    constexpr const horizontal_line frame_1235_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(56, 60),
        horizontal_line(56, 61),
        horizontal_line(142, 142),
        horizontal_line(56, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
        horizontal_line(0, 38),
        horizontal_line(0, 34),
        horizontal_line(138, 184),
    };

    constexpr const shape frame_1235_shape_group_9_shapes[] = {
        shape(frame_1235_shape_group_9_shape_0_horizontal_lines, 81, 14),
        shape(frame_1235_shape_group_9_shape_1_horizontal_lines, 86, 14),
        shape(frame_1235_shape_group_9_shape_2_horizontal_lines, 91, 14),
        shape(frame_1235_shape_group_9_shape_3_horizontal_lines, 100, 14),
        shape(frame_1235_shape_group_9_shape_4_horizontal_lines, 101, 2),
    };

    constexpr const horizontal_line frame_1235_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(134, 147),
        horizontal_line(134, 142),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_1235_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(141, 149),
        horizontal_line(140, 156),
        horizontal_line(140, 163),
        horizontal_line(57, 61),
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_1235_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(112, 115),
    };

    constexpr const shape frame_1235_shape_group_10_shapes[] = {
        shape(frame_1235_shape_group_10_shape_0_horizontal_lines, 87, 14),
        shape(frame_1235_shape_group_10_shape_1_horizontal_lines, 101, 14),
        shape(frame_1235_shape_group_10_shape_2_horizontal_lines, 104, 2),
        shape(frame_1235_shape_group_10_shape_3_horizontal_lines, 109, 14),
    };

    constexpr const horizontal_line frame_1235_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(134, 137),
        horizontal_line(118, 119),
        horizontal_line(116, 119),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_1235_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(122, 123),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_1235_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const shape frame_1235_shape_group_11_shapes[] = {
        shape(frame_1235_shape_group_11_shape_0_horizontal_lines, 101, 14),
        shape(frame_1235_shape_group_11_shape_1_horizontal_lines, 107, 2),
        shape(frame_1235_shape_group_11_shape_2_horizontal_lines, 109, 14),
    };

    constexpr const horizontal_line frame_1235_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(208, 239),
        horizontal_line(213, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1235_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(139, 170),
        horizontal_line(138, 177),
    };

    constexpr const shape frame_1235_shape_group_12_shapes[] = {
        shape(frame_1235_shape_group_12_shape_0_horizontal_lines, 103, 14),
        shape(frame_1235_shape_group_12_shape_1_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1235_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(114, 119),
        horizontal_line(113, 118),
    };

    constexpr const shape frame_1235_shape_group_13_shapes[] = {
        shape(frame_1235_shape_group_13_shape_0_horizontal_lines, 107, 14),
    };

    constexpr const horizontal_line frame_1235_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_1235_shape_group_14_shapes[] = {
        shape(frame_1235_shape_group_14_shape_0_horizontal_lines, 107, 14),
    };

    constexpr const shape_group frame_1235_shape_groups[] = {
        shape_group(frame_1235_shape_group_0_shapes),
        shape_group(frame_1235_shape_group_1_shapes),
        shape_group(frame_1235_shape_group_2_shapes),
        shape_group(frame_1235_shape_group_3_shapes),
        shape_group(frame_1235_shape_group_4_shapes),
        shape_group(frame_1235_shape_group_5_shapes),
        shape_group(frame_1235_shape_group_6_shapes),
        shape_group(frame_1235_shape_group_7_shapes),
        shape_group(frame_1235_shape_group_8_shapes),
        shape_group(frame_1235_shape_group_9_shapes),
        shape_group(frame_1235_shape_group_10_shapes),
        shape_group(frame_1235_shape_group_11_shapes),
        shape_group(frame_1235_shape_group_12_shapes),
        shape_group(frame_1235_shape_group_13_shapes),
        shape_group(frame_1235_shape_group_14_shapes),
    };

    constexpr const frame frame_1235_impl(frame_1235_colors, frame_1235_shape_groups);
} 

const frame& frame_1235()
{
    return frame_1235_impl;
}

namespace
{
    constexpr const bn::color frame_1236_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1236_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(1, 21),
        horizontal_line(13, 22),
    };

    constexpr const horizontal_line frame_1236_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1236_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(26, 29),
        horizontal_line(27, 33),
        horizontal_line(27, 36),
        horizontal_line(28, 39),
        horizontal_line(29, 43),
        horizontal_line(30, 46),
        horizontal_line(30, 49),
        horizontal_line(31, 53),
        horizontal_line(32, 56),
        horizontal_line(33, 59),
        horizontal_line(33, 63),
        horizontal_line(34, 66),
        horizontal_line(35, 69),
        horizontal_line(36, 73),
        horizontal_line(36, 76),
        horizontal_line(37, 80),
        horizontal_line(38, 83),
        horizontal_line(39, 86),
        horizontal_line(39, 90),
        horizontal_line(40, 93),
        horizontal_line(41, 96),
        horizontal_line(42, 100),
        horizontal_line(42, 103),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(35, 61),
        horizontal_line(36, 61),
        horizontal_line(37, 62),
        horizontal_line(38, 62),
        horizontal_line(39, 62),
        horizontal_line(40, 63),
        horizontal_line(41, 63),
        horizontal_line(42, 63),
        horizontal_line(43, 64),
        horizontal_line(44, 64),
        horizontal_line(45, 65),
        horizontal_line(46, 65),
        horizontal_line(47, 65),
        horizontal_line(48, 66),
        horizontal_line(49, 66),
        horizontal_line(50, 66),
        horizontal_line(51, 67),
        horizontal_line(52, 67),
        horizontal_line(53, 68),
        horizontal_line(69, 71),
        horizontal_line(69, 76),
        horizontal_line(69, 81),
        horizontal_line(70, 86),
        horizontal_line(70, 90),
        horizontal_line(70, 95),
        horizontal_line(71, 100),
        horizontal_line(71, 105),
        horizontal_line(71, 109),
        horizontal_line(72, 114),
        horizontal_line(72, 119),
        horizontal_line(72, 124),
        horizontal_line(73, 123),
        horizontal_line(60, 72),
        horizontal_line(60, 72),
        horizontal_line(61, 72),
        horizontal_line(61, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(65, 73),
        horizontal_line(74, 78),
        horizontal_line(74, 85),
        horizontal_line(74, 91),
        horizontal_line(74, 98),
        horizontal_line(74, 105),
        horizontal_line(74, 105),
        horizontal_line(74, 104),
        horizontal_line(75, 103),
        horizontal_line(68, 74),
        horizontal_line(68, 74),
        horizontal_line(69, 74),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1236_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(77, 81),
        horizontal_line(85, 87),
        horizontal_line(92, 94),
        horizontal_line(100, 100),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1236_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1236_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 9),
        horizontal_line(0, 18),
        horizontal_line(0, 27),
        horizontal_line(0, 36),
        horizontal_line(0, 45),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1236_shape_group_0_shapes[] = {
        shape(frame_1236_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1236_shape_group_0_shape_1_horizontal_lines, 5, 9),
        shape(frame_1236_shape_group_0_shape_2_horizontal_lines, 6, 4),
        shape(frame_1236_shape_group_0_shape_3_horizontal_lines, 111, 9),
        shape(frame_1236_shape_group_0_shape_4_horizontal_lines, 116, 8),
        shape(frame_1236_shape_group_0_shape_5_horizontal_lines, 123, 9),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(106, 110),
        horizontal_line(106, 113),
        horizontal_line(107, 116),
        horizontal_line(108, 120),
        horizontal_line(109, 123),
        horizontal_line(109, 126),
        horizontal_line(110, 130),
        horizontal_line(111, 133),
        horizontal_line(112, 137),
        horizontal_line(112, 140),
        horizontal_line(113, 143),
        horizontal_line(114, 147),
        horizontal_line(115, 150),
        horizontal_line(115, 153),
        horizontal_line(116, 157),
        horizontal_line(117, 160),
        horizontal_line(118, 163),
        horizontal_line(118, 167),
        horizontal_line(119, 170),
        horizontal_line(120, 173),
        horizontal_line(121, 177),
        horizontal_line(121, 180),
        horizontal_line(122, 183),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(65, 127),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(104, 166),
        horizontal_line(108, 166),
        horizontal_line(112, 163),
        horizontal_line(117, 160),
        horizontal_line(121, 157),
        horizontal_line(125, 154),
        horizontal_line(130, 151),
        horizontal_line(134, 148),
        horizontal_line(138, 145),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(26, 51),
        horizontal_line(27, 51),
        horizontal_line(29, 50),
        horizontal_line(31, 50),
        horizontal_line(33, 49),
        horizontal_line(35, 49),
        horizontal_line(36, 48),
        horizontal_line(38, 48),
        horizontal_line(40, 47),
        horizontal_line(42, 47),
        horizontal_line(44, 46),
        horizontal_line(46, 46),
        horizontal_line(59, 72),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(77, 122),
        horizontal_line(82, 121),
        horizontal_line(87, 119),
        horizontal_line(92, 118),
        horizontal_line(97, 117),
        horizontal_line(102, 115),
        horizontal_line(107, 114),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(57, 63),
        horizontal_line(58, 63),
        horizontal_line(59, 64),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(154, 170),
        horizontal_line(150, 182),
        horizontal_line(147, 194),
        horizontal_line(153, 206),
        horizontal_line(160, 218),
        horizontal_line(166, 214),
        horizontal_line(173, 211),
        horizontal_line(80, 102),
        horizontal_line(86, 101),
        horizontal_line(92, 100),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(70, 74),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(18, 76),
        horizontal_line(14, 76),
        horizontal_line(9, 71),
        horizontal_line(5, 67),
        horizontal_line(1, 63),
        horizontal_line(62, 113),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(1, 63),
        horizontal_line(10, 72),
        horizontal_line(19, 81),
        horizontal_line(28, 90),
        horizontal_line(37, 99),
        horizontal_line(46, 108),
        horizontal_line(55, 117),
    };

    constexpr const horizontal_line frame_1236_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 72),
        horizontal_line(62, 81),
        horizontal_line(62, 90),
        horizontal_line(62, 99),
        horizontal_line(62, 108),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1236_shape_group_1_shapes[] = {
        shape(frame_1236_shape_group_1_shape_0_horizontal_lines, 3, 9),
        shape(frame_1236_shape_group_1_shape_1_horizontal_lines, 6, 9),
        shape(frame_1236_shape_group_1_shape_2_horizontal_lines, 30, 4),
        shape(frame_1236_shape_group_1_shape_3_horizontal_lines, 75, 9),
        shape(frame_1236_shape_group_1_shape_4_horizontal_lines, 88, 4),
        shape(frame_1236_shape_group_1_shape_5_horizontal_lines, 96, 9),
        shape(frame_1236_shape_group_1_shape_6_horizontal_lines, 99, 4),
        shape(frame_1236_shape_group_1_shape_7_horizontal_lines, 110, 9),
        shape(frame_1236_shape_group_1_shape_8_horizontal_lines, 111, 8),
        shape(frame_1236_shape_group_1_shape_9_horizontal_lines, 130, 9),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(3, 45),
        horizontal_line(5, 46),
        horizontal_line(6, 46),
        horizontal_line(8, 47),
        horizontal_line(9, 48),
        horizontal_line(11, 49),
        horizontal_line(12, 49),
        horizontal_line(13, 50),
        horizontal_line(15, 51),
        horizontal_line(16, 52),
        horizontal_line(18, 52),
        horizontal_line(19, 53),
        horizontal_line(21, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 55),
        horizontal_line(25, 56),
        horizontal_line(26, 57),
        horizontal_line(28, 58),
        horizontal_line(29, 58),
        horizontal_line(31, 59),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(185, 187),
        horizontal_line(186, 190),
        horizontal_line(127, 189),
        horizontal_line(131, 192),
        horizontal_line(135, 189),
        horizontal_line(140, 186),
        horizontal_line(144, 183),
        horizontal_line(148, 180),
        horizontal_line(153, 177),
        horizontal_line(157, 174),
        horizontal_line(161, 171),
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(28, 44),
        horizontal_line(28, 45),
        horizontal_line(27, 46),
        horizontal_line(27, 47),
        horizontal_line(26, 48),
        horizontal_line(26, 49),
        horizontal_line(25, 50),
        horizontal_line(25, 51),
        horizontal_line(25, 52),
        horizontal_line(53, 68),
        horizontal_line(54, 68),
        horizontal_line(54, 68),
        horizontal_line(55, 69),
        horizontal_line(55, 69),
        horizontal_line(56, 69),
        horizontal_line(56, 70),
        horizontal_line(57, 70),
        horizontal_line(57, 70),
        horizontal_line(58, 71),
        horizontal_line(58, 71),
        horizontal_line(59, 71),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(44, 58),
        horizontal_line(46, 59),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 60),
        horizontal_line(58, 60),
        horizontal_line(58, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 62),
        horizontal_line(56, 62),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(38, 52),
        horizontal_line(39, 53),
        horizontal_line(39, 53),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(60, 63),
        horizontal_line(61, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(66, 73),
        horizontal_line(67, 73),
        horizontal_line(67, 73),
        horizontal_line(68, 74),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(180, 208),
        horizontal_line(186, 204),
        horizontal_line(193, 201),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(23, 69),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(76, 84),
        horizontal_line(71, 91),
        horizontal_line(67, 99),
        horizontal_line(63, 106),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(120, 136),
        horizontal_line(122, 136),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(63, 125),
        horizontal_line(72, 134),
        horizontal_line(81, 143),
        horizontal_line(90, 148),
        horizontal_line(99, 150),
        horizontal_line(108, 152),
        horizontal_line(117, 154),
        horizontal_line(64, 126),
        horizontal_line(73, 135),
        horizontal_line(82, 144),
        horizontal_line(91, 153),
        horizontal_line(100, 162),
        horizontal_line(109, 165),
        horizontal_line(118, 167),
    };

    constexpr const horizontal_line frame_1236_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 135),
        horizontal_line(124, 144),
        horizontal_line(124, 153),
        horizontal_line(124, 162),
        horizontal_line(124, 171),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1236_shape_group_2_shapes[] = {
        shape(frame_1236_shape_group_2_shape_0_horizontal_lines, 30, 9),
        shape(frame_1236_shape_group_2_shape_1_horizontal_lines, 54, 4),
        shape(frame_1236_shape_group_2_shape_2_horizontal_lines, 66, 9),
        shape(frame_1236_shape_group_2_shape_3_horizontal_lines, 87, 8),
        shape(frame_1236_shape_group_2_shape_4_horizontal_lines, 89, 9),
        shape(frame_1236_shape_group_2_shape_5_horizontal_lines, 96, 1),
        shape(frame_1236_shape_group_2_shape_6_horizontal_lines, 99, 9),
        shape(frame_1236_shape_group_2_shape_7_horizontal_lines, 107, 4),
        shape(frame_1236_shape_group_2_shape_8_horizontal_lines, 110, 8),
        shape(frame_1236_shape_group_2_shape_9_horizontal_lines, 111, 1),
        shape(frame_1236_shape_group_2_shape_10_horizontal_lines, 112, 8),
        shape(frame_1236_shape_group_2_shape_11_horizontal_lines, 116, 1),
        shape(frame_1236_shape_group_2_shape_12_horizontal_lines, 118, 8),
        shape(frame_1236_shape_group_2_shape_13_horizontal_lines, 137, 9),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(32, 60),
        horizontal_line(34, 61),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(189, 194),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(33, 35),
        horizontal_line(32, 36),
        horizontal_line(32, 37),
        horizontal_line(31, 38),
        horizontal_line(31, 39),
        horizontal_line(30, 40),
        horizontal_line(30, 41),
        horizontal_line(29, 42),
        horizontal_line(29, 43),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(3, 27),
        horizontal_line(6, 26),
        horizontal_line(9, 26),
        horizontal_line(12, 25),
        horizontal_line(15, 25),
        horizontal_line(18, 24),
        horizontal_line(21, 24),
        horizontal_line(24, 24),
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(51, 53),
        horizontal_line(30, 30),
        horizontal_line(31, 32),
        horizontal_line(33, 34),
        horizontal_line(34, 35),
        horizontal_line(36, 37),
        horizontal_line(37, 39),
        horizontal_line(39, 41),
        horizontal_line(41, 43),
        horizontal_line(42, 45),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(37, 43),
        horizontal_line(37, 45),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(47, 58),
        horizontal_line(49, 58),
        horizontal_line(51, 57),
        horizontal_line(53, 57),
        horizontal_line(54, 56),
        horizontal_line(55, 56),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(38, 52),
        horizontal_line(113, 114),
        horizontal_line(112, 117),
        horizontal_line(111, 119),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(65, 73),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(63, 66),
        horizontal_line(64, 66),
        horizontal_line(64, 67),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(48, 54),
        horizontal_line(55, 61),
        horizontal_line(63, 68),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 140),
        horizontal_line(113, 113),
        horizontal_line(99, 102),
        horizontal_line(98, 105),
        horizontal_line(101, 104),
        horizontal_line(108, 110),
        horizontal_line(195, 219),
        horizontal_line(194, 222),
        horizontal_line(129, 135),
        horizontal_line(193, 229),
        horizontal_line(193, 232),
        horizontal_line(192, 235),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(125, 143),
        horizontal_line(134, 145),
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(126, 156),
        horizontal_line(135, 158),
        horizontal_line(144, 159),
        horizontal_line(153, 161),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(127, 169),
        horizontal_line(136, 170),
        horizontal_line(145, 172),
        horizontal_line(154, 174),
        horizontal_line(163, 176),
        horizontal_line(172, 178),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 192),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 196),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
    };

    constexpr const shape frame_1236_shape_group_3_shapes[] = {
        shape(frame_1236_shape_group_3_shape_0_horizontal_lines, 32, 8),
        shape(frame_1236_shape_group_3_shape_1_horizontal_lines, 54, 9),
        shape(frame_1236_shape_group_3_shape_2_horizontal_lines, 56, 4),
        shape(frame_1236_shape_group_3_shape_3_horizontal_lines, 57, 9),
        shape(frame_1236_shape_group_3_shape_4_horizontal_lines, 66, 8),
        shape(frame_1236_shape_group_3_shape_5_horizontal_lines, 87, 1),
        shape(frame_1236_shape_group_3_shape_6_horizontal_lines, 89, 8),
        shape(frame_1236_shape_group_3_shape_7_horizontal_lines, 95, 1),
        shape(frame_1236_shape_group_3_shape_8_horizontal_lines, 99, 9),
        shape(frame_1236_shape_group_3_shape_9_horizontal_lines, 103, 8),
        shape(frame_1236_shape_group_3_shape_10_horizontal_lines, 107, 9),
        shape(frame_1236_shape_group_3_shape_11_horizontal_lines, 110, 1),
        shape(frame_1236_shape_group_3_shape_12_horizontal_lines, 123, 8),
        shape(frame_1236_shape_group_3_shape_13_horizontal_lines, 126, 1),
        shape(frame_1236_shape_group_3_shape_14_horizontal_lines, 130, 8),
        shape(frame_1236_shape_group_3_shape_15_horizontal_lines, 135, 1),
        shape(frame_1236_shape_group_3_shape_16_horizontal_lines, 137, 8),
        shape(frame_1236_shape_group_3_shape_17_horizontal_lines, 143, 1),
        shape(frame_1236_shape_group_3_shape_18_horizontal_lines, 148, 9),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(33, 34),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(142, 143),
        horizontal_line(141, 145),
        horizontal_line(139, 147),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(51, 54),
        horizontal_line(50, 54),
        horizontal_line(50, 55),
        horizontal_line(49, 55),
        horizontal_line(49, 56),
        horizontal_line(48, 56),
        horizontal_line(48, 57),
        horizontal_line(47, 57),
        horizontal_line(47, 58),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(127, 151),
        horizontal_line(129, 148),
        horizontal_line(37, 46),
        horizontal_line(37, 48),
        horizontal_line(37, 50),
        horizontal_line(38, 52),
        horizontal_line(38, 52),
        horizontal_line(38, 52),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 219),
        horizontal_line(158, 219),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(63, 65),
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(41, 54),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(27, 62),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(199, 199),
        horizontal_line(124, 139),
        horizontal_line(111, 112),
        horizontal_line(109, 112),
        horizontal_line(107, 111),
        horizontal_line(121, 137),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(114, 119),
        horizontal_line(137, 193),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(194, 225),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(137, 192),
        horizontal_line(138, 192),
        horizontal_line(140, 191),
        horizontal_line(142, 191),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(149, 188),
        horizontal_line(151, 188),
        horizontal_line(153, 187),
        horizontal_line(155, 187),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(166, 183),
        horizontal_line(168, 183),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
    };

    constexpr const shape frame_1236_shape_group_4_shapes[] = {
        shape(frame_1236_shape_group_4_shape_0_horizontal_lines, 46, 1),
        shape(frame_1236_shape_group_4_shape_1_horizontal_lines, 54, 8),
        shape(frame_1236_shape_group_4_shape_2_horizontal_lines, 56, 9),
        shape(frame_1236_shape_group_4_shape_3_horizontal_lines, 57, 8),
        shape(frame_1236_shape_group_4_shape_4_horizontal_lines, 66, 1),
        shape(frame_1236_shape_group_4_shape_5_horizontal_lines, 78, 8),
        shape(frame_1236_shape_group_4_shape_6_horizontal_lines, 87, 1),
        shape(frame_1236_shape_group_4_shape_7_horizontal_lines, 99, 8),
        shape(frame_1236_shape_group_4_shape_8_horizontal_lines, 103, 1),
        shape(frame_1236_shape_group_4_shape_9_horizontal_lines, 107, 9),
        shape(frame_1236_shape_group_4_shape_10_horizontal_lines, 109, 8),
        shape(frame_1236_shape_group_4_shape_11_horizontal_lines, 110, 1),
        shape(frame_1236_shape_group_4_shape_12_horizontal_lines, 116, 2),
        shape(frame_1236_shape_group_4_shape_13_horizontal_lines, 118, 1),
        shape(frame_1236_shape_group_4_shape_14_horizontal_lines, 119, 2),
        shape(frame_1236_shape_group_4_shape_15_horizontal_lines, 123, 1),
        shape(frame_1236_shape_group_4_shape_16_horizontal_lines, 126, 2),
        shape(frame_1236_shape_group_4_shape_17_horizontal_lines, 130, 1),
        shape(frame_1236_shape_group_4_shape_18_horizontal_lines, 135, 2),
        shape(frame_1236_shape_group_4_shape_19_horizontal_lines, 137, 1),
        shape(frame_1236_shape_group_4_shape_20_horizontal_lines, 148, 1),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(217, 222),
        horizontal_line(211, 222),
        horizontal_line(205, 222),
        horizontal_line(138, 148),
        horizontal_line(136, 150),
        horizontal_line(135, 152),
        horizontal_line(133, 153),
        horizontal_line(132, 155),
        horizontal_line(36, 36),
        horizontal_line(36, 38),
        horizontal_line(36, 40),
        horizontal_line(36, 41),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(131, 145),
        horizontal_line(133, 142),
        horizontal_line(135, 139),
        horizontal_line(137, 137),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(220, 220),
        horizontal_line(220, 220),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(39, 53),
        horizontal_line(39, 53),
        horizontal_line(39, 53),
        horizontal_line(40, 54),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(36, 47),
        horizontal_line(32, 54),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(198, 202),
        horizontal_line(123, 139),
        horizontal_line(122, 138),
        horizontal_line(122, 137),
        horizontal_line(196, 215),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(137, 194),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(136, 193),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(144, 190),
        horizontal_line(146, 189),
        horizontal_line(148, 189),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(157, 186),
        horizontal_line(159, 185),
        horizontal_line(160, 185),
        horizontal_line(162, 184),
        horizontal_line(164, 184),
    };

    constexpr const horizontal_line frame_1236_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(170, 182),
        horizontal_line(171, 181),
        horizontal_line(173, 181),
        horizontal_line(175, 180),
        horizontal_line(177, 180),
        horizontal_line(179, 179),
    };

    constexpr const shape frame_1236_shape_group_5_shapes[] = {
        shape(frame_1236_shape_group_5_shape_0_horizontal_lines, 54, 1),
        shape(frame_1236_shape_group_5_shape_1_horizontal_lines, 56, 8),
        shape(frame_1236_shape_group_5_shape_2_horizontal_lines, 57, 1),
        shape(frame_1236_shape_group_5_shape_3_horizontal_lines, 67, 3),
        shape(frame_1236_shape_group_5_shape_4_horizontal_lines, 75, 1),
        shape(frame_1236_shape_group_5_shape_5_horizontal_lines, 97, 2),
        shape(frame_1236_shape_group_5_shape_6_horizontal_lines, 99, 1),
        shape(frame_1236_shape_group_5_shape_7_horizontal_lines, 107, 8),
        shape(frame_1236_shape_group_5_shape_8_horizontal_lines, 109, 1),
        shape(frame_1236_shape_group_5_shape_9_horizontal_lines, 110, 2),
        shape(frame_1236_shape_group_5_shape_10_horizontal_lines, 111, 1),
        shape(frame_1236_shape_group_5_shape_11_horizontal_lines, 116, 2),
        shape(frame_1236_shape_group_5_shape_12_horizontal_lines, 118, 2),
        shape(frame_1236_shape_group_5_shape_13_horizontal_lines, 123, 2),
        shape(frame_1236_shape_group_5_shape_14_horizontal_lines, 130, 2),
        shape(frame_1236_shape_group_5_shape_15_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(1, 25),
        horizontal_line(6, 26),
        horizontal_line(11, 28),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(198, 222),
        horizontal_line(192, 222),
        horizontal_line(186, 222),
        horizontal_line(179, 222),
        horizontal_line(173, 221),
        horizontal_line(130, 157),
        horizontal_line(129, 159),
        horizontal_line(127, 157),
        horizontal_line(126, 154),
        horizontal_line(221, 221),
        horizontal_line(221, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 220),
        horizontal_line(159, 220),
        horizontal_line(158, 220),
        horizontal_line(220, 220),
        horizontal_line(220, 220),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(54, 57),
        horizontal_line(54, 58),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(108, 119),
        horizontal_line(107, 118),
        horizontal_line(107, 116),
        horizontal_line(108, 115),
        horizontal_line(110, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(65, 66),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(115, 123),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(197, 205),
        horizontal_line(197, 209),
        horizontal_line(196, 212),
    };

    constexpr const horizontal_line frame_1236_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_1236_shape_group_6_shapes[] = {
        shape(frame_1236_shape_group_6_shape_0_horizontal_lines, 56, 1),
        shape(frame_1236_shape_group_6_shape_1_horizontal_lines, 75, 3),
        shape(frame_1236_shape_group_6_shape_2_horizontal_lines, 78, 1),
        shape(frame_1236_shape_group_6_shape_3_horizontal_lines, 95, 2),
        shape(frame_1236_shape_group_6_shape_4_horizontal_lines, 99, 1),
        shape(frame_1236_shape_group_6_shape_5_horizontal_lines, 107, 8),
        shape(frame_1236_shape_group_6_shape_6_horizontal_lines, 109, 2),
        shape(frame_1236_shape_group_6_shape_7_horizontal_lines, 112, 1),
        shape(frame_1236_shape_group_6_shape_8_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(16, 29),
        horizontal_line(21, 30),
        horizontal_line(26, 32),
        horizontal_line(31, 33),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(167, 221),
        horizontal_line(161, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(221, 221),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(220, 220),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(137, 157),
        horizontal_line(136, 157),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(159, 219),
        horizontal_line(171, 219),
        horizontal_line(183, 219),
        horizontal_line(195, 219),
        horizontal_line(140, 144),
        horizontal_line(134, 143),
        horizontal_line(128, 143),
        horizontal_line(127, 142),
        horizontal_line(55, 55),
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1236_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(117, 124),
        horizontal_line(141, 198),
        horizontal_line(114, 123),
        horizontal_line(0, 13),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(111, 120),
    };

    constexpr const shape frame_1236_shape_group_7_shapes[] = {
        shape(frame_1236_shape_group_7_shape_0_horizontal_lines, 75, 2),
        shape(frame_1236_shape_group_7_shape_1_horizontal_lines, 78, 3),
        shape(frame_1236_shape_group_7_shape_2_horizontal_lines, 82, 2),
        shape(frame_1236_shape_group_7_shape_3_horizontal_lines, 83, 1),
        shape(frame_1236_shape_group_7_shape_4_horizontal_lines, 87, 2),
        shape(frame_1236_shape_group_7_shape_5_horizontal_lines, 89, 1),
        shape(frame_1236_shape_group_7_shape_6_horizontal_lines, 90, 2),
        shape(frame_1236_shape_group_7_shape_7_horizontal_lines, 92, 1),
        shape(frame_1236_shape_group_7_shape_8_horizontal_lines, 93, 2),
        shape(frame_1236_shape_group_7_shape_9_horizontal_lines, 97, 14),
        shape(frame_1236_shape_group_7_shape_10_horizontal_lines, 99, 1),
        shape(frame_1236_shape_group_7_shape_11_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 20),
        horizontal_line(0, 25),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(221, 221),
        horizontal_line(221, 221),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(152, 158),
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(143, 158),
        horizontal_line(140, 158),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(53, 53),
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(137, 157),
        horizontal_line(137, 157),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(207, 219),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(126, 141),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(141, 192),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_1236_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(140, 197),
        horizontal_line(113, 122),
        horizontal_line(113, 121),
        horizontal_line(112, 121),
        horizontal_line(138, 195),
    };

    constexpr const shape frame_1236_shape_group_8_shapes[] = {
        shape(frame_1236_shape_group_8_shape_0_horizontal_lines, 75, 14),
        shape(frame_1236_shape_group_8_shape_1_horizontal_lines, 78, 2),
        shape(frame_1236_shape_group_8_shape_2_horizontal_lines, 82, 14),
        shape(frame_1236_shape_group_8_shape_3_horizontal_lines, 83, 2),
        shape(frame_1236_shape_group_8_shape_4_horizontal_lines, 85, 1),
        shape(frame_1236_shape_group_8_shape_5_horizontal_lines, 87, 14),
        shape(frame_1236_shape_group_8_shape_6_horizontal_lines, 89, 2),
        shape(frame_1236_shape_group_8_shape_7_horizontal_lines, 90, 14),
        shape(frame_1236_shape_group_8_shape_8_horizontal_lines, 92, 2),
        shape(frame_1236_shape_group_8_shape_9_horizontal_lines, 95, 14),
        shape(frame_1236_shape_group_8_shape_10_horizontal_lines, 99, 2),
        shape(frame_1236_shape_group_8_shape_11_horizontal_lines, 103, 1),
        shape(frame_1236_shape_group_8_shape_12_horizontal_lines, 104, 2),
        shape(frame_1236_shape_group_8_shape_13_horizontal_lines, 107, 1),
        shape(frame_1236_shape_group_8_shape_14_horizontal_lines, 109, 2),
        shape(frame_1236_shape_group_8_shape_15_horizontal_lines, 110, 14),
        shape(frame_1236_shape_group_8_shape_16_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(146, 158),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(138, 157),
        horizontal_line(137, 157),
        horizontal_line(137, 157),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(54, 59),
        horizontal_line(54, 60),
        horizontal_line(54, 61),
        horizontal_line(55, 61),
        horizontal_line(0, 39),
        horizontal_line(55, 61),
        horizontal_line(55, 61),
        horizontal_line(55, 62),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(126, 142),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_1236_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(140, 196),
        horizontal_line(139, 196),
        horizontal_line(138, 195),
    };

    constexpr const shape frame_1236_shape_group_9_shapes[] = {
        shape(frame_1236_shape_group_9_shape_0_horizontal_lines, 78, 14),
        shape(frame_1236_shape_group_9_shape_1_horizontal_lines, 83, 14),
        shape(frame_1236_shape_group_9_shape_2_horizontal_lines, 85, 2),
        shape(frame_1236_shape_group_9_shape_3_horizontal_lines, 87, 14),
        shape(frame_1236_shape_group_9_shape_4_horizontal_lines, 99, 2),
        shape(frame_1236_shape_group_9_shape_5_horizontal_lines, 107, 1),
        shape(frame_1236_shape_group_9_shape_6_horizontal_lines, 108, 2),
        shape(frame_1236_shape_group_9_shape_7_horizontal_lines, 109, 14),
        shape(frame_1236_shape_group_9_shape_8_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_1236_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(136, 157),
        horizontal_line(136, 149),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_1236_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(55, 61),
        horizontal_line(144, 159),
        horizontal_line(144, 165),
        horizontal_line(125, 126),
        horizontal_line(0, 35),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_1236_shape_group_10_shapes[] = {
        shape(frame_1236_shape_group_10_shape_0_horizontal_lines, 85, 14),
        shape(frame_1236_shape_group_10_shape_1_horizontal_lines, 89, 14),
        shape(frame_1236_shape_group_10_shape_2_horizontal_lines, 92, 14),
        shape(frame_1236_shape_group_10_shape_3_horizontal_lines, 99, 14),
        shape(frame_1236_shape_group_10_shape_4_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(136, 141),
        horizontal_line(119, 121),
    };

    constexpr const horizontal_line frame_1236_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(145, 152),
    };

    constexpr const horizontal_line frame_1236_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(116, 120),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_1236_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(143, 172),
        horizontal_line(56, 62),
        horizontal_line(120, 125),
    };

    constexpr const shape frame_1236_shape_group_11_shapes[] = {
        shape(frame_1236_shape_group_11_shape_0_horizontal_lines, 85, 14),
        shape(frame_1236_shape_group_11_shape_1_horizontal_lines, 99, 14),
        shape(frame_1236_shape_group_11_shape_2_horizontal_lines, 103, 2),
        shape(frame_1236_shape_group_11_shape_3_horizontal_lines, 104, 14),
        shape(frame_1236_shape_group_11_shape_4_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(117, 121),
        horizontal_line(220, 239),
        horizontal_line(127, 127),
        horizontal_line(113, 120),
    };

    constexpr const horizontal_line frame_1236_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(142, 185),
    };

    constexpr const shape frame_1236_shape_group_12_shapes[] = {
        shape(frame_1236_shape_group_12_shape_0_horizontal_lines, 101, 14),
        shape(frame_1236_shape_group_12_shape_1_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1236_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1236_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_1236_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(143, 179),
    };

    constexpr const horizontal_line frame_1236_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(113, 119),
    };

    constexpr const shape frame_1236_shape_group_13_shapes[] = {
        shape(frame_1236_shape_group_13_shape_0_horizontal_lines, 103, 14),
        shape(frame_1236_shape_group_13_shape_1_horizontal_lines, 105, 14),
        shape(frame_1236_shape_group_13_shape_2_horizontal_lines, 107, 2),
        shape(frame_1236_shape_group_13_shape_3_horizontal_lines, 108, 14),
    };

    constexpr const horizontal_line frame_1236_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(113, 120),
    };

    constexpr const shape frame_1236_shape_group_14_shapes[] = {
        shape(frame_1236_shape_group_14_shape_0_horizontal_lines, 106, 14),
    };

    constexpr const shape_group frame_1236_shape_groups[] = {
        shape_group(frame_1236_shape_group_0_shapes),
        shape_group(frame_1236_shape_group_1_shapes),
        shape_group(frame_1236_shape_group_2_shapes),
        shape_group(frame_1236_shape_group_3_shapes),
        shape_group(frame_1236_shape_group_4_shapes),
        shape_group(frame_1236_shape_group_5_shapes),
        shape_group(frame_1236_shape_group_6_shapes),
        shape_group(frame_1236_shape_group_7_shapes),
        shape_group(frame_1236_shape_group_8_shapes),
        shape_group(frame_1236_shape_group_9_shapes),
        shape_group(frame_1236_shape_group_10_shapes),
        shape_group(frame_1236_shape_group_11_shapes),
        shape_group(frame_1236_shape_group_12_shapes),
        shape_group(frame_1236_shape_group_13_shapes),
        shape_group(frame_1236_shape_group_14_shapes),
    };

    constexpr const frame frame_1236_impl(frame_1236_colors, frame_1236_shape_groups);
} 

const frame& frame_1236()
{
    return frame_1236_impl;
}

namespace
{
    constexpr const bn::color frame_1237_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1237_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 43),
        horizontal_line(3, 44),
        horizontal_line(5, 45),
        horizontal_line(6, 46),
        horizontal_line(8, 46),
        horizontal_line(9, 47),
        horizontal_line(10, 48),
        horizontal_line(12, 49),
        horizontal_line(13, 49),
        horizontal_line(15, 50),
        horizontal_line(16, 51),
        horizontal_line(17, 52),
        horizontal_line(19, 52),
        horizontal_line(20, 53),
        horizontal_line(22, 54),
        horizontal_line(23, 55),
        horizontal_line(24, 55),
        horizontal_line(26, 56),
        horizontal_line(27, 57),
        horizontal_line(29, 58),
        horizontal_line(28, 29),
        horizontal_line(28, 30),
        horizontal_line(27, 31),
        horizontal_line(27, 32),
        horizontal_line(26, 33),
        horizontal_line(26, 34),
        horizontal_line(25, 35),
        horizontal_line(25, 36),
        horizontal_line(24, 37),
        horizontal_line(24, 38),
        horizontal_line(23, 39),
        horizontal_line(23, 40),
        horizontal_line(22, 41),
        horizontal_line(22, 42),
        horizontal_line(21, 43),
        horizontal_line(21, 44),
        horizontal_line(20, 45),
        horizontal_line(20, 46),
        horizontal_line(19, 47),
        horizontal_line(19, 48),
        horizontal_line(20, 49),
        horizontal_line(21, 68),
        horizontal_line(23, 49),
        horizontal_line(25, 48),
        horizontal_line(26, 48),
        horizontal_line(28, 47),
        horizontal_line(30, 47),
        horizontal_line(32, 46),
        horizontal_line(34, 45),
        horizontal_line(35, 45),
        horizontal_line(37, 44),
        horizontal_line(39, 44),
        horizontal_line(41, 43),
        horizontal_line(43, 43),
        horizontal_line(59, 71),
        horizontal_line(60, 72),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(58, 60),
        horizontal_line(58, 60),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
        horizontal_line(56, 62),
        horizontal_line(56, 62),
        horizontal_line(57, 63),
        horizontal_line(58, 63),
        horizontal_line(59, 73),
        horizontal_line(60, 63),
        horizontal_line(61, 63),
        horizontal_line(61, 62),
        horizontal_line(62, 62),
        horizontal_line(66, 73),
        horizontal_line(67, 73),
        horizontal_line(67, 74),
    };

    constexpr const horizontal_line frame_1237_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(68, 74),
    };

    constexpr const horizontal_line frame_1237_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(44, 53),
        horizontal_line(51, 60),
        horizontal_line(58, 67),
        horizontal_line(65, 74),
        horizontal_line(72, 81),
        horizontal_line(79, 88),
        horizontal_line(86, 94),
        horizontal_line(93, 101),
        horizontal_line(100, 108),
        horizontal_line(107, 115),
        horizontal_line(114, 122),
        horizontal_line(121, 126),
        horizontal_line(128, 131),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_1237_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1237_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
        horizontal_line(0, 30),
        horizontal_line(0, 41),
        horizontal_line(0, 51),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1237_shape_group_0_shapes[] = {
        shape(frame_1237_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1237_shape_group_0_shape_1_horizontal_lines, 105, 4),
        shape(frame_1237_shape_group_0_shape_2_horizontal_lines, 106, 9),
        shape(frame_1237_shape_group_0_shape_3_horizontal_lines, 120, 8),
        shape(frame_1237_shape_group_0_shape_4_horizontal_lines, 132, 9),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(22, 61),
        horizontal_line(22, 64),
        horizontal_line(23, 67),
        horizontal_line(24, 70),
        horizontal_line(24, 73),
        horizontal_line(25, 76),
        horizontal_line(26, 79),
        horizontal_line(27, 82),
        horizontal_line(27, 85),
        horizontal_line(28, 88),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(30, 58),
        horizontal_line(31, 58),
        horizontal_line(32, 59),
        horizontal_line(33, 59),
        horizontal_line(34, 60),
        horizontal_line(35, 60),
        horizontal_line(36, 61),
        horizontal_line(37, 61),
        horizontal_line(38, 62),
        horizontal_line(39, 62),
        horizontal_line(40, 63),
        horizontal_line(41, 63),
        horizontal_line(42, 64),
        horizontal_line(43, 64),
        horizontal_line(44, 65),
        horizontal_line(45, 65),
        horizontal_line(46, 66),
        horizontal_line(47, 66),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(51, 68),
        horizontal_line(52, 68),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(54, 69),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 70),
        horizontal_line(58, 71),
        horizontal_line(58, 71),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(72, 125),
        horizontal_line(73, 124),
        horizontal_line(60, 72),
        horizontal_line(60, 72),
        horizontal_line(61, 72),
        horizontal_line(61, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 73),
        horizontal_line(74, 77),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(65, 73),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(74, 106),
        horizontal_line(74, 105),
        horizontal_line(75, 104),
        horizontal_line(80, 103),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(68, 74),
        horizontal_line(191, 231),
        horizontal_line(197, 228),
        horizontal_line(202, 225),
        horizontal_line(208, 223),
        horizontal_line(213, 220),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(1, 63),
        horizontal_line(11, 73),
        horizontal_line(21, 83),
        horizontal_line(31, 93),
        horizontal_line(42, 104),
        horizontal_line(52, 114),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_1237_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 82),
        horizontal_line(62, 92),
        horizontal_line(62, 103),
        horizontal_line(62, 113),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1237_shape_group_1_shapes[] = {
        shape(frame_1237_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1237_shape_group_1_shape_1_horizontal_lines, 73, 9),
        shape(frame_1237_shape_group_1_shape_2_horizontal_lines, 85, 4),
        shape(frame_1237_shape_group_1_shape_3_horizontal_lines, 98, 9),
        shape(frame_1237_shape_group_1_shape_4_horizontal_lines, 102, 4),
        shape(frame_1237_shape_group_1_shape_5_horizontal_lines, 106, 9),
        shape(frame_1237_shape_group_1_shape_6_horizontal_lines, 108, 4),
        shape(frame_1237_shape_group_1_shape_7_horizontal_lines, 114, 8),
        shape(frame_1237_shape_group_1_shape_8_horizontal_lines, 139, 9),
    };

    constexpr const horizontal_line frame_1237_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(91, 91),
        horizontal_line(92, 94),
        horizontal_line(92, 97),
        horizontal_line(93, 100),
        horizontal_line(94, 103),
        horizontal_line(95, 106),
        horizontal_line(95, 109),
        horizontal_line(96, 113),
        horizontal_line(97, 116),
        horizontal_line(98, 119),
        horizontal_line(98, 122),
        horizontal_line(99, 125),
        horizontal_line(100, 128),
        horizontal_line(101, 131),
        horizontal_line(101, 134),
        horizontal_line(102, 137),
        horizontal_line(103, 140),
        horizontal_line(103, 143),
        horizontal_line(104, 146),
        horizontal_line(105, 149),
        horizontal_line(106, 152),
        horizontal_line(106, 155),
        horizontal_line(107, 158),
        horizontal_line(108, 161),
        horizontal_line(109, 165),
        horizontal_line(109, 168),
        horizontal_line(110, 171),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(62, 124),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(103, 165),
        horizontal_line(107, 169),
        horizontal_line(111, 173),
        horizontal_line(115, 172),
        horizontal_line(119, 169),
        horizontal_line(123, 166),
        horizontal_line(127, 163),
        horizontal_line(131, 160),
        horizontal_line(135, 157),
        horizontal_line(139, 154),
        horizontal_line(143, 151),
        horizontal_line(148, 148),
        horizontal_line(69, 76),
        horizontal_line(69, 80),
        horizontal_line(70, 85),
        horizontal_line(70, 89),
        horizontal_line(70, 94),
        horizontal_line(70, 98),
        horizontal_line(71, 103),
        horizontal_line(71, 107),
        horizontal_line(71, 112),
        horizontal_line(71, 116),
        horizontal_line(72, 121),
        horizontal_line(72, 126),
    };

    constexpr const horizontal_line frame_1237_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(41, 58),
        horizontal_line(43, 59),
    };

    constexpr const horizontal_line frame_1237_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(77, 123),
        horizontal_line(82, 121),
        horizontal_line(87, 120),
        horizontal_line(93, 119),
        horizontal_line(98, 117),
        horizontal_line(103, 116),
        horizontal_line(108, 115),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_1237_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(34, 51),
        horizontal_line(34, 52),
        horizontal_line(35, 52),
    };

    constexpr const horizontal_line frame_1237_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(74, 83),
        horizontal_line(74, 89),
        horizontal_line(74, 94),
        horizontal_line(74, 100),
        horizontal_line(153, 201),
        horizontal_line(158, 210),
        horizontal_line(164, 220),
        horizontal_line(169, 229),
        horizontal_line(68, 74),
        horizontal_line(68, 74),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_1237_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(21, 64),
        horizontal_line(17, 71),
        horizontal_line(13, 75),
        horizontal_line(9, 71),
        horizontal_line(5, 67),
        horizontal_line(63, 99),
        horizontal_line(62, 106),
        horizontal_line(62, 113),
        horizontal_line(62, 120),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(63, 125),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(93, 155),
        horizontal_line(104, 166),
        horizontal_line(114, 171),
        horizontal_line(124, 172),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(93, 155),
        horizontal_line(104, 166),
        horizontal_line(114, 176),
        horizontal_line(124, 183),
    };

    constexpr const horizontal_line frame_1237_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(124, 144),
        horizontal_line(124, 154),
        horizontal_line(124, 165),
        horizontal_line(124, 175),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1237_shape_group_2_shapes[] = {
        shape(frame_1237_shape_group_2_shape_0_horizontal_lines, 10, 4),
        shape(frame_1237_shape_group_2_shape_1_horizontal_lines, 85, 8),
        shape(frame_1237_shape_group_2_shape_2_horizontal_lines, 87, 4),
        shape(frame_1237_shape_group_2_shape_3_horizontal_lines, 95, 1),
        shape(frame_1237_shape_group_2_shape_4_horizontal_lines, 98, 4),
        shape(frame_1237_shape_group_2_shape_5_horizontal_lines, 109, 8),
        shape(frame_1237_shape_group_2_shape_6_horizontal_lines, 145, 9),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(174, 177),
        horizontal_line(174, 180),
        horizontal_line(175, 183),
        horizontal_line(176, 186),
        horizontal_line(177, 189),
        horizontal_line(177, 192),
        horizontal_line(178, 195),
        horizontal_line(179, 198),
        horizontal_line(180, 201),
        horizontal_line(180, 204),
        horizontal_line(181, 207),
        horizontal_line(182, 210),
        horizontal_line(183, 213),
        horizontal_line(124, 186),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(136, 198),
        horizontal_line(140, 199),
        horizontal_line(144, 196),
        horizontal_line(148, 193),
        horizontal_line(152, 190),
        horizontal_line(156, 187),
        horizontal_line(160, 184),
        horizontal_line(165, 181),
        horizontal_line(169, 178),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(3, 20),
        horizontal_line(6, 20),
        horizontal_line(9, 19),
        horizontal_line(12, 19),
        horizontal_line(15, 18),
        horizontal_line(18, 18),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(22, 22),
        horizontal_line(23, 24),
        horizontal_line(25, 25),
        horizontal_line(26, 27),
        horizontal_line(27, 29),
        horizontal_line(28, 31),
        horizontal_line(29, 33),
        horizontal_line(31, 34),
        horizontal_line(33, 36),
        horizontal_line(35, 38),
        horizontal_line(37, 40),
        horizontal_line(39, 42),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(32, 40),
        horizontal_line(32, 42),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(45, 58),
        horizontal_line(47, 58),
        horizontal_line(49, 57),
        horizontal_line(52, 57),
        horizontal_line(53, 56),
        horizontal_line(54, 56),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(34, 51),
        horizontal_line(114, 115),
        horizontal_line(113, 118),
        horizontal_line(112, 120),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(161, 173),
        horizontal_line(158, 182),
        horizontal_line(155, 192),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(63, 66),
        horizontal_line(64, 66),
        horizontal_line(65, 67),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(87, 102),
        horizontal_line(93, 101),
        horizontal_line(186, 233),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(100, 101),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(75, 78),
        horizontal_line(71, 85),
        horizontal_line(67, 92),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(109, 111),
        horizontal_line(122, 143),
        horizontal_line(123, 142),
        horizontal_line(127, 141),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(124, 134),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(125, 162),
        horizontal_line(135, 164),
        horizontal_line(145, 165),
        horizontal_line(155, 167),
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(135, 174),
        horizontal_line(145, 176),
        horizontal_line(155, 178),
        horizontal_line(166, 180),
        horizontal_line(176, 181),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(135, 185),
        horizontal_line(145, 187),
        horizontal_line(155, 188),
        horizontal_line(166, 190),
        horizontal_line(176, 192),
        horizontal_line(186, 194),
    };

    constexpr const horizontal_line frame_1237_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(186, 196),
        horizontal_line(186, 197),
        horizontal_line(186, 198),
        horizontal_line(186, 199),
        horizontal_line(186, 201),
        horizontal_line(186, 202),
        horizontal_line(186, 203),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
    };

    constexpr const shape frame_1237_shape_group_3_shapes[] = {
        shape(frame_1237_shape_group_3_shape_0_horizontal_lines, 30, 8),
        shape(frame_1237_shape_group_3_shape_1_horizontal_lines, 37, 4),
        shape(frame_1237_shape_group_3_shape_2_horizontal_lines, 64, 8),
        shape(frame_1237_shape_group_3_shape_3_horizontal_lines, 71, 3),
        shape(frame_1237_shape_group_3_shape_4_horizontal_lines, 73, 8),
        shape(frame_1237_shape_group_3_shape_5_horizontal_lines, 85, 1),
        shape(frame_1237_shape_group_3_shape_6_horizontal_lines, 87, 8),
        shape(frame_1237_shape_group_3_shape_7_horizontal_lines, 94, 1),
        shape(frame_1237_shape_group_3_shape_8_horizontal_lines, 98, 4),
        shape(frame_1237_shape_group_3_shape_9_horizontal_lines, 102, 8),
        shape(frame_1237_shape_group_3_shape_10_horizontal_lines, 106, 4),
        shape(frame_1237_shape_group_3_shape_11_horizontal_lines, 109, 1),
        shape(frame_1237_shape_group_3_shape_12_horizontal_lines, 111, 8),
        shape(frame_1237_shape_group_3_shape_13_horizontal_lines, 114, 1),
        shape(frame_1237_shape_group_3_shape_14_horizontal_lines, 118, 8),
        shape(frame_1237_shape_group_3_shape_15_horizontal_lines, 120, 1),
        shape(frame_1237_shape_group_3_shape_16_horizontal_lines, 132, 8),
        shape(frame_1237_shape_group_3_shape_17_horizontal_lines, 137, 1),
        shape(frame_1237_shape_group_3_shape_18_horizontal_lines, 139, 8),
        shape(frame_1237_shape_group_3_shape_19_horizontal_lines, 144, 1),
        shape(frame_1237_shape_group_3_shape_20_horizontal_lines, 145, 8),
        shape(frame_1237_shape_group_3_shape_21_horizontal_lines, 151, 9),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(186, 211),
        horizontal_line(190, 208),
        horizontal_line(194, 205),
        horizontal_line(198, 202),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(49, 51),
        horizontal_line(49, 51),
        horizontal_line(48, 52),
        horizontal_line(48, 53),
        horizontal_line(47, 53),
        horizontal_line(46, 54),
        horizontal_line(46, 55),
        horizontal_line(45, 55),
        horizontal_line(45, 56),
        horizontal_line(44, 57),
        horizontal_line(44, 57),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(129, 156),
        horizontal_line(131, 153),
        horizontal_line(32, 44),
        horizontal_line(32, 46),
        horizontal_line(33, 48),
        horizontal_line(33, 51),
        horizontal_line(33, 51),
        horizontal_line(33, 51),
        horizontal_line(34, 51),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(63, 65),
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(36, 53),
        horizontal_line(36, 53),
        horizontal_line(36, 53),
        horizontal_line(37, 53),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(180, 236),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(25, 57),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(112, 113),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(102, 103),
        horizontal_line(123, 143),
        horizontal_line(217, 222),
        horizontal_line(216, 226),
        horizontal_line(216, 230),
        horizontal_line(132, 141),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(150, 210),
        horizontal_line(152, 209),
        horizontal_line(154, 209),
        horizontal_line(156, 208),
        horizontal_line(157, 208),
        horizontal_line(159, 207),
        horizontal_line(161, 206),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(172, 203),
        horizontal_line(173, 202),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(184, 199),
    };

    constexpr const horizontal_line frame_1237_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
    };

    constexpr const shape frame_1237_shape_group_4_shapes[] = {
        shape(frame_1237_shape_group_4_shape_0_horizontal_lines, 37, 8),
        shape(frame_1237_shape_group_4_shape_1_horizontal_lines, 51, 4),
        shape(frame_1237_shape_group_4_shape_2_horizontal_lines, 55, 8),
        shape(frame_1237_shape_group_4_shape_3_horizontal_lines, 64, 1),
        shape(frame_1237_shape_group_4_shape_4_horizontal_lines, 68, 3),
        shape(frame_1237_shape_group_4_shape_5_horizontal_lines, 73, 8),
        shape(frame_1237_shape_group_4_shape_6_horizontal_lines, 85, 1),
        shape(frame_1237_shape_group_4_shape_7_horizontal_lines, 98, 8),
        shape(frame_1237_shape_group_4_shape_8_horizontal_lines, 102, 1),
        shape(frame_1237_shape_group_4_shape_9_horizontal_lines, 106, 4),
        shape(frame_1237_shape_group_4_shape_10_horizontal_lines, 108, 8),
        shape(frame_1237_shape_group_4_shape_11_horizontal_lines, 109, 1),
        shape(frame_1237_shape_group_4_shape_12_horizontal_lines, 120, 2),
        shape(frame_1237_shape_group_4_shape_13_horizontal_lines, 132, 1),
        shape(frame_1237_shape_group_4_shape_14_horizontal_lines, 137, 2),
        shape(frame_1237_shape_group_4_shape_15_horizontal_lines, 139, 1),
        shape(frame_1237_shape_group_4_shape_16_horizontal_lines, 144, 2),
        shape(frame_1237_shape_group_4_shape_17_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(226, 239),
        horizontal_line(222, 239),
        horizontal_line(218, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(147, 148),
        horizontal_line(145, 150),
        horizontal_line(143, 152),
        horizontal_line(142, 154),
        horizontal_line(140, 156),
        horizontal_line(138, 157),
        horizontal_line(136, 159),
        horizontal_line(135, 161),
        horizontal_line(31, 32),
        horizontal_line(31, 34),
        horizontal_line(31, 36),
        horizontal_line(31, 38),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(133, 149),
        horizontal_line(135, 146),
        horizontal_line(137, 143),
        horizontal_line(140, 140),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(35, 52),
        horizontal_line(35, 52),
        horizontal_line(35, 52),
        horizontal_line(36, 53),
        horizontal_line(61, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(29, 50),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(126, 147),
        horizontal_line(126, 146),
        horizontal_line(125, 146),
        horizontal_line(111, 113),
        horizontal_line(109, 112),
        horizontal_line(108, 112),
        horizontal_line(218, 218),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(116, 121),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(215, 234),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(204, 213),
        horizontal_line(205, 212),
        horizontal_line(207, 212),
        horizontal_line(209, 211),
        horizontal_line(211, 211),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(163, 206),
        horizontal_line(165, 205),
        horizontal_line(166, 205),
        horizontal_line(168, 204),
        horizontal_line(170, 203),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(175, 202),
        horizontal_line(177, 201),
        horizontal_line(179, 200),
        horizontal_line(181, 200),
        horizontal_line(182, 199),
    };

    constexpr const horizontal_line frame_1237_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(186, 198),
        horizontal_line(188, 197),
        horizontal_line(189, 197),
        horizontal_line(191, 196),
        horizontal_line(193, 196),
        horizontal_line(195, 195),
    };

    constexpr const shape frame_1237_shape_group_5_shapes[] = {
        shape(frame_1237_shape_group_5_shape_0_horizontal_lines, 44, 1),
        shape(frame_1237_shape_group_5_shape_1_horizontal_lines, 51, 8),
        shape(frame_1237_shape_group_5_shape_2_horizontal_lines, 55, 1),
        shape(frame_1237_shape_group_5_shape_3_horizontal_lines, 65, 3),
        shape(frame_1237_shape_group_5_shape_4_horizontal_lines, 73, 1),
        shape(frame_1237_shape_group_5_shape_5_horizontal_lines, 106, 4),
        shape(frame_1237_shape_group_5_shape_6_horizontal_lines, 107, 8),
        shape(frame_1237_shape_group_5_shape_7_horizontal_lines, 108, 1),
        shape(frame_1237_shape_group_5_shape_8_horizontal_lines, 115, 2),
        shape(frame_1237_shape_group_5_shape_9_horizontal_lines, 118, 1),
        shape(frame_1237_shape_group_5_shape_10_horizontal_lines, 120, 2),
        shape(frame_1237_shape_group_5_shape_11_horizontal_lines, 132, 2),
        shape(frame_1237_shape_group_5_shape_12_horizontal_lines, 139, 2),
        shape(frame_1237_shape_group_5_shape_13_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(225, 239),
        horizontal_line(218, 239),
        horizontal_line(210, 239),
        horizontal_line(203, 239),
        horizontal_line(196, 239),
        horizontal_line(188, 239),
        horizontal_line(181, 239),
        horizontal_line(133, 163),
        horizontal_line(131, 165),
        horizontal_line(129, 162),
        horizontal_line(128, 159),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(111, 123),
        horizontal_line(110, 122),
        horizontal_line(109, 120),
        horizontal_line(61, 61),
        horizontal_line(108, 117),
        horizontal_line(109, 116),
        horizontal_line(111, 114),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(33, 43),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(123, 144),
    };

    constexpr const horizontal_line frame_1237_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(144, 206),
        horizontal_line(205, 215),
        horizontal_line(204, 215),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
    };

    constexpr const shape frame_1237_shape_group_6_shapes[] = {
        shape(frame_1237_shape_group_6_shape_0_horizontal_lines, 51, 1),
        shape(frame_1237_shape_group_6_shape_1_horizontal_lines, 73, 1),
        shape(frame_1237_shape_group_6_shape_2_horizontal_lines, 94, 2),
        shape(frame_1237_shape_group_6_shape_3_horizontal_lines, 98, 1),
        shape(frame_1237_shape_group_6_shape_4_horizontal_lines, 106, 8),
        shape(frame_1237_shape_group_6_shape_5_horizontal_lines, 108, 2),
        shape(frame_1237_shape_group_6_shape_6_horizontal_lines, 111, 1),
        shape(frame_1237_shape_group_6_shape_7_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(5, 24),
        horizontal_line(10, 25),
        horizontal_line(15, 26),
        horizontal_line(20, 27),
        horizontal_line(25, 28),
        horizontal_line(30, 30),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(52, 55),
        horizontal_line(52, 56),
        horizontal_line(53, 57),
        horizontal_line(53, 58),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(165, 227),
        horizontal_line(174, 236),
        horizontal_line(183, 239),
        horizontal_line(108, 119),
        horizontal_line(202, 239),
        horizontal_line(140, 150),
        horizontal_line(129, 149),
        horizontal_line(128, 149),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(116, 125),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(112, 122),
        horizontal_line(206, 216),
    };

    constexpr const horizontal_line frame_1237_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(204, 214),
        horizontal_line(203, 214),
    };

    constexpr const shape frame_1237_shape_group_7_shapes[] = {
        shape(frame_1237_shape_group_7_shape_0_horizontal_lines, 73, 3),
        shape(frame_1237_shape_group_7_shape_1_horizontal_lines, 81, 1),
        shape(frame_1237_shape_group_7_shape_2_horizontal_lines, 85, 2),
        shape(frame_1237_shape_group_7_shape_3_horizontal_lines, 87, 1),
        shape(frame_1237_shape_group_7_shape_4_horizontal_lines, 91, 2),
        shape(frame_1237_shape_group_7_shape_5_horizontal_lines, 98, 1),
        shape(frame_1237_shape_group_7_shape_6_horizontal_lines, 106, 8),
        shape(frame_1237_shape_group_7_shape_7_horizontal_lines, 107, 1),
        shape(frame_1237_shape_group_7_shape_8_horizontal_lines, 108, 2),
        shape(frame_1237_shape_group_7_shape_9_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 9),
        horizontal_line(0, 14),
        horizontal_line(0, 19),
        horizontal_line(0, 24),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(157, 164),
        horizontal_line(154, 164),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(52, 54),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(140, 163),
        horizontal_line(140, 163),
        horizontal_line(140, 163),
        horizontal_line(139, 163),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(221, 239),
        horizontal_line(230, 239),
        horizontal_line(54, 54),
        horizontal_line(127, 147),
    };

    constexpr const horizontal_line frame_1237_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(148, 185),
        horizontal_line(147, 190),
        horizontal_line(147, 196),
        horizontal_line(114, 123),
        horizontal_line(113, 123),
        horizontal_line(113, 122),
        horizontal_line(144, 206),
    };

    constexpr const shape frame_1237_shape_group_8_shapes[] = {
        shape(frame_1237_shape_group_8_shape_0_horizontal_lines, 75, 2),
        shape(frame_1237_shape_group_8_shape_1_horizontal_lines, 81, 1),
        shape(frame_1237_shape_group_8_shape_2_horizontal_lines, 85, 14),
        shape(frame_1237_shape_group_8_shape_3_horizontal_lines, 87, 2),
        shape(frame_1237_shape_group_8_shape_4_horizontal_lines, 94, 14),
        shape(frame_1237_shape_group_8_shape_5_horizontal_lines, 98, 1),
        shape(frame_1237_shape_group_8_shape_6_horizontal_lines, 100, 2),
        shape(frame_1237_shape_group_8_shape_7_horizontal_lines, 101, 1),
        shape(frame_1237_shape_group_8_shape_8_horizontal_lines, 102, 2),
        shape(frame_1237_shape_group_8_shape_9_horizontal_lines, 103, 1),
        shape(frame_1237_shape_group_8_shape_10_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1237_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(150, 164),
        horizontal_line(147, 164),
        horizontal_line(144, 164),
        horizontal_line(141, 164),
        horizontal_line(140, 163),
        horizontal_line(140, 163),
        horizontal_line(140, 163),
    };

    constexpr const horizontal_line frame_1237_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(53, 60),
        horizontal_line(0, 35),
        horizontal_line(54, 60),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1237_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_1237_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1237_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_1237_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(146, 201),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(206, 217),
    };

    constexpr const shape frame_1237_shape_group_9_shapes[] = {
        shape(frame_1237_shape_group_9_shape_0_horizontal_lines, 81, 2),
        shape(frame_1237_shape_group_9_shape_1_horizontal_lines, 87, 14),
        shape(frame_1237_shape_group_9_shape_2_horizontal_lines, 98, 2),
        shape(frame_1237_shape_group_9_shape_3_horizontal_lines, 106, 1),
        shape(frame_1237_shape_group_9_shape_4_horizontal_lines, 107, 2),
        shape(frame_1237_shape_group_9_shape_5_horizontal_lines, 108, 14),
        shape(frame_1237_shape_group_9_shape_6_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_1237_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(53, 59),
        horizontal_line(53, 60),
    };

    constexpr const horizontal_line frame_1237_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_1237_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(54, 60),
        horizontal_line(152, 152),
        horizontal_line(54, 61),
        horizontal_line(54, 61),
        horizontal_line(54, 61),
    };

    constexpr const horizontal_line frame_1237_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(127, 148),
    };

    constexpr const horizontal_line frame_1237_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1237_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(207, 207),
        horizontal_line(207, 212),
    };

    constexpr const shape frame_1237_shape_group_10_shapes[] = {
        shape(frame_1237_shape_group_10_shape_0_horizontal_lines, 83, 14),
        shape(frame_1237_shape_group_10_shape_1_horizontal_lines, 98, 2),
        shape(frame_1237_shape_group_10_shape_2_horizontal_lines, 100, 14),
        shape(frame_1237_shape_group_10_shape_3_horizontal_lines, 101, 2),
        shape(frame_1237_shape_group_10_shape_4_horizontal_lines, 106, 1),
        shape(frame_1237_shape_group_10_shape_5_horizontal_lines, 107, 2),
        shape(frame_1237_shape_group_10_shape_6_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(139, 163),
        horizontal_line(139, 156),
        horizontal_line(139, 150),
        horizontal_line(120, 122),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_1237_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(151, 157),
        horizontal_line(150, 163),
        horizontal_line(125, 127),
        horizontal_line(0, 32),
        horizontal_line(119, 126),
    };

    constexpr const horizontal_line frame_1237_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const shape frame_1237_shape_group_11_shapes[] = {
        shape(frame_1237_shape_group_11_shape_0_horizontal_lines, 98, 14),
        shape(frame_1237_shape_group_11_shape_1_horizontal_lines, 103, 2),
        shape(frame_1237_shape_group_11_shape_2_horizontal_lines, 113, 14),
    };

    constexpr const horizontal_line frame_1237_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_1237_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(117, 122),
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_1237_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(150, 168),
        horizontal_line(55, 61),
        horizontal_line(148, 179),
    };

    constexpr const shape frame_1237_shape_group_12_shapes[] = {
        shape(frame_1237_shape_group_12_shape_0_horizontal_lines, 101, 14),
        shape(frame_1237_shape_group_12_shape_1_horizontal_lines, 103, 14),
        shape(frame_1237_shape_group_12_shape_2_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(114, 122),
    };

    constexpr const horizontal_line frame_1237_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_1237_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(113, 118),
    };

    constexpr const shape frame_1237_shape_group_13_shapes[] = {
        shape(frame_1237_shape_group_13_shape_0_horizontal_lines, 105, 14),
        shape(frame_1237_shape_group_13_shape_1_horizontal_lines, 106, 2),
        shape(frame_1237_shape_group_13_shape_2_horizontal_lines, 107, 14),
    };

    constexpr const horizontal_line frame_1237_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(149, 174),
    };

    constexpr const shape frame_1237_shape_group_14_shapes[] = {
        shape(frame_1237_shape_group_14_shape_0_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1237_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(113, 121),
    };

    constexpr const shape frame_1237_shape_group_15_shapes[] = {
        shape(frame_1237_shape_group_15_shape_0_horizontal_lines, 106, 14),
    };

    constexpr const shape_group frame_1237_shape_groups[] = {
        shape_group(frame_1237_shape_group_0_shapes),
        shape_group(frame_1237_shape_group_1_shapes),
        shape_group(frame_1237_shape_group_2_shapes),
        shape_group(frame_1237_shape_group_3_shapes),
        shape_group(frame_1237_shape_group_4_shapes),
        shape_group(frame_1237_shape_group_5_shapes),
        shape_group(frame_1237_shape_group_6_shapes),
        shape_group(frame_1237_shape_group_7_shapes),
        shape_group(frame_1237_shape_group_8_shapes),
        shape_group(frame_1237_shape_group_9_shapes),
        shape_group(frame_1237_shape_group_10_shapes),
        shape_group(frame_1237_shape_group_11_shapes),
        shape_group(frame_1237_shape_group_12_shapes),
        shape_group(frame_1237_shape_group_13_shapes),
        shape_group(frame_1237_shape_group_14_shapes),
        shape_group(frame_1237_shape_group_15_shapes),
    };

    constexpr const frame frame_1237_impl(frame_1237_colors, frame_1237_shape_groups);
} 

const frame& frame_1237()
{
    return frame_1237_impl;
}

namespace
{
    constexpr const bn::color frame_1238_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1238_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(3, 44),
        horizontal_line(5, 45),
        horizontal_line(6, 46),
        horizontal_line(8, 46),
        horizontal_line(9, 47),
        horizontal_line(11, 48),
        horizontal_line(12, 49),
        horizontal_line(14, 49),
        horizontal_line(15, 50),
        horizontal_line(17, 51),
        horizontal_line(18, 52),
        horizontal_line(20, 52),
        horizontal_line(21, 53),
        horizontal_line(23, 54),
        horizontal_line(22, 23),
        horizontal_line(21, 24),
        horizontal_line(21, 25),
        horizontal_line(20, 26),
        horizontal_line(20, 27),
        horizontal_line(19, 28),
        horizontal_line(19, 29),
        horizontal_line(18, 30),
        horizontal_line(18, 31),
        horizontal_line(17, 32),
        horizontal_line(17, 33),
        horizontal_line(16, 34),
        horizontal_line(15, 35),
        horizontal_line(15, 36),
        horizontal_line(14, 37),
        horizontal_line(14, 38),
        horizontal_line(13, 39),
        horizontal_line(13, 40),
        horizontal_line(12, 41),
        horizontal_line(12, 42),
        horizontal_line(11, 43),
        horizontal_line(11, 44),
        horizontal_line(12, 45),
        horizontal_line(13, 46),
        horizontal_line(15, 48),
        horizontal_line(17, 47),
        horizontal_line(19, 46),
        horizontal_line(21, 46),
        horizontal_line(23, 45),
        horizontal_line(25, 45),
        horizontal_line(27, 44),
        horizontal_line(29, 44),
        horizontal_line(31, 43),
        horizontal_line(33, 43),
        horizontal_line(35, 42),
        horizontal_line(37, 42),
        horizontal_line(39, 41),
        horizontal_line(41, 41),
        horizontal_line(58, 72),
    };

    constexpr const horizontal_line frame_1238_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(73, 75),
    };

    constexpr const horizontal_line frame_1238_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(58, 59),
        horizontal_line(57, 59),
        horizontal_line(57, 60),
        horizontal_line(56, 61),
        horizontal_line(56, 61),
        horizontal_line(55, 62),
        horizontal_line(55, 62),
        horizontal_line(55, 63),
        horizontal_line(55, 64),
        horizontal_line(56, 63),
        horizontal_line(57, 63),
        horizontal_line(58, 62),
        horizontal_line(60, 62),
        horizontal_line(60, 62),
        horizontal_line(61, 61),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
    };

    constexpr const horizontal_line frame_1238_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(75, 79),
    };

    constexpr const horizontal_line frame_1238_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(38, 51),
        horizontal_line(45, 59),
        horizontal_line(52, 67),
        horizontal_line(58, 73),
        horizontal_line(65, 80),
        horizontal_line(72, 88),
        horizontal_line(78, 95),
        horizontal_line(85, 102),
        horizontal_line(92, 109),
        horizontal_line(99, 116),
        horizontal_line(105, 124),
        horizontal_line(112, 127),
        horizontal_line(119, 131),
        horizontal_line(125, 134),
        horizontal_line(132, 138),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_1238_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1238_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 26),
        horizontal_line(0, 39),
        horizontal_line(0, 53),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1238_shape_group_0_shapes[] = {
        shape(frame_1238_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1238_shape_group_0_shape_1_horizontal_lines, 84, 14),
        shape(frame_1238_shape_group_0_shape_2_horizontal_lines, 85, 9),
        shape(frame_1238_shape_group_0_shape_3_horizontal_lines, 103, 14),
        shape(frame_1238_shape_group_0_shape_4_horizontal_lines, 104, 9),
        shape(frame_1238_shape_group_0_shape_5_horizontal_lines, 122, 8),
        shape(frame_1238_shape_group_0_shape_6_horizontal_lines, 149, 9),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(134, 196),
        horizontal_line(137, 199),
        horizontal_line(140, 202),
        horizontal_line(142, 204),
        horizontal_line(145, 207),
        horizontal_line(148, 210),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(56, 58),
        horizontal_line(57, 62),
        horizontal_line(57, 66),
        horizontal_line(58, 70),
        horizontal_line(58, 74),
        horizontal_line(59, 78),
        horizontal_line(59, 82),
        horizontal_line(60, 87),
        horizontal_line(60, 91),
        horizontal_line(61, 95),
        horizontal_line(61, 99),
        horizontal_line(62, 103),
        horizontal_line(63, 107),
        horizontal_line(63, 111),
        horizontal_line(64, 115),
        horizontal_line(64, 120),
        horizontal_line(65, 124),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(51, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 70),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(57, 71),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(128, 129),
        horizontal_line(127, 131),
        horizontal_line(73, 80),
        horizontal_line(73, 85),
        horizontal_line(73, 90),
        horizontal_line(73, 95),
        horizontal_line(74, 100),
        horizontal_line(74, 105),
        horizontal_line(74, 110),
        horizontal_line(74, 115),
        horizontal_line(74, 115),
        horizontal_line(75, 114),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(67, 74),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(106, 111),
        horizontal_line(105, 114),
        horizontal_line(75, 86),
        horizontal_line(75, 93),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(75, 99),
        horizontal_line(76, 99),
        horizontal_line(82, 98),
        horizontal_line(89, 97),
        horizontal_line(97, 97),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(13, 75),
        horizontal_line(27, 89),
        horizontal_line(40, 102),
        horizontal_line(54, 116),
    };

    constexpr const horizontal_line frame_1238_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 80),
        horizontal_line(62, 93),
        horizontal_line(62, 107),
        horizontal_line(62, 120),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1238_shape_group_1_shapes[] = {
        shape(frame_1238_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1238_shape_group_1_shape_1_horizontal_lines, 40, 8),
        shape(frame_1238_shape_group_1_shape_2_horizontal_lines, 43, 14),
        shape(frame_1238_shape_group_1_shape_3_horizontal_lines, 45, 9),
        shape(frame_1238_shape_group_1_shape_4_horizontal_lines, 46, 14),
        shape(frame_1238_shape_group_1_shape_5_horizontal_lines, 70, 9),
        shape(frame_1238_shape_group_1_shape_6_horizontal_lines, 83, 14),
        shape(frame_1238_shape_group_1_shape_7_horizontal_lines, 95, 9),
        shape(frame_1238_shape_group_1_shape_8_horizontal_lines, 101, 14),
        shape(frame_1238_shape_group_1_shape_9_horizontal_lines, 106, 9),
        shape(frame_1238_shape_group_1_shape_10_horizontal_lines, 108, 14),
        shape(frame_1238_shape_group_1_shape_11_horizontal_lines, 114, 8),
        shape(frame_1238_shape_group_1_shape_12_horizontal_lines, 153, 9),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(214, 239),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
        horizontal_line(205, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(189, 239),
        horizontal_line(186, 239),
        horizontal_line(183, 239),
        horizontal_line(180, 239),
        horizontal_line(177, 239),
        horizontal_line(173, 235),
        horizontal_line(170, 232),
        horizontal_line(167, 229),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(158, 220),
        horizontal_line(155, 217),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(86, 146),
        horizontal_line(91, 144),
        horizontal_line(96, 142),
        horizontal_line(100, 140),
        horizontal_line(105, 138),
        horizontal_line(110, 136),
        horizontal_line(114, 134),
        horizontal_line(119, 132),
        horizontal_line(124, 130),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(37, 57),
        horizontal_line(39, 58),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(126, 133),
        horizontal_line(124, 135),
        horizontal_line(123, 137),
        horizontal_line(122, 139),
        horizontal_line(120, 141),
        horizontal_line(119, 142),
        horizontal_line(118, 142),
        horizontal_line(117, 142),
        horizontal_line(118, 142),
        horizontal_line(120, 142),
        horizontal_line(79, 113),
        horizontal_line(85, 112),
        horizontal_line(91, 111),
        horizontal_line(96, 110),
        horizontal_line(102, 109),
        horizontal_line(108, 108),
        horizontal_line(125, 160),
        horizontal_line(125, 157),
        horizontal_line(125, 131),
        horizontal_line(104, 114),
        horizontal_line(103, 114),
        horizontal_line(75, 100),
        horizontal_line(75, 100),
        horizontal_line(104, 113),
        horizontal_line(105, 113),
        horizontal_line(107, 111),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(62, 91),
        horizontal_line(62, 98),
        horizontal_line(62, 104),
        horizontal_line(62, 111),
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(75, 137),
        horizontal_line(89, 151),
        horizontal_line(102, 164),
        horizontal_line(116, 178),
        horizontal_line(67, 129),
        horizontal_line(81, 143),
        horizontal_line(94, 156),
        horizontal_line(108, 170),
        horizontal_line(121, 183),
    };

    constexpr const horizontal_line frame_1238_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(124, 148),
    };

    constexpr const shape frame_1238_shape_group_2_shapes[] = {
        shape(frame_1238_shape_group_2_shape_0_horizontal_lines, 0, 14),
        shape(frame_1238_shape_group_2_shape_1_horizontal_lines, 29, 8),
        shape(frame_1238_shape_group_2_shape_2_horizontal_lines, 43, 8),
        shape(frame_1238_shape_group_2_shape_3_horizontal_lines, 45, 14),
        shape(frame_1238_shape_group_2_shape_4_horizontal_lines, 83, 8),
        shape(frame_1238_shape_group_2_shape_5_horizontal_lines, 85, 14),
        shape(frame_1238_shape_group_2_shape_6_horizontal_lines, 113, 8),
        shape(frame_1238_shape_group_2_shape_7_horizontal_lines, 158, 9),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(127, 128),
        horizontal_line(128, 132),
        horizontal_line(128, 136),
        horizontal_line(129, 140),
        horizontal_line(129, 144),
        horizontal_line(130, 148),
        horizontal_line(131, 153),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(162, 222),
        horizontal_line(163, 213),
        horizontal_line(165, 205),
        horizontal_line(167, 197),
        horizontal_line(168, 188),
        horizontal_line(170, 180),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(33, 38),
        horizontal_line(35, 40),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(26, 36),
        horizontal_line(26, 38),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(41, 57),
        horizontal_line(43, 57),
        horizontal_line(45, 56),
        horizontal_line(47, 56),
        horizontal_line(50, 55),
        horizontal_line(51, 55),
        horizontal_line(52, 54),
        horizontal_line(53, 54),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(29, 49),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(122, 142),
        horizontal_line(124, 142),
        horizontal_line(126, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(63, 66),
        horizontal_line(64, 67),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(102, 114),
        horizontal_line(102, 113),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(20, 51),
        horizontal_line(16, 57),
        horizontal_line(12, 64),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(63, 84),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(124, 148),
        horizontal_line(125, 147),
        horizontal_line(128, 147),
        horizontal_line(132, 146),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 131),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 189),
        horizontal_line(137, 191),
        horizontal_line(151, 193),
        horizontal_line(164, 195),
        horizontal_line(178, 196),
        horizontal_line(129, 191),
        horizontal_line(143, 200),
        horizontal_line(156, 202),
        horizontal_line(170, 203),
        horizontal_line(183, 205),
        horizontal_line(135, 197),
        horizontal_line(149, 209),
    };

    constexpr const shape frame_1238_shape_group_3_shapes[] = {
        shape(frame_1238_shape_group_3_shape_0_horizontal_lines, 45, 8),
        shape(frame_1238_shape_group_3_shape_1_horizontal_lines, 62, 14),
        shape(frame_1238_shape_group_3_shape_2_horizontal_lines, 81, 8),
        shape(frame_1238_shape_group_3_shape_3_horizontal_lines, 83, 1),
        shape(frame_1238_shape_group_3_shape_4_horizontal_lines, 85, 8),
        shape(frame_1238_shape_group_3_shape_5_horizontal_lines, 94, 1),
        shape(frame_1238_shape_group_3_shape_6_horizontal_lines, 95, 14),
        shape(frame_1238_shape_group_3_shape_7_horizontal_lines, 101, 8),
        shape(frame_1238_shape_group_3_shape_8_horizontal_lines, 104, 14),
        shape(frame_1238_shape_group_3_shape_9_horizontal_lines, 105, 8),
        shape(frame_1238_shape_group_3_shape_10_horizontal_lines, 106, 14),
        shape(frame_1238_shape_group_3_shape_11_horizontal_lines, 108, 8),
        shape(frame_1238_shape_group_3_shape_12_horizontal_lines, 114, 1),
        shape(frame_1238_shape_group_3_shape_13_horizontal_lines, 119, 8),
        shape(frame_1238_shape_group_3_shape_14_horizontal_lines, 122, 2),
        shape(frame_1238_shape_group_3_shape_15_horizontal_lines, 129, 1),
        shape(frame_1238_shape_group_3_shape_16_horizontal_lines, 146, 8),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
        horizontal_line(217, 239),
        horizontal_line(134, 152),
        horizontal_line(139, 150),
        horizontal_line(144, 148),
        horizontal_line(222, 230),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(21, 24),
        horizontal_line(22, 26),
        horizontal_line(23, 28),
        horizontal_line(25, 30),
        horizontal_line(27, 32),
        horizontal_line(29, 34),
        horizontal_line(31, 36),
        horizontal_line(42, 56),
        horizontal_line(42, 56),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(130, 162),
        horizontal_line(132, 158),
        horizontal_line(27, 40),
        horizontal_line(27, 42),
        horizontal_line(27, 44),
        horizontal_line(27, 46),
        horizontal_line(28, 49),
        horizontal_line(28, 49),
        horizontal_line(28, 49),
        horizontal_line(28, 49),
        horizontal_line(29, 49),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(63, 65),
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(161, 166),
        horizontal_line(151, 163),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(31, 51),
        horizontal_line(31, 51),
        horizontal_line(31, 51),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(32, 51),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(28, 37),
        horizontal_line(24, 44),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(100, 103),
        horizontal_line(100, 104),
        horizontal_line(99, 106),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(70, 71),
        horizontal_line(66, 77),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(108, 113),
        horizontal_line(125, 149),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(117, 123),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(135, 145),
        horizontal_line(139, 145),
        horizontal_line(142, 144),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 233),
        horizontal_line(175, 232),
        horizontal_line(177, 232),
        horizontal_line(178, 231),
        horizontal_line(180, 230),
        horizontal_line(182, 230),
        horizontal_line(184, 229),
        horizontal_line(185, 229),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(191, 198),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(197, 207),
    };

    constexpr const horizontal_line frame_1238_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const shape frame_1238_shape_group_4_shapes[] = {
        shape(frame_1238_shape_group_4_shape_0_horizontal_lines, 62, 8),
        shape(frame_1238_shape_group_4_shape_1_horizontal_lines, 63, 14),
        shape(frame_1238_shape_group_4_shape_2_horizontal_lines, 74, 8),
        shape(frame_1238_shape_group_4_shape_3_horizontal_lines, 83, 1),
        shape(frame_1238_shape_group_4_shape_4_horizontal_lines, 95, 8),
        shape(frame_1238_shape_group_4_shape_5_horizontal_lines, 99, 14),
        shape(frame_1238_shape_group_4_shape_6_horizontal_lines, 101, 1),
        shape(frame_1238_shape_group_4_shape_7_horizontal_lines, 104, 8),
        shape(frame_1238_shape_group_4_shape_8_horizontal_lines, 105, 1),
        shape(frame_1238_shape_group_4_shape_9_horizontal_lines, 106, 8),
        shape(frame_1238_shape_group_4_shape_10_horizontal_lines, 108, 1),
        shape(frame_1238_shape_group_4_shape_11_horizontal_lines, 111, 8),
        shape(frame_1238_shape_group_4_shape_12_horizontal_lines, 113, 1),
        shape(frame_1238_shape_group_4_shape_13_horizontal_lines, 115, 2),
        shape(frame_1238_shape_group_4_shape_14_horizontal_lines, 119, 1),
        shape(frame_1238_shape_group_4_shape_15_horizontal_lines, 122, 2),
        shape(frame_1238_shape_group_4_shape_16_horizontal_lines, 146, 1),
        shape(frame_1238_shape_group_4_shape_17_horizontal_lines, 153, 8),
        shape(frame_1238_shape_group_4_shape_18_horizontal_lines, 154, 1),
        shape(frame_1238_shape_group_4_shape_19_horizontal_lines, 158, 8),
        shape(frame_1238_shape_group_4_shape_20_horizontal_lines, 159, 1),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(2, 11),
        horizontal_line(5, 11),
        horizontal_line(7, 10),
        horizontal_line(10, 10),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(14, 14),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(19, 22),
        horizontal_line(46, 51),
        horizontal_line(45, 52),
        horizontal_line(45, 52),
        horizontal_line(44, 53),
        horizontal_line(44, 54),
        horizontal_line(43, 54),
        horizontal_line(43, 55),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(26, 32),
        horizontal_line(26, 34),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(134, 155),
        horizontal_line(136, 152),
        horizontal_line(138, 148),
        horizontal_line(140, 145),
        horizontal_line(142, 142),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(116, 117),
        horizontal_line(171, 233),
        horizontal_line(29, 50),
        horizontal_line(29, 50),
        horizontal_line(30, 50),
        horizontal_line(30, 50),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(60, 61),
        horizontal_line(61, 62),
        horizontal_line(61, 63),
        horizontal_line(31, 51),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(116, 116),
        horizontal_line(114, 115),
        horizontal_line(112, 115),
        horizontal_line(98, 105),
        horizontal_line(98, 104),
        horizontal_line(125, 149),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(113, 124),
        horizontal_line(149, 211),
        horizontal_line(210, 233),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(220, 238),
        horizontal_line(221, 237),
        horizontal_line(223, 237),
        horizontal_line(225, 236),
        horizontal_line(227, 236),
        horizontal_line(228, 235),
        horizontal_line(230, 234),
        horizontal_line(232, 234),
        horizontal_line(233, 233),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(187, 228),
        horizontal_line(189, 227),
        horizontal_line(190, 227),
        horizontal_line(192, 226),
        horizontal_line(194, 226),
        horizontal_line(196, 225),
        horizontal_line(197, 225),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(201, 223),
        horizontal_line(203, 223),
        horizontal_line(204, 222),
        horizontal_line(206, 222),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(210, 221),
    };

    constexpr const shape frame_1238_shape_group_5_shapes[] = {
        shape(frame_1238_shape_group_5_shape_0_horizontal_lines, 63, 8),
        shape(frame_1238_shape_group_5_shape_1_horizontal_lines, 67, 3),
        shape(frame_1238_shape_group_5_shape_2_horizontal_lines, 69, 8),
        shape(frame_1238_shape_group_5_shape_3_horizontal_lines, 70, 14),
        shape(frame_1238_shape_group_5_shape_4_horizontal_lines, 73, 8),
        shape(frame_1238_shape_group_5_shape_5_horizontal_lines, 81, 1),
        shape(frame_1238_shape_group_5_shape_6_horizontal_lines, 99, 8),
        shape(frame_1238_shape_group_5_shape_7_horizontal_lines, 101, 1),
        shape(frame_1238_shape_group_5_shape_8_horizontal_lines, 106, 8),
        shape(frame_1238_shape_group_5_shape_9_horizontal_lines, 107, 1),
        shape(frame_1238_shape_group_5_shape_10_horizontal_lines, 114, 2),
        shape(frame_1238_shape_group_5_shape_11_horizontal_lines, 129, 2),
        shape(frame_1238_shape_group_5_shape_12_horizontal_lines, 146, 2),
        shape(frame_1238_shape_group_5_shape_13_horizontal_lines, 153, 1),
        shape(frame_1238_shape_group_5_shape_14_horizontal_lines, 154, 2),
        shape(frame_1238_shape_group_5_shape_15_horizontal_lines, 158, 1),
        shape(frame_1238_shape_group_5_shape_16_horizontal_lines, 159, 2),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(16, 16),
        horizontal_line(17, 18),
        horizontal_line(18, 20),
        horizontal_line(46, 50),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(6, 20),
        horizontal_line(12, 21),
        horizontal_line(18, 22),
        horizontal_line(24, 24),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(25, 28),
        horizontal_line(25, 30),
        horizontal_line(131, 168),
        horizontal_line(130, 165),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(171, 233),
        horizontal_line(233, 239),
        horizontal_line(114, 121),
        horizontal_line(113, 123),
        horizontal_line(112, 125),
        horizontal_line(111, 124),
        horizontal_line(30, 50),
        horizontal_line(30, 50),
        horizontal_line(110, 118),
        horizontal_line(112, 116),
        horizontal_line(115, 115),
        horizontal_line(61, 64),
        horizontal_line(130, 155),
        horizontal_line(52, 52),
        horizontal_line(101, 101),
        horizontal_line(128, 153),
        horizontal_line(128, 152),
        horizontal_line(127, 151),
        horizontal_line(110, 114),
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(150, 212),
        horizontal_line(211, 228),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(199, 224),
    };

    constexpr const horizontal_line frame_1238_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(208, 221),
    };

    constexpr const shape frame_1238_shape_group_6_shapes[] = {
        shape(frame_1238_shape_group_6_shape_0_horizontal_lines, 63, 3),
        shape(frame_1238_shape_group_6_shape_1_horizontal_lines, 69, 3),
        shape(frame_1238_shape_group_6_shape_2_horizontal_lines, 70, 8),
        shape(frame_1238_shape_group_6_shape_3_horizontal_lines, 74, 3),
        shape(frame_1238_shape_group_6_shape_4_horizontal_lines, 78, 1),
        shape(frame_1238_shape_group_6_shape_5_horizontal_lines, 113, 2),
        shape(frame_1238_shape_group_6_shape_6_horizontal_lines, 119, 2),
        shape(frame_1238_shape_group_6_shape_7_horizontal_lines, 153, 2),
        shape(frame_1238_shape_group_6_shape_8_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(48, 48),
        horizontal_line(47, 49),
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(145, 161),
        horizontal_line(143, 162),
        horizontal_line(141, 164),
        horizontal_line(139, 166),
        horizontal_line(137, 167),
        horizontal_line(135, 169),
        horizontal_line(133, 171),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(110, 122),
        horizontal_line(60, 60),
        horizontal_line(201, 239),
        horizontal_line(210, 239),
        horizontal_line(132, 156),
        horizontal_line(131, 155),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(129, 153),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(127, 151),
        horizontal_line(126, 150),
    };

    constexpr const horizontal_line frame_1238_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(212, 222),
    };

    constexpr const shape frame_1238_shape_group_7_shapes[] = {
        shape(frame_1238_shape_group_7_shape_0_horizontal_lines, 70, 8),
        shape(frame_1238_shape_group_7_shape_1_horizontal_lines, 73, 3),
        shape(frame_1238_shape_group_7_shape_2_horizontal_lines, 74, 1),
        shape(frame_1238_shape_group_7_shape_3_horizontal_lines, 83, 2),
        shape(frame_1238_shape_group_7_shape_4_horizontal_lines, 85, 1),
        shape(frame_1238_shape_group_7_shape_5_horizontal_lines, 90, 2),
        shape(frame_1238_shape_group_7_shape_6_horizontal_lines, 93, 1),
        shape(frame_1238_shape_group_7_shape_7_horizontal_lines, 94, 2),
        shape(frame_1238_shape_group_7_shape_8_horizontal_lines, 95, 1),
        shape(frame_1238_shape_group_7_shape_9_horizontal_lines, 105, 2),
        shape(frame_1238_shape_group_7_shape_10_horizontal_lines, 106, 1),
        shape(frame_1238_shape_group_7_shape_11_horizontal_lines, 108, 2),
        shape(frame_1238_shape_group_7_shape_12_horizontal_lines, 111, 1),
        shape(frame_1238_shape_group_7_shape_13_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(147, 159),
        horizontal_line(223, 239),
        horizontal_line(214, 239),
        horizontal_line(206, 239),
        horizontal_line(198, 239),
        horizontal_line(189, 239),
        horizontal_line(181, 239),
        horizontal_line(173, 235),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(163, 170),
        horizontal_line(159, 170),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(50, 50),
        horizontal_line(50, 51),
        horizontal_line(50, 52),
        horizontal_line(0, 28),
        horizontal_line(50, 54),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(181, 239),
        horizontal_line(109, 120),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(52, 60),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(130, 154),
    };

    constexpr const horizontal_line frame_1238_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(117, 127),
        horizontal_line(116, 127),
        horizontal_line(116, 126),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(114, 124),
    };

    constexpr const shape frame_1238_shape_group_8_shapes[] = {
        shape(frame_1238_shape_group_8_shape_0_horizontal_lines, 70, 3),
        shape(frame_1238_shape_group_8_shape_1_horizontal_lines, 73, 1),
        shape(frame_1238_shape_group_8_shape_2_horizontal_lines, 83, 4),
        shape(frame_1238_shape_group_8_shape_3_horizontal_lines, 85, 2),
        shape(frame_1238_shape_group_8_shape_4_horizontal_lines, 95, 1),
        shape(frame_1238_shape_group_8_shape_5_horizontal_lines, 101, 2),
        shape(frame_1238_shape_group_8_shape_6_horizontal_lines, 103, 1),
        shape(frame_1238_shape_group_8_shape_7_horizontal_lines, 105, 2),
        shape(frame_1238_shape_group_8_shape_8_horizontal_lines, 106, 1),
        shape(frame_1238_shape_group_8_shape_9_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(153, 154),
        horizontal_line(151, 156),
        horizontal_line(149, 157),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 11),
        horizontal_line(0, 17),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(156, 170),
        horizontal_line(153, 170),
        horizontal_line(149, 170),
        horizontal_line(146, 170),
        horizontal_line(143, 170),
        horizontal_line(143, 170),
        horizontal_line(143, 170),
        horizontal_line(143, 170),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(50, 53),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(143, 170),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_1238_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(52, 59),
        horizontal_line(52, 60),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(125, 129),
        horizontal_line(0, 27),
        horizontal_line(60, 61),
        horizontal_line(154, 190),
        horizontal_line(153, 195),
        horizontal_line(152, 201),
        horizontal_line(115, 126),
        horizontal_line(114, 125),
        horizontal_line(150, 212),
    };

    constexpr const shape frame_1238_shape_group_9_shapes[] = {
        shape(frame_1238_shape_group_9_shape_0_horizontal_lines, 70, 1),
        shape(frame_1238_shape_group_9_shape_1_horizontal_lines, 74, 2),
        shape(frame_1238_shape_group_9_shape_2_horizontal_lines, 80, 1),
        shape(frame_1238_shape_group_9_shape_3_horizontal_lines, 81, 2),
        shape(frame_1238_shape_group_9_shape_4_horizontal_lines, 85, 4),
        shape(frame_1238_shape_group_9_shape_5_horizontal_lines, 93, 2),
        shape(frame_1238_shape_group_9_shape_6_horizontal_lines, 94, 4),
        shape(frame_1238_shape_group_9_shape_7_horizontal_lines, 95, 2),
        shape(frame_1238_shape_group_9_shape_8_horizontal_lines, 100, 1),
        shape(frame_1238_shape_group_9_shape_9_horizontal_lines, 101, 2),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(143, 170),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(51, 55),
        horizontal_line(51, 56),
        horizontal_line(51, 57),
        horizontal_line(51, 59),
        horizontal_line(51, 59),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(52, 60),
        horizontal_line(52, 60),
        horizontal_line(156, 174),
        horizontal_line(53, 61),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1238_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(152, 206),
        horizontal_line(151, 212),
        horizontal_line(212, 217),
    };

    constexpr const shape frame_1238_shape_group_10_shapes[] = {
        shape(frame_1238_shape_group_10_shape_0_horizontal_lines, 80, 2),
        shape(frame_1238_shape_group_10_shape_1_horizontal_lines, 81, 4),
        shape(frame_1238_shape_group_10_shape_2_horizontal_lines, 93, 4),
        shape(frame_1238_shape_group_10_shape_3_horizontal_lines, 95, 2),
        shape(frame_1238_shape_group_10_shape_4_horizontal_lines, 101, 4),
        shape(frame_1238_shape_group_10_shape_5_horizontal_lines, 102, 2),
        shape(frame_1238_shape_group_10_shape_6_horizontal_lines, 108, 4),
        shape(frame_1238_shape_group_10_shape_7_horizontal_lines, 110, 4),
        shape(frame_1238_shape_group_10_shape_8_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1238_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(143, 170),
        horizontal_line(143, 170),
        horizontal_line(143, 170),
        horizontal_line(143, 170),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_1238_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(51, 59),
    };

    constexpr const horizontal_line frame_1238_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(117, 124),
    };

    constexpr const horizontal_line frame_1238_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(157, 163),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_1238_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_1238_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(121, 129),
        horizontal_line(118, 128),
    };

    constexpr const horizontal_line frame_1238_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(103, 105),
    };

    constexpr const shape frame_1238_shape_group_11_shapes[] = {
        shape(frame_1238_shape_group_11_shape_0_horizontal_lines, 95, 4),
        shape(frame_1238_shape_group_11_shape_1_horizontal_lines, 100, 2),
        shape(frame_1238_shape_group_11_shape_2_horizontal_lines, 102, 4),
        shape(frame_1238_shape_group_11_shape_3_horizontal_lines, 103, 2),
        shape(frame_1238_shape_group_11_shape_4_horizontal_lines, 105, 4),
        shape(frame_1238_shape_group_11_shape_5_horizontal_lines, 106, 2),
        shape(frame_1238_shape_group_11_shape_6_horizontal_lines, 112, 4),
    };

    constexpr const horizontal_line frame_1238_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(143, 160),
        horizontal_line(121, 124),
    };

    constexpr const horizontal_line frame_1238_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_1238_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(156, 168),
    };

    constexpr const horizontal_line frame_1238_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(155, 179),
        horizontal_line(154, 185),
    };

    constexpr const horizontal_line frame_1238_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(105, 105),
    };

    constexpr const shape frame_1238_shape_group_12_shapes[] = {
        shape(frame_1238_shape_group_12_shape_0_horizontal_lines, 99, 4),
        shape(frame_1238_shape_group_12_shape_1_horizontal_lines, 103, 4),
        shape(frame_1238_shape_group_12_shape_2_horizontal_lines, 104, 2),
        shape(frame_1238_shape_group_12_shape_3_horizontal_lines, 106, 2),
        shape(frame_1238_shape_group_12_shape_4_horizontal_lines, 112, 4),
    };

    constexpr const horizontal_line frame_1238_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(143, 150),
    };

    constexpr const horizontal_line frame_1238_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_1238_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(114, 117),
    };

    constexpr const shape frame_1238_shape_group_13_shapes[] = {
        shape(frame_1238_shape_group_13_shape_0_horizontal_lines, 100, 4),
        shape(frame_1238_shape_group_13_shape_1_horizontal_lines, 104, 4),
        shape(frame_1238_shape_group_13_shape_2_horizontal_lines, 106, 4),
    };

    constexpr const shape_group frame_1238_shape_groups[] = {
        shape_group(frame_1238_shape_group_0_shapes),
        shape_group(frame_1238_shape_group_1_shapes),
        shape_group(frame_1238_shape_group_2_shapes),
        shape_group(frame_1238_shape_group_3_shapes),
        shape_group(frame_1238_shape_group_4_shapes),
        shape_group(frame_1238_shape_group_5_shapes),
        shape_group(frame_1238_shape_group_6_shapes),
        shape_group(frame_1238_shape_group_7_shapes),
        shape_group(frame_1238_shape_group_8_shapes),
        shape_group(frame_1238_shape_group_9_shapes),
        shape_group(frame_1238_shape_group_10_shapes),
        shape_group(frame_1238_shape_group_11_shapes),
        shape_group(frame_1238_shape_group_12_shapes),
        shape_group(frame_1238_shape_group_13_shapes),
    };

    constexpr const frame frame_1238_impl(frame_1238_colors, frame_1238_shape_groups);
} 

const frame& frame_1238()
{
    return frame_1238_impl;
}

namespace
{
    constexpr const bn::color frame_1239_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1239_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(3, 45),
        horizontal_line(5, 45),
        horizontal_line(6, 46),
        horizontal_line(8, 47),
        horizontal_line(9, 48),
        horizontal_line(11, 48),
        horizontal_line(12, 49),
        horizontal_line(14, 50),
        horizontal_line(13, 14),
        horizontal_line(13, 15),
        horizontal_line(12, 16),
        horizontal_line(12, 17),
        horizontal_line(11, 18),
        horizontal_line(11, 19),
        horizontal_line(10, 20),
        horizontal_line(10, 21),
        horizontal_line(9, 22),
        horizontal_line(9, 23),
        horizontal_line(8, 24),
        horizontal_line(8, 25),
        horizontal_line(8, 26),
        horizontal_line(7, 27),
        horizontal_line(7, 29),
        horizontal_line(6, 30),
        horizontal_line(6, 31),
        horizontal_line(5, 32),
        horizontal_line(5, 33),
        horizontal_line(4, 34),
        horizontal_line(4, 35),
        horizontal_line(3, 36),
        horizontal_line(3, 37),
        horizontal_line(2, 38),
        horizontal_line(2, 39),
        horizontal_line(2, 40),
        horizontal_line(3, 41),
        horizontal_line(5, 42),
        horizontal_line(7, 43),
        horizontal_line(9, 45),
        horizontal_line(11, 44),
        horizontal_line(13, 44),
        horizontal_line(15, 43),
        horizontal_line(17, 43),
        horizontal_line(19, 42),
        horizontal_line(21, 42),
        horizontal_line(23, 41),
        horizontal_line(25, 41),
        horizontal_line(27, 40),
        horizontal_line(29, 40),
        horizontal_line(31, 39),
        horizontal_line(33, 39),
        horizontal_line(35, 38),
        horizontal_line(38, 38),
        horizontal_line(57, 71),
    };

    constexpr const horizontal_line frame_1239_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(72, 75),
    };

    constexpr const horizontal_line frame_1239_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 58),
        horizontal_line(56, 58),
        horizontal_line(56, 59),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(54, 61),
        horizontal_line(54, 62),
        horizontal_line(54, 62),
        horizontal_line(54, 63),
        horizontal_line(55, 74),
        horizontal_line(56, 63),
        horizontal_line(57, 62),
        horizontal_line(59, 62),
        horizontal_line(60, 61),
        horizontal_line(61, 61),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
        horizontal_line(67, 75),
    };

    constexpr const horizontal_line frame_1239_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(76, 79),
    };

    constexpr const horizontal_line frame_1239_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(66, 68),
        horizontal_line(24, 57),
        horizontal_line(31, 64),
        horizontal_line(38, 75),
        horizontal_line(45, 78),
        horizontal_line(52, 85),
        horizontal_line(59, 92),
        horizontal_line(66, 99),
        horizontal_line(73, 106),
        horizontal_line(80, 113),
        horizontal_line(88, 120),
        horizontal_line(95, 127),
        horizontal_line(102, 130),
        horizontal_line(109, 133),
        horizontal_line(116, 136),
        horizontal_line(123, 139),
        horizontal_line(130, 142),
        horizontal_line(137, 145),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_1239_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1239_shape_group_0_shapes[] = {
        shape(frame_1239_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1239_shape_group_0_shape_1_horizontal_lines, 82, 14),
        shape(frame_1239_shape_group_0_shape_2_horizontal_lines, 83, 9),
        shape(frame_1239_shape_group_0_shape_3_horizontal_lines, 102, 14),
        shape(frame_1239_shape_group_0_shape_4_horizontal_lines, 103, 9),
        shape(frame_1239_shape_group_0_shape_5_horizontal_lines, 124, 8),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(32, 51),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(53, 54),
        horizontal_line(54, 58),
        horizontal_line(54, 62),
        horizontal_line(55, 66),
        horizontal_line(55, 70),
        horizontal_line(56, 74),
        horizontal_line(56, 78),
        horizontal_line(57, 81),
        horizontal_line(57, 85),
        horizontal_line(58, 89),
        horizontal_line(58, 93),
        horizontal_line(59, 97),
        horizontal_line(59, 101),
        horizontal_line(60, 105),
        horizontal_line(61, 108),
        horizontal_line(61, 112),
        horizontal_line(62, 116),
        horizontal_line(62, 120),
        horizontal_line(63, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(46, 67),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(131, 133),
        horizontal_line(130, 135),
        horizontal_line(72, 80),
        horizontal_line(72, 85),
        horizontal_line(73, 90),
        horizontal_line(73, 96),
        horizontal_line(73, 101),
        horizontal_line(73, 106),
        horizontal_line(74, 111),
        horizontal_line(74, 117),
        horizontal_line(74, 116),
        horizontal_line(75, 115),
        horizontal_line(79, 114),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(108, 111),
        horizontal_line(107, 113),
        horizontal_line(106, 115),
        horizontal_line(76, 84),
        horizontal_line(76, 90),
        horizontal_line(76, 95),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(67, 68),
        horizontal_line(67, 68),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(82, 100),
        horizontal_line(90, 99),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_1239_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1239_shape_group_1_shapes[] = {
        shape(frame_1239_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1239_shape_group_1_shape_1_horizontal_lines, 27, 8),
        shape(frame_1239_shape_group_1_shape_2_horizontal_lines, 37, 9),
        shape(frame_1239_shape_group_1_shape_3_horizontal_lines, 39, 14),
        shape(frame_1239_shape_group_1_shape_4_horizontal_lines, 67, 9),
        shape(frame_1239_shape_group_1_shape_5_horizontal_lines, 81, 14),
        shape(frame_1239_shape_group_1_shape_6_horizontal_lines, 94, 9),
        shape(frame_1239_shape_group_1_shape_7_horizontal_lines, 99, 14),
        shape(frame_1239_shape_group_1_shape_8_horizontal_lines, 106, 9),
        shape(frame_1239_shape_group_1_shape_9_horizontal_lines, 108, 14),
        shape(frame_1239_shape_group_1_shape_10_horizontal_lines, 112, 8),
    };

    constexpr const horizontal_line frame_1239_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1239_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(203, 239),
        horizontal_line(200, 239),
        horizontal_line(197, 239),
        horizontal_line(193, 239),
        horizontal_line(190, 239),
        horizontal_line(187, 239),
        horizontal_line(184, 239),
        horizontal_line(180, 239),
        horizontal_line(177, 239),
        horizontal_line(174, 236),
        horizontal_line(170, 232),
        horizontal_line(167, 229),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(85, 147),
        horizontal_line(90, 150),
        horizontal_line(94, 148),
        horizontal_line(99, 146),
        horizontal_line(104, 144),
        horizontal_line(108, 142),
        horizontal_line(113, 140),
        horizontal_line(118, 138),
        horizontal_line(122, 136),
        horizontal_line(127, 134),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_1239_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(35, 56),
        horizontal_line(38, 57),
    };

    constexpr const horizontal_line frame_1239_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(128, 137),
        horizontal_line(127, 139),
        horizontal_line(126, 141),
        horizontal_line(124, 143),
        horizontal_line(123, 145),
        horizontal_line(121, 145),
        horizontal_line(120, 145),
        horizontal_line(119, 145),
        horizontal_line(120, 145),
        horizontal_line(122, 145),
        horizontal_line(124, 145),
        horizontal_line(85, 113),
        horizontal_line(91, 112),
        horizontal_line(97, 111),
        horizontal_line(103, 110),
        horizontal_line(109, 109),
        horizontal_line(127, 144),
        horizontal_line(127, 170),
        horizontal_line(127, 166),
        horizontal_line(127, 134),
        horizontal_line(105, 115),
        horizontal_line(104, 115),
        horizontal_line(103, 115),
        horizontal_line(76, 101),
        horizontal_line(76, 101),
        horizontal_line(108, 113),
        horizontal_line(107, 111),
        horizontal_line(107, 109),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1239_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(62, 72),
        horizontal_line(62, 79),
        horizontal_line(62, 87),
        horizontal_line(62, 94),
        horizontal_line(62, 101),
        horizontal_line(62, 108),
        horizontal_line(62, 115),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1239_shape_group_2_shapes[] = {
        shape(frame_1239_shape_group_2_shape_0_horizontal_lines, 37, 8),
        shape(frame_1239_shape_group_2_shape_1_horizontal_lines, 43, 14),
        shape(frame_1239_shape_group_2_shape_2_horizontal_lines, 81, 8),
        shape(frame_1239_shape_group_2_shape_3_horizontal_lines, 83, 14),
        shape(frame_1239_shape_group_2_shape_4_horizontal_lines, 112, 8),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(126, 132),
        horizontal_line(126, 135),
        horizontal_line(127, 139),
        horizontal_line(127, 143),
        horizontal_line(128, 147),
        horizontal_line(128, 151),
        horizontal_line(129, 155),
        horizontal_line(130, 159),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 229),
        horizontal_line(174, 219),
        horizontal_line(175, 210),
        horizontal_line(177, 200),
        horizontal_line(179, 190),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(30, 34),
        horizontal_line(33, 37),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(19, 34),
        horizontal_line(19, 37),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(40, 56),
        horizontal_line(43, 56),
        horizontal_line(45, 55),
        horizontal_line(48, 55),
        horizontal_line(49, 54),
        horizontal_line(50, 54),
        horizontal_line(51, 53),
        horizontal_line(52, 53),
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(21, 48),
        horizontal_line(21, 48),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(126, 144),
        horizontal_line(128, 144),
        horizontal_line(127, 144),
        horizontal_line(127, 144),
        horizontal_line(127, 144),
        horizontal_line(161, 174),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(63, 66),
        horizontal_line(64, 66),
        horizontal_line(65, 67),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(23, 51),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(103, 115),
        horizontal_line(105, 115),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(16, 37),
        horizontal_line(12, 44),
        horizontal_line(8, 51),
        horizontal_line(4, 58),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(100, 103),
        horizontal_line(108, 113),
        horizontal_line(128, 155),
        horizontal_line(127, 155),
        horizontal_line(128, 154),
        horizontal_line(131, 154),
        horizontal_line(134, 153),
        horizontal_line(137, 152),
        horizontal_line(140, 152),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 136),
        horizontal_line(124, 143),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 199),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
        horizontal_line(186, 208),
        horizontal_line(186, 210),
    };

    constexpr const shape frame_1239_shape_group_3_shapes[] = {
        shape(frame_1239_shape_group_3_shape_0_horizontal_lines, 43, 8),
        shape(frame_1239_shape_group_3_shape_1_horizontal_lines, 58, 14),
        shape(frame_1239_shape_group_3_shape_2_horizontal_lines, 79, 8),
        shape(frame_1239_shape_group_3_shape_3_horizontal_lines, 81, 1),
        shape(frame_1239_shape_group_3_shape_4_horizontal_lines, 83, 8),
        shape(frame_1239_shape_group_3_shape_5_horizontal_lines, 92, 1),
        shape(frame_1239_shape_group_3_shape_6_horizontal_lines, 94, 14),
        shape(frame_1239_shape_group_3_shape_7_horizontal_lines, 100, 8),
        shape(frame_1239_shape_group_3_shape_8_horizontal_lines, 103, 14),
        shape(frame_1239_shape_group_3_shape_9_horizontal_lines, 104, 8),
        shape(frame_1239_shape_group_3_shape_10_horizontal_lines, 105, 1),
        shape(frame_1239_shape_group_3_shape_11_horizontal_lines, 106, 14),
        shape(frame_1239_shape_group_3_shape_12_horizontal_lines, 108, 8),
        shape(frame_1239_shape_group_3_shape_13_horizontal_lines, 112, 1),
        shape(frame_1239_shape_group_3_shape_14_horizontal_lines, 121, 8),
        shape(frame_1239_shape_group_3_shape_15_horizontal_lines, 124, 2),
        shape(frame_1239_shape_group_3_shape_16_horizontal_lines, 145, 8),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(133, 158),
        horizontal_line(138, 156),
        horizontal_line(142, 154),
        horizontal_line(147, 152),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(16, 22),
        horizontal_line(18, 24),
        horizontal_line(20, 26),
        horizontal_line(23, 28),
        horizontal_line(25, 30),
        horizontal_line(28, 32),
        horizontal_line(39, 54),
        horizontal_line(39, 55),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(134, 169),
        horizontal_line(136, 165),
        horizontal_line(19, 39),
        horizontal_line(19, 42),
        horizontal_line(20, 44),
        horizontal_line(20, 47),
        horizontal_line(20, 47),
        horizontal_line(20, 47),
        horizontal_line(20, 47),
        horizontal_line(21, 47),
        horizontal_line(21, 48),
        horizontal_line(116, 121),
        horizontal_line(115, 123),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(63, 64),
        horizontal_line(63, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(22, 49),
        horizontal_line(23, 50),
        horizontal_line(23, 50),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(23, 50),
        horizontal_line(61, 65),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(20, 30),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(101, 107),
        horizontal_line(100, 106),
        horizontal_line(99, 105),
        horizontal_line(99, 104),
        horizontal_line(108, 114),
        horizontal_line(128, 156),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(114, 127),
        horizontal_line(121, 126),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(143, 151),
        horizontal_line(146, 151),
        horizontal_line(149, 150),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
    };

    constexpr const shape frame_1239_shape_group_4_shapes[] = {
        shape(frame_1239_shape_group_4_shape_0_horizontal_lines, 58, 8),
        shape(frame_1239_shape_group_4_shape_1_horizontal_lines, 61, 14),
        shape(frame_1239_shape_group_4_shape_2_horizontal_lines, 73, 8),
        shape(frame_1239_shape_group_4_shape_3_horizontal_lines, 81, 1),
        shape(frame_1239_shape_group_4_shape_4_horizontal_lines, 94, 8),
        shape(frame_1239_shape_group_4_shape_5_horizontal_lines, 100, 1),
        shape(frame_1239_shape_group_4_shape_6_horizontal_lines, 103, 8),
        shape(frame_1239_shape_group_4_shape_7_horizontal_lines, 104, 1),
        shape(frame_1239_shape_group_4_shape_8_horizontal_lines, 107, 8),
        shape(frame_1239_shape_group_4_shape_9_horizontal_lines, 108, 1),
        shape(frame_1239_shape_group_4_shape_10_horizontal_lines, 114, 2),
        shape(frame_1239_shape_group_4_shape_11_horizontal_lines, 121, 1),
        shape(frame_1239_shape_group_4_shape_12_horizontal_lines, 124, 2),
        shape(frame_1239_shape_group_4_shape_13_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(1, 1),
    };

    constexpr const horizontal_line frame_1239_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(4, 4),
        horizontal_line(6, 6),
        horizontal_line(7, 8),
    };

    constexpr const horizontal_line frame_1239_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(14, 18),
        horizontal_line(15, 20),
        horizontal_line(42, 50),
        horizontal_line(42, 51),
        horizontal_line(41, 51),
        horizontal_line(41, 52),
        horizontal_line(40, 53),
        horizontal_line(40, 54),
    };

    constexpr const horizontal_line frame_1239_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(18, 29),
        horizontal_line(19, 32),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(138, 161),
        horizontal_line(140, 157),
        horizontal_line(142, 153),
        horizontal_line(144, 149),
        horizontal_line(146, 146),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(117, 119),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(21, 48),
        horizontal_line(21, 48),
        horizontal_line(22, 49),
        horizontal_line(22, 49),
        horizontal_line(22, 49),
        horizontal_line(22, 49),
        horizontal_line(60, 62),
        horizontal_line(60, 63),
        horizontal_line(60, 64),
        horizontal_line(23, 50),
        horizontal_line(61, 65),
        horizontal_line(133, 161),
        horizontal_line(132, 160),
        horizontal_line(65, 65),
        horizontal_line(114, 116),
        horizontal_line(112, 116),
        horizontal_line(110, 115),
        horizontal_line(109, 115),
        horizontal_line(129, 157),
    };

    constexpr const horizontal_line frame_1239_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(217, 234),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
    };

    constexpr const shape frame_1239_shape_group_5_shapes[] = {
        shape(frame_1239_shape_group_5_shape_0_horizontal_lines, 61, 8),
        shape(frame_1239_shape_group_5_shape_1_horizontal_lines, 63, 3),
        shape(frame_1239_shape_group_5_shape_2_horizontal_lines, 64, 8),
        shape(frame_1239_shape_group_5_shape_3_horizontal_lines, 67, 14),
        shape(frame_1239_shape_group_5_shape_4_horizontal_lines, 71, 8),
        shape(frame_1239_shape_group_5_shape_5_horizontal_lines, 79, 1),
        shape(frame_1239_shape_group_5_shape_6_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(8, 10),
        horizontal_line(10, 12),
        horizontal_line(11, 14),
        horizontal_line(12, 16),
        horizontal_line(43, 48),
        horizontal_line(43, 49),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(11, 15),
        horizontal_line(17, 17),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(18, 19),
        horizontal_line(18, 22),
        horizontal_line(18, 24),
        horizontal_line(18, 27),
        horizontal_line(135, 177),
        horizontal_line(133, 173),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(114, 125),
        horizontal_line(113, 127),
        horizontal_line(112, 126),
        horizontal_line(59, 59),
        horizontal_line(59, 60),
        horizontal_line(59, 61),
        horizontal_line(112, 119),
        horizontal_line(114, 117),
        horizontal_line(116, 116),
        horizontal_line(60, 65),
        horizontal_line(133, 161),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(102, 104),
        horizontal_line(131, 159),
        horizontal_line(131, 158),
        horizontal_line(130, 158),
        horizontal_line(129, 157),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(114, 127),
        horizontal_line(218, 224),
        horizontal_line(218, 229),
    };

    constexpr const horizontal_line frame_1239_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_1239_shape_group_6_shapes[] = {
        shape(frame_1239_shape_group_6_shape_0_horizontal_lines, 62, 3),
        shape(frame_1239_shape_group_6_shape_1_horizontal_lines, 64, 3),
        shape(frame_1239_shape_group_6_shape_2_horizontal_lines, 67, 8),
        shape(frame_1239_shape_group_6_shape_3_horizontal_lines, 73, 3),
        shape(frame_1239_shape_group_6_shape_4_horizontal_lines, 75, 1),
        shape(frame_1239_shape_group_6_shape_5_horizontal_lines, 81, 2),
        shape(frame_1239_shape_group_6_shape_6_horizontal_lines, 83, 1),
        shape(frame_1239_shape_group_6_shape_7_horizontal_lines, 88, 2),
        shape(frame_1239_shape_group_6_shape_8_horizontal_lines, 91, 1),
        shape(frame_1239_shape_group_6_shape_9_horizontal_lines, 92, 2),
        shape(frame_1239_shape_group_6_shape_10_horizontal_lines, 94, 1),
        shape(frame_1239_shape_group_6_shape_11_horizontal_lines, 105, 2),
        shape(frame_1239_shape_group_6_shape_12_horizontal_lines, 107, 1),
        shape(frame_1239_shape_group_6_shape_13_horizontal_lines, 112, 2),
        shape(frame_1239_shape_group_6_shape_14_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(45, 45),
        horizontal_line(45, 46),
        horizontal_line(44, 47),
        horizontal_line(44, 48),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(5, 14),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(147, 171),
        horizontal_line(145, 173),
        horizontal_line(143, 174),
        horizontal_line(141, 176),
        horizontal_line(139, 178),
        horizontal_line(137, 180),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(170, 179),
        horizontal_line(166, 179),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(48, 49),
        horizontal_line(48, 50),
        horizontal_line(48, 51),
        horizontal_line(0, 20),
        horizontal_line(49, 53),
        horizontal_line(49, 54),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(111, 124),
        horizontal_line(110, 122),
        horizontal_line(110, 121),
        horizontal_line(197, 239),
        horizontal_line(205, 239),
        horizontal_line(135, 163),
        horizontal_line(134, 162),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(52, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_1239_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(106, 107),
        horizontal_line(157, 219),
    };

    constexpr const shape frame_1239_shape_group_7_shapes[] = {
        shape(frame_1239_shape_group_7_shape_0_horizontal_lines, 67, 8),
        shape(frame_1239_shape_group_7_shape_1_horizontal_lines, 71, 3),
        shape(frame_1239_shape_group_7_shape_2_horizontal_lines, 73, 1),
        shape(frame_1239_shape_group_7_shape_3_horizontal_lines, 81, 4),
        shape(frame_1239_shape_group_7_shape_4_horizontal_lines, 83, 2),
        shape(frame_1239_shape_group_7_shape_5_horizontal_lines, 94, 1),
        shape(frame_1239_shape_group_7_shape_6_horizontal_lines, 105, 2),
        shape(frame_1239_shape_group_7_shape_7_horizontal_lines, 107, 1),
        shape(frame_1239_shape_group_7_shape_8_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(151, 167),
        horizontal_line(149, 169),
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(211, 239),
        horizontal_line(201, 239),
        horizontal_line(191, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(162, 179),
        horizontal_line(158, 179),
        horizontal_line(154, 179),
        horizontal_line(150, 179),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(146, 179),
        horizontal_line(146, 178),
        horizontal_line(146, 178),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(49, 52),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(146, 178),
        horizontal_line(146, 178),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(123, 132),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(132, 160),
    };

    constexpr const horizontal_line frame_1239_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(117, 130),
        horizontal_line(117, 130),
        horizontal_line(116, 129),
        horizontal_line(108, 108),
        horizontal_line(115, 128),
        horizontal_line(219, 219),
    };

    constexpr const shape frame_1239_shape_group_8_shapes[] = {
        shape(frame_1239_shape_group_8_shape_0_horizontal_lines, 67, 3),
        shape(frame_1239_shape_group_8_shape_1_horizontal_lines, 71, 1),
        shape(frame_1239_shape_group_8_shape_2_horizontal_lines, 79, 2),
        shape(frame_1239_shape_group_8_shape_3_horizontal_lines, 83, 4),
        shape(frame_1239_shape_group_8_shape_4_horizontal_lines, 87, 2),
        shape(frame_1239_shape_group_8_shape_5_horizontal_lines, 88, 4),
        shape(frame_1239_shape_group_8_shape_6_horizontal_lines, 91, 2),
        shape(frame_1239_shape_group_8_shape_7_horizontal_lines, 92, 4),
        shape(frame_1239_shape_group_8_shape_8_horizontal_lines, 94, 2),
        shape(frame_1239_shape_group_8_shape_9_horizontal_lines, 97, 1),
        shape(frame_1239_shape_group_8_shape_10_horizontal_lines, 100, 2),
        shape(frame_1239_shape_group_8_shape_11_horizontal_lines, 102, 1),
        shape(frame_1239_shape_group_8_shape_12_horizontal_lines, 104, 2),
        shape(frame_1239_shape_group_8_shape_13_horizontal_lines, 107, 1),
        shape(frame_1239_shape_group_8_shape_14_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(157, 162),
        horizontal_line(155, 164),
        horizontal_line(153, 166),
    };

    constexpr const horizontal_line frame_1239_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 10),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1239_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(174, 179),
    };

    constexpr const horizontal_line frame_1239_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(147, 179),
    };

    constexpr const horizontal_line frame_1239_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(146, 178),
    };

    constexpr const horizontal_line frame_1239_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(49, 55),
        horizontal_line(49, 56),
        horizontal_line(50, 58),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(50, 59),
        horizontal_line(51, 59),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(51, 60),
        horizontal_line(162, 179),
        horizontal_line(119, 131),
        horizontal_line(0, 19),
        horizontal_line(160, 194),
        horizontal_line(159, 199),
        horizontal_line(159, 204),
        horizontal_line(116, 128),
        horizontal_line(158, 214),
    };

    constexpr const shape frame_1239_shape_group_9_shapes[] = {
        shape(frame_1239_shape_group_9_shape_0_horizontal_lines, 67, 1),
        shape(frame_1239_shape_group_9_shape_1_horizontal_lines, 72, 2),
        shape(frame_1239_shape_group_9_shape_2_horizontal_lines, 79, 4),
        shape(frame_1239_shape_group_9_shape_3_horizontal_lines, 87, 4),
        shape(frame_1239_shape_group_9_shape_4_horizontal_lines, 91, 4),
        shape(frame_1239_shape_group_9_shape_5_horizontal_lines, 94, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(145, 178),
        horizontal_line(145, 178),
        horizontal_line(145, 178),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(50, 58),
        horizontal_line(50, 58),
        horizontal_line(50, 58),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(120, 126),
        horizontal_line(118, 126),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(51, 59),
        horizontal_line(51, 59),
        horizontal_line(127, 132),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(161, 184),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(158, 209),
    };

    constexpr const horizontal_line frame_1239_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(104, 105),
    };

    constexpr const shape frame_1239_shape_group_10_shapes[] = {
        shape(frame_1239_shape_group_10_shape_0_horizontal_lines, 94, 4),
        shape(frame_1239_shape_group_10_shape_1_horizontal_lines, 97, 2),
        shape(frame_1239_shape_group_10_shape_2_horizontal_lines, 100, 4),
        shape(frame_1239_shape_group_10_shape_3_horizontal_lines, 102, 2),
        shape(frame_1239_shape_group_10_shape_4_horizontal_lines, 105, 4),
        shape(frame_1239_shape_group_10_shape_5_horizontal_lines, 106, 2),
        shape(frame_1239_shape_group_10_shape_6_horizontal_lines, 110, 4),
        shape(frame_1239_shape_group_10_shape_7_horizontal_lines, 111, 2),
        shape(frame_1239_shape_group_10_shape_8_horizontal_lines, 112, 4),
    };

    constexpr const horizontal_line frame_1239_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(123, 126),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_1239_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(131, 133),
        horizontal_line(162, 174),
    };

    constexpr const horizontal_line frame_1239_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_1239_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(118, 131),
    };

    constexpr const horizontal_line frame_1239_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(105, 106),
    };

    constexpr const shape frame_1239_shape_group_11_shapes[] = {
        shape(frame_1239_shape_group_11_shape_0_horizontal_lines, 97, 4),
        shape(frame_1239_shape_group_11_shape_1_horizontal_lines, 102, 2),
        shape(frame_1239_shape_group_11_shape_2_horizontal_lines, 106, 4),
        shape(frame_1239_shape_group_11_shape_3_horizontal_lines, 107, 2),
        shape(frame_1239_shape_group_11_shape_4_horizontal_lines, 111, 4),
    };

    constexpr const horizontal_line frame_1239_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(145, 178),
        horizontal_line(145, 178),
        horizontal_line(145, 160),
    };

    constexpr const horizontal_line frame_1239_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(117, 126),
    };

    constexpr const horizontal_line frame_1239_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(163, 169),
    };

    constexpr const horizontal_line frame_1239_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(116, 126),
    };

    constexpr const horizontal_line frame_1239_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(161, 189),
    };

    constexpr const shape frame_1239_shape_group_12_shapes[] = {
        shape(frame_1239_shape_group_12_shape_0_horizontal_lines, 97, 4),
        shape(frame_1239_shape_group_12_shape_1_horizontal_lines, 102, 4),
        shape(frame_1239_shape_group_12_shape_2_horizontal_lines, 103, 2),
        shape(frame_1239_shape_group_12_shape_3_horizontal_lines, 104, 4),
        shape(frame_1239_shape_group_12_shape_4_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1239_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(116, 126),
    };

    constexpr const shape frame_1239_shape_group_13_shapes[] = {
        shape(frame_1239_shape_group_13_shape_0_horizontal_lines, 103, 4),
    };

    constexpr const shape_group frame_1239_shape_groups[] = {
        shape_group(frame_1239_shape_group_0_shapes),
        shape_group(frame_1239_shape_group_1_shapes),
        shape_group(frame_1239_shape_group_2_shapes),
        shape_group(frame_1239_shape_group_3_shapes),
        shape_group(frame_1239_shape_group_4_shapes),
        shape_group(frame_1239_shape_group_5_shapes),
        shape_group(frame_1239_shape_group_6_shapes),
        shape_group(frame_1239_shape_group_7_shapes),
        shape_group(frame_1239_shape_group_8_shapes),
        shape_group(frame_1239_shape_group_9_shapes),
        shape_group(frame_1239_shape_group_10_shapes),
        shape_group(frame_1239_shape_group_11_shapes),
        shape_group(frame_1239_shape_group_12_shapes),
        shape_group(frame_1239_shape_group_13_shapes),
    };

    constexpr const frame frame_1239_impl(frame_1239_colors, frame_1239_shape_groups);
} 

const frame& frame_1239()
{
    return frame_1239_impl;
}

namespace
{
    constexpr const bn::color frame_1240_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1240_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(1, 44),
        horizontal_line(3, 45),
        horizontal_line(2, 4),
        horizontal_line(2, 5),
        horizontal_line(1, 6),
        horizontal_line(1, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(2, 42),
        horizontal_line(4, 41),
        horizontal_line(6, 41),
        horizontal_line(8, 40),
        horizontal_line(10, 40),
        horizontal_line(12, 39),
        horizontal_line(14, 39),
        horizontal_line(16, 38),
        horizontal_line(18, 38),
        horizontal_line(20, 38),
        horizontal_line(22, 37),
        horizontal_line(24, 37),
        horizontal_line(26, 36),
        horizontal_line(28, 36),
        horizontal_line(30, 35),
        horizontal_line(32, 35),
        horizontal_line(35, 35),
        horizontal_line(57, 71),
        horizontal_line(56, 56),
        horizontal_line(56, 57),
        horizontal_line(55, 57),
        horizontal_line(55, 58),
        horizontal_line(55, 58),
        horizontal_line(54, 59),
        horizontal_line(54, 60),
        horizontal_line(54, 60),
        horizontal_line(53, 61),
        horizontal_line(53, 61),
        horizontal_line(53, 62),
        horizontal_line(54, 74),
        horizontal_line(56, 62),
        horizontal_line(57, 62),
        horizontal_line(59, 61),
        horizontal_line(59, 61),
        horizontal_line(60, 60),
        horizontal_line(66, 74),
        horizontal_line(67, 74),
        horizontal_line(67, 75),
    };

    constexpr const horizontal_line frame_1240_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(63, 67),
    };

    constexpr const horizontal_line frame_1240_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(67, 68),
        horizontal_line(66, 68),
        horizontal_line(32, 54),
        horizontal_line(16, 60),
        horizontal_line(23, 66),
        horizontal_line(30, 76),
        horizontal_line(37, 79),
        horizontal_line(44, 85),
        horizontal_line(51, 91),
        horizontal_line(58, 97),
        horizontal_line(66, 104),
        horizontal_line(73, 110),
        horizontal_line(80, 116),
        horizontal_line(87, 122),
        horizontal_line(94, 129),
        horizontal_line(101, 132),
        horizontal_line(108, 135),
        horizontal_line(116, 138),
        horizontal_line(123, 141),
        horizontal_line(130, 145),
        horizontal_line(137, 148),
        horizontal_line(144, 151),
        horizontal_line(151, 154),
    };

    constexpr const horizontal_line frame_1240_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1240_shape_group_0_shapes[] = {
        shape(frame_1240_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1240_shape_group_0_shape_1_horizontal_lines, 100, 8),
        shape(frame_1240_shape_group_0_shape_2_horizontal_lines, 101, 9),
        shape(frame_1240_shape_group_0_shape_3_horizontal_lines, 126, 8),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(18, 46),
        horizontal_line(33, 47),
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(50, 54),
        horizontal_line(50, 58),
        horizontal_line(51, 62),
        horizontal_line(51, 65),
        horizontal_line(52, 69),
        horizontal_line(52, 73),
        horizontal_line(53, 77),
        horizontal_line(54, 81),
        horizontal_line(54, 84),
        horizontal_line(55, 88),
        horizontal_line(55, 92),
        horizontal_line(56, 96),
        horizontal_line(56, 99),
        horizontal_line(57, 103),
        horizontal_line(58, 107),
        horizontal_line(58, 111),
        horizontal_line(59, 115),
        horizontal_line(59, 118),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(43, 66),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(46, 67),
        horizontal_line(47, 67),
        horizontal_line(47, 67),
        horizontal_line(48, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(30, 56),
        horizontal_line(32, 55),
        horizontal_line(35, 55),
        horizontal_line(37, 54),
        horizontal_line(40, 54),
        horizontal_line(42, 54),
        horizontal_line(45, 53),
        horizontal_line(46, 53),
        horizontal_line(48, 53),
        horizontal_line(49, 52),
        horizontal_line(51, 52),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(79, 116),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(61, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(76, 79),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(65, 66),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(76, 102),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(67, 68),
        horizontal_line(67, 69),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_1240_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(8, 29),
        horizontal_line(4, 36),
        horizontal_line(1, 43),
        horizontal_line(0, 50),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1240_shape_group_1_shapes[] = {
        shape(frame_1240_shape_group_1_shape_0_horizontal_lines, 26, 8),
        shape(frame_1240_shape_group_1_shape_1_horizontal_lines, 28, 9),
        shape(frame_1240_shape_group_1_shape_2_horizontal_lines, 31, 8),
        shape(frame_1240_shape_group_1_shape_3_horizontal_lines, 32, 14),
        shape(frame_1240_shape_group_1_shape_4_horizontal_lines, 62, 8),
        shape(frame_1240_shape_group_1_shape_5_horizontal_lines, 63, 9),
        shape(frame_1240_shape_group_1_shape_6_horizontal_lines, 79, 8),
        shape(frame_1240_shape_group_1_shape_7_horizontal_lines, 91, 14),
        shape(frame_1240_shape_group_1_shape_8_horizontal_lines, 92, 9),
        shape(frame_1240_shape_group_1_shape_9_horizontal_lines, 97, 8),
        shape(frame_1240_shape_group_1_shape_10_horizontal_lines, 100, 14),
        shape(frame_1240_shape_group_1_shape_11_horizontal_lines, 101, 8),
        shape(frame_1240_shape_group_1_shape_12_horizontal_lines, 104, 14),
        shape(frame_1240_shape_group_1_shape_13_horizontal_lines, 105, 9),
        shape(frame_1240_shape_group_1_shape_14_horizontal_lines, 108, 8),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(49, 50),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
        horizontal_line(215, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(205, 239),
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(191, 239),
        horizontal_line(187, 239),
        horizontal_line(184, 239),
        horizontal_line(180, 239),
        horizontal_line(177, 239),
        horizontal_line(173, 235),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(1, 7),
        horizontal_line(2, 9),
        horizontal_line(3, 11),
        horizontal_line(5, 13),
        horizontal_line(6, 15),
        horizontal_line(8, 17),
        horizontal_line(10, 19),
        horizontal_line(12, 21),
        horizontal_line(15, 23),
        horizontal_line(17, 25),
        horizontal_line(20, 27),
        horizontal_line(22, 29),
        horizontal_line(25, 31),
        horizontal_line(27, 34),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(72, 74),
        horizontal_line(72, 79),
        horizontal_line(72, 84),
        horizontal_line(73, 89),
        horizontal_line(73, 94),
        horizontal_line(73, 98),
        horizontal_line(73, 103),
        horizontal_line(74, 108),
        horizontal_line(74, 113),
        horizontal_line(74, 118),
        horizontal_line(75, 117),
        horizontal_line(123, 149),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(110, 110),
        horizontal_line(109, 112),
        horizontal_line(108, 114),
        horizontal_line(76, 85),
        horizontal_line(76, 90),
        horizontal_line(76, 96),
        horizontal_line(104, 116),
        horizontal_line(76, 102),
        horizontal_line(77, 101),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(70, 76),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(90, 99),
        horizontal_line(98, 98),
        horizontal_line(98, 99),
        horizontal_line(97, 101),
        horizontal_line(98, 101),
    };

    constexpr const horizontal_line frame_1240_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 72),
        horizontal_line(62, 79),
        horizontal_line(62, 86),
        horizontal_line(62, 93),
        horizontal_line(62, 100),
        horizontal_line(62, 107),
        horizontal_line(62, 115),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1240_shape_group_2_shapes[] = {
        shape(frame_1240_shape_group_2_shape_0_horizontal_lines, 28, 8),
        shape(frame_1240_shape_group_2_shape_1_horizontal_lines, 31, 14),
        shape(frame_1240_shape_group_2_shape_2_horizontal_lines, 43, 14),
        shape(frame_1240_shape_group_2_shape_3_horizontal_lines, 63, 8),
        shape(frame_1240_shape_group_2_shape_4_horizontal_lines, 79, 14),
        shape(frame_1240_shape_group_2_shape_5_horizontal_lines, 92, 8),
        shape(frame_1240_shape_group_2_shape_6_horizontal_lines, 97, 14),
        shape(frame_1240_shape_group_2_shape_7_horizontal_lines, 107, 9),
        shape(frame_1240_shape_group_2_shape_8_horizontal_lines, 108, 14),
        shape(frame_1240_shape_group_2_shape_9_horizontal_lines, 113, 8),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 126),
        horizontal_line(123, 130),
        horizontal_line(123, 133),
        horizontal_line(124, 137),
        horizontal_line(125, 141),
        horizontal_line(125, 145),
        horizontal_line(126, 149),
        horizontal_line(126, 152),
        horizontal_line(127, 156),
        horizontal_line(127, 160),
        horizontal_line(128, 164),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(42, 42),
        horizontal_line(42, 43),
        horizontal_line(41, 44),
        horizontal_line(41, 45),
        horizontal_line(40, 46),
        horizontal_line(40, 46),
        horizontal_line(39, 47),
        horizontal_line(39, 48),
        horizontal_line(39, 49),
        horizontal_line(38, 50),
        horizontal_line(38, 51),
        horizontal_line(37, 51),
        horizontal_line(37, 52),
        horizontal_line(36, 53),
        horizontal_line(36, 54),
        horizontal_line(36, 55),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(10, 29),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(133, 138),
        horizontal_line(132, 140),
        horizontal_line(130, 142),
        horizontal_line(129, 143),
        horizontal_line(127, 145),
        horizontal_line(126, 147),
        horizontal_line(124, 149),
        horizontal_line(123, 149),
        horizontal_line(121, 149),
        horizontal_line(120, 149),
        horizontal_line(121, 149),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(12, 45),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(84, 115),
        horizontal_line(89, 114),
        horizontal_line(94, 113),
        horizontal_line(99, 112),
        horizontal_line(104, 111),
        horizontal_line(129, 149),
        horizontal_line(129, 149),
        horizontal_line(128, 183),
        horizontal_line(128, 142),
        horizontal_line(107, 116),
        horizontal_line(106, 116),
        horizontal_line(105, 116),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(15, 48),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(106, 116),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(12, 22),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(108, 115),
        horizontal_line(108, 112),
        horizontal_line(108, 110),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(109, 115),
        horizontal_line(108, 114),
        horizontal_line(111, 113),
        horizontal_line(130, 163),
        horizontal_line(129, 163),
        horizontal_line(130, 162),
        horizontal_line(133, 161),
        horizontal_line(136, 161),
        horizontal_line(139, 160),
        horizontal_line(142, 160),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 136),
        horizontal_line(124, 143),
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 199),
        horizontal_line(186, 201),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 211),
    };

    constexpr const shape frame_1240_shape_group_3_shapes[] = {
        shape(frame_1240_shape_group_3_shape_0_horizontal_lines, 50, 14),
        shape(frame_1240_shape_group_3_shape_1_horizontal_lines, 63, 8),
        shape(frame_1240_shape_group_3_shape_2_horizontal_lines, 79, 1),
        shape(frame_1240_shape_group_3_shape_3_horizontal_lines, 80, 14),
        shape(frame_1240_shape_group_3_shape_4_horizontal_lines, 91, 1),
        shape(frame_1240_shape_group_3_shape_5_horizontal_lines, 92, 14),
        shape(frame_1240_shape_group_3_shape_6_horizontal_lines, 104, 1),
        shape(frame_1240_shape_group_3_shape_7_horizontal_lines, 105, 14),
        shape(frame_1240_shape_group_3_shape_8_horizontal_lines, 107, 8),
        shape(frame_1240_shape_group_3_shape_9_horizontal_lines, 108, 14),
        shape(frame_1240_shape_group_3_shape_10_horizontal_lines, 112, 1),
        shape(frame_1240_shape_group_3_shape_11_horizontal_lines, 122, 8),
        shape(frame_1240_shape_group_3_shape_12_horizontal_lines, 126, 2),
        shape(frame_1240_shape_group_3_shape_13_horizontal_lines, 144, 8),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(129, 168),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(87, 149),
        horizontal_line(92, 154),
        horizontal_line(96, 154),
        horizontal_line(101, 152),
        horizontal_line(105, 150),
        horizontal_line(109, 148),
        horizontal_line(114, 146),
        horizontal_line(118, 144),
        horizontal_line(122, 142),
        horizontal_line(127, 140),
        horizontal_line(131, 138),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(137, 178),
        horizontal_line(10, 31),
        horizontal_line(10, 34),
        horizontal_line(10, 36),
        horizontal_line(10, 39),
        horizontal_line(11, 41),
        horizontal_line(11, 44),
        horizontal_line(11, 44),
        horizontal_line(11, 44),
        horizontal_line(12, 44),
        horizontal_line(12, 44),
        horizontal_line(12, 45),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(125, 149),
        horizontal_line(127, 149),
        horizontal_line(130, 149),
        horizontal_line(129, 149),
        horizontal_line(129, 149),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(14, 46),
        horizontal_line(14, 46),
        horizontal_line(14, 46),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(145, 180),
        horizontal_line(128, 137),
        horizontal_line(128, 132),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(15, 47),
        horizontal_line(61, 64),
        horizontal_line(15, 31),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(99, 104),
        horizontal_line(100, 103),
        horizontal_line(102, 102),
        horizontal_line(132, 165),
        horizontal_line(131, 164),
        horizontal_line(131, 164),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(117, 129),
        horizontal_line(123, 128),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(146, 159),
        horizontal_line(149, 158),
        horizontal_line(152, 158),
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_1240_shape_group_4_shapes[] = {
        shape(frame_1240_shape_group_4_shape_0_horizontal_lines, 60, 14),
        shape(frame_1240_shape_group_4_shape_1_horizontal_lines, 79, 1),
        shape(frame_1240_shape_group_4_shape_2_horizontal_lines, 92, 14),
        shape(frame_1240_shape_group_4_shape_3_horizontal_lines, 97, 1),
        shape(frame_1240_shape_group_4_shape_4_horizontal_lines, 100, 14),
        shape(frame_1240_shape_group_4_shape_5_horizontal_lines, 103, 1),
        shape(frame_1240_shape_group_4_shape_6_horizontal_lines, 107, 8),
        shape(frame_1240_shape_group_4_shape_7_horizontal_lines, 108, 1),
        shape(frame_1240_shape_group_4_shape_8_horizontal_lines, 115, 2),
        shape(frame_1240_shape_group_4_shape_9_horizontal_lines, 122, 1),
        shape(frame_1240_shape_group_4_shape_10_horizontal_lines, 126, 2),
        shape(frame_1240_shape_group_4_shape_11_horizontal_lines, 144, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 229),
        horizontal_line(186, 219),
        horizontal_line(187, 210),
        horizontal_line(189, 200),
        horizontal_line(191, 191),
    };

    constexpr const horizontal_line frame_1240_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(9, 24),
        horizontal_line(9, 26),
        horizontal_line(190, 239),
        horizontal_line(139, 174),
        horizontal_line(141, 170),
        horizontal_line(143, 166),
        horizontal_line(144, 162),
        horizontal_line(146, 158),
        horizontal_line(148, 154),
        horizontal_line(150, 150),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(118, 120),
        horizontal_line(188, 239),
        horizontal_line(12, 45),
        horizontal_line(13, 45),
        horizontal_line(13, 45),
        horizontal_line(13, 46),
        horizontal_line(13, 46),
        horizontal_line(59, 60),
        horizontal_line(59, 61),
        horizontal_line(60, 61),
        horizontal_line(14, 47),
    };

    constexpr const horizontal_line frame_1240_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(142, 177),
        horizontal_line(140, 174),
    };

    constexpr const horizontal_line frame_1240_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(61, 64),
        horizontal_line(137, 170),
        horizontal_line(61, 65),
        horizontal_line(102, 108),
    };

    constexpr const horizontal_line frame_1240_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(83, 100),
    };

    constexpr const horizontal_line frame_1240_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(116, 118),
        horizontal_line(113, 117),
        horizontal_line(111, 116),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_1240_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(105, 107),
        horizontal_line(114, 130),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
    };

    constexpr const shape frame_1240_shape_group_5_shapes[] = {
        shape(frame_1240_shape_group_5_shape_0_horizontal_lines, 62, 14),
        shape(frame_1240_shape_group_5_shape_1_horizontal_lines, 77, 1),
        shape(frame_1240_shape_group_5_shape_2_horizontal_lines, 101, 14),
        shape(frame_1240_shape_group_5_shape_3_horizontal_lines, 103, 1),
        shape(frame_1240_shape_group_5_shape_4_horizontal_lines, 107, 14),
        shape(frame_1240_shape_group_5_shape_5_horizontal_lines, 108, 1),
        shape(frame_1240_shape_group_5_shape_6_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(132, 166),
        horizontal_line(136, 164),
        horizontal_line(141, 162),
        horizontal_line(145, 160),
        horizontal_line(149, 158),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(155, 179),
        horizontal_line(153, 180),
        horizontal_line(8, 9),
        horizontal_line(8, 11),
        horizontal_line(8, 14),
        horizontal_line(8, 16),
        horizontal_line(9, 19),
        horizontal_line(9, 21),
        horizontal_line(139, 186),
        horizontal_line(137, 182),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(116, 124),
        horizontal_line(115, 126),
        horizontal_line(114, 129),
        horizontal_line(113, 128),
        horizontal_line(59, 59),
        horizontal_line(111, 124),
        horizontal_line(111, 122),
        horizontal_line(113, 120),
        horizontal_line(60, 62),
        horizontal_line(14, 47),
        horizontal_line(15, 47),
        horizontal_line(138, 171),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(103, 105),
        horizontal_line(136, 169),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(108, 116),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(135, 167),
        horizontal_line(134, 167),
        horizontal_line(133, 166),
        horizontal_line(133, 166),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(116, 131),
        horizontal_line(115, 130),
        horizontal_line(165, 224),
        horizontal_line(226, 229),
        horizontal_line(226, 234),
    };

    constexpr const horizontal_line frame_1240_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_1240_shape_group_6_shapes[] = {
        shape(frame_1240_shape_group_6_shape_0_horizontal_lines, 63, 14),
        shape(frame_1240_shape_group_6_shape_1_horizontal_lines, 69, 1),
        shape(frame_1240_shape_group_6_shape_2_horizontal_lines, 79, 2),
        shape(frame_1240_shape_group_6_shape_3_horizontal_lines, 80, 1),
        shape(frame_1240_shape_group_6_shape_4_horizontal_lines, 87, 2),
        shape(frame_1240_shape_group_6_shape_5_horizontal_lines, 90, 1),
        shape(frame_1240_shape_group_6_shape_6_horizontal_lines, 91, 2),
        shape(frame_1240_shape_group_6_shape_7_horizontal_lines, 92, 1),
        shape(frame_1240_shape_group_6_shape_8_horizontal_lines, 104, 2),
        shape(frame_1240_shape_group_6_shape_9_horizontal_lines, 105, 1),
        shape(frame_1240_shape_group_6_shape_10_horizontal_lines, 107, 14),
        shape(frame_1240_shape_group_6_shape_11_horizontal_lines, 108, 1),
        shape(frame_1240_shape_group_6_shape_12_horizontal_lines, 112, 2),
        shape(frame_1240_shape_group_6_shape_13_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(157, 177),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(151, 182),
        horizontal_line(149, 183),
        horizontal_line(147, 185),
        horizontal_line(145, 186),
        horizontal_line(143, 188),
        horizontal_line(141, 190),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(179, 189),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(45, 47),
        horizontal_line(45, 48),
        horizontal_line(45, 50),
        horizontal_line(0, 11),
        horizontal_line(46, 53),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(112, 126),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(197, 239),
        horizontal_line(115, 118),
        horizontal_line(60, 63),
        horizontal_line(60, 64),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(49, 60),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(137, 169),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(101, 107),
    };

    constexpr const horizontal_line frame_1240_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(109, 109),
        horizontal_line(166, 215),
        horizontal_line(165, 219),
    };

    constexpr const shape frame_1240_shape_group_7_shapes[] = {
        shape(frame_1240_shape_group_7_shape_0_horizontal_lines, 63, 14),
        shape(frame_1240_shape_group_7_shape_1_horizontal_lines, 68, 1),
        shape(frame_1240_shape_group_7_shape_2_horizontal_lines, 69, 3),
        shape(frame_1240_shape_group_7_shape_3_horizontal_lines, 71, 1),
        shape(frame_1240_shape_group_7_shape_4_horizontal_lines, 79, 4),
        shape(frame_1240_shape_group_7_shape_5_horizontal_lines, 80, 2),
        shape(frame_1240_shape_group_7_shape_6_horizontal_lines, 92, 1),
        shape(frame_1240_shape_group_7_shape_7_horizontal_lines, 104, 2),
        shape(frame_1240_shape_group_7_shape_8_horizontal_lines, 105, 1),
        shape(frame_1240_shape_group_7_shape_9_horizontal_lines, 106, 2),
        shape(frame_1240_shape_group_7_shape_10_horizontal_lines, 107, 1),
        shape(frame_1240_shape_group_7_shape_11_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(167, 169),
        horizontal_line(165, 171),
        horizontal_line(163, 172),
        horizontal_line(161, 174),
        horizontal_line(159, 175),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(211, 239),
        horizontal_line(201, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(175, 189),
        horizontal_line(171, 189),
        horizontal_line(167, 189),
        horizontal_line(163, 189),
        horizontal_line(159, 188),
        horizontal_line(155, 188),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(45, 45),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(150, 188),
        horizontal_line(150, 188),
        horizontal_line(150, 188),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(46, 51),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(150, 187),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(117, 117),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(65, 65),
        horizontal_line(0, 14),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(119, 134),
        horizontal_line(118, 133),
        horizontal_line(117, 132),
        horizontal_line(117, 132),
    };

    constexpr const horizontal_line frame_1240_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(102, 106),
    };

    constexpr const shape frame_1240_shape_group_8_shapes[] = {
        shape(frame_1240_shape_group_8_shape_0_horizontal_lines, 63, 1),
        shape(frame_1240_shape_group_8_shape_1_horizontal_lines, 68, 3),
        shape(frame_1240_shape_group_8_shape_2_horizontal_lines, 71, 2),
        shape(frame_1240_shape_group_8_shape_3_horizontal_lines, 72, 1),
        shape(frame_1240_shape_group_8_shape_4_horizontal_lines, 77, 2),
        shape(frame_1240_shape_group_8_shape_5_horizontal_lines, 80, 4),
        shape(frame_1240_shape_group_8_shape_6_horizontal_lines, 86, 2),
        shape(frame_1240_shape_group_8_shape_7_horizontal_lines, 87, 4),
        shape(frame_1240_shape_group_8_shape_8_horizontal_lines, 90, 2),
        shape(frame_1240_shape_group_8_shape_9_horizontal_lines, 91, 4),
        shape(frame_1240_shape_group_8_shape_10_horizontal_lines, 92, 3),
        shape(frame_1240_shape_group_8_shape_11_horizontal_lines, 93, 2),
        shape(frame_1240_shape_group_8_shape_12_horizontal_lines, 96, 1),
        shape(frame_1240_shape_group_8_shape_13_horizontal_lines, 97, 2),
        shape(frame_1240_shape_group_8_shape_14_horizontal_lines, 100, 1),
        shape(frame_1240_shape_group_8_shape_15_horizontal_lines, 103, 2),
        shape(frame_1240_shape_group_8_shape_16_horizontal_lines, 107, 1),
        shape(frame_1240_shape_group_8_shape_17_horizontal_lines, 108, 2),
        shape(frame_1240_shape_group_8_shape_18_horizontal_lines, 112, 4),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(187, 189),
        horizontal_line(183, 189),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(151, 188),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(150, 188),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(46, 56),
        horizontal_line(46, 58),
        horizontal_line(47, 58),
        horizontal_line(0, 12),
        horizontal_line(47, 58),
        horizontal_line(47, 58),
        horizontal_line(47, 59),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(48, 60),
        horizontal_line(130, 136),
        horizontal_line(55, 60),
        horizontal_line(121, 135),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(135, 168),
    };

    constexpr const horizontal_line frame_1240_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(168, 195),
        horizontal_line(168, 200),
        horizontal_line(167, 205),
        horizontal_line(167, 210),
    };

    constexpr const shape frame_1240_shape_group_9_shapes[] = {
        shape(frame_1240_shape_group_9_shape_0_horizontal_lines, 65, 3),
        shape(frame_1240_shape_group_9_shape_1_horizontal_lines, 72, 2),
        shape(frame_1240_shape_group_9_shape_2_horizontal_lines, 77, 4),
        shape(frame_1240_shape_group_9_shape_3_horizontal_lines, 86, 4),
        shape(frame_1240_shape_group_9_shape_4_horizontal_lines, 90, 4),
        shape(frame_1240_shape_group_9_shape_5_horizontal_lines, 92, 2),
        shape(frame_1240_shape_group_9_shape_6_horizontal_lines, 101, 1),
        shape(frame_1240_shape_group_9_shape_7_horizontal_lines, 103, 2),
        shape(frame_1240_shape_group_9_shape_8_horizontal_lines, 107, 1),
        shape(frame_1240_shape_group_9_shape_9_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(46, 54),
    };

    constexpr const horizontal_line frame_1240_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(150, 187),
        horizontal_line(150, 187),
        horizontal_line(150, 187),
    };

    constexpr const horizontal_line frame_1240_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(47, 58),
    };

    constexpr const horizontal_line frame_1240_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(123, 128),
        horizontal_line(121, 127),
    };

    constexpr const horizontal_line frame_1240_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(48, 59),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(134, 137),
        horizontal_line(171, 176),
        horizontal_line(66, 66),
        horizontal_line(170, 186),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1240_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(105, 107),
        horizontal_line(104, 107),
        horizontal_line(103, 107),
    };

    constexpr const shape frame_1240_shape_group_10_shapes[] = {
        shape(frame_1240_shape_group_10_shape_0_horizontal_lines, 92, 2),
        shape(frame_1240_shape_group_10_shape_1_horizontal_lines, 93, 4),
        shape(frame_1240_shape_group_10_shape_2_horizontal_lines, 96, 2),
        shape(frame_1240_shape_group_10_shape_3_horizontal_lines, 97, 4),
        shape(frame_1240_shape_group_10_shape_4_horizontal_lines, 100, 2),
        shape(frame_1240_shape_group_10_shape_5_horizontal_lines, 108, 4),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(150, 187),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(150, 187),
        horizontal_line(150, 187),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(48, 59),
        horizontal_line(48, 59),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(117, 124),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(125, 136),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_1240_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const shape frame_1240_shape_group_11_shapes[] = {
        shape(frame_1240_shape_group_11_shape_0_horizontal_lines, 92, 4),
        shape(frame_1240_shape_group_11_shape_1_horizontal_lines, 96, 4),
        shape(frame_1240_shape_group_11_shape_2_horizontal_lines, 100, 4),
        shape(frame_1240_shape_group_11_shape_3_horizontal_lines, 101, 2),
        shape(frame_1240_shape_group_11_shape_4_horizontal_lines, 104, 4),
        shape(frame_1240_shape_group_11_shape_5_horizontal_lines, 105, 2),
        shape(frame_1240_shape_group_11_shape_6_horizontal_lines, 106, 4),
        shape(frame_1240_shape_group_11_shape_7_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(150, 187),
    };

    constexpr const horizontal_line frame_1240_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(118, 127),
        horizontal_line(117, 127),
        horizontal_line(117, 127),
    };

    constexpr const horizontal_line frame_1240_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(170, 181),
    };

    constexpr const horizontal_line frame_1240_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(120, 134),
    };

    constexpr const shape frame_1240_shape_group_12_shapes[] = {
        shape(frame_1240_shape_group_12_shape_0_horizontal_lines, 96, 4),
        shape(frame_1240_shape_group_12_shape_1_horizontal_lines, 101, 4),
        shape(frame_1240_shape_group_12_shape_2_horizontal_lines, 105, 2),
        shape(frame_1240_shape_group_12_shape_3_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_1240_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(169, 191),
    };

    constexpr const shape frame_1240_shape_group_13_shapes[] = {
        shape(frame_1240_shape_group_13_shape_0_horizontal_lines, 105, 4),
        shape(frame_1240_shape_group_13_shape_1_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1240_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(117, 117),
    };

    constexpr const shape frame_1240_shape_group_14_shapes[] = {
        shape(frame_1240_shape_group_14_shape_0_horizontal_lines, 107, 4),
    };

    constexpr const shape_group frame_1240_shape_groups[] = {
        shape_group(frame_1240_shape_group_0_shapes),
        shape_group(frame_1240_shape_group_1_shapes),
        shape_group(frame_1240_shape_group_2_shapes),
        shape_group(frame_1240_shape_group_3_shapes),
        shape_group(frame_1240_shape_group_4_shapes),
        shape_group(frame_1240_shape_group_5_shapes),
        shape_group(frame_1240_shape_group_6_shapes),
        shape_group(frame_1240_shape_group_7_shapes),
        shape_group(frame_1240_shape_group_8_shapes),
        shape_group(frame_1240_shape_group_9_shapes),
        shape_group(frame_1240_shape_group_10_shapes),
        shape_group(frame_1240_shape_group_11_shapes),
        shape_group(frame_1240_shape_group_12_shapes),
        shape_group(frame_1240_shape_group_13_shapes),
        shape_group(frame_1240_shape_group_14_shapes),
    };

    constexpr const frame frame_1240_impl(frame_1240_colors, frame_1240_shape_groups);
} 

const frame& frame_1240()
{
    return frame_1240_impl;
}

namespace
{
    constexpr const bn::color frame_1241_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1241_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(1, 37),
        horizontal_line(14, 38),
        horizontal_line(28, 39),
    };

    constexpr const horizontal_line frame_1241_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(42, 43),
        horizontal_line(43, 47),
        horizontal_line(43, 50),
        horizontal_line(44, 54),
        horizontal_line(44, 57),
    };

    constexpr const horizontal_line frame_1241_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(2, 36),
        horizontal_line(4, 36),
        horizontal_line(7, 35),
        horizontal_line(9, 35),
        horizontal_line(11, 34),
        horizontal_line(14, 34),
        horizontal_line(16, 33),
        horizontal_line(19, 33),
        horizontal_line(21, 32),
        horizontal_line(23, 32),
        horizontal_line(26, 31),
        horizontal_line(28, 31),
        horizontal_line(31, 31),
        horizontal_line(54, 70),
        horizontal_line(55, 71),
    };

    constexpr const horizontal_line frame_1241_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(72, 75),
    };

    constexpr const horizontal_line frame_1241_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(55, 55),
        horizontal_line(55, 56),
        horizontal_line(54, 57),
        horizontal_line(54, 57),
        horizontal_line(54, 58),
        horizontal_line(53, 59),
        horizontal_line(53, 59),
        horizontal_line(52, 60),
        horizontal_line(52, 61),
        horizontal_line(52, 61),
        horizontal_line(53, 62),
        horizontal_line(54, 74),
        horizontal_line(55, 62),
        horizontal_line(56, 62),
        horizontal_line(57, 61),
        horizontal_line(58, 61),
        horizontal_line(59, 60),
        horizontal_line(60, 60),
        horizontal_line(67, 74),
        horizontal_line(68, 75),
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(66, 68),
        horizontal_line(66, 68),
        horizontal_line(67, 68),
        horizontal_line(35, 51),
        horizontal_line(25, 58),
        horizontal_line(14, 65),
        horizontal_line(4, 66),
        horizontal_line(11, 73),
        horizontal_line(18, 80),
        horizontal_line(26, 88),
        horizontal_line(33, 95),
        horizontal_line(41, 103),
        horizontal_line(48, 110),
        horizontal_line(56, 118),
        horizontal_line(63, 125),
        horizontal_line(71, 132),
        horizontal_line(78, 134),
        horizontal_line(86, 137),
        horizontal_line(93, 140),
        horizontal_line(100, 142),
        horizontal_line(108, 145),
        horizontal_line(115, 148),
        horizontal_line(123, 150),
        horizontal_line(130, 153),
        horizontal_line(138, 156),
        horizontal_line(145, 158),
        horizontal_line(153, 161),
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_1241_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1241_shape_group_0_shapes[] = {
        shape(frame_1241_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1241_shape_group_0_shape_1_horizontal_lines, 20, 14),
        shape(frame_1241_shape_group_0_shape_2_horizontal_lines, 25, 9),
        shape(frame_1241_shape_group_0_shape_3_horizontal_lines, 78, 14),
        shape(frame_1241_shape_group_0_shape_4_horizontal_lines, 79, 9),
        shape(frame_1241_shape_group_0_shape_5_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_1241_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(45, 61),
        horizontal_line(46, 64),
        horizontal_line(46, 68),
        horizontal_line(47, 71),
        horizontal_line(47, 75),
        horizontal_line(48, 78),
        horizontal_line(49, 82),
        horizontal_line(49, 86),
        horizontal_line(50, 89),
        horizontal_line(50, 93),
        horizontal_line(51, 96),
        horizontal_line(52, 100),
        horizontal_line(52, 103),
        horizontal_line(53, 107),
        horizontal_line(53, 110),
        horizontal_line(54, 114),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_1241_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(40, 64),
        horizontal_line(41, 64),
        horizontal_line(42, 65),
        horizontal_line(43, 65),
        horizontal_line(44, 65),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(48, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 69),
        horizontal_line(52, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 70),
    };

    constexpr const horizontal_line frame_1241_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(138, 139),
        horizontal_line(136, 141),
        horizontal_line(72, 80),
        horizontal_line(72, 85),
        horizontal_line(73, 90),
        horizontal_line(73, 95),
        horizontal_line(73, 100),
        horizontal_line(73, 105),
        horizontal_line(74, 110),
        horizontal_line(74, 115),
        horizontal_line(74, 120),
        horizontal_line(74, 119),
        horizontal_line(75, 118),
        horizontal_line(79, 117),
    };

    constexpr const horizontal_line frame_1241_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(64, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(67, 74),
    };

    constexpr const horizontal_line frame_1241_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(109, 115),
        horizontal_line(76, 81),
        horizontal_line(76, 88),
        horizontal_line(76, 95),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(77, 101),
    };

    constexpr const horizontal_line frame_1241_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(67, 76),
        horizontal_line(68, 68),
        horizontal_line(70, 76),
        horizontal_line(66, 76),
        horizontal_line(73, 78),
        horizontal_line(80, 85),
        horizontal_line(88, 91),
        horizontal_line(95, 98),
        horizontal_line(103, 105),
        horizontal_line(110, 111),
        horizontal_line(118, 118),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_1241_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1241_shape_group_1_shapes[] = {
        shape(frame_1241_shape_group_1_shape_0_horizontal_lines, 25, 14),
        shape(frame_1241_shape_group_1_shape_1_horizontal_lines, 59, 9),
        shape(frame_1241_shape_group_1_shape_2_horizontal_lines, 76, 14),
        shape(frame_1241_shape_group_1_shape_3_horizontal_lines, 91, 9),
        shape(frame_1241_shape_group_1_shape_4_horizontal_lines, 97, 14),
        shape(frame_1241_shape_group_1_shape_5_horizontal_lines, 105, 9),
        shape(frame_1241_shape_group_1_shape_6_horizontal_lines, 117, 8),
    };

    constexpr const horizontal_line frame_1241_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(117, 121),
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(198, 239),
        horizontal_line(195, 239),
        horizontal_line(191, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 239),
        horizontal_line(180, 239),
        horizontal_line(68, 130),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(101, 159),
        horizontal_line(105, 156),
        horizontal_line(109, 154),
        horizontal_line(114, 152),
        horizontal_line(118, 150),
        horizontal_line(122, 147),
        horizontal_line(126, 145),
        horizontal_line(130, 143),
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_1241_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(21, 53),
        horizontal_line(23, 54),
        horizontal_line(26, 55),
    };

    constexpr const horizontal_line frame_1241_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(135, 143),
        horizontal_line(133, 145),
        horizontal_line(131, 146),
        horizontal_line(130, 148),
        horizontal_line(128, 150),
        horizontal_line(126, 152),
        horizontal_line(125, 154),
        horizontal_line(123, 154),
        horizontal_line(122, 154),
        horizontal_line(122, 154),
        horizontal_line(124, 154),
        horizontal_line(126, 154),
        horizontal_line(84, 116),
        horizontal_line(89, 115),
        horizontal_line(95, 114),
        horizontal_line(100, 113),
        horizontal_line(105, 112),
        horizontal_line(111, 111),
        horizontal_line(131, 153),
        horizontal_line(130, 192),
        horizontal_line(108, 118),
        horizontal_line(106, 118),
        horizontal_line(105, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
        horizontal_line(106, 117),
        horizontal_line(81, 100),
    };

    constexpr const horizontal_line frame_1241_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(70, 76),
    };

    constexpr const horizontal_line frame_1241_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(92, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 99),
        horizontal_line(97, 102),
        horizontal_line(96, 102),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_1241_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 47),
        horizontal_line(0, 55),
        horizontal_line(0, 62),
        horizontal_line(62, 70),
        horizontal_line(62, 77),
        horizontal_line(62, 85),
        horizontal_line(62, 92),
        horizontal_line(62, 99),
        horizontal_line(62, 107),
        horizontal_line(62, 114),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1241_shape_group_2_shapes[] = {
        shape(frame_1241_shape_group_2_shape_0_horizontal_lines, 41, 14),
        shape(frame_1241_shape_group_2_shape_1_horizontal_lines, 76, 8),
        shape(frame_1241_shape_group_2_shape_2_horizontal_lines, 79, 14),
        shape(frame_1241_shape_group_2_shape_3_horizontal_lines, 106, 9),
        shape(frame_1241_shape_group_2_shape_4_horizontal_lines, 107, 14),
        shape(frame_1241_shape_group_2_shape_5_horizontal_lines, 113, 8),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(118, 124),
        horizontal_line(118, 128),
        horizontal_line(119, 132),
        horizontal_line(119, 135),
        horizontal_line(120, 139),
        horizontal_line(121, 142),
        horizontal_line(121, 146),
        horizontal_line(122, 149),
        horizontal_line(122, 153),
        horizontal_line(123, 156),
        horizontal_line(124, 160),
        horizontal_line(124, 163),
        horizontal_line(125, 167),
        horizontal_line(125, 170),
        horizontal_line(126, 174),
        horizontal_line(127, 178),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 230),
        horizontal_line(200, 221),
        horizontal_line(201, 212),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(18, 30),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(29, 35),
        horizontal_line(32, 36),
        horizontal_line(35, 37),
        horizontal_line(38, 38),
        horizontal_line(43, 53),
        horizontal_line(44, 52),
        horizontal_line(46, 52),
        horizontal_line(47, 51),
        horizontal_line(49, 51),
        horizontal_line(51, 51),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(128, 154),
        horizontal_line(130, 153),
        horizontal_line(132, 153),
        horizontal_line(131, 153),
        horizontal_line(131, 153),
        horizontal_line(131, 153),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(61, 66),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(192, 200),
        horizontal_line(130, 146),
        horizontal_line(130, 140),
        horizontal_line(130, 134),
        horizontal_line(143, 188),
        horizontal_line(163, 185),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(3, 45),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(108, 117),
        horizontal_line(87, 99),
        horizontal_line(109, 116),
        horizontal_line(109, 113),
        horizontal_line(109, 111),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(109, 116),
        horizontal_line(112, 115),
        horizontal_line(133, 175),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(133, 174),
        horizontal_line(135, 173),
        horizontal_line(138, 172),
        horizontal_line(141, 172),
        horizontal_line(143, 171),
        horizontal_line(146, 170),
        horizontal_line(149, 170),
        horizontal_line(151, 169),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 137),
        horizontal_line(124, 144),
        horizontal_line(124, 152),
        horizontal_line(124, 159),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(186, 188),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 199),
        horizontal_line(186, 201),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(186, 208),
        horizontal_line(186, 210),
        horizontal_line(186, 212),
    };

    constexpr const shape frame_1241_shape_group_3_shapes[] = {
        shape(frame_1241_shape_group_3_shape_0_horizontal_lines, 43, 14),
        shape(frame_1241_shape_group_3_shape_1_horizontal_lines, 75, 8),
        shape(frame_1241_shape_group_3_shape_2_horizontal_lines, 76, 1),
        shape(frame_1241_shape_group_3_shape_3_horizontal_lines, 79, 8),
        shape(frame_1241_shape_group_3_shape_4_horizontal_lines, 89, 1),
        shape(frame_1241_shape_group_3_shape_5_horizontal_lines, 91, 14),
        shape(frame_1241_shape_group_3_shape_6_horizontal_lines, 97, 8),
        shape(frame_1241_shape_group_3_shape_7_horizontal_lines, 98, 14),
        shape(frame_1241_shape_group_3_shape_8_horizontal_lines, 104, 1),
        shape(frame_1241_shape_group_3_shape_9_horizontal_lines, 105, 14),
        shape(frame_1241_shape_group_3_shape_10_horizontal_lines, 111, 8),
        shape(frame_1241_shape_group_3_shape_11_horizontal_lines, 113, 1),
        shape(frame_1241_shape_group_3_shape_12_horizontal_lines, 116, 8),
        shape(frame_1241_shape_group_3_shape_13_horizontal_lines, 117, 1),
        shape(frame_1241_shape_group_3_shape_14_horizontal_lines, 125, 8),
        shape(frame_1241_shape_group_3_shape_15_horizontal_lines, 130, 2),
        shape(frame_1241_shape_group_3_shape_16_horizontal_lines, 143, 8),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 176),
        horizontal_line(134, 174),
        horizontal_line(138, 172),
        horizontal_line(142, 170),
        horizontal_line(146, 167),
        horizontal_line(151, 165),
        horizontal_line(155, 163),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(1, 15),
        horizontal_line(3, 18),
        horizontal_line(6, 20),
        horizontal_line(9, 22),
        horizontal_line(12, 25),
        horizontal_line(15, 27),
        horizontal_line(32, 52),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(140, 194),
        horizontal_line(140, 189),
        horizontal_line(142, 185),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(37, 54),
        horizontal_line(38, 54),
        horizontal_line(40, 53),
        horizontal_line(41, 53),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(119, 123),
        horizontal_line(118, 125),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(63, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(61, 65),
        horizontal_line(61, 66),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(1, 43),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(150, 197),
        horizontal_line(147, 194),
        horizontal_line(144, 191),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(2, 44),
        horizontal_line(60, 64),
        horizontal_line(3, 34),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(99, 106),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(1, 10),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(110, 117),
        horizontal_line(109, 117),
        horizontal_line(134, 176),
        horizontal_line(134, 175),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(132, 174),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(154, 169),
        horizontal_line(157, 168),
        horizontal_line(159, 167),
        horizontal_line(162, 167),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_1241_shape_group_4_shapes[] = {
        shape(frame_1241_shape_group_4_shape_0_horizontal_lines, 59, 14),
        shape(frame_1241_shape_group_4_shape_1_horizontal_lines, 67, 8),
        shape(frame_1241_shape_group_4_shape_2_horizontal_lines, 76, 1),
        shape(frame_1241_shape_group_4_shape_3_horizontal_lines, 79, 8),
        shape(frame_1241_shape_group_4_shape_4_horizontal_lines, 83, 1),
        shape(frame_1241_shape_group_4_shape_5_horizontal_lines, 91, 8),
        shape(frame_1241_shape_group_4_shape_6_horizontal_lines, 97, 1),
        shape(frame_1241_shape_group_4_shape_7_horizontal_lines, 98, 8),
        shape(frame_1241_shape_group_4_shape_8_horizontal_lines, 99, 14),
        shape(frame_1241_shape_group_4_shape_9_horizontal_lines, 102, 8),
        shape(frame_1241_shape_group_4_shape_10_horizontal_lines, 103, 1),
        shape(frame_1241_shape_group_4_shape_11_horizontal_lines, 106, 14),
        shape(frame_1241_shape_group_4_shape_12_horizontal_lines, 107, 8),
        shape(frame_1241_shape_group_4_shape_13_horizontal_lines, 108, 1),
        shape(frame_1241_shape_group_4_shape_14_horizontal_lines, 109, 8),
        shape(frame_1241_shape_group_4_shape_15_horizontal_lines, 111, 1),
        shape(frame_1241_shape_group_4_shape_16_horizontal_lines, 115, 2),
        shape(frame_1241_shape_group_4_shape_17_horizontal_lines, 116, 1),
        shape(frame_1241_shape_group_4_shape_18_horizontal_lines, 117, 2),
        shape(frame_1241_shape_group_4_shape_19_horizontal_lines, 125, 1),
        shape(frame_1241_shape_group_4_shape_20_horizontal_lines, 130, 2),
        shape(frame_1241_shape_group_4_shape_21_horizontal_lines, 143, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(39, 39),
        horizontal_line(39, 40),
        horizontal_line(38, 41),
        horizontal_line(38, 42),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(35, 46),
        horizontal_line(35, 47),
        horizontal_line(34, 47),
        horizontal_line(34, 48),
        horizontal_line(33, 49),
        horizontal_line(33, 50),
        horizontal_line(32, 51),
        horizontal_line(32, 51),
    };

    constexpr const horizontal_line frame_1241_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(151, 163),
        horizontal_line(153, 159),
        horizontal_line(155, 155),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(120, 121),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(1, 42),
        horizontal_line(1, 43),
        horizontal_line(58, 60),
        horizontal_line(1, 43),
    };

    constexpr const horizontal_line frame_1241_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(63, 66),
        horizontal_line(64, 66),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1241_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(2, 44),
        horizontal_line(60, 64),
        horizontal_line(102, 105),
        horizontal_line(60, 64),
    };

    constexpr const horizontal_line frame_1241_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_1241_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(3, 13),
        horizontal_line(114, 119),
        horizontal_line(100, 104),
        horizontal_line(103, 103),
        horizontal_line(136, 177),
        horizontal_line(135, 177),
    };

    constexpr const horizontal_line frame_1241_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(106, 108),
        horizontal_line(116, 133),
        horizontal_line(176, 234),
        horizontal_line(126, 131),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
    };

    constexpr const shape frame_1241_shape_group_5_shapes[] = {
        shape(frame_1241_shape_group_5_shape_0_horizontal_lines, 59, 8),
        shape(frame_1241_shape_group_5_shape_1_horizontal_lines, 75, 1),
        shape(frame_1241_shape_group_5_shape_2_horizontal_lines, 99, 8),
        shape(frame_1241_shape_group_5_shape_3_horizontal_lines, 102, 1),
        shape(frame_1241_shape_group_5_shape_4_horizontal_lines, 106, 8),
        shape(frame_1241_shape_group_5_shape_5_horizontal_lines, 107, 1),
        shape(frame_1241_shape_group_5_shape_6_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(177, 179),
        horizontal_line(175, 181),
        horizontal_line(173, 182),
        horizontal_line(171, 184),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(37, 43),
        horizontal_line(37, 43),
        horizontal_line(36, 44),
        horizontal_line(36, 45),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(160, 191),
        horizontal_line(157, 193),
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(142, 198),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(195, 201),
        horizontal_line(190, 201),
        horizontal_line(186, 201),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(144, 181),
        horizontal_line(146, 176),
        horizontal_line(147, 172),
        horizontal_line(149, 168),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(155, 201),
        horizontal_line(155, 200),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(155, 200),
        horizontal_line(155, 200),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(117, 127),
        horizontal_line(116, 129),
        horizontal_line(115, 131),
        horizontal_line(57, 57),
        horizontal_line(57, 58),
        horizontal_line(57, 59),
        horizontal_line(113, 123),
        horizontal_line(58, 61),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(2, 44),
        horizontal_line(59, 64),
        horizontal_line(103, 103),
        horizontal_line(140, 182),
        horizontal_line(101, 107),
        horizontal_line(3, 24),
        horizontal_line(99, 108),
        horizontal_line(138, 179),
        horizontal_line(112, 119),
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(103, 107),
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(117, 133),
        horizontal_line(176, 229),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(175, 237),
    };

    constexpr const horizontal_line frame_1241_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_1241_shape_group_6_shapes[] = {
        shape(frame_1241_shape_group_6_shape_0_horizontal_lines, 59, 1),
        shape(frame_1241_shape_group_6_shape_1_horizontal_lines, 63, 8),
        shape(frame_1241_shape_group_6_shape_2_horizontal_lines, 67, 1),
        shape(frame_1241_shape_group_6_shape_3_horizontal_lines, 76, 4),
        shape(frame_1241_shape_group_6_shape_4_horizontal_lines, 79, 1),
        shape(frame_1241_shape_group_6_shape_5_horizontal_lines, 86, 4),
        shape(frame_1241_shape_group_6_shape_6_horizontal_lines, 88, 1),
        shape(frame_1241_shape_group_6_shape_7_horizontal_lines, 89, 4),
        shape(frame_1241_shape_group_6_shape_8_horizontal_lines, 91, 1),
        shape(frame_1241_shape_group_6_shape_9_horizontal_lines, 111, 4),
        shape(frame_1241_shape_group_6_shape_10_horizontal_lines, 113, 2),
        shape(frame_1241_shape_group_6_shape_11_horizontal_lines, 116, 2),
        shape(frame_1241_shape_group_6_shape_12_horizontal_lines, 125, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(168, 185),
        horizontal_line(166, 187),
        horizontal_line(164, 188),
        horizontal_line(162, 190),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(155, 194),
        horizontal_line(153, 196),
        horizontal_line(151, 197),
        horizontal_line(148, 199),
        horizontal_line(146, 200),
        horizontal_line(144, 202),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(164, 201),
        horizontal_line(160, 201),
        horizontal_line(156, 201),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(45, 46),
        horizontal_line(47, 48),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(155, 200),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(52, 53),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(114, 129),
        horizontal_line(113, 127),
        horizontal_line(112, 125),
        horizontal_line(201, 239),
        horizontal_line(116, 121),
        horizontal_line(58, 62),
        horizontal_line(59, 63),
        horizontal_line(59, 64),
        horizontal_line(142, 142),
        horizontal_line(141, 162),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(140, 181),
        horizontal_line(61, 65),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(137, 178),
        horizontal_line(136, 178),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(106, 108),
        horizontal_line(177, 225),
    };

    constexpr const horizontal_line frame_1241_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const shape frame_1241_shape_group_7_shapes[] = {
        shape(frame_1241_shape_group_7_shape_0_horizontal_lines, 63, 1),
        shape(frame_1241_shape_group_7_shape_1_horizontal_lines, 69, 1),
        shape(frame_1241_shape_group_7_shape_2_horizontal_lines, 79, 1),
        shape(frame_1241_shape_group_7_shape_3_horizontal_lines, 83, 4),
        shape(frame_1241_shape_group_7_shape_4_horizontal_lines, 86, 3),
        shape(frame_1241_shape_group_7_shape_5_horizontal_lines, 88, 4),
        shape(frame_1241_shape_group_7_shape_6_horizontal_lines, 89, 3),
        shape(frame_1241_shape_group_7_shape_7_horizontal_lines, 91, 1),
        shape(frame_1241_shape_group_7_shape_8_horizontal_lines, 104, 4),
        shape(frame_1241_shape_group_7_shape_9_horizontal_lines, 105, 1),
        shape(frame_1241_shape_group_7_shape_10_horizontal_lines, 108, 4),
        shape(frame_1241_shape_group_7_shape_11_horizontal_lines, 109, 1),
        shape(frame_1241_shape_group_7_shape_12_horizontal_lines, 111, 2),
        shape(frame_1241_shape_group_7_shape_13_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(222, 239),
        horizontal_line(213, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(182, 201),
        horizontal_line(177, 201),
        horizontal_line(173, 201),
        horizontal_line(169, 201),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(41, 42),
        horizontal_line(42, 43),
        horizontal_line(44, 45),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(41, 44),
        horizontal_line(41, 46),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(49, 50),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(42, 49),
        horizontal_line(42, 51),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(155, 200),
        horizontal_line(154, 200),
        horizontal_line(154, 200),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(119, 119),
        horizontal_line(214, 239),
        horizontal_line(221, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(100, 109),
        horizontal_line(138, 180),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(105, 108),
        horizontal_line(104, 108),
    };

    constexpr const horizontal_line frame_1241_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(118, 135),
        horizontal_line(118, 134),
    };

    constexpr const shape frame_1241_shape_group_8_shapes[] = {
        shape(frame_1241_shape_group_8_shape_0_horizontal_lines, 71, 1),
        shape(frame_1241_shape_group_8_shape_1_horizontal_lines, 75, 4),
        shape(frame_1241_shape_group_8_shape_2_horizontal_lines, 79, 4),
        shape(frame_1241_shape_group_8_shape_3_horizontal_lines, 83, 3),
        shape(frame_1241_shape_group_8_shape_4_horizontal_lines, 86, 2),
        shape(frame_1241_shape_group_8_shape_5_horizontal_lines, 88, 3),
        shape(frame_1241_shape_group_8_shape_6_horizontal_lines, 89, 2),
        shape(frame_1241_shape_group_8_shape_7_horizontal_lines, 91, 4),
        shape(frame_1241_shape_group_8_shape_8_horizontal_lines, 94, 1),
        shape(frame_1241_shape_group_8_shape_9_horizontal_lines, 97, 4),
        shape(frame_1241_shape_group_8_shape_10_horizontal_lines, 98, 1),
        shape(frame_1241_shape_group_8_shape_11_horizontal_lines, 104, 2),
        shape(frame_1241_shape_group_8_shape_12_horizontal_lines, 105, 4),
        shape(frame_1241_shape_group_8_shape_13_horizontal_lines, 106, 1),
        shape(frame_1241_shape_group_8_shape_14_horizontal_lines, 108, 2),
        shape(frame_1241_shape_group_8_shape_15_horizontal_lines, 109, 4),
        shape(frame_1241_shape_group_8_shape_16_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(36, 36),
        horizontal_line(37, 37),
        horizontal_line(38, 39),
        horizontal_line(39, 40),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(41, 41),
        horizontal_line(41, 43),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(42, 48),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(53, 54),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(43, 56),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(128, 130),
        horizontal_line(126, 130),
        horizontal_line(154, 200),
        horizontal_line(122, 129),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(119, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 129),
        horizontal_line(119, 126),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(46, 59),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_1241_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(120, 137),
        horizontal_line(0, 0),
        horizontal_line(110, 110),
        horizontal_line(178, 215),
        horizontal_line(178, 220),
    };

    constexpr const shape frame_1241_shape_group_9_shapes[] = {
        shape(frame_1241_shape_group_9_shape_0_horizontal_lines, 79, 3),
        shape(frame_1241_shape_group_9_shape_1_horizontal_lines, 84, 2),
        shape(frame_1241_shape_group_9_shape_2_horizontal_lines, 88, 2),
        shape(frame_1241_shape_group_9_shape_3_horizontal_lines, 91, 3),
        shape(frame_1241_shape_group_9_shape_4_horizontal_lines, 93, 2),
        shape(frame_1241_shape_group_9_shape_5_horizontal_lines, 94, 4),
        shape(frame_1241_shape_group_9_shape_6_horizontal_lines, 99, 1),
        shape(frame_1241_shape_group_9_shape_7_horizontal_lines, 100, 4),
        shape(frame_1241_shape_group_9_shape_8_horizontal_lines, 104, 2),
        shape(frame_1241_shape_group_9_shape_9_horizontal_lines, 106, 1),
        shape(frame_1241_shape_group_9_shape_10_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(42, 52),
        horizontal_line(43, 54),
    };

    constexpr const horizontal_line frame_1241_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(154, 200),
        horizontal_line(154, 200),
        horizontal_line(154, 200),
    };

    constexpr const horizontal_line frame_1241_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1241_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(120, 129),
    };

    constexpr const horizontal_line frame_1241_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(65, 66),
        horizontal_line(52, 59),
    };

    constexpr const horizontal_line frame_1241_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(139, 180),
    };

    constexpr const horizontal_line frame_1241_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(66, 68),
        horizontal_line(180, 201),
        horizontal_line(120, 136),
        horizontal_line(119, 135),
    };

    constexpr const shape frame_1241_shape_group_10_shapes[] = {
        shape(frame_1241_shape_group_10_shape_0_horizontal_lines, 91, 2),
        shape(frame_1241_shape_group_10_shape_1_horizontal_lines, 94, 4),
        shape(frame_1241_shape_group_10_shape_2_horizontal_lines, 97, 2),
        shape(frame_1241_shape_group_10_shape_3_horizontal_lines, 99, 4),
        shape(frame_1241_shape_group_10_shape_4_horizontal_lines, 100, 2),
        shape(frame_1241_shape_group_10_shape_5_horizontal_lines, 106, 1),
        shape(frame_1241_shape_group_10_shape_6_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(43, 56),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(44, 57),
        horizontal_line(44, 57),
        horizontal_line(0, 0),
        horizontal_line(45, 58),
        horizontal_line(45, 58),
        horizontal_line(45, 58),
        horizontal_line(45, 59),
        horizontal_line(129, 139),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1241_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1241_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(121, 137),
    };

    constexpr const horizontal_line frame_1241_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(179, 206),
        horizontal_line(179, 211),
    };

    constexpr const shape frame_1241_shape_group_11_shapes[] = {
        shape(frame_1241_shape_group_11_shape_0_horizontal_lines, 94, 2),
        shape(frame_1241_shape_group_11_shape_1_horizontal_lines, 106, 4),
        shape(frame_1241_shape_group_11_shape_2_horizontal_lines, 107, 2),
        shape(frame_1241_shape_group_11_shape_3_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(43, 56),
        horizontal_line(44, 56),
    };

    constexpr const horizontal_line frame_1241_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(44, 57),
    };

    constexpr const horizontal_line frame_1241_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(183, 183),
        horizontal_line(123, 139),
    };

    constexpr const horizontal_line frame_1241_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_1241_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(181, 197),
    };

    constexpr const shape frame_1241_shape_group_12_shapes[] = {
        shape(frame_1241_shape_group_12_shape_0_horizontal_lines, 95, 2),
        shape(frame_1241_shape_group_12_shape_1_horizontal_lines, 99, 2),
        shape(frame_1241_shape_group_12_shape_2_horizontal_lines, 103, 2),
        shape(frame_1241_shape_group_12_shape_3_horizontal_lines, 106, 4),
        shape(frame_1241_shape_group_12_shape_4_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_1241_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(182, 187),
        horizontal_line(0, 2),
    };

    constexpr const shape frame_1241_shape_group_13_shapes[] = {
        shape(frame_1241_shape_group_13_shape_0_horizontal_lines, 103, 2),
        shape(frame_1241_shape_group_13_shape_1_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(60, 60),
    };

    constexpr const shape frame_1241_shape_group_14_shapes[] = {
        shape(frame_1241_shape_group_14_shape_0_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(66, 67),
    };

    constexpr const shape frame_1241_shape_group_15_shapes[] = {
        shape(frame_1241_shape_group_15_shape_0_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(122, 138),
    };

    constexpr const shape frame_1241_shape_group_16_shapes[] = {
        shape(frame_1241_shape_group_16_shape_0_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1241_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(181, 192),
    };

    constexpr const shape frame_1241_shape_group_17_shapes[] = {
        shape(frame_1241_shape_group_17_shape_0_horizontal_lines, 106, 2),
    };

    constexpr const shape_group frame_1241_shape_groups[] = {
        shape_group(frame_1241_shape_group_0_shapes),
        shape_group(frame_1241_shape_group_1_shapes),
        shape_group(frame_1241_shape_group_2_shapes),
        shape_group(frame_1241_shape_group_3_shapes),
        shape_group(frame_1241_shape_group_4_shapes),
        shape_group(frame_1241_shape_group_5_shapes),
        shape_group(frame_1241_shape_group_6_shapes),
        shape_group(frame_1241_shape_group_7_shapes),
        shape_group(frame_1241_shape_group_8_shapes),
        shape_group(frame_1241_shape_group_9_shapes),
        shape_group(frame_1241_shape_group_10_shapes),
        shape_group(frame_1241_shape_group_11_shapes),
        shape_group(frame_1241_shape_group_12_shapes),
        shape_group(frame_1241_shape_group_13_shapes),
        shape_group(frame_1241_shape_group_14_shapes),
        shape_group(frame_1241_shape_group_15_shapes),
        shape_group(frame_1241_shape_group_16_shapes),
        shape_group(frame_1241_shape_group_17_shapes),
    };

    constexpr const frame frame_1241_impl(frame_1241_colors, frame_1241_shape_groups);
} 

const frame& frame_1241()
{
    return frame_1241_impl;
}

namespace
{
    constexpr const bn::color frame_1242_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(1, 28),
        horizontal_line(9, 29),
        horizontal_line(17, 30),
        horizontal_line(25, 31),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(34, 35),
        horizontal_line(35, 38),
        horizontal_line(35, 41),
        horizontal_line(36, 45),
        horizontal_line(36, 48),
        horizontal_line(37, 51),
        horizontal_line(38, 55),
        horizontal_line(38, 58),
        horizontal_line(39, 61),
        horizontal_line(39, 64),
        horizontal_line(40, 68),
        horizontal_line(41, 71),
        horizontal_line(41, 74),
        horizontal_line(42, 78),
        horizontal_line(42, 81),
        horizontal_line(43, 84),
        horizontal_line(44, 87),
        horizontal_line(44, 91),
        horizontal_line(45, 94),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(2, 31),
        horizontal_line(5, 30),
        horizontal_line(7, 29),
        horizontal_line(10, 29),
        horizontal_line(13, 28),
        horizontal_line(15, 28),
        horizontal_line(18, 27),
        horizontal_line(20, 27),
        horizontal_line(23, 26),
        horizontal_line(26, 26),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(71, 73),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(54, 55),
        horizontal_line(53, 56),
        horizontal_line(53, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(51, 58),
        horizontal_line(51, 59),
        horizontal_line(50, 60),
        horizontal_line(50, 60),
        horizontal_line(50, 61),
        horizontal_line(51, 62),
        horizontal_line(52, 74),
        horizontal_line(53, 62),
        horizontal_line(54, 62),
        horizontal_line(55, 61),
        horizontal_line(56, 61),
        horizontal_line(57, 60),
        horizontal_line(58, 60),
        horizontal_line(59, 59),
        horizontal_line(67, 75),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(76, 79),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(66, 68),
        horizontal_line(66, 68),
        horizontal_line(66, 68),
        horizontal_line(67, 76),
        horizontal_line(67, 68),
        horizontal_line(36, 48),
        horizontal_line(29, 55),
        horizontal_line(22, 62),
        horizontal_line(15, 68),
        horizontal_line(8, 70),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(8, 70),
        horizontal_line(16, 78),
        horizontal_line(24, 86),
        horizontal_line(31, 93),
        horizontal_line(39, 101),
        horizontal_line(47, 109),
        horizontal_line(55, 117),
        horizontal_line(62, 124),
        horizontal_line(70, 132),
        horizontal_line(78, 140),
        horizontal_line(86, 148),
        horizontal_line(93, 153),
        horizontal_line(101, 155),
        horizontal_line(109, 158),
        horizontal_line(117, 160),
        horizontal_line(124, 162),
        horizontal_line(132, 164),
        horizontal_line(140, 166),
        horizontal_line(148, 169),
        horizontal_line(155, 171),
        horizontal_line(163, 173),
        horizontal_line(171, 175),
    };

    constexpr const horizontal_line frame_1242_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1242_shape_group_0_shapes[] = {
        shape(frame_1242_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1242_shape_group_0_shape_1_horizontal_lines, 7, 14),
        shape(frame_1242_shape_group_0_shape_2_horizontal_lines, 26, 9),
        shape(frame_1242_shape_group_0_shape_3_horizontal_lines, 75, 14),
        shape(frame_1242_shape_group_0_shape_4_horizontal_lines, 76, 9),
        shape(frame_1242_shape_group_0_shape_5_horizontal_lines, 97, 14),
        shape(frame_1242_shape_group_0_shape_6_horizontal_lines, 98, 9),
        shape(frame_1242_shape_group_0_shape_7_horizontal_lines, 137, 8),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(45, 97),
        horizontal_line(46, 101),
        horizontal_line(47, 104),
        horizontal_line(47, 107),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(37, 61),
        horizontal_line(38, 62),
        horizontal_line(39, 62),
        horizontal_line(40, 63),
        horizontal_line(41, 63),
        horizontal_line(42, 64),
        horizontal_line(43, 64),
        horizontal_line(43, 64),
        horizontal_line(44, 65),
        horizontal_line(45, 65),
        horizontal_line(46, 66),
        horizontal_line(47, 66),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(138, 145),
        horizontal_line(143, 143),
        horizontal_line(142, 143),
        horizontal_line(71, 77),
        horizontal_line(71, 82),
        horizontal_line(72, 86),
        horizontal_line(72, 91),
        horizontal_line(72, 95),
        horizontal_line(73, 99),
        horizontal_line(73, 104),
        horizontal_line(73, 108),
        horizontal_line(74, 113),
        horizontal_line(74, 117),
        horizontal_line(74, 122),
        horizontal_line(75, 121),
        horizontal_line(79, 120),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
        horizontal_line(67, 74),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(110, 115),
        horizontal_line(109, 117),
        horizontal_line(76, 85),
        horizontal_line(76, 91),
        horizontal_line(76, 97),
        horizontal_line(76, 103),
        horizontal_line(77, 103),
        horizontal_line(81, 102),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(70, 76),
        horizontal_line(68, 68),
        horizontal_line(71, 76),
        horizontal_line(71, 77),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(78, 82),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(70, 75),
        horizontal_line(63, 82),
        horizontal_line(62, 89),
        horizontal_line(62, 95),
        horizontal_line(62, 102),
        horizontal_line(63, 109),
        horizontal_line(70, 115),
        horizontal_line(78, 122),
        horizontal_line(86, 129),
        horizontal_line(93, 136),
        horizontal_line(101, 138),
        horizontal_line(109, 140),
        horizontal_line(117, 142),
        horizontal_line(124, 144),
        horizontal_line(132, 147),
        horizontal_line(140, 149),
        horizontal_line(148, 151),
    };

    constexpr const horizontal_line frame_1242_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1242_shape_group_1_shapes[] = {
        shape(frame_1242_shape_group_1_shape_0_horizontal_lines, 26, 14),
        shape(frame_1242_shape_group_1_shape_1_horizontal_lines, 55, 9),
        shape(frame_1242_shape_group_1_shape_2_horizontal_lines, 73, 14),
        shape(frame_1242_shape_group_1_shape_3_horizontal_lines, 89, 9),
        shape(frame_1242_shape_group_1_shape_4_horizontal_lines, 96, 14),
        shape(frame_1242_shape_group_1_shape_5_horizontal_lines, 104, 9),
        shape(frame_1242_shape_group_1_shape_6_horizontal_lines, 108, 14),
        shape(frame_1242_shape_group_1_shape_7_horizontal_lines, 109, 9),
        shape(frame_1242_shape_group_1_shape_8_horizontal_lines, 126, 8),
    };

    constexpr const horizontal_line frame_1242_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(110, 114),
        horizontal_line(111, 117),
        horizontal_line(111, 120),
        horizontal_line(112, 124),
        horizontal_line(113, 127),
        horizontal_line(113, 130),
        horizontal_line(114, 134),
        horizontal_line(114, 137),
        horizontal_line(115, 140),
        horizontal_line(116, 143),
        horizontal_line(116, 147),
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(214, 239),
        horizontal_line(210, 239),
        horizontal_line(206, 239),
        horizontal_line(203, 239),
        horizontal_line(199, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(96, 158),
        horizontal_line(100, 162),
        horizontal_line(104, 164),
        horizontal_line(108, 162),
        horizontal_line(113, 159),
        horizontal_line(117, 157),
        horizontal_line(121, 155),
        horizontal_line(125, 152),
        horizontal_line(130, 150),
        horizontal_line(134, 147),
    };

    constexpr const horizontal_line frame_1242_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(10, 52),
        horizontal_line(13, 53),
        horizontal_line(16, 54),
    };

    constexpr const horizontal_line frame_1242_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(140, 145),
        horizontal_line(139, 147),
        horizontal_line(137, 149),
        horizontal_line(135, 150),
        horizontal_line(134, 152),
        horizontal_line(132, 154),
        horizontal_line(130, 156),
        horizontal_line(129, 158),
        horizontal_line(127, 158),
        horizontal_line(125, 158),
        horizontal_line(124, 158),
        horizontal_line(125, 158),
        horizontal_line(127, 158),
        horizontal_line(84, 118),
        horizontal_line(90, 117),
        horizontal_line(95, 116),
        horizontal_line(101, 114),
        horizontal_line(106, 113),
        horizontal_line(112, 112),
        horizontal_line(111, 113),
        horizontal_line(133, 158),
        horizontal_line(133, 158),
        horizontal_line(108, 119),
        horizontal_line(107, 119),
        horizontal_line(106, 119),
        horizontal_line(105, 119),
        horizontal_line(106, 119),
        horizontal_line(108, 119),
        horizontal_line(87, 101),
    };

    constexpr const horizontal_line frame_1242_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(70, 76),
    };

    constexpr const horizontal_line frame_1242_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(99, 99),
        horizontal_line(98, 101),
        horizontal_line(81, 88),
        horizontal_line(89, 94),
        horizontal_line(97, 103),
    };

    constexpr const horizontal_line frame_1242_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(96, 103),
        horizontal_line(103, 110),
        horizontal_line(0, 0),
        horizontal_line(0, 7),
        horizontal_line(0, 15),
        horizontal_line(0, 23),
        horizontal_line(0, 30),
        horizontal_line(0, 38),
        horizontal_line(0, 46),
        horizontal_line(0, 54),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 92),
        horizontal_line(62, 100),
        horizontal_line(62, 108),
        horizontal_line(62, 116),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 178),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1242_shape_group_2_shapes[] = {
        shape(frame_1242_shape_group_2_shape_0_horizontal_lines, 30, 14),
        shape(frame_1242_shape_group_2_shape_1_horizontal_lines, 73, 8),
        shape(frame_1242_shape_group_2_shape_2_horizontal_lines, 76, 14),
        shape(frame_1242_shape_group_2_shape_3_horizontal_lines, 105, 9),
        shape(frame_1242_shape_group_2_shape_4_horizontal_lines, 106, 14),
        shape(frame_1242_shape_group_2_shape_5_horizontal_lines, 112, 8),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(117, 150),
        horizontal_line(117, 153),
        horizontal_line(118, 157),
        horizontal_line(119, 160),
        horizontal_line(119, 163),
        horizontal_line(120, 166),
        horizontal_line(120, 170),
        horizontal_line(121, 173),
        horizontal_line(122, 176),
        horizontal_line(122, 180),
        horizontal_line(123, 183),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 228),
        horizontal_line(218, 218),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(19, 30),
        horizontal_line(22, 31),
        horizontal_line(25, 32),
        horizontal_line(28, 33),
        horizontal_line(31, 34),
        horizontal_line(34, 35),
        horizontal_line(42, 50),
        horizontal_line(44, 50),
        horizontal_line(45, 49),
        horizontal_line(47, 49),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(129, 158),
        horizontal_line(131, 158),
        horizontal_line(134, 158),
        horizontal_line(133, 158),
        horizontal_line(133, 158),
        horizontal_line(133, 158),
        horizontal_line(133, 158),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(61, 66),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(133, 158),
        horizontal_line(133, 150),
        horizontal_line(133, 144),
        horizontal_line(133, 138),
        horizontal_line(147, 206),
        horizontal_line(159, 203),
        horizontal_line(111, 119),
        horizontal_line(93, 100),
        horizontal_line(110, 117),
        horizontal_line(110, 114),
        horizontal_line(110, 111),
        horizontal_line(97, 103),
        horizontal_line(96, 103),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(90, 95),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(109, 118),
        horizontal_line(111, 117),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(110, 118),
        horizontal_line(116, 122),
        horizontal_line(123, 127),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(137, 188),
        horizontal_line(139, 187),
        horizontal_line(141, 186),
        horizontal_line(143, 186),
        horizontal_line(145, 185),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 77),
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(154, 183),
        horizontal_line(156, 182),
        horizontal_line(159, 182),
        horizontal_line(161, 181),
        horizontal_line(163, 181),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(124, 139),
        horizontal_line(124, 147),
        horizontal_line(124, 154),
        horizontal_line(124, 162),
        horizontal_line(124, 170),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 187),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 192),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 210),
        horizontal_line(186, 212),
        horizontal_line(186, 214),
    };

    constexpr const shape frame_1242_shape_group_3_shapes[] = {
        shape(frame_1242_shape_group_3_shape_0_horizontal_lines, 42, 14),
        shape(frame_1242_shape_group_3_shape_1_horizontal_lines, 73, 1),
        shape(frame_1242_shape_group_3_shape_2_horizontal_lines, 76, 8),
        shape(frame_1242_shape_group_3_shape_3_horizontal_lines, 87, 1),
        shape(frame_1242_shape_group_3_shape_4_horizontal_lines, 89, 14),
        shape(frame_1242_shape_group_3_shape_5_horizontal_lines, 96, 8),
        shape(frame_1242_shape_group_3_shape_6_horizontal_lines, 98, 14),
        shape(frame_1242_shape_group_3_shape_7_horizontal_lines, 111, 8),
        shape(frame_1242_shape_group_3_shape_8_horizontal_lines, 112, 1),
        shape(frame_1242_shape_group_3_shape_9_horizontal_lines, 114, 8),
        shape(frame_1242_shape_group_3_shape_10_horizontal_lines, 118, 1),
        shape(frame_1242_shape_group_3_shape_11_horizontal_lines, 123, 8),
        shape(frame_1242_shape_group_3_shape_12_horizontal_lines, 126, 1),
        shape(frame_1242_shape_group_3_shape_13_horizontal_lines, 131, 8),
        shape(frame_1242_shape_group_3_shape_14_horizontal_lines, 137, 2),
        shape(frame_1242_shape_group_3_shape_15_horizontal_lines, 142, 8),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(185, 186),
        horizontal_line(186, 190),
        horizontal_line(125, 187),
        horizontal_line(128, 186),
        horizontal_line(132, 183),
        horizontal_line(136, 181),
        horizontal_line(141, 179),
        horizontal_line(145, 176),
        horizontal_line(149, 174),
        horizontal_line(153, 171),
        horizontal_line(158, 169),
        horizontal_line(162, 167),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(1, 19),
        horizontal_line(4, 22),
        horizontal_line(7, 25),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(144, 201),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(32, 53),
        horizontal_line(34, 53),
        horizontal_line(35, 52),
        horizontal_line(37, 52),
        horizontal_line(39, 51),
        horizontal_line(40, 51),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(122, 124),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(61, 65),
        horizontal_line(61, 65),
        horizontal_line(60, 66),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(63, 66),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(155, 215),
        horizontal_line(152, 212),
        horizontal_line(149, 209),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(172, 200),
        horizontal_line(110, 119),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(56, 57),
        horizontal_line(63, 65),
        horizontal_line(69, 73),
        horizontal_line(76, 80),
        horizontal_line(83, 88),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(110, 119),
        horizontal_line(139, 191),
        horizontal_line(139, 190),
        horizontal_line(138, 190),
        horizontal_line(137, 189),
        horizontal_line(137, 189),
        horizontal_line(136, 188),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(148, 185),
        horizontal_line(150, 184),
        horizontal_line(152, 183),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(165, 180),
        horizontal_line(167, 179),
        horizontal_line(170, 179),
        horizontal_line(172, 178),
        horizontal_line(174, 178),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_1242_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_1242_shape_group_4_shapes[] = {
        shape(frame_1242_shape_group_4_shape_0_horizontal_lines, 53, 14),
        shape(frame_1242_shape_group_4_shape_1_horizontal_lines, 65, 8),
        shape(frame_1242_shape_group_4_shape_2_horizontal_lines, 73, 1),
        shape(frame_1242_shape_group_4_shape_3_horizontal_lines, 76, 8),
        shape(frame_1242_shape_group_4_shape_4_horizontal_lines, 82, 1),
        shape(frame_1242_shape_group_4_shape_5_horizontal_lines, 89, 8),
        shape(frame_1242_shape_group_4_shape_6_horizontal_lines, 96, 1),
        shape(frame_1242_shape_group_4_shape_7_horizontal_lines, 98, 8),
        shape(frame_1242_shape_group_4_shape_8_horizontal_lines, 99, 14),
        shape(frame_1242_shape_group_4_shape_9_horizontal_lines, 102, 1),
        shape(frame_1242_shape_group_4_shape_10_horizontal_lines, 104, 14),
        shape(frame_1242_shape_group_4_shape_11_horizontal_lines, 106, 8),
        shape(frame_1242_shape_group_4_shape_12_horizontal_lines, 111, 1),
        shape(frame_1242_shape_group_4_shape_13_horizontal_lines, 118, 2),
        shape(frame_1242_shape_group_4_shape_14_horizontal_lines, 123, 1),
        shape(frame_1242_shape_group_4_shape_15_horizontal_lines, 126, 2),
        shape(frame_1242_shape_group_4_shape_16_horizontal_lines, 131, 1),
        shape(frame_1242_shape_group_4_shape_17_horizontal_lines, 142, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(35, 37),
        horizontal_line(35, 38),
        horizontal_line(34, 39),
        horizontal_line(34, 40),
        horizontal_line(33, 41),
        horizontal_line(33, 42),
        horizontal_line(32, 42),
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(30, 45),
        horizontal_line(30, 46),
        horizontal_line(29, 47),
        horizontal_line(29, 48),
        horizontal_line(28, 48),
        horizontal_line(28, 49),
        horizontal_line(27, 50),
        horizontal_line(27, 51),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(157, 164),
        horizontal_line(159, 159),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(56, 60),
        horizontal_line(57, 61),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(65, 66),
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(58, 64),
        horizontal_line(58, 64),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(184, 197),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(69, 70),
        horizontal_line(69, 70),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 7),
        horizontal_line(0, 0),
        horizontal_line(140, 192),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(104, 108),
        horizontal_line(118, 138),
        horizontal_line(119, 137),
        horizontal_line(123, 136),
        horizontal_line(128, 136),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
    };

    constexpr const shape frame_1242_shape_group_5_shapes[] = {
        shape(frame_1242_shape_group_5_shape_0_horizontal_lines, 55, 14),
        shape(frame_1242_shape_group_5_shape_1_horizontal_lines, 56, 8),
        shape(frame_1242_shape_group_5_shape_2_horizontal_lines, 73, 1),
        shape(frame_1242_shape_group_5_shape_3_horizontal_lines, 99, 8),
        shape(frame_1242_shape_group_5_shape_4_horizontal_lines, 101, 1),
        shape(frame_1242_shape_group_5_shape_5_horizontal_lines, 104, 8),
        shape(frame_1242_shape_group_5_shape_6_horizontal_lines, 105, 14),
        shape(frame_1242_shape_group_5_shape_7_horizontal_lines, 106, 8),
        shape(frame_1242_shape_group_5_shape_8_horizontal_lines, 108, 1),
        shape(frame_1242_shape_group_5_shape_9_horizontal_lines, 112, 2),
        shape(frame_1242_shape_group_5_shape_10_horizontal_lines, 123, 2),
        shape(frame_1242_shape_group_5_shape_11_horizontal_lines, 131, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(36, 36),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(187, 193),
        horizontal_line(184, 194),
        horizontal_line(182, 196),
        horizontal_line(180, 197),
        horizontal_line(177, 199),
        horizontal_line(175, 200),
        horizontal_line(172, 202),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(32, 43),
        horizontal_line(31, 44),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(165, 206),
        horizontal_line(163, 208),
        horizontal_line(160, 209),
        horizontal_line(158, 211),
        horizontal_line(156, 212),
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(208, 212),
        horizontal_line(206, 207),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(202, 216),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(146, 196),
        horizontal_line(148, 191),
        horizontal_line(150, 185),
        horizontal_line(151, 180),
        horizontal_line(153, 175),
        horizontal_line(155, 169),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(159, 216),
        horizontal_line(159, 216),
        horizontal_line(159, 215),
        horizontal_line(159, 215),
        horizontal_line(159, 215),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(119, 128),
        horizontal_line(118, 130),
        horizontal_line(117, 133),
        horizontal_line(115, 132),
        horizontal_line(56, 56),
        horizontal_line(56, 57),
        horizontal_line(56, 58),
        horizontal_line(116, 124),
        horizontal_line(118, 122),
        horizontal_line(57, 62),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(57, 64),
        horizontal_line(104, 105),
        horizontal_line(103, 107),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 21),
        horizontal_line(102, 105),
        horizontal_line(104, 104),
        horizontal_line(110, 119),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1242_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(119, 138),
        horizontal_line(191, 229),
        horizontal_line(191, 234),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_1242_shape_group_6_shapes[] = {
        shape(frame_1242_shape_group_6_shape_0_horizontal_lines, 55, 8),
        shape(frame_1242_shape_group_6_shape_1_horizontal_lines, 56, 1),
        shape(frame_1242_shape_group_6_shape_2_horizontal_lines, 63, 8),
        shape(frame_1242_shape_group_6_shape_3_horizontal_lines, 65, 1),
        shape(frame_1242_shape_group_6_shape_4_horizontal_lines, 75, 4),
        shape(frame_1242_shape_group_6_shape_5_horizontal_lines, 76, 1),
        shape(frame_1242_shape_group_6_shape_6_horizontal_lines, 84, 4),
        shape(frame_1242_shape_group_6_shape_7_horizontal_lines, 89, 1),
        shape(frame_1242_shape_group_6_shape_8_horizontal_lines, 105, 8),
        shape(frame_1242_shape_group_6_shape_9_horizontal_lines, 106, 1),
        shape(frame_1242_shape_group_6_shape_10_horizontal_lines, 111, 4),
        shape(frame_1242_shape_group_6_shape_11_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(189, 191),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(170, 203),
        horizontal_line(168, 205),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(153, 214),
        horizontal_line(151, 213),
        horizontal_line(148, 210),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(213, 216),
        horizontal_line(208, 216),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(165, 216),
        horizontal_line(160, 216),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(41, 44),
        horizontal_line(43, 46),
        horizontal_line(45, 48),
        horizontal_line(47, 50),
        horizontal_line(48, 51),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(114, 130),
        horizontal_line(113, 128),
        horizontal_line(114, 126),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(120, 120),
        horizontal_line(57, 64),
        horizontal_line(57, 64),
        horizontal_line(228, 239),
        horizontal_line(146, 146),
        horizontal_line(145, 158),
        horizontal_line(58, 65),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(59, 65),
        horizontal_line(100, 106),
        horizontal_line(112, 121),
        horizontal_line(111, 120),
        horizontal_line(141, 192),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_1242_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(192, 224),
    };

    constexpr const shape frame_1242_shape_group_7_shapes[] = {
        shape(frame_1242_shape_group_7_shape_0_horizontal_lines, 55, 1),
        shape(frame_1242_shape_group_7_shape_1_horizontal_lines, 63, 1),
        shape(frame_1242_shape_group_7_shape_2_horizontal_lines, 70, 1),
        shape(frame_1242_shape_group_7_shape_3_horizontal_lines, 73, 4),
        shape(frame_1242_shape_group_7_shape_4_horizontal_lines, 76, 1),
        shape(frame_1242_shape_group_7_shape_5_horizontal_lines, 82, 4),
        shape(frame_1242_shape_group_7_shape_6_horizontal_lines, 84, 3),
        shape(frame_1242_shape_group_7_shape_7_horizontal_lines, 89, 1),
        shape(frame_1242_shape_group_7_shape_8_horizontal_lines, 105, 8),
        shape(frame_1242_shape_group_7_shape_9_horizontal_lines, 106, 1),
        shape(frame_1242_shape_group_7_shape_10_horizontal_lines, 111, 4),
        shape(frame_1242_shape_group_7_shape_11_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(197, 216),
        horizontal_line(192, 216),
        horizontal_line(186, 216),
        horizontal_line(181, 216),
        horizontal_line(176, 216),
        horizontal_line(170, 216),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(38, 41),
        horizontal_line(39, 43),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(38, 40),
        horizontal_line(38, 42),
        horizontal_line(38, 44),
        horizontal_line(39, 46),
        horizontal_line(39, 47),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(159, 215),
        horizontal_line(159, 215),
        horizontal_line(159, 215),
        horizontal_line(159, 215),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(125, 132),
        horizontal_line(123, 132),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(120, 132),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(120, 128),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(102, 110),
        horizontal_line(0, 35),
        horizontal_line(100, 108),
        horizontal_line(115, 121),
        horizontal_line(142, 193),
        horizontal_line(141, 193),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(104, 106),
    };

    constexpr const horizontal_line frame_1242_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(105, 109),
    };

    constexpr const shape frame_1242_shape_group_8_shapes[] = {
        shape(frame_1242_shape_group_8_shape_0_horizontal_lines, 71, 1),
        shape(frame_1242_shape_group_8_shape_1_horizontal_lines, 76, 4),
        shape(frame_1242_shape_group_8_shape_2_horizontal_lines, 82, 3),
        shape(frame_1242_shape_group_8_shape_3_horizontal_lines, 84, 2),
        shape(frame_1242_shape_group_8_shape_4_horizontal_lines, 89, 4),
        shape(frame_1242_shape_group_8_shape_5_horizontal_lines, 93, 1),
        shape(frame_1242_shape_group_8_shape_6_horizontal_lines, 96, 4),
        shape(frame_1242_shape_group_8_shape_7_horizontal_lines, 98, 1),
        shape(frame_1242_shape_group_8_shape_8_horizontal_lines, 101, 4),
        shape(frame_1242_shape_group_8_shape_9_horizontal_lines, 102, 1),
        shape(frame_1242_shape_group_8_shape_10_horizontal_lines, 103, 4),
        shape(frame_1242_shape_group_8_shape_11_horizontal_lines, 104, 1),
        shape(frame_1242_shape_group_8_shape_12_horizontal_lines, 110, 4),
        shape(frame_1242_shape_group_8_shape_13_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(213, 215),
        horizontal_line(210, 217),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(31, 31),
        horizontal_line(32, 33),
        horizontal_line(33, 34),
        horizontal_line(34, 36),
        horizontal_line(35, 38),
        horizontal_line(36, 39),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(38, 38),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(52, 53),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(40, 55),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(129, 132),
        horizontal_line(127, 132),
        horizontal_line(159, 215),
        horizontal_line(159, 215),
        horizontal_line(121, 132),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(42, 56),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(120, 132),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(42, 57),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(144, 171),
        horizontal_line(58, 65),
        horizontal_line(118, 122),
        horizontal_line(142, 194),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(106, 109),
        horizontal_line(105, 108),
    };

    constexpr const horizontal_line frame_1242_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(120, 139),
    };

    constexpr const shape frame_1242_shape_group_9_shapes[] = {
        shape(frame_1242_shape_group_9_shape_0_horizontal_lines, 71, 1),
        shape(frame_1242_shape_group_9_shape_1_horizontal_lines, 76, 3),
        shape(frame_1242_shape_group_9_shape_2_horizontal_lines, 83, 2),
        shape(frame_1242_shape_group_9_shape_3_horizontal_lines, 89, 3),
        shape(frame_1242_shape_group_9_shape_4_horizontal_lines, 92, 2),
        shape(frame_1242_shape_group_9_shape_5_horizontal_lines, 93, 4),
        shape(frame_1242_shape_group_9_shape_6_horizontal_lines, 101, 2),
        shape(frame_1242_shape_group_9_shape_7_horizontal_lines, 102, 4),
        shape(frame_1242_shape_group_9_shape_8_horizontal_lines, 103, 2),
        shape(frame_1242_shape_group_9_shape_9_horizontal_lines, 104, 1),
        shape(frame_1242_shape_group_9_shape_10_horizontal_lines, 108, 4),
        shape(frame_1242_shape_group_9_shape_11_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(39, 49),
        horizontal_line(39, 51),
        horizontal_line(40, 53),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(159, 215),
        horizontal_line(159, 215),
        horizontal_line(159, 215),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(41, 55),
        horizontal_line(41, 56),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(159, 215),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(41, 56),
        horizontal_line(42, 56),
        horizontal_line(65, 65),
        horizontal_line(42, 57),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(101, 109),
        horizontal_line(143, 195),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_1242_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(122, 141),
        horizontal_line(109, 110),
        horizontal_line(120, 140),
        horizontal_line(193, 219),
    };

    constexpr const shape frame_1242_shape_group_10_shapes[] = {
        shape(frame_1242_shape_group_10_shape_0_horizontal_lines, 89, 2),
        shape(frame_1242_shape_group_10_shape_1_horizontal_lines, 93, 4),
        shape(frame_1242_shape_group_10_shape_2_horizontal_lines, 96, 2),
        shape(frame_1242_shape_group_10_shape_3_horizontal_lines, 98, 4),
        shape(frame_1242_shape_group_10_shape_4_horizontal_lines, 99, 2),
        shape(frame_1242_shape_group_10_shape_5_horizontal_lines, 104, 4),
        shape(frame_1242_shape_group_10_shape_6_horizontal_lines, 105, 1),
        shape(frame_1242_shape_group_10_shape_7_horizontal_lines, 107, 4),
        shape(frame_1242_shape_group_10_shape_8_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(40, 55),
        horizontal_line(40, 55),
        horizontal_line(40, 55),
    };

    constexpr const horizontal_line frame_1242_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(41, 56),
    };

    constexpr const horizontal_line frame_1242_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(135, 144),
        horizontal_line(43, 57),
    };

    constexpr const horizontal_line frame_1242_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_1242_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1242_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(66, 68),
        horizontal_line(194, 205),
        horizontal_line(121, 140),
        horizontal_line(193, 215),
    };

    constexpr const shape frame_1242_shape_group_11_shapes[] = {
        shape(frame_1242_shape_group_11_shape_0_horizontal_lines, 93, 2),
        shape(frame_1242_shape_group_11_shape_1_horizontal_lines, 98, 2),
        shape(frame_1242_shape_group_11_shape_2_horizontal_lines, 102, 2),
        shape(frame_1242_shape_group_11_shape_3_horizontal_lines, 105, 1),
        shape(frame_1242_shape_group_11_shape_4_horizontal_lines, 106, 4),
        shape(frame_1242_shape_group_11_shape_5_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1242_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(144, 183),
    };

    constexpr const horizontal_line frame_1242_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(58, 58),
        horizontal_line(122, 141),
    };

    constexpr const horizontal_line frame_1242_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(194, 210),
    };

    constexpr const shape frame_1242_shape_group_12_shapes[] = {
        shape(frame_1242_shape_group_12_shape_0_horizontal_lines, 104, 2),
        shape(frame_1242_shape_group_12_shape_1_horizontal_lines, 105, 1),
        shape(frame_1242_shape_group_12_shape_2_horizontal_lines, 106, 2),
        shape(frame_1242_shape_group_12_shape_3_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(125, 143),
    };

    constexpr const horizontal_line frame_1242_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_1242_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(66, 68),
        horizontal_line(195, 200),
    };

    constexpr const shape frame_1242_shape_group_13_shapes[] = {
        shape(frame_1242_shape_group_13_shape_0_horizontal_lines, 104, 2),
        shape(frame_1242_shape_group_13_shape_1_horizontal_lines, 105, 4),
        shape(frame_1242_shape_group_13_shape_2_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(50, 57),
        horizontal_line(123, 142),
    };

    constexpr const shape frame_1242_shape_group_14_shapes[] = {
        shape(frame_1242_shape_group_14_shape_0_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(66, 67),
        horizontal_line(196, 196),
    };

    constexpr const shape frame_1242_shape_group_15_shapes[] = {
        shape(frame_1242_shape_group_15_shape_0_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1242_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(124, 143),
    };

    constexpr const shape frame_1242_shape_group_16_shapes[] = {
        shape(frame_1242_shape_group_16_shape_0_horizontal_lines, 105, 2),
    };

    constexpr const shape_group frame_1242_shape_groups[] = {
        shape_group(frame_1242_shape_group_0_shapes),
        shape_group(frame_1242_shape_group_1_shapes),
        shape_group(frame_1242_shape_group_2_shapes),
        shape_group(frame_1242_shape_group_3_shapes),
        shape_group(frame_1242_shape_group_4_shapes),
        shape_group(frame_1242_shape_group_5_shapes),
        shape_group(frame_1242_shape_group_6_shapes),
        shape_group(frame_1242_shape_group_7_shapes),
        shape_group(frame_1242_shape_group_8_shapes),
        shape_group(frame_1242_shape_group_9_shapes),
        shape_group(frame_1242_shape_group_10_shapes),
        shape_group(frame_1242_shape_group_11_shapes),
        shape_group(frame_1242_shape_group_12_shapes),
        shape_group(frame_1242_shape_group_13_shapes),
        shape_group(frame_1242_shape_group_14_shapes),
        shape_group(frame_1242_shape_group_15_shapes),
        shape_group(frame_1242_shape_group_16_shapes),
    };

    constexpr const frame frame_1242_impl(frame_1242_colors, frame_1242_shape_groups);
} 

const frame& frame_1242()
{
    return frame_1242_impl;
}

namespace
{
    constexpr const bn::color frame_1243_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1243_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(29, 60),
        horizontal_line(29, 63),
        horizontal_line(30, 66),
        horizontal_line(30, 69),
        horizontal_line(31, 72),
        horizontal_line(32, 75),
        horizontal_line(32, 78),
        horizontal_line(33, 81),
        horizontal_line(34, 84),
        horizontal_line(34, 87),
        horizontal_line(35, 90),
        horizontal_line(36, 93),
        horizontal_line(36, 96),
        horizontal_line(37, 99),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(68, 130),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(88, 150),
        horizontal_line(92, 154),
        horizontal_line(96, 158),
        horizontal_line(100, 162),
        horizontal_line(104, 166),
        horizontal_line(108, 170),
        horizontal_line(112, 171),
        horizontal_line(116, 168),
        horizontal_line(120, 166),
        horizontal_line(124, 163),
        horizontal_line(128, 161),
        horizontal_line(132, 158),
        horizontal_line(136, 155),
        horizontal_line(140, 153),
        horizontal_line(144, 150),
        horizontal_line(148, 148),
        horizontal_line(147, 148),
        horizontal_line(71, 73),
        horizontal_line(71, 78),
        horizontal_line(71, 83),
        horizontal_line(72, 87),
        horizontal_line(72, 92),
        horizontal_line(72, 97),
        horizontal_line(73, 101),
        horizontal_line(73, 106),
        horizontal_line(73, 111),
        horizontal_line(74, 115),
        horizontal_line(74, 120),
        horizontal_line(74, 125),
        horizontal_line(75, 124),
        horizontal_line(79, 122),
        horizontal_line(84, 120),
        horizontal_line(90, 119),
        horizontal_line(95, 117),
        horizontal_line(101, 115),
        horizontal_line(106, 113),
        horizontal_line(112, 112),
        horizontal_line(112, 113),
        horizontal_line(76, 79),
        horizontal_line(76, 84),
        horizontal_line(76, 89),
        horizontal_line(77, 94),
        horizontal_line(77, 99),
        horizontal_line(77, 104),
        horizontal_line(78, 103),
        horizontal_line(82, 102),
        horizontal_line(88, 101),
        horizontal_line(93, 100),
        horizontal_line(99, 99),
        horizontal_line(99, 101),
        horizontal_line(78, 82),
        horizontal_line(78, 88),
        horizontal_line(85, 95),
        horizontal_line(92, 94),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_1243_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(17, 79),
        horizontal_line(26, 88),
        horizontal_line(34, 96),
        horizontal_line(42, 104),
        horizontal_line(51, 113),
        horizontal_line(59, 121),
        horizontal_line(68, 130),
        horizontal_line(76, 138),
        horizontal_line(84, 146),
        horizontal_line(93, 155),
        horizontal_line(101, 163),
        horizontal_line(110, 171),
        horizontal_line(118, 173),
        horizontal_line(126, 176),
        horizontal_line(135, 178),
        horizontal_line(143, 180),
        horizontal_line(152, 182),
        horizontal_line(160, 184),
        horizontal_line(168, 186),
        horizontal_line(177, 188),
        horizontal_line(185, 190),
    };

    constexpr const horizontal_line frame_1243_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1243_shape_group_0_shapes[] = {
        shape(frame_1243_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_1243_shape_group_0_shape_1_horizontal_lines, 112, 9),
        shape(frame_1243_shape_group_0_shape_2_horizontal_lines, 145, 8),
    };

    constexpr const horizontal_line frame_1243_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(99, 102),
        horizontal_line(100, 105),
        horizontal_line(101, 108),
        horizontal_line(101, 111),
        horizontal_line(102, 114),
        horizontal_line(103, 117),
        horizontal_line(103, 120),
        horizontal_line(104, 123),
        horizontal_line(105, 126),
        horizontal_line(105, 129),
        horizontal_line(106, 132),
        horizontal_line(107, 135),
        horizontal_line(107, 138),
        horizontal_line(108, 141),
        horizontal_line(108, 144),
        horizontal_line(109, 147),
        horizontal_line(110, 150),
        horizontal_line(110, 153),
        horizontal_line(111, 156),
        horizontal_line(112, 159),
        horizontal_line(112, 162),
        horizontal_line(113, 165),
        horizontal_line(114, 168),
        horizontal_line(114, 171),
        horizontal_line(115, 174),
        horizontal_line(115, 177),
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(214, 239),
        horizontal_line(211, 239),
        horizontal_line(122, 184),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1243_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(21, 21),
        horizontal_line(51, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 70),
    };

    constexpr const horizontal_line frame_1243_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(145, 150),
        horizontal_line(143, 152),
        horizontal_line(142, 153),
        horizontal_line(140, 155),
        horizontal_line(138, 157),
        horizontal_line(137, 158),
        horizontal_line(135, 160),
        horizontal_line(133, 162),
        horizontal_line(132, 164),
        horizontal_line(130, 164),
        horizontal_line(128, 164),
        horizontal_line(127, 164),
        horizontal_line(128, 164),
        horizontal_line(130, 164),
        horizontal_line(132, 164),
        horizontal_line(134, 164),
        horizontal_line(137, 164),
        horizontal_line(136, 163),
        horizontal_line(136, 163),
        horizontal_line(136, 163),
        horizontal_line(136, 163),
        horizontal_line(111, 115),
        horizontal_line(110, 117),
        horizontal_line(109, 119),
        horizontal_line(108, 121),
        horizontal_line(107, 121),
        horizontal_line(106, 121),
        horizontal_line(107, 121),
        horizontal_line(109, 120),
        horizontal_line(112, 120),
        horizontal_line(111, 120),
        horizontal_line(111, 121),
        horizontal_line(111, 117),
        horizontal_line(98, 104),
        horizontal_line(97, 104),
        horizontal_line(97, 104),
        horizontal_line(99, 104),
    };

    constexpr const horizontal_line frame_1243_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 89),
        horizontal_line(62, 95),
        horizontal_line(62, 101),
        horizontal_line(62, 108),
        horizontal_line(62, 114),
        horizontal_line(62, 120),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(71, 133),
        horizontal_line(79, 141),
        horizontal_line(88, 150),
        horizontal_line(96, 152),
        horizontal_line(104, 154),
        horizontal_line(113, 156),
        horizontal_line(121, 159),
        horizontal_line(130, 161),
        horizontal_line(138, 163),
        horizontal_line(146, 165),
        horizontal_line(155, 167),
        horizontal_line(163, 169),
    };

    constexpr const horizontal_line frame_1243_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(172, 197),
        horizontal_line(174, 197),
        horizontal_line(177, 196),
        horizontal_line(179, 196),
        horizontal_line(181, 195),
        horizontal_line(183, 194),
        horizontal_line(185, 194),
        horizontal_line(187, 193),
        horizontal_line(189, 193),
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_1243_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1243_shape_group_1_shapes[] = {
        shape(frame_1243_shape_group_1_shape_0_horizontal_lines, 13, 14),
        shape(frame_1243_shape_group_1_shape_1_horizontal_lines, 70, 9),
        shape(frame_1243_shape_group_1_shape_2_horizontal_lines, 74, 14),
        shape(frame_1243_shape_group_1_shape_3_horizontal_lines, 111, 9),
        shape(frame_1243_shape_group_1_shape_4_horizontal_lines, 135, 1),
        shape(frame_1243_shape_group_1_shape_5_horizontal_lines, 145, 8),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(184, 239),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(130, 192),
        horizontal_line(134, 196),
        horizontal_line(138, 194),
        horizontal_line(142, 192),
        horizontal_line(146, 189),
        horizontal_line(150, 187),
        horizontal_line(154, 184),
        horizontal_line(158, 181),
        horizontal_line(162, 179),
        horizontal_line(166, 176),
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(2, 24),
        horizontal_line(5, 23),
        horizontal_line(7, 23),
        horizontal_line(10, 22),
        horizontal_line(13, 22),
        horizontal_line(15, 21),
        horizontal_line(18, 21),
        horizontal_line(50, 68),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(51, 54),
        horizontal_line(51, 55),
        horizontal_line(50, 55),
        horizontal_line(50, 56),
        horizontal_line(50, 57),
        horizontal_line(49, 58),
        horizontal_line(49, 58),
        horizontal_line(48, 59),
        horizontal_line(48, 60),
        horizontal_line(48, 61),
        horizontal_line(49, 62),
        horizontal_line(50, 61),
        horizontal_line(52, 61),
        horizontal_line(53, 60),
        horizontal_line(55, 60),
        horizontal_line(56, 59),
        horizontal_line(57, 59),
        horizontal_line(58, 58),
        horizontal_line(67, 75),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(136, 163),
        horizontal_line(136, 163),
        horizontal_line(135, 163),
        horizontal_line(135, 163),
        horizontal_line(135, 155),
        horizontal_line(135, 148),
        horizontal_line(135, 141),
        horizontal_line(152, 214),
        horizontal_line(130, 130),
        horizontal_line(125, 126),
        horizontal_line(179, 224),
        horizontal_line(188, 221),
        horizontal_line(111, 113),
        horizontal_line(206, 215),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(1, 63),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(110, 119),
        horizontal_line(113, 118),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(124, 133),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(125, 144),
        horizontal_line(133, 146),
        horizontal_line(141, 148),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(153, 203),
        horizontal_line(155, 202),
        horizontal_line(157, 201),
        horizontal_line(160, 201),
        horizontal_line(162, 200),
        horizontal_line(164, 200),
        horizontal_line(166, 199),
        horizontal_line(168, 199),
        horizontal_line(170, 198),
    };

    constexpr const horizontal_line frame_1243_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1243_shape_group_2_shapes[] = {
        shape(frame_1243_shape_group_2_shape_0_horizontal_lines, 26, 9),
        shape(frame_1243_shape_group_2_shape_1_horizontal_lines, 39, 14),
        shape(frame_1243_shape_group_2_shape_2_horizontal_lines, 63, 9),
        shape(frame_1243_shape_group_2_shape_3_horizontal_lines, 71, 1),
        shape(frame_1243_shape_group_2_shape_4_horizontal_lines, 74, 9),
        shape(frame_1243_shape_group_2_shape_5_horizontal_lines, 95, 14),
        shape(frame_1243_shape_group_2_shape_6_horizontal_lines, 109, 9),
        shape(frame_1243_shape_group_2_shape_7_horizontal_lines, 112, 1),
        shape(frame_1243_shape_group_2_shape_8_horizontal_lines, 118, 9),
        shape(frame_1243_shape_group_2_shape_9_horizontal_lines, 126, 1),
        shape(frame_1243_shape_group_2_shape_10_horizontal_lines, 135, 8),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(178, 180),
        horizontal_line(179, 183),
        horizontal_line(179, 186),
        horizontal_line(180, 189),
        horizontal_line(181, 192),
        horizontal_line(181, 195),
        horizontal_line(182, 198),
        horizontal_line(183, 201),
        horizontal_line(183, 204),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(185, 205),
        horizontal_line(188, 202),
        horizontal_line(192, 200),
        horizontal_line(196, 197),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(43, 65),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 68),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 28),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 74),
        horizontal_line(66, 74),
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(160, 180),
        horizontal_line(157, 198),
        horizontal_line(154, 216),
        horizontal_line(214, 233),
        horizontal_line(161, 223),
        horizontal_line(170, 227),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(32, 44),
        horizontal_line(26, 50),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(197, 218),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(13, 63),
        horizontal_line(69, 69),
        horizontal_line(63, 76),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(205, 210),
        horizontal_line(205, 209),
        horizontal_line(204, 208),
        horizontal_line(203, 208),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(145, 205),
        horizontal_line(147, 204),
        horizontal_line(149, 204),
        horizontal_line(151, 203),
    };

    constexpr const horizontal_line frame_1243_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 41),
        horizontal_line(0, 50),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 109),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(186, 201),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 211),
        horizontal_line(186, 212),
        horizontal_line(186, 214),
        horizontal_line(186, 216),
    };

    constexpr const shape frame_1243_shape_group_3_shapes[] = {
        shape(frame_1243_shape_group_3_shape_0_horizontal_lines, 39, 9),
        shape(frame_1243_shape_group_3_shape_1_horizontal_lines, 40, 14),
        shape(frame_1243_shape_group_3_shape_2_horizontal_lines, 49, 9),
        shape(frame_1243_shape_group_3_shape_3_horizontal_lines, 50, 14),
        shape(frame_1243_shape_group_3_shape_4_horizontal_lines, 54, 9),
        shape(frame_1243_shape_group_3_shape_5_horizontal_lines, 70, 1),
        shape(frame_1243_shape_group_3_shape_6_horizontal_lines, 87, 9),
        shape(frame_1243_shape_group_3_shape_7_horizontal_lines, 94, 1),
        shape(frame_1243_shape_group_3_shape_8_horizontal_lines, 96, 9),
        shape(frame_1243_shape_group_3_shape_9_horizontal_lines, 99, 14),
        shape(frame_1243_shape_group_3_shape_10_horizontal_lines, 105, 9),
        shape(frame_1243_shape_group_3_shape_11_horizontal_lines, 107, 14),
        shape(frame_1243_shape_group_3_shape_12_horizontal_lines, 108, 9),
        shape(frame_1243_shape_group_3_shape_13_horizontal_lines, 111, 1),
        shape(frame_1243_shape_group_3_shape_14_horizontal_lines, 126, 8),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(34, 61),
        horizontal_line(35, 62),
        horizontal_line(36, 62),
        horizontal_line(37, 63),
        horizontal_line(38, 63),
        horizontal_line(39, 63),
        horizontal_line(40, 64),
        horizontal_line(41, 64),
        horizontal_line(42, 65),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(172, 228),
        horizontal_line(169, 229),
        horizontal_line(167, 229),
        horizontal_line(164, 226),
        horizontal_line(162, 224),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(151, 209),
        horizontal_line(153, 204),
        horizontal_line(154, 198),
        horizontal_line(156, 193),
        horizontal_line(158, 187),
        horizontal_line(159, 181),
        horizontal_line(161, 176),
        horizontal_line(163, 170),
        horizontal_line(165, 165),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(125, 127),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(55, 58),
        horizontal_line(56, 59),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(66, 68),
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(216, 216),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(67, 77),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(223, 230),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(71, 77),
        horizontal_line(72, 77),
        horizontal_line(73, 77),
        horizontal_line(20, 57),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
        horizontal_line(111, 120),
        horizontal_line(206, 211),
        horizontal_line(206, 210),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(102, 119),
        horizontal_line(109, 122),
        horizontal_line(115, 126),
        horizontal_line(121, 129),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(203, 207),
        horizontal_line(202, 207),
        horizontal_line(203, 206),
        horizontal_line(205, 206),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 8),
        horizontal_line(0, 16),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 75),
        horizontal_line(62, 83),
        horizontal_line(62, 92),
        horizontal_line(62, 100),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 134),
        horizontal_line(124, 142),
        horizontal_line(124, 151),
        horizontal_line(124, 159),
        horizontal_line(124, 167),
        horizontal_line(124, 176),
        horizontal_line(124, 184),
    };

    constexpr const horizontal_line frame_1243_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_1243_shape_group_4_shapes[] = {
        shape(frame_1243_shape_group_4_shape_0_horizontal_lines, 40, 9),
        shape(frame_1243_shape_group_4_shape_1_horizontal_lines, 50, 9),
        shape(frame_1243_shape_group_4_shape_2_horizontal_lines, 63, 1),
        shape(frame_1243_shape_group_4_shape_3_horizontal_lines, 99, 9),
        shape(frame_1243_shape_group_4_shape_4_horizontal_lines, 101, 14),
        shape(frame_1243_shape_group_4_shape_5_horizontal_lines, 102, 9),
        shape(frame_1243_shape_group_4_shape_6_horizontal_lines, 103, 14),
        shape(frame_1243_shape_group_4_shape_7_horizontal_lines, 104, 9),
        shape(frame_1243_shape_group_4_shape_8_horizontal_lines, 108, 1),
        shape(frame_1243_shape_group_4_shape_9_horizontal_lines, 114, 8),
        shape(frame_1243_shape_group_4_shape_10_horizontal_lines, 118, 1),
        shape(frame_1243_shape_group_4_shape_11_horizontal_lines, 122, 8),
        shape(frame_1243_shape_group_4_shape_12_horizontal_lines, 126, 2),
        shape(frame_1243_shape_group_4_shape_13_horizontal_lines, 130, 8),
        shape(frame_1243_shape_group_4_shape_14_horizontal_lines, 135, 2),
        shape(frame_1243_shape_group_4_shape_15_horizontal_lines, 137, 8),
        shape(frame_1243_shape_group_4_shape_16_horizontal_lines, 145, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(206, 208),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(31, 60),
        horizontal_line(32, 60),
        horizontal_line(33, 61),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(195, 214),
        horizontal_line(193, 216),
        horizontal_line(190, 217),
        horizontal_line(188, 219),
        horizontal_line(185, 220),
        horizontal_line(182, 222),
        horizontal_line(180, 223),
        horizontal_line(177, 225),
        horizontal_line(175, 226),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(229, 231),
        horizontal_line(226, 232),
        horizontal_line(224, 234),
        horizontal_line(221, 235),
        horizontal_line(218, 237),
        horizontal_line(237, 239),
        horizontal_line(213, 226),
        horizontal_line(211, 221),
        horizontal_line(211, 215),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(43, 47),
        horizontal_line(45, 47),
        horizontal_line(47, 47),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(123, 129),
        horizontal_line(121, 131),
        horizontal_line(120, 133),
        horizontal_line(118, 136),
        horizontal_line(55, 55),
        horizontal_line(55, 56),
        horizontal_line(55, 57),
        horizontal_line(114, 129),
        horizontal_line(116, 127),
        horizontal_line(56, 60),
        horizontal_line(56, 61),
        horizontal_line(56, 63),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 31),
        horizontal_line(0, 25),
        horizontal_line(0, 19),
        horizontal_line(113, 122),
        horizontal_line(112, 122),
        horizontal_line(95, 98),
        horizontal_line(145, 207),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(90, 105),
        horizontal_line(96, 112),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(120, 142),
        horizontal_line(123, 142),
        horizontal_line(127, 141),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(128, 133),
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1243_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const shape frame_1243_shape_group_5_shapes[] = {
        shape(frame_1243_shape_group_5_shape_0_horizontal_lines, 50, 1),
        shape(frame_1243_shape_group_5_shape_1_horizontal_lines, 51, 9),
        shape(frame_1243_shape_group_5_shape_2_horizontal_lines, 54, 1),
        shape(frame_1243_shape_group_5_shape_3_horizontal_lines, 63, 8),
        shape(frame_1243_shape_group_5_shape_4_horizontal_lines, 65, 1),
        shape(frame_1243_shape_group_5_shape_5_horizontal_lines, 83, 8),
        shape(frame_1243_shape_group_5_shape_6_horizontal_lines, 86, 1),
        shape(frame_1243_shape_group_5_shape_7_horizontal_lines, 101, 9),
        shape(frame_1243_shape_group_5_shape_8_horizontal_lines, 102, 1),
        shape(frame_1243_shape_group_5_shape_9_horizontal_lines, 103, 9),
        shape(frame_1243_shape_group_5_shape_10_horizontal_lines, 104, 1),
        shape(frame_1243_shape_group_5_shape_11_horizontal_lines, 112, 8),
        shape(frame_1243_shape_group_5_shape_12_horizontal_lines, 114, 2),
        shape(frame_1243_shape_group_5_shape_13_horizontal_lines, 118, 8),
        shape(frame_1243_shape_group_5_shape_14_horizontal_lines, 120, 2),
        shape(frame_1243_shape_group_5_shape_15_horizontal_lines, 130, 2),
        shape(frame_1243_shape_group_5_shape_16_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(203, 210),
        horizontal_line(201, 211),
        horizontal_line(198, 213),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(29, 33),
        horizontal_line(28, 34),
        horizontal_line(28, 35),
        horizontal_line(27, 36),
        horizontal_line(27, 37),
        horizontal_line(26, 38),
        horizontal_line(26, 39),
        horizontal_line(26, 40),
        horizontal_line(25, 41),
        horizontal_line(25, 42),
        horizontal_line(24, 43),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(216, 232),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(4, 50),
        horizontal_line(8, 51),
        horizontal_line(11, 24),
        horizontal_line(15, 25),
        horizontal_line(18, 27),
        horizontal_line(22, 28),
        horizontal_line(25, 29),
        horizontal_line(29, 30),
        horizontal_line(36, 49),
        horizontal_line(38, 49),
        horizontal_line(40, 48),
        horizontal_line(41, 48),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(116, 135),
        horizontal_line(114, 133),
        horizontal_line(113, 131),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(118, 125),
        horizontal_line(120, 123),
        horizontal_line(122, 122),
        horizontal_line(56, 63),
        horizontal_line(57, 63),
        horizontal_line(0, 37),
        horizontal_line(57, 64),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(70, 77),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(57, 64),
        horizontal_line(58, 65),
        horizontal_line(64, 65),
        horizontal_line(105, 105),
        horizontal_line(147, 205),
        horizontal_line(146, 208),
        horizontal_line(111, 121),
        horizontal_line(207, 211),
    };

    constexpr const horizontal_line frame_1243_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(106, 109),
        horizontal_line(119, 143),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(134, 140),
        horizontal_line(137, 139),
    };

    constexpr const shape frame_1243_shape_group_6_shapes[] = {
        shape(frame_1243_shape_group_6_shape_0_horizontal_lines, 51, 1),
        shape(frame_1243_shape_group_6_shape_1_horizontal_lines, 54, 8),
        shape(frame_1243_shape_group_6_shape_2_horizontal_lines, 70, 1),
        shape(frame_1243_shape_group_6_shape_3_horizontal_lines, 71, 8),
        shape(frame_1243_shape_group_6_shape_4_horizontal_lines, 83, 4),
        shape(frame_1243_shape_group_6_shape_5_horizontal_lines, 87, 1),
        shape(frame_1243_shape_group_6_shape_6_horizontal_lines, 103, 9),
        shape(frame_1243_shape_group_6_shape_7_horizontal_lines, 104, 1),
        shape(frame_1243_shape_group_6_shape_8_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(30, 31),
        horizontal_line(29, 32),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(24, 44),
        horizontal_line(23, 45),
        horizontal_line(23, 46),
        horizontal_line(22, 47),
        horizontal_line(22, 48),
        horizontal_line(1, 20),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(227, 236),
        horizontal_line(222, 236),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(26, 52),
        horizontal_line(27, 51),
        horizontal_line(29, 51),
        horizontal_line(31, 50),
        horizontal_line(33, 50),
        horizontal_line(34, 49),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(182, 235),
        horizontal_line(177, 235),
        horizontal_line(171, 233),
        horizontal_line(166, 228),
        horizontal_line(227, 235),
        horizontal_line(227, 235),
        horizontal_line(227, 235),
        horizontal_line(227, 234),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(61, 63),
        horizontal_line(61, 64),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(59, 66),
        horizontal_line(60, 67),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(57, 63),
        horizontal_line(103, 108),
        horizontal_line(0, 37),
        horizontal_line(101, 110),
        horizontal_line(100, 108),
        horizontal_line(102, 106),
        horizontal_line(114, 123),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(64, 77),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(208, 213),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(83, 98),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(120, 143),
        horizontal_line(211, 234),
    };

    constexpr const horizontal_line frame_1243_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_1243_shape_group_7_shapes[] = {
        shape(frame_1243_shape_group_7_shape_0_horizontal_lines, 51, 8),
        shape(frame_1243_shape_group_7_shape_1_horizontal_lines, 65, 8),
        shape(frame_1243_shape_group_7_shape_2_horizontal_lines, 71, 4),
        shape(frame_1243_shape_group_7_shape_3_horizontal_lines, 73, 8),
        shape(frame_1243_shape_group_7_shape_4_horizontal_lines, 79, 4),
        shape(frame_1243_shape_group_7_shape_5_horizontal_lines, 87, 8),
        shape(frame_1243_shape_group_7_shape_6_horizontal_lines, 91, 1),
        shape(frame_1243_shape_group_7_shape_7_horizontal_lines, 94, 8),
        shape(frame_1243_shape_group_7_shape_8_horizontal_lines, 96, 1),
        shape(frame_1243_shape_group_7_shape_9_horizontal_lines, 108, 8),
        shape(frame_1243_shape_group_7_shape_10_horizontal_lines, 109, 1),
        shape(frame_1243_shape_group_7_shape_11_horizontal_lines, 111, 8),
        shape(frame_1243_shape_group_7_shape_12_horizontal_lines, 112, 2),
        shape(frame_1243_shape_group_7_shape_13_horizontal_lines, 118, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(22, 49),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(216, 236),
        horizontal_line(210, 236),
        horizontal_line(205, 236),
        horizontal_line(199, 236),
        horizontal_line(194, 236),
        horizontal_line(188, 235),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(33, 35),
        horizontal_line(35, 37),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(233, 235),
        horizontal_line(228, 235),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(41, 42),
        horizontal_line(43, 44),
        horizontal_line(45, 46),
        horizontal_line(47, 48),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(60, 64),
        horizontal_line(60, 65),
        horizontal_line(59, 65),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(130, 135),
        horizontal_line(128, 135),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(61, 66),
        horizontal_line(62, 66),
        horizontal_line(64, 66),
        horizontal_line(64, 65),
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(104, 106),
        horizontal_line(151, 151),
        horizontal_line(57, 64),
        horizontal_line(149, 169),
        horizontal_line(122, 125),
        horizontal_line(118, 124),
        horizontal_line(147, 196),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(105, 110),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(70, 84),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(208, 212),
    };

    constexpr const horizontal_line frame_1243_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(105, 110),
        horizontal_line(212, 229),
    };

    constexpr const shape frame_1243_shape_group_8_shapes[] = {
        shape(frame_1243_shape_group_8_shape_0_horizontal_lines, 70, 8),
        shape(frame_1243_shape_group_8_shape_1_horizontal_lines, 73, 4),
        shape(frame_1243_shape_group_8_shape_2_horizontal_lines, 79, 3),
        shape(frame_1243_shape_group_8_shape_3_horizontal_lines, 81, 4),
        shape(frame_1243_shape_group_8_shape_4_horizontal_lines, 83, 3),
        shape(frame_1243_shape_group_8_shape_5_horizontal_lines, 87, 4),
        shape(frame_1243_shape_group_8_shape_6_horizontal_lines, 91, 8),
        shape(frame_1243_shape_group_8_shape_7_horizontal_lines, 94, 4),
        shape(frame_1243_shape_group_8_shape_8_horizontal_lines, 96, 8),
        shape(frame_1243_shape_group_8_shape_9_horizontal_lines, 101, 1),
        shape(frame_1243_shape_group_8_shape_10_horizontal_lines, 108, 4),
        shape(frame_1243_shape_group_8_shape_11_horizontal_lines, 109, 8),
        shape(frame_1243_shape_group_8_shape_12_horizontal_lines, 110, 1),
        shape(frame_1243_shape_group_8_shape_13_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(233, 236),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(25, 25),
        horizontal_line(26, 26),
        horizontal_line(28, 28),
        horizontal_line(29, 30),
        horizontal_line(30, 32),
        horizontal_line(31, 33),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(33, 34),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(37, 39),
        horizontal_line(39, 40),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(33, 40),
        horizontal_line(34, 42),
        horizontal_line(34, 44),
        horizontal_line(34, 46),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(227, 234),
        horizontal_line(227, 234),
        horizontal_line(227, 234),
        horizontal_line(227, 234),
        horizontal_line(164, 226),
        horizontal_line(134, 135),
        horizontal_line(132, 135),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(126, 135),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(102, 111),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(69, 70),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(149, 178),
        horizontal_line(148, 187),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(58, 71),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(77, 91),
    };

    constexpr const horizontal_line frame_1243_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(121, 144),
    };

    constexpr const shape frame_1243_shape_group_9_shapes[] = {
        shape(frame_1243_shape_group_9_shape_0_horizontal_lines, 70, 4),
        shape(frame_1243_shape_group_9_shape_1_horizontal_lines, 73, 3),
        shape(frame_1243_shape_group_9_shape_2_horizontal_lines, 80, 2),
        shape(frame_1243_shape_group_9_shape_3_horizontal_lines, 81, 3),
        shape(frame_1243_shape_group_9_shape_4_horizontal_lines, 83, 2),
        shape(frame_1243_shape_group_9_shape_5_horizontal_lines, 87, 4),
        shape(frame_1243_shape_group_9_shape_6_horizontal_lines, 101, 1),
        shape(frame_1243_shape_group_9_shape_7_horizontal_lines, 104, 8),
        shape(frame_1243_shape_group_9_shape_8_horizontal_lines, 105, 1),
        shape(frame_1243_shape_group_9_shape_9_horizontal_lines, 107, 8),
        shape(frame_1243_shape_group_9_shape_10_horizontal_lines, 108, 2),
        shape(frame_1243_shape_group_9_shape_11_horizontal_lines, 109, 4),
        shape(frame_1243_shape_group_9_shape_12_horizontal_lines, 110, 8),
        shape(frame_1243_shape_group_9_shape_13_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(33, 36),
        horizontal_line(33, 38),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(49, 49),
        horizontal_line(51, 51),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(35, 52),
        horizontal_line(35, 54),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(226, 234),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(226, 233),
        horizontal_line(226, 233),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(181, 233),
        horizontal_line(199, 233),
        horizontal_line(122, 134),
        horizontal_line(121, 134),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(150, 160),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(121, 124),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(45, 56),
        horizontal_line(51, 63),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(106, 110),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(123, 146),
        horizontal_line(108, 111),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_1243_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(212, 224),
    };

    constexpr const shape frame_1243_shape_group_10_shapes[] = {
        shape(frame_1243_shape_group_10_shape_0_horizontal_lines, 81, 2),
        shape(frame_1243_shape_group_10_shape_1_horizontal_lines, 87, 3),
        shape(frame_1243_shape_group_10_shape_2_horizontal_lines, 89, 2),
        shape(frame_1243_shape_group_10_shape_3_horizontal_lines, 91, 4),
        shape(frame_1243_shape_group_10_shape_4_horizontal_lines, 103, 1),
        shape(frame_1243_shape_group_10_shape_5_horizontal_lines, 104, 4),
        shape(frame_1243_shape_group_10_shape_6_horizontal_lines, 105, 8),
        shape(frame_1243_shape_group_10_shape_7_horizontal_lines, 107, 4),
        shape(frame_1243_shape_group_10_shape_8_horizontal_lines, 108, 2),
        shape(frame_1243_shape_group_10_shape_9_horizontal_lines, 110, 4),
        shape(frame_1243_shape_group_10_shape_10_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(34, 48),
        horizontal_line(35, 50),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(35, 54),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(226, 234),
        horizontal_line(226, 234),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(36, 54),
        horizontal_line(36, 55),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(226, 233),
        horizontal_line(226, 233),
        horizontal_line(226, 233),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(37, 55),
        horizontal_line(38, 56),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(217, 233),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(38, 56),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(39, 56),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(69, 71),
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(124, 146),
    };

    constexpr const horizontal_line frame_1243_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(123, 145),
        horizontal_line(106, 110),
    };

    constexpr const shape frame_1243_shape_group_11_shapes[] = {
        shape(frame_1243_shape_group_11_shape_0_horizontal_lines, 87, 2),
        shape(frame_1243_shape_group_11_shape_1_horizontal_lines, 91, 2),
        shape(frame_1243_shape_group_11_shape_2_horizontal_lines, 92, 4),
        shape(frame_1243_shape_group_11_shape_3_horizontal_lines, 94, 2),
        shape(frame_1243_shape_group_11_shape_4_horizontal_lines, 96, 4),
        shape(frame_1243_shape_group_11_shape_5_horizontal_lines, 99, 2),
        shape(frame_1243_shape_group_11_shape_6_horizontal_lines, 101, 4),
        shape(frame_1243_shape_group_11_shape_7_horizontal_lines, 102, 2),
        shape(frame_1243_shape_group_11_shape_8_horizontal_lines, 103, 8),
        shape(frame_1243_shape_group_11_shape_9_horizontal_lines, 104, 2),
        shape(frame_1243_shape_group_11_shape_10_horizontal_lines, 105, 8),
        shape(frame_1243_shape_group_11_shape_11_horizontal_lines, 107, 2),
        shape(frame_1243_shape_group_11_shape_12_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(36, 54),
        horizontal_line(36, 54),
    };

    constexpr const horizontal_line frame_1243_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(37, 55),
        horizontal_line(37, 55),
        horizontal_line(37, 55),
    };

    constexpr const horizontal_line frame_1243_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(38, 56),
        horizontal_line(65, 66),
    };

    constexpr const horizontal_line frame_1243_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(121, 129),
    };

    constexpr const horizontal_line frame_1243_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(65, 68),
    };

    constexpr const horizontal_line frame_1243_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(109, 110),
        horizontal_line(107, 110),
    };

    constexpr const horizontal_line frame_1243_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(214, 214),
        horizontal_line(122, 145),
    };

    constexpr const shape frame_1243_shape_group_12_shapes[] = {
        shape(frame_1243_shape_group_12_shape_0_horizontal_lines, 92, 2),
        shape(frame_1243_shape_group_12_shape_1_horizontal_lines, 96, 2),
        shape(frame_1243_shape_group_12_shape_2_horizontal_lines, 100, 2),
        shape(frame_1243_shape_group_12_shape_3_horizontal_lines, 103, 4),
        shape(frame_1243_shape_group_12_shape_4_horizontal_lines, 104, 2),
        shape(frame_1243_shape_group_12_shape_5_horizontal_lines, 105, 4),
        shape(frame_1243_shape_group_12_shape_6_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1243_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(38, 56),
        horizontal_line(127, 148),
        horizontal_line(57, 57),
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_1243_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(213, 219),
    };

    constexpr const shape frame_1243_shape_group_13_shapes[] = {
        shape(frame_1243_shape_group_13_shape_0_horizontal_lines, 101, 2),
        shape(frame_1243_shape_group_13_shape_1_horizontal_lines, 103, 2),
        shape(frame_1243_shape_group_13_shape_2_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(65, 67),
    };

    constexpr const horizontal_line frame_1243_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(66, 68),
        horizontal_line(125, 147),
    };

    constexpr const shape frame_1243_shape_group_14_shapes[] = {
        shape(frame_1243_shape_group_14_shape_0_horizontal_lines, 103, 2),
        shape(frame_1243_shape_group_14_shape_1_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1243_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(139, 149),
    };

    constexpr const horizontal_line frame_1243_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(126, 148),
    };

    constexpr const shape frame_1243_shape_group_15_shapes[] = {
        shape(frame_1243_shape_group_15_shape_0_horizontal_lines, 103, 2),
        shape(frame_1243_shape_group_15_shape_1_horizontal_lines, 105, 2),
    };

    constexpr const shape_group frame_1243_shape_groups[] = {
        shape_group(frame_1243_shape_group_0_shapes),
        shape_group(frame_1243_shape_group_1_shapes),
        shape_group(frame_1243_shape_group_2_shapes),
        shape_group(frame_1243_shape_group_3_shapes),
        shape_group(frame_1243_shape_group_4_shapes),
        shape_group(frame_1243_shape_group_5_shapes),
        shape_group(frame_1243_shape_group_6_shapes),
        shape_group(frame_1243_shape_group_7_shapes),
        shape_group(frame_1243_shape_group_8_shapes),
        shape_group(frame_1243_shape_group_9_shapes),
        shape_group(frame_1243_shape_group_10_shapes),
        shape_group(frame_1243_shape_group_11_shapes),
        shape_group(frame_1243_shape_group_12_shapes),
        shape_group(frame_1243_shape_group_13_shapes),
        shape_group(frame_1243_shape_group_14_shapes),
        shape_group(frame_1243_shape_group_15_shapes),
    };

    constexpr const frame frame_1243_impl(frame_1243_colors, frame_1243_shape_groups);
} 

const frame& frame_1243()
{
    return frame_1243_impl;
}

namespace
{
    constexpr const bn::color frame_1244_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1244_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(3, 45),
        horizontal_line(4, 45),
        horizontal_line(6, 46),
        horizontal_line(7, 47),
        horizontal_line(8, 47),
        horizontal_line(9, 48),
        horizontal_line(11, 49),
        horizontal_line(12, 49),
        horizontal_line(13, 50),
        horizontal_line(14, 51),
        horizontal_line(16, 51),
        horizontal_line(17, 52),
        horizontal_line(18, 53),
        horizontal_line(19, 53),
        horizontal_line(21, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 55),
        horizontal_line(25, 56),
        horizontal_line(57, 57),
        horizontal_line(58, 60),
        horizontal_line(59, 64),
        horizontal_line(59, 68),
        horizontal_line(60, 72),
        horizontal_line(60, 76),
        horizontal_line(61, 80),
        horizontal_line(61, 84),
        horizontal_line(62, 88),
        horizontal_line(62, 92),
        horizontal_line(63, 96),
        horizontal_line(63, 100),
        horizontal_line(64, 104),
        horizontal_line(64, 108),
        horizontal_line(65, 112),
        horizontal_line(65, 116),
        horizontal_line(66, 120),
        horizontal_line(66, 124),
        horizontal_line(67, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(57, 71),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
        horizontal_line(60, 72),
        horizontal_line(60, 73),
        horizontal_line(61, 73),
        horizontal_line(62, 74),
        horizontal_line(75, 78),
        horizontal_line(75, 83),
        horizontal_line(75, 88),
        horizontal_line(75, 93),
        horizontal_line(76, 98),
        horizontal_line(76, 103),
        horizontal_line(76, 108),
        horizontal_line(76, 113),
        horizontal_line(77, 112),
        horizontal_line(68, 76),
        horizontal_line(68, 76),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(70, 76),
        horizontal_line(70, 76),
        horizontal_line(71, 77),
        horizontal_line(78, 81),
        horizontal_line(78, 87),
        horizontal_line(78, 93),
        horizontal_line(79, 99),
        horizontal_line(73, 78),
        horizontal_line(73, 78),
        horizontal_line(74, 78),
        horizontal_line(75, 78),
        horizontal_line(82, 84),
        horizontal_line(89, 92),
    };

    constexpr const horizontal_line frame_1244_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(11, 73),
        horizontal_line(21, 83),
        horizontal_line(31, 93),
        horizontal_line(41, 103),
        horizontal_line(52, 114),
        horizontal_line(62, 124),
        horizontal_line(72, 134),
        horizontal_line(82, 144),
        horizontal_line(93, 155),
        horizontal_line(103, 165),
        horizontal_line(113, 175),
        horizontal_line(123, 185),
        horizontal_line(134, 196),
        horizontal_line(144, 200),
        horizontal_line(154, 202),
        horizontal_line(164, 204),
        horizontal_line(175, 206),
        horizontal_line(185, 208),
        horizontal_line(195, 210),
        horizontal_line(205, 212),
    };

    constexpr const horizontal_line frame_1244_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1244_shape_group_0_shapes[] = {
        shape(frame_1244_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1244_shape_group_0_shape_1_horizontal_lines, 111, 9),
        shape(frame_1244_shape_group_0_shape_2_horizontal_lines, 157, 8),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(131, 193),
        horizontal_line(134, 196),
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(142, 204),
        horizontal_line(145, 207),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 238),
        horizontal_line(230, 234),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(3, 14),
        horizontal_line(6, 14),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(130, 136),
        horizontal_line(130, 140),
        horizontal_line(131, 144),
        horizontal_line(131, 148),
        horizontal_line(132, 152),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(87, 145),
        horizontal_line(91, 143),
        horizontal_line(96, 141),
        horizontal_line(100, 139),
        horizontal_line(105, 137),
        horizontal_line(109, 135),
        horizontal_line(114, 133),
        horizontal_line(118, 131),
        horizontal_line(123, 129),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(47, 61),
        horizontal_line(48, 74),
        horizontal_line(49, 61),
        horizontal_line(50, 61),
        horizontal_line(51, 60),
        horizontal_line(52, 60),
        horizontal_line(54, 59),
        horizontal_line(55, 59),
        horizontal_line(56, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(82, 111),
        horizontal_line(88, 110),
        horizontal_line(94, 108),
        horizontal_line(100, 107),
        horizontal_line(106, 106),
        horizontal_line(159, 165),
        horizontal_line(148, 162),
        horizontal_line(138, 159),
        horizontal_line(133, 156),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(69, 69),
        horizontal_line(72, 78),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(84, 98),
        horizontal_line(90, 97),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(17, 51),
        horizontal_line(11, 58),
        horizontal_line(6, 64),
        horizontal_line(63, 71),
        horizontal_line(62, 78),
        horizontal_line(62, 84),
        horizontal_line(62, 91),
        horizontal_line(62, 97),
        horizontal_line(62, 104),
        horizontal_line(62, 111),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(93, 155),
        horizontal_line(103, 165),
        horizontal_line(114, 176),
        horizontal_line(124, 184),
        horizontal_line(134, 186),
        horizontal_line(144, 188),
        horizontal_line(155, 190),
        horizontal_line(165, 192),
        horizontal_line(175, 194),
        horizontal_line(185, 196),
        horizontal_line(196, 198),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(201, 217),
        horizontal_line(203, 217),
        horizontal_line(205, 216),
        horizontal_line(207, 216),
        horizontal_line(209, 215),
        horizontal_line(211, 215),
        horizontal_line(213, 214),
    };

    constexpr const horizontal_line frame_1244_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1244_shape_group_1_shapes[] = {
        shape(frame_1244_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1244_shape_group_1_shape_1_horizontal_lines, 42, 9),
        shape(frame_1244_shape_group_1_shape_2_horizontal_lines, 65, 4),
        shape(frame_1244_shape_group_1_shape_3_horizontal_lines, 84, 9),
        shape(frame_1244_shape_group_1_shape_4_horizontal_lines, 94, 4),
        shape(frame_1244_shape_group_1_shape_5_horizontal_lines, 103, 9),
        shape(frame_1244_shape_group_1_shape_6_horizontal_lines, 105, 4),
        shape(frame_1244_shape_group_1_shape_7_horizontal_lines, 108, 9),
        shape(frame_1244_shape_group_1_shape_8_horizontal_lines, 150, 1),
        shape(frame_1244_shape_group_1_shape_9_horizontal_lines, 157, 8),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(230, 232),
        horizontal_line(227, 234),
        horizontal_line(224, 236),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(26, 56),
        horizontal_line(27, 57),
        horizontal_line(28, 58),
        horizontal_line(29, 58),
        horizontal_line(30, 59),
        horizontal_line(31, 59),
        horizontal_line(32, 60),
        horizontal_line(33, 60),
        horizontal_line(34, 61),
        horizontal_line(35, 61),
        horizontal_line(36, 62),
        horizontal_line(37, 62),
        horizontal_line(39, 63),
        horizontal_line(40, 63),
        horizontal_line(41, 64),
        horizontal_line(42, 64),
        horizontal_line(43, 65),
        horizontal_line(44, 65),
        horizontal_line(45, 66),
        horizontal_line(9, 13),
        horizontal_line(13, 13),
        horizontal_line(48, 67),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(52, 69),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(135, 151),
        horizontal_line(140, 149),
        horizontal_line(144, 147),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(50, 53),
        horizontal_line(49, 54),
        horizontal_line(49, 55),
        horizontal_line(48, 56),
        horizontal_line(48, 56),
        horizontal_line(47, 57),
        horizontal_line(47, 58),
        horizontal_line(46, 59),
        horizontal_line(46, 59),
        horizontal_line(46, 60),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(67, 76),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 68),
        horizontal_line(66, 68),
        horizontal_line(66, 69),
        horizontal_line(65, 69),
        horizontal_line(66, 70),
        horizontal_line(67, 69),
        horizontal_line(68, 69),
        horizontal_line(72, 77),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(27, 38),
        horizontal_line(22, 45),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 10),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(102, 104),
        horizontal_line(110, 121),
        horizontal_line(115, 120),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 130),
        horizontal_line(124, 137),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(125, 172),
        horizontal_line(135, 174),
        horizontal_line(145, 176),
        horizontal_line(155, 178),
        horizontal_line(165, 180),
        horizontal_line(176, 182),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(185, 221),
        horizontal_line(187, 221),
        horizontal_line(189, 220),
        horizontal_line(191, 220),
        horizontal_line(193, 219),
        horizontal_line(195, 219),
        horizontal_line(197, 218),
        horizontal_line(199, 218),
    };

    constexpr const horizontal_line frame_1244_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1244_shape_group_2_shapes[] = {
        shape(frame_1244_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_1244_shape_group_2_shape_1_horizontal_lines, 26, 9),
        shape(frame_1244_shape_group_2_shape_2_horizontal_lines, 43, 1),
        shape(frame_1244_shape_group_2_shape_3_horizontal_lines, 46, 9),
        shape(frame_1244_shape_group_2_shape_4_horizontal_lines, 71, 4),
        shape(frame_1244_shape_group_2_shape_5_horizontal_lines, 74, 9),
        shape(frame_1244_shape_group_2_shape_6_horizontal_lines, 84, 1),
        shape(frame_1244_shape_group_2_shape_7_horizontal_lines, 86, 9),
        shape(frame_1244_shape_group_2_shape_8_horizontal_lines, 94, 1),
        shape(frame_1244_shape_group_2_shape_9_horizontal_lines, 95, 9),
        shape(frame_1244_shape_group_2_shape_10_horizontal_lines, 104, 1),
        shape(frame_1244_shape_group_2_shape_11_horizontal_lines, 106, 9),
        shape(frame_1244_shape_group_2_shape_12_horizontal_lines, 108, 1),
        shape(frame_1244_shape_group_2_shape_13_horizontal_lines, 119, 9),
        shape(frame_1244_shape_group_2_shape_14_horizontal_lines, 142, 1),
        shape(frame_1244_shape_group_2_shape_15_horizontal_lines, 150, 8),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(221, 238),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(204, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(196, 239),
        horizontal_line(193, 239),
        horizontal_line(190, 239),
        horizontal_line(187, 239),
        horizontal_line(185, 239),
        horizontal_line(182, 239),
        horizontal_line(179, 239),
        horizontal_line(176, 238),
        horizontal_line(173, 235),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(46, 66),
        horizontal_line(47, 67),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(51, 51),
        horizontal_line(51, 52),
        horizontal_line(50, 53),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(127, 128),
        horizontal_line(125, 130),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(53, 58),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(71, 77),
        horizontal_line(71, 77),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(55, 64),
        horizontal_line(56, 64),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 73),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(95, 97),
        horizontal_line(94, 99),
        horizontal_line(95, 98),
        horizontal_line(111, 122),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(210, 235),
        horizontal_line(209, 234),
        horizontal_line(209, 234),
        horizontal_line(208, 233),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 226),
        horizontal_line(167, 226),
        horizontal_line(169, 225),
        horizontal_line(171, 225),
        horizontal_line(173, 224),
        horizontal_line(175, 224),
        horizontal_line(177, 223),
        horizontal_line(179, 223),
        horizontal_line(181, 222),
        horizontal_line(183, 222),
    };

    constexpr const horizontal_line frame_1244_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(186, 215),
        horizontal_line(186, 216),
        horizontal_line(186, 218),
    };

    constexpr const shape frame_1244_shape_group_3_shapes[] = {
        shape(frame_1244_shape_group_3_shape_0_horizontal_lines, 46, 1),
        shape(frame_1244_shape_group_3_shape_1_horizontal_lines, 65, 9),
        shape(frame_1244_shape_group_3_shape_2_horizontal_lines, 67, 1),
        shape(frame_1244_shape_group_3_shape_3_horizontal_lines, 71, 9),
        shape(frame_1244_shape_group_3_shape_4_horizontal_lines, 74, 1),
        shape(frame_1244_shape_group_3_shape_5_horizontal_lines, 101, 9),
        shape(frame_1244_shape_group_3_shape_6_horizontal_lines, 103, 1),
        shape(frame_1244_shape_group_3_shape_7_horizontal_lines, 106, 9),
        shape(frame_1244_shape_group_3_shape_8_horizontal_lines, 108, 1),
        shape(frame_1244_shape_group_3_shape_9_horizontal_lines, 142, 8),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(24, 25),
        horizontal_line(23, 26),
        horizontal_line(23, 27),
        horizontal_line(22, 28),
        horizontal_line(22, 29),
        horizontal_line(21, 30),
        horizontal_line(21, 31),
        horizontal_line(20, 32),
        horizontal_line(20, 33),
        horizontal_line(19, 34),
        horizontal_line(19, 35),
        horizontal_line(18, 36),
        horizontal_line(18, 38),
        horizontal_line(17, 39),
        horizontal_line(17, 40),
        horizontal_line(16, 41),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(168, 230),
        horizontal_line(165, 227),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(154, 216),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(159, 214),
        horizontal_line(161, 208),
        horizontal_line(163, 202),
        horizontal_line(165, 196),
        horizontal_line(166, 190),
        horizontal_line(168, 184),
        horizontal_line(170, 178),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(43, 45),
        horizontal_line(45, 45),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(40, 46),
        horizontal_line(42, 47),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(122, 133),
        horizontal_line(121, 135),
        horizontal_line(119, 137),
        horizontal_line(118, 139),
        horizontal_line(53, 53),
        horizontal_line(53, 55),
        horizontal_line(53, 56),
        horizontal_line(118, 128),
        horizontal_line(54, 59),
        horizontal_line(54, 61),
        horizontal_line(54, 63),
        horizontal_line(54, 63),
        horizontal_line(54, 63),
        horizontal_line(55, 63),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(55, 64),
        horizontal_line(101, 108),
        horizontal_line(69, 69),
        horizontal_line(0, 26),
        horizontal_line(0, 21),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(112, 123),
        horizontal_line(103, 105),
        horizontal_line(150, 212),
        horizontal_line(211, 230),
        horizontal_line(211, 236),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(98, 121),
        horizontal_line(105, 124),
        horizontal_line(112, 127),
        horizontal_line(118, 130),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(207, 233),
        horizontal_line(207, 232),
        horizontal_line(206, 232),
        horizontal_line(207, 231),
        horizontal_line(209, 231),
        horizontal_line(211, 230),
        horizontal_line(213, 230),
        horizontal_line(215, 229),
        horizontal_line(217, 229),
        horizontal_line(219, 228),
        horizontal_line(221, 228),
        horizontal_line(223, 227),
        horizontal_line(225, 227),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
        horizontal_line(0, 30),
        horizontal_line(0, 40),
        horizontal_line(0, 51),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 81),
        horizontal_line(62, 92),
        horizontal_line(62, 102),
        horizontal_line(62, 112),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(124, 143),
        horizontal_line(124, 153),
        horizontal_line(124, 163),
        horizontal_line(124, 174),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const horizontal_line frame_1244_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_1244_shape_group_4_shapes[] = {
        shape(frame_1244_shape_group_4_shape_0_horizontal_lines, 46, 8),
        shape(frame_1244_shape_group_4_shape_1_horizontal_lines, 62, 1),
        shape(frame_1244_shape_group_4_shape_2_horizontal_lines, 82, 8),
        shape(frame_1244_shape_group_4_shape_3_horizontal_lines, 84, 3),
        shape(frame_1244_shape_group_4_shape_4_horizontal_lines, 86, 1),
        shape(frame_1244_shape_group_4_shape_5_horizontal_lines, 115, 8),
        shape(frame_1244_shape_group_4_shape_6_horizontal_lines, 119, 1),
        shape(frame_1244_shape_group_4_shape_7_horizontal_lines, 132, 2),
        shape(frame_1244_shape_group_4_shape_8_horizontal_lines, 136, 8),
        shape(frame_1244_shape_group_4_shape_9_horizontal_lines, 142, 2),
        shape(frame_1244_shape_group_4_shape_10_horizontal_lines, 143, 8),
        shape(frame_1244_shape_group_4_shape_11_horizontal_lines, 157, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(16, 42),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(14, 21),
        horizontal_line(17, 22),
        horizontal_line(20, 23),
        horizontal_line(23, 24),
        horizontal_line(35, 47),
        horizontal_line(37, 46),
        horizontal_line(39, 46),
        horizontal_line(41, 45),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(35, 42),
        horizontal_line(37, 44),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(61, 63),
        horizontal_line(61, 64),
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(116, 137),
        horizontal_line(115, 134),
        horizontal_line(116, 131),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(59, 67),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(64, 65),
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(105, 108),
        horizontal_line(55, 63),
        horizontal_line(55, 64),
        horizontal_line(102, 110),
        horizontal_line(124, 127),
        horizontal_line(102, 106),
        horizontal_line(62, 64),
        horizontal_line(69, 70),
        horizontal_line(153, 197),
        horizontal_line(152, 203),
        horizontal_line(151, 210),
        horizontal_line(111, 122),
        horizontal_line(212, 223),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(85, 107),
        horizontal_line(92, 114),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(122, 147),
        horizontal_line(125, 146),
        horizontal_line(128, 146),
        horizontal_line(131, 145),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(125, 134),
        horizontal_line(131, 137),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(186, 194),
        horizontal_line(186, 204),
    };

    constexpr const shape frame_1244_shape_group_5_shapes[] = {
        shape(frame_1244_shape_group_5_shape_0_horizontal_lines, 62, 8),
        shape(frame_1244_shape_group_5_shape_1_horizontal_lines, 65, 1),
        shape(frame_1244_shape_group_5_shape_2_horizontal_lines, 67, 8),
        shape(frame_1244_shape_group_5_shape_3_horizontal_lines, 70, 1),
        shape(frame_1244_shape_group_5_shape_4_horizontal_lines, 74, 8),
        shape(frame_1244_shape_group_5_shape_5_horizontal_lines, 82, 3),
        shape(frame_1244_shape_group_5_shape_6_horizontal_lines, 84, 14),
        shape(frame_1244_shape_group_5_shape_7_horizontal_lines, 86, 8),
        shape(frame_1244_shape_group_5_shape_8_horizontal_lines, 91, 1),
        shape(frame_1244_shape_group_5_shape_9_horizontal_lines, 94, 8),
        shape(frame_1244_shape_group_5_shape_10_horizontal_lines, 95, 1),
        shape(frame_1244_shape_group_5_shape_11_horizontal_lines, 97, 8),
        shape(frame_1244_shape_group_5_shape_12_horizontal_lines, 99, 1),
        shape(frame_1244_shape_group_5_shape_13_horizontal_lines, 113, 8),
        shape(frame_1244_shape_group_5_shape_14_horizontal_lines, 115, 2),
        shape(frame_1244_shape_group_5_shape_15_horizontal_lines, 119, 8),
        shape(frame_1244_shape_group_5_shape_16_horizontal_lines, 122, 2),
        shape(frame_1244_shape_group_5_shape_17_horizontal_lines, 136, 2),
        shape(frame_1244_shape_group_5_shape_18_horizontal_lines, 143, 2),
        shape(frame_1244_shape_group_5_shape_19_horizontal_lines, 149, 8),
        shape(frame_1244_shape_group_5_shape_20_horizontal_lines, 150, 2),
        shape(frame_1244_shape_group_5_shape_21_horizontal_lines, 155, 8),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(15, 43),
        horizontal_line(15, 44),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(18, 49),
        horizontal_line(1, 17),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(216, 232),
        horizontal_line(218, 226),
        horizontal_line(220, 220),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(28, 49),
        horizontal_line(29, 48),
        horizontal_line(31, 48),
        horizontal_line(33, 47),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(27, 34),
        horizontal_line(29, 36),
        horizontal_line(31, 38),
        horizontal_line(33, 40),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(44, 48),
        horizontal_line(46, 49),
        horizontal_line(48, 50),
        horizontal_line(50, 51),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(60, 64),
        horizontal_line(54, 54),
        horizontal_line(59, 65),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(129, 138),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(60, 66),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(104, 109),
        horizontal_line(103, 111),
        horizontal_line(156, 163),
        horizontal_line(155, 170),
        horizontal_line(119, 126),
        horizontal_line(69, 69),
        horizontal_line(114, 125),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(52, 74),
        horizontal_line(59, 81),
        horizontal_line(65, 88),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(151, 213),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(79, 101),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(121, 148),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(135, 144),
        horizontal_line(138, 144),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_1244_shape_group_6_shapes[] = {
        shape(frame_1244_shape_group_6_shape_0_horizontal_lines, 63, 8),
        shape(frame_1244_shape_group_6_shape_1_horizontal_lines, 69, 8),
        shape(frame_1244_shape_group_6_shape_2_horizontal_lines, 71, 1),
        shape(frame_1244_shape_group_6_shape_3_horizontal_lines, 74, 8),
        shape(frame_1244_shape_group_6_shape_4_horizontal_lines, 78, 3),
        shape(frame_1244_shape_group_6_shape_5_horizontal_lines, 82, 14),
        shape(frame_1244_shape_group_6_shape_6_horizontal_lines, 86, 3),
        shape(frame_1244_shape_group_6_shape_7_horizontal_lines, 90, 8),
        shape(frame_1244_shape_group_6_shape_8_horizontal_lines, 94, 14),
        shape(frame_1244_shape_group_6_shape_9_horizontal_lines, 95, 8),
        shape(frame_1244_shape_group_6_shape_10_horizontal_lines, 97, 14),
        shape(frame_1244_shape_group_6_shape_11_horizontal_lines, 101, 1),
        shape(frame_1244_shape_group_6_shape_12_horizontal_lines, 108, 8),
        shape(frame_1244_shape_group_6_shape_13_horizontal_lines, 111, 1),
        shape(frame_1244_shape_group_6_shape_14_horizontal_lines, 112, 8),
        shape(frame_1244_shape_group_6_shape_15_horizontal_lines, 113, 2),
        shape(frame_1244_shape_group_6_shape_16_horizontal_lines, 149, 2),
        shape(frame_1244_shape_group_6_shape_17_horizontal_lines, 155, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(14, 45),
        horizontal_line(14, 46),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(17, 17),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(20, 51),
        horizontal_line(4, 18),
        horizontal_line(7, 19),
        horizontal_line(10, 20),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(22, 27),
        horizontal_line(23, 28),
        horizontal_line(24, 30),
        horizontal_line(25, 32),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(185, 239),
        horizontal_line(179, 239),
        horizontal_line(173, 235),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(28, 39),
        horizontal_line(28, 41),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(60, 65),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(59, 66),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(126, 138),
        horizontal_line(124, 137),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(184, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(70, 70),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(70, 71),
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(155, 177),
        horizontal_line(105, 105),
        horizontal_line(153, 190),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(105, 110),
        horizontal_line(105, 108),
        horizontal_line(105, 106),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(213, 217),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(105, 110),
        horizontal_line(122, 148),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_1244_shape_group_7_shapes[] = {
        shape(frame_1244_shape_group_7_shape_0_horizontal_lines, 65, 8),
        shape(frame_1244_shape_group_7_shape_1_horizontal_lines, 69, 3),
        shape(frame_1244_shape_group_7_shape_2_horizontal_lines, 70, 8),
        shape(frame_1244_shape_group_7_shape_3_horizontal_lines, 74, 3),
        shape(frame_1244_shape_group_7_shape_4_horizontal_lines, 78, 14),
        shape(frame_1244_shape_group_7_shape_5_horizontal_lines, 84, 2),
        shape(frame_1244_shape_group_7_shape_6_horizontal_lines, 86, 14),
        shape(frame_1244_shape_group_7_shape_7_horizontal_lines, 91, 8),
        shape(frame_1244_shape_group_7_shape_8_horizontal_lines, 92, 14),
        shape(frame_1244_shape_group_7_shape_9_horizontal_lines, 93, 8),
        shape(frame_1244_shape_group_7_shape_10_horizontal_lines, 94, 14),
        shape(frame_1244_shape_group_7_shape_11_horizontal_lines, 101, 8),
        shape(frame_1244_shape_group_7_shape_12_horizontal_lines, 102, 1),
        shape(frame_1244_shape_group_7_shape_13_horizontal_lines, 103, 8),
        shape(frame_1244_shape_group_7_shape_14_horizontal_lines, 105, 1),
        shape(frame_1244_shape_group_7_shape_15_horizontal_lines, 108, 14),
        shape(frame_1244_shape_group_7_shape_16_horizontal_lines, 111, 1),
        shape(frame_1244_shape_group_7_shape_17_horizontal_lines, 112, 2),
        shape(frame_1244_shape_group_7_shape_18_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(18, 19),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(22, 50),
        horizontal_line(24, 50),
        horizontal_line(26, 49),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(209, 239),
        horizontal_line(203, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(27, 28),
        horizontal_line(27, 30),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(27, 34),
        horizontal_line(28, 36),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(138, 138),
        horizontal_line(171, 233),
        horizontal_line(132, 138),
        horizontal_line(233, 239),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(31, 53),
        horizontal_line(31, 54),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(70, 70),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(70, 72),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(115, 126),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(46, 68),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(109, 112),
        horizontal_line(107, 111),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(72, 94),
    };

    constexpr const horizontal_line frame_1244_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(123, 149),
    };

    constexpr const shape frame_1244_shape_group_8_shapes[] = {
        shape(frame_1244_shape_group_8_shape_0_horizontal_lines, 70, 3),
        shape(frame_1244_shape_group_8_shape_1_horizontal_lines, 71, 8),
        shape(frame_1244_shape_group_8_shape_2_horizontal_lines, 74, 14),
        shape(frame_1244_shape_group_8_shape_3_horizontal_lines, 79, 2),
        shape(frame_1244_shape_group_8_shape_4_horizontal_lines, 81, 14),
        shape(frame_1244_shape_group_8_shape_5_horizontal_lines, 82, 2),
        shape(frame_1244_shape_group_8_shape_6_horizontal_lines, 86, 14),
        shape(frame_1244_shape_group_8_shape_7_horizontal_lines, 99, 2),
        shape(frame_1244_shape_group_8_shape_8_horizontal_lines, 101, 14),
        shape(frame_1244_shape_group_8_shape_9_horizontal_lines, 102, 8),
        shape(frame_1244_shape_group_8_shape_10_horizontal_lines, 103, 14),
        shape(frame_1244_shape_group_8_shape_11_horizontal_lines, 105, 8),
        shape(frame_1244_shape_group_8_shape_12_horizontal_lines, 106, 1),
        shape(frame_1244_shape_group_8_shape_13_horizontal_lines, 107, 8),
        shape(frame_1244_shape_group_8_shape_14_horizontal_lines, 108, 2),
        shape(frame_1244_shape_group_8_shape_15_horizontal_lines, 111, 8),
        shape(frame_1244_shape_group_8_shape_16_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(19, 21),
        horizontal_line(20, 23),
        horizontal_line(21, 25),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(27, 32),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(28, 43),
        horizontal_line(29, 45),
        horizontal_line(29, 47),
        horizontal_line(29, 49),
        horizontal_line(29, 52),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(233, 239),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(30, 52),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(31, 53),
        horizontal_line(31, 53),
        horizontal_line(64, 64),
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(123, 131),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(32, 54),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(107, 111),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(154, 183),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1244_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(125, 152),
        horizontal_line(125, 151),
        horizontal_line(124, 150),
        horizontal_line(106, 110),
    };

    constexpr const shape frame_1244_shape_group_9_shapes[] = {
        shape(frame_1244_shape_group_9_shape_0_horizontal_lines, 71, 3),
        shape(frame_1244_shape_group_9_shape_1_horizontal_lines, 81, 2),
        shape(frame_1244_shape_group_9_shape_2_horizontal_lines, 86, 2),
        shape(frame_1244_shape_group_9_shape_3_horizontal_lines, 91, 14),
        shape(frame_1244_shape_group_9_shape_4_horizontal_lines, 94, 2),
        shape(frame_1244_shape_group_9_shape_5_horizontal_lines, 95, 14),
        shape(frame_1244_shape_group_9_shape_6_horizontal_lines, 97, 2),
        shape(frame_1244_shape_group_9_shape_7_horizontal_lines, 101, 14),
        shape(frame_1244_shape_group_9_shape_8_horizontal_lines, 104, 2),
        shape(frame_1244_shape_group_9_shape_9_horizontal_lines, 105, 14),
        shape(frame_1244_shape_group_9_shape_10_horizontal_lines, 106, 1),
        shape(frame_1244_shape_group_9_shape_11_horizontal_lines, 107, 8),
        shape(frame_1244_shape_group_9_shape_12_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(227, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(30, 52),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(30, 53),
        horizontal_line(31, 53),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(32, 54),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(32, 54),
        horizontal_line(65, 68),
        horizontal_line(33, 55),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(39, 61),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(105, 111),
    };

    constexpr const horizontal_line frame_1244_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(123, 150),
    };

    constexpr const shape frame_1244_shape_group_10_shapes[] = {
        shape(frame_1244_shape_group_10_shape_0_horizontal_lines, 71, 14),
        shape(frame_1244_shape_group_10_shape_1_horizontal_lines, 91, 14),
        shape(frame_1244_shape_group_10_shape_2_horizontal_lines, 92, 2),
        shape(frame_1244_shape_group_10_shape_3_horizontal_lines, 93, 14),
        shape(frame_1244_shape_group_10_shape_4_horizontal_lines, 95, 2),
        shape(frame_1244_shape_group_10_shape_5_horizontal_lines, 101, 2),
        shape(frame_1244_shape_group_10_shape_6_horizontal_lines, 102, 14),
        shape(frame_1244_shape_group_10_shape_7_horizontal_lines, 103, 2),
        shape(frame_1244_shape_group_10_shape_8_horizontal_lines, 106, 8),
        shape(frame_1244_shape_group_10_shape_9_horizontal_lines, 107, 14),
        shape(frame_1244_shape_group_10_shape_10_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(29, 52),
    };

    constexpr const horizontal_line frame_1244_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(30, 52),
    };

    constexpr const horizontal_line frame_1244_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(32, 54),
        horizontal_line(65, 68),
        horizontal_line(128, 154),
        horizontal_line(65, 68),
    };

    constexpr const horizontal_line frame_1244_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_1244_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(113, 113),
    };

    constexpr const shape frame_1244_shape_group_11_shapes[] = {
        shape(frame_1244_shape_group_11_shape_0_horizontal_lines, 91, 2),
        shape(frame_1244_shape_group_11_shape_1_horizontal_lines, 93, 2),
        shape(frame_1244_shape_group_11_shape_2_horizontal_lines, 101, 2),
        shape(frame_1244_shape_group_11_shape_3_horizontal_lines, 106, 8),
        shape(frame_1244_shape_group_11_shape_4_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(65, 67),
        horizontal_line(129, 155),
    };

    constexpr const horizontal_line frame_1244_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(127, 154),
    };

    constexpr const horizontal_line frame_1244_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(106, 111),
    };

    constexpr const horizontal_line frame_1244_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(126, 152),
    };

    constexpr const shape frame_1244_shape_group_12_shapes[] = {
        shape(frame_1244_shape_group_12_shape_0_horizontal_lines, 102, 2),
        shape(frame_1244_shape_group_12_shape_1_horizontal_lines, 105, 2),
        shape(frame_1244_shape_group_12_shape_2_horizontal_lines, 106, 14),
        shape(frame_1244_shape_group_12_shape_3_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(65, 68),
    };

    constexpr const shape frame_1244_shape_group_13_shapes[] = {
        shape(frame_1244_shape_group_13_shape_0_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1244_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(127, 153),
    };

    constexpr const shape frame_1244_shape_group_14_shapes[] = {
        shape(frame_1244_shape_group_14_shape_0_horizontal_lines, 106, 2),
    };

    constexpr const shape_group frame_1244_shape_groups[] = {
        shape_group(frame_1244_shape_group_0_shapes),
        shape_group(frame_1244_shape_group_1_shapes),
        shape_group(frame_1244_shape_group_2_shapes),
        shape_group(frame_1244_shape_group_3_shapes),
        shape_group(frame_1244_shape_group_4_shapes),
        shape_group(frame_1244_shape_group_5_shapes),
        shape_group(frame_1244_shape_group_6_shapes),
        shape_group(frame_1244_shape_group_7_shapes),
        shape_group(frame_1244_shape_group_8_shapes),
        shape_group(frame_1244_shape_group_9_shapes),
        shape_group(frame_1244_shape_group_10_shapes),
        shape_group(frame_1244_shape_group_11_shapes),
        shape_group(frame_1244_shape_group_12_shapes),
        shape_group(frame_1244_shape_group_13_shapes),
        shape_group(frame_1244_shape_group_14_shapes),
    };

    constexpr const frame frame_1244_impl(frame_1244_colors, frame_1244_shape_groups);
} 

const frame& frame_1244()
{
    return frame_1244_impl;
}

namespace
{
    constexpr const bn::color frame_1245_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 28, 24),
        bn::color(16, 24, 16),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1245_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(1, 44),
        horizontal_line(2, 44),
        horizontal_line(3, 45),
        horizontal_line(5, 46),
        horizontal_line(6, 47),
        horizontal_line(8, 47),
        horizontal_line(9, 48),
        horizontal_line(10, 49),
        horizontal_line(12, 49),
        horizontal_line(13, 50),
        horizontal_line(15, 51),
        horizontal_line(16, 51),
        horizontal_line(18, 52),
        horizontal_line(35, 53),
        horizontal_line(54, 54),
        horizontal_line(55, 56),
        horizontal_line(56, 60),
        horizontal_line(56, 64),
        horizontal_line(57, 68),
        horizontal_line(57, 71),
        horizontal_line(58, 75),
        horizontal_line(58, 79),
        horizontal_line(59, 83),
        horizontal_line(59, 86),
        horizontal_line(60, 90),
        horizontal_line(60, 94),
        horizontal_line(61, 98),
        horizontal_line(61, 101),
        horizontal_line(62, 105),
        horizontal_line(62, 109),
        horizontal_line(63, 113),
        horizontal_line(63, 116),
        horizontal_line(64, 120),
        horizontal_line(64, 124),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 71),
        horizontal_line(58, 71),
        horizontal_line(58, 71),
        horizontal_line(59, 72),
        horizontal_line(60, 72),
        horizontal_line(61, 73),
        horizontal_line(74, 76),
        horizontal_line(74, 81),
        horizontal_line(74, 86),
        horizontal_line(75, 90),
        horizontal_line(75, 95),
        horizontal_line(75, 100),
        horizontal_line(76, 104),
        horizontal_line(76, 109),
        horizontal_line(76, 114),
        horizontal_line(77, 113),
        horizontal_line(68, 76),
        horizontal_line(68, 76),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(70, 76),
        horizontal_line(70, 77),
        horizontal_line(78, 81),
        horizontal_line(78, 87),
        horizontal_line(78, 93),
        horizontal_line(78, 99),
        horizontal_line(79, 99),
        horizontal_line(73, 78),
        horizontal_line(74, 78),
        horizontal_line(75, 79),
        horizontal_line(80, 83),
        horizontal_line(80, 88),
        horizontal_line(83, 93),
        horizontal_line(90, 92),
    };

    constexpr const horizontal_line frame_1245_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(5, 57),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1245_shape_group_0_shapes[] = {
        shape(frame_1245_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1245_shape_group_0_shape_1_horizontal_lines, 111, 9),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(127, 131),
        horizontal_line(128, 135),
        horizontal_line(128, 139),
        horizontal_line(129, 143),
        horizontal_line(129, 146),
        horizontal_line(130, 150),
        horizontal_line(130, 154),
        horizontal_line(131, 158),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(89, 148),
        horizontal_line(94, 146),
        horizontal_line(98, 144),
        horizontal_line(102, 141),
        horizontal_line(107, 139),
        horizontal_line(111, 137),
        horizontal_line(115, 135),
        horizontal_line(120, 133),
        horizontal_line(124, 131),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(44, 73),
        horizontal_line(46, 60),
        horizontal_line(47, 60),
        horizontal_line(49, 59),
        horizontal_line(50, 59),
        horizontal_line(52, 58),
        horizontal_line(53, 58),
        horizontal_line(54, 57),
        horizontal_line(56, 57),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(81, 112),
        horizontal_line(86, 111),
        horizontal_line(91, 110),
        horizontal_line(96, 109),
        horizontal_line(101, 108),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(66, 77),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(159, 172),
        horizontal_line(141, 169),
        horizontal_line(136, 165),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(73, 78),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(84, 98),
        horizontal_line(90, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(21, 31),
        horizontal_line(17, 38),
        horizontal_line(13, 44),
        horizontal_line(9, 51),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(58, 96),
    };

    constexpr const horizontal_line frame_1245_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(62, 71),
        horizontal_line(62, 77),
        horizontal_line(62, 84),
        horizontal_line(62, 90),
        horizontal_line(62, 97),
        horizontal_line(62, 103),
        horizontal_line(62, 110),
        horizontal_line(62, 117),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1245_shape_group_1_shapes[] = {
        shape(frame_1245_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1245_shape_group_1_shape_1_horizontal_lines, 26, 9),
        shape(frame_1245_shape_group_1_shape_2_horizontal_lines, 60, 4),
        shape(frame_1245_shape_group_1_shape_3_horizontal_lines, 83, 9),
        shape(frame_1245_shape_group_1_shape_4_horizontal_lines, 93, 4),
        shape(frame_1245_shape_group_1_shape_5_horizontal_lines, 99, 9),
        shape(frame_1245_shape_group_1_shape_6_horizontal_lines, 100, 4),
        shape(frame_1245_shape_group_1_shape_7_horizontal_lines, 103, 9),
        shape(frame_1245_shape_group_1_shape_8_horizontal_lines, 104, 4),
        shape(frame_1245_shape_group_1_shape_9_horizontal_lines, 107, 9),
        shape(frame_1245_shape_group_1_shape_10_horizontal_lines, 111, 8),
        shape(frame_1245_shape_group_1_shape_11_horizontal_lines, 112, 9),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(19, 34),
        horizontal_line(20, 53),
        horizontal_line(21, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 55),
        horizontal_line(24, 56),
        horizontal_line(25, 56),
        horizontal_line(26, 57),
        horizontal_line(27, 57),
        horizontal_line(28, 58),
        horizontal_line(29, 58),
        horizontal_line(30, 59),
        horizontal_line(31, 59),
        horizontal_line(32, 60),
        horizontal_line(34, 60),
        horizontal_line(35, 61),
        horizontal_line(36, 61),
        horizontal_line(37, 62),
        horizontal_line(38, 62),
        horizontal_line(39, 63),
        horizontal_line(40, 63),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(4, 4),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(50, 68),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(134, 156),
        horizontal_line(138, 154),
        horizontal_line(143, 152),
        horizontal_line(147, 150),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(47, 53),
        horizontal_line(47, 53),
        horizontal_line(46, 54),
        horizontal_line(46, 55),
        horizontal_line(45, 56),
        horizontal_line(45, 57),
        horizontal_line(44, 57),
        horizontal_line(44, 58),
        horizontal_line(43, 59),
        horizontal_line(43, 60),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(63, 73),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 74),
        horizontal_line(65, 75),
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(67, 76),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(58, 67),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 68),
        horizontal_line(66, 68),
        horizontal_line(66, 69),
        horizontal_line(65, 69),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(67, 69),
        horizontal_line(68, 69),
        horizontal_line(72, 77),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 73),
        horizontal_line(72, 74),
        horizontal_line(72, 73),
        horizontal_line(76, 79),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(45, 82),
        horizontal_line(52, 89),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(65, 103),
        horizontal_line(72, 110),
        horizontal_line(78, 117),
        horizontal_line(85, 124),
        horizontal_line(91, 126),
        horizontal_line(98, 129),
        horizontal_line(104, 131),
        horizontal_line(111, 134),
        horizontal_line(118, 137),
        horizontal_line(124, 139),
    };

    constexpr const horizontal_line frame_1245_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(124, 130),
        horizontal_line(124, 136),
        horizontal_line(124, 143),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1245_shape_group_2_shapes[] = {
        shape(frame_1245_shape_group_2_shape_0_horizontal_lines, 39, 9),
        shape(frame_1245_shape_group_2_shape_1_horizontal_lines, 69, 4),
        shape(frame_1245_shape_group_2_shape_2_horizontal_lines, 73, 9),
        shape(frame_1245_shape_group_2_shape_3_horizontal_lines, 83, 1),
        shape(frame_1245_shape_group_2_shape_4_horizontal_lines, 84, 9),
        shape(frame_1245_shape_group_2_shape_5_horizontal_lines, 93, 8),
        shape(frame_1245_shape_group_2_shape_6_horizontal_lines, 94, 9),
        shape(frame_1245_shape_group_2_shape_7_horizontal_lines, 99, 1),
        shape(frame_1245_shape_group_2_shape_8_horizontal_lines, 100, 9),
        shape(frame_1245_shape_group_2_shape_9_horizontal_lines, 103, 8),
        shape(frame_1245_shape_group_2_shape_10_horizontal_lines, 104, 9),
        shape(frame_1245_shape_group_2_shape_11_horizontal_lines, 109, 8),
        shape(frame_1245_shape_group_2_shape_12_horizontal_lines, 111, 1),
        shape(frame_1245_shape_group_2_shape_13_horizontal_lines, 112, 8),
        shape(frame_1245_shape_group_2_shape_14_horizontal_lines, 122, 9),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(17, 18),
        horizontal_line(16, 19),
        horizontal_line(16, 20),
        horizontal_line(15, 21),
        horizontal_line(15, 22),
        horizontal_line(14, 23),
        horizontal_line(14, 24),
        horizontal_line(13, 25),
        horizontal_line(13, 26),
        horizontal_line(12, 27),
        horizontal_line(12, 28),
        horizontal_line(11, 29),
        horizontal_line(11, 30),
        horizontal_line(10, 31),
        horizontal_line(10, 33),
        horizontal_line(9, 34),
        horizontal_line(9, 35),
        horizontal_line(8, 36),
        horizontal_line(8, 37),
        horizontal_line(7, 38),
        horizontal_line(7, 39),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(41, 64),
        horizontal_line(42, 64),
        horizontal_line(43, 65),
        horizontal_line(44, 65),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(49, 49),
        horizontal_line(49, 50),
        horizontal_line(48, 51),
        horizontal_line(48, 52),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(9, 16),
        horizontal_line(14, 17),
        horizontal_line(19, 19),
        horizontal_line(30, 45),
        horizontal_line(32, 44),
        horizontal_line(34, 44),
        horizontal_line(36, 43),
        horizontal_line(38, 43),
        horizontal_line(40, 42),
        horizontal_line(42, 42),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(61, 62),
        horizontal_line(60, 62),
        horizontal_line(60, 63),
        horizontal_line(59, 64),
        horizontal_line(59, 64),
        horizontal_line(58, 65),
        horizontal_line(58, 65),
        horizontal_line(58, 66),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(60, 66),
        horizontal_line(61, 66),
        horizontal_line(63, 65),
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(53, 62),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(71, 77),
        horizontal_line(72, 77),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(70, 71),
        horizontal_line(70, 71),
        horizontal_line(26, 61),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(75, 79),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(39, 75),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(101, 104),
        horizontal_line(0, 0),
        horizontal_line(111, 124),
        horizontal_line(118, 123),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(131, 142),
        horizontal_line(137, 144),
        horizontal_line(144, 147),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 197),
        horizontal_line(186, 198),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
        horizontal_line(186, 208),
        horizontal_line(186, 210),
        horizontal_line(186, 212),
        horizontal_line(186, 214),
    };

    constexpr const shape frame_1245_shape_group_3_shapes[] = {
        shape(frame_1245_shape_group_3_shape_0_horizontal_lines, 39, 8),
        shape(frame_1245_shape_group_3_shape_1_horizontal_lines, 60, 9),
        shape(frame_1245_shape_group_3_shape_2_horizontal_lines, 64, 8),
        shape(frame_1245_shape_group_3_shape_3_horizontal_lines, 69, 9),
        shape(frame_1245_shape_group_3_shape_4_horizontal_lines, 73, 8),
        shape(frame_1245_shape_group_3_shape_5_horizontal_lines, 83, 1),
        shape(frame_1245_shape_group_3_shape_6_horizontal_lines, 84, 8),
        shape(frame_1245_shape_group_3_shape_7_horizontal_lines, 93, 1),
        shape(frame_1245_shape_group_3_shape_8_horizontal_lines, 94, 8),
        shape(frame_1245_shape_group_3_shape_9_horizontal_lines, 98, 1),
        shape(frame_1245_shape_group_3_shape_10_horizontal_lines, 100, 9),
        shape(frame_1245_shape_group_3_shape_11_horizontal_lines, 102, 8),
        shape(frame_1245_shape_group_3_shape_12_horizontal_lines, 103, 1),
        shape(frame_1245_shape_group_3_shape_13_horizontal_lines, 104, 8),
        shape(frame_1245_shape_group_3_shape_14_horizontal_lines, 107, 9),
        shape(frame_1245_shape_group_3_shape_15_horizontal_lines, 108, 8),
        shape(frame_1245_shape_group_3_shape_16_horizontal_lines, 109, 1),
        shape(frame_1245_shape_group_3_shape_17_horizontal_lines, 122, 8),
        shape(frame_1245_shape_group_3_shape_18_horizontal_lines, 125, 1),
        shape(frame_1245_shape_group_3_shape_19_horizontal_lines, 145, 9),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(234, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(204, 239),
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(189, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(6, 40),
        horizontal_line(6, 41),
        horizontal_line(5, 42),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(8, 45),
        horizontal_line(10, 46),
        horizontal_line(12, 47),
        horizontal_line(14, 49),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(4, 15),
        horizontal_line(24, 46),
        horizontal_line(26, 46),
        horizontal_line(28, 45),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(39, 43),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(52, 57),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(53, 62),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(70, 70),
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(54, 64),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(32, 68),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(95, 98),
        horizontal_line(97, 97),
        horizontal_line(112, 125),
        horizontal_line(104, 104),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_1245_shape_group_4_shapes[] = {
        shape(frame_1245_shape_group_4_shape_0_horizontal_lines, 42, 1),
        shape(frame_1245_shape_group_4_shape_1_horizontal_lines, 60, 8),
        shape(frame_1245_shape_group_4_shape_2_horizontal_lines, 64, 1),
        shape(frame_1245_shape_group_4_shape_3_horizontal_lines, 65, 8),
        shape(frame_1245_shape_group_4_shape_4_horizontal_lines, 76, 1),
        shape(frame_1245_shape_group_4_shape_5_horizontal_lines, 83, 3),
        shape(frame_1245_shape_group_4_shape_6_horizontal_lines, 84, 1),
        shape(frame_1245_shape_group_4_shape_7_horizontal_lines, 100, 8),
        shape(frame_1245_shape_group_4_shape_8_horizontal_lines, 102, 1),
        shape(frame_1245_shape_group_4_shape_9_horizontal_lines, 106, 8),
        shape(frame_1245_shape_group_4_shape_10_horizontal_lines, 108, 1),
        shape(frame_1245_shape_group_4_shape_11_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(180, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(5, 43),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(168, 230),
        horizontal_line(165, 227),
        horizontal_line(162, 224),
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(16, 48),
        horizontal_line(18, 48),
        horizontal_line(20, 47),
        horizontal_line(22, 47),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 13),
        horizontal_line(0, 18),
        horizontal_line(173, 201),
        horizontal_line(175, 194),
        horizontal_line(177, 186),
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(32, 37),
        horizontal_line(34, 39),
        horizontal_line(37, 41),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(126, 131),
        horizontal_line(125, 133),
        horizontal_line(123, 135),
        horizontal_line(122, 137),
        horizontal_line(120, 139),
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(52, 55),
        horizontal_line(52, 56),
        horizontal_line(120, 130),
        horizontal_line(53, 59),
        horizontal_line(53, 60),
        horizontal_line(53, 62),
        horizontal_line(53, 62),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(54, 63),
        horizontal_line(102, 109),
        horizontal_line(54, 64),
        horizontal_line(55, 64),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(96, 99),
        horizontal_line(114, 127),
        horizontal_line(104, 105),
        horizontal_line(158, 213),
        horizontal_line(112, 125),
        horizontal_line(219, 226),
        horizontal_line(218, 232),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(125, 154),
        horizontal_line(127, 154),
        horizontal_line(130, 153),
        horizontal_line(132, 153),
        horizontal_line(135, 152),
        horizontal_line(138, 151),
        horizontal_line(140, 151),
    };

    constexpr const horizontal_line frame_1245_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_1245_shape_group_5_shapes[] = {
        shape(frame_1245_shape_group_5_shape_0_horizontal_lines, 60, 1),
        shape(frame_1245_shape_group_5_shape_1_horizontal_lines, 63, 8),
        shape(frame_1245_shape_group_5_shape_2_horizontal_lines, 64, 1),
        shape(frame_1245_shape_group_5_shape_3_horizontal_lines, 69, 8),
        shape(frame_1245_shape_group_5_shape_4_horizontal_lines, 73, 1),
        shape(frame_1245_shape_group_5_shape_5_horizontal_lines, 80, 3),
        shape(frame_1245_shape_group_5_shape_6_horizontal_lines, 83, 14),
        shape(frame_1245_shape_group_5_shape_7_horizontal_lines, 84, 1),
        shape(frame_1245_shape_group_5_shape_8_horizontal_lines, 98, 14),
        shape(frame_1245_shape_group_5_shape_9_horizontal_lines, 100, 1),
        shape(frame_1245_shape_group_5_shape_10_horizontal_lines, 107, 8),
        shape(frame_1245_shape_group_5_shape_11_horizontal_lines, 108, 1),
        shape(frame_1245_shape_group_5_shape_12_horizontal_lines, 115, 2),
        shape(frame_1245_shape_group_5_shape_13_horizontal_lines, 122, 1),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(0, 3),
        horizontal_line(168, 224),
        horizontal_line(169, 216),
        horizontal_line(171, 209),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(22, 29),
        horizontal_line(24, 31),
        horizontal_line(27, 33),
        horizontal_line(29, 35),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(21, 38),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(42, 45),
        horizontal_line(44, 46),
        horizontal_line(47, 48),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(119, 141),
        horizontal_line(117, 139),
        horizontal_line(116, 136),
        horizontal_line(117, 133),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(131, 140),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(122, 127),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(54, 63),
        horizontal_line(54, 63),
        horizontal_line(101, 111),
        horizontal_line(163, 163),
        horizontal_line(69, 69),
        horizontal_line(69, 69),
        horizontal_line(65, 65),
        horizontal_line(0, 20),
        horizontal_line(114, 127),
        horizontal_line(159, 201),
        horizontal_line(113, 126),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(97, 98),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(157, 219),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(125, 156),
        horizontal_line(124, 155),
    };

    constexpr const horizontal_line frame_1245_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(143, 150),
        horizontal_line(145, 150),
        horizontal_line(148, 149),
    };

    constexpr const shape frame_1245_shape_group_6_shapes[] = {
        shape(frame_1245_shape_group_6_shape_0_horizontal_lines, 62, 1),
        shape(frame_1245_shape_group_6_shape_1_horizontal_lines, 65, 1),
        shape(frame_1245_shape_group_6_shape_2_horizontal_lines, 76, 3),
        shape(frame_1245_shape_group_6_shape_3_horizontal_lines, 80, 14),
        shape(frame_1245_shape_group_6_shape_4_horizontal_lines, 83, 2),
        shape(frame_1245_shape_group_6_shape_5_horizontal_lines, 84, 3),
        shape(frame_1245_shape_group_6_shape_6_horizontal_lines, 88, 14),
        shape(frame_1245_shape_group_6_shape_7_horizontal_lines, 89, 1),
        shape(frame_1245_shape_group_6_shape_8_horizontal_lines, 93, 14),
        shape(frame_1245_shape_group_6_shape_9_horizontal_lines, 94, 1),
        shape(frame_1245_shape_group_6_shape_10_horizontal_lines, 96, 14),
        shape(frame_1245_shape_group_6_shape_11_horizontal_lines, 100, 1),
        shape(frame_1245_shape_group_6_shape_12_horizontal_lines, 111, 14),
        shape(frame_1245_shape_group_6_shape_13_horizontal_lines, 112, 1),
        shape(frame_1245_shape_group_6_shape_14_horizontal_lines, 113, 2),
        shape(frame_1245_shape_group_6_shape_15_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(7, 7),
        horizontal_line(8, 9),
        horizontal_line(10, 11),
        horizontal_line(11, 13),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(17, 23),
        horizontal_line(18, 25),
        horizontal_line(20, 27),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(195, 239),
        horizontal_line(187, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(20, 31),
        horizontal_line(21, 33),
        horizontal_line(21, 36),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(22, 51),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(140, 140),
        horizontal_line(137, 140),
        horizontal_line(134, 140),
        horizontal_line(178, 239),
        horizontal_line(128, 140),
        horizontal_line(126, 140),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(24, 52),
        horizontal_line(24, 52),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(104, 110),
        horizontal_line(102, 112),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(104, 107),
        horizontal_line(106, 106),
        horizontal_line(69, 70),
        horizontal_line(69, 70),
        horizontal_line(160, 194),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(158, 207),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(105, 111),
    };

    constexpr const horizontal_line frame_1245_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(219, 220),
    };

    constexpr const shape frame_1245_shape_group_7_shapes[] = {
        shape(frame_1245_shape_group_7_shape_0_horizontal_lines, 63, 1),
        shape(frame_1245_shape_group_7_shape_1_horizontal_lines, 65, 3),
        shape(frame_1245_shape_group_7_shape_2_horizontal_lines, 69, 1),
        shape(frame_1245_shape_group_7_shape_3_horizontal_lines, 73, 3),
        shape(frame_1245_shape_group_7_shape_4_horizontal_lines, 76, 14),
        shape(frame_1245_shape_group_7_shape_5_horizontal_lines, 80, 2),
        shape(frame_1245_shape_group_7_shape_6_horizontal_lines, 84, 14),
        shape(frame_1245_shape_group_7_shape_7_horizontal_lines, 88, 2),
        shape(frame_1245_shape_group_7_shape_8_horizontal_lines, 89, 14),
        shape(frame_1245_shape_group_7_shape_9_horizontal_lines, 98, 2),
        shape(frame_1245_shape_group_7_shape_10_horizontal_lines, 100, 1),
        shape(frame_1245_shape_group_7_shape_11_horizontal_lines, 102, 14),
        shape(frame_1245_shape_group_7_shape_12_horizontal_lines, 104, 1),
        shape(frame_1245_shape_group_7_shape_13_horizontal_lines, 109, 14),
        shape(frame_1245_shape_group_7_shape_14_horizontal_lines, 110, 1),
        shape(frame_1245_shape_group_7_shape_15_horizontal_lines, 111, 2),
        shape(frame_1245_shape_group_7_shape_16_horizontal_lines, 112, 1),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(12, 15),
        horizontal_line(13, 17),
        horizontal_line(15, 19),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(228, 231),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(217, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(20, 21),
        horizontal_line(20, 23),
        horizontal_line(20, 26),
        horizontal_line(20, 28),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(21, 41),
        horizontal_line(21, 43),
        horizontal_line(22, 46),
        horizontal_line(22, 48),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(22, 51),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(23, 51),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(63, 64),
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(124, 140),
        horizontal_line(124, 140),
        horizontal_line(215, 239),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(126, 130),
        horizontal_line(121, 129),
        horizontal_line(116, 129),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(106, 109),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(107, 113),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_1245_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(126, 157),
        horizontal_line(105, 111),
    };

    constexpr const shape frame_1245_shape_group_8_shapes[] = {
        shape(frame_1245_shape_group_8_shape_0_horizontal_lines, 69, 3),
        shape(frame_1245_shape_group_8_shape_1_horizontal_lines, 72, 1),
        shape(frame_1245_shape_group_8_shape_2_horizontal_lines, 73, 14),
        shape(frame_1245_shape_group_8_shape_3_horizontal_lines, 76, 2),
        shape(frame_1245_shape_group_8_shape_4_horizontal_lines, 84, 2),
        shape(frame_1245_shape_group_8_shape_5_horizontal_lines, 89, 2),
        shape(frame_1245_shape_group_8_shape_6_horizontal_lines, 90, 14),
        shape(frame_1245_shape_group_8_shape_7_horizontal_lines, 93, 2),
        shape(frame_1245_shape_group_8_shape_8_horizontal_lines, 94, 14),
        shape(frame_1245_shape_group_8_shape_9_horizontal_lines, 96, 2),
        shape(frame_1245_shape_group_8_shape_10_horizontal_lines, 100, 14),
        shape(frame_1245_shape_group_8_shape_11_horizontal_lines, 104, 1),
        shape(frame_1245_shape_group_8_shape_12_horizontal_lines, 108, 14),
        shape(frame_1245_shape_group_8_shape_13_horizontal_lines, 109, 2),
        shape(frame_1245_shape_group_8_shape_14_horizontal_lines, 110, 14),
        shape(frame_1245_shape_group_8_shape_15_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(16, 21),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(22, 51),
        horizontal_line(23, 51),
        horizontal_line(23, 51),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(23, 52),
        horizontal_line(23, 52),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(25, 53),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(162, 169),
        horizontal_line(161, 175),
        horizontal_line(161, 182),
        horizontal_line(115, 128),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(110, 113),
        horizontal_line(128, 158),
        horizontal_line(106, 112),
    };

    constexpr const horizontal_line frame_1245_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(126, 156),
    };

    constexpr const shape frame_1245_shape_group_9_shapes[] = {
        shape(frame_1245_shape_group_9_shape_0_horizontal_lines, 72, 3),
        shape(frame_1245_shape_group_9_shape_1_horizontal_lines, 90, 2),
        shape(frame_1245_shape_group_9_shape_2_horizontal_lines, 94, 2),
        shape(frame_1245_shape_group_9_shape_3_horizontal_lines, 97, 2),
        shape(frame_1245_shape_group_9_shape_4_horizontal_lines, 100, 14),
        shape(frame_1245_shape_group_9_shape_5_horizontal_lines, 102, 2),
        shape(frame_1245_shape_group_9_shape_6_horizontal_lines, 103, 14),
        shape(frame_1245_shape_group_9_shape_7_horizontal_lines, 104, 1),
        shape(frame_1245_shape_group_9_shape_8_horizontal_lines, 108, 2),
        shape(frame_1245_shape_group_9_shape_9_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1245_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1245_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(24, 53),
        horizontal_line(25, 53),
        horizontal_line(64, 68),
        horizontal_line(25, 53),
    };

    constexpr const horizontal_line frame_1245_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(108, 111),
        horizontal_line(107, 111),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_1245_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(160, 188),
    };

    constexpr const horizontal_line frame_1245_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(128, 159),
    };

    constexpr const horizontal_line frame_1245_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(127, 157),
    };

    constexpr const shape frame_1245_shape_group_10_shapes[] = {
        shape(frame_1245_shape_group_10_shape_0_horizontal_lines, 72, 14),
        shape(frame_1245_shape_group_10_shape_1_horizontal_lines, 100, 2),
        shape(frame_1245_shape_group_10_shape_2_horizontal_lines, 104, 14),
        shape(frame_1245_shape_group_10_shape_3_horizontal_lines, 107, 1),
        shape(frame_1245_shape_group_10_shape_4_horizontal_lines, 108, 2),
        shape(frame_1245_shape_group_10_shape_5_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1245_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(64, 67),
    };

    constexpr const horizontal_line frame_1245_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(65, 68),
        horizontal_line(25, 53),
        horizontal_line(25, 54),
    };

    constexpr const horizontal_line frame_1245_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(106, 111),
        horizontal_line(106, 111),
    };

    constexpr const shape frame_1245_shape_group_11_shapes[] = {
        shape(frame_1245_shape_group_11_shape_0_horizontal_lines, 100, 2),
        shape(frame_1245_shape_group_11_shape_1_horizontal_lines, 103, 2),
        shape(frame_1245_shape_group_11_shape_2_horizontal_lines, 106, 14),
    };

    constexpr const horizontal_line frame_1245_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(132, 162),
        horizontal_line(65, 68),
        horizontal_line(65, 68),
        horizontal_line(66, 68),
        horizontal_line(71, 71),
    };

    constexpr const shape frame_1245_shape_group_12_shapes[] = {
        shape(frame_1245_shape_group_12_shape_0_horizontal_lines, 103, 2),
    };

    constexpr const horizontal_line frame_1245_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(131, 161),
        horizontal_line(130, 160),
        horizontal_line(130, 160),
        horizontal_line(113, 114),
    };

    constexpr const shape frame_1245_shape_group_13_shapes[] = {
        shape(frame_1245_shape_group_13_shape_0_horizontal_lines, 104, 2),
    };

    constexpr const horizontal_line frame_1245_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(129, 159),
    };

    constexpr const shape frame_1245_shape_group_14_shapes[] = {
        shape(frame_1245_shape_group_14_shape_0_horizontal_lines, 107, 2),
    };

    constexpr const shape_group frame_1245_shape_groups[] = {
        shape_group(frame_1245_shape_group_0_shapes),
        shape_group(frame_1245_shape_group_1_shapes),
        shape_group(frame_1245_shape_group_2_shapes),
        shape_group(frame_1245_shape_group_3_shapes),
        shape_group(frame_1245_shape_group_4_shapes),
        shape_group(frame_1245_shape_group_5_shapes),
        shape_group(frame_1245_shape_group_6_shapes),
        shape_group(frame_1245_shape_group_7_shapes),
        shape_group(frame_1245_shape_group_8_shapes),
        shape_group(frame_1245_shape_group_9_shapes),
        shape_group(frame_1245_shape_group_10_shapes),
        shape_group(frame_1245_shape_group_11_shapes),
        shape_group(frame_1245_shape_group_12_shapes),
        shape_group(frame_1245_shape_group_13_shapes),
        shape_group(frame_1245_shape_group_14_shapes),
    };

    constexpr const frame frame_1245_impl(frame_1245_colors, frame_1245_shape_groups);
} 

const frame& frame_1245()
{
    return frame_1245_impl;
}

namespace
{
    constexpr const bn::color frame_1246_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(12, 20, 12),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(4, 12, 8),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1246_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(1, 44),
        horizontal_line(2, 45),
        horizontal_line(4, 46),
        horizontal_line(5, 47),
        horizontal_line(7, 47),
        horizontal_line(21, 48),
        horizontal_line(35, 49),
        horizontal_line(50, 50),
        horizontal_line(51, 52),
        horizontal_line(52, 56),
        horizontal_line(52, 59),
        horizontal_line(53, 63),
        horizontal_line(53, 67),
        horizontal_line(54, 70),
        horizontal_line(54, 74),
        horizontal_line(55, 78),
        horizontal_line(56, 81),
        horizontal_line(56, 85),
        horizontal_line(57, 89),
        horizontal_line(57, 92),
        horizontal_line(58, 96),
        horizontal_line(58, 100),
        horizontal_line(59, 103),
        horizontal_line(60, 107),
        horizontal_line(60, 111),
        horizontal_line(61, 114),
        horizontal_line(61, 118),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(47, 68),
        horizontal_line(48, 68),
        horizontal_line(49, 69),
        horizontal_line(50, 69),
        horizontal_line(51, 69),
        horizontal_line(52, 70),
        horizontal_line(53, 70),
        horizontal_line(54, 70),
        horizontal_line(54, 71),
        horizontal_line(55, 71),
        horizontal_line(56, 71),
        horizontal_line(57, 72),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
        horizontal_line(60, 73),
        horizontal_line(74, 76),
        horizontal_line(74, 81),
        horizontal_line(75, 86),
        horizontal_line(75, 91),
        horizontal_line(75, 95),
        horizontal_line(76, 100),
        horizontal_line(76, 105),
        horizontal_line(76, 110),
        horizontal_line(77, 115),
        horizontal_line(68, 76),
        horizontal_line(68, 76),
        horizontal_line(68, 76),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(70, 76),
        horizontal_line(70, 77),
        horizontal_line(78, 80),
        horizontal_line(78, 85),
        horizontal_line(78, 90),
        horizontal_line(78, 95),
        horizontal_line(79, 100),
        horizontal_line(73, 78),
        horizontal_line(74, 78),
        horizontal_line(74, 79),
        horizontal_line(80, 85),
        horizontal_line(80, 93),
        horizontal_line(83, 93),
        horizontal_line(87, 92),
        horizontal_line(92, 92),
    };

    constexpr const horizontal_line frame_1246_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(5, 36),
        horizontal_line(1, 43),
        horizontal_line(0, 49),
        horizontal_line(0, 56),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1246_shape_group_0_shapes[] = {
        shape(frame_1246_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1246_shape_group_0_shape_1_horizontal_lines, 111, 9),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(21, 55),
        horizontal_line(22, 55),
        horizontal_line(23, 56),
        horizontal_line(24, 56),
        horizontal_line(25, 57),
        horizontal_line(26, 57),
        horizontal_line(28, 58),
        horizontal_line(29, 59),
        horizontal_line(30, 59),
        horizontal_line(31, 60),
        horizontal_line(32, 60),
        horizontal_line(33, 61),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(125, 129),
        horizontal_line(125, 133),
        horizontal_line(126, 136),
        horizontal_line(127, 140),
        horizontal_line(127, 144),
        horizontal_line(128, 147),
        horizontal_line(128, 151),
        horizontal_line(129, 155),
        horizontal_line(129, 158),
        horizontal_line(130, 162),
        horizontal_line(131, 166),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(93, 153),
        horizontal_line(97, 150),
        horizontal_line(102, 148),
        horizontal_line(106, 146),
        horizontal_line(110, 143),
        horizontal_line(114, 141),
        horizontal_line(119, 139),
        horizontal_line(123, 136),
        horizontal_line(127, 134),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(42, 73),
        horizontal_line(44, 59),
        horizontal_line(45, 59),
        horizontal_line(47, 58),
        horizontal_line(49, 58),
        horizontal_line(50, 57),
        horizontal_line(52, 57),
        horizontal_line(54, 56),
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(80, 114),
        horizontal_line(85, 113),
        horizontal_line(89, 112),
        horizontal_line(94, 111),
        horizontal_line(98, 110),
        horizontal_line(103, 109),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(65, 77),
        horizontal_line(66, 69),
        horizontal_line(67, 69),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(144, 182),
        horizontal_line(139, 179),
        horizontal_line(84, 99),
        horizontal_line(90, 98),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(59, 63),
        horizontal_line(66, 70),
        horizontal_line(73, 76),
        horizontal_line(13, 22),
        horizontal_line(9, 29),
        horizontal_line(93, 94),
        horizontal_line(100, 100),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(57, 112),
    };

    constexpr const horizontal_line frame_1246_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 70),
        horizontal_line(62, 76),
        horizontal_line(62, 83),
        horizontal_line(62, 90),
        horizontal_line(62, 97),
        horizontal_line(62, 103),
        horizontal_line(62, 110),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1246_shape_group_1_shapes[] = {
        shape(frame_1246_shape_group_1_shape_0_horizontal_lines, 27, 9),
        shape(frame_1246_shape_group_1_shape_1_horizontal_lines, 55, 4),
        shape(frame_1246_shape_group_1_shape_2_horizontal_lines, 82, 9),
        shape(frame_1246_shape_group_1_shape_3_horizontal_lines, 91, 4),
        shape(frame_1246_shape_group_1_shape_4_horizontal_lines, 98, 9),
        shape(frame_1246_shape_group_1_shape_5_horizontal_lines, 101, 4),
        shape(frame_1246_shape_group_1_shape_6_horizontal_lines, 106, 9),
        shape(frame_1246_shape_group_1_shape_7_horizontal_lines, 114, 8),
        shape(frame_1246_shape_group_1_shape_8_horizontal_lines, 115, 9),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(9, 20),
        horizontal_line(10, 34),
        horizontal_line(11, 49),
        horizontal_line(12, 50),
        horizontal_line(13, 51),
        horizontal_line(14, 51),
        horizontal_line(15, 52),
        horizontal_line(16, 52),
        horizontal_line(18, 53),
        horizontal_line(19, 53),
        horizontal_line(20, 54),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(34, 61),
        horizontal_line(35, 62),
        horizontal_line(36, 62),
        horizontal_line(38, 63),
        horizontal_line(39, 64),
        horizontal_line(40, 64),
        horizontal_line(41, 65),
        horizontal_line(42, 65),
        horizontal_line(43, 66),
        horizontal_line(44, 66),
        horizontal_line(45, 67),
        horizontal_line(47, 68),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(134, 164),
        horizontal_line(138, 162),
        horizontal_line(142, 160),
        horizontal_line(147, 157),
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(44, 51),
        horizontal_line(43, 52),
        horizontal_line(43, 53),
        horizontal_line(42, 53),
        horizontal_line(42, 54),
        horizontal_line(41, 55),
        horizontal_line(41, 56),
        horizontal_line(40, 57),
        horizontal_line(40, 58),
        horizontal_line(41, 59),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(61, 73),
        horizontal_line(62, 74),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 75),
        horizontal_line(65, 75),
        horizontal_line(66, 75),
        horizontal_line(67, 76),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(55, 67),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(66, 68),
        horizontal_line(66, 68),
        horizontal_line(65, 69),
        horizontal_line(65, 69),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(71, 77),
        horizontal_line(72, 77),
        horizontal_line(72, 77),
        horizontal_line(73, 78),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(135, 176),
        horizontal_line(153, 173),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(72, 73),
        horizontal_line(72, 79),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(17, 72),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(79, 82),
        horizontal_line(86, 88),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(37, 92),
        horizontal_line(44, 99),
        horizontal_line(50, 105),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(113, 126),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_17_horizontal_lines[] = {
        horizontal_line(64, 119),
        horizontal_line(71, 126),
        horizontal_line(77, 128),
        horizontal_line(84, 130),
        horizontal_line(91, 133),
        horizontal_line(98, 135),
        horizontal_line(104, 138),
        horizontal_line(111, 140),
        horizontal_line(118, 143),
    };

    constexpr const horizontal_line frame_1246_shape_group_2_shape_18_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 130),
        horizontal_line(124, 137),
        horizontal_line(124, 144),
        horizontal_line(124, 151),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1246_shape_group_2_shapes[] = {
        shape(frame_1246_shape_group_2_shape_0_horizontal_lines, 32, 9),
        shape(frame_1246_shape_group_2_shape_1_horizontal_lines, 43, 8),
        shape(frame_1246_shape_group_2_shape_2_horizontal_lines, 55, 9),
        shape(frame_1246_shape_group_2_shape_3_horizontal_lines, 67, 4),
        shape(frame_1246_shape_group_2_shape_4_horizontal_lines, 72, 9),
        shape(frame_1246_shape_group_2_shape_5_horizontal_lines, 82, 1),
        shape(frame_1246_shape_group_2_shape_6_horizontal_lines, 83, 9),
        shape(frame_1246_shape_group_2_shape_7_horizontal_lines, 91, 8),
        shape(frame_1246_shape_group_2_shape_8_horizontal_lines, 92, 9),
        shape(frame_1246_shape_group_2_shape_9_horizontal_lines, 98, 1),
        shape(frame_1246_shape_group_2_shape_10_horizontal_lines, 99, 9),
        shape(frame_1246_shape_group_2_shape_11_horizontal_lines, 103, 4),
        shape(frame_1246_shape_group_2_shape_12_horizontal_lines, 105, 9),
        shape(frame_1246_shape_group_2_shape_13_horizontal_lines, 108, 8),
        shape(frame_1246_shape_group_2_shape_14_horizontal_lines, 109, 9),
        shape(frame_1246_shape_group_2_shape_15_horizontal_lines, 111, 8),
        shape(frame_1246_shape_group_2_shape_16_horizontal_lines, 114, 1),
        shape(frame_1246_shape_group_2_shape_17_horizontal_lines, 115, 8),
        shape(frame_1246_shape_group_2_shape_18_horizontal_lines, 124, 9),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(6, 8),
        horizontal_line(5, 9),
        horizontal_line(5, 10),
        horizontal_line(4, 11),
        horizontal_line(4, 12),
        horizontal_line(3, 13),
        horizontal_line(3, 14),
        horizontal_line(2, 15),
        horizontal_line(2, 17),
        horizontal_line(1, 18),
        horizontal_line(1, 19),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(234, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(2, 42),
        horizontal_line(4, 43),
        horizontal_line(6, 44),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(46, 47),
        horizontal_line(45, 48),
        horizontal_line(45, 49),
        horizontal_line(44, 50),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(4, 6),
        horizontal_line(8, 8),
        horizontal_line(26, 42),
        horizontal_line(28, 41),
        horizontal_line(30, 41),
        horizontal_line(32, 40),
        horizontal_line(34, 40),
        horizontal_line(36, 39),
        horizontal_line(39, 39),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(43, 43),
        horizontal_line(60, 61),
        horizontal_line(46, 46),
        horizontal_line(47, 48),
        horizontal_line(49, 49),
        horizontal_line(50, 51),
        horizontal_line(52, 53),
        horizontal_line(53, 55),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(57, 66),
        horizontal_line(58, 66),
        horizontal_line(60, 65),
        horizontal_line(62, 65),
        horizontal_line(63, 64),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(51, 61),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(70, 70),
        horizontal_line(70, 71),
        horizontal_line(69, 71),
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 73),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(41, 58),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(76, 79),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(23, 78),
        horizontal_line(30, 85),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(112, 126),
        horizontal_line(166, 222),
        horizontal_line(120, 125),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(125, 145),
        horizontal_line(131, 148),
        horizontal_line(138, 150),
        horizontal_line(145, 153),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
        horizontal_line(186, 203),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 211),
    };

    constexpr const shape frame_1246_shape_group_3_shapes[] = {
        shape(frame_1246_shape_group_3_shape_0_horizontal_lines, 32, 8),
        shape(frame_1246_shape_group_3_shape_1_horizontal_lines, 43, 1),
        shape(frame_1246_shape_group_3_shape_2_horizontal_lines, 55, 8),
        shape(frame_1246_shape_group_3_shape_3_horizontal_lines, 67, 9),
        shape(frame_1246_shape_group_3_shape_4_horizontal_lines, 72, 8),
        shape(frame_1246_shape_group_3_shape_5_horizontal_lines, 81, 1),
        shape(frame_1246_shape_group_3_shape_6_horizontal_lines, 83, 8),
        shape(frame_1246_shape_group_3_shape_7_horizontal_lines, 91, 1),
        shape(frame_1246_shape_group_3_shape_8_horizontal_lines, 92, 8),
        shape(frame_1246_shape_group_3_shape_9_horizontal_lines, 98, 1),
        shape(frame_1246_shape_group_3_shape_10_horizontal_lines, 99, 8),
        shape(frame_1246_shape_group_3_shape_11_horizontal_lines, 103, 9),
        shape(frame_1246_shape_group_3_shape_12_horizontal_lines, 105, 1),
        shape(frame_1246_shape_group_3_shape_13_horizontal_lines, 106, 8),
        shape(frame_1246_shape_group_3_shape_14_horizontal_lines, 107, 9),
        shape(frame_1246_shape_group_3_shape_15_horizontal_lines, 108, 1),
        shape(frame_1246_shape_group_3_shape_16_horizontal_lines, 109, 8),
        shape(frame_1246_shape_group_3_shape_17_horizontal_lines, 111, 1),
        shape(frame_1246_shape_group_3_shape_18_horizontal_lines, 124, 8),
        shape(frame_1246_shape_group_3_shape_19_horizontal_lines, 129, 1),
        shape(frame_1246_shape_group_3_shape_20_horizontal_lines, 145, 9),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(189, 239),
        horizontal_line(186, 239),
        horizontal_line(183, 239),
        horizontal_line(180, 239),
        horizontal_line(177, 239),
        horizontal_line(174, 236),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(8, 46),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(21, 43),
        horizontal_line(23, 42),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(31, 40),
        horizontal_line(34, 41),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(59, 62),
        horizontal_line(59, 63),
        horizontal_line(58, 63),
        horizontal_line(58, 64),
        horizontal_line(57, 65),
        horizontal_line(57, 66),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(49, 54),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(107, 109),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(70, 71),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(53, 63),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(29, 65),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(96, 99),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(100, 104),
        horizontal_line(101, 103),
        horizontal_line(166, 216),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(127, 165),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(165, 227),
        horizontal_line(227, 233),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_1246_shape_group_4_shapes[] = {
        shape(frame_1246_shape_group_4_shape_0_horizontal_lines, 55, 1),
        shape(frame_1246_shape_group_4_shape_1_horizontal_lines, 66, 8),
        shape(frame_1246_shape_group_4_shape_2_horizontal_lines, 74, 1),
        shape(frame_1246_shape_group_4_shape_3_horizontal_lines, 81, 3),
        shape(frame_1246_shape_group_4_shape_4_horizontal_lines, 83, 8),
        shape(frame_1246_shape_group_4_shape_5_horizontal_lines, 84, 1),
        shape(frame_1246_shape_group_4_shape_6_horizontal_lines, 85, 8),
        shape(frame_1246_shape_group_4_shape_7_horizontal_lines, 91, 1),
        shape(frame_1246_shape_group_4_shape_8_horizontal_lines, 103, 8),
        shape(frame_1246_shape_group_4_shape_9_horizontal_lines, 105, 1),
        shape(frame_1246_shape_group_4_shape_10_horizontal_lines, 107, 8),
        shape(frame_1246_shape_group_4_shape_11_horizontal_lines, 108, 1),
        shape(frame_1246_shape_group_4_shape_12_horizontal_lines, 114, 2),
        shape(frame_1246_shape_group_4_shape_13_horizontal_lines, 115, 1),
        shape(frame_1246_shape_group_4_shape_14_horizontal_lines, 145, 1),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(168, 230),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(10, 45),
        horizontal_line(13, 45),
        horizontal_line(15, 44),
        horizontal_line(17, 44),
        horizontal_line(19, 43),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(181, 228),
        horizontal_line(182, 218),
        horizontal_line(184, 208),
        horizontal_line(186, 198),
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(26, 35),
        horizontal_line(29, 38),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(10, 30),
        horizontal_line(11, 33),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(127, 137),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(118, 136),
        horizontal_line(50, 56),
        horizontal_line(50, 57),
        horizontal_line(50, 59),
        horizontal_line(50, 61),
        horizontal_line(51, 61),
        horizontal_line(51, 61),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(14, 50),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(51, 62),
        horizontal_line(51, 62),
        horizontal_line(52, 62),
        horizontal_line(52, 62),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(69, 71),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(74, 75),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(116, 129),
        horizontal_line(98, 98),
        horizontal_line(101, 105),
        horizontal_line(114, 128),
        horizontal_line(113, 127),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(107, 111),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(227, 227),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(127, 164),
        horizontal_line(129, 163),
        horizontal_line(131, 162),
        horizontal_line(134, 162),
        horizontal_line(136, 161),
        horizontal_line(139, 161),
        horizontal_line(141, 160),
        horizontal_line(144, 160),
    };

    constexpr const horizontal_line frame_1246_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_1246_shape_group_5_shapes[] = {
        shape(frame_1246_shape_group_5_shape_0_horizontal_lines, 63, 1),
        shape(frame_1246_shape_group_5_shape_1_horizontal_lines, 67, 8),
        shape(frame_1246_shape_group_5_shape_2_horizontal_lines, 72, 1),
        shape(frame_1246_shape_group_5_shape_3_horizontal_lines, 79, 3),
        shape(frame_1246_shape_group_5_shape_4_horizontal_lines, 81, 2),
        shape(frame_1246_shape_group_5_shape_5_horizontal_lines, 83, 1),
        shape(frame_1246_shape_group_5_shape_6_horizontal_lines, 98, 2),
        shape(frame_1246_shape_group_5_shape_7_horizontal_lines, 99, 1),
        shape(frame_1246_shape_group_5_shape_8_horizontal_lines, 107, 8),
        shape(frame_1246_shape_group_5_shape_9_horizontal_lines, 108, 1),
        shape(frame_1246_shape_group_5_shape_10_horizontal_lines, 113, 2),
        shape(frame_1246_shape_group_5_shape_11_horizontal_lines, 115, 1),
        shape(frame_1246_shape_group_5_shape_12_horizontal_lines, 116, 2),
        shape(frame_1246_shape_group_5_shape_13_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(11, 25),
        horizontal_line(14, 27),
        horizontal_line(17, 29),
        horizontal_line(20, 31),
        horizontal_line(23, 33),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(10, 25),
        horizontal_line(10, 28),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(129, 135),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(40, 44),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(125, 139),
        horizontal_line(124, 141),
        horizontal_line(122, 143),
        horizontal_line(49, 49),
        horizontal_line(49, 51),
        horizontal_line(49, 52),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(13, 48),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(121, 132),
        horizontal_line(123, 129),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(14, 49),
        horizontal_line(14, 50),
        horizontal_line(14, 50),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(106, 111),
        horizontal_line(104, 113),
        horizontal_line(103, 112),
        horizontal_line(102, 110),
        horizontal_line(52, 63),
        horizontal_line(52, 63),
        horizontal_line(118, 131),
        horizontal_line(69, 71),
        horizontal_line(0, 15),
        horizontal_line(169, 188),
        horizontal_line(104, 106),
        horizontal_line(114, 128),
        horizontal_line(167, 205),
        horizontal_line(167, 210),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(127, 165),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(126, 164),
    };

    constexpr const horizontal_line frame_1246_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(146, 159),
        horizontal_line(149, 159),
        horizontal_line(151, 158),
        horizontal_line(154, 158),
        horizontal_line(156, 157),
    };

    constexpr const shape frame_1246_shape_group_6_shapes[] = {
        shape(frame_1246_shape_group_6_shape_0_horizontal_lines, 63, 3),
        shape(frame_1246_shape_group_6_shape_1_horizontal_lines, 66, 1),
        shape(frame_1246_shape_group_6_shape_2_horizontal_lines, 74, 3),
        shape(frame_1246_shape_group_6_shape_3_horizontal_lines, 79, 2),
        shape(frame_1246_shape_group_6_shape_4_horizontal_lines, 81, 14),
        shape(frame_1246_shape_group_6_shape_5_horizontal_lines, 83, 1),
        shape(frame_1246_shape_group_6_shape_6_horizontal_lines, 84, 3),
        shape(frame_1246_shape_group_6_shape_7_horizontal_lines, 85, 1),
        shape(frame_1246_shape_group_6_shape_8_horizontal_lines, 91, 2),
        shape(frame_1246_shape_group_6_shape_9_horizontal_lines, 92, 1),
        shape(frame_1246_shape_group_6_shape_10_horizontal_lines, 95, 2),
        shape(frame_1246_shape_group_6_shape_11_horizontal_lines, 99, 1),
        shape(frame_1246_shape_group_6_shape_12_horizontal_lines, 113, 2),
        shape(frame_1246_shape_group_6_shape_13_horizontal_lines, 115, 2),
        shape(frame_1246_shape_group_6_shape_14_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(1, 7),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(9, 22),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(9, 10),
        horizontal_line(9, 13),
        horizontal_line(9, 16),
        horizontal_line(9, 19),
        horizontal_line(10, 22),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(37, 42),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(11, 39),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(43, 45),
        horizontal_line(46, 46),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(12, 48),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(120, 145),
        horizontal_line(118, 142),
        horizontal_line(117, 139),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(137, 144),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(13, 49),
        horizontal_line(13, 49),
        horizontal_line(13, 49),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(126, 143),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(126, 143),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(14, 50),
        horizontal_line(15, 50),
        horizontal_line(15, 51),
        horizontal_line(15, 51),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(69, 69),
        horizontal_line(69, 70),
        horizontal_line(171, 171),
        horizontal_line(96, 98),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(115, 129),
        horizontal_line(168, 199),
    };

    constexpr const horizontal_line frame_1246_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(104, 112),
    };

    constexpr const shape frame_1246_shape_group_7_shapes[] = {
        shape(frame_1246_shape_group_7_shape_0_horizontal_lines, 66, 3),
        shape(frame_1246_shape_group_7_shape_1_horizontal_lines, 67, 1),
        shape(frame_1246_shape_group_7_shape_2_horizontal_lines, 73, 3),
        shape(frame_1246_shape_group_7_shape_3_horizontal_lines, 74, 2),
        shape(frame_1246_shape_group_7_shape_4_horizontal_lines, 79, 14),
        shape(frame_1246_shape_group_7_shape_5_horizontal_lines, 83, 3),
        shape(frame_1246_shape_group_7_shape_6_horizontal_lines, 84, 2),
        shape(frame_1246_shape_group_7_shape_7_horizontal_lines, 85, 3),
        shape(frame_1246_shape_group_7_shape_8_horizontal_lines, 87, 2),
        shape(frame_1246_shape_group_7_shape_9_horizontal_lines, 88, 1),
        shape(frame_1246_shape_group_7_shape_10_horizontal_lines, 91, 14),
        shape(frame_1246_shape_group_7_shape_11_horizontal_lines, 92, 2),
        shape(frame_1246_shape_group_7_shape_12_horizontal_lines, 95, 14),
        shape(frame_1246_shape_group_7_shape_13_horizontal_lines, 96, 2),
        shape(frame_1246_shape_group_7_shape_14_horizontal_lines, 98, 14),
        shape(frame_1246_shape_group_7_shape_15_horizontal_lines, 99, 2),
        shape(frame_1246_shape_group_7_shape_16_horizontal_lines, 103, 1),
        shape(frame_1246_shape_group_7_shape_17_horizontal_lines, 108, 2),
        shape(frame_1246_shape_group_7_shape_18_horizontal_lines, 109, 1),
        shape(frame_1246_shape_group_7_shape_19_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(2, 9),
        horizontal_line(3, 12),
        horizontal_line(4, 14),
        horizontal_line(5, 16),
        horizontal_line(6, 18),
        horizontal_line(7, 20),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(219, 239),
        horizontal_line(209, 239),
        horizontal_line(199, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(11, 36),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(11, 42),
        horizontal_line(11, 45),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(12, 48),
        horizontal_line(12, 48),
        horizontal_line(12, 48),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(133, 144),
        horizontal_line(130, 144),
        horizontal_line(127, 144),
        horizontal_line(188, 239),
        horizontal_line(126, 143),
        horizontal_line(126, 143),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(63, 66),
        horizontal_line(63, 68),
        horizontal_line(63, 68),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(104, 108),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(16, 52),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(117, 131),
        horizontal_line(95, 100),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(130, 168),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(168, 193),
    };

    constexpr const horizontal_line frame_1246_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(106, 113),
        horizontal_line(105, 113),
        horizontal_line(128, 166),
    };

    constexpr const shape frame_1246_shape_group_8_shapes[] = {
        shape(frame_1246_shape_group_8_shape_0_horizontal_lines, 67, 3),
        shape(frame_1246_shape_group_8_shape_1_horizontal_lines, 74, 14),
        shape(frame_1246_shape_group_8_shape_2_horizontal_lines, 83, 2),
        shape(frame_1246_shape_group_8_shape_3_horizontal_lines, 84, 14),
        shape(frame_1246_shape_group_8_shape_4_horizontal_lines, 85, 2),
        shape(frame_1246_shape_group_8_shape_5_horizontal_lines, 87, 14),
        shape(frame_1246_shape_group_8_shape_6_horizontal_lines, 88, 2),
        shape(frame_1246_shape_group_8_shape_7_horizontal_lines, 91, 14),
        shape(frame_1246_shape_group_8_shape_8_horizontal_lines, 99, 2),
        shape(frame_1246_shape_group_8_shape_9_horizontal_lines, 103, 1),
        shape(frame_1246_shape_group_8_shape_10_horizontal_lines, 105, 2),
        shape(frame_1246_shape_group_8_shape_11_horizontal_lines, 106, 1),
        shape(frame_1246_shape_group_8_shape_12_horizontal_lines, 108, 2),
        shape(frame_1246_shape_group_8_shape_13_horizontal_lines, 109, 1),
        shape(frame_1246_shape_group_8_shape_14_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(143, 144),
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(126, 143),
        horizontal_line(126, 143),
        horizontal_line(126, 143),
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(15, 51),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(64, 68),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(170, 176),
        horizontal_line(116, 130),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1246_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(107, 114),
        horizontal_line(129, 167),
        horizontal_line(129, 166),
    };

    constexpr const shape frame_1246_shape_group_9_shapes[] = {
        shape(frame_1246_shape_group_9_shape_0_horizontal_lines, 83, 14),
        shape(frame_1246_shape_group_9_shape_1_horizontal_lines, 85, 14),
        shape(frame_1246_shape_group_9_shape_2_horizontal_lines, 88, 14),
        shape(frame_1246_shape_group_9_shape_3_horizontal_lines, 92, 14),
        shape(frame_1246_shape_group_9_shape_4_horizontal_lines, 96, 14),
        shape(frame_1246_shape_group_9_shape_5_horizontal_lines, 99, 14),
        shape(frame_1246_shape_group_9_shape_6_horizontal_lines, 103, 2),
        shape(frame_1246_shape_group_9_shape_7_horizontal_lines, 104, 1),
        shape(frame_1246_shape_group_9_shape_8_horizontal_lines, 105, 2),
        shape(frame_1246_shape_group_9_shape_9_horizontal_lines, 106, 1),
        shape(frame_1246_shape_group_9_shape_10_horizontal_lines, 108, 14),
        shape(frame_1246_shape_group_9_shape_11_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1246_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(196, 239),
        horizontal_line(126, 133),
    };

    constexpr const horizontal_line frame_1246_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(64, 68),
        horizontal_line(16, 51),
        horizontal_line(132, 170),
        horizontal_line(16, 40),
    };

    constexpr const horizontal_line frame_1246_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(169, 182),
    };

    constexpr const horizontal_line frame_1246_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(77, 82),
    };

    constexpr const horizontal_line frame_1246_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(130, 167),
    };

    constexpr const horizontal_line frame_1246_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(98, 98),
    };

    constexpr const shape frame_1246_shape_group_10_shapes[] = {
        shape(frame_1246_shape_group_10_shape_0_horizontal_lines, 89, 14),
        shape(frame_1246_shape_group_10_shape_1_horizontal_lines, 99, 14),
        shape(frame_1246_shape_group_10_shape_2_horizontal_lines, 103, 2),
        shape(frame_1246_shape_group_10_shape_3_horizontal_lines, 107, 1),
        shape(frame_1246_shape_group_10_shape_4_horizontal_lines, 108, 5),
        shape(frame_1246_shape_group_10_shape_5_horizontal_lines, 109, 2),
        shape(frame_1246_shape_group_10_shape_6_horizontal_lines, 110, 14),
    };

    constexpr const horizontal_line frame_1246_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(64, 68),
    };

    constexpr const horizontal_line frame_1246_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(107, 112),
    };

    constexpr const horizontal_line frame_1246_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(65, 68),
        horizontal_line(16, 28),
    };

    constexpr const horizontal_line frame_1246_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1246_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const shape frame_1246_shape_group_11_shapes[] = {
        shape(frame_1246_shape_group_11_shape_0_horizontal_lines, 102, 14),
        shape(frame_1246_shape_group_11_shape_1_horizontal_lines, 103, 2),
        shape(frame_1246_shape_group_11_shape_2_horizontal_lines, 105, 14),
        shape(frame_1246_shape_group_11_shape_3_horizontal_lines, 106, 2),
        shape(frame_1246_shape_group_11_shape_4_horizontal_lines, 109, 14),
        shape(frame_1246_shape_group_11_shape_5_horizontal_lines, 110, 5),
    };

    constexpr const horizontal_line frame_1246_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(109, 112),
    };

    constexpr const horizontal_line frame_1246_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(133, 152),
    };

    constexpr const horizontal_line frame_1246_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_1246_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(83, 86),
    };

    constexpr const horizontal_line frame_1246_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(91, 91),
    };

    constexpr const shape frame_1246_shape_group_12_shapes[] = {
        shape(frame_1246_shape_group_12_shape_0_horizontal_lines, 103, 14),
        shape(frame_1246_shape_group_12_shape_1_horizontal_lines, 104, 2),
        shape(frame_1246_shape_group_12_shape_2_horizontal_lines, 105, 14),
        shape(frame_1246_shape_group_12_shape_3_horizontal_lines, 106, 2),
        shape(frame_1246_shape_group_12_shape_4_horizontal_lines, 109, 5),
        shape(frame_1246_shape_group_12_shape_5_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_1246_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(108, 112),
    };

    constexpr const horizontal_line frame_1246_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(132, 169),
        horizontal_line(111, 115),
    };

    constexpr const shape frame_1246_shape_group_13_shapes[] = {
        shape(frame_1246_shape_group_13_shape_0_horizontal_lines, 103, 14),
        shape(frame_1246_shape_group_13_shape_1_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1246_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1246_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(107, 112),
    };

    constexpr const horizontal_line frame_1246_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(131, 168),
    };

    constexpr const shape frame_1246_shape_group_14_shapes[] = {
        shape(frame_1246_shape_group_14_shape_0_horizontal_lines, 104, 14),
        shape(frame_1246_shape_group_14_shape_1_horizontal_lines, 106, 14),
        shape(frame_1246_shape_group_14_shape_2_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1246_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(107, 110),
    };

    constexpr const shape frame_1246_shape_group_15_shapes[] = {
        shape(frame_1246_shape_group_15_shape_0_horizontal_lines, 107, 14),
    };

    constexpr const shape_group frame_1246_shape_groups[] = {
        shape_group(frame_1246_shape_group_0_shapes),
        shape_group(frame_1246_shape_group_1_shapes),
        shape_group(frame_1246_shape_group_2_shapes),
        shape_group(frame_1246_shape_group_3_shapes),
        shape_group(frame_1246_shape_group_4_shapes),
        shape_group(frame_1246_shape_group_5_shapes),
        shape_group(frame_1246_shape_group_6_shapes),
        shape_group(frame_1246_shape_group_7_shapes),
        shape_group(frame_1246_shape_group_8_shapes),
        shape_group(frame_1246_shape_group_9_shapes),
        shape_group(frame_1246_shape_group_10_shapes),
        shape_group(frame_1246_shape_group_11_shapes),
        shape_group(frame_1246_shape_group_12_shapes),
        shape_group(frame_1246_shape_group_13_shapes),
        shape_group(frame_1246_shape_group_14_shapes),
        shape_group(frame_1246_shape_group_15_shapes),
    };

    constexpr const frame frame_1246_impl(frame_1246_colors, frame_1246_shape_groups);
} 

const frame& frame_1246()
{
    return frame_1246_impl;
}

namespace
{
    constexpr const bn::color frame_1247_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 16, 12),
        bn::color(12, 20, 16),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1247_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(1, 39),
        horizontal_line(12, 40),
        horizontal_line(23, 41),
        horizontal_line(34, 42),
    };

    constexpr const horizontal_line frame_1247_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1247_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(45, 46),
        horizontal_line(46, 50),
        horizontal_line(46, 53),
        horizontal_line(47, 57),
        horizontal_line(47, 60),
        horizontal_line(48, 64),
        horizontal_line(49, 67),
        horizontal_line(49, 71),
        horizontal_line(50, 74),
        horizontal_line(50, 78),
        horizontal_line(51, 81),
        horizontal_line(52, 85),
        horizontal_line(52, 89),
        horizontal_line(53, 92),
        horizontal_line(53, 96),
        horizontal_line(54, 99),
        horizontal_line(55, 103),
        horizontal_line(55, 106),
        horizontal_line(56, 110),
        horizontal_line(56, 113),
        horizontal_line(57, 117),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(46, 67),
        horizontal_line(47, 67),
        horizontal_line(48, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 70),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
        horizontal_line(60, 73),
        horizontal_line(74, 77),
        horizontal_line(74, 82),
        horizontal_line(74, 87),
        horizontal_line(75, 92),
        horizontal_line(75, 97),
        horizontal_line(75, 102),
        horizontal_line(76, 107),
        horizontal_line(76, 112),
        horizontal_line(76, 117),
        horizontal_line(77, 116),
        horizontal_line(67, 76),
        horizontal_line(68, 76),
        horizontal_line(68, 76),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(70, 77),
        horizontal_line(78, 81),
        horizontal_line(78, 86),
        horizontal_line(79, 91),
        horizontal_line(79, 96),
        horizontal_line(80, 101),
        horizontal_line(74, 79),
        horizontal_line(75, 79),
        horizontal_line(76, 79),
        horizontal_line(80, 86),
        horizontal_line(81, 94),
        horizontal_line(86, 93),
        horizontal_line(92, 92),
    };

    constexpr const horizontal_line frame_1247_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(75, 81),
        horizontal_line(81, 87),
        horizontal_line(87, 93),
        horizontal_line(3, 11),
        horizontal_line(1, 18),
        horizontal_line(0, 25),
        horizontal_line(0, 32),
        horizontal_line(0, 39),
        horizontal_line(0, 46),
        horizontal_line(0, 53),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1247_shape_group_0_shapes[] = {
        shape(frame_1247_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1247_shape_group_0_shape_1_horizontal_lines, 26, 9),
        shape(frame_1247_shape_group_0_shape_2_horizontal_lines, 27, 4),
        shape(frame_1247_shape_group_0_shape_3_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 11),
        horizontal_line(0, 22),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(1, 44),
        horizontal_line(2, 45),
        horizontal_line(3, 45),
        horizontal_line(4, 46),
        horizontal_line(5, 46),
        horizontal_line(6, 47),
        horizontal_line(8, 48),
        horizontal_line(9, 48),
        horizontal_line(10, 49),
        horizontal_line(11, 49),
        horizontal_line(12, 50),
        horizontal_line(14, 51),
        horizontal_line(15, 51),
        horizontal_line(16, 52),
        horizontal_line(17, 52),
        horizontal_line(18, 53),
        horizontal_line(20, 54),
        horizontal_line(21, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 55),
        horizontal_line(24, 56),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 124),
        horizontal_line(121, 127),
        horizontal_line(121, 131),
        horizontal_line(122, 135),
        horizontal_line(123, 138),
        horizontal_line(123, 142),
        horizontal_line(124, 145),
        horizontal_line(124, 149),
        horizontal_line(125, 152),
        horizontal_line(126, 156),
        horizontal_line(126, 159),
        horizontal_line(127, 163),
        horizontal_line(127, 166),
        horizontal_line(128, 170),
        horizontal_line(129, 174),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(83, 145),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(96, 157),
        horizontal_line(100, 155),
        horizontal_line(104, 152),
        horizontal_line(109, 150),
        horizontal_line(113, 147),
        horizontal_line(117, 145),
        horizontal_line(122, 142),
        horizontal_line(126, 140),
        horizontal_line(130, 137),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(40, 59),
        horizontal_line(41, 58),
        horizontal_line(42, 58),
        horizontal_line(44, 57),
        horizontal_line(45, 57),
        horizontal_line(46, 56),
        horizontal_line(48, 56),
        horizontal_line(49, 55),
        horizontal_line(51, 55),
        horizontal_line(52, 54),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(81, 115),
        horizontal_line(87, 114),
        horizontal_line(92, 112),
        horizontal_line(98, 111),
        horizontal_line(103, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(64, 77),
        horizontal_line(65, 69),
        horizontal_line(66, 69),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(85, 100),
        horizontal_line(91, 99),
        horizontal_line(98, 98),
        horizontal_line(118, 118),
        horizontal_line(171, 183),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(63, 69),
        horizontal_line(69, 75),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(21, 74),
        horizontal_line(13, 75),
        horizontal_line(6, 68),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(93, 99),
        horizontal_line(99, 105),
        horizontal_line(105, 112),
        horizontal_line(111, 116),
        horizontal_line(117, 120),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(54, 116),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_1247_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 74),
        horizontal_line(62, 81),
        horizontal_line(62, 88),
        horizontal_line(62, 95),
        horizontal_line(62, 102),
        horizontal_line(62, 109),
        horizontal_line(62, 116),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1247_shape_group_1_shapes[] = {
        shape(frame_1247_shape_group_1_shape_0_horizontal_lines, 22, 9),
        shape(frame_1247_shape_group_1_shape_1_horizontal_lines, 27, 9),
        shape(frame_1247_shape_group_1_shape_2_horizontal_lines, 48, 4),
        shape(frame_1247_shape_group_1_shape_3_horizontal_lines, 80, 9),
        shape(frame_1247_shape_group_1_shape_4_horizontal_lines, 91, 4),
        shape(frame_1247_shape_group_1_shape_5_horizontal_lines, 97, 9),
        shape(frame_1247_shape_group_1_shape_6_horizontal_lines, 101, 4),
        shape(frame_1247_shape_group_1_shape_7_horizontal_lines, 107, 9),
        shape(frame_1247_shape_group_1_shape_8_horizontal_lines, 109, 8),
        shape(frame_1247_shape_group_1_shape_9_horizontal_lines, 112, 9),
        shape(frame_1247_shape_group_1_shape_10_horizontal_lines, 118, 8),
        shape(frame_1247_shape_group_1_shape_11_horizontal_lines, 120, 9),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(26, 57),
        horizontal_line(27, 57),
        horizontal_line(28, 58),
        horizontal_line(29, 58),
        horizontal_line(30, 59),
        horizontal_line(32, 60),
        horizontal_line(33, 60),
        horizontal_line(34, 61),
        horizontal_line(35, 61),
        horizontal_line(36, 62),
        horizontal_line(38, 63),
        horizontal_line(39, 63),
        horizontal_line(40, 64),
        horizontal_line(41, 64),
        horizontal_line(42, 65),
        horizontal_line(44, 66),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 172),
        horizontal_line(136, 170),
        horizontal_line(140, 167),
        horizontal_line(145, 165),
        horizontal_line(149, 162),
        horizontal_line(153, 160),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(41, 49),
        horizontal_line(40, 50),
        horizontal_line(40, 51),
        horizontal_line(40, 52),
        horizontal_line(39, 53),
        horizontal_line(39, 54),
        horizontal_line(38, 55),
        horizontal_line(38, 56),
        horizontal_line(38, 57),
        horizontal_line(39, 58),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(60, 73),
        horizontal_line(61, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 75),
        horizontal_line(65, 75),
        horizontal_line(66, 75),
        horizontal_line(67, 76),
        horizontal_line(66, 66),
        horizontal_line(66, 67),
        horizontal_line(65, 67),
        horizontal_line(65, 68),
        horizontal_line(64, 68),
        horizontal_line(64, 69),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(71, 77),
        horizontal_line(72, 78),
        horizontal_line(73, 78),
        horizontal_line(74, 79),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(142, 196),
        horizontal_line(139, 192),
        horizontal_line(122, 122),
        horizontal_line(160, 186),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(57, 62),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(36, 62),
        horizontal_line(28, 68),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(75, 80),
        horizontal_line(68, 86),
        horizontal_line(12, 74),
        horizontal_line(19, 81),
        horizontal_line(26, 88),
        horizontal_line(33, 95),
        horizontal_line(40, 102),
        horizontal_line(47, 109),
        horizontal_line(116, 128),
        horizontal_line(123, 130),
        horizontal_line(68, 130),
        horizontal_line(75, 134),
        horizontal_line(82, 137),
        horizontal_line(89, 139),
        horizontal_line(96, 141),
        horizontal_line(103, 144),
        horizontal_line(110, 146),
        horizontal_line(117, 148),
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_1247_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(124, 130),
        horizontal_line(124, 137),
        horizontal_line(124, 144),
        horizontal_line(124, 151),
        horizontal_line(124, 158),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1247_shape_group_2_shapes[] = {
        shape(frame_1247_shape_group_2_shape_0_horizontal_lines, 27, 8),
        shape(frame_1247_shape_group_2_shape_1_horizontal_lines, 48, 9),
        shape(frame_1247_shape_group_2_shape_2_horizontal_lines, 64, 4),
        shape(frame_1247_shape_group_2_shape_3_horizontal_lines, 70, 9),
        shape(frame_1247_shape_group_2_shape_4_horizontal_lines, 80, 1),
        shape(frame_1247_shape_group_2_shape_5_horizontal_lines, 81, 9),
        shape(frame_1247_shape_group_2_shape_6_horizontal_lines, 97, 1),
        shape(frame_1247_shape_group_2_shape_7_horizontal_lines, 98, 9),
        shape(frame_1247_shape_group_2_shape_8_horizontal_lines, 102, 4),
        shape(frame_1247_shape_group_2_shape_9_horizontal_lines, 106, 9),
        shape(frame_1247_shape_group_2_shape_10_horizontal_lines, 107, 8),
        shape(frame_1247_shape_group_2_shape_11_horizontal_lines, 109, 1),
        shape(frame_1247_shape_group_2_shape_12_horizontal_lines, 110, 8),
        shape(frame_1247_shape_group_2_shape_13_horizontal_lines, 129, 9),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(43, 43),
        horizontal_line(43, 44),
        horizontal_line(42, 45),
        horizontal_line(42, 46),
        horizontal_line(42, 47),
        horizontal_line(41, 48),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(15, 40),
        horizontal_line(18, 39),
        horizontal_line(21, 39),
        horizontal_line(23, 39),
        horizontal_line(26, 38),
        horizontal_line(29, 38),
        horizontal_line(31, 37),
        horizontal_line(34, 37),
        horizontal_line(37, 37),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(23, 38),
        horizontal_line(26, 39),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 60),
        horizontal_line(43, 43),
        horizontal_line(44, 44),
        horizontal_line(45, 45),
        horizontal_line(46, 47),
        horizontal_line(47, 48),
        horizontal_line(49, 50),
        horizontal_line(51, 51),
        horizontal_line(53, 53),
        horizontal_line(55, 65),
        horizontal_line(57, 65),
        horizontal_line(59, 64),
        horizontal_line(61, 64),
        horizontal_line(62, 63),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(48, 60),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(70, 70),
        horizontal_line(70, 71),
        horizontal_line(69, 72),
        horizontal_line(69, 73),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(73, 73),
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(149, 189),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(73, 74),
        horizontal_line(77, 80),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(74, 75),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(104, 106),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(74, 92),
        horizontal_line(81, 98),
        horizontal_line(88, 104),
        horizontal_line(95, 110),
        horizontal_line(102, 116),
        horizontal_line(109, 122),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(173, 235),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(131, 153),
        horizontal_line(138, 155),
        horizontal_line(145, 158),
        horizontal_line(152, 160),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 200),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
    };

    constexpr const shape frame_1247_shape_group_3_shapes[] = {
        shape(frame_1247_shape_group_3_shape_0_horizontal_lines, 45, 1),
        shape(frame_1247_shape_group_3_shape_1_horizontal_lines, 48, 8),
        shape(frame_1247_shape_group_3_shape_2_horizontal_lines, 64, 9),
        shape(frame_1247_shape_group_3_shape_3_horizontal_lines, 70, 8),
        shape(frame_1247_shape_group_3_shape_4_horizontal_lines, 79, 3),
        shape(frame_1247_shape_group_3_shape_5_horizontal_lines, 81, 8),
        shape(frame_1247_shape_group_3_shape_6_horizontal_lines, 97, 1),
        shape(frame_1247_shape_group_3_shape_7_horizontal_lines, 98, 8),
        shape(frame_1247_shape_group_3_shape_8_horizontal_lines, 102, 9),
        shape(frame_1247_shape_group_3_shape_9_horizontal_lines, 104, 4),
        shape(frame_1247_shape_group_3_shape_10_horizontal_lines, 105, 9),
        shape(frame_1247_shape_group_3_shape_11_horizontal_lines, 107, 8),
        shape(frame_1247_shape_group_3_shape_12_horizontal_lines, 108, 1),
        shape(frame_1247_shape_group_3_shape_13_horizontal_lines, 112, 8),
        shape(frame_1247_shape_group_3_shape_14_horizontal_lines, 118, 1),
        shape(frame_1247_shape_group_3_shape_15_horizontal_lines, 120, 8),
        shape(frame_1247_shape_group_3_shape_16_horizontal_lines, 121, 1),
        shape(frame_1247_shape_group_3_shape_17_horizontal_lines, 129, 8),
        shape(frame_1247_shape_group_3_shape_18_horizontal_lines, 134, 1),
        shape(frame_1247_shape_group_3_shape_19_horizontal_lines, 147, 9),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(196, 239),
        horizontal_line(192, 239),
        horizontal_line(189, 239),
        horizontal_line(186, 239),
        horizontal_line(182, 239),
        horizontal_line(179, 239),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(2, 42),
        horizontal_line(5, 41),
        horizontal_line(7, 41),
        horizontal_line(10, 41),
        horizontal_line(13, 40),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 229),
        horizontal_line(196, 219),
        horizontal_line(198, 209),
        horizontal_line(200, 200),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(132, 137),
        horizontal_line(130, 139),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(58, 61),
        horizontal_line(57, 62),
        horizontal_line(57, 63),
        horizontal_line(56, 63),
        horizontal_line(56, 64),
        horizontal_line(55, 65),
        horizontal_line(55, 66),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(108, 110),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(70, 72),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(72, 75),
        horizontal_line(76, 79),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(43, 56),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(98, 98),
        horizontal_line(115, 133),
        horizontal_line(102, 105),
        horizontal_line(101, 105),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(113, 129),
        horizontal_line(117, 129),
        horizontal_line(121, 128),
        horizontal_line(125, 127),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(173, 235),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_1247_shape_group_4_shapes[] = {
        shape(frame_1247_shape_group_4_shape_0_horizontal_lines, 48, 1),
        shape(frame_1247_shape_group_4_shape_1_horizontal_lines, 64, 8),
        shape(frame_1247_shape_group_4_shape_2_horizontal_lines, 70, 1),
        shape(frame_1247_shape_group_4_shape_3_horizontal_lines, 79, 2),
        shape(frame_1247_shape_group_4_shape_4_horizontal_lines, 81, 1),
        shape(frame_1247_shape_group_4_shape_5_horizontal_lines, 83, 8),
        shape(frame_1247_shape_group_4_shape_6_horizontal_lines, 91, 1),
        shape(frame_1247_shape_group_4_shape_7_horizontal_lines, 102, 8),
        shape(frame_1247_shape_group_4_shape_8_horizontal_lines, 104, 9),
        shape(frame_1247_shape_group_4_shape_9_horizontal_lines, 106, 8),
        shape(frame_1247_shape_group_4_shape_10_horizontal_lines, 107, 1),
        shape(frame_1247_shape_group_4_shape_11_horizontal_lines, 147, 1),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(1, 20),
        horizontal_line(4, 22),
        horizontal_line(7, 25),
        horizontal_line(10, 28),
        horizontal_line(13, 30),
        horizontal_line(17, 33),
        horizontal_line(20, 36),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(29, 40),
        horizontal_line(33, 41),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(129, 141),
        horizontal_line(127, 143),
        horizontal_line(125, 145),
        horizontal_line(124, 147),
        horizontal_line(46, 46),
        horizontal_line(46, 48),
        horizontal_line(46, 50),
        horizontal_line(0, 0),
        horizontal_line(47, 54),
        horizontal_line(47, 56),
        horizontal_line(47, 58),
        horizontal_line(48, 60),
        horizontal_line(48, 60),
        horizontal_line(48, 60),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(2, 47),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(49, 61),
        horizontal_line(49, 61),
        horizontal_line(49, 61),
        horizontal_line(49, 61),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(75, 75),
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(70, 71),
        horizontal_line(106, 107),
        horizontal_line(179, 191),
        horizontal_line(115, 132),
        horizontal_line(114, 131),
        horizontal_line(100, 104),
        horizontal_line(112, 130),
        horizontal_line(176, 217),
        horizontal_line(176, 223),
        horizontal_line(175, 228),
        horizontal_line(175, 233),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(129, 173),
        horizontal_line(131, 172),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(135, 171),
        horizontal_line(138, 171),
        horizontal_line(140, 170),
        horizontal_line(142, 169),
        horizontal_line(145, 169),
        horizontal_line(147, 168),
        horizontal_line(149, 168),
        horizontal_line(152, 167),
    };

    constexpr const horizontal_line frame_1247_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_1247_shape_group_5_shapes[] = {
        shape(frame_1247_shape_group_5_shape_0_horizontal_lines, 63, 1),
        shape(frame_1247_shape_group_5_shape_1_horizontal_lines, 70, 3),
        shape(frame_1247_shape_group_5_shape_2_horizontal_lines, 79, 14),
        shape(frame_1247_shape_group_5_shape_3_horizontal_lines, 81, 3),
        shape(frame_1247_shape_group_5_shape_4_horizontal_lines, 83, 1),
        shape(frame_1247_shape_group_5_shape_5_horizontal_lines, 97, 2),
        shape(frame_1247_shape_group_5_shape_6_horizontal_lines, 98, 1),
        shape(frame_1247_shape_group_5_shape_7_horizontal_lines, 105, 8),
        shape(frame_1247_shape_group_5_shape_8_horizontal_lines, 107, 1),
        shape(frame_1247_shape_group_5_shape_9_horizontal_lines, 118, 2),
        shape(frame_1247_shape_group_5_shape_10_horizontal_lines, 120, 1),
        shape(frame_1247_shape_group_5_shape_11_horizontal_lines, 121, 2),
        shape(frame_1247_shape_group_5_shape_12_horizontal_lines, 129, 1),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(36, 42),
        horizontal_line(39, 43),
        horizontal_line(42, 44),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(122, 149),
        horizontal_line(120, 146),
        horizontal_line(119, 143),
        horizontal_line(47, 52),
        horizontal_line(122, 137),
        horizontal_line(124, 134),
        horizontal_line(126, 131),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(2, 47),
        horizontal_line(2, 47),
        horizontal_line(61, 63),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(107, 112),
        horizontal_line(105, 114),
        horizontal_line(104, 113),
        horizontal_line(68, 68),
        horizontal_line(50, 62),
        horizontal_line(50, 62),
        horizontal_line(50, 62),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(96, 100),
        horizontal_line(116, 133),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(5, 20),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(179, 196),
        horizontal_line(178, 202),
        horizontal_line(113, 131),
        horizontal_line(177, 212),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(130, 175),
        horizontal_line(130, 175),
        horizontal_line(129, 174),
        horizontal_line(128, 174),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(133, 172),
    };

    constexpr const horizontal_line frame_1247_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(154, 166),
        horizontal_line(156, 166),
        horizontal_line(159, 165),
        horizontal_line(161, 165),
        horizontal_line(163, 164),
    };

    constexpr const shape frame_1247_shape_group_6_shapes[] = {
        shape(frame_1247_shape_group_6_shape_0_horizontal_lines, 64, 1),
        shape(frame_1247_shape_group_6_shape_1_horizontal_lines, 65, 3),
        shape(frame_1247_shape_group_6_shape_2_horizontal_lines, 72, 2),
        shape(frame_1247_shape_group_6_shape_3_horizontal_lines, 81, 2),
        shape(frame_1247_shape_group_6_shape_4_horizontal_lines, 83, 3),
        shape(frame_1247_shape_group_6_shape_5_horizontal_lines, 86, 2),
        shape(frame_1247_shape_group_6_shape_6_horizontal_lines, 87, 1),
        shape(frame_1247_shape_group_6_shape_7_horizontal_lines, 95, 2),
        shape(frame_1247_shape_group_6_shape_8_horizontal_lines, 98, 1),
        shape(frame_1247_shape_group_6_shape_9_horizontal_lines, 109, 2),
        shape(frame_1247_shape_group_6_shape_10_horizontal_lines, 110, 1),
        shape(frame_1247_shape_group_6_shape_11_horizontal_lines, 114, 2),
        shape(frame_1247_shape_group_6_shape_12_horizontal_lines, 120, 2),
        shape(frame_1247_shape_group_6_shape_13_horizontal_lines, 129, 2),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(210, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(120, 140),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(1, 46),
        horizontal_line(1, 46),
        horizontal_line(1, 46),
        horizontal_line(1, 47),
        horizontal_line(61, 61),
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(2, 48),
        horizontal_line(3, 48),
        horizontal_line(3, 48),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(103, 111),
        horizontal_line(68, 69),
        horizontal_line(68, 70),
        horizontal_line(68, 71),
        horizontal_line(51, 62),
        horizontal_line(63, 63),
        horizontal_line(117, 134),
        horizontal_line(180, 186),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(107, 114),
        horizontal_line(5, 12),
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(178, 207),
    };

    constexpr const horizontal_line frame_1247_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(106, 111),
    };

    constexpr const shape frame_1247_shape_group_7_shapes[] = {
        shape(frame_1247_shape_group_7_shape_0_horizontal_lines, 75, 14),
        shape(frame_1247_shape_group_7_shape_1_horizontal_lines, 81, 14),
        shape(frame_1247_shape_group_7_shape_2_horizontal_lines, 83, 2),
        shape(frame_1247_shape_group_7_shape_3_horizontal_lines, 86, 14),
        shape(frame_1247_shape_group_7_shape_4_horizontal_lines, 87, 2),
        shape(frame_1247_shape_group_7_shape_5_horizontal_lines, 90, 1),
        shape(frame_1247_shape_group_7_shape_6_horizontal_lines, 91, 2),
        shape(frame_1247_shape_group_7_shape_7_horizontal_lines, 97, 14),
        shape(frame_1247_shape_group_7_shape_8_horizontal_lines, 98, 2),
        shape(frame_1247_shape_group_7_shape_9_horizontal_lines, 101, 1),
        shape(frame_1247_shape_group_7_shape_10_horizontal_lines, 109, 2),
        shape(frame_1247_shape_group_7_shape_11_horizontal_lines, 112, 1),
        shape(frame_1247_shape_group_7_shape_12_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1247_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(147, 148),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_1247_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(1, 46),
    };

    constexpr const horizontal_line frame_1247_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(138, 148),
        horizontal_line(135, 147),
        horizontal_line(132, 147),
        horizontal_line(129, 147),
        horizontal_line(128, 147),
        horizontal_line(128, 147),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(3, 48),
    };

    constexpr const horizontal_line frame_1247_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(105, 109),
        horizontal_line(108, 108),
        horizontal_line(128, 136),
        horizontal_line(68, 71),
        horizontal_line(68, 71),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_1247_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(5, 27),
        horizontal_line(134, 178),
        horizontal_line(98, 101),
        horizontal_line(106, 113),
        horizontal_line(105, 112),
        horizontal_line(131, 176),
    };

    constexpr const shape frame_1247_shape_group_8_shapes[] = {
        shape(frame_1247_shape_group_8_shape_0_horizontal_lines, 83, 14),
        shape(frame_1247_shape_group_8_shape_1_horizontal_lines, 87, 14),
        shape(frame_1247_shape_group_8_shape_2_horizontal_lines, 90, 2),
        shape(frame_1247_shape_group_8_shape_3_horizontal_lines, 91, 14),
        shape(frame_1247_shape_group_8_shape_4_horizontal_lines, 98, 2),
        shape(frame_1247_shape_group_8_shape_5_horizontal_lines, 102, 1),
        shape(frame_1247_shape_group_8_shape_6_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1247_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(141, 148),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_1247_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(3, 49),
        horizontal_line(4, 49),
        horizontal_line(4, 49),
    };

    constexpr const horizontal_line frame_1247_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(96, 101),
    };

    constexpr const horizontal_line frame_1247_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(5, 35),
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_1247_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(98, 100),
    };

    constexpr const horizontal_line frame_1247_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(106, 114),
        horizontal_line(132, 177),
        horizontal_line(132, 177),
    };

    constexpr const shape frame_1247_shape_group_9_shapes[] = {
        shape(frame_1247_shape_group_9_shape_0_horizontal_lines, 88, 14),
        shape(frame_1247_shape_group_9_shape_1_horizontal_lines, 98, 14),
        shape(frame_1247_shape_group_9_shape_2_horizontal_lines, 101, 2),
        shape(frame_1247_shape_group_9_shape_3_horizontal_lines, 105, 1),
        shape(frame_1247_shape_group_9_shape_4_horizontal_lines, 107, 2),
        shape(frame_1247_shape_group_9_shape_5_horizontal_lines, 109, 14),
        shape(frame_1247_shape_group_9_shape_6_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1247_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(112, 113),
    };

    constexpr const horizontal_line frame_1247_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(63, 67),
        horizontal_line(63, 67),
        horizontal_line(63, 67),
    };

    constexpr const horizontal_line frame_1247_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(119, 135),
        horizontal_line(118, 135),
    };

    constexpr const horizontal_line frame_1247_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(72, 73),
        horizontal_line(134, 179),
    };

    constexpr const horizontal_line frame_1247_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(82, 87),
    };

    constexpr const horizontal_line frame_1247_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(133, 178),
    };

    constexpr const shape frame_1247_shape_group_10_shapes[] = {
        shape(frame_1247_shape_group_10_shape_0_horizontal_lines, 90, 14),
        shape(frame_1247_shape_group_10_shape_1_horizontal_lines, 98, 14),
        shape(frame_1247_shape_group_10_shape_2_horizontal_lines, 102, 2),
        shape(frame_1247_shape_group_10_shape_3_horizontal_lines, 105, 1),
        shape(frame_1247_shape_group_10_shape_4_horizontal_lines, 107, 2),
        shape(frame_1247_shape_group_10_shape_5_horizontal_lines, 109, 10),
        shape(frame_1247_shape_group_10_shape_6_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1247_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_1247_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(137, 148),
        horizontal_line(4, 50),
        horizontal_line(4, 42),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_1247_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_1247_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(88, 92),
    };

    constexpr const horizontal_line frame_1247_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(88, 92),
    };

    constexpr const shape frame_1247_shape_group_11_shapes[] = {
        shape(frame_1247_shape_group_11_shape_0_horizontal_lines, 101, 14),
        shape(frame_1247_shape_group_11_shape_1_horizontal_lines, 103, 2),
        shape(frame_1247_shape_group_11_shape_2_horizontal_lines, 108, 14),
        shape(frame_1247_shape_group_11_shape_3_horizontal_lines, 109, 5),
        shape(frame_1247_shape_group_11_shape_4_horizontal_lines, 110, 10),
    };

    constexpr const horizontal_line frame_1247_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(128, 136),
        horizontal_line(109, 113),
        horizontal_line(108, 113),
    };

    constexpr const horizontal_line frame_1247_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(63, 67),
        horizontal_line(64, 67),
        horizontal_line(135, 180),
    };

    constexpr const horizontal_line frame_1247_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_1247_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(93, 93),
    };

    constexpr const shape frame_1247_shape_group_12_shapes[] = {
        shape(frame_1247_shape_group_12_shape_0_horizontal_lines, 101, 14),
        shape(frame_1247_shape_group_12_shape_1_horizontal_lines, 105, 2),
        shape(frame_1247_shape_group_12_shape_2_horizontal_lines, 108, 7),
        shape(frame_1247_shape_group_12_shape_3_horizontal_lines, 110, 5),
    };

    constexpr const horizontal_line frame_1247_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(208, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1247_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 73),
    };

    constexpr const horizontal_line frame_1247_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_1247_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(78, 83),
    };

    constexpr const horizontal_line frame_1247_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const shape frame_1247_shape_group_13_shapes[] = {
        shape(frame_1247_shape_group_13_shape_0_horizontal_lines, 102, 14),
        shape(frame_1247_shape_group_13_shape_1_horizontal_lines, 105, 2),
        shape(frame_1247_shape_group_13_shape_2_horizontal_lines, 107, 14),
        shape(frame_1247_shape_group_13_shape_3_horizontal_lines, 108, 10),
        shape(frame_1247_shape_group_13_shape_4_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_1247_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(136, 159),
        horizontal_line(114, 117),
    };

    constexpr const horizontal_line frame_1247_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_1247_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(84, 91),
    };

    constexpr const shape frame_1247_shape_group_14_shapes[] = {
        shape(frame_1247_shape_group_14_shape_0_horizontal_lines, 105, 2),
        shape(frame_1247_shape_group_14_shape_1_horizontal_lines, 107, 7),
        shape(frame_1247_shape_group_14_shape_2_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_1247_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(108, 113),
    };

    constexpr const horizontal_line frame_1247_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(136, 170),
    };

    constexpr const horizontal_line frame_1247_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const shape frame_1247_shape_group_15_shapes[] = {
        shape(frame_1247_shape_group_15_shape_0_horizontal_lines, 105, 14),
        shape(frame_1247_shape_group_15_shape_1_horizontal_lines, 106, 2),
        shape(frame_1247_shape_group_15_shape_2_horizontal_lines, 107, 10),
    };

    constexpr const horizontal_line frame_1247_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(107, 113),
    };

    constexpr const horizontal_line frame_1247_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(80, 85),
    };

    constexpr const shape frame_1247_shape_group_16_shapes[] = {
        shape(frame_1247_shape_group_16_shape_0_horizontal_lines, 105, 14),
        shape(frame_1247_shape_group_16_shape_1_horizontal_lines, 107, 5),
    };

    constexpr const shape_group frame_1247_shape_groups[] = {
        shape_group(frame_1247_shape_group_0_shapes),
        shape_group(frame_1247_shape_group_1_shapes),
        shape_group(frame_1247_shape_group_2_shapes),
        shape_group(frame_1247_shape_group_3_shapes),
        shape_group(frame_1247_shape_group_4_shapes),
        shape_group(frame_1247_shape_group_5_shapes),
        shape_group(frame_1247_shape_group_6_shapes),
        shape_group(frame_1247_shape_group_7_shapes),
        shape_group(frame_1247_shape_group_8_shapes),
        shape_group(frame_1247_shape_group_9_shapes),
        shape_group(frame_1247_shape_group_10_shapes),
        shape_group(frame_1247_shape_group_11_shapes),
        shape_group(frame_1247_shape_group_12_shapes),
        shape_group(frame_1247_shape_group_13_shapes),
        shape_group(frame_1247_shape_group_14_shapes),
        shape_group(frame_1247_shape_group_15_shapes),
        shape_group(frame_1247_shape_group_16_shapes),
    };

    constexpr const frame frame_1247_impl(frame_1247_colors, frame_1247_shape_groups);
} 

const frame& frame_1247()
{
    return frame_1247_impl;
}

namespace
{
    constexpr const bn::color frame_1248_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1248_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(1, 32),
        horizontal_line(13, 33),
        horizontal_line(25, 34),
    };

    constexpr const horizontal_line frame_1248_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1248_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(37, 38),
        horizontal_line(38, 41),
        horizontal_line(38, 45),
        horizontal_line(39, 48),
        horizontal_line(40, 51),
        horizontal_line(40, 55),
        horizontal_line(41, 58),
        horizontal_line(42, 61),
        horizontal_line(42, 65),
        horizontal_line(43, 68),
        horizontal_line(43, 71),
        horizontal_line(44, 75),
        horizontal_line(45, 78),
        horizontal_line(45, 81),
        horizontal_line(46, 85),
        horizontal_line(47, 88),
        horizontal_line(47, 92),
        horizontal_line(48, 95),
        horizontal_line(48, 98),
        horizontal_line(49, 102),
        horizontal_line(50, 105),
        horizontal_line(50, 108),
        horizontal_line(51, 112),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(42, 65),
        horizontal_line(43, 65),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(46, 67),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 69),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(59, 72),
        horizontal_line(73, 75),
        horizontal_line(73, 80),
        horizontal_line(74, 85),
        horizontal_line(74, 89),
        horizontal_line(75, 94),
        horizontal_line(75, 99),
        horizontal_line(75, 103),
        horizontal_line(76, 108),
        horizontal_line(76, 113),
        horizontal_line(77, 118),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(68, 76),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(70, 76),
        horizontal_line(71, 77),
        horizontal_line(78, 82),
        horizontal_line(79, 88),
        horizontal_line(79, 94),
        horizontal_line(80, 101),
        horizontal_line(74, 79),
        horizontal_line(74, 79),
        horizontal_line(75, 80),
        horizontal_line(81, 84),
        horizontal_line(81, 89),
        horizontal_line(81, 94),
        horizontal_line(86, 93),
        horizontal_line(92, 92),
        horizontal_line(104, 104),
        horizontal_line(101, 102),
    };

    constexpr const horizontal_line frame_1248_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(75, 87),
        horizontal_line(82, 93),
        horizontal_line(89, 100),
        horizontal_line(96, 106),
        horizontal_line(103, 113),
        horizontal_line(110, 117),
        horizontal_line(117, 121),
        horizontal_line(124, 125),
        horizontal_line(0, 0),
        horizontal_line(0, 7),
        horizontal_line(0, 15),
        horizontal_line(0, 22),
        horizontal_line(0, 30),
        horizontal_line(0, 38),
        horizontal_line(0, 45),
        horizontal_line(0, 53),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1248_shape_group_0_shapes[] = {
        shape(frame_1248_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1248_shape_group_0_shape_1_horizontal_lines, 15, 9),
        shape(frame_1248_shape_group_0_shape_2_horizontal_lines, 16, 4),
        shape(frame_1248_shape_group_0_shape_3_horizontal_lines, 110, 9),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 12),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(1, 45),
        horizontal_line(2, 46),
        horizontal_line(3, 46),
        horizontal_line(4, 47),
        horizontal_line(6, 47),
        horizontal_line(7, 48),
        horizontal_line(8, 49),
        horizontal_line(10, 49),
        horizontal_line(11, 50),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(114, 118),
        horizontal_line(115, 122),
        horizontal_line(116, 125),
        horizontal_line(116, 128),
        horizontal_line(117, 132),
        horizontal_line(117, 135),
        horizontal_line(118, 139),
        horizontal_line(119, 142),
        horizontal_line(119, 145),
        horizontal_line(120, 149),
        horizontal_line(121, 152),
        horizontal_line(121, 155),
        horizontal_line(122, 159),
        horizontal_line(122, 162),
        horizontal_line(123, 165),
        horizontal_line(124, 169),
        horizontal_line(124, 172),
        horizontal_line(125, 175),
        horizontal_line(126, 179),
        horizontal_line(126, 182),
        horizontal_line(127, 186),
        horizontal_line(128, 184),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(104, 160),
        horizontal_line(108, 157),
        horizontal_line(112, 155),
        horizontal_line(117, 152),
        horizontal_line(121, 149),
        horizontal_line(125, 147),
        horizontal_line(130, 144),
        horizontal_line(134, 141),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(35, 57),
        horizontal_line(36, 57),
        horizontal_line(38, 56),
        horizontal_line(40, 56),
        horizontal_line(42, 55),
        horizontal_line(43, 55),
        horizontal_line(45, 54),
        horizontal_line(47, 54),
        horizontal_line(49, 53),
        horizontal_line(51, 53),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(80, 117),
        horizontal_line(85, 116),
        horizontal_line(90, 114),
        horizontal_line(94, 113),
        horizontal_line(99, 111),
        horizontal_line(104, 110),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(64, 69),
        horizontal_line(65, 69),
        horizontal_line(66, 69),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(85, 100),
        horizontal_line(91, 99),
        horizontal_line(98, 98),
        horizontal_line(124, 124),
        horizontal_line(121, 122),
        horizontal_line(118, 120),
        horizontal_line(159, 203),
        horizontal_line(167, 200),
        horizontal_line(176, 197),
        horizontal_line(184, 194),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(24, 74),
        horizontal_line(18, 80),
        horizontal_line(12, 74),
        horizontal_line(6, 68),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(8, 70),
        horizontal_line(16, 78),
        horizontal_line(23, 85),
        horizontal_line(31, 93),
        horizontal_line(39, 101),
        horizontal_line(46, 108),
        horizontal_line(54, 116),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_1248_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 76),
        horizontal_line(62, 83),
        horizontal_line(62, 91),
        horizontal_line(62, 98),
        horizontal_line(62, 106),
        horizontal_line(62, 114),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1248_shape_group_1_shapes[] = {
        shape(frame_1248_shape_group_1_shape_0_horizontal_lines, 12, 9),
        shape(frame_1248_shape_group_1_shape_1_horizontal_lines, 16, 9),
        shape(frame_1248_shape_group_1_shape_2_horizontal_lines, 39, 4),
        shape(frame_1248_shape_group_1_shape_3_horizontal_lines, 79, 9),
        shape(frame_1248_shape_group_1_shape_4_horizontal_lines, 89, 4),
        shape(frame_1248_shape_group_1_shape_5_horizontal_lines, 96, 9),
        shape(frame_1248_shape_group_1_shape_6_horizontal_lines, 100, 4),
        shape(frame_1248_shape_group_1_shape_7_horizontal_lines, 110, 8),
        shape(frame_1248_shape_group_1_shape_8_horizontal_lines, 127, 9),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(12, 51),
        horizontal_line(13, 51),
        horizontal_line(15, 52),
        horizontal_line(16, 53),
        horizontal_line(17, 53),
        horizontal_line(19, 54),
        horizontal_line(20, 54),
        horizontal_line(21, 55),
        horizontal_line(22, 56),
        horizontal_line(24, 56),
        horizontal_line(25, 57),
        horizontal_line(26, 58),
        horizontal_line(28, 58),
        horizontal_line(29, 59),
        horizontal_line(30, 59),
        horizontal_line(31, 60),
        horizontal_line(33, 61),
        horizontal_line(34, 61),
        horizontal_line(35, 62),
        horizontal_line(37, 63),
        horizontal_line(38, 63),
        horizontal_line(39, 64),
        horizontal_line(41, 65),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(131, 181),
        horizontal_line(135, 179),
        horizontal_line(140, 176),
        horizontal_line(144, 173),
        horizontal_line(148, 171),
        horizontal_line(153, 168),
        horizontal_line(157, 165),
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(37, 49),
        horizontal_line(36, 50),
        horizontal_line(36, 51),
        horizontal_line(36, 52),
        horizontal_line(35, 53),
        horizontal_line(35, 54),
        horizontal_line(34, 55),
        horizontal_line(34, 56),
        horizontal_line(34, 58),
        horizontal_line(59, 72),
        horizontal_line(60, 72),
        horizontal_line(61, 73),
        horizontal_line(61, 73),
        horizontal_line(62, 74),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 75),
        horizontal_line(65, 75),
        horizontal_line(66, 76),
        horizontal_line(53, 53),
        horizontal_line(66, 66),
        horizontal_line(66, 67),
        horizontal_line(65, 68),
        horizontal_line(65, 68),
        horizontal_line(64, 69),
        horizontal_line(64, 70),
        horizontal_line(71, 77),
        horizontal_line(72, 78),
        horizontal_line(72, 78),
        horizontal_line(73, 79),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(147, 171),
        horizontal_line(144, 191),
        horizontal_line(142, 204),
        horizontal_line(150, 206),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(54, 68),
        horizontal_line(61, 74),
        horizontal_line(68, 81),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(80, 81),
        horizontal_line(74, 88),
        horizontal_line(68, 95),
        horizontal_line(63, 102),
        horizontal_line(62, 109),
        horizontal_line(62, 116),
        horizontal_line(62, 123),
        horizontal_line(63, 125),
        horizontal_line(70, 131),
        horizontal_line(78, 133),
        horizontal_line(85, 135),
        horizontal_line(93, 137),
        horizontal_line(101, 139),
        horizontal_line(108, 141),
        horizontal_line(116, 143),
        horizontal_line(123, 145),
        horizontal_line(69, 131),
        horizontal_line(77, 139),
        horizontal_line(84, 146),
        horizontal_line(92, 153),
        horizontal_line(99, 155),
        horizontal_line(107, 157),
        horizontal_line(115, 159),
        horizontal_line(122, 161),
    };

    constexpr const horizontal_line frame_1248_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 136),
        horizontal_line(124, 144),
        horizontal_line(124, 152),
        horizontal_line(124, 159),
        horizontal_line(124, 167),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1248_shape_group_2_shapes[] = {
        shape(frame_1248_shape_group_2_shape_0_horizontal_lines, 30, 8),
        shape(frame_1248_shape_group_2_shape_1_horizontal_lines, 39, 9),
        shape(frame_1248_shape_group_2_shape_2_horizontal_lines, 62, 4),
        shape(frame_1248_shape_group_2_shape_3_horizontal_lines, 70, 9),
        shape(frame_1248_shape_group_2_shape_4_horizontal_lines, 101, 4),
        shape(frame_1248_shape_group_2_shape_5_horizontal_lines, 106, 8),
        shape(frame_1248_shape_group_2_shape_6_horizontal_lines, 107, 9),
        shape(frame_1248_shape_group_2_shape_7_horizontal_lines, 110, 1),
        shape(frame_1248_shape_group_2_shape_8_horizontal_lines, 111, 8),
        shape(frame_1248_shape_group_2_shape_9_horizontal_lines, 135, 9),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(40, 41),
        horizontal_line(40, 42),
        horizontal_line(39, 43),
        horizontal_line(39, 44),
        horizontal_line(38, 45),
        horizontal_line(38, 46),
        horizontal_line(38, 47),
        horizontal_line(37, 48),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(12, 36),
        horizontal_line(15, 35),
        horizontal_line(17, 35),
        horizontal_line(20, 35),
        horizontal_line(22, 34),
        horizontal_line(25, 34),
        horizontal_line(27, 33),
        horizontal_line(30, 33),
        horizontal_line(33, 33),
        horizontal_line(58, 58),
        horizontal_line(58, 59),
        horizontal_line(37, 37),
        horizontal_line(38, 39),
        horizontal_line(39, 41),
        horizontal_line(40, 42),
        horizontal_line(41, 44),
        horizontal_line(43, 46),
        horizontal_line(45, 48),
        horizontal_line(47, 50),
        horizontal_line(49, 52),
        horizontal_line(51, 65),
        horizontal_line(53, 65),
        horizontal_line(55, 64),
        horizontal_line(57, 64),
        horizontal_line(60, 63),
        horizontal_line(61, 63),
        horizontal_line(63, 63),
        horizontal_line(70, 71),
        horizontal_line(70, 71),
        horizontal_line(69, 72),
        horizontal_line(69, 73),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(73, 73),
        horizontal_line(73, 74),
        horizontal_line(72, 80),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(204, 210),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(48, 62),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(42, 53),
        horizontal_line(36, 60),
        horizontal_line(30, 67),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(102, 106),
        horizontal_line(94, 96),
        horizontal_line(101, 105),
        horizontal_line(113, 132),
        horizontal_line(114, 132),
        horizontal_line(118, 131),
        horizontal_line(122, 130),
        horizontal_line(126, 129),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(187, 234),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(131, 147),
        horizontal_line(139, 149),
        horizontal_line(146, 151),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(130, 163),
        horizontal_line(137, 165),
        horizontal_line(145, 167),
        horizontal_line(153, 169),
        horizontal_line(160, 171),
        horizontal_line(168, 173),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 200),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
        horizontal_line(186, 205),
    };

    constexpr const shape frame_1248_shape_group_3_shapes[] = {
        shape(frame_1248_shape_group_3_shape_0_horizontal_lines, 39, 8),
        shape(frame_1248_shape_group_3_shape_1_horizontal_lines, 62, 9),
        shape(frame_1248_shape_group_3_shape_2_horizontal_lines, 70, 8),
        shape(frame_1248_shape_group_3_shape_3_horizontal_lines, 101, 9),
        shape(frame_1248_shape_group_3_shape_4_horizontal_lines, 104, 4),
        shape(frame_1248_shape_group_3_shape_5_horizontal_lines, 105, 9),
        shape(frame_1248_shape_group_3_shape_6_horizontal_lines, 106, 1),
        shape(frame_1248_shape_group_3_shape_7_horizontal_lines, 107, 8),
        shape(frame_1248_shape_group_3_shape_8_horizontal_lines, 110, 1),
        shape(frame_1248_shape_group_3_shape_9_horizontal_lines, 118, 8),
        shape(frame_1248_shape_group_3_shape_10_horizontal_lines, 119, 1),
        shape(frame_1248_shape_group_3_shape_11_horizontal_lines, 127, 8),
        shape(frame_1248_shape_group_3_shape_12_horizontal_lines, 130, 1),
        shape(frame_1248_shape_group_3_shape_13_horizontal_lines, 135, 8),
        shape(frame_1248_shape_group_3_shape_14_horizontal_lines, 141, 1),
        shape(frame_1248_shape_group_3_shape_15_horizontal_lines, 148, 9),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(214, 239),
        horizontal_line(210, 239),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(195, 239),
        horizontal_line(191, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(2, 37),
        horizontal_line(5, 37),
        horizontal_line(7, 37),
        horizontal_line(10, 36),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 230),
        horizontal_line(211, 221),
        horizontal_line(213, 213),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(15, 32),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(57, 60),
        horizontal_line(56, 61),
        horizontal_line(56, 62),
        horizontal_line(55, 63),
        horizontal_line(55, 63),
        horizontal_line(54, 64),
        horizontal_line(54, 65),
        horizontal_line(54, 66),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(44, 50),
        horizontal_line(44, 52),
        horizontal_line(44, 54),
        horizontal_line(44, 56),
        horizontal_line(45, 59),
        horizontal_line(45, 59),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(70, 70),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(45, 59),
        horizontal_line(46, 60),
        horizontal_line(46, 60),
        horizontal_line(46, 60),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(70, 72),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(72, 74),
        horizontal_line(76, 80),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(68, 70),
        horizontal_line(69, 71),
        horizontal_line(75, 75),
        horizontal_line(103, 107),
        horizontal_line(116, 135),
        horizontal_line(101, 105),
        horizontal_line(114, 133),
        horizontal_line(190, 206),
        horizontal_line(189, 210),
        horizontal_line(189, 215),
        horizontal_line(188, 220),
        horizontal_line(188, 224),
        horizontal_line(187, 229),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(132, 186),
        horizontal_line(134, 185),
        horizontal_line(136, 184),
        horizontal_line(138, 184),
        horizontal_line(140, 183),
        horizontal_line(142, 183),
        horizontal_line(144, 182),
        horizontal_line(146, 182),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(154, 180),
        horizontal_line(156, 179),
        horizontal_line(158, 178),
        horizontal_line(160, 178),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_1248_shape_group_4_shapes[] = {
        shape(frame_1248_shape_group_4_shape_0_horizontal_lines, 47, 1),
        shape(frame_1248_shape_group_4_shape_1_horizontal_lines, 62, 8),
        shape(frame_1248_shape_group_4_shape_2_horizontal_lines, 70, 1),
        shape(frame_1248_shape_group_4_shape_3_horizontal_lines, 78, 3),
        shape(frame_1248_shape_group_4_shape_4_horizontal_lines, 79, 1),
        shape(frame_1248_shape_group_4_shape_5_horizontal_lines, 81, 8),
        shape(frame_1248_shape_group_4_shape_6_horizontal_lines, 90, 1),
        shape(frame_1248_shape_group_4_shape_7_horizontal_lines, 96, 8),
        shape(frame_1248_shape_group_4_shape_8_horizontal_lines, 97, 1),
        shape(frame_1248_shape_group_4_shape_9_horizontal_lines, 101, 8),
        shape(frame_1248_shape_group_4_shape_10_horizontal_lines, 104, 9),
        shape(frame_1248_shape_group_4_shape_11_horizontal_lines, 106, 1),
        shape(frame_1248_shape_group_4_shape_12_horizontal_lines, 119, 2),
        shape(frame_1248_shape_group_4_shape_13_horizontal_lines, 127, 1),
        shape(frame_1248_shape_group_4_shape_14_horizontal_lines, 130, 2),
        shape(frame_1248_shape_group_4_shape_15_horizontal_lines, 135, 1),
        shape(frame_1248_shape_group_4_shape_16_horizontal_lines, 148, 1),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(1, 21),
        horizontal_line(4, 24),
        horizontal_line(8, 26),
        horizontal_line(11, 29),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(18, 34),
        horizontal_line(22, 35),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(134, 143),
        horizontal_line(132, 145),
        horizontal_line(130, 147),
        horizontal_line(128, 149),
        horizontal_line(126, 151),
        horizontal_line(124, 153),
        horizontal_line(43, 44),
        horizontal_line(43, 46),
        horizontal_line(43, 48),
        horizontal_line(122, 141),
        horizontal_line(124, 138),
        horizontal_line(125, 135),
        horizontal_line(127, 132),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(45, 59),
        horizontal_line(106, 112),
        horizontal_line(104, 115),
        horizontal_line(103, 114),
        horizontal_line(104, 112),
        horizontal_line(46, 60),
        horizontal_line(47, 61),
        horizontal_line(47, 61),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(76, 80),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(75, 75),
        horizontal_line(105, 107),
        horizontal_line(117, 136),
        horizontal_line(192, 192),
        horizontal_line(115, 134),
        horizontal_line(190, 201),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(132, 188),
        horizontal_line(131, 187),
        horizontal_line(130, 187),
        horizontal_line(131, 186),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(148, 181),
        horizontal_line(150, 181),
        horizontal_line(152, 180),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(164, 177),
    };

    constexpr const horizontal_line frame_1248_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_1248_shape_group_5_shapes[] = {
        shape(frame_1248_shape_group_5_shape_0_horizontal_lines, 62, 1),
        shape(frame_1248_shape_group_5_shape_1_horizontal_lines, 70, 3),
        shape(frame_1248_shape_group_5_shape_2_horizontal_lines, 78, 2),
        shape(frame_1248_shape_group_5_shape_3_horizontal_lines, 79, 3),
        shape(frame_1248_shape_group_5_shape_4_horizontal_lines, 81, 1),
        shape(frame_1248_shape_group_5_shape_5_horizontal_lines, 95, 2),
        shape(frame_1248_shape_group_5_shape_6_horizontal_lines, 96, 1),
        shape(frame_1248_shape_group_5_shape_7_horizontal_lines, 104, 9),
        shape(frame_1248_shape_group_5_shape_8_horizontal_lines, 105, 8),
        shape(frame_1248_shape_group_5_shape_9_horizontal_lines, 106, 1),
        shape(frame_1248_shape_group_5_shape_10_horizontal_lines, 113, 2),
        shape(frame_1248_shape_group_5_shape_11_horizontal_lines, 127, 2),
        shape(frame_1248_shape_group_5_shape_12_horizontal_lines, 135, 2),
        shape(frame_1248_shape_group_5_shape_13_horizontal_lines, 136, 1),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(25, 36),
        horizontal_line(29, 37),
        horizontal_line(32, 38),
        horizontal_line(36, 39),
        horizontal_line(39, 40),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(122, 150),
        horizontal_line(120, 147),
        horizontal_line(120, 144),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(68, 68),
        horizontal_line(68, 69),
        horizontal_line(68, 70),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(47, 61),
        horizontal_line(120, 138),
        horizontal_line(107, 108),
        horizontal_line(118, 136),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(191, 196),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(107, 112),
        horizontal_line(133, 188),
    };

    constexpr const horizontal_line frame_1248_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(166, 176),
        horizontal_line(168, 176),
        horizontal_line(170, 175),
        horizontal_line(172, 175),
        horizontal_line(174, 174),
    };

    constexpr const shape frame_1248_shape_group_6_shapes[] = {
        shape(frame_1248_shape_group_6_shape_0_horizontal_lines, 66, 3),
        shape(frame_1248_shape_group_6_shape_1_horizontal_lines, 74, 2),
        shape(frame_1248_shape_group_6_shape_2_horizontal_lines, 78, 14),
        shape(frame_1248_shape_group_6_shape_3_horizontal_lines, 79, 2),
        shape(frame_1248_shape_group_6_shape_4_horizontal_lines, 81, 3),
        shape(frame_1248_shape_group_6_shape_5_horizontal_lines, 86, 2),
        shape(frame_1248_shape_group_6_shape_6_horizontal_lines, 87, 1),
        shape(frame_1248_shape_group_6_shape_7_horizontal_lines, 90, 2),
        shape(frame_1248_shape_group_6_shape_8_horizontal_lines, 96, 1),
        shape(frame_1248_shape_group_6_shape_9_horizontal_lines, 97, 3),
        shape(frame_1248_shape_group_6_shape_10_horizontal_lines, 98, 2),
        shape(frame_1248_shape_group_6_shape_11_horizontal_lines, 101, 1),
        shape(frame_1248_shape_group_6_shape_12_horizontal_lines, 104, 8),
        shape(frame_1248_shape_group_6_shape_13_horizontal_lines, 105, 1),
        shape(frame_1248_shape_group_6_shape_14_horizontal_lines, 109, 2),
        shape(frame_1248_shape_group_6_shape_15_horizontal_lines, 111, 1),
        shape(frame_1248_shape_group_6_shape_16_horizontal_lines, 112, 2),
        shape(frame_1248_shape_group_6_shape_17_horizontal_lines, 136, 2),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(222, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(142, 152),
        horizontal_line(139, 152),
        horizontal_line(136, 151),
        horizontal_line(133, 151),
        horizontal_line(130, 151),
        horizontal_line(129, 151),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(61, 65),
        horizontal_line(61, 67),
        horizontal_line(61, 67),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(106, 110),
        horizontal_line(108, 108),
        horizontal_line(98, 98),
        horizontal_line(47, 61),
        horizontal_line(68, 70),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(119, 137),
    };

    constexpr const horizontal_line frame_1248_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(108, 116),
        horizontal_line(98, 101),
        horizontal_line(0, 17),
        horizontal_line(106, 113),
        horizontal_line(133, 189),
    };

    constexpr const shape frame_1248_shape_group_7_shapes[] = {
        shape(frame_1248_shape_group_7_shape_0_horizontal_lines, 75, 14),
        shape(frame_1248_shape_group_7_shape_1_horizontal_lines, 79, 14),
        shape(frame_1248_shape_group_7_shape_2_horizontal_lines, 81, 2),
        shape(frame_1248_shape_group_7_shape_3_horizontal_lines, 86, 14),
        shape(frame_1248_shape_group_7_shape_4_horizontal_lines, 87, 2),
        shape(frame_1248_shape_group_7_shape_5_horizontal_lines, 90, 14),
        shape(frame_1248_shape_group_7_shape_6_horizontal_lines, 96, 2),
        shape(frame_1248_shape_group_7_shape_7_horizontal_lines, 101, 1),
        shape(frame_1248_shape_group_7_shape_8_horizontal_lines, 106, 2),
        shape(frame_1248_shape_group_7_shape_9_horizontal_lines, 107, 1),
        shape(frame_1248_shape_group_7_shape_10_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1248_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(148, 152),
        horizontal_line(145, 152),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(60, 63),
    };

    constexpr const horizontal_line frame_1248_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_1248_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1248_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(68, 70),
        horizontal_line(96, 101),
    };

    constexpr const horizontal_line frame_1248_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(63, 67),
        horizontal_line(0, 41),
        horizontal_line(108, 117),
        horizontal_line(137, 183),
        horizontal_line(107, 115),
        horizontal_line(97, 100),
        horizontal_line(134, 189),
    };

    constexpr const shape frame_1248_shape_group_8_shapes[] = {
        shape(frame_1248_shape_group_8_shape_0_horizontal_lines, 81, 14),
        shape(frame_1248_shape_group_8_shape_1_horizontal_lines, 87, 14),
        shape(frame_1248_shape_group_8_shape_2_horizontal_lines, 96, 2),
        shape(frame_1248_shape_group_8_shape_3_horizontal_lines, 98, 14),
        shape(frame_1248_shape_group_8_shape_4_horizontal_lines, 101, 2),
        shape(frame_1248_shape_group_8_shape_5_horizontal_lines, 104, 1),
        shape(frame_1248_shape_group_8_shape_6_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1248_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(129, 151),
        horizontal_line(129, 150),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(129, 150),
    };

    constexpr const horizontal_line frame_1248_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(61, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_1248_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(121, 139),
    };

    constexpr const horizontal_line frame_1248_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(71, 74),
        horizontal_line(72, 74),
        horizontal_line(137, 175),
    };

    constexpr const horizontal_line frame_1248_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(82, 83),
    };

    constexpr const horizontal_line frame_1248_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(136, 191),
        horizontal_line(106, 114),
    };

    constexpr const shape frame_1248_shape_group_9_shapes[] = {
        shape(frame_1248_shape_group_9_shape_0_horizontal_lines, 87, 14),
        shape(frame_1248_shape_group_9_shape_1_horizontal_lines, 96, 14),
        shape(frame_1248_shape_group_9_shape_2_horizontal_lines, 101, 2),
        shape(frame_1248_shape_group_9_shape_3_horizontal_lines, 104, 1),
        shape(frame_1248_shape_group_9_shape_4_horizontal_lines, 106, 2),
        shape(frame_1248_shape_group_9_shape_5_horizontal_lines, 109, 14),
        shape(frame_1248_shape_group_9_shape_6_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1248_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(111, 114),
        horizontal_line(109, 114),
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_1248_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(110, 119),
        horizontal_line(109, 118),
    };

    constexpr const horizontal_line frame_1248_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(99, 100),
        horizontal_line(100, 100),
        horizontal_line(88, 89),
    };

    constexpr const horizontal_line frame_1248_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(135, 190),
    };

    constexpr const shape frame_1248_shape_group_10_shapes[] = {
        shape(frame_1248_shape_group_10_shape_0_horizontal_lines, 96, 14),
        shape(frame_1248_shape_group_10_shape_1_horizontal_lines, 100, 14),
        shape(frame_1248_shape_group_10_shape_2_horizontal_lines, 104, 2),
        shape(frame_1248_shape_group_10_shape_3_horizontal_lines, 108, 14),
        shape(frame_1248_shape_group_10_shape_4_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1248_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(129, 150),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(139, 158),
        horizontal_line(138, 166),
    };

    constexpr const horizontal_line frame_1248_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(79, 92),
        horizontal_line(84, 91),
        horizontal_line(90, 90),
    };

    constexpr const shape frame_1248_shape_group_11_shapes[] = {
        shape(frame_1248_shape_group_11_shape_0_horizontal_lines, 101, 14),
        shape(frame_1248_shape_group_11_shape_1_horizontal_lines, 104, 2),
        shape(frame_1248_shape_group_11_shape_2_horizontal_lines, 108, 10),
    };

    constexpr const horizontal_line frame_1248_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1248_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(99, 100),
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_1248_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_1248_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1248_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(91, 92),
    };

    constexpr const shape frame_1248_shape_group_12_shapes[] = {
        shape(frame_1248_shape_group_12_shape_0_horizontal_lines, 101, 14),
        shape(frame_1248_shape_group_12_shape_1_horizontal_lines, 104, 2),
        shape(frame_1248_shape_group_12_shape_2_horizontal_lines, 106, 14),
        shape(frame_1248_shape_group_12_shape_3_horizontal_lines, 108, 7),
        shape(frame_1248_shape_group_12_shape_4_horizontal_lines, 109, 10),
        shape(frame_1248_shape_group_12_shape_5_horizontal_lines, 110, 7),
    };

    constexpr const horizontal_line frame_1248_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_1248_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_1248_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(78, 84),
    };

    constexpr const horizontal_line frame_1248_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(78, 78),
    };

    constexpr const horizontal_line frame_1248_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(92, 93),
    };

    constexpr const horizontal_line frame_1248_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const shape frame_1248_shape_group_13_shapes[] = {
        shape(frame_1248_shape_group_13_shape_0_horizontal_lines, 104, 2),
        shape(frame_1248_shape_group_13_shape_1_horizontal_lines, 106, 14),
        shape(frame_1248_shape_group_13_shape_2_horizontal_lines, 107, 10),
        shape(frame_1248_shape_group_13_shape_3_horizontal_lines, 108, 12),
        shape(frame_1248_shape_group_13_shape_4_horizontal_lines, 109, 7),
        shape(frame_1248_shape_group_13_shape_5_horizontal_lines, 110, 6),
    };

    constexpr const horizontal_line frame_1248_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(85, 91),
    };

    constexpr const horizontal_line frame_1248_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(93, 94),
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1248_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(93, 93),
    };

    constexpr const shape frame_1248_shape_group_14_shapes[] = {
        shape(frame_1248_shape_group_14_shape_0_horizontal_lines, 104, 14),
        shape(frame_1248_shape_group_14_shape_1_horizontal_lines, 107, 5),
        shape(frame_1248_shape_group_14_shape_2_horizontal_lines, 108, 6),
        shape(frame_1248_shape_group_14_shape_3_horizontal_lines, 110, 11),
    };

    constexpr const horizontal_line frame_1248_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1248_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1248_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(76, 77),
    };

    constexpr const shape frame_1248_shape_group_15_shapes[] = {
        shape(frame_1248_shape_group_15_shape_0_horizontal_lines, 104, 14),
        shape(frame_1248_shape_group_15_shape_1_horizontal_lines, 106, 10),
        shape(frame_1248_shape_group_15_shape_2_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_1248_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(78, 85),
    };

    constexpr const shape frame_1248_shape_group_16_shapes[] = {
        shape(frame_1248_shape_group_16_shape_0_horizontal_lines, 106, 5),
    };

    constexpr const shape_group frame_1248_shape_groups[] = {
        shape_group(frame_1248_shape_group_0_shapes),
        shape_group(frame_1248_shape_group_1_shapes),
        shape_group(frame_1248_shape_group_2_shapes),
        shape_group(frame_1248_shape_group_3_shapes),
        shape_group(frame_1248_shape_group_4_shapes),
        shape_group(frame_1248_shape_group_5_shapes),
        shape_group(frame_1248_shape_group_6_shapes),
        shape_group(frame_1248_shape_group_7_shapes),
        shape_group(frame_1248_shape_group_8_shapes),
        shape_group(frame_1248_shape_group_9_shapes),
        shape_group(frame_1248_shape_group_10_shapes),
        shape_group(frame_1248_shape_group_11_shapes),
        shape_group(frame_1248_shape_group_12_shapes),
        shape_group(frame_1248_shape_group_13_shapes),
        shape_group(frame_1248_shape_group_14_shapes),
        shape_group(frame_1248_shape_group_15_shapes),
        shape_group(frame_1248_shape_group_16_shapes),
    };

    constexpr const frame frame_1248_impl(frame_1248_colors, frame_1248_shape_groups);
} 

const frame& frame_1248()
{
    return frame_1248_impl;
}

namespace
{
    constexpr const bn::color frame_1249_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(4, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1249_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(1, 44),
        horizontal_line(2, 45),
        horizontal_line(3, 45),
        horizontal_line(5, 46),
        horizontal_line(6, 47),
        horizontal_line(7, 47),
        horizontal_line(9, 48),
        horizontal_line(10, 49),
        horizontal_line(11, 50),
        horizontal_line(13, 50),
        horizontal_line(14, 51),
        horizontal_line(15, 52),
        horizontal_line(17, 52),
        horizontal_line(18, 53),
        horizontal_line(19, 54),
        horizontal_line(21, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 56),
        horizontal_line(25, 56),
        horizontal_line(26, 57),
        horizontal_line(27, 58),
        horizontal_line(29, 58),
        horizontal_line(30, 59),
        horizontal_line(31, 60),
        horizontal_line(33, 60),
        horizontal_line(34, 61),
        horizontal_line(35, 62),
        horizontal_line(37, 63),
        horizontal_line(36, 37),
        horizontal_line(36, 38),
        horizontal_line(35, 39),
        horizontal_line(35, 40),
        horizontal_line(34, 41),
        horizontal_line(34, 42),
        horizontal_line(33, 43),
        horizontal_line(33, 44),
        horizontal_line(32, 45),
        horizontal_line(32, 46),
        horizontal_line(31, 47),
        horizontal_line(31, 48),
        horizontal_line(30, 49),
        horizontal_line(30, 50),
        horizontal_line(29, 51),
        horizontal_line(29, 52),
        horizontal_line(28, 53),
        horizontal_line(28, 54),
        horizontal_line(29, 55),
        horizontal_line(31, 72),
        horizontal_line(33, 55),
        horizontal_line(35, 55),
        horizontal_line(37, 54),
        horizontal_line(39, 54),
        horizontal_line(41, 54),
        horizontal_line(43, 53),
        horizontal_line(45, 53),
        horizontal_line(47, 52),
        horizontal_line(49, 52),
        horizontal_line(52, 52),
        horizontal_line(65, 65),
        horizontal_line(65, 66),
        horizontal_line(64, 67),
        horizontal_line(64, 68),
        horizontal_line(63, 69),
        horizontal_line(63, 70),
        horizontal_line(63, 69),
        horizontal_line(64, 69),
        horizontal_line(65, 69),
        horizontal_line(67, 68),
        horizontal_line(68, 68),
        horizontal_line(73, 74),
        horizontal_line(72, 74),
        horizontal_line(72, 75),
        horizontal_line(72, 74),
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_1249_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(86, 94),
        horizontal_line(93, 93),
    };

    constexpr const horizontal_line frame_1249_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(50, 67),
        horizontal_line(56, 74),
        horizontal_line(62, 81),
        horizontal_line(68, 88),
        horizontal_line(74, 94),
        horizontal_line(80, 101),
        horizontal_line(86, 108),
        horizontal_line(92, 115),
        horizontal_line(98, 117),
        horizontal_line(104, 120),
        horizontal_line(110, 123),
        horizontal_line(116, 125),
        horizontal_line(122, 128),
        horizontal_line(128, 131),
    };

    constexpr const horizontal_line frame_1249_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1249_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 9),
        horizontal_line(0, 18),
        horizontal_line(0, 27),
        horizontal_line(0, 36),
        horizontal_line(0, 45),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1249_shape_group_0_shapes[] = {
        shape(frame_1249_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1249_shape_group_0_shape_1_horizontal_lines, 105, 4),
        shape(frame_1249_shape_group_0_shape_2_horizontal_lines, 107, 9),
        shape(frame_1249_shape_group_0_shape_3_horizontal_lines, 121, 8),
        shape(frame_1249_shape_group_0_shape_4_horizontal_lines, 129, 9),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(11, 22),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(26, 29),
        horizontal_line(27, 32),
        horizontal_line(27, 35),
        horizontal_line(28, 38),
        horizontal_line(29, 41),
        horizontal_line(29, 45),
        horizontal_line(30, 48),
        horizontal_line(31, 51),
        horizontal_line(31, 54),
        horizontal_line(32, 57),
        horizontal_line(33, 60),
        horizontal_line(33, 64),
        horizontal_line(34, 67),
        horizontal_line(35, 70),
        horizontal_line(35, 73),
        horizontal_line(36, 76),
        horizontal_line(37, 79),
        horizontal_line(38, 83),
        horizontal_line(38, 86),
        horizontal_line(39, 89),
        horizontal_line(40, 92),
        horizontal_line(40, 95),
        horizontal_line(41, 98),
        horizontal_line(42, 102),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(38, 63),
        horizontal_line(39, 63),
        horizontal_line(40, 64),
        horizontal_line(41, 64),
        horizontal_line(42, 65),
        horizontal_line(43, 65),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(46, 67),
        horizontal_line(47, 67),
        horizontal_line(48, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 69),
        horizontal_line(51, 69),
        horizontal_line(52, 70),
        horizontal_line(53, 70),
        horizontal_line(54, 71),
        horizontal_line(55, 71),
        horizontal_line(56, 72),
        horizontal_line(73, 75),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(57, 72),
        horizontal_line(58, 72),
        horizontal_line(59, 73),
        horizontal_line(60, 73),
        horizontal_line(61, 73),
        horizontal_line(62, 74),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 75),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(67, 76),
        horizontal_line(68, 76),
        horizontal_line(69, 77),
        horizontal_line(70, 77),
        horizontal_line(71, 78),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(71, 78),
        horizontal_line(72, 78),
        horizontal_line(73, 78),
        horizontal_line(74, 79),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(75, 79),
        horizontal_line(75, 79),
        horizontal_line(76, 80),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(77, 80),
        horizontal_line(78, 80),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(116, 121),
        horizontal_line(152, 213),
        horizontal_line(159, 221),
        horizontal_line(102, 102),
        horizontal_line(173, 221),
        horizontal_line(180, 218),
        horizontal_line(187, 215),
        horizontal_line(194, 212),
        horizontal_line(201, 209),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(12, 74),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(1, 63),
        horizontal_line(10, 72),
        horizontal_line(19, 81),
        horizontal_line(28, 90),
        horizontal_line(37, 99),
        horizontal_line(46, 108),
        horizontal_line(55, 117),
    };

    constexpr const horizontal_line frame_1249_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 72),
        horizontal_line(62, 81),
        horizontal_line(62, 90),
        horizontal_line(62, 99),
        horizontal_line(62, 108),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1249_shape_group_1_shapes[] = {
        shape(frame_1249_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1249_shape_group_1_shape_1_horizontal_lines, 2, 4),
        shape(frame_1249_shape_group_1_shape_2_horizontal_lines, 79, 9),
        shape(frame_1249_shape_group_1_shape_3_horizontal_lines, 88, 4),
        shape(frame_1249_shape_group_1_shape_4_horizontal_lines, 95, 9),
        shape(frame_1249_shape_group_1_shape_5_horizontal_lines, 100, 4),
        shape(frame_1249_shape_group_1_shape_6_horizontal_lines, 103, 9),
        shape(frame_1249_shape_group_1_shape_7_horizontal_lines, 105, 4),
        shape(frame_1249_shape_group_1_shape_8_horizontal_lines, 114, 8),
        shape(frame_1249_shape_group_1_shape_9_horizontal_lines, 136, 9),
    };

    constexpr const horizontal_line frame_1249_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(104, 105),
        horizontal_line(105, 108),
        horizontal_line(106, 111),
        horizontal_line(106, 114),
        horizontal_line(107, 117),
        horizontal_line(108, 120),
        horizontal_line(108, 124),
        horizontal_line(109, 127),
        horizontal_line(110, 130),
        horizontal_line(110, 133),
        horizontal_line(111, 136),
        horizontal_line(112, 139),
        horizontal_line(113, 143),
        horizontal_line(113, 146),
        horizontal_line(114, 149),
        horizontal_line(115, 152),
        horizontal_line(115, 155),
        horizontal_line(116, 158),
        horizontal_line(117, 162),
        horizontal_line(117, 165),
        horizontal_line(118, 168),
        horizontal_line(119, 171),
        horizontal_line(119, 174),
        horizontal_line(120, 177),
        horizontal_line(121, 181),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(102, 164),
        horizontal_line(106, 167),
        horizontal_line(110, 164),
        horizontal_line(114, 161),
        horizontal_line(118, 158),
        horizontal_line(122, 156),
        horizontal_line(126, 153),
        horizontal_line(130, 150),
        horizontal_line(134, 147),
        horizontal_line(138, 144),
        horizontal_line(142, 142),
        horizontal_line(73, 80),
        horizontal_line(73, 85),
        horizontal_line(74, 90),
        horizontal_line(74, 95),
        horizontal_line(74, 100),
        horizontal_line(75, 105),
        horizontal_line(75, 110),
        horizontal_line(75, 115),
        horizontal_line(76, 120),
        horizontal_line(80, 119),
        horizontal_line(85, 117),
        horizontal_line(90, 116),
        horizontal_line(95, 114),
        horizontal_line(100, 113),
        horizontal_line(105, 111),
        horizontal_line(110, 110),
        horizontal_line(79, 83),
        horizontal_line(79, 89),
        horizontal_line(79, 95),
        horizontal_line(80, 102),
        horizontal_line(74, 79),
        horizontal_line(88, 100),
        horizontal_line(93, 99),
        horizontal_line(98, 98),
        horizontal_line(81, 86),
        horizontal_line(81, 94),
        horizontal_line(145, 199),
    };

    constexpr const horizontal_line frame_1249_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(44, 61),
    };

    constexpr const horizontal_line frame_1249_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(221, 227),
        horizontal_line(166, 224),
    };

    constexpr const horizontal_line frame_1249_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(32, 61),
        horizontal_line(28, 67),
        horizontal_line(24, 73),
        horizontal_line(20, 79),
        horizontal_line(16, 78),
        horizontal_line(74, 91),
        horizontal_line(70, 97),
        horizontal_line(66, 103),
        horizontal_line(63, 109),
        horizontal_line(62, 115),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(124, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(63, 125),
        horizontal_line(72, 134),
        horizontal_line(81, 143),
        horizontal_line(90, 152),
        horizontal_line(99, 156),
        horizontal_line(108, 158),
        horizontal_line(117, 160),
        horizontal_line(64, 126),
        horizontal_line(73, 135),
        horizontal_line(82, 144),
        horizontal_line(91, 153),
        horizontal_line(100, 162),
        horizontal_line(109, 171),
        horizontal_line(118, 173),
    };

    constexpr const horizontal_line frame_1249_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 135),
        horizontal_line(124, 144),
        horizontal_line(124, 153),
        horizontal_line(124, 162),
        horizontal_line(124, 171),
        horizontal_line(124, 180),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1249_shape_group_2_shapes[] = {
        shape(frame_1249_shape_group_2_shape_0_horizontal_lines, 27, 4),
        shape(frame_1249_shape_group_2_shape_1_horizontal_lines, 106, 1),
        shape(frame_1249_shape_group_2_shape_2_horizontal_lines, 107, 4),
        shape(frame_1249_shape_group_2_shape_3_horizontal_lines, 109, 8),
        shape(frame_1249_shape_group_2_shape_4_horizontal_lines, 143, 9),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(183, 184),
        horizontal_line(184, 187),
        horizontal_line(185, 190),
        horizontal_line(185, 193),
        horizontal_line(186, 196),
        horizontal_line(187, 200),
        horizontal_line(188, 198),
        horizontal_line(128, 190),
        horizontal_line(132, 192),
        horizontal_line(136, 189),
        horizontal_line(140, 186),
        horizontal_line(144, 184),
        horizontal_line(148, 181),
        horizontal_line(152, 178),
        horizontal_line(156, 175),
        horizontal_line(160, 172),
        horizontal_line(164, 170),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(8, 30),
        horizontal_line(10, 30),
        horizontal_line(13, 29),
        horizontal_line(16, 29),
        horizontal_line(18, 28),
        horizontal_line(21, 28),
        horizontal_line(24, 27),
        horizontal_line(27, 27),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(5, 28),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(31, 32),
        horizontal_line(32, 34),
        horizontal_line(34, 36),
        horizontal_line(35, 38),
        horizontal_line(36, 40),
        horizontal_line(37, 42),
        horizontal_line(39, 44),
        horizontal_line(41, 46),
        horizontal_line(44, 48),
        horizontal_line(46, 51),
        horizontal_line(49, 64),
        horizontal_line(51, 64),
        horizontal_line(54, 63),
        horizontal_line(56, 63),
        horizontal_line(59, 62),
        horizontal_line(60, 62),
        horizontal_line(62, 62),
        horizontal_line(70, 71),
        horizontal_line(70, 72),
        horizontal_line(69, 73),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(83, 101),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(124, 125),
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(40, 49),
        horizontal_line(36, 55),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(102, 107),
        horizontal_line(96, 96),
        horizontal_line(95, 96),
        horizontal_line(102, 105),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(78, 85),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(116, 137),
        horizontal_line(118, 136),
        horizontal_line(121, 136),
        horizontal_line(124, 135),
        horizontal_line(126, 134),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(204, 235),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(125, 149),
        horizontal_line(134, 151),
        horizontal_line(143, 152),
        horizontal_line(152, 154),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(126, 162),
        horizontal_line(135, 164),
        horizontal_line(144, 166),
        horizontal_line(153, 168),
        horizontal_line(162, 170),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(127, 175),
        horizontal_line(136, 177),
        horizontal_line(145, 179),
        horizontal_line(154, 181),
        horizontal_line(163, 183),
        horizontal_line(172, 185),
        horizontal_line(181, 187),
    };

    constexpr const horizontal_line frame_1249_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(186, 189),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
    };

    constexpr const shape frame_1249_shape_group_3_shapes[] = {
        shape(frame_1249_shape_group_3_shape_0_horizontal_lines, 31, 8),
        shape(frame_1249_shape_group_3_shape_1_horizontal_lines, 52, 4),
        shape(frame_1249_shape_group_3_shape_2_horizontal_lines, 69, 8),
        shape(frame_1249_shape_group_3_shape_3_horizontal_lines, 77, 3),
        shape(frame_1249_shape_group_3_shape_4_horizontal_lines, 78, 8),
        shape(frame_1249_shape_group_3_shape_5_horizontal_lines, 99, 4),
        shape(frame_1249_shape_group_3_shape_6_horizontal_lines, 100, 8),
        shape(frame_1249_shape_group_3_shape_7_horizontal_lines, 102, 4),
        shape(frame_1249_shape_group_3_shape_8_horizontal_lines, 105, 8),
        shape(frame_1249_shape_group_3_shape_9_horizontal_lines, 106, 1),
        shape(frame_1249_shape_group_3_shape_10_horizontal_lines, 107, 8),
        shape(frame_1249_shape_group_3_shape_11_horizontal_lines, 109, 1),
        shape(frame_1249_shape_group_3_shape_12_horizontal_lines, 113, 8),
        shape(frame_1249_shape_group_3_shape_13_horizontal_lines, 114, 1),
        shape(frame_1249_shape_group_3_shape_14_horizontal_lines, 120, 8),
        shape(frame_1249_shape_group_3_shape_15_horizontal_lines, 121, 1),
        shape(frame_1249_shape_group_3_shape_16_horizontal_lines, 129, 8),
        shape(frame_1249_shape_group_3_shape_17_horizontal_lines, 133, 1),
        shape(frame_1249_shape_group_3_shape_18_horizontal_lines, 136, 8),
        shape(frame_1249_shape_group_3_shape_19_horizontal_lines, 142, 1),
        shape(frame_1249_shape_group_3_shape_20_horizontal_lines, 143, 8),
        shape(frame_1249_shape_group_3_shape_21_horizontal_lines, 150, 9),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(190, 195),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(2, 31),
        horizontal_line(5, 31),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 231),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(9, 29),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(56, 57),
        horizontal_line(55, 58),
        horizontal_line(55, 59),
        horizontal_line(55, 60),
        horizontal_line(54, 61),
        horizontal_line(54, 62),
        horizontal_line(53, 63),
        horizontal_line(53, 64),
        horizontal_line(53, 65),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(39, 48),
        horizontal_line(40, 50),
        horizontal_line(40, 53),
        horizontal_line(40, 55),
        horizontal_line(40, 58),
        horizontal_line(41, 58),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(70, 70),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(41, 58),
        horizontal_line(41, 58),
        horizontal_line(42, 59),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(42, 59),
        horizontal_line(42, 59),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(152, 170),
        horizontal_line(148, 184),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(43, 60),
        horizontal_line(75, 76),
        horizontal_line(69, 71),
        horizontal_line(75, 76),
        horizontal_line(118, 140),
        horizontal_line(101, 107),
        horizontal_line(100, 106),
        horizontal_line(116, 138),
        horizontal_line(115, 138),
        horizontal_line(208, 208),
        horizontal_line(207, 211),
        horizontal_line(206, 215),
        horizontal_line(206, 219),
        horizontal_line(205, 223),
        horizontal_line(205, 227),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(138, 200),
        horizontal_line(140, 201),
        horizontal_line(142, 201),
        horizontal_line(144, 200),
        horizontal_line(146, 200),
        horizontal_line(148, 199),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(157, 196),
        horizontal_line(159, 196),
        horizontal_line(161, 195),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(174, 192),
    };

    constexpr const horizontal_line frame_1249_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
    };

    constexpr const shape frame_1249_shape_group_4_shapes[] = {
        shape(frame_1249_shape_group_4_shape_0_horizontal_lines, 48, 1),
        shape(frame_1249_shape_group_4_shape_1_horizontal_lines, 52, 8),
        shape(frame_1249_shape_group_4_shape_2_horizontal_lines, 59, 4),
        shape(frame_1249_shape_group_4_shape_3_horizontal_lines, 60, 8),
        shape(frame_1249_shape_group_4_shape_4_horizontal_lines, 69, 1),
        shape(frame_1249_shape_group_4_shape_5_horizontal_lines, 77, 2),
        shape(frame_1249_shape_group_4_shape_6_horizontal_lines, 78, 3),
        shape(frame_1249_shape_group_4_shape_7_horizontal_lines, 79, 8),
        shape(frame_1249_shape_group_4_shape_8_horizontal_lines, 89, 1),
        shape(frame_1249_shape_group_4_shape_9_horizontal_lines, 95, 8),
        shape(frame_1249_shape_group_4_shape_10_horizontal_lines, 96, 1),
        shape(frame_1249_shape_group_4_shape_11_horizontal_lines, 99, 8),
        shape(frame_1249_shape_group_4_shape_12_horizontal_lines, 100, 1),
        shape(frame_1249_shape_group_4_shape_13_horizontal_lines, 102, 8),
        shape(frame_1249_shape_group_4_shape_14_horizontal_lines, 103, 4),
        shape(frame_1249_shape_group_4_shape_15_horizontal_lines, 105, 1),
        shape(frame_1249_shape_group_4_shape_16_horizontal_lines, 121, 2),
        shape(frame_1249_shape_group_4_shape_17_horizontal_lines, 129, 1),
        shape(frame_1249_shape_group_4_shape_18_horizontal_lines, 133, 2),
        shape(frame_1249_shape_group_4_shape_19_horizontal_lines, 136, 1),
        shape(frame_1249_shape_group_4_shape_20_horizontal_lines, 142, 2),
        shape(frame_1249_shape_group_4_shape_21_horizontal_lines, 143, 1),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(1, 26),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(138, 145),
        horizontal_line(136, 147),
        horizontal_line(133, 149),
        horizontal_line(131, 151),
        horizontal_line(129, 153),
        horizontal_line(126, 155),
        horizontal_line(39, 40),
        horizontal_line(39, 43),
        horizontal_line(39, 45),
        horizontal_line(124, 146),
        horizontal_line(126, 142),
        horizontal_line(127, 138),
        horizontal_line(129, 134),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(41, 58),
        horizontal_line(107, 112),
        horizontal_line(105, 114),
        horizontal_line(104, 116),
        horizontal_line(42, 59),
        horizontal_line(67, 68),
        horizontal_line(67, 69),
        horizontal_line(43, 60),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(68, 70),
        horizontal_line(98, 98),
        horizontal_line(75, 76),
        horizontal_line(103, 108),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(118, 139),
        horizontal_line(117, 139),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(204, 231),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(197, 203),
        horizontal_line(198, 202),
        horizontal_line(200, 202),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(150, 199),
        horizontal_line(152, 198),
        horizontal_line(153, 198),
        horizontal_line(155, 197),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(163, 195),
        horizontal_line(165, 194),
        horizontal_line(167, 194),
        horizontal_line(169, 193),
        horizontal_line(171, 193),
        horizontal_line(172, 192),
    };

    constexpr const horizontal_line frame_1249_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(178, 191),
        horizontal_line(180, 190),
        horizontal_line(182, 190),
        horizontal_line(184, 189),
        horizontal_line(186, 189),
        horizontal_line(188, 188),
    };

    constexpr const shape frame_1249_shape_group_5_shapes[] = {
        shape(frame_1249_shape_group_5_shape_0_horizontal_lines, 52, 1),
        shape(frame_1249_shape_group_5_shape_1_horizontal_lines, 59, 8),
        shape(frame_1249_shape_group_5_shape_2_horizontal_lines, 60, 1),
        shape(frame_1249_shape_group_5_shape_3_horizontal_lines, 69, 3),
        shape(frame_1249_shape_group_5_shape_4_horizontal_lines, 77, 14),
        shape(frame_1249_shape_group_5_shape_5_horizontal_lines, 78, 2),
        shape(frame_1249_shape_group_5_shape_6_horizontal_lines, 79, 1),
        shape(frame_1249_shape_group_5_shape_7_horizontal_lines, 94, 2),
        shape(frame_1249_shape_group_5_shape_8_horizontal_lines, 95, 1),
        shape(frame_1249_shape_group_5_shape_9_horizontal_lines, 103, 8),
        shape(frame_1249_shape_group_5_shape_10_horizontal_lines, 105, 1),
        shape(frame_1249_shape_group_5_shape_11_horizontal_lines, 109, 2),
        shape(frame_1249_shape_group_5_shape_12_horizontal_lines, 110, 1),
        shape(frame_1249_shape_group_5_shape_13_horizontal_lines, 112, 2),
        shape(frame_1249_shape_group_5_shape_14_horizontal_lines, 120, 1),
        shape(frame_1249_shape_group_5_shape_15_horizontal_lines, 121, 2),
        shape(frame_1249_shape_group_5_shape_16_horizontal_lines, 129, 2),
        shape(frame_1249_shape_group_5_shape_17_horizontal_lines, 136, 2),
        shape(frame_1249_shape_group_5_shape_18_horizontal_lines, 143, 2),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(13, 30),
        horizontal_line(17, 31),
        horizontal_line(22, 33),
        horizontal_line(26, 34),
        horizontal_line(30, 35),
        horizontal_line(34, 36),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(124, 157),
        horizontal_line(122, 154),
        horizontal_line(122, 150),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(59, 59),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(106, 113),
        horizontal_line(107, 111),
        horizontal_line(67, 70),
        horizontal_line(43, 60),
        horizontal_line(43, 60),
        horizontal_line(96, 100),
        horizontal_line(121, 142),
        horizontal_line(107, 109),
        horizontal_line(119, 141),
    };

    constexpr const horizontal_line frame_1249_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(98, 101),
        horizontal_line(0, 27),
        horizontal_line(0, 23),
        horizontal_line(106, 115),
        horizontal_line(109, 114),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(197, 204),
        horizontal_line(197, 204),
        horizontal_line(134, 196),
    };

    constexpr const shape frame_1249_shape_group_6_shapes[] = {
        shape(frame_1249_shape_group_6_shape_0_horizontal_lines, 59, 1),
        shape(frame_1249_shape_group_6_shape_1_horizontal_lines, 67, 3),
        shape(frame_1249_shape_group_6_shape_2_horizontal_lines, 76, 2),
        shape(frame_1249_shape_group_6_shape_3_horizontal_lines, 78, 14),
        shape(frame_1249_shape_group_6_shape_4_horizontal_lines, 79, 3),
        shape(frame_1249_shape_group_6_shape_5_horizontal_lines, 85, 2),
        shape(frame_1249_shape_group_6_shape_6_horizontal_lines, 86, 1),
        shape(frame_1249_shape_group_6_shape_7_horizontal_lines, 89, 2),
        shape(frame_1249_shape_group_6_shape_8_horizontal_lines, 95, 1),
        shape(frame_1249_shape_group_6_shape_9_horizontal_lines, 96, 3),
        shape(frame_1249_shape_group_6_shape_10_horizontal_lines, 97, 2),
        shape(frame_1249_shape_group_6_shape_11_horizontal_lines, 99, 1),
        shape(frame_1249_shape_group_6_shape_12_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(0, 21),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(147, 156),
        horizontal_line(143, 156),
        horizontal_line(139, 156),
        horizontal_line(135, 156),
        horizontal_line(132, 156),
        horizontal_line(131, 156),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(59, 64),
        horizontal_line(60, 66),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(104, 115),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(68, 70),
        horizontal_line(68, 70),
        horizontal_line(122, 143),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(120, 141),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(108, 117),
        horizontal_line(93, 95),
        horizontal_line(97, 99),
        horizontal_line(139, 193),
        horizontal_line(139, 200),
        horizontal_line(200, 207),
        horizontal_line(199, 206),
        horizontal_line(199, 205),
        horizontal_line(198, 205),
    };

    constexpr const horizontal_line frame_1249_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(196, 203),
    };

    constexpr const shape frame_1249_shape_group_7_shapes[] = {
        shape(frame_1249_shape_group_7_shape_0_horizontal_lines, 76, 14),
        shape(frame_1249_shape_group_7_shape_1_horizontal_lines, 79, 2),
        shape(frame_1249_shape_group_7_shape_2_horizontal_lines, 85, 14),
        shape(frame_1249_shape_group_7_shape_3_horizontal_lines, 86, 2),
        shape(frame_1249_shape_group_7_shape_4_horizontal_lines, 89, 14),
        shape(frame_1249_shape_group_7_shape_5_horizontal_lines, 95, 2),
        shape(frame_1249_shape_group_7_shape_6_horizontal_lines, 99, 1),
        shape(frame_1249_shape_group_7_shape_7_horizontal_lines, 100, 2),
        shape(frame_1249_shape_group_7_shape_8_horizontal_lines, 102, 1),
        shape(frame_1249_shape_group_7_shape_9_horizontal_lines, 106, 2),
        shape(frame_1249_shape_group_7_shape_10_horizontal_lines, 107, 1),
        shape(frame_1249_shape_group_7_shape_11_horizontal_lines, 108, 2),
        shape(frame_1249_shape_group_7_shape_12_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1249_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(155, 156),
        horizontal_line(151, 156),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1249_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(131, 155),
        horizontal_line(130, 155),
    };

    constexpr const horizontal_line frame_1249_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(60, 66),
        horizontal_line(60, 66),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1249_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(96, 102),
    };

    constexpr const horizontal_line frame_1249_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(62, 67),
        horizontal_line(0, 39),
        horizontal_line(77, 77),
        horizontal_line(141, 172),
        horizontal_line(97, 100),
        horizontal_line(107, 116),
    };

    constexpr const shape frame_1249_shape_group_8_shapes[] = {
        shape(frame_1249_shape_group_8_shape_0_horizontal_lines, 79, 14),
        shape(frame_1249_shape_group_8_shape_1_horizontal_lines, 86, 14),
        shape(frame_1249_shape_group_8_shape_2_horizontal_lines, 95, 2),
        shape(frame_1249_shape_group_8_shape_3_horizontal_lines, 97, 14),
        shape(frame_1249_shape_group_8_shape_4_horizontal_lines, 99, 2),
        shape(frame_1249_shape_group_8_shape_5_horizontal_lines, 103, 1),
        shape(frame_1249_shape_group_8_shape_6_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1249_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(131, 155),
        horizontal_line(131, 155),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(60, 66),
    };

    constexpr const horizontal_line frame_1249_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_1249_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(61, 66),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(61, 67),
        horizontal_line(72, 74),
        horizontal_line(68, 68),
        horizontal_line(109, 118),
    };

    constexpr const horizontal_line frame_1249_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(82, 93),
    };

    constexpr const horizontal_line frame_1249_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(108, 117),
        horizontal_line(140, 186),
    };

    constexpr const shape frame_1249_shape_group_9_shapes[] = {
        shape(frame_1249_shape_group_9_shape_0_horizontal_lines, 87, 14),
        shape(frame_1249_shape_group_9_shape_1_horizontal_lines, 95, 14),
        shape(frame_1249_shape_group_9_shape_2_horizontal_lines, 99, 2),
        shape(frame_1249_shape_group_9_shape_3_horizontal_lines, 100, 14),
        shape(frame_1249_shape_group_9_shape_4_horizontal_lines, 102, 2),
        shape(frame_1249_shape_group_9_shape_5_horizontal_lines, 109, 7),
        shape(frame_1249_shape_group_9_shape_6_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1249_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(130, 155),
        horizontal_line(130, 155),
        horizontal_line(130, 155),
        horizontal_line(110, 115),
    };

    constexpr const horizontal_line frame_1249_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(61, 67),
        horizontal_line(61, 67),
        horizontal_line(71, 74),
        horizontal_line(111, 120),
        horizontal_line(72, 74),
        horizontal_line(142, 165),
    };

    constexpr const horizontal_line frame_1249_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1249_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(140, 179),
    };

    constexpr const shape frame_1249_shape_group_10_shapes[] = {
        shape(frame_1249_shape_group_10_shape_0_horizontal_lines, 95, 14),
        shape(frame_1249_shape_group_10_shape_1_horizontal_lines, 99, 14),
        shape(frame_1249_shape_group_10_shape_2_horizontal_lines, 103, 2),
        shape(frame_1249_shape_group_10_shape_3_horizontal_lines, 109, 11),
        shape(frame_1249_shape_group_10_shape_4_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1249_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(71, 72),
        horizontal_line(144, 144),
        horizontal_line(143, 151),
        horizontal_line(110, 119),
    };

    constexpr const horizontal_line frame_1249_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_1249_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(92, 92),
    };

    constexpr const shape frame_1249_shape_group_11_shapes[] = {
        shape(frame_1249_shape_group_11_shape_0_horizontal_lines, 99, 14),
        shape(frame_1249_shape_group_11_shape_1_horizontal_lines, 103, 2),
        shape(frame_1249_shape_group_11_shape_2_horizontal_lines, 108, 14),
        shape(frame_1249_shape_group_11_shape_3_horizontal_lines, 110, 7),
    };

    constexpr const horizontal_line frame_1249_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(101, 101),
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1249_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_1249_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(89, 91),
    };

    constexpr const shape frame_1249_shape_group_12_shapes[] = {
        shape(frame_1249_shape_group_12_shape_0_horizontal_lines, 103, 14),
        shape(frame_1249_shape_group_12_shape_1_horizontal_lines, 107, 2),
        shape(frame_1249_shape_group_12_shape_2_horizontal_lines, 108, 14),
        shape(frame_1249_shape_group_12_shape_3_horizontal_lines, 110, 12),
    };

    constexpr const horizontal_line frame_1249_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(109, 115),
        horizontal_line(229, 239),
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_1249_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const shape frame_1249_shape_group_13_shapes[] = {
        shape(frame_1249_shape_group_13_shape_0_horizontal_lines, 103, 14),
        shape(frame_1249_shape_group_13_shape_1_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_1249_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1249_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1249_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(92, 94),
    };

    constexpr const shape frame_1249_shape_group_14_shapes[] = {
        shape(frame_1249_shape_group_14_shape_0_horizontal_lines, 105, 14),
        shape(frame_1249_shape_group_14_shape_1_horizontal_lines, 106, 7),
        shape(frame_1249_shape_group_14_shape_2_horizontal_lines, 107, 14),
        shape(frame_1249_shape_group_14_shape_3_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_1249_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1249_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(78, 91),
    };

    constexpr const horizontal_line frame_1249_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1249_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(85, 91),
    };

    constexpr const shape frame_1249_shape_group_15_shapes[] = {
        shape(frame_1249_shape_group_15_shape_0_horizontal_lines, 105, 7),
        shape(frame_1249_shape_group_15_shape_1_horizontal_lines, 106, 10),
        shape(frame_1249_shape_group_15_shape_2_horizontal_lines, 107, 7),
        shape(frame_1249_shape_group_15_shape_3_horizontal_lines, 108, 10),
    };

    constexpr const horizontal_line frame_1249_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(78, 84),
    };

    constexpr const horizontal_line frame_1249_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(92, 92),
    };

    constexpr const horizontal_line frame_1249_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(79, 92),
        horizontal_line(99, 100),
    };

    constexpr const shape frame_1249_shape_group_16_shapes[] = {
        shape(frame_1249_shape_group_16_shape_0_horizontal_lines, 105, 10),
        shape(frame_1249_shape_group_16_shape_1_horizontal_lines, 106, 6),
        shape(frame_1249_shape_group_16_shape_2_horizontal_lines, 107, 10),
    };

    constexpr const horizontal_line frame_1249_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(85, 85),
    };

    constexpr const horizontal_line frame_1249_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1249_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(78, 79),
    };

    constexpr const shape frame_1249_shape_group_17_shapes[] = {
        shape(frame_1249_shape_group_17_shape_0_horizontal_lines, 105, 5),
        shape(frame_1249_shape_group_17_shape_1_horizontal_lines, 107, 10),
        shape(frame_1249_shape_group_17_shape_2_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_1249_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(93, 95),
    };

    constexpr const shape frame_1249_shape_group_18_shapes[] = {
        shape(frame_1249_shape_group_18_shape_0_horizontal_lines, 107, 6),
    };

    constexpr const horizontal_line frame_1249_shape_group_19_shape_0_horizontal_lines[] = {
        horizontal_line(78, 78),
    };

    constexpr const shape frame_1249_shape_group_19_shapes[] = {
        shape(frame_1249_shape_group_19_shape_0_horizontal_lines, 107, 12),
    };

    constexpr const shape_group frame_1249_shape_groups[] = {
        shape_group(frame_1249_shape_group_0_shapes),
        shape_group(frame_1249_shape_group_1_shapes),
        shape_group(frame_1249_shape_group_2_shapes),
        shape_group(frame_1249_shape_group_3_shapes),
        shape_group(frame_1249_shape_group_4_shapes),
        shape_group(frame_1249_shape_group_5_shapes),
        shape_group(frame_1249_shape_group_6_shapes),
        shape_group(frame_1249_shape_group_7_shapes),
        shape_group(frame_1249_shape_group_8_shapes),
        shape_group(frame_1249_shape_group_9_shapes),
        shape_group(frame_1249_shape_group_10_shapes),
        shape_group(frame_1249_shape_group_11_shapes),
        shape_group(frame_1249_shape_group_12_shapes),
        shape_group(frame_1249_shape_group_13_shapes),
        shape_group(frame_1249_shape_group_14_shapes),
        shape_group(frame_1249_shape_group_15_shapes),
        shape_group(frame_1249_shape_group_16_shapes),
        shape_group(frame_1249_shape_group_17_shapes),
        shape_group(frame_1249_shape_group_18_shapes),
        shape_group(frame_1249_shape_group_19_shapes),
    };

    constexpr const frame frame_1249_impl(frame_1249_colors, frame_1249_shape_groups);
} 

const frame& frame_1249()
{
    return frame_1249_impl;
}

namespace
{
    constexpr const bn::color frame_1250_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1250_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(1, 44),
        horizontal_line(2, 45),
        horizontal_line(3, 45),
        horizontal_line(5, 46),
        horizontal_line(6, 47),
        horizontal_line(8, 47),
        horizontal_line(9, 48),
        horizontal_line(10, 49),
        horizontal_line(12, 50),
        horizontal_line(13, 50),
        horizontal_line(15, 51),
        horizontal_line(16, 52),
        horizontal_line(17, 52),
        horizontal_line(19, 53),
        horizontal_line(20, 54),
        horizontal_line(22, 55),
        horizontal_line(23, 55),
        horizontal_line(24, 56),
        horizontal_line(26, 57),
        horizontal_line(27, 57),
        horizontal_line(29, 58),
        horizontal_line(30, 59),
        horizontal_line(32, 60),
        horizontal_line(31, 32),
        horizontal_line(31, 33),
        horizontal_line(30, 34),
        horizontal_line(30, 35),
        horizontal_line(29, 36),
        horizontal_line(29, 37),
        horizontal_line(28, 39),
        horizontal_line(28, 40),
        horizontal_line(27, 41),
        horizontal_line(27, 42),
        horizontal_line(26, 43),
        horizontal_line(26, 44),
        horizontal_line(25, 45),
        horizontal_line(25, 47),
        horizontal_line(24, 48),
        horizontal_line(24, 49),
        horizontal_line(23, 50),
        horizontal_line(23, 51),
        horizontal_line(23, 52),
        horizontal_line(24, 53),
        horizontal_line(26, 55),
        horizontal_line(28, 54),
        horizontal_line(30, 54),
        horizontal_line(33, 53),
        horizontal_line(35, 53),
        horizontal_line(37, 53),
        horizontal_line(39, 52),
        horizontal_line(42, 52),
        horizontal_line(44, 52),
        horizontal_line(46, 51),
        horizontal_line(48, 51),
        horizontal_line(51, 51),
        horizontal_line(65, 65),
        horizontal_line(65, 66),
        horizontal_line(64, 66),
        horizontal_line(64, 67),
        horizontal_line(63, 67),
        horizontal_line(63, 68),
        horizontal_line(63, 78),
        horizontal_line(64, 68),
        horizontal_line(65, 68),
        horizontal_line(66, 68),
        horizontal_line(67, 68),
        horizontal_line(68, 68),
        horizontal_line(73, 74),
        horizontal_line(72, 75),
        horizontal_line(72, 74),
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_1250_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(89, 94),
        horizontal_line(93, 93),
        horizontal_line(149, 199),
    };

    constexpr const horizontal_line frame_1250_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(50, 66),
        horizontal_line(39, 72),
        horizontal_line(45, 78),
        horizontal_line(52, 84),
        horizontal_line(58, 91),
        horizontal_line(65, 97),
        horizontal_line(72, 103),
        horizontal_line(78, 109),
        horizontal_line(85, 116),
        horizontal_line(91, 118),
        horizontal_line(98, 121),
        horizontal_line(105, 123),
        horizontal_line(111, 126),
        horizontal_line(118, 129),
        horizontal_line(124, 131),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_1250_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_1250_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 22),
        horizontal_line(0, 34),
        horizontal_line(0, 46),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1250_shape_group_0_shapes[] = {
        shape(frame_1250_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1250_shape_group_0_shape_1_horizontal_lines, 104, 4),
        shape(frame_1250_shape_group_0_shape_2_horizontal_lines, 107, 9),
        shape(frame_1250_shape_group_0_shape_3_horizontal_lines, 123, 8),
        shape(frame_1250_shape_group_0_shape_4_horizontal_lines, 147, 9),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(22, 64),
        horizontal_line(22, 66),
        horizontal_line(23, 69),
        horizontal_line(24, 72),
        horizontal_line(24, 75),
        horizontal_line(25, 78),
        horizontal_line(26, 81),
        horizontal_line(26, 84),
        horizontal_line(27, 87),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(33, 60),
        horizontal_line(34, 61),
        horizontal_line(35, 61),
        horizontal_line(36, 62),
        horizontal_line(37, 62),
        horizontal_line(38, 63),
        horizontal_line(40, 63),
        horizontal_line(41, 64),
        horizontal_line(42, 64),
        horizontal_line(43, 65),
        horizontal_line(44, 65),
        horizontal_line(45, 66),
        horizontal_line(46, 66),
        horizontal_line(48, 67),
        horizontal_line(49, 67),
        horizontal_line(50, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(56, 71),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
        horizontal_line(60, 73),
        horizontal_line(61, 73),
        horizontal_line(62, 73),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 75),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(66, 75),
        horizontal_line(66, 75),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(69, 78),
        horizontal_line(79, 82),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(71, 78),
        horizontal_line(72, 78),
        horizontal_line(73, 78),
        horizontal_line(74, 79),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(75, 79),
        horizontal_line(76, 80),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(77, 81),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(85, 95),
        horizontal_line(121, 125),
        horizontal_line(117, 123),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(38, 60),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(102, 103),
        horizontal_line(160, 219),
        horizontal_line(166, 228),
        horizontal_line(172, 234),
        horizontal_line(177, 239),
        horizontal_line(183, 239),
        horizontal_line(189, 239),
        horizontal_line(195, 239),
        horizontal_line(201, 239),
        horizontal_line(206, 239),
        horizontal_line(212, 236),
        horizontal_line(218, 234),
        horizontal_line(224, 231),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(11, 73),
        horizontal_line(23, 85),
        horizontal_line(35, 97),
        horizontal_line(47, 109),
        horizontal_line(59, 121),
    };

    constexpr const horizontal_line frame_1250_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 82),
        horizontal_line(62, 94),
        horizontal_line(62, 106),
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1250_shape_group_1_shapes[] = {
        shape(frame_1250_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1250_shape_group_1_shape_1_horizontal_lines, 77, 9),
        shape(frame_1250_shape_group_1_shape_2_horizontal_lines, 87, 4),
        shape(frame_1250_shape_group_1_shape_3_horizontal_lines, 95, 9),
        shape(frame_1250_shape_group_1_shape_4_horizontal_lines, 100, 4),
        shape(frame_1250_shape_group_1_shape_5_horizontal_lines, 102, 9),
        shape(frame_1250_shape_group_1_shape_6_horizontal_lines, 103, 4),
        shape(frame_1250_shape_group_1_shape_7_horizontal_lines, 106, 1),
        shape(frame_1250_shape_group_1_shape_8_horizontal_lines, 107, 4),
        shape(frame_1250_shape_group_1_shape_9_horizontal_lines, 120, 8),
        shape(frame_1250_shape_group_1_shape_10_horizontal_lines, 152, 9),
    };

    constexpr const horizontal_line frame_1250_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(90, 90),
        horizontal_line(91, 93),
        horizontal_line(91, 96),
        horizontal_line(92, 99),
        horizontal_line(93, 102),
        horizontal_line(93, 105),
        horizontal_line(94, 108),
        horizontal_line(95, 111),
        horizontal_line(96, 114),
        horizontal_line(96, 116),
        horizontal_line(97, 119),
        horizontal_line(98, 122),
        horizontal_line(98, 125),
        horizontal_line(99, 128),
        horizontal_line(100, 131),
        horizontal_line(101, 134),
        horizontal_line(101, 137),
        horizontal_line(102, 140),
        horizontal_line(103, 143),
        horizontal_line(103, 146),
        horizontal_line(104, 149),
        horizontal_line(105, 152),
        horizontal_line(105, 155),
        horizontal_line(106, 158),
        horizontal_line(107, 161),
        horizontal_line(108, 164),
        horizontal_line(108, 167),
        horizontal_line(109, 169),
        horizontal_line(110, 172),
        horizontal_line(110, 172),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(63, 125),
        horizontal_line(67, 129),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(110, 172),
        horizontal_line(114, 170),
        horizontal_line(118, 167),
        horizontal_line(122, 164),
        horizontal_line(126, 161),
        horizontal_line(130, 158),
        horizontal_line(134, 155),
        horizontal_line(138, 152),
        horizontal_line(142, 149),
        horizontal_line(72, 74),
        horizontal_line(72, 79),
        horizontal_line(73, 84),
        horizontal_line(73, 88),
        horizontal_line(74, 93),
        horizontal_line(74, 98),
        horizontal_line(74, 103),
        horizontal_line(75, 107),
        horizontal_line(75, 112),
        horizontal_line(76, 117),
        horizontal_line(79, 122),
        horizontal_line(84, 121),
        horizontal_line(88, 119),
        horizontal_line(93, 117),
        horizontal_line(97, 116),
        horizontal_line(102, 114),
        horizontal_line(106, 112),
        horizontal_line(111, 111),
        horizontal_line(79, 87),
        horizontal_line(79, 92),
        horizontal_line(79, 97),
        horizontal_line(80, 103),
        horizontal_line(74, 79),
        horizontal_line(91, 100),
        horizontal_line(98, 98),
        horizontal_line(82, 87),
        horizontal_line(126, 127),
        horizontal_line(154, 179),
        horizontal_line(151, 189),
    };

    constexpr const horizontal_line frame_1250_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_1250_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(154, 209),
    };

    constexpr const horizontal_line frame_1250_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_1250_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(228, 229),
        horizontal_line(234, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1250_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(23, 64),
        horizontal_line(20, 71),
        horizontal_line(16, 77),
        horizontal_line(12, 74),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(62, 117),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 140),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 177),
        horizontal_line(73, 135),
        horizontal_line(85, 147),
        horizontal_line(97, 159),
        horizontal_line(109, 171),
        horizontal_line(121, 183),
        horizontal_line(71, 133),
        horizontal_line(83, 145),
        horizontal_line(95, 157),
        horizontal_line(107, 169),
        horizontal_line(119, 181),
    };

    constexpr const horizontal_line frame_1250_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(124, 130),
        horizontal_line(124, 142),
        horizontal_line(124, 154),
    };

    constexpr const shape frame_1250_shape_group_2_shapes[] = {
        shape(frame_1250_shape_group_2_shape_0_horizontal_lines, 9, 4),
        shape(frame_1250_shape_group_2_shape_1_horizontal_lines, 106, 1),
        shape(frame_1250_shape_group_2_shape_2_horizontal_lines, 107, 4),
        shape(frame_1250_shape_group_2_shape_3_horizontal_lines, 108, 8),
        shape(frame_1250_shape_group_2_shape_4_horizontal_lines, 109, 4),
        shape(frame_1250_shape_group_2_shape_5_horizontal_lines, 112, 8),
        shape(frame_1250_shape_group_2_shape_6_horizontal_lines, 157, 9),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(172, 175),
        horizontal_line(173, 178),
        horizontal_line(174, 181),
        horizontal_line(175, 184),
        horizontal_line(175, 187),
        horizontal_line(176, 190),
        horizontal_line(177, 193),
        horizontal_line(177, 196),
        horizontal_line(178, 199),
        horizontal_line(179, 202),
        horizontal_line(180, 205),
        horizontal_line(180, 208),
        horizontal_line(181, 211),
        horizontal_line(182, 214),
        horizontal_line(182, 217),
        horizontal_line(183, 219),
        horizontal_line(184, 216),
        horizontal_line(185, 213),
        horizontal_line(125, 187),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(141, 198),
        horizontal_line(145, 195),
        horizontal_line(149, 192),
        horizontal_line(153, 189),
        horizontal_line(157, 186),
        horizontal_line(161, 183),
        horizontal_line(165, 179),
        horizontal_line(168, 176),
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(3, 24),
        horizontal_line(7, 23),
        horizontal_line(11, 23),
        horizontal_line(14, 22),
        horizontal_line(18, 22),
        horizontal_line(22, 22),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(25, 25),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(27, 29),
        horizontal_line(29, 32),
        horizontal_line(30, 34),
        horizontal_line(31, 36),
        horizontal_line(32, 38),
        horizontal_line(33, 41),
        horizontal_line(35, 43),
        horizontal_line(37, 45),
        horizontal_line(39, 47),
        horizontal_line(42, 50),
        horizontal_line(44, 64),
        horizontal_line(47, 52),
        horizontal_line(49, 53),
        horizontal_line(52, 54),
        horizontal_line(54, 55),
        horizontal_line(60, 62),
        horizontal_line(62, 62),
        horizontal_line(69, 70),
        horizontal_line(69, 71),
        horizontal_line(69, 72),
        horizontal_line(69, 73),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(85, 102),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(157, 169),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(35, 44),
        horizontal_line(31, 51),
        horizontal_line(27, 57),
        horizontal_line(98, 99),
        horizontal_line(104, 106),
        horizontal_line(110, 111),
        horizontal_line(74, 84),
        horizontal_line(70, 90),
        horizontal_line(66, 97),
        horizontal_line(63, 104),
        horizontal_line(62, 110),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(130, 137),
        horizontal_line(132, 137),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1250_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(135, 179),
        horizontal_line(147, 180),
        horizontal_line(159, 182),
        horizontal_line(171, 184),
        horizontal_line(183, 186),
        horizontal_line(133, 187),
        horizontal_line(145, 189),
        horizontal_line(157, 191),
        horizontal_line(169, 193),
        horizontal_line(181, 194),
        horizontal_line(131, 193),
        horizontal_line(143, 198),
        horizontal_line(155, 200),
    };

    constexpr const shape frame_1250_shape_group_3_shapes[] = {
        shape(frame_1250_shape_group_3_shape_0_horizontal_lines, 33, 8),
        shape(frame_1250_shape_group_3_shape_1_horizontal_lines, 37, 4),
        shape(frame_1250_shape_group_3_shape_2_horizontal_lines, 69, 8),
        shape(frame_1250_shape_group_3_shape_3_horizontal_lines, 75, 3),
        shape(frame_1250_shape_group_3_shape_4_horizontal_lines, 76, 8),
        shape(frame_1250_shape_group_3_shape_5_horizontal_lines, 77, 4),
        shape(frame_1250_shape_group_3_shape_6_horizontal_lines, 78, 8),
        shape(frame_1250_shape_group_3_shape_7_horizontal_lines, 99, 4),
        shape(frame_1250_shape_group_3_shape_8_horizontal_lines, 100, 8),
        shape(frame_1250_shape_group_3_shape_9_horizontal_lines, 102, 4),
        shape(frame_1250_shape_group_3_shape_10_horizontal_lines, 104, 8),
        shape(frame_1250_shape_group_3_shape_11_horizontal_lines, 106, 1),
        shape(frame_1250_shape_group_3_shape_12_horizontal_lines, 107, 8),
        shape(frame_1250_shape_group_3_shape_13_horizontal_lines, 108, 1),
        shape(frame_1250_shape_group_3_shape_14_horizontal_lines, 109, 8),
        shape(frame_1250_shape_group_3_shape_15_horizontal_lines, 120, 1),
        shape(frame_1250_shape_group_3_shape_16_horizontal_lines, 122, 8),
        shape(frame_1250_shape_group_3_shape_17_horizontal_lines, 123, 1),
        shape(frame_1250_shape_group_3_shape_18_horizontal_lines, 147, 8),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(187, 210),
        horizontal_line(191, 207),
        horizontal_line(195, 204),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(26, 27),
        horizontal_line(55, 56),
        horizontal_line(54, 57),
        horizontal_line(54, 58),
        horizontal_line(54, 59),
        horizontal_line(53, 60),
        horizontal_line(53, 61),
        horizontal_line(53, 62),
        horizontal_line(52, 63),
        horizontal_line(52, 64),
        horizontal_line(52, 65),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(35, 43),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(54, 64),
        horizontal_line(55, 63),
        horizontal_line(57, 63),
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(36, 56),
        horizontal_line(36, 56),
        horizontal_line(36, 56),
        horizontal_line(37, 56),
        horizontal_line(37, 57),
        horizontal_line(37, 57),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(37, 58),
        horizontal_line(37, 58),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(38, 59),
        horizontal_line(38, 59),
        horizontal_line(123, 147),
        horizontal_line(38, 49),
        horizontal_line(103, 109),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(79, 80),
        horizontal_line(85, 87),
        horizontal_line(92, 93),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(100, 105),
        horizontal_line(117, 142),
        horizontal_line(116, 141),
        horizontal_line(117, 141),
        horizontal_line(119, 140),
        horizontal_line(122, 139),
        horizontal_line(124, 139),
        horizontal_line(127, 138),
        horizontal_line(229, 229),
        horizontal_line(228, 232),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(159, 220),
        horizontal_line(160, 220),
        horizontal_line(162, 219),
        horizontal_line(164, 219),
        horizontal_line(166, 218),
        horizontal_line(167, 218),
        horizontal_line(169, 217),
        horizontal_line(171, 217),
        horizontal_line(173, 216),
        horizontal_line(174, 216),
        horizontal_line(176, 215),
        horizontal_line(178, 215),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(193, 196),
    };

    constexpr const horizontal_line frame_1250_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const shape frame_1250_shape_group_4_shapes[] = {
        shape(frame_1250_shape_group_4_shape_0_horizontal_lines, 37, 8),
        shape(frame_1250_shape_group_4_shape_1_horizontal_lines, 56, 4),
        shape(frame_1250_shape_group_4_shape_2_horizontal_lines, 60, 8),
        shape(frame_1250_shape_group_4_shape_3_horizontal_lines, 69, 3),
        shape(frame_1250_shape_group_4_shape_4_horizontal_lines, 76, 3),
        shape(frame_1250_shape_group_4_shape_5_horizontal_lines, 77, 8),
        shape(frame_1250_shape_group_4_shape_6_horizontal_lines, 88, 1),
        shape(frame_1250_shape_group_4_shape_7_horizontal_lines, 89, 8),
        shape(frame_1250_shape_group_4_shape_8_horizontal_lines, 93, 1),
        shape(frame_1250_shape_group_4_shape_9_horizontal_lines, 99, 8),
        shape(frame_1250_shape_group_4_shape_10_horizontal_lines, 100, 1),
        shape(frame_1250_shape_group_4_shape_11_horizontal_lines, 102, 8),
        shape(frame_1250_shape_group_4_shape_12_horizontal_lines, 104, 1),
        shape(frame_1250_shape_group_4_shape_13_horizontal_lines, 109, 8),
        shape(frame_1250_shape_group_4_shape_14_horizontal_lines, 112, 1),
        shape(frame_1250_shape_group_4_shape_15_horizontal_lines, 123, 2),
        shape(frame_1250_shape_group_4_shape_16_horizontal_lines, 147, 1),
        shape(frame_1250_shape_group_4_shape_17_horizontal_lines, 157, 8),
        shape(frame_1250_shape_group_4_shape_18_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(144, 146),
        horizontal_line(142, 148),
        horizontal_line(140, 150),
        horizontal_line(137, 152),
        horizontal_line(135, 154),
        horizontal_line(133, 156),
        horizontal_line(130, 158),
        horizontal_line(35, 36),
        horizontal_line(35, 38),
        horizontal_line(35, 41),
        horizontal_line(124, 154),
        horizontal_line(35, 46),
        horizontal_line(36, 48),
        horizontal_line(36, 51),
        horizontal_line(36, 53),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(108, 113),
        horizontal_line(106, 115),
        horizontal_line(105, 117),
        horizontal_line(37, 57),
        horizontal_line(67, 68),
        horizontal_line(67, 69),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(38, 59),
        horizontal_line(68, 70),
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(69, 71),
        horizontal_line(121, 145),
        horizontal_line(96, 97),
        horizontal_line(95, 96),
        horizontal_line(94, 95),
        horizontal_line(118, 143),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(228, 235),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(200, 226),
        horizontal_line(201, 226),
        horizontal_line(203, 225),
        horizontal_line(205, 225),
        horizontal_line(207, 224),
        horizontal_line(208, 224),
        horizontal_line(210, 223),
        horizontal_line(212, 223),
        horizontal_line(214, 222),
        horizontal_line(215, 222),
        horizontal_line(217, 221),
        horizontal_line(219, 221),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(180, 214),
        horizontal_line(181, 214),
        horizontal_line(183, 213),
        horizontal_line(185, 213),
        horizontal_line(187, 212),
        horizontal_line(188, 212),
        horizontal_line(190, 211),
        horizontal_line(192, 211),
        horizontal_line(194, 210),
        horizontal_line(195, 210),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1250_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(199, 209),
        horizontal_line(201, 209),
    };

    constexpr const shape frame_1250_shape_group_5_shapes[] = {
        shape(frame_1250_shape_group_5_shape_0_horizontal_lines, 48, 1),
        shape(frame_1250_shape_group_5_shape_1_horizontal_lines, 56, 8),
        shape(frame_1250_shape_group_5_shape_2_horizontal_lines, 60, 1),
        shape(frame_1250_shape_group_5_shape_3_horizontal_lines, 77, 8),
        shape(frame_1250_shape_group_5_shape_4_horizontal_lines, 78, 1),
        shape(frame_1250_shape_group_5_shape_5_horizontal_lines, 94, 3),
        shape(frame_1250_shape_group_5_shape_6_horizontal_lines, 95, 1),
        shape(frame_1250_shape_group_5_shape_7_horizontal_lines, 102, 8),
        shape(frame_1250_shape_group_5_shape_8_horizontal_lines, 103, 1),
        shape(frame_1250_shape_group_5_shape_9_horizontal_lines, 106, 2),
        shape(frame_1250_shape_group_5_shape_10_horizontal_lines, 107, 1),
        shape(frame_1250_shape_group_5_shape_11_horizontal_lines, 113, 2),
        shape(frame_1250_shape_group_5_shape_12_horizontal_lines, 122, 1),
        shape(frame_1250_shape_group_5_shape_13_horizontal_lines, 123, 2),
        shape(frame_1250_shape_group_5_shape_14_horizontal_lines, 147, 2),
        shape(frame_1250_shape_group_5_shape_15_horizontal_lines, 157, 1),
        shape(frame_1250_shape_group_5_shape_16_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(1, 26),
        horizontal_line(6, 28),
        horizontal_line(12, 29),
        horizontal_line(18, 30),
        horizontal_line(23, 31),
        horizontal_line(29, 32),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(128, 160),
        horizontal_line(126, 162),
        horizontal_line(124, 158),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(126, 150),
        horizontal_line(128, 145),
        horizontal_line(129, 141),
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(61, 63),
        horizontal_line(63, 64),
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(108, 112),
        horizontal_line(110, 110),
        horizontal_line(38, 58),
        horizontal_line(68, 70),
        horizontal_line(97, 101),
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(61, 67),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(102, 108),
        horizontal_line(102, 107),
        horizontal_line(101, 106),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(107, 116),
        horizontal_line(112, 115),
        horizontal_line(142, 200),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(201, 223),
        horizontal_line(200, 228),
        horizontal_line(200, 227),
        horizontal_line(137, 199),
    };

    constexpr const horizontal_line frame_1250_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(197, 209),
    };

    constexpr const shape frame_1250_shape_group_6_shapes[] = {
        shape(frame_1250_shape_group_6_shape_0_horizontal_lines, 56, 1),
        shape(frame_1250_shape_group_6_shape_1_horizontal_lines, 77, 3),
        shape(frame_1250_shape_group_6_shape_2_horizontal_lines, 84, 2),
        shape(frame_1250_shape_group_6_shape_3_horizontal_lines, 85, 1),
        shape(frame_1250_shape_group_6_shape_4_horizontal_lines, 88, 2),
        shape(frame_1250_shape_group_6_shape_5_horizontal_lines, 89, 1),
        shape(frame_1250_shape_group_6_shape_6_horizontal_lines, 93, 3),
        shape(frame_1250_shape_group_6_shape_7_horizontal_lines, 94, 2),
        shape(frame_1250_shape_group_6_shape_8_horizontal_lines, 95, 3),
        shape(frame_1250_shape_group_6_shape_9_horizontal_lines, 98, 2),
        shape(frame_1250_shape_group_6_shape_10_horizontal_lines, 99, 1),
        shape(frame_1250_shape_group_6_shape_11_horizontal_lines, 106, 2),
        shape(frame_1250_shape_group_6_shape_12_horizontal_lines, 107, 1),
        shape(frame_1250_shape_group_6_shape_13_horizontal_lines, 108, 2),
        shape(frame_1250_shape_group_6_shape_14_horizontal_lines, 109, 1),
        shape(frame_1250_shape_group_6_shape_15_horizontal_lines, 112, 2),
        shape(frame_1250_shape_group_6_shape_16_horizontal_lines, 157, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 11),
        horizontal_line(0, 17),
        horizontal_line(0, 22),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(155, 161),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(54, 54),
        horizontal_line(55, 56),
        horizontal_line(56, 57),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(57, 58),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(58, 66),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(106, 115),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(67, 70),
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(72, 74),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(104, 110),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(120, 145),
        horizontal_line(120, 144),
        horizontal_line(119, 143),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(106, 117),
        horizontal_line(143, 188),
        horizontal_line(142, 194),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(203, 205),
        horizontal_line(202, 211),
        horizontal_line(202, 217),
    };

    constexpr const horizontal_line frame_1250_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(199, 227),
    };

    constexpr const shape frame_1250_shape_group_7_shapes[] = {
        shape(frame_1250_shape_group_7_shape_0_horizontal_lines, 78, 2),
        shape(frame_1250_shape_group_7_shape_1_horizontal_lines, 85, 2),
        shape(frame_1250_shape_group_7_shape_2_horizontal_lines, 88, 14),
        shape(frame_1250_shape_group_7_shape_3_horizontal_lines, 89, 3),
        shape(frame_1250_shape_group_7_shape_4_horizontal_lines, 93, 2),
        shape(frame_1250_shape_group_7_shape_5_horizontal_lines, 99, 1),
        shape(frame_1250_shape_group_7_shape_6_horizontal_lines, 100, 2),
        shape(frame_1250_shape_group_7_shape_7_horizontal_lines, 102, 1),
        shape(frame_1250_shape_group_7_shape_8_horizontal_lines, 104, 2),
        shape(frame_1250_shape_group_7_shape_9_horizontal_lines, 105, 1),
        shape(frame_1250_shape_group_7_shape_10_horizontal_lines, 106, 2),
        shape(frame_1250_shape_group_7_shape_11_horizontal_lines, 107, 1),
        shape(frame_1250_shape_group_7_shape_12_horizontal_lines, 108, 2),
        shape(frame_1250_shape_group_7_shape_13_horizontal_lines, 109, 1),
        shape(frame_1250_shape_group_7_shape_14_horizontal_lines, 112, 2),
        shape(frame_1250_shape_group_7_shape_15_horizontal_lines, 116, 2),
        shape(frame_1250_shape_group_7_shape_16_horizontal_lines, 122, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(134, 160),
        horizontal_line(133, 160),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(57, 62),
        horizontal_line(58, 64),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(132, 159),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(59, 66),
        horizontal_line(59, 66),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(98, 99),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(60, 67),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(112, 122),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(122, 146),
    };

    constexpr const horizontal_line frame_1250_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(99, 102),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(144, 182),
    };

    constexpr const shape frame_1250_shape_group_8_shapes[] = {
        shape(frame_1250_shape_group_8_shape_0_horizontal_lines, 87, 14),
        shape(frame_1250_shape_group_8_shape_1_horizontal_lines, 89, 2),
        shape(frame_1250_shape_group_8_shape_2_horizontal_lines, 93, 14),
        shape(frame_1250_shape_group_8_shape_3_horizontal_lines, 95, 2),
        shape(frame_1250_shape_group_8_shape_4_horizontal_lines, 98, 14),
        shape(frame_1250_shape_group_8_shape_5_horizontal_lines, 99, 2),
        shape(frame_1250_shape_group_8_shape_6_horizontal_lines, 102, 1),
        shape(frame_1250_shape_group_8_shape_7_horizontal_lines, 103, 2),
        shape(frame_1250_shape_group_8_shape_8_horizontal_lines, 105, 1),
        shape(frame_1250_shape_group_8_shape_9_horizontal_lines, 106, 2),
        shape(frame_1250_shape_group_8_shape_10_horizontal_lines, 107, 1),
        shape(frame_1250_shape_group_8_shape_11_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(151, 161),
        horizontal_line(146, 161),
        horizontal_line(142, 161),
        horizontal_line(138, 160),
    };

    constexpr const horizontal_line frame_1250_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(133, 160),
        horizontal_line(133, 160),
        horizontal_line(133, 159),
    };

    constexpr const horizontal_line frame_1250_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(58, 66),
    };

    constexpr const horizontal_line frame_1250_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(113, 116),
        horizontal_line(111, 116),
    };

    constexpr const horizontal_line frame_1250_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(60, 67),
        horizontal_line(71, 74),
        horizontal_line(0, 37),
        horizontal_line(148, 148),
        horizontal_line(0, 37),
        horizontal_line(110, 120),
        horizontal_line(98, 101),
        horizontal_line(93, 94),
        horizontal_line(96, 100),
    };

    constexpr const shape frame_1250_shape_group_9_shapes[] = {
        shape(frame_1250_shape_group_9_shape_0_horizontal_lines, 89, 14),
        shape(frame_1250_shape_group_9_shape_1_horizontal_lines, 95, 14),
        shape(frame_1250_shape_group_9_shape_2_horizontal_lines, 99, 2),
        shape(frame_1250_shape_group_9_shape_3_horizontal_lines, 100, 14),
        shape(frame_1250_shape_group_9_shape_4_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(132, 159),
        horizontal_line(132, 159),
    };

    constexpr const horizontal_line frame_1250_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(59, 66),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1250_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_1250_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(60, 67),
    };

    constexpr const horizontal_line frame_1250_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1250_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(68, 68),
        horizontal_line(146, 159),
        horizontal_line(109, 119),
        horizontal_line(97, 101),
        horizontal_line(107, 118),
    };

    constexpr const shape frame_1250_shape_group_10_shapes[] = {
        shape(frame_1250_shape_group_10_shape_0_horizontal_lines, 99, 14),
        shape(frame_1250_shape_group_10_shape_1_horizontal_lines, 102, 2),
        shape(frame_1250_shape_group_10_shape_2_horizontal_lines, 104, 14),
        shape(frame_1250_shape_group_10_shape_3_horizontal_lines, 105, 2),
        shape(frame_1250_shape_group_10_shape_4_horizontal_lines, 106, 14),
        shape(frame_1250_shape_group_10_shape_5_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(132, 159),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(110, 116),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(79, 84),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(72, 74),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(80, 93),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(72, 74),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(81, 93),
    };

    constexpr const horizontal_line frame_1250_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(146, 165),
        horizontal_line(108, 119),
        horizontal_line(144, 176),
    };

    constexpr const shape frame_1250_shape_group_11_shapes[] = {
        shape(frame_1250_shape_group_11_shape_0_horizontal_lines, 99, 14),
        shape(frame_1250_shape_group_11_shape_1_horizontal_lines, 102, 14),
        shape(frame_1250_shape_group_11_shape_2_horizontal_lines, 104, 10),
        shape(frame_1250_shape_group_11_shape_3_horizontal_lines, 105, 2),
        shape(frame_1250_shape_group_11_shape_4_horizontal_lines, 106, 10),
        shape(frame_1250_shape_group_11_shape_5_horizontal_lines, 107, 2),
        shape(frame_1250_shape_group_11_shape_6_horizontal_lines, 108, 7),
        shape(frame_1250_shape_group_11_shape_7_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(78, 80),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(85, 88),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(78, 79),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(93, 93),
    };

    constexpr const horizontal_line frame_1250_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(145, 171),
    };

    constexpr const shape frame_1250_shape_group_12_shapes[] = {
        shape(frame_1250_shape_group_12_shape_0_horizontal_lines, 103, 10),
        shape(frame_1250_shape_group_12_shape_1_horizontal_lines, 104, 5),
        shape(frame_1250_shape_group_12_shape_2_horizontal_lines, 105, 14),
        shape(frame_1250_shape_group_12_shape_3_horizontal_lines, 106, 7),
        shape(frame_1250_shape_group_12_shape_4_horizontal_lines, 107, 2),
        shape(frame_1250_shape_group_12_shape_5_horizontal_lines, 108, 12),
        shape(frame_1250_shape_group_12_shape_6_horizontal_lines, 109, 7),
        shape(frame_1250_shape_group_12_shape_7_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1250_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(81, 84),
    };

    constexpr const horizontal_line frame_1250_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1250_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_1250_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_1250_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(111, 121),
    };

    constexpr const horizontal_line frame_1250_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1250_shape_group_13_shape_6_horizontal_lines[] = {
        horizontal_line(81, 92),
        horizontal_line(89, 92),
    };

    constexpr const shape frame_1250_shape_group_13_shapes[] = {
        shape(frame_1250_shape_group_13_shape_0_horizontal_lines, 103, 5),
        shape(frame_1250_shape_group_13_shape_1_horizontal_lines, 104, 7),
        shape(frame_1250_shape_group_13_shape_2_horizontal_lines, 105, 14),
        shape(frame_1250_shape_group_13_shape_3_horizontal_lines, 106, 12),
        shape(frame_1250_shape_group_13_shape_4_horizontal_lines, 107, 2),
        shape(frame_1250_shape_group_13_shape_5_horizontal_lines, 108, 6),
        shape(frame_1250_shape_group_13_shape_6_horizontal_lines, 109, 12),
    };

    constexpr const horizontal_line frame_1250_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(79, 88),
    };

    constexpr const horizontal_line frame_1250_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_1250_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(147, 153),
    };

    constexpr const horizontal_line frame_1250_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const horizontal_line frame_1250_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1250_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(88, 88),
    };

    constexpr const shape frame_1250_shape_group_14_shapes[] = {
        shape(frame_1250_shape_group_14_shape_0_horizontal_lines, 105, 10),
        shape(frame_1250_shape_group_14_shape_1_horizontal_lines, 106, 6),
        shape(frame_1250_shape_group_14_shape_2_horizontal_lines, 107, 2),
        shape(frame_1250_shape_group_14_shape_3_horizontal_lines, 108, 13),
        shape(frame_1250_shape_group_14_shape_4_horizontal_lines, 109, 6),
        shape(frame_1250_shape_group_14_shape_5_horizontal_lines, 110, 13),
    };

    constexpr const horizontal_line frame_1250_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(89, 92),
    };

    constexpr const horizontal_line frame_1250_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1250_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(94, 94),
        horizontal_line(94, 94),
    };

    constexpr const shape frame_1250_shape_group_15_shapes[] = {
        shape(frame_1250_shape_group_15_shape_0_horizontal_lines, 105, 5),
        shape(frame_1250_shape_group_15_shape_1_horizontal_lines, 107, 14),
        shape(frame_1250_shape_group_15_shape_2_horizontal_lines, 108, 11),
    };

    constexpr const horizontal_line frame_1250_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1250_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(86, 92),
    };

    constexpr const shape frame_1250_shape_group_16_shapes[] = {
        shape(frame_1250_shape_group_16_shape_0_horizontal_lines, 105, 7),
        shape(frame_1250_shape_group_16_shape_1_horizontal_lines, 107, 10),
    };

    constexpr const horizontal_line frame_1250_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(80, 85),
    };

    constexpr const shape frame_1250_shape_group_17_shapes[] = {
        shape(frame_1250_shape_group_17_shape_0_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_1250_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(93, 94),
    };

    constexpr const shape frame_1250_shape_group_18_shapes[] = {
        shape(frame_1250_shape_group_18_shape_0_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_1250_shape_group_19_shape_0_horizontal_lines[] = {
        horizontal_line(78, 79),
    };

    constexpr const shape frame_1250_shape_group_19_shapes[] = {
        shape(frame_1250_shape_group_19_shape_0_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_1250_shape_group_20_shape_0_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const shape frame_1250_shape_group_20_shapes[] = {
        shape(frame_1250_shape_group_20_shape_0_horizontal_lines, 107, 6),
    };

    constexpr const shape_group frame_1250_shape_groups[] = {
        shape_group(frame_1250_shape_group_0_shapes),
        shape_group(frame_1250_shape_group_1_shapes),
        shape_group(frame_1250_shape_group_2_shapes),
        shape_group(frame_1250_shape_group_3_shapes),
        shape_group(frame_1250_shape_group_4_shapes),
        shape_group(frame_1250_shape_group_5_shapes),
        shape_group(frame_1250_shape_group_6_shapes),
        shape_group(frame_1250_shape_group_7_shapes),
        shape_group(frame_1250_shape_group_8_shapes),
        shape_group(frame_1250_shape_group_9_shapes),
        shape_group(frame_1250_shape_group_10_shapes),
        shape_group(frame_1250_shape_group_11_shapes),
        shape_group(frame_1250_shape_group_12_shapes),
        shape_group(frame_1250_shape_group_13_shapes),
        shape_group(frame_1250_shape_group_14_shapes),
        shape_group(frame_1250_shape_group_15_shapes),
        shape_group(frame_1250_shape_group_16_shapes),
        shape_group(frame_1250_shape_group_17_shapes),
        shape_group(frame_1250_shape_group_18_shapes),
        shape_group(frame_1250_shape_group_19_shapes),
        shape_group(frame_1250_shape_group_20_shapes),
    };

    constexpr const frame frame_1250_impl(frame_1250_colors, frame_1250_shape_groups);
} 

const frame& frame_1250()
{
    return frame_1250_impl;
}

namespace
{
    constexpr const bn::color frame_1251_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1251_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 43),
        horizontal_line(3, 44),
        horizontal_line(5, 45),
        horizontal_line(6, 45),
        horizontal_line(7, 46),
        horizontal_line(9, 47),
        horizontal_line(10, 48),
        horizontal_line(12, 48),
        horizontal_line(13, 49),
        horizontal_line(14, 50),
        horizontal_line(16, 51),
        horizontal_line(17, 51),
        horizontal_line(19, 52),
        horizontal_line(20, 53),
        horizontal_line(21, 54),
        horizontal_line(23, 54),
        horizontal_line(24, 55),
        horizontal_line(26, 56),
        horizontal_line(25, 26),
        horizontal_line(25, 27),
        horizontal_line(24, 28),
        horizontal_line(24, 29),
        horizontal_line(23, 31),
        horizontal_line(23, 32),
        horizontal_line(22, 33),
        horizontal_line(22, 34),
        horizontal_line(21, 35),
        horizontal_line(21, 37),
        horizontal_line(20, 38),
        horizontal_line(20, 39),
        horizontal_line(19, 40),
        horizontal_line(19, 42),
        horizontal_line(18, 43),
        horizontal_line(18, 44),
        horizontal_line(17, 45),
        horizontal_line(17, 46),
        horizontal_line(16, 48),
        horizontal_line(16, 49),
        horizontal_line(16, 50),
        horizontal_line(17, 51),
        horizontal_line(20, 70),
        horizontal_line(22, 52),
        horizontal_line(25, 52),
        horizontal_line(28, 51),
        horizontal_line(30, 51),
        horizontal_line(33, 51),
        horizontal_line(35, 50),
        horizontal_line(38, 50),
        horizontal_line(41, 50),
        horizontal_line(43, 49),
        horizontal_line(46, 49),
        horizontal_line(49, 49),
        horizontal_line(64, 64),
        horizontal_line(64, 65),
        horizontal_line(63, 66),
        horizontal_line(63, 66),
        horizontal_line(63, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 78),
        horizontal_line(62, 68),
        horizontal_line(63, 68),
        horizontal_line(64, 68),
        horizontal_line(66, 68),
        horizontal_line(68, 68),
        horizontal_line(73, 74),
        horizontal_line(72, 80),
        horizontal_line(72, 74),
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_1251_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(97, 98),
    };

    constexpr const horizontal_line frame_1251_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(53, 64),
        horizontal_line(47, 70),
        horizontal_line(41, 76),
        horizontal_line(35, 82),
        horizontal_line(41, 88),
        horizontal_line(48, 94),
        horizontal_line(55, 100),
        horizontal_line(61, 106),
        horizontal_line(68, 112),
        horizontal_line(75, 118),
        horizontal_line(81, 120),
        horizontal_line(88, 122),
        horizontal_line(95, 124),
        horizontal_line(101, 127),
        horizontal_line(108, 129),
        horizontal_line(115, 131),
        horizontal_line(121, 134),
        horizontal_line(128, 136),
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_1251_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1251_shape_group_0_shapes[] = {
        shape(frame_1251_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1251_shape_group_0_shape_1_horizontal_lines, 103, 14),
        shape(frame_1251_shape_group_0_shape_2_horizontal_lines, 107, 9),
        shape(frame_1251_shape_group_0_shape_3_horizontal_lines, 126, 8),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(128, 190),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(136, 198),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(149, 211),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(157, 219),
        horizontal_line(160, 222),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(58, 60),
        horizontal_line(59, 64),
        horizontal_line(59, 68),
        horizontal_line(60, 72),
        horizontal_line(61, 76),
        horizontal_line(61, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 88),
        horizontal_line(63, 92),
        horizontal_line(64, 96),
        horizontal_line(64, 100),
        horizontal_line(65, 105),
        horizontal_line(66, 109),
        horizontal_line(66, 113),
        horizontal_line(67, 117),
        horizontal_line(67, 121),
        horizontal_line(68, 125),
        horizontal_line(69, 129),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(55, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
        horizontal_line(60, 72),
        horizontal_line(61, 73),
        horizontal_line(62, 73),
        horizontal_line(63, 74),
        horizontal_line(64, 74),
        horizontal_line(65, 75),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(76, 79),
        horizontal_line(77, 84),
        horizontal_line(77, 89),
        horizontal_line(78, 95),
        horizontal_line(78, 100),
        horizontal_line(79, 105),
        horizontal_line(82, 111),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(71, 78),
        horizontal_line(72, 78),
        horizontal_line(73, 78),
        horizontal_line(74, 79),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(81, 91),
        horizontal_line(85, 98),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(77, 80),
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(103, 109),
        horizontal_line(103, 109),
        horizontal_line(102, 109),
        horizontal_line(109, 111),
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(74, 77),
        horizontal_line(80, 83),
        horizontal_line(85, 88),
        horizontal_line(91, 94),
        horizontal_line(96, 100),
        horizontal_line(102, 103),
    };

    constexpr const horizontal_line frame_1251_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(21, 60),
        horizontal_line(18, 67),
        horizontal_line(14, 74),
        horizontal_line(11, 73),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1251_shape_group_1_shapes[] = {
        shape(frame_1251_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1251_shape_group_1_shape_1_horizontal_lines, 45, 8),
        shape(frame_1251_shape_group_1_shape_2_horizontal_lines, 51, 14),
        shape(frame_1251_shape_group_1_shape_3_horizontal_lines, 53, 9),
        shape(frame_1251_shape_group_1_shape_4_horizontal_lines, 54, 14),
        shape(frame_1251_shape_group_1_shape_5_horizontal_lines, 76, 9),
        shape(frame_1251_shape_group_1_shape_6_horizontal_lines, 87, 14),
        shape(frame_1251_shape_group_1_shape_7_horizontal_lines, 94, 9),
        shape(frame_1251_shape_group_1_shape_8_horizontal_lines, 99, 14),
        shape(frame_1251_shape_group_1_shape_9_horizontal_lines, 101, 9),
        shape(frame_1251_shape_group_1_shape_10_horizontal_lines, 103, 14),
        shape(frame_1251_shape_group_1_shape_11_horizontal_lines, 108, 9),
        shape(frame_1251_shape_group_1_shape_12_horizontal_lines, 114, 8),
    };

    constexpr const horizontal_line frame_1251_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1251_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1251_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(196, 239),
        horizontal_line(192, 239),
        horizontal_line(189, 239),
        horizontal_line(185, 239),
        horizontal_line(182, 239),
        horizontal_line(179, 239),
        horizontal_line(175, 237),
        horizontal_line(172, 234),
        horizontal_line(168, 230),
        horizontal_line(165, 227),
        horizontal_line(162, 224),
        horizontal_line(158, 220),
        horizontal_line(155, 217),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(88, 145),
        horizontal_line(92, 142),
        horizontal_line(97, 140),
        horizontal_line(101, 137),
        horizontal_line(106, 134),
        horizontal_line(110, 132),
        horizontal_line(115, 129),
        horizontal_line(119, 126),
        horizontal_line(124, 124),
        horizontal_line(123, 124),
        horizontal_line(121, 126),
        horizontal_line(119, 128),
        horizontal_line(118, 130),
        horizontal_line(116, 132),
        horizontal_line(114, 134),
        horizontal_line(113, 134),
        horizontal_line(86, 110),
        horizontal_line(91, 108),
        horizontal_line(95, 107),
        horizontal_line(99, 105),
        horizontal_line(80, 84),
        horizontal_line(102, 106),
        horizontal_line(100, 109),
        horizontal_line(90, 97),
        horizontal_line(96, 96),
        horizontal_line(118, 127),
        horizontal_line(118, 122),
        horizontal_line(127, 158),
        horizontal_line(140, 155),
        horizontal_line(196, 239),
        horizontal_line(203, 239),
        horizontal_line(210, 239),
        horizontal_line(218, 239),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(24, 54),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_1251_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(118, 146),
        horizontal_line(119, 146),
    };

    constexpr const horizontal_line frame_1251_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(73, 80),
        horizontal_line(69, 87),
        horizontal_line(66, 94),
        horizontal_line(63, 100),
        horizontal_line(62, 107),
        horizontal_line(62, 114),
        horizontal_line(62, 120),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1251_shape_group_2_shapes[] = {
        shape(frame_1251_shape_group_2_shape_0_horizontal_lines, 0, 14),
        shape(frame_1251_shape_group_2_shape_1_horizontal_lines, 34, 8),
        shape(frame_1251_shape_group_2_shape_2_horizontal_lines, 51, 8),
        shape(frame_1251_shape_group_2_shape_3_horizontal_lines, 53, 14),
        shape(frame_1251_shape_group_2_shape_4_horizontal_lines, 113, 8),
        shape(frame_1251_shape_group_2_shape_5_horizontal_lines, 115, 1),
        shape(frame_1251_shape_group_2_shape_6_horizontal_lines, 117, 8),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(131, 133),
        horizontal_line(132, 137),
        horizontal_line(133, 141),
        horizontal_line(136, 145),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(114, 134),
        horizontal_line(116, 134),
        horizontal_line(118, 134),
        horizontal_line(120, 134),
        horizontal_line(104, 104),
        horizontal_line(119, 133),
        horizontal_line(119, 133),
        horizontal_line(101, 109),
        horizontal_line(104, 109),
        horizontal_line(130, 165),
        horizontal_line(128, 161),
        horizontal_line(181, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(65, 67),
        horizontal_line(71, 73),
        horizontal_line(77, 79),
        horizontal_line(83, 84),
        horizontal_line(31, 40),
        horizontal_line(28, 47),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(119, 147),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(121, 145),
        horizontal_line(123, 145),
        horizontal_line(125, 144),
        horizontal_line(128, 143),
        horizontal_line(130, 143),
        horizontal_line(132, 142),
        horizontal_line(135, 141),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(124, 134),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
    };

    constexpr const shape frame_1251_shape_group_3_shapes[] = {
        shape(frame_1251_shape_group_3_shape_0_horizontal_lines, 53, 8),
        shape(frame_1251_shape_group_3_shape_1_horizontal_lines, 69, 14),
        shape(frame_1251_shape_group_3_shape_2_horizontal_lines, 107, 8),
        shape(frame_1251_shape_group_3_shape_3_horizontal_lines, 114, 1),
        shape(frame_1251_shape_group_3_shape_4_horizontal_lines, 115, 2),
        shape(frame_1251_shape_group_3_shape_5_horizontal_lines, 117, 1),
        shape(frame_1251_shape_group_3_shape_6_horizontal_lines, 124, 8),
        shape(frame_1251_shape_group_3_shape_7_horizontal_lines, 126, 2),
        shape(frame_1251_shape_group_3_shape_8_horizontal_lines, 154, 8),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(3, 16),
        horizontal_line(7, 15),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(217, 239),
        horizontal_line(141, 150),
        horizontal_line(145, 148),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(119, 133),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(119, 133),
        horizontal_line(118, 133),
        horizontal_line(167, 229),
        horizontal_line(174, 236),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(33, 57),
        horizontal_line(33, 58),
        horizontal_line(34, 52),
        horizontal_line(34, 46),
        horizontal_line(34, 40),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(89, 90),
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(104, 106),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(113, 117),
        horizontal_line(147, 193),
        horizontal_line(0, 10),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(137, 141),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_1251_shape_group_4_shapes[] = {
        shape(frame_1251_shape_group_4_shape_0_horizontal_lines, 69, 8),
        shape(frame_1251_shape_group_4_shape_1_horizontal_lines, 72, 14),
        shape(frame_1251_shape_group_4_shape_2_horizontal_lines, 105, 1),
        shape(frame_1251_shape_group_4_shape_3_horizontal_lines, 110, 8),
        shape(frame_1251_shape_group_4_shape_4_horizontal_lines, 113, 1),
        shape(frame_1251_shape_group_4_shape_5_horizontal_lines, 114, 2),
        shape(frame_1251_shape_group_4_shape_6_horizontal_lines, 124, 1),
        shape(frame_1251_shape_group_4_shape_7_horizontal_lines, 126, 2),
        shape(frame_1251_shape_group_4_shape_8_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(11, 15),
        horizontal_line(15, 15),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(18, 19),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(21, 27),
        horizontal_line(22, 29),
        horizontal_line(23, 32),
        horizontal_line(24, 34),
        horizontal_line(25, 37),
        horizontal_line(26, 40),
        horizontal_line(28, 42),
        horizontal_line(31, 45),
        horizontal_line(35, 48),
        horizontal_line(38, 63),
        horizontal_line(42, 63),
        horizontal_line(45, 62),
        horizontal_line(49, 53),
        horizontal_line(52, 54),
        horizontal_line(58, 61),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(166, 228),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(229, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(68, 71),
        horizontal_line(68, 71),
        horizontal_line(69, 72),
        horizontal_line(96, 97),
        horizontal_line(95, 97),
        horizontal_line(94, 96),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(101, 107),
        horizontal_line(120, 148),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(108, 118),
        horizontal_line(147, 189),
    };

    constexpr const horizontal_line frame_1251_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(146, 198),
        horizontal_line(146, 202),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(206, 216),
        horizontal_line(205, 220),
        horizontal_line(204, 225),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
    };

    constexpr const shape frame_1251_shape_group_5_shapes[] = {
        shape(frame_1251_shape_group_5_shape_0_horizontal_lines, 70, 3),
        shape(frame_1251_shape_group_5_shape_1_horizontal_lines, 72, 8),
        shape(frame_1251_shape_group_5_shape_2_horizontal_lines, 74, 3),
        shape(frame_1251_shape_group_5_shape_3_horizontal_lines, 75, 8),
        shape(frame_1251_shape_group_5_shape_4_horizontal_lines, 76, 14),
        shape(frame_1251_shape_group_5_shape_5_horizontal_lines, 78, 8),
        shape(frame_1251_shape_group_5_shape_6_horizontal_lines, 94, 14),
        shape(frame_1251_shape_group_5_shape_7_horizontal_lines, 105, 1),
        shape(frame_1251_shape_group_5_shape_8_horizontal_lines, 111, 8),
        shape(frame_1251_shape_group_5_shape_9_horizontal_lines, 112, 1),
        shape(frame_1251_shape_group_5_shape_10_horizontal_lines, 114, 2),
        shape(frame_1251_shape_group_5_shape_11_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(19, 21),
        horizontal_line(20, 24),
        horizontal_line(52, 56),
        horizontal_line(52, 57),
        horizontal_line(52, 58),
        horizontal_line(51, 59),
        horizontal_line(51, 60),
        horizontal_line(51, 61),
        horizontal_line(50, 62),
        horizontal_line(50, 63),
        horizontal_line(50, 64),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(28, 37),
        horizontal_line(29, 41),
        horizontal_line(29, 44),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(55, 62),
        horizontal_line(56, 62),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(56, 57),
        horizontal_line(57, 58),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(69, 71),
        horizontal_line(69, 72),
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(67, 72),
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(75, 76),
        horizontal_line(75, 76),
        horizontal_line(103, 109),
        horizontal_line(102, 109),
        horizontal_line(101, 108),
        horizontal_line(100, 107),
        horizontal_line(120, 148),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(148, 184),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(207, 207),
        horizontal_line(206, 211),
    };

    constexpr const horizontal_line frame_1251_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(204, 229),
        horizontal_line(203, 234),
    };

    constexpr const shape frame_1251_shape_group_6_shapes[] = {
        shape(frame_1251_shape_group_6_shape_0_horizontal_lines, 72, 3),
        shape(frame_1251_shape_group_6_shape_1_horizontal_lines, 75, 3),
        shape(frame_1251_shape_group_6_shape_2_horizontal_lines, 76, 8),
        shape(frame_1251_shape_group_6_shape_3_horizontal_lines, 87, 1),
        shape(frame_1251_shape_group_6_shape_4_horizontal_lines, 90, 8),
        shape(frame_1251_shape_group_6_shape_5_horizontal_lines, 92, 3),
        shape(frame_1251_shape_group_6_shape_6_horizontal_lines, 94, 8),
        shape(frame_1251_shape_group_6_shape_7_horizontal_lines, 98, 14),
        shape(frame_1251_shape_group_6_shape_8_horizontal_lines, 99, 8),
        shape(frame_1251_shape_group_6_shape_9_horizontal_lines, 101, 14),
        shape(frame_1251_shape_group_6_shape_10_horizontal_lines, 103, 8),
        shape(frame_1251_shape_group_6_shape_11_horizontal_lines, 105, 1),
        shape(frame_1251_shape_group_6_shape_12_horizontal_lines, 113, 2),
        shape(frame_1251_shape_group_6_shape_13_horizontal_lines, 119, 2),
        shape(frame_1251_shape_group_6_shape_14_horizontal_lines, 124, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(53, 54),
        horizontal_line(53, 55),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(1, 21),
        horizontal_line(6, 22),
        horizontal_line(11, 23),
        horizontal_line(17, 24),
        horizontal_line(22, 25),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(130, 164),
        horizontal_line(28, 30),
        horizontal_line(28, 34),
        horizontal_line(125, 163),
        horizontal_line(127, 157),
        horizontal_line(129, 152),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(30, 55),
        horizontal_line(30, 55),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(69, 70),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(69, 73),
        horizontal_line(66, 67),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(32, 56),
        horizontal_line(32, 56),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(33, 57),
        horizontal_line(33, 57),
        horizontal_line(126, 126),
        horizontal_line(125, 139),
        horizontal_line(104, 110),
        horizontal_line(123, 151),
        horizontal_line(123, 150),
        horizontal_line(122, 150),
        horizontal_line(121, 149),
    };

    constexpr const horizontal_line frame_1251_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(107, 119),
    };

    constexpr const shape frame_1251_shape_group_7_shapes[] = {
        shape(frame_1251_shape_group_7_shape_0_horizontal_lines, 76, 8),
        shape(frame_1251_shape_group_7_shape_1_horizontal_lines, 78, 3),
        shape(frame_1251_shape_group_7_shape_2_horizontal_lines, 84, 1),
        shape(frame_1251_shape_group_7_shape_3_horizontal_lines, 90, 3),
        shape(frame_1251_shape_group_7_shape_4_horizontal_lines, 92, 1),
        shape(frame_1251_shape_group_7_shape_5_horizontal_lines, 94, 8),
        shape(frame_1251_shape_group_7_shape_6_horizontal_lines, 95, 3),
        shape(frame_1251_shape_group_7_shape_7_horizontal_lines, 97, 8),
        shape(frame_1251_shape_group_7_shape_8_horizontal_lines, 99, 1),
        shape(frame_1251_shape_group_7_shape_9_horizontal_lines, 101, 8),
        shape(frame_1251_shape_group_7_shape_10_horizontal_lines, 103, 1),
        shape(frame_1251_shape_group_7_shape_11_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(146, 153),
        horizontal_line(143, 155),
        horizontal_line(141, 157),
        horizontal_line(138, 159),
        horizontal_line(135, 160),
        horizontal_line(133, 162),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(127, 166),
        horizontal_line(125, 168),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(29, 48),
        horizontal_line(29, 51),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(59, 60),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(30, 55),
        horizontal_line(31, 55),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(66, 66),
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(32, 57),
        horizontal_line(67, 70),
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(124, 152),
    };

    constexpr const horizontal_line frame_1251_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(108, 119),
        horizontal_line(149, 180),
    };

    constexpr const shape frame_1251_shape_group_8_shapes[] = {
        shape(frame_1251_shape_group_8_shape_0_horizontal_lines, 76, 3),
        shape(frame_1251_shape_group_8_shape_1_horizontal_lines, 78, 1),
        shape(frame_1251_shape_group_8_shape_2_horizontal_lines, 84, 2),
        shape(frame_1251_shape_group_8_shape_3_horizontal_lines, 85, 1),
        shape(frame_1251_shape_group_8_shape_4_horizontal_lines, 87, 2),
        shape(frame_1251_shape_group_8_shape_5_horizontal_lines, 90, 1),
        shape(frame_1251_shape_group_8_shape_6_horizontal_lines, 93, 2),
        shape(frame_1251_shape_group_8_shape_7_horizontal_lines, 94, 3),
        shape(frame_1251_shape_group_8_shape_8_horizontal_lines, 95, 1),
        shape(frame_1251_shape_group_8_shape_9_horizontal_lines, 97, 3),
        shape(frame_1251_shape_group_8_shape_10_horizontal_lines, 98, 8),
        shape(frame_1251_shape_group_8_shape_11_horizontal_lines, 99, 1),
        shape(frame_1251_shape_group_8_shape_12_horizontal_lines, 101, 8),
        shape(frame_1251_shape_group_8_shape_13_horizontal_lines, 102, 1),
        shape(frame_1251_shape_group_8_shape_14_horizontal_lines, 105, 2),
        shape(frame_1251_shape_group_8_shape_15_horizontal_lines, 107, 1),
        shape(frame_1251_shape_group_8_shape_16_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(149, 151),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 10),
        horizontal_line(0, 16),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(158, 167),
        horizontal_line(153, 167),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(131, 146),
        horizontal_line(133, 140),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(30, 55),
        horizontal_line(109, 115),
        horizontal_line(108, 117),
        horizontal_line(31, 56),
        horizontal_line(31, 56),
        horizontal_line(107, 113),
        horizontal_line(110, 110),
        horizontal_line(32, 56),
        horizontal_line(67, 70),
        horizontal_line(97, 101),
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_1251_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(58, 67),
        horizontal_line(59, 67),
        horizontal_line(0, 33),
        horizontal_line(78, 78),
        horizontal_line(94, 94),
        horizontal_line(92, 93),
        horizontal_line(98, 99),
        horizontal_line(149, 175),
    };

    constexpr const shape frame_1251_shape_group_9_shapes[] = {
        shape(frame_1251_shape_group_9_shape_0_horizontal_lines, 77, 1),
        shape(frame_1251_shape_group_9_shape_1_horizontal_lines, 79, 2),
        shape(frame_1251_shape_group_9_shape_2_horizontal_lines, 85, 2),
        shape(frame_1251_shape_group_9_shape_3_horizontal_lines, 87, 4),
        shape(frame_1251_shape_group_9_shape_4_horizontal_lines, 90, 1),
        shape(frame_1251_shape_group_9_shape_5_horizontal_lines, 92, 2),
        shape(frame_1251_shape_group_9_shape_6_horizontal_lines, 94, 1),
        shape(frame_1251_shape_group_9_shape_7_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(136, 166),
        horizontal_line(135, 166),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(106, 119),
        horizontal_line(105, 116),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(67, 70),
        horizontal_line(97, 103),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1251_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(72, 74),
        horizontal_line(72, 74),
        horizontal_line(68, 68),
        horizontal_line(98, 102),
        horizontal_line(98, 101),
        horizontal_line(97, 100),
        horizontal_line(108, 120),
    };

    constexpr const shape frame_1251_shape_group_10_shapes[] = {
        shape(frame_1251_shape_group_10_shape_0_horizontal_lines, 90, 2),
        shape(frame_1251_shape_group_10_shape_1_horizontal_lines, 92, 4),
        shape(frame_1251_shape_group_10_shape_2_horizontal_lines, 94, 1),
        shape(frame_1251_shape_group_10_shape_3_horizontal_lines, 95, 2),
        shape(frame_1251_shape_group_10_shape_4_horizontal_lines, 97, 1),
        shape(frame_1251_shape_group_10_shape_5_horizontal_lines, 99, 2),
        shape(frame_1251_shape_group_10_shape_6_horizontal_lines, 101, 1),
        shape(frame_1251_shape_group_10_shape_7_horizontal_lines, 103, 2),
        shape(frame_1251_shape_group_10_shape_8_horizontal_lines, 104, 1),
        shape(frame_1251_shape_group_10_shape_9_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(147, 167),
        horizontal_line(141, 167),
    };

    constexpr const horizontal_line frame_1251_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(56, 60),
        horizontal_line(56, 61),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(57, 65),
        horizontal_line(57, 65),
    };

    constexpr const horizontal_line frame_1251_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(98, 100),
    };

    constexpr const horizontal_line frame_1251_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(58, 66),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1251_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1251_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(77, 78),
        horizontal_line(73, 74),
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(109, 121),
        horizontal_line(150, 171),
    };

    constexpr const shape frame_1251_shape_group_11_shapes[] = {
        shape(frame_1251_shape_group_11_shape_0_horizontal_lines, 90, 4),
        shape(frame_1251_shape_group_11_shape_1_horizontal_lines, 94, 2),
        shape(frame_1251_shape_group_11_shape_2_horizontal_lines, 101, 1),
        shape(frame_1251_shape_group_11_shape_3_horizontal_lines, 102, 2),
        shape(frame_1251_shape_group_11_shape_4_horizontal_lines, 105, 4),
        shape(frame_1251_shape_group_11_shape_5_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(56, 58),
    };

    constexpr const horizontal_line frame_1251_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(135, 166),
        horizontal_line(135, 166),
    };

    constexpr const horizontal_line frame_1251_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(57, 63),
        horizontal_line(57, 65),
    };

    constexpr const horizontal_line frame_1251_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(114, 118),
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1251_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(58, 66),
        horizontal_line(71, 74),
        horizontal_line(58, 67),
    };

    constexpr const horizontal_line frame_1251_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_1251_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(112, 124),
        horizontal_line(77, 78),
        horizontal_line(152, 157),
        horizontal_line(151, 162),
        horizontal_line(151, 166),
    };

    constexpr const shape frame_1251_shape_group_12_shapes[] = {
        shape(frame_1251_shape_group_12_shape_0_horizontal_lines, 94, 2),
        shape(frame_1251_shape_group_12_shape_1_horizontal_lines, 95, 4),
        shape(frame_1251_shape_group_12_shape_2_horizontal_lines, 97, 2),
        shape(frame_1251_shape_group_12_shape_3_horizontal_lines, 99, 4),
        shape(frame_1251_shape_group_12_shape_4_horizontal_lines, 101, 2),
        shape(frame_1251_shape_group_12_shape_5_horizontal_lines, 105, 4),
        shape(frame_1251_shape_group_12_shape_6_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(135, 166),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(135, 166),
        horizontal_line(117, 118),
        horizontal_line(134, 165),
        horizontal_line(134, 165),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(57, 66),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(72, 74),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_6_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_7_horizontal_lines[] = {
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_8_horizontal_lines[] = {
        horizontal_line(79, 84),
        horizontal_line(84, 87),
    };

    constexpr const horizontal_line frame_1251_shape_group_13_shape_9_horizontal_lines[] = {
        horizontal_line(91, 91),
    };

    constexpr const shape frame_1251_shape_group_13_shapes[] = {
        shape(frame_1251_shape_group_13_shape_0_horizontal_lines, 94, 4),
        shape(frame_1251_shape_group_13_shape_1_horizontal_lines, 97, 4),
        shape(frame_1251_shape_group_13_shape_2_horizontal_lines, 101, 2),
        shape(frame_1251_shape_group_13_shape_3_horizontal_lines, 103, 4),
        shape(frame_1251_shape_group_13_shape_4_horizontal_lines, 104, 2),
        shape(frame_1251_shape_group_13_shape_5_horizontal_lines, 105, 7),
        shape(frame_1251_shape_group_13_shape_6_horizontal_lines, 106, 4),
        shape(frame_1251_shape_group_13_shape_7_horizontal_lines, 107, 2),
        shape(frame_1251_shape_group_13_shape_8_horizontal_lines, 108, 7),
        shape(frame_1251_shape_group_13_shape_9_horizontal_lines, 110, 12),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(134, 165),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(110, 118),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(100, 102),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(80, 93),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(80, 94),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(111, 123),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_6_horizontal_lines[] = {
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_1251_shape_group_14_shape_7_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const shape frame_1251_shape_group_14_shapes[] = {
        shape(frame_1251_shape_group_14_shape_0_horizontal_lines, 98, 4),
        shape(frame_1251_shape_group_14_shape_1_horizontal_lines, 101, 4),
        shape(frame_1251_shape_group_14_shape_2_horizontal_lines, 105, 10),
        shape(frame_1251_shape_group_14_shape_3_horizontal_lines, 106, 7),
        shape(frame_1251_shape_group_14_shape_4_horizontal_lines, 107, 2),
        shape(frame_1251_shape_group_14_shape_5_horizontal_lines, 108, 6),
        shape(frame_1251_shape_group_14_shape_6_horizontal_lines, 109, 12),
        shape(frame_1251_shape_group_14_shape_7_horizontal_lines, 110, 13),
    };

    constexpr const horizontal_line frame_1251_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(134, 165),
        horizontal_line(134, 165),
    };

    constexpr const horizontal_line frame_1251_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1251_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_1251_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(94, 94),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1251_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_1251_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(85, 93),
    };

    constexpr const horizontal_line frame_1251_shape_group_15_shape_6_horizontal_lines[] = {
        horizontal_line(88, 89),
    };

    constexpr const shape frame_1251_shape_group_15_shapes[] = {
        shape(frame_1251_shape_group_15_shape_0_horizontal_lines, 101, 4),
        shape(frame_1251_shape_group_15_shape_1_horizontal_lines, 103, 7),
        shape(frame_1251_shape_group_15_shape_2_horizontal_lines, 104, 4),
        shape(frame_1251_shape_group_15_shape_3_horizontal_lines, 105, 6),
        shape(frame_1251_shape_group_15_shape_4_horizontal_lines, 107, 2),
        shape(frame_1251_shape_group_15_shape_5_horizontal_lines, 108, 12),
        shape(frame_1251_shape_group_15_shape_6_horizontal_lines, 109, 13),
    };

    constexpr const horizontal_line frame_1251_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(79, 82),
    };

    constexpr const horizontal_line frame_1251_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1251_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(79, 79),
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_1251_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(81, 89),
    };

    constexpr const horizontal_line frame_1251_shape_group_16_shape_4_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const shape frame_1251_shape_group_16_shapes[] = {
        shape(frame_1251_shape_group_16_shape_0_horizontal_lines, 103, 10),
        shape(frame_1251_shape_group_16_shape_1_horizontal_lines, 104, 7),
        shape(frame_1251_shape_group_16_shape_2_horizontal_lines, 105, 12),
        shape(frame_1251_shape_group_16_shape_3_horizontal_lines, 107, 7),
        shape(frame_1251_shape_group_16_shape_4_horizontal_lines, 108, 11),
    };

    constexpr const horizontal_line frame_1251_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(83, 86),
    };

    constexpr const horizontal_line frame_1251_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(79, 87),
    };

    constexpr const horizontal_line frame_1251_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1251_shape_group_17_shape_3_horizontal_lines[] = {
        horizontal_line(93, 93),
    };

    constexpr const shape frame_1251_shape_group_17_shapes[] = {
        shape(frame_1251_shape_group_17_shape_0_horizontal_lines, 103, 5),
        shape(frame_1251_shape_group_17_shape_1_horizontal_lines, 104, 10),
        shape(frame_1251_shape_group_17_shape_2_horizontal_lines, 106, 11),
        shape(frame_1251_shape_group_17_shape_3_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_1251_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(88, 92),
    };

    constexpr const horizontal_line frame_1251_shape_group_18_shape_1_horizontal_lines[] = {
        horizontal_line(79, 79),
    };

    constexpr const shape frame_1251_shape_group_18_shapes[] = {
        shape(frame_1251_shape_group_18_shape_0_horizontal_lines, 104, 5),
        shape(frame_1251_shape_group_18_shape_1_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_1251_shape_group_19_shape_0_horizontal_lines[] = {
        horizontal_line(93, 93),
    };

    constexpr const horizontal_line frame_1251_shape_group_19_shape_1_horizontal_lines[] = {
        horizontal_line(90, 92),
    };

    constexpr const shape frame_1251_shape_group_19_shapes[] = {
        shape(frame_1251_shape_group_19_shape_0_horizontal_lines, 104, 6),
        shape(frame_1251_shape_group_19_shape_1_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_1251_shape_group_20_shape_0_horizontal_lines[] = {
        horizontal_line(94, 95),
    };

    constexpr const shape frame_1251_shape_group_20_shapes[] = {
        shape(frame_1251_shape_group_20_shape_0_horizontal_lines, 107, 11),
    };

    constexpr const horizontal_line frame_1251_shape_group_21_shape_0_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const shape frame_1251_shape_group_21_shapes[] = {
        shape(frame_1251_shape_group_21_shape_0_horizontal_lines, 107, 13),
    };

    constexpr const shape_group frame_1251_shape_groups[] = {
        shape_group(frame_1251_shape_group_0_shapes),
        shape_group(frame_1251_shape_group_1_shapes),
        shape_group(frame_1251_shape_group_2_shapes),
        shape_group(frame_1251_shape_group_3_shapes),
        shape_group(frame_1251_shape_group_4_shapes),
        shape_group(frame_1251_shape_group_5_shapes),
        shape_group(frame_1251_shape_group_6_shapes),
        shape_group(frame_1251_shape_group_7_shapes),
        shape_group(frame_1251_shape_group_8_shapes),
        shape_group(frame_1251_shape_group_9_shapes),
        shape_group(frame_1251_shape_group_10_shapes),
        shape_group(frame_1251_shape_group_11_shapes),
        shape_group(frame_1251_shape_group_12_shapes),
        shape_group(frame_1251_shape_group_13_shapes),
        shape_group(frame_1251_shape_group_14_shapes),
        shape_group(frame_1251_shape_group_15_shapes),
        shape_group(frame_1251_shape_group_16_shapes),
        shape_group(frame_1251_shape_group_17_shapes),
        shape_group(frame_1251_shape_group_18_shapes),
        shape_group(frame_1251_shape_group_19_shapes),
        shape_group(frame_1251_shape_group_20_shapes),
        shape_group(frame_1251_shape_group_21_shapes),
    };

    constexpr const frame frame_1251_impl(frame_1251_colors, frame_1251_shape_groups);
} 

const frame& frame_1251()
{
    return frame_1251_impl;
}

namespace
{
    constexpr const bn::color frame_1252_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1252_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(4, 45),
        horizontal_line(5, 46),
        horizontal_line(7, 46),
        horizontal_line(8, 47),
        horizontal_line(10, 48),
        horizontal_line(12, 49),
        horizontal_line(13, 50),
        horizontal_line(15, 50),
        horizontal_line(16, 51),
        horizontal_line(18, 52),
        horizontal_line(20, 53),
        horizontal_line(19, 20),
        horizontal_line(19, 21),
        horizontal_line(18, 22),
        horizontal_line(18, 24),
        horizontal_line(17, 25),
        horizontal_line(17, 26),
        horizontal_line(16, 27),
        horizontal_line(16, 29),
        horizontal_line(15, 30),
        horizontal_line(15, 31),
        horizontal_line(14, 32),
        horizontal_line(14, 34),
        horizontal_line(13, 35),
        horizontal_line(13, 36),
        horizontal_line(12, 38),
        horizontal_line(12, 39),
        horizontal_line(11, 40),
        horizontal_line(11, 41),
        horizontal_line(10, 43),
        horizontal_line(10, 44),
        horizontal_line(9, 45),
        horizontal_line(9, 46),
        horizontal_line(8, 48),
        horizontal_line(8, 49),
        horizontal_line(9, 50),
        horizontal_line(12, 52),
        horizontal_line(15, 51),
        horizontal_line(18, 51),
        horizontal_line(20, 50),
        horizontal_line(23, 50),
        horizontal_line(26, 49),
        horizontal_line(29, 49),
        horizontal_line(32, 48),
        horizontal_line(34, 48),
        horizontal_line(37, 47),
        horizontal_line(40, 47),
        horizontal_line(43, 46),
        horizontal_line(46, 46),
        horizontal_line(63, 64),
        horizontal_line(63, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(61, 69),
        horizontal_line(61, 68),
        horizontal_line(61, 68),
        horizontal_line(62, 68),
        horizontal_line(64, 68),
        horizontal_line(66, 68),
        horizontal_line(68, 68),
        horizontal_line(72, 76),
        horizontal_line(72, 75),
        horizontal_line(72, 74),
    };

    constexpr const horizontal_line frame_1252_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(97, 98),
        horizontal_line(96, 102),
        horizontal_line(136, 165),
    };

    constexpr const horizontal_line frame_1252_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(52, 62),
        horizontal_line(47, 68),
        horizontal_line(42, 74),
        horizontal_line(37, 81),
        horizontal_line(32, 87),
        horizontal_line(28, 90),
        horizontal_line(34, 96),
        horizontal_line(41, 103),
        horizontal_line(48, 110),
        horizontal_line(55, 117),
        horizontal_line(62, 121),
        horizontal_line(69, 123),
        horizontal_line(76, 125),
        horizontal_line(83, 127),
        horizontal_line(90, 129),
        horizontal_line(97, 131),
        horizontal_line(104, 133),
        horizontal_line(111, 135),
        horizontal_line(118, 137),
        horizontal_line(125, 139),
        horizontal_line(132, 141),
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_1252_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1252_shape_group_0_shapes[] = {
        shape(frame_1252_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1252_shape_group_0_shape_1_horizontal_lines, 102, 14),
        shape(frame_1252_shape_group_0_shape_2_horizontal_lines, 108, 9),
        shape(frame_1252_shape_group_0_shape_3_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(55, 56),
        horizontal_line(56, 60),
        horizontal_line(56, 64),
        horizontal_line(57, 68),
        horizontal_line(58, 72),
        horizontal_line(58, 76),
        horizontal_line(59, 80),
        horizontal_line(59, 84),
        horizontal_line(60, 88),
        horizontal_line(61, 92),
        horizontal_line(61, 96),
        horizontal_line(62, 100),
        horizontal_line(62, 104),
        horizontal_line(63, 107),
        horizontal_line(64, 111),
        horizontal_line(64, 115),
        horizontal_line(65, 119),
        horizontal_line(65, 123),
        horizontal_line(66, 127),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 71),
        horizontal_line(58, 72),
        horizontal_line(59, 72),
        horizontal_line(60, 73),
        horizontal_line(61, 73),
        horizontal_line(62, 74),
        horizontal_line(63, 75),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(76, 78),
        horizontal_line(76, 83),
        horizontal_line(76, 87),
        horizontal_line(77, 92),
        horizontal_line(77, 97),
        horizontal_line(77, 101),
        horizontal_line(78, 106),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(71, 77),
        horizontal_line(72, 78),
        horizontal_line(73, 78),
        horizontal_line(74, 79),
        horizontal_line(73, 74),
        horizontal_line(73, 75),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(81, 93),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(77, 80),
        horizontal_line(77, 81),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(104, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(129, 168),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(73, 77),
        horizontal_line(79, 83),
        horizontal_line(85, 88),
        horizontal_line(91, 94),
        horizontal_line(97, 100),
        horizontal_line(103, 104),
        horizontal_line(96, 100),
        horizontal_line(103, 106),
        horizontal_line(110, 112),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_1252_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(13, 61),
        horizontal_line(10, 68),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1252_shape_group_1_shapes[] = {
        shape(frame_1252_shape_group_1_shape_0_horizontal_lines, 0, 14),
        shape(frame_1252_shape_group_1_shape_1_horizontal_lines, 36, 8),
        shape(frame_1252_shape_group_1_shape_2_horizontal_lines, 49, 9),
        shape(frame_1252_shape_group_1_shape_3_horizontal_lines, 50, 14),
        shape(frame_1252_shape_group_1_shape_4_horizontal_lines, 75, 9),
        shape(frame_1252_shape_group_1_shape_5_horizontal_lines, 86, 14),
        shape(frame_1252_shape_group_1_shape_6_horizontal_lines, 93, 9),
        shape(frame_1252_shape_group_1_shape_7_horizontal_lines, 99, 14),
        shape(frame_1252_shape_group_1_shape_8_horizontal_lines, 100, 9),
        shape(frame_1252_shape_group_1_shape_9_horizontal_lines, 102, 14),
        shape(frame_1252_shape_group_1_shape_10_horizontal_lines, 108, 9),
        shape(frame_1252_shape_group_1_shape_11_horizontal_lines, 118, 8),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(190, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 239),
        horizontal_line(179, 239),
        horizontal_line(175, 237),
        horizontal_line(172, 234),
        horizontal_line(168, 230),
        horizontal_line(164, 226),
        horizontal_line(160, 222),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(83, 145),
        horizontal_line(88, 147),
        horizontal_line(92, 145),
        horizontal_line(97, 142),
        horizontal_line(102, 139),
        horizontal_line(107, 136),
        horizontal_line(111, 134),
        horizontal_line(116, 131),
        horizontal_line(121, 128),
        horizontal_line(126, 126),
        horizontal_line(125, 127),
        horizontal_line(123, 129),
        horizontal_line(121, 131),
        horizontal_line(119, 133),
        horizontal_line(117, 135),
        horizontal_line(115, 137),
        horizontal_line(82, 111),
        horizontal_line(88, 110),
        horizontal_line(93, 108),
        horizontal_line(99, 106),
        horizontal_line(80, 83),
        horizontal_line(80, 88),
        horizontal_line(102, 108),
        horizontal_line(85, 98),
        horizontal_line(91, 98),
        horizontal_line(119, 136),
        horizontal_line(119, 136),
        horizontal_line(133, 154),
        horizontal_line(114, 115),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(26, 56),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(144, 162),
        horizontal_line(151, 159),
        horizontal_line(206, 239),
        horizontal_line(213, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(22, 40),
        horizontal_line(19, 47),
        horizontal_line(16, 54),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(122, 151),
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_1252_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(69, 75),
        horizontal_line(66, 82),
        horizontal_line(63, 89),
        horizontal_line(62, 96),
        horizontal_line(62, 103),
        horizontal_line(62, 110),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 169),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1252_shape_group_2_shapes[] = {
        shape(frame_1252_shape_group_2_shape_0_horizontal_lines, 49, 8),
        shape(frame_1252_shape_group_2_shape_1_horizontal_lines, 54, 14),
        shape(frame_1252_shape_group_2_shape_2_horizontal_lines, 107, 1),
        shape(frame_1252_shape_group_2_shape_3_horizontal_lines, 108, 14),
        shape(frame_1252_shape_group_2_shape_4_horizontal_lines, 113, 9),
        shape(frame_1252_shape_group_2_shape_5_horizontal_lines, 114, 14),
        shape(frame_1252_shape_group_2_shape_6_horizontal_lines, 115, 8),
        shape(frame_1252_shape_group_2_shape_7_horizontal_lines, 118, 1),
        shape(frame_1252_shape_group_2_shape_8_horizontal_lines, 120, 8),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(129, 135),
        horizontal_line(130, 139),
        horizontal_line(130, 143),
        horizontal_line(131, 147),
        horizontal_line(132, 151),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(113, 137),
        horizontal_line(114, 137),
        horizontal_line(116, 137),
        horizontal_line(118, 137),
        horizontal_line(105, 105),
        horizontal_line(104, 106),
        horizontal_line(120, 136),
        horizontal_line(100, 110),
        horizontal_line(101, 110),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(130, 171),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(26, 55),
        horizontal_line(68, 72),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(75, 84),
        horizontal_line(82, 90),
        horizontal_line(88, 96),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(25, 33),
        horizontal_line(107, 111),
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(120, 152),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(126, 150),
        horizontal_line(128, 149),
        horizontal_line(130, 149),
        horizontal_line(132, 148),
        horizontal_line(134, 147),
        horizontal_line(136, 147),
        horizontal_line(138, 146),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 131),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 190),
    };

    constexpr const shape frame_1252_shape_group_3_shapes[] = {
        shape(frame_1252_shape_group_3_shape_0_horizontal_lines, 54, 8),
        shape(frame_1252_shape_group_3_shape_1_horizontal_lines, 69, 14),
        shape(frame_1252_shape_group_3_shape_2_horizontal_lines, 106, 1),
        shape(frame_1252_shape_group_3_shape_3_horizontal_lines, 108, 14),
        shape(frame_1252_shape_group_3_shape_4_horizontal_lines, 110, 8),
        shape(frame_1252_shape_group_3_shape_5_horizontal_lines, 113, 14),
        shape(frame_1252_shape_group_3_shape_6_horizontal_lines, 114, 8),
        shape(frame_1252_shape_group_3_shape_7_horizontal_lines, 117, 1),
        shape(frame_1252_shape_group_3_shape_8_horizontal_lines, 118, 2),
        shape(frame_1252_shape_group_3_shape_9_horizontal_lines, 120, 1),
        shape(frame_1252_shape_group_3_shape_10_horizontal_lines, 127, 8),
        shape(frame_1252_shape_group_3_shape_11_horizontal_lines, 130, 2),
        shape(frame_1252_shape_group_3_shape_12_horizontal_lines, 157, 8),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(226, 239),
        horizontal_line(222, 239),
        horizontal_line(135, 155),
        horizontal_line(140, 153),
        horizontal_line(145, 150),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(121, 137),
        horizontal_line(120, 136),
        horizontal_line(172, 234),
        horizontal_line(120, 136),
        horizontal_line(119, 136),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(173, 235),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(67, 71),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(63, 72),
        horizontal_line(69, 78),
        horizontal_line(89, 91),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(27, 31),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(94, 102),
        horizontal_line(101, 108),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(120, 153),
        horizontal_line(119, 153),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(152, 192),
        horizontal_line(152, 196),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(140, 145),
        horizontal_line(142, 145),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
    };

    constexpr const shape frame_1252_shape_group_4_shapes[] = {
        shape(frame_1252_shape_group_4_shape_0_horizontal_lines, 69, 8),
        shape(frame_1252_shape_group_4_shape_1_horizontal_lines, 70, 14),
        shape(frame_1252_shape_group_4_shape_2_horizontal_lines, 106, 1),
        shape(frame_1252_shape_group_4_shape_3_horizontal_lines, 108, 8),
        shape(frame_1252_shape_group_4_shape_4_horizontal_lines, 112, 1),
        shape(frame_1252_shape_group_4_shape_5_horizontal_lines, 113, 8),
        shape(frame_1252_shape_group_4_shape_6_horizontal_lines, 115, 1),
        shape(frame_1252_shape_group_4_shape_7_horizontal_lines, 117, 2),
        shape(frame_1252_shape_group_4_shape_8_horizontal_lines, 127, 1),
        shape(frame_1252_shape_group_4_shape_9_horizontal_lines, 130, 2),
        shape(frame_1252_shape_group_4_shape_10_horizontal_lines, 157, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(3, 7),
        horizontal_line(7, 7),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(10, 11),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(15, 22),
        horizontal_line(16, 25),
        horizontal_line(17, 28),
        horizontal_line(18, 31),
        horizontal_line(19, 33),
        horizontal_line(20, 36),
        horizontal_line(22, 39),
        horizontal_line(26, 42),
        horizontal_line(30, 45),
        horizontal_line(34, 62),
        horizontal_line(38, 62),
        horizontal_line(42, 49),
        horizontal_line(46, 50),
        horizontal_line(50, 51),
        horizontal_line(56, 60),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(234, 239),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(75, 77),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(26, 55),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(97, 98),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(78, 80),
        horizontal_line(84, 86),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(27, 41),
        horizontal_line(27, 36),
        horizontal_line(101, 108),
        horizontal_line(105, 107),
        horizontal_line(121, 154),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(153, 187),
    };

    constexpr const horizontal_line frame_1252_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(151, 200),
        horizontal_line(150, 204),
        horizontal_line(150, 209),
        horizontal_line(211, 213),
        horizontal_line(210, 217),
        horizontal_line(210, 221),
        horizontal_line(209, 226),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
    };

    constexpr const shape frame_1252_shape_group_5_shapes[] = {
        shape(frame_1252_shape_group_5_shape_0_horizontal_lines, 70, 8),
        shape(frame_1252_shape_group_5_shape_1_horizontal_lines, 73, 3),
        shape(frame_1252_shape_group_5_shape_2_horizontal_lines, 74, 8),
        shape(frame_1252_shape_group_5_shape_3_horizontal_lines, 75, 14),
        shape(frame_1252_shape_group_5_shape_4_horizontal_lines, 78, 8),
        shape(frame_1252_shape_group_5_shape_5_horizontal_lines, 93, 14),
        shape(frame_1252_shape_group_5_shape_6_horizontal_lines, 102, 8),
        shape(frame_1252_shape_group_5_shape_7_horizontal_lines, 104, 1),
        shape(frame_1252_shape_group_5_shape_8_horizontal_lines, 105, 14),
        shape(frame_1252_shape_group_5_shape_9_horizontal_lines, 106, 1),
        shape(frame_1252_shape_group_5_shape_10_horizontal_lines, 108, 8),
        shape(frame_1252_shape_group_5_shape_11_horizontal_lines, 110, 1),
        shape(frame_1252_shape_group_5_shape_12_horizontal_lines, 115, 2),
        shape(frame_1252_shape_group_5_shape_13_horizontal_lines, 120, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(11, 14),
        horizontal_line(12, 17),
        horizontal_line(13, 19),
        horizontal_line(51, 55),
        horizontal_line(50, 56),
        horizontal_line(50, 57),
        horizontal_line(49, 58),
        horizontal_line(49, 59),
        horizontal_line(48, 60),
        horizontal_line(48, 61),
        horizontal_line(47, 62),
        horizontal_line(47, 63),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(22, 33),
        horizontal_line(22, 37),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(51, 61),
        horizontal_line(53, 61),
        horizontal_line(54, 61),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(54, 55),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(58, 60),
        horizontal_line(60, 60),
        horizontal_line(69, 72),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(67, 71),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(25, 55),
        horizontal_line(25, 55),
        horizontal_line(67, 71),
        horizontal_line(26, 55),
        horizontal_line(105, 112),
        horizontal_line(104, 111),
        horizontal_line(26, 51),
        horizontal_line(27, 46),
        horizontal_line(94, 96),
        horizontal_line(100, 108),
        horizontal_line(123, 155),
        horizontal_line(122, 155),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(112, 119),
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_1252_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(208, 230),
        horizontal_line(208, 234),
        horizontal_line(207, 239),
    };

    constexpr const shape frame_1252_shape_group_6_shapes[] = {
        shape(frame_1252_shape_group_6_shape_0_horizontal_lines, 71, 3),
        shape(frame_1252_shape_group_6_shape_1_horizontal_lines, 74, 3),
        shape(frame_1252_shape_group_6_shape_2_horizontal_lines, 75, 8),
        shape(frame_1252_shape_group_6_shape_3_horizontal_lines, 87, 1),
        shape(frame_1252_shape_group_6_shape_4_horizontal_lines, 89, 8),
        shape(frame_1252_shape_group_6_shape_5_horizontal_lines, 92, 3),
        shape(frame_1252_shape_group_6_shape_6_horizontal_lines, 93, 8),
        shape(frame_1252_shape_group_6_shape_7_horizontal_lines, 97, 14),
        shape(frame_1252_shape_group_6_shape_8_horizontal_lines, 99, 8),
        shape(frame_1252_shape_group_6_shape_9_horizontal_lines, 100, 14),
        shape(frame_1252_shape_group_6_shape_10_horizontal_lines, 102, 1),
        shape(frame_1252_shape_group_6_shape_11_horizontal_lines, 114, 2),
        shape(frame_1252_shape_group_6_shape_12_horizontal_lines, 127, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(51, 54),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(1, 17),
        horizontal_line(8, 18),
        horizontal_line(15, 19),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(132, 170),
        horizontal_line(22, 25),
        horizontal_line(22, 29),
        horizontal_line(128, 168),
        horizontal_line(130, 162),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(51, 52),
        horizontal_line(52, 53),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(23, 53),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(69, 70),
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(69, 73),
        horizontal_line(64, 65),
        horizontal_line(66, 67),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(25, 54),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(69, 71),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(66, 70),
        horizontal_line(67, 70),
        horizontal_line(75, 76),
        horizontal_line(67, 71),
        horizontal_line(128, 128),
        horizontal_line(127, 135),
        horizontal_line(96, 97),
        horizontal_line(95, 97),
        horizontal_line(101, 109),
        horizontal_line(123, 156),
    };

    constexpr const horizontal_line frame_1252_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(109, 120),
        horizontal_line(154, 179),
        horizontal_line(154, 183),
    };

    constexpr const shape frame_1252_shape_group_7_shapes[] = {
        shape(frame_1252_shape_group_7_shape_0_horizontal_lines, 75, 8),
        shape(frame_1252_shape_group_7_shape_1_horizontal_lines, 78, 3),
        shape(frame_1252_shape_group_7_shape_2_horizontal_lines, 84, 1),
        shape(frame_1252_shape_group_7_shape_3_horizontal_lines, 89, 3),
        shape(frame_1252_shape_group_7_shape_4_horizontal_lines, 92, 1),
        shape(frame_1252_shape_group_7_shape_5_horizontal_lines, 93, 8),
        shape(frame_1252_shape_group_7_shape_6_horizontal_lines, 95, 3),
        shape(frame_1252_shape_group_7_shape_7_horizontal_lines, 96, 8),
        shape(frame_1252_shape_group_7_shape_8_horizontal_lines, 99, 1),
        shape(frame_1252_shape_group_7_shape_9_horizontal_lines, 100, 8),
        shape(frame_1252_shape_group_7_shape_10_horizontal_lines, 102, 1),
        shape(frame_1252_shape_group_7_shape_11_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(148, 160),
        horizontal_line(146, 161),
        horizontal_line(143, 163),
        horizontal_line(140, 165),
        horizontal_line(137, 167),
        horizontal_line(135, 168),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(129, 172),
        horizontal_line(127, 174),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(23, 41),
        horizontal_line(23, 45),
        horizontal_line(23, 49),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(56, 57),
        horizontal_line(58, 59),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(24, 53),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(69, 72),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(76, 76),
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(98, 103),
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(103, 110),
        horizontal_line(102, 110),
        horizontal_line(124, 157),
    };

    constexpr const horizontal_line frame_1252_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(155, 175),
    };

    constexpr const shape frame_1252_shape_group_8_shapes[] = {
        shape(frame_1252_shape_group_8_shape_0_horizontal_lines, 75, 3),
        shape(frame_1252_shape_group_8_shape_1_horizontal_lines, 78, 1),
        shape(frame_1252_shape_group_8_shape_2_horizontal_lines, 84, 2),
        shape(frame_1252_shape_group_8_shape_3_horizontal_lines, 85, 1),
        shape(frame_1252_shape_group_8_shape_4_horizontal_lines, 87, 2),
        shape(frame_1252_shape_group_8_shape_5_horizontal_lines, 89, 1),
        shape(frame_1252_shape_group_8_shape_6_horizontal_lines, 93, 3),
        shape(frame_1252_shape_group_8_shape_7_horizontal_lines, 95, 1),
        shape(frame_1252_shape_group_8_shape_8_horizontal_lines, 96, 3),
        shape(frame_1252_shape_group_8_shape_9_horizontal_lines, 97, 8),
        shape(frame_1252_shape_group_8_shape_10_horizontal_lines, 99, 1),
        shape(frame_1252_shape_group_8_shape_11_horizontal_lines, 100, 8),
        shape(frame_1252_shape_group_8_shape_12_horizontal_lines, 102, 1),
        shape(frame_1252_shape_group_8_shape_13_horizontal_lines, 104, 2),
        shape(frame_1252_shape_group_8_shape_14_horizontal_lines, 105, 1),
        shape(frame_1252_shape_group_8_shape_15_horizontal_lines, 106, 2),
        shape(frame_1252_shape_group_8_shape_16_horizontal_lines, 108, 1),
        shape(frame_1252_shape_group_8_shape_17_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(151, 158),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 7),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(169, 173),
        horizontal_line(163, 173),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(132, 156),
        horizontal_line(134, 150),
        horizontal_line(136, 144),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(23, 53),
        horizontal_line(24, 53),
        horizontal_line(109, 115),
        horizontal_line(24, 53),
        horizontal_line(24, 54),
        horizontal_line(24, 54),
        horizontal_line(109, 114),
        horizontal_line(25, 54),
        horizontal_line(25, 54),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(56, 66),
        horizontal_line(0, 25),
        horizontal_line(56, 66),
        horizontal_line(57, 67),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(126, 143),
        horizontal_line(125, 150),
    };

    constexpr const horizontal_line frame_1252_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(98, 99),
        horizontal_line(156, 166),
        horizontal_line(156, 170),
    };

    constexpr const shape frame_1252_shape_group_9_shapes[] = {
        shape(frame_1252_shape_group_9_shape_0_horizontal_lines, 76, 1),
        shape(frame_1252_shape_group_9_shape_1_horizontal_lines, 81, 2),
        shape(frame_1252_shape_group_9_shape_2_horizontal_lines, 85, 2),
        shape(frame_1252_shape_group_9_shape_3_horizontal_lines, 87, 4),
        shape(frame_1252_shape_group_9_shape_4_horizontal_lines, 89, 1),
        shape(frame_1252_shape_group_9_shape_5_horizontal_lines, 92, 2),
        shape(frame_1252_shape_group_9_shape_6_horizontal_lines, 93, 1),
        shape(frame_1252_shape_group_9_shape_7_horizontal_lines, 102, 2),
        shape(frame_1252_shape_group_9_shape_8_horizontal_lines, 103, 1),
        shape(frame_1252_shape_group_9_shape_9_horizontal_lines, 104, 2),
        shape(frame_1252_shape_group_9_shape_10_horizontal_lines, 108, 1),
        shape(frame_1252_shape_group_9_shape_11_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(139, 173),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(107, 117),
        horizontal_line(106, 120),
        horizontal_line(107, 117),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(66, 68),
        horizontal_line(66, 70),
    };

    constexpr const horizontal_line frame_1252_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(56, 65),
        horizontal_line(0, 24),
        horizontal_line(72, 74),
        horizontal_line(56, 66),
        horizontal_line(72, 74),
        horizontal_line(73, 75),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(92, 93),
        horizontal_line(109, 122),
    };

    constexpr const shape frame_1252_shape_group_10_shapes[] = {
        shape(frame_1252_shape_group_10_shape_0_horizontal_lines, 89, 2),
        shape(frame_1252_shape_group_10_shape_1_horizontal_lines, 92, 4),
        shape(frame_1252_shape_group_10_shape_2_horizontal_lines, 93, 2),
        shape(frame_1252_shape_group_10_shape_3_horizontal_lines, 94, 1),
        shape(frame_1252_shape_group_10_shape_4_horizontal_lines, 95, 2),
        shape(frame_1252_shape_group_10_shape_5_horizontal_lines, 96, 1),
        shape(frame_1252_shape_group_10_shape_6_horizontal_lines, 99, 2),
        shape(frame_1252_shape_group_10_shape_7_horizontal_lines, 100, 1),
        shape(frame_1252_shape_group_10_shape_8_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(157, 173),
        horizontal_line(151, 173),
        horizontal_line(145, 173),
    };

    constexpr const horizontal_line frame_1252_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(54, 55),
        horizontal_line(0, 23),
        horizontal_line(54, 59),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(55, 65),
    };

    constexpr const horizontal_line frame_1252_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_1252_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(71, 74),
        horizontal_line(56, 66),
    };

    constexpr const horizontal_line frame_1252_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(101, 102),
    };

    constexpr const horizontal_line frame_1252_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(72, 74),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(94, 95),
        horizontal_line(93, 94),
        horizontal_line(97, 100),
        horizontal_line(157, 162),
    };

    constexpr const shape frame_1252_shape_group_11_shapes[] = {
        shape(frame_1252_shape_group_11_shape_0_horizontal_lines, 89, 4),
        shape(frame_1252_shape_group_11_shape_1_horizontal_lines, 93, 2),
        shape(frame_1252_shape_group_11_shape_2_horizontal_lines, 100, 1),
        shape(frame_1252_shape_group_11_shape_3_horizontal_lines, 102, 2),
        shape(frame_1252_shape_group_11_shape_4_horizontal_lines, 104, 4),
        shape(frame_1252_shape_group_11_shape_5_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(138, 172),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(54, 57),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(138, 172),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(54, 61),
        horizontal_line(55, 63),
        horizontal_line(55, 65),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(71, 74),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1252_shape_group_12_shape_9_horizontal_lines[] = {
        horizontal_line(77, 77),
        horizontal_line(113, 127),
        horizontal_line(99, 103),
        horizontal_line(98, 102),
        horizontal_line(98, 101),
        horizontal_line(110, 123),
    };

    constexpr const shape frame_1252_shape_group_12_shapes[] = {
        shape(frame_1252_shape_group_12_shape_0_horizontal_lines, 93, 4),
        shape(frame_1252_shape_group_12_shape_1_horizontal_lines, 94, 2),
        shape(frame_1252_shape_group_12_shape_2_horizontal_lines, 95, 4),
        shape(frame_1252_shape_group_12_shape_3_horizontal_lines, 96, 2),
        shape(frame_1252_shape_group_12_shape_4_horizontal_lines, 99, 4),
        shape(frame_1252_shape_group_12_shape_5_horizontal_lines, 100, 2),
        shape(frame_1252_shape_group_12_shape_6_horizontal_lines, 102, 4),
        shape(frame_1252_shape_group_12_shape_7_horizontal_lines, 103, 2),
        shape(frame_1252_shape_group_12_shape_8_horizontal_lines, 104, 4),
        shape(frame_1252_shape_group_12_shape_9_horizontal_lines, 105, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(138, 172),
    };

    constexpr const horizontal_line frame_1252_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(138, 172),
        horizontal_line(138, 172),
        horizontal_line(118, 119),
        horizontal_line(137, 171),
    };

    constexpr const horizontal_line frame_1252_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(55, 65),
        horizontal_line(55, 65),
    };

    constexpr const horizontal_line frame_1252_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(137, 171),
        horizontal_line(100, 102),
        horizontal_line(155, 171),
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_1252_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(81, 94),
    };

    constexpr const horizontal_line frame_1252_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(112, 126),
        horizontal_line(111, 125),
        horizontal_line(111, 124),
        horizontal_line(158, 158),
    };

    constexpr const shape frame_1252_shape_group_13_shapes[] = {
        shape(frame_1252_shape_group_13_shape_0_horizontal_lines, 94, 4),
        shape(frame_1252_shape_group_13_shape_1_horizontal_lines, 96, 4),
        shape(frame_1252_shape_group_13_shape_2_horizontal_lines, 100, 2),
        shape(frame_1252_shape_group_13_shape_3_horizontal_lines, 102, 4),
        shape(frame_1252_shape_group_13_shape_4_horizontal_lines, 106, 7),
        shape(frame_1252_shape_group_13_shape_5_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(137, 172),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(78, 78),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_6_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_1252_shape_group_14_shape_7_horizontal_lines[] = {
        horizontal_line(79, 87),
        horizontal_line(81, 87),
        horizontal_line(87, 88),
    };

    constexpr const shape frame_1252_shape_group_14_shapes[] = {
        shape(frame_1252_shape_group_14_shape_0_horizontal_lines, 98, 4),
        shape(frame_1252_shape_group_14_shape_1_horizontal_lines, 100, 4),
        shape(frame_1252_shape_group_14_shape_2_horizontal_lines, 102, 7),
        shape(frame_1252_shape_group_14_shape_3_horizontal_lines, 103, 4),
        shape(frame_1252_shape_group_14_shape_4_horizontal_lines, 104, 7),
        shape(frame_1252_shape_group_14_shape_5_horizontal_lines, 105, 4),
        shape(frame_1252_shape_group_14_shape_6_horizontal_lines, 106, 12),
        shape(frame_1252_shape_group_14_shape_7_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(137, 171),
        horizontal_line(137, 171),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(79, 85),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(137, 171),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(80, 94),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(81, 85),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_6_horizontal_lines[] = {
        horizontal_line(93, 94),
    };

    constexpr const horizontal_line frame_1252_shape_group_15_shape_7_horizontal_lines[] = {
        horizontal_line(89, 93),
        horizontal_line(90, 92),
    };

    constexpr const shape frame_1252_shape_group_15_shapes[] = {
        shape(frame_1252_shape_group_15_shape_0_horizontal_lines, 100, 4),
        shape(frame_1252_shape_group_15_shape_1_horizontal_lines, 102, 10),
        shape(frame_1252_shape_group_15_shape_2_horizontal_lines, 103, 4),
        shape(frame_1252_shape_group_15_shape_3_horizontal_lines, 104, 10),
        shape(frame_1252_shape_group_15_shape_4_horizontal_lines, 105, 7),
        shape(frame_1252_shape_group_15_shape_5_horizontal_lines, 106, 11),
        shape(frame_1252_shape_group_15_shape_6_horizontal_lines, 107, 7),
        shape(frame_1252_shape_group_15_shape_7_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_1252_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_1252_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_1252_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_1252_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(93, 94),
    };

    constexpr const horizontal_line frame_1252_shape_group_16_shape_4_horizontal_lines[] = {
        horizontal_line(88, 92),
    };

    constexpr const horizontal_line frame_1252_shape_group_16_shape_5_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(89, 89),
    };

    constexpr const shape frame_1252_shape_group_16_shapes[] = {
        shape(frame_1252_shape_group_16_shape_0_horizontal_lines, 102, 5),
        shape(frame_1252_shape_group_16_shape_1_horizontal_lines, 103, 7),
        shape(frame_1252_shape_group_16_shape_2_horizontal_lines, 104, 10),
        shape(frame_1252_shape_group_16_shape_3_horizontal_lines, 105, 7),
        shape(frame_1252_shape_group_16_shape_4_horizontal_lines, 107, 12),
        shape(frame_1252_shape_group_16_shape_5_horizontal_lines, 108, 13),
    };

    constexpr const horizontal_line frame_1252_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(79, 93),
    };

    constexpr const horizontal_line frame_1252_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_1252_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(86, 92),
    };

    constexpr const horizontal_line frame_1252_shape_group_17_shape_3_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const shape frame_1252_shape_group_17_shapes[] = {
        shape(frame_1252_shape_group_17_shape_0_horizontal_lines, 103, 10),
        shape(frame_1252_shape_group_17_shape_1_horizontal_lines, 104, 12),
        shape(frame_1252_shape_group_17_shape_2_horizontal_lines, 105, 10),
        shape(frame_1252_shape_group_17_shape_3_horizontal_lines, 107, 6),
    };

    constexpr const horizontal_line frame_1252_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const shape frame_1252_shape_group_18_shapes[] = {
        shape(frame_1252_shape_group_18_shape_0_horizontal_lines, 105, 10),
    };

    constexpr const horizontal_line frame_1252_shape_group_19_shape_0_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const shape frame_1252_shape_group_19_shapes[] = {
        shape(frame_1252_shape_group_19_shape_0_horizontal_lines, 105, 10),
    };

    constexpr const horizontal_line frame_1252_shape_group_20_shape_0_horizontal_lines[] = {
        horizontal_line(78, 80),
    };

    constexpr const shape frame_1252_shape_group_20_shapes[] = {
        shape(frame_1252_shape_group_20_shape_0_horizontal_lines, 105, 12),
    };

    constexpr const horizontal_line frame_1252_shape_group_21_shape_0_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const shape frame_1252_shape_group_21_shapes[] = {
        shape(frame_1252_shape_group_21_shape_0_horizontal_lines, 105, 6),
    };

    constexpr const shape_group frame_1252_shape_groups[] = {
        shape_group(frame_1252_shape_group_0_shapes),
        shape_group(frame_1252_shape_group_1_shapes),
        shape_group(frame_1252_shape_group_2_shapes),
        shape_group(frame_1252_shape_group_3_shapes),
        shape_group(frame_1252_shape_group_4_shapes),
        shape_group(frame_1252_shape_group_5_shapes),
        shape_group(frame_1252_shape_group_6_shapes),
        shape_group(frame_1252_shape_group_7_shapes),
        shape_group(frame_1252_shape_group_8_shapes),
        shape_group(frame_1252_shape_group_9_shapes),
        shape_group(frame_1252_shape_group_10_shapes),
        shape_group(frame_1252_shape_group_11_shapes),
        shape_group(frame_1252_shape_group_12_shapes),
        shape_group(frame_1252_shape_group_13_shapes),
        shape_group(frame_1252_shape_group_14_shapes),
        shape_group(frame_1252_shape_group_15_shapes),
        shape_group(frame_1252_shape_group_16_shapes),
        shape_group(frame_1252_shape_group_17_shapes),
        shape_group(frame_1252_shape_group_18_shapes),
        shape_group(frame_1252_shape_group_19_shapes),
        shape_group(frame_1252_shape_group_20_shapes),
        shape_group(frame_1252_shape_group_21_shapes),
    };

    constexpr const frame frame_1252_impl(frame_1252_colors, frame_1252_shape_groups);
} 

const frame& frame_1252()
{
    return frame_1252_impl;
}

namespace
{
    constexpr const bn::color frame_1253_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1253_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(1, 44),
        horizontal_line(3, 45),
        horizontal_line(4, 46),
        horizontal_line(6, 47),
        horizontal_line(7, 48),
        horizontal_line(9, 49),
        horizontal_line(8, 10),
        horizontal_line(8, 11),
        horizontal_line(7, 13),
        horizontal_line(7, 14),
        horizontal_line(6, 16),
        horizontal_line(6, 17),
        horizontal_line(5, 18),
        horizontal_line(5, 20),
        horizontal_line(4, 21),
        horizontal_line(4, 23),
        horizontal_line(3, 24),
        horizontal_line(3, 25),
        horizontal_line(2, 27),
        horizontal_line(2, 28),
        horizontal_line(1, 30),
        horizontal_line(1, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(2, 48),
        horizontal_line(5, 50),
        horizontal_line(8, 49),
        horizontal_line(11, 49),
        horizontal_line(14, 48),
        horizontal_line(17, 48),
        horizontal_line(20, 47),
        horizontal_line(23, 47),
        horizontal_line(26, 46),
        horizontal_line(29, 46),
        horizontal_line(32, 45),
        horizontal_line(35, 45),
        horizontal_line(38, 44),
        horizontal_line(41, 44),
        horizontal_line(44, 44),
        horizontal_line(63, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(61, 68),
        horizontal_line(61, 69),
        horizontal_line(60, 68),
        horizontal_line(60, 68),
        horizontal_line(60, 68),
        horizontal_line(61, 67),
        horizontal_line(63, 67),
        horizontal_line(65, 67),
        horizontal_line(67, 67),
        horizontal_line(72, 75),
        horizontal_line(72, 75),
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_1253_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1253_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(95, 99),
        horizontal_line(97, 99),
        horizontal_line(96, 99),
        horizontal_line(99, 99),
        horizontal_line(136, 179),
    };

    constexpr const horizontal_line frame_1253_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(73, 77),
        horizontal_line(51, 60),
        horizontal_line(47, 67),
        horizontal_line(43, 74),
        horizontal_line(39, 80),
        horizontal_line(35, 87),
        horizontal_line(31, 93),
        horizontal_line(27, 89),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(27, 89),
        horizontal_line(35, 97),
        horizontal_line(43, 105),
        horizontal_line(51, 113),
        horizontal_line(58, 120),
        horizontal_line(66, 128),
        horizontal_line(74, 132),
        horizontal_line(82, 134),
        horizontal_line(89, 136),
        horizontal_line(97, 137),
        horizontal_line(105, 139),
        horizontal_line(113, 141),
        horizontal_line(120, 143),
        horizontal_line(128, 145),
        horizontal_line(136, 147),
        horizontal_line(144, 149),
    };

    constexpr const horizontal_line frame_1253_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1253_shape_group_0_shapes[] = {
        shape(frame_1253_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1253_shape_group_0_shape_1_horizontal_lines, 102, 8),
        shape(frame_1253_shape_group_0_shape_2_horizontal_lines, 103, 14),
        shape(frame_1253_shape_group_0_shape_3_horizontal_lines, 108, 9),
        shape(frame_1253_shape_group_0_shape_4_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(61, 110),
        horizontal_line(61, 114),
        horizontal_line(62, 117),
        horizontal_line(63, 121),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(52, 68),
        horizontal_line(53, 69),
        horizontal_line(54, 69),
        horizontal_line(55, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 71),
        horizontal_line(58, 71),
        horizontal_line(59, 72),
        horizontal_line(60, 72),
        horizontal_line(61, 73),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(18, 40),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(28, 62),
        horizontal_line(33, 61),
        horizontal_line(38, 61),
        horizontal_line(43, 49),
        horizontal_line(48, 50),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(70, 77),
        horizontal_line(71, 78),
        horizontal_line(72, 78),
        horizontal_line(73, 79),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(68, 73),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(73, 74),
        horizontal_line(73, 76),
        horizontal_line(77, 80),
        horizontal_line(77, 81),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(95, 97),
        horizontal_line(104, 111),
        horizontal_line(104, 110),
        horizontal_line(103, 110),
        horizontal_line(130, 166),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(55, 72),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_15_horizontal_lines[] = {
        horizontal_line(79, 83),
        horizontal_line(85, 89),
        horizontal_line(91, 95),
        horizontal_line(97, 101),
        horizontal_line(103, 104),
        horizontal_line(93, 94),
        horizontal_line(89, 100),
        horizontal_line(85, 107),
        horizontal_line(82, 114),
        horizontal_line(89, 121),
        horizontal_line(97, 122),
        horizontal_line(105, 124),
        horizontal_line(113, 126),
        horizontal_line(120, 128),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_1253_shape_group_1_shape_16_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1253_shape_group_1_shapes[] = {
        shape(frame_1253_shape_group_1_shape_0_horizontal_lines, 39, 8),
        shape(frame_1253_shape_group_1_shape_1_horizontal_lines, 45, 9),
        shape(frame_1253_shape_group_1_shape_2_horizontal_lines, 46, 8),
        shape(frame_1253_shape_group_1_shape_3_horizontal_lines, 61, 14),
        shape(frame_1253_shape_group_1_shape_4_horizontal_lines, 72, 8),
        shape(frame_1253_shape_group_1_shape_5_horizontal_lines, 74, 9),
        shape(frame_1253_shape_group_1_shape_6_horizontal_lines, 85, 8),
        shape(frame_1253_shape_group_1_shape_7_horizontal_lines, 86, 9),
        shape(frame_1253_shape_group_1_shape_8_horizontal_lines, 87, 8),
        shape(frame_1253_shape_group_1_shape_9_horizontal_lines, 92, 9),
        shape(frame_1253_shape_group_1_shape_10_horizontal_lines, 96, 8),
        shape(frame_1253_shape_group_1_shape_11_horizontal_lines, 97, 9),
        shape(frame_1253_shape_group_1_shape_12_horizontal_lines, 101, 8),
        shape(frame_1253_shape_group_1_shape_13_horizontal_lines, 102, 14),
        shape(frame_1253_shape_group_1_shape_14_horizontal_lines, 108, 8),
        shape(frame_1253_shape_group_1_shape_15_horizontal_lines, 109, 9),
        shape(frame_1253_shape_group_1_shape_16_horizontal_lines, 124, 8),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(51, 52),
        horizontal_line(52, 56),
        horizontal_line(52, 60),
        horizontal_line(53, 64),
        horizontal_line(54, 68),
        horizontal_line(54, 71),
        horizontal_line(55, 75),
        horizontal_line(56, 79),
        horizontal_line(56, 83),
        horizontal_line(57, 87),
        horizontal_line(58, 91),
        horizontal_line(58, 94),
        horizontal_line(59, 98),
        horizontal_line(60, 102),
        horizontal_line(60, 106),
        horizontal_line(215, 239),
        horizontal_line(211, 239),
        horizontal_line(207, 239),
        horizontal_line(203, 239),
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(190, 239),
        horizontal_line(186, 239),
        horizontal_line(182, 239),
        horizontal_line(178, 239),
        horizontal_line(174, 236),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(1, 7),
        horizontal_line(2, 10),
        horizontal_line(3, 13),
        horizontal_line(4, 16),
        horizontal_line(5, 19),
        horizontal_line(7, 22),
        horizontal_line(8, 25),
        horizontal_line(9, 28),
        horizontal_line(10, 31),
        horizontal_line(11, 34),
        horizontal_line(13, 37),
        horizontal_line(45, 63),
        horizontal_line(23, 43),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(76, 87),
        horizontal_line(76, 92),
        horizontal_line(77, 97),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(51, 60),
        horizontal_line(53, 60),
        horizontal_line(55, 59),
        horizontal_line(57, 59),
        horizontal_line(59, 59),
        horizontal_line(68, 72),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(80, 83),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(69, 71),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(105, 111),
        horizontal_line(120, 138),
        horizontal_line(120, 138),
        horizontal_line(133, 152),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(17, 53),
    };

    constexpr const horizontal_line frame_1253_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(78, 82),
        horizontal_line(61, 78),
        horizontal_line(68, 84),
        horizontal_line(75, 90),
        horizontal_line(81, 96),
        horizontal_line(88, 102),
        horizontal_line(95, 108),
        horizontal_line(101, 111),
        horizontal_line(108, 114),
        horizontal_line(115, 117),
        horizontal_line(17, 26),
        horizontal_line(14, 34),
        horizontal_line(11, 42),
        horizontal_line(9, 50),
        horizontal_line(6, 57),
        horizontal_line(3, 65),
        horizontal_line(63, 73),
        horizontal_line(62, 81),
        horizontal_line(62, 88),
        horizontal_line(62, 96),
        horizontal_line(62, 104),
        horizontal_line(62, 112),
        horizontal_line(62, 119),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_1253_shape_group_2_shapes[] = {
        shape(frame_1253_shape_group_2_shape_0_horizontal_lines, 45, 8),
        shape(frame_1253_shape_group_2_shape_1_horizontal_lines, 46, 14),
        shape(frame_1253_shape_group_2_shape_2_horizontal_lines, 74, 8),
        shape(frame_1253_shape_group_2_shape_3_horizontal_lines, 87, 14),
        shape(frame_1253_shape_group_2_shape_4_horizontal_lines, 90, 8),
        shape(frame_1253_shape_group_2_shape_5_horizontal_lines, 96, 14),
        shape(frame_1253_shape_group_2_shape_6_horizontal_lines, 97, 8),
        shape(frame_1253_shape_group_2_shape_7_horizontal_lines, 101, 14),
        shape(frame_1253_shape_group_2_shape_8_horizontal_lines, 107, 1),
        shape(frame_1253_shape_group_2_shape_9_horizontal_lines, 108, 8),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(126, 129),
        horizontal_line(127, 133),
        horizontal_line(127, 137),
        horizontal_line(128, 140),
        horizontal_line(129, 144),
        horizontal_line(129, 148),
        horizontal_line(170, 232),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(50, 51),
        horizontal_line(50, 52),
        horizontal_line(49, 53),
        horizontal_line(49, 54),
        horizontal_line(48, 55),
        horizontal_line(48, 56),
        horizontal_line(47, 57),
        horizontal_line(47, 58),
        horizontal_line(46, 59),
        horizontal_line(46, 60),
        horizontal_line(45, 61),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(45, 62),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(126, 129),
        horizontal_line(124, 131),
        horizontal_line(121, 133),
        horizontal_line(77, 102),
        horizontal_line(78, 107),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(69, 69),
        horizontal_line(69, 70),
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(95, 108),
        horizontal_line(100, 106),
        horizontal_line(80, 88),
        horizontal_line(81, 93),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(76, 76),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(103, 111),
        horizontal_line(120, 138),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(17, 53),
        horizontal_line(67, 71),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(142, 176),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(84, 89),
        horizontal_line(90, 97),
        horizontal_line(96, 99),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(216, 239),
        horizontal_line(222, 239),
        horizontal_line(228, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(121, 160),
        horizontal_line(122, 160),
        horizontal_line(123, 159),
        horizontal_line(125, 158),
        horizontal_line(127, 158),
        horizontal_line(129, 157),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(133, 156),
        horizontal_line(135, 155),
        horizontal_line(137, 155),
        horizontal_line(138, 154),
        horizontal_line(140, 153),
        horizontal_line(142, 153),
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(124, 135),
        horizontal_line(124, 143),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const shape frame_1253_shape_group_3_shapes[] = {
        shape(frame_1253_shape_group_3_shape_0_horizontal_lines, 56, 14),
        shape(frame_1253_shape_group_3_shape_1_horizontal_lines, 65, 14),
        shape(frame_1253_shape_group_3_shape_2_horizontal_lines, 74, 8),
        shape(frame_1253_shape_group_3_shape_3_horizontal_lines, 85, 14),
        shape(frame_1253_shape_group_3_shape_4_horizontal_lines, 86, 8),
        shape(frame_1253_shape_group_3_shape_5_horizontal_lines, 87, 14),
        shape(frame_1253_shape_group_3_shape_6_horizontal_lines, 92, 8),
        shape(frame_1253_shape_group_3_shape_7_horizontal_lines, 95, 14),
        shape(frame_1253_shape_group_3_shape_8_horizontal_lines, 99, 8),
        shape(frame_1253_shape_group_3_shape_9_horizontal_lines, 101, 14),
        shape(frame_1253_shape_group_3_shape_10_horizontal_lines, 106, 1),
        shape(frame_1253_shape_group_3_shape_11_horizontal_lines, 108, 14),
        shape(frame_1253_shape_group_3_shape_12_horizontal_lines, 109, 8),
        shape(frame_1253_shape_group_3_shape_13_horizontal_lines, 112, 14),
        shape(frame_1253_shape_group_3_shape_14_horizontal_lines, 117, 1),
        shape(frame_1253_shape_group_3_shape_15_horizontal_lines, 123, 8),
        shape(frame_1253_shape_group_3_shape_16_horizontal_lines, 124, 1),
        shape(frame_1253_shape_group_3_shape_17_horizontal_lines, 131, 8),
        shape(frame_1253_shape_group_3_shape_18_horizontal_lines, 134, 2),
        shape(frame_1253_shape_group_3_shape_19_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(130, 152),
        horizontal_line(131, 156),
        horizontal_line(72, 134),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(86, 148),
        horizontal_line(91, 150),
        horizontal_line(95, 147),
        horizontal_line(100, 144),
        horizontal_line(104, 141),
        horizontal_line(109, 139),
        horizontal_line(114, 136),
        horizontal_line(118, 133),
        horizontal_line(123, 130),
        horizontal_line(75, 82),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(119, 135),
        horizontal_line(116, 137),
        horizontal_line(81, 112),
        horizontal_line(86, 111),
        horizontal_line(91, 109),
        horizontal_line(118, 139),
        horizontal_line(120, 139),
        horizontal_line(105, 105),
        horizontal_line(103, 106),
        horizontal_line(85, 99),
        horizontal_line(91, 98),
        horizontal_line(121, 138),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(17, 53),
        horizontal_line(17, 53),
        horizontal_line(17, 53),
        horizontal_line(66, 70),
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(148, 173),
        horizontal_line(154, 170),
        horizontal_line(160, 167),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(18, 38),
        horizontal_line(19, 34),
        horizontal_line(19, 30),
        horizontal_line(19, 26),
        horizontal_line(19, 22),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(131, 157),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(156, 215),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(146, 151),
        horizontal_line(148, 151),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(187, 239),
    };

    constexpr const shape frame_1253_shape_group_4_shapes[] = {
        shape(frame_1253_shape_group_4_shape_0_horizontal_lines, 71, 14),
        shape(frame_1253_shape_group_4_shape_1_horizontal_lines, 103, 1),
        shape(frame_1253_shape_group_4_shape_2_horizontal_lines, 108, 14),
        shape(frame_1253_shape_group_4_shape_3_horizontal_lines, 112, 1),
        shape(frame_1253_shape_group_4_shape_4_horizontal_lines, 117, 2),
        shape(frame_1253_shape_group_4_shape_5_horizontal_lines, 123, 1),
        shape(frame_1253_shape_group_4_shape_6_horizontal_lines, 124, 2),
        shape(frame_1253_shape_group_4_shape_7_horizontal_lines, 131, 1),
        shape(frame_1253_shape_group_4_shape_8_horizontal_lines, 134, 2),
        shape(frame_1253_shape_group_4_shape_9_horizontal_lines, 159, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(164, 226),
        horizontal_line(166, 228),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(13, 27),
        horizontal_line(13, 32),
        horizontal_line(14, 37),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(114, 139),
        horizontal_line(114, 139),
        horizontal_line(116, 139),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(122, 139),
        horizontal_line(121, 139),
        horizontal_line(101, 108),
        horizontal_line(101, 111),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(16, 53),
        horizontal_line(66, 70),
        horizontal_line(66, 70),
        horizontal_line(66, 70),
        horizontal_line(75, 76),
        horizontal_line(97, 98),
        horizontal_line(18, 54),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(198, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(102, 108),
        horizontal_line(105, 107),
        horizontal_line(123, 162),
        horizontal_line(123, 162),
        horizontal_line(122, 161),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(161, 188),
        horizontal_line(160, 192),
        horizontal_line(159, 196),
        horizontal_line(159, 200),
        horizontal_line(158, 203),
        horizontal_line(0, 2),
        horizontal_line(157, 211),
    };

    constexpr const horizontal_line frame_1253_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(218, 219),
        horizontal_line(217, 223),
        horizontal_line(216, 227),
        horizontal_line(216, 231),
        horizontal_line(215, 235),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
    };

    constexpr const shape frame_1253_shape_group_5_shapes[] = {
        shape(frame_1253_shape_group_5_shape_0_horizontal_lines, 72, 14),
        shape(frame_1253_shape_group_5_shape_1_horizontal_lines, 87, 1),
        shape(frame_1253_shape_group_5_shape_2_horizontal_lines, 90, 14),
        shape(frame_1253_shape_group_5_shape_3_horizontal_lines, 102, 1),
        shape(frame_1253_shape_group_5_shape_4_horizontal_lines, 109, 14),
        shape(frame_1253_shape_group_5_shape_5_horizontal_lines, 112, 1),
        shape(frame_1253_shape_group_5_shape_6_horizontal_lines, 117, 2),
        shape(frame_1253_shape_group_5_shape_7_horizontal_lines, 126, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(134, 160),
        horizontal_line(139, 158),
        horizontal_line(143, 155),
        horizontal_line(148, 152),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(134, 178),
        horizontal_line(13, 17),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(130, 175),
        horizontal_line(132, 168),
        horizontal_line(134, 161),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(121, 138),
        horizontal_line(121, 138),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(16, 53),
        horizontal_line(66, 70),
        horizontal_line(75, 76),
        horizontal_line(75, 76),
        horizontal_line(75, 76),
        horizontal_line(105, 113),
        horizontal_line(104, 112),
        horizontal_line(96, 97),
        horizontal_line(18, 50),
        horizontal_line(18, 46),
        horizontal_line(18, 42),
        horizontal_line(125, 164),
        horizontal_line(124, 163),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(161, 184),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(158, 207),
    };

    constexpr const horizontal_line frame_1253_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_1253_shape_group_6_shapes[] = {
        shape(frame_1253_shape_group_6_shape_0_horizontal_lines, 74, 14),
        shape(frame_1253_shape_group_6_shape_1_horizontal_lines, 84, 1),
        shape(frame_1253_shape_group_6_shape_2_horizontal_lines, 86, 14),
        shape(frame_1253_shape_group_6_shape_3_horizontal_lines, 87, 1),
        shape(frame_1253_shape_group_6_shape_4_horizontal_lines, 90, 3),
        shape(frame_1253_shape_group_6_shape_5_horizontal_lines, 92, 14),
        shape(frame_1253_shape_group_6_shape_6_horizontal_lines, 95, 3),
        shape(frame_1253_shape_group_6_shape_7_horizontal_lines, 97, 14),
        shape(frame_1253_shape_group_6_shape_8_horizontal_lines, 101, 1),
        shape(frame_1253_shape_group_6_shape_9_horizontal_lines, 114, 2),
        shape(frame_1253_shape_group_6_shape_10_horizontal_lines, 123, 2),
        shape(frame_1253_shape_group_6_shape_11_horizontal_lines, 131, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(1, 9),
        horizontal_line(7, 10),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(131, 180),
        horizontal_line(13, 22),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(14, 42),
        horizontal_line(14, 47),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(53, 54),
        horizontal_line(55, 56),
        horizontal_line(57, 58),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(15, 52),
        horizontal_line(15, 52),
        horizontal_line(15, 52),
        horizontal_line(15, 52),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(65, 70),
        horizontal_line(98, 104),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 135),
        horizontal_line(103, 111),
        horizontal_line(95, 96),
        horizontal_line(102, 110),
        horizontal_line(101, 109),
    };

    constexpr const horizontal_line frame_1253_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(109, 122),
        horizontal_line(112, 122),
        horizontal_line(115, 121),
    };

    constexpr const shape frame_1253_shape_group_7_shapes[] = {
        shape(frame_1253_shape_group_7_shape_0_horizontal_lines, 74, 14),
        shape(frame_1253_shape_group_7_shape_1_horizontal_lines, 78, 3),
        shape(frame_1253_shape_group_7_shape_2_horizontal_lines, 84, 2),
        shape(frame_1253_shape_group_7_shape_3_horizontal_lines, 85, 1),
        shape(frame_1253_shape_group_7_shape_4_horizontal_lines, 87, 2),
        shape(frame_1253_shape_group_7_shape_5_horizontal_lines, 90, 1),
        shape(frame_1253_shape_group_7_shape_6_horizontal_lines, 92, 3),
        shape(frame_1253_shape_group_7_shape_7_horizontal_lines, 95, 1),
        shape(frame_1253_shape_group_7_shape_8_horizontal_lines, 99, 14),
        shape(frame_1253_shape_group_7_shape_9_horizontal_lines, 101, 1),
        shape(frame_1253_shape_group_7_shape_10_horizontal_lines, 104, 2),
        shape(frame_1253_shape_group_7_shape_11_horizontal_lines, 106, 1),
        shape(frame_1253_shape_group_7_shape_12_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(151, 167),
        horizontal_line(148, 169),
        horizontal_line(145, 171),
        horizontal_line(142, 172),
        horizontal_line(140, 174),
        horizontal_line(137, 176),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(129, 182),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(176, 181),
        horizontal_line(169, 181),
        horizontal_line(162, 181),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(136, 154),
        horizontal_line(138, 147),
        horizontal_line(14, 52),
        horizontal_line(14, 52),
        horizontal_line(15, 52),
        horizontal_line(109, 117),
        horizontal_line(107, 119),
        horizontal_line(106, 121),
        horizontal_line(65, 66),
        horizontal_line(16, 52),
        horizontal_line(16, 53),
        horizontal_line(98, 102),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(54, 65),
        horizontal_line(54, 65),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(127, 141),
        horizontal_line(103, 110),
        horizontal_line(126, 153),
        horizontal_line(125, 159),
    };

    constexpr const horizontal_line frame_1253_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(109, 124),
        horizontal_line(108, 123),
        horizontal_line(163, 172),
        horizontal_line(163, 176),
        horizontal_line(162, 180),
    };

    constexpr const shape frame_1253_shape_group_8_shapes[] = {
        shape(frame_1253_shape_group_8_shape_0_horizontal_lines, 74, 3),
        shape(frame_1253_shape_group_8_shape_1_horizontal_lines, 78, 1),
        shape(frame_1253_shape_group_8_shape_2_horizontal_lines, 85, 2),
        shape(frame_1253_shape_group_8_shape_3_horizontal_lines, 86, 1),
        shape(frame_1253_shape_group_8_shape_4_horizontal_lines, 87, 4),
        shape(frame_1253_shape_group_8_shape_5_horizontal_lines, 90, 1),
        shape(frame_1253_shape_group_8_shape_6_horizontal_lines, 102, 2),
        shape(frame_1253_shape_group_8_shape_7_horizontal_lines, 108, 1),
        shape(frame_1253_shape_group_8_shape_8_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(156, 163),
        horizontal_line(153, 165),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(112, 113),
        horizontal_line(110, 115),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(107, 118),
        horizontal_line(65, 68),
        horizontal_line(65, 70),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(54, 65),
        horizontal_line(54, 65),
        horizontal_line(71, 74),
        horizontal_line(71, 74),
        horizontal_line(54, 65),
        horizontal_line(54, 66),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(127, 147),
    };

    constexpr const horizontal_line frame_1253_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(165, 165),
        horizontal_line(164, 168),
    };

    constexpr const shape frame_1253_shape_group_9_shapes[] = {
        shape(frame_1253_shape_group_9_shape_0_horizontal_lines, 75, 1),
        shape(frame_1253_shape_group_9_shape_1_horizontal_lines, 82, 2),
        shape(frame_1253_shape_group_9_shape_2_horizontal_lines, 86, 2),
        shape(frame_1253_shape_group_9_shape_3_horizontal_lines, 90, 2),
        shape(frame_1253_shape_group_9_shape_4_horizontal_lines, 92, 1),
        shape(frame_1253_shape_group_9_shape_5_horizontal_lines, 95, 2),
        shape(frame_1253_shape_group_9_shape_6_horizontal_lines, 98, 1),
        shape(frame_1253_shape_group_9_shape_7_horizontal_lines, 101, 2),
        shape(frame_1253_shape_group_9_shape_8_horizontal_lines, 109, 1),
        shape(frame_1253_shape_group_9_shape_9_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(155, 181),
        horizontal_line(148, 181),
    };

    constexpr const horizontal_line frame_1253_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(53, 59),
        horizontal_line(53, 61),
        horizontal_line(53, 64),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_1253_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(109, 115),
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_1253_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(54, 64),
        horizontal_line(71, 74),
        horizontal_line(71, 74),
        horizontal_line(77, 77),
        horizontal_line(77, 78),
        horizontal_line(71, 74),
        horizontal_line(72, 75),
        horizontal_line(93, 95),
        horizontal_line(0, 17),
        horizontal_line(98, 101),
        horizontal_line(100, 100),
    };

    constexpr const shape frame_1253_shape_group_10_shapes[] = {
        shape(frame_1253_shape_group_10_shape_0_horizontal_lines, 90, 4),
        shape(frame_1253_shape_group_10_shape_1_horizontal_lines, 92, 2),
        shape(frame_1253_shape_group_10_shape_2_horizontal_lines, 99, 1),
        shape(frame_1253_shape_group_10_shape_3_horizontal_lines, 101, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(141, 181),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(53, 54),
        horizontal_line(53, 56),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(140, 180),
        horizontal_line(140, 180),
        horizontal_line(140, 180),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(53, 64),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(112, 119),
        horizontal_line(101, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 102),
    };

    constexpr const horizontal_line frame_1253_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(77, 78),
        horizontal_line(78, 78),
        horizontal_line(98, 102),
        horizontal_line(92, 94),
        horizontal_line(111, 125),
        horizontal_line(110, 124),
    };

    constexpr const shape frame_1253_shape_group_11_shapes[] = {
        shape(frame_1253_shape_group_11_shape_0_horizontal_lines, 92, 4),
        shape(frame_1253_shape_group_11_shape_1_horizontal_lines, 93, 2),
        shape(frame_1253_shape_group_11_shape_2_horizontal_lines, 95, 4),
        shape(frame_1253_shape_group_11_shape_3_horizontal_lines, 98, 2),
        shape(frame_1253_shape_group_11_shape_4_horizontal_lines, 100, 1),
        shape(frame_1253_shape_group_11_shape_5_horizontal_lines, 101, 2),
        shape(frame_1253_shape_group_11_shape_6_horizontal_lines, 102, 4),
        shape(frame_1253_shape_group_11_shape_7_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(140, 181),
        horizontal_line(140, 180),
    };

    constexpr const horizontal_line frame_1253_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_1253_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(53, 64),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_1253_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(112, 120),
        horizontal_line(139, 179),
        horizontal_line(112, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
    };

    constexpr const horizontal_line frame_1253_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(100, 104),
        horizontal_line(94, 96),
        horizontal_line(112, 126),
        horizontal_line(97, 102),
    };

    constexpr const shape frame_1253_shape_group_12_shapes[] = {
        shape(frame_1253_shape_group_12_shape_0_horizontal_lines, 93, 4),
        shape(frame_1253_shape_group_12_shape_1_horizontal_lines, 98, 4),
        shape(frame_1253_shape_group_12_shape_2_horizontal_lines, 99, 2),
        shape(frame_1253_shape_group_12_shape_3_horizontal_lines, 101, 4),
        shape(frame_1253_shape_group_12_shape_4_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(140, 180),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(54, 64),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(139, 179),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(139, 179),
        horizontal_line(139, 179),
        horizontal_line(153, 179),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(114, 128),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_6_horizontal_lines[] = {
        horizontal_line(83, 88),
    };

    constexpr const horizontal_line frame_1253_shape_group_13_shape_7_horizontal_lines[] = {
        horizontal_line(111, 126),
    };

    constexpr const shape frame_1253_shape_group_13_shapes[] = {
        shape(frame_1253_shape_group_13_shape_0_horizontal_lines, 98, 4),
        shape(frame_1253_shape_group_13_shape_1_horizontal_lines, 100, 2),
        shape(frame_1253_shape_group_13_shape_2_horizontal_lines, 101, 4),
        shape(frame_1253_shape_group_13_shape_3_horizontal_lines, 102, 7),
        shape(frame_1253_shape_group_13_shape_4_horizontal_lines, 103, 4),
        shape(frame_1253_shape_group_13_shape_5_horizontal_lines, 106, 2),
        shape(frame_1253_shape_group_13_shape_6_horizontal_lines, 108, 7),
        shape(frame_1253_shape_group_13_shape_7_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(139, 180),
        horizontal_line(113, 120),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(78, 78),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(80, 93),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(77, 79),
        horizontal_line(81, 86),
        horizontal_line(82, 94),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(167, 179),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(113, 127),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_6_horizontal_lines[] = {
        horizontal_line(90, 92),
    };

    constexpr const horizontal_line frame_1253_shape_group_14_shape_7_horizontal_lines[] = {
        horizontal_line(91, 91),
    };

    constexpr const shape frame_1253_shape_group_14_shapes[] = {
        shape(frame_1253_shape_group_14_shape_0_horizontal_lines, 99, 4),
        shape(frame_1253_shape_group_14_shape_1_horizontal_lines, 101, 7),
        shape(frame_1253_shape_group_14_shape_2_horizontal_lines, 102, 10),
        shape(frame_1253_shape_group_14_shape_3_horizontal_lines, 103, 7),
        shape(frame_1253_shape_group_14_shape_4_horizontal_lines, 106, 4),
        shape(frame_1253_shape_group_14_shape_5_horizontal_lines, 107, 2),
        shape(frame_1253_shape_group_14_shape_6_horizontal_lines, 108, 12),
        shape(frame_1253_shape_group_14_shape_7_horizontal_lines, 109, 7),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(139, 180),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(79, 85),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(81, 94),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(79, 87),
        horizontal_line(79, 87),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_6_horizontal_lines[] = {
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_1253_shape_group_15_shape_7_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const shape frame_1253_shape_group_15_shapes[] = {
        shape(frame_1253_shape_group_15_shape_0_horizontal_lines, 100, 4),
        shape(frame_1253_shape_group_15_shape_1_horizontal_lines, 101, 10),
        shape(frame_1253_shape_group_15_shape_2_horizontal_lines, 103, 10),
        shape(frame_1253_shape_group_15_shape_3_horizontal_lines, 104, 7),
        shape(frame_1253_shape_group_15_shape_4_horizontal_lines, 105, 12),
        shape(frame_1253_shape_group_15_shape_5_horizontal_lines, 106, 7),
        shape(frame_1253_shape_group_15_shape_6_horizontal_lines, 108, 13),
        shape(frame_1253_shape_group_15_shape_7_horizontal_lines, 109, 12),
    };

    constexpr const horizontal_line frame_1253_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_1253_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const horizontal_line frame_1253_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(87, 93),
    };

    constexpr const horizontal_line frame_1253_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1253_shape_group_16_shape_4_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1253_shape_group_16_shape_5_horizontal_lines[] = {
        horizontal_line(89, 93),
    };

    constexpr const shape frame_1253_shape_group_16_shapes[] = {
        shape(frame_1253_shape_group_16_shape_0_horizontal_lines, 101, 5),
        shape(frame_1253_shape_group_16_shape_1_horizontal_lines, 103, 12),
        shape(frame_1253_shape_group_16_shape_2_horizontal_lines, 104, 10),
        shape(frame_1253_shape_group_16_shape_3_horizontal_lines, 105, 13),
        shape(frame_1253_shape_group_16_shape_4_horizontal_lines, 106, 7),
        shape(frame_1253_shape_group_16_shape_5_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_1253_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(78, 80),
    };

    constexpr const horizontal_line frame_1253_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1253_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(88, 93),
    };

    constexpr const horizontal_line frame_1253_shape_group_17_shape_3_horizontal_lines[] = {
        horizontal_line(88, 88),
    };

    constexpr const shape frame_1253_shape_group_17_shapes[] = {
        shape(frame_1253_shape_group_17_shape_0_horizontal_lines, 104, 12),
        shape(frame_1253_shape_group_17_shape_1_horizontal_lines, 105, 11),
        shape(frame_1253_shape_group_17_shape_2_horizontal_lines, 106, 12),
        shape(frame_1253_shape_group_17_shape_3_horizontal_lines, 107, 13),
    };

    constexpr const horizontal_line frame_1253_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1253_shape_group_18_shape_1_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const shape frame_1253_shape_group_18_shapes[] = {
        shape(frame_1253_shape_group_18_shape_0_horizontal_lines, 104, 6),
        shape(frame_1253_shape_group_18_shape_1_horizontal_lines, 106, 11),
    };

    constexpr const shape_group frame_1253_shape_groups[] = {
        shape_group(frame_1253_shape_group_0_shapes),
        shape_group(frame_1253_shape_group_1_shapes),
        shape_group(frame_1253_shape_group_2_shapes),
        shape_group(frame_1253_shape_group_3_shapes),
        shape_group(frame_1253_shape_group_4_shapes),
        shape_group(frame_1253_shape_group_5_shapes),
        shape_group(frame_1253_shape_group_6_shapes),
        shape_group(frame_1253_shape_group_7_shapes),
        shape_group(frame_1253_shape_group_8_shapes),
        shape_group(frame_1253_shape_group_9_shapes),
        shape_group(frame_1253_shape_group_10_shapes),
        shape_group(frame_1253_shape_group_11_shapes),
        shape_group(frame_1253_shape_group_12_shapes),
        shape_group(frame_1253_shape_group_13_shapes),
        shape_group(frame_1253_shape_group_14_shapes),
        shape_group(frame_1253_shape_group_15_shapes),
        shape_group(frame_1253_shape_group_16_shapes),
        shape_group(frame_1253_shape_group_17_shapes),
        shape_group(frame_1253_shape_group_18_shapes),
    };

    constexpr const frame frame_1253_impl(frame_1253_colors, frame_1253_shape_groups);
} 

const frame& frame_1253()
{
    return frame_1253_impl;
}

namespace
{
    constexpr const bn::color frame_1254_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1254_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(1, 41),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 62),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(3, 45),
        horizontal_line(6, 45),
        horizontal_line(10, 44),
        horizontal_line(13, 44),
        horizontal_line(17, 44),
        horizontal_line(20, 43),
        horizontal_line(23, 43),
        horizontal_line(27, 42),
        horizontal_line(30, 42),
        horizontal_line(34, 41),
        horizontal_line(37, 41),
        horizontal_line(41, 41),
        horizontal_line(62, 64),
        horizontal_line(61, 65),
        horizontal_line(61, 66),
        horizontal_line(60, 67),
        horizontal_line(60, 77),
        horizontal_line(59, 67),
        horizontal_line(59, 67),
        horizontal_line(60, 67),
        horizontal_line(61, 67),
        horizontal_line(63, 67),
        horizontal_line(65, 67),
        horizontal_line(67, 67),
        horizontal_line(72, 75),
        horizontal_line(72, 75),
        horizontal_line(73, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_1254_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(136, 150),
        horizontal_line(132, 159),
    };

    constexpr const horizontal_line frame_1254_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(72, 77),
        horizontal_line(78, 83),
        horizontal_line(49, 58),
        horizontal_line(46, 64),
        horizontal_line(42, 71),
        horizontal_line(39, 77),
        horizontal_line(36, 84),
        horizontal_line(32, 90),
        horizontal_line(29, 91),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(16, 78),
        horizontal_line(24, 86),
        horizontal_line(32, 94),
        horizontal_line(40, 102),
        horizontal_line(48, 110),
        horizontal_line(56, 118),
        horizontal_line(64, 126),
        horizontal_line(72, 134),
        horizontal_line(80, 141),
        horizontal_line(87, 143),
        horizontal_line(95, 144),
        horizontal_line(103, 146),
        horizontal_line(111, 148),
        horizontal_line(119, 149),
        horizontal_line(127, 151),
        horizontal_line(135, 153),
        horizontal_line(143, 154),
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_1254_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1254_shape_group_0_shapes[] = {
        shape(frame_1254_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1254_shape_group_0_shape_1_horizontal_lines, 103, 14),
        shape(frame_1254_shape_group_0_shape_2_horizontal_lines, 108, 9),
        shape(frame_1254_shape_group_0_shape_3_horizontal_lines, 141, 8),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(16, 42),
        horizontal_line(31, 43),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(46, 47),
        horizontal_line(47, 51),
        horizontal_line(48, 55),
        horizontal_line(49, 59),
        horizontal_line(49, 62),
        horizontal_line(50, 66),
        horizontal_line(51, 70),
        horizontal_line(52, 74),
        horizontal_line(52, 77),
        horizontal_line(53, 81),
        horizontal_line(54, 85),
        horizontal_line(55, 89),
        horizontal_line(55, 92),
        horizontal_line(56, 96),
        horizontal_line(57, 100),
        horizontal_line(58, 104),
        horizontal_line(59, 107),
        horizontal_line(59, 111),
        horizontal_line(60, 115),
        horizontal_line(61, 119),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(49, 68),
        horizontal_line(50, 69),
        horizontal_line(51, 69),
        horizontal_line(52, 70),
        horizontal_line(53, 70),
        horizontal_line(54, 71),
        horizontal_line(56, 71),
        horizontal_line(57, 72),
        horizontal_line(58, 72),
        horizontal_line(59, 73),
        horizontal_line(60, 73),
        horizontal_line(61, 74),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(75, 78),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(76, 88),
        horizontal_line(77, 93),
        horizontal_line(77, 98),
        horizontal_line(78, 103),
        horizontal_line(81, 108),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(70, 77),
        horizontal_line(71, 78),
        horizontal_line(72, 78),
        horizontal_line(74, 79),
        horizontal_line(73, 74),
        horizontal_line(73, 75),
        horizontal_line(72, 76),
        horizontal_line(77, 81),
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(95, 99),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(104, 120),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(137, 169),
        horizontal_line(142, 178),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(84, 89),
        horizontal_line(91, 95),
        horizontal_line(97, 101),
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(167, 174),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(91, 97),
        horizontal_line(87, 103),
        horizontal_line(84, 110),
        horizontal_line(81, 116),
        horizontal_line(77, 123),
        horizontal_line(74, 124),
        horizontal_line(71, 126),
        horizontal_line(78, 128),
        horizontal_line(86, 129),
        horizontal_line(94, 131),
        horizontal_line(102, 133),
        horizontal_line(110, 134),
        horizontal_line(118, 136),
        horizontal_line(126, 138),
        horizontal_line(134, 139),
    };

    constexpr const horizontal_line frame_1254_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1254_shape_group_1_shapes[] = {
        shape(frame_1254_shape_group_1_shape_0_horizontal_lines, 39, 9),
        shape(frame_1254_shape_group_1_shape_1_horizontal_lines, 42, 14),
        shape(frame_1254_shape_group_1_shape_2_horizontal_lines, 72, 9),
        shape(frame_1254_shape_group_1_shape_3_horizontal_lines, 85, 14),
        shape(frame_1254_shape_group_1_shape_4_horizontal_lines, 86, 9),
        shape(frame_1254_shape_group_1_shape_5_horizontal_lines, 87, 14),
        shape(frame_1254_shape_group_1_shape_6_horizontal_lines, 92, 9),
        shape(frame_1254_shape_group_1_shape_7_horizontal_lines, 101, 14),
        shape(frame_1254_shape_group_1_shape_8_horizontal_lines, 110, 9),
        shape(frame_1254_shape_group_1_shape_9_horizontal_lines, 114, 14),
        shape(frame_1254_shape_group_1_shape_10_horizontal_lines, 116, 9),
        shape(frame_1254_shape_group_1_shape_11_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(226, 239),
        horizontal_line(222, 239),
        horizontal_line(218, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(200, 239),
        horizontal_line(196, 239),
        horizontal_line(191, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 239),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(88, 150),
        horizontal_line(92, 154),
        horizontal_line(96, 155),
        horizontal_line(100, 152),
        horizontal_line(104, 149),
        horizontal_line(108, 145),
        horizontal_line(112, 142),
        horizontal_line(116, 139),
        horizontal_line(120, 135),
        horizontal_line(124, 132),
        horizontal_line(76, 83),
        horizontal_line(127, 129),
        horizontal_line(125, 131),
        horizontal_line(122, 133),
        horizontal_line(120, 135),
        horizontal_line(117, 137),
        horizontal_line(86, 113),
        horizontal_line(91, 112),
        horizontal_line(96, 110),
        horizontal_line(101, 108),
        horizontal_line(80, 83),
        horizontal_line(81, 88),
        horizontal_line(82, 93),
        horizontal_line(86, 99),
        horizontal_line(91, 98),
        horizontal_line(105, 111),
        horizontal_line(104, 111),
        horizontal_line(121, 141),
        horizontal_line(121, 141),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(6, 51),
        horizontal_line(6, 51),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(147, 187),
        horizontal_line(152, 183),
        horizontal_line(157, 180),
        horizontal_line(162, 177),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(91, 111),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(228, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(8, 14),
        horizontal_line(8, 11),
        horizontal_line(127, 167),
    };

    constexpr const horizontal_line frame_1254_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(7, 15),
        horizontal_line(5, 23),
        horizontal_line(3, 31),
        horizontal_line(1, 39),
        horizontal_line(0, 47),
        horizontal_line(0, 55),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 79),
        horizontal_line(62, 86),
        horizontal_line(62, 94),
        horizontal_line(62, 102),
        horizontal_line(62, 110),
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
    };

    constexpr const shape frame_1254_shape_group_2_shapes[] = {
        shape(frame_1254_shape_group_2_shape_0_horizontal_lines, 59, 14),
        shape(frame_1254_shape_group_2_shape_1_horizontal_lines, 106, 1),
        shape(frame_1254_shape_group_2_shape_2_horizontal_lines, 108, 14),
        shape(frame_1254_shape_group_2_shape_3_horizontal_lines, 115, 8),
        shape(frame_1254_shape_group_2_shape_4_horizontal_lines, 116, 14),
        shape(frame_1254_shape_group_2_shape_5_horizontal_lines, 119, 8),
        shape(frame_1254_shape_group_2_shape_6_horizontal_lines, 120, 1),
        shape(frame_1254_shape_group_2_shape_7_horizontal_lines, 123, 8),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(125, 130),
        horizontal_line(126, 134),
        horizontal_line(127, 137),
        horizontal_line(127, 141),
        horizontal_line(128, 145),
        horizontal_line(129, 149),
        horizontal_line(130, 152),
        horizontal_line(131, 156),
        horizontal_line(178, 239),
        horizontal_line(174, 236),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(129, 129),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(115, 139),
        horizontal_line(115, 141),
        horizontal_line(117, 141),
        horizontal_line(119, 141),
        horizontal_line(106, 106),
        horizontal_line(105, 107),
        horizontal_line(103, 109),
        horizontal_line(101, 111),
        horizontal_line(102, 111),
        horizontal_line(122, 141),
        horizontal_line(121, 141),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(65, 70),
        horizontal_line(66, 71),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(59, 71),
        horizontal_line(53, 77),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(194, 239),
        horizontal_line(200, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(85, 109),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(7, 31),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(98, 113),
        horizontal_line(104, 116),
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(8, 18),
        horizontal_line(124, 168),
        horizontal_line(125, 167),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(129, 166),
        horizontal_line(130, 166),
        horizontal_line(132, 165),
        horizontal_line(134, 165),
        horizontal_line(135, 164),
        horizontal_line(137, 164),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(142, 162),
        horizontal_line(144, 161),
        horizontal_line(145, 161),
        horizontal_line(147, 160),
        horizontal_line(149, 160),
        horizontal_line(150, 159),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 134),
        horizontal_line(124, 142),
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_1254_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
    };

    constexpr const shape frame_1254_shape_group_3_shapes[] = {
        shape(frame_1254_shape_group_3_shape_0_horizontal_lines, 63, 14),
        shape(frame_1254_shape_group_3_shape_1_horizontal_lines, 106, 1),
        shape(frame_1254_shape_group_3_shape_2_horizontal_lines, 108, 8),
        shape(frame_1254_shape_group_3_shape_3_horizontal_lines, 110, 14),
        shape(frame_1254_shape_group_3_shape_4_horizontal_lines, 114, 8),
        shape(frame_1254_shape_group_3_shape_5_horizontal_lines, 115, 1),
        shape(frame_1254_shape_group_3_shape_6_horizontal_lines, 116, 8),
        shape(frame_1254_shape_group_3_shape_7_horizontal_lines, 119, 1),
        shape(frame_1254_shape_group_3_shape_8_horizontal_lines, 122, 2),
        shape(frame_1254_shape_group_3_shape_9_horizontal_lines, 123, 1),
        shape(frame_1254_shape_group_3_shape_10_horizontal_lines, 129, 8),
        shape(frame_1254_shape_group_3_shape_11_horizontal_lines, 131, 1),
        shape(frame_1254_shape_group_3_shape_12_horizontal_lines, 137, 8),
        shape(frame_1254_shape_group_3_shape_13_horizontal_lines, 141, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(134, 160),
        horizontal_line(138, 164),
        horizontal_line(142, 168),
        horizontal_line(146, 165),
        horizontal_line(150, 162),
        horizontal_line(154, 159),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
        horizontal_line(1, 29),
        horizontal_line(2, 33),
        horizontal_line(8, 36),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(20, 61),
        horizontal_line(26, 43),
        horizontal_line(32, 45),
        horizontal_line(38, 46),
        horizontal_line(44, 47),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(121, 141),
        horizontal_line(123, 141),
        horizontal_line(122, 141),
        horizontal_line(122, 141),
        horizontal_line(122, 141),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(5, 50),
        horizontal_line(5, 51),
        horizontal_line(5, 51),
        horizontal_line(75, 76),
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(78, 82),
        horizontal_line(84, 89),
        horizontal_line(59, 83),
        horizontal_line(65, 90),
        horizontal_line(72, 96),
        horizontal_line(78, 102),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(7, 35),
        horizontal_line(126, 171),
        horizontal_line(7, 28),
        horizontal_line(8, 24),
        horizontal_line(8, 21),
        horizontal_line(123, 168),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(168, 196),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(165, 214),
        horizontal_line(165, 217),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(139, 163),
        horizontal_line(140, 162),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(152, 159),
        horizontal_line(154, 158),
        horizontal_line(155, 158),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_1254_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1254_shape_group_4_shapes[] = {
        shape(frame_1254_shape_group_4_shape_0_horizontal_lines, 72, 14),
        shape(frame_1254_shape_group_4_shape_1_horizontal_lines, 80, 8),
        shape(frame_1254_shape_group_4_shape_2_horizontal_lines, 86, 14),
        shape(frame_1254_shape_group_4_shape_3_horizontal_lines, 87, 8),
        shape(frame_1254_shape_group_4_shape_4_horizontal_lines, 92, 14),
        shape(frame_1254_shape_group_4_shape_5_horizontal_lines, 103, 1),
        shape(frame_1254_shape_group_4_shape_6_horizontal_lines, 108, 8),
        shape(frame_1254_shape_group_4_shape_7_horizontal_lines, 114, 1),
        shape(frame_1254_shape_group_4_shape_8_horizontal_lines, 120, 2),
        shape(frame_1254_shape_group_4_shape_9_horizontal_lines, 129, 1),
        shape(frame_1254_shape_group_4_shape_10_horizontal_lines, 131, 2),
        shape(frame_1254_shape_group_4_shape_11_horizontal_lines, 137, 1),
        shape(frame_1254_shape_group_4_shape_12_horizontal_lines, 141, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(44, 56),
        horizontal_line(44, 57),
        horizontal_line(43, 58),
        horizontal_line(43, 59),
        horizontal_line(42, 60),
        horizontal_line(42, 62),
        horizontal_line(14, 40),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(2, 19),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(45, 60),
        horizontal_line(48, 60),
        horizontal_line(50, 59),
        horizontal_line(53, 59),
        horizontal_line(55, 58),
        horizontal_line(58, 58),
        horizontal_line(68, 71),
        horizontal_line(68, 73),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(65, 69),
        horizontal_line(65, 70),
        horizontal_line(65, 70),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(6, 51),
        horizontal_line(6, 52),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(90, 97),
        horizontal_line(96, 99),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(7, 41),
        horizontal_line(7, 38),
        horizontal_line(126, 166),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(125, 170),
        horizontal_line(124, 169),
        horizontal_line(124, 169),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(169, 189),
        horizontal_line(168, 193),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(167, 200),
        horizontal_line(167, 203),
        horizontal_line(166, 207),
        horizontal_line(166, 210),
    };

    constexpr const horizontal_line frame_1254_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(164, 221),
        horizontal_line(163, 224),
        horizontal_line(225, 228),
        horizontal_line(224, 231),
        horizontal_line(224, 235),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
    };

    constexpr const shape frame_1254_shape_group_5_shapes[] = {
        shape(frame_1254_shape_group_5_shape_0_horizontal_lines, 73, 14),
        shape(frame_1254_shape_group_5_shape_1_horizontal_lines, 78, 8),
        shape(frame_1254_shape_group_5_shape_2_horizontal_lines, 87, 1),
        shape(frame_1254_shape_group_5_shape_3_horizontal_lines, 88, 8),
        shape(frame_1254_shape_group_5_shape_4_horizontal_lines, 96, 14),
        shape(frame_1254_shape_group_5_shape_5_horizontal_lines, 101, 8),
        shape(frame_1254_shape_group_5_shape_6_horizontal_lines, 103, 1),
        shape(frame_1254_shape_group_5_shape_7_horizontal_lines, 110, 8),
        shape(frame_1254_shape_group_5_shape_8_horizontal_lines, 112, 1),
        shape(frame_1254_shape_group_5_shape_9_horizontal_lines, 115, 2),
        shape(frame_1254_shape_group_5_shape_10_horizontal_lines, 116, 1),
        shape(frame_1254_shape_group_5_shape_11_horizontal_lines, 119, 2),
        shape(frame_1254_shape_group_5_shape_12_horizontal_lines, 123, 2),
        shape(frame_1254_shape_group_5_shape_13_horizontal_lines, 129, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(47, 48),
        horizontal_line(47, 49),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 9),
        horizontal_line(45, 53),
        horizontal_line(45, 55),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(150, 178),
        horizontal_line(146, 179),
        horizontal_line(143, 181),
        horizontal_line(140, 183),
        horizontal_line(136, 184),
        horizontal_line(2, 7),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(42, 61),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(130, 190),
        horizontal_line(2, 25),
        horizontal_line(2, 31),
        horizontal_line(3, 37),
        horizontal_line(3, 43),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(68, 69),
        horizontal_line(68, 70),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(3, 49),
        horizontal_line(4, 49),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(64, 64),
        horizontal_line(66, 66),
        horizontal_line(68, 71),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(5, 50),
        horizontal_line(5, 50),
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(75, 76),
        horizontal_line(106, 114),
        horizontal_line(105, 113),
        horizontal_line(95, 97),
        horizontal_line(94, 96),
        horizontal_line(6, 48),
        horizontal_line(6, 45),
        horizontal_line(102, 109),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(112, 125),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_1254_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_1254_shape_group_6_shapes[] = {
        shape(frame_1254_shape_group_6_shape_0_horizontal_lines, 73, 8),
        shape(frame_1254_shape_group_6_shape_1_horizontal_lines, 80, 1),
        shape(frame_1254_shape_group_6_shape_2_horizontal_lines, 86, 8),
        shape(frame_1254_shape_group_6_shape_3_horizontal_lines, 87, 1),
        shape(frame_1254_shape_group_6_shape_4_horizontal_lines, 92, 8),
        shape(frame_1254_shape_group_6_shape_5_horizontal_lines, 94, 1),
        shape(frame_1254_shape_group_6_shape_6_horizontal_lines, 96, 8),
        shape(frame_1254_shape_group_6_shape_7_horizontal_lines, 101, 1),
        shape(frame_1254_shape_group_6_shape_8_horizontal_lines, 114, 2),
        shape(frame_1254_shape_group_6_shape_9_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(46, 50),
        horizontal_line(46, 51),
        horizontal_line(45, 52),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(156, 174),
        horizontal_line(153, 176),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(133, 186),
        horizontal_line(2, 13),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(132, 182),
        horizontal_line(134, 174),
        horizontal_line(136, 166),
        horizontal_line(138, 158),
        horizontal_line(3, 49),
        horizontal_line(3, 49),
        horizontal_line(111, 116),
        horizontal_line(109, 118),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(68, 71),
        horizontal_line(76, 76),
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(64, 69),
        horizontal_line(65, 69),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(104, 112),
        horizontal_line(103, 111),
        horizontal_line(102, 111),
        horizontal_line(101, 110),
        horizontal_line(127, 156),
        horizontal_line(127, 161),
    };

    constexpr const horizontal_line frame_1254_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(110, 125),
        horizontal_line(172, 172),
        horizontal_line(114, 124),
        horizontal_line(117, 123),
        horizontal_line(119, 123),
        horizontal_line(169, 186),
    };

    constexpr const shape frame_1254_shape_group_7_shapes[] = {
        shape(frame_1254_shape_group_7_shape_0_horizontal_lines, 75, 8),
        shape(frame_1254_shape_group_7_shape_1_horizontal_lines, 78, 1),
        shape(frame_1254_shape_group_7_shape_2_horizontal_lines, 83, 3),
        shape(frame_1254_shape_group_7_shape_3_horizontal_lines, 85, 1),
        shape(frame_1254_shape_group_7_shape_4_horizontal_lines, 87, 2),
        shape(frame_1254_shape_group_7_shape_5_horizontal_lines, 88, 1),
        shape(frame_1254_shape_group_7_shape_6_horizontal_lines, 96, 8),
        shape(frame_1254_shape_group_7_shape_7_horizontal_lines, 101, 1),
        shape(frame_1254_shape_group_7_shape_8_horizontal_lines, 103, 3),
        shape(frame_1254_shape_group_7_shape_9_horizontal_lines, 104, 2),
        shape(frame_1254_shape_group_7_shape_10_horizontal_lines, 107, 1),
        shape(frame_1254_shape_group_7_shape_11_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(166, 169),
        horizontal_line(163, 171),
        horizontal_line(160, 173),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(130, 188),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(44, 44),
        horizontal_line(46, 47),
        horizontal_line(47, 49),
        horizontal_line(48, 52),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(140, 150),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(55, 59),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(4, 49),
        horizontal_line(4, 49),
        horizontal_line(4, 50),
        horizontal_line(4, 50),
        horizontal_line(4, 50),
        horizontal_line(98, 104),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(52, 64),
        horizontal_line(52, 64),
        horizontal_line(52, 64),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(130, 136),
        horizontal_line(129, 141),
        horizontal_line(129, 146),
        horizontal_line(128, 151),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1254_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(171, 175),
        horizontal_line(170, 179),
        horizontal_line(170, 182),
    };

    constexpr const shape frame_1254_shape_group_8_shapes[] = {
        shape(frame_1254_shape_group_8_shape_0_horizontal_lines, 75, 1),
        shape(frame_1254_shape_group_8_shape_1_horizontal_lines, 85, 2),
        shape(frame_1254_shape_group_8_shape_2_horizontal_lines, 86, 1),
        shape(frame_1254_shape_group_8_shape_3_horizontal_lines, 88, 3),
        shape(frame_1254_shape_group_8_shape_4_horizontal_lines, 92, 1),
        shape(frame_1254_shape_group_8_shape_5_horizontal_lines, 94, 3),
        shape(frame_1254_shape_group_8_shape_6_horizontal_lines, 96, 1),
        shape(frame_1254_shape_group_8_shape_7_horizontal_lines, 103, 2),
        shape(frame_1254_shape_group_8_shape_8_horizontal_lines, 108, 1),
        shape(frame_1254_shape_group_8_shape_9_horizontal_lines, 112, 2),
        shape(frame_1254_shape_group_8_shape_10_horizontal_lines, 116, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(50, 54),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(107, 120),
        horizontal_line(108, 122),
        horizontal_line(64, 65),
        horizontal_line(64, 67),
        horizontal_line(64, 69),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_1254_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(51, 64),
        horizontal_line(71, 73),
        horizontal_line(71, 74),
        horizontal_line(71, 74),
        horizontal_line(52, 65),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(110, 126),
        horizontal_line(109, 126),
    };

    constexpr const shape frame_1254_shape_group_9_shapes[] = {
        shape(frame_1254_shape_group_9_shape_0_horizontal_lines, 86, 2),
        shape(frame_1254_shape_group_9_shape_1_horizontal_lines, 88, 2),
        shape(frame_1254_shape_group_9_shape_2_horizontal_lines, 92, 3),
        shape(frame_1254_shape_group_9_shape_3_horizontal_lines, 93, 1),
        shape(frame_1254_shape_group_9_shape_4_horizontal_lines, 94, 2),
        shape(frame_1254_shape_group_9_shape_5_horizontal_lines, 96, 1),
        shape(frame_1254_shape_group_9_shape_6_horizontal_lines, 101, 3),
        shape(frame_1254_shape_group_9_shape_7_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(183, 189),
        horizontal_line(175, 189),
        horizontal_line(167, 189),
        horizontal_line(159, 189),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(52, 57),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(50, 54),
        horizontal_line(50, 57),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(110, 117),
        horizontal_line(112, 112),
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_1254_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(51, 64),
        horizontal_line(70, 73),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(72, 75),
        horizontal_line(52, 58),
        horizontal_line(92, 93),
        horizontal_line(98, 101),
        horizontal_line(100, 100),
    };

    constexpr const shape frame_1254_shape_group_10_shapes[] = {
        shape(frame_1254_shape_group_10_shape_0_horizontal_lines, 88, 4),
        shape(frame_1254_shape_group_10_shape_1_horizontal_lines, 92, 2),
        shape(frame_1254_shape_group_10_shape_2_horizontal_lines, 93, 3),
        shape(frame_1254_shape_group_10_shape_3_horizontal_lines, 94, 2),
        shape(frame_1254_shape_group_10_shape_4_horizontal_lines, 96, 3),
        shape(frame_1254_shape_group_10_shape_5_horizontal_lines, 97, 2),
        shape(frame_1254_shape_group_10_shape_6_horizontal_lines, 98, 1),
        shape(frame_1254_shape_group_10_shape_7_horizontal_lines, 101, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(151, 189),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(142, 189),
        horizontal_line(142, 188),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(50, 63),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(70, 70),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(51, 63),
        horizontal_line(70, 73),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
    };

    constexpr const horizontal_line frame_1254_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(100, 105),
        horizontal_line(78, 79),
        horizontal_line(93, 94),
        horizontal_line(97, 102),
        horizontal_line(112, 128),
        horizontal_line(111, 127),
    };

    constexpr const shape frame_1254_shape_group_11_shapes[] = {
        shape(frame_1254_shape_group_11_shape_0_horizontal_lines, 92, 4),
        shape(frame_1254_shape_group_11_shape_1_horizontal_lines, 93, 2),
        shape(frame_1254_shape_group_11_shape_2_horizontal_lines, 94, 4),
        shape(frame_1254_shape_group_11_shape_3_horizontal_lines, 96, 2),
        shape(frame_1254_shape_group_11_shape_4_horizontal_lines, 100, 3),
        shape(frame_1254_shape_group_11_shape_5_horizontal_lines, 101, 2),
        shape(frame_1254_shape_group_11_shape_6_horizontal_lines, 103, 4),
        shape(frame_1254_shape_group_11_shape_7_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(50, 51),
    };

    constexpr const horizontal_line frame_1254_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(50, 60),
    };

    constexpr const horizontal_line frame_1254_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(142, 188),
    };

    constexpr const horizontal_line frame_1254_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(51, 63),
        horizontal_line(51, 63),
        horizontal_line(0, 3),
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_1254_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(101, 103),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(142, 187),
    };

    constexpr const horizontal_line frame_1254_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(94, 95),
        horizontal_line(98, 103),
        horizontal_line(112, 128),
    };

    constexpr const shape frame_1254_shape_group_12_shapes[] = {
        shape(frame_1254_shape_group_12_shape_0_horizontal_lines, 93, 2),
        shape(frame_1254_shape_group_12_shape_1_horizontal_lines, 96, 2),
        shape(frame_1254_shape_group_12_shape_2_horizontal_lines, 97, 4),
        shape(frame_1254_shape_group_12_shape_3_horizontal_lines, 98, 2),
        shape(frame_1254_shape_group_12_shape_4_horizontal_lines, 102, 4),
        shape(frame_1254_shape_group_12_shape_5_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(143, 189),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(142, 188),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(118, 121),
        horizontal_line(113, 121),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(51, 63),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(142, 187),
        horizontal_line(142, 187),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_6_horizontal_lines[] = {
        horizontal_line(151, 187),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_7_horizontal_lines[] = {
        horizontal_line(99, 104),
        horizontal_line(113, 129),
    };

    constexpr const horizontal_line frame_1254_shape_group_13_shape_8_horizontal_lines[] = {
        horizontal_line(179, 187),
    };

    constexpr const shape frame_1254_shape_group_13_shapes[] = {
        shape(frame_1254_shape_group_13_shape_0_horizontal_lines, 93, 4),
        shape(frame_1254_shape_group_13_shape_1_horizontal_lines, 96, 4),
        shape(frame_1254_shape_group_13_shape_2_horizontal_lines, 98, 4),
        shape(frame_1254_shape_group_13_shape_3_horizontal_lines, 100, 2),
        shape(frame_1254_shape_group_13_shape_4_horizontal_lines, 101, 4),
        shape(frame_1254_shape_group_13_shape_5_horizontal_lines, 105, 11),
        shape(frame_1254_shape_group_13_shape_6_horizontal_lines, 106, 4),
        shape(frame_1254_shape_group_13_shape_7_horizontal_lines, 107, 2),
        shape(frame_1254_shape_group_13_shape_8_horizontal_lines, 109, 4),
    };

    constexpr const horizontal_line frame_1254_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(142, 188),
        horizontal_line(142, 188),
        horizontal_line(112, 121),
        horizontal_line(142, 188),
        horizontal_line(142, 188),
    };

    constexpr const horizontal_line frame_1254_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(81, 86),
        horizontal_line(82, 95),
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1254_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1254_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(114, 130),
    };

    constexpr const horizontal_line frame_1254_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(170, 187),
    };

    constexpr const horizontal_line frame_1254_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(90, 91),
    };

    constexpr const shape frame_1254_shape_group_14_shapes[] = {
        shape(frame_1254_shape_group_14_shape_0_horizontal_lines, 98, 4),
        shape(frame_1254_shape_group_14_shape_1_horizontal_lines, 103, 7),
        shape(frame_1254_shape_group_14_shape_2_horizontal_lines, 106, 11),
        shape(frame_1254_shape_group_14_shape_3_horizontal_lines, 107, 2),
        shape(frame_1254_shape_group_14_shape_4_horizontal_lines, 108, 4),
        shape(frame_1254_shape_group_14_shape_5_horizontal_lines, 109, 7),
    };

    constexpr const horizontal_line frame_1254_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(142, 188),
    };

    constexpr const horizontal_line frame_1254_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1254_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(77, 79),
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1254_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_1254_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(85, 90),
        horizontal_line(79, 87),
    };

    constexpr const horizontal_line frame_1254_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(160, 187),
    };

    constexpr const horizontal_line frame_1254_shape_group_15_shape_6_horizontal_lines[] = {
        horizontal_line(83, 89),
    };

    constexpr const shape frame_1254_shape_group_15_shapes[] = {
        shape(frame_1254_shape_group_15_shape_0_horizontal_lines, 100, 4),
        shape(frame_1254_shape_group_15_shape_1_horizontal_lines, 101, 11),
        shape(frame_1254_shape_group_15_shape_2_horizontal_lines, 102, 7),
        shape(frame_1254_shape_group_15_shape_3_horizontal_lines, 104, 12),
        shape(frame_1254_shape_group_15_shape_4_horizontal_lines, 105, 7),
        shape(frame_1254_shape_group_15_shape_5_horizontal_lines, 107, 4),
        shape(frame_1254_shape_group_15_shape_6_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_1254_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(78, 79),
    };

    constexpr const horizontal_line frame_1254_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(81, 93),
        horizontal_line(87, 93),
    };

    constexpr const horizontal_line frame_1254_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1254_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(93, 94),
        horizontal_line(94, 94),
        horizontal_line(80, 88),
        horizontal_line(91, 92),
    };

    constexpr const shape frame_1254_shape_group_16_shapes[] = {
        shape(frame_1254_shape_group_16_shape_0_horizontal_lines, 101, 7),
        shape(frame_1254_shape_group_16_shape_1_horizontal_lines, 102, 10),
        shape(frame_1254_shape_group_16_shape_2_horizontal_lines, 104, 6),
        shape(frame_1254_shape_group_16_shape_3_horizontal_lines, 105, 7),
    };

    constexpr const horizontal_line frame_1254_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(80, 86),
    };

    constexpr const horizontal_line frame_1254_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(80, 80),
        horizontal_line(78, 80),
    };

    constexpr const horizontal_line frame_1254_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1254_shape_group_17_shape_3_horizontal_lines[] = {
        horizontal_line(82, 84),
        horizontal_line(88, 93),
        horizontal_line(90, 93),
        horizontal_line(90, 90),
    };

    constexpr const shape frame_1254_shape_group_17_shapes[] = {
        shape(frame_1254_shape_group_17_shape_0_horizontal_lines, 101, 10),
        shape(frame_1254_shape_group_17_shape_1_horizontal_lines, 102, 12),
        shape(frame_1254_shape_group_17_shape_2_horizontal_lines, 104, 13),
        shape(frame_1254_shape_group_17_shape_3_horizontal_lines, 105, 12),
    };

    constexpr const horizontal_line frame_1254_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_1254_shape_group_18_shape_1_horizontal_lines[] = {
        horizontal_line(91, 92),
    };

    constexpr const horizontal_line frame_1254_shape_group_18_shape_2_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1254_shape_group_18_shape_3_horizontal_lines[] = {
        horizontal_line(89, 89),
    };

    constexpr const shape frame_1254_shape_group_18_shapes[] = {
        shape(frame_1254_shape_group_18_shape_0_horizontal_lines, 103, 6),
        shape(frame_1254_shape_group_18_shape_1_horizontal_lines, 105, 12),
        shape(frame_1254_shape_group_18_shape_2_horizontal_lines, 106, 6),
        shape(frame_1254_shape_group_18_shape_3_horizontal_lines, 107, 13),
    };

    constexpr const horizontal_line frame_1254_shape_group_19_shape_0_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const shape frame_1254_shape_group_19_shapes[] = {
        shape(frame_1254_shape_group_19_shape_0_horizontal_lines, 105, 6),
    };

    constexpr const horizontal_line frame_1254_shape_group_20_shape_0_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const shape frame_1254_shape_group_20_shapes[] = {
        shape(frame_1254_shape_group_20_shape_0_horizontal_lines, 105, 13),
    };

    constexpr const shape_group frame_1254_shape_groups[] = {
        shape_group(frame_1254_shape_group_0_shapes),
        shape_group(frame_1254_shape_group_1_shapes),
        shape_group(frame_1254_shape_group_2_shapes),
        shape_group(frame_1254_shape_group_3_shapes),
        shape_group(frame_1254_shape_group_4_shapes),
        shape_group(frame_1254_shape_group_5_shapes),
        shape_group(frame_1254_shape_group_6_shapes),
        shape_group(frame_1254_shape_group_7_shapes),
        shape_group(frame_1254_shape_group_8_shapes),
        shape_group(frame_1254_shape_group_9_shapes),
        shape_group(frame_1254_shape_group_10_shapes),
        shape_group(frame_1254_shape_group_11_shapes),
        shape_group(frame_1254_shape_group_12_shapes),
        shape_group(frame_1254_shape_group_13_shapes),
        shape_group(frame_1254_shape_group_14_shapes),
        shape_group(frame_1254_shape_group_15_shapes),
        shape_group(frame_1254_shape_group_16_shapes),
        shape_group(frame_1254_shape_group_17_shapes),
        shape_group(frame_1254_shape_group_18_shapes),
        shape_group(frame_1254_shape_group_19_shapes),
        shape_group(frame_1254_shape_group_20_shapes),
    };

    constexpr const frame frame_1254_impl(frame_1254_colors, frame_1254_shape_groups);
} 

const frame& frame_1254()
{
    return frame_1254_impl;
}

namespace
{
    constexpr const bn::color frame_1255_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1255_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(1, 36),
    };

    constexpr const horizontal_line frame_1255_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(39, 40),
        horizontal_line(40, 44),
        horizontal_line(41, 47),
        horizontal_line(42, 51),
        horizontal_line(42, 54),
        horizontal_line(43, 58),
        horizontal_line(44, 61),
    };

    constexpr const horizontal_line frame_1255_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 62),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(3, 42),
        horizontal_line(7, 41),
        horizontal_line(11, 41),
        horizontal_line(15, 40),
        horizontal_line(19, 40),
        horizontal_line(22, 39),
        horizontal_line(26, 39),
        horizontal_line(30, 38),
        horizontal_line(34, 38),
        horizontal_line(38, 38),
        horizontal_line(60, 64),
        horizontal_line(60, 65),
        horizontal_line(59, 66),
        horizontal_line(59, 67),
        horizontal_line(58, 77),
        horizontal_line(58, 67),
        horizontal_line(58, 67),
        horizontal_line(59, 67),
        horizontal_line(61, 66),
        horizontal_line(63, 66),
        horizontal_line(66, 66),
        horizontal_line(72, 76),
        horizontal_line(72, 75),
        horizontal_line(72, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_1255_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(96, 99),
        horizontal_line(98, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(107, 118),
    };

    constexpr const horizontal_line frame_1255_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(81, 81),
        horizontal_line(65, 77),
        horizontal_line(71, 83),
        horizontal_line(78, 89),
        horizontal_line(48, 56),
        horizontal_line(45, 62),
        horizontal_line(42, 68),
        horizontal_line(39, 74),
        horizontal_line(36, 80),
        horizontal_line(33, 87),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(18, 80),
        horizontal_line(27, 89),
        horizontal_line(35, 97),
        horizontal_line(44, 106),
        horizontal_line(53, 115),
        horizontal_line(61, 123),
        horizontal_line(70, 132),
        horizontal_line(79, 141),
        horizontal_line(87, 149),
        horizontal_line(96, 152),
        horizontal_line(105, 153),
        horizontal_line(113, 155),
        horizontal_line(122, 157),
        horizontal_line(131, 158),
        horizontal_line(139, 160),
        horizontal_line(148, 161),
        horizontal_line(157, 163),
    };

    constexpr const horizontal_line frame_1255_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1255_shape_group_0_shapes[] = {
        shape(frame_1255_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1255_shape_group_0_shape_1_horizontal_lines, 35, 14),
        shape(frame_1255_shape_group_0_shape_2_horizontal_lines, 42, 9),
        shape(frame_1255_shape_group_0_shape_3_horizontal_lines, 102, 14),
        shape(frame_1255_shape_group_0_shape_4_horizontal_lines, 107, 9),
        shape(frame_1255_shape_group_0_shape_5_horizontal_lines, 148, 8),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(45, 65),
        horizontal_line(46, 69),
        horizontal_line(46, 72),
        horizontal_line(47, 76),
        horizontal_line(48, 79),
        horizontal_line(49, 83),
        horizontal_line(49, 86),
        horizontal_line(50, 90),
        horizontal_line(51, 94),
        horizontal_line(52, 97),
        horizontal_line(53, 101),
        horizontal_line(53, 104),
        horizontal_line(54, 108),
        horizontal_line(55, 111),
        horizontal_line(56, 115),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(55, 70),
        horizontal_line(57, 71),
        horizontal_line(58, 71),
        horizontal_line(59, 72),
        horizontal_line(60, 73),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(61, 63),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(76, 90),
        horizontal_line(76, 95),
        horizontal_line(77, 100),
        horizontal_line(78, 104),
        horizontal_line(81, 109),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(70, 78),
        horizontal_line(71, 78),
        horizontal_line(72, 79),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(80, 83),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(73, 74),
        horizontal_line(73, 75),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(82, 99),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(143, 143),
        horizontal_line(139, 150),
        horizontal_line(136, 157),
        horizontal_line(134, 164),
        horizontal_line(138, 171),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(84, 95),
        horizontal_line(91, 102),
        horizontal_line(97, 104),
        horizontal_line(104, 107),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(163, 194),
        horizontal_line(168, 191),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(92, 93),
        horizontal_line(89, 99),
        horizontal_line(86, 105),
        horizontal_line(83, 111),
        horizontal_line(80, 117),
        horizontal_line(77, 124),
        horizontal_line(74, 125),
        horizontal_line(71, 127),
        horizontal_line(68, 128),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(71, 133),
        horizontal_line(80, 138),
        horizontal_line(89, 139),
        horizontal_line(97, 141),
        horizontal_line(106, 142),
        horizontal_line(115, 144),
        horizontal_line(123, 146),
        horizontal_line(132, 147),
        horizontal_line(141, 149),
        horizontal_line(149, 150),
    };

    constexpr const horizontal_line frame_1255_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1255_shape_group_1_shapes[] = {
        shape(frame_1255_shape_group_1_shape_0_horizontal_lines, 42, 14),
        shape(frame_1255_shape_group_1_shape_1_horizontal_lines, 71, 9),
        shape(frame_1255_shape_group_1_shape_2_horizontal_lines, 84, 14),
        shape(frame_1255_shape_group_1_shape_3_horizontal_lines, 85, 9),
        shape(frame_1255_shape_group_1_shape_4_horizontal_lines, 87, 14),
        shape(frame_1255_shape_group_1_shape_5_horizontal_lines, 92, 9),
        shape(frame_1255_shape_group_1_shape_6_horizontal_lines, 95, 14),
        shape(frame_1255_shape_group_1_shape_7_horizontal_lines, 96, 9),
        shape(frame_1255_shape_group_1_shape_8_horizontal_lines, 98, 14),
        shape(frame_1255_shape_group_1_shape_9_horizontal_lines, 99, 9),
        shape(frame_1255_shape_group_1_shape_10_horizontal_lines, 100, 14),
        shape(frame_1255_shape_group_1_shape_11_horizontal_lines, 111, 9),
        shape(frame_1255_shape_group_1_shape_12_horizontal_lines, 115, 14),
        shape(frame_1255_shape_group_1_shape_13_horizontal_lines, 117, 9),
        shape(frame_1255_shape_group_1_shape_14_horizontal_lines, 140, 8),
    };

    constexpr const horizontal_line frame_1255_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(119, 122),
        horizontal_line(120, 126),
        horizontal_line(121, 129),
        horizontal_line(122, 133),
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(224, 239),
        horizontal_line(219, 239),
        horizontal_line(214, 239),
        horizontal_line(209, 239),
        horizontal_line(203, 239),
        horizontal_line(198, 239),
        horizontal_line(193, 239),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(94, 156),
        horizontal_line(99, 159),
        horizontal_line(103, 156),
        horizontal_line(107, 152),
        horizontal_line(111, 149),
        horizontal_line(115, 145),
        horizontal_line(119, 142),
        horizontal_line(123, 138),
        horizontal_line(75, 81),
        horizontal_line(75, 86),
        horizontal_line(130, 132),
        horizontal_line(127, 134),
        horizontal_line(124, 136),
        horizontal_line(121, 138),
        horizontal_line(118, 140),
        horizontal_line(86, 114),
        horizontal_line(91, 112),
        horizontal_line(96, 110),
        horizontal_line(101, 108),
        horizontal_line(81, 88),
        horizontal_line(81, 93),
        horizontal_line(101, 109),
        horizontal_line(89, 98),
        horizontal_line(103, 111),
        horizontal_line(105, 111),
        horizontal_line(123, 143),
        horizontal_line(123, 143),
        horizontal_line(123, 143),
        horizontal_line(124, 143),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(143, 178),
        horizontal_line(148, 185),
        horizontal_line(153, 192),
        horizontal_line(158, 198),
        horizontal_line(205, 239),
        horizontal_line(210, 239),
        horizontal_line(173, 187),
        horizontal_line(178, 184),
        horizontal_line(225, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_1255_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(125, 131),
        horizontal_line(124, 133),
        horizontal_line(125, 135),
        horizontal_line(133, 136),
    };

    constexpr const horizontal_line frame_1255_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 26),
        horizontal_line(0, 34),
        horizontal_line(0, 43),
        horizontal_line(0, 52),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 95),
        horizontal_line(62, 104),
        horizontal_line(62, 112),
        horizontal_line(62, 121),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 171),
        horizontal_line(124, 172),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
    };

    constexpr const shape frame_1255_shape_group_2_shapes[] = {
        shape(frame_1255_shape_group_2_shape_0_horizontal_lines, 57, 14),
        shape(frame_1255_shape_group_2_shape_1_horizontal_lines, 122, 1),
        shape(frame_1255_shape_group_2_shape_2_horizontal_lines, 126, 9),
        shape(frame_1255_shape_group_2_shape_3_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(122, 136),
        horizontal_line(123, 140),
        horizontal_line(124, 143),
        horizontal_line(125, 147),
        horizontal_line(125, 151),
        horizontal_line(126, 154),
        horizontal_line(127, 158),
        horizontal_line(128, 161),
        horizontal_line(129, 165),
        horizontal_line(188, 239),
        horizontal_line(183, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(127, 135),
        horizontal_line(132, 132),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(116, 142),
        horizontal_line(116, 144),
        horizontal_line(118, 144),
        horizontal_line(120, 144),
        horizontal_line(106, 106),
        horizontal_line(104, 107),
        horizontal_line(123, 144),
        horizontal_line(101, 111),
        horizontal_line(123, 143),
        horizontal_line(123, 143),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 49),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(72, 80),
        horizontal_line(78, 87),
        horizontal_line(58, 70),
        horizontal_line(51, 77),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(81, 110),
        horizontal_line(88, 112),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(106, 118),
        horizontal_line(112, 120),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(125, 179),
        horizontal_line(126, 178),
        horizontal_line(128, 178),
        horizontal_line(129, 177),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(134, 175),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(139, 173),
        horizontal_line(140, 173),
        horizontal_line(142, 172),
        horizontal_line(143, 172),
        horizontal_line(145, 171),
        horizontal_line(147, 171),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 78),
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(153, 168),
        horizontal_line(154, 168),
        horizontal_line(156, 167),
        horizontal_line(158, 166),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(124, 130),
        horizontal_line(124, 138),
        horizontal_line(124, 147),
        horizontal_line(124, 156),
    };

    constexpr const horizontal_line frame_1255_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(180, 239),
    };

    constexpr const shape frame_1255_shape_group_3_shapes[] = {
        shape(frame_1255_shape_group_3_shape_0_horizontal_lines, 62, 14),
        shape(frame_1255_shape_group_3_shape_1_horizontal_lines, 106, 1),
        shape(frame_1255_shape_group_3_shape_2_horizontal_lines, 107, 8),
        shape(frame_1255_shape_group_3_shape_3_horizontal_lines, 111, 14),
        shape(frame_1255_shape_group_3_shape_4_horizontal_lines, 115, 8),
        shape(frame_1255_shape_group_3_shape_5_horizontal_lines, 117, 14),
        shape(frame_1255_shape_group_3_shape_6_horizontal_lines, 119, 8),
        shape(frame_1255_shape_group_3_shape_7_horizontal_lines, 122, 1),
        shape(frame_1255_shape_group_3_shape_8_horizontal_lines, 129, 8),
        shape(frame_1255_shape_group_3_shape_9_horizontal_lines, 131, 1),
        shape(frame_1255_shape_group_3_shape_10_horizontal_lines, 137, 8),
        shape(frame_1255_shape_group_3_shape_11_horizontal_lines, 140, 1),
        shape(frame_1255_shape_group_3_shape_12_horizontal_lines, 144, 8),
        shape(frame_1255_shape_group_3_shape_13_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(132, 168),
        horizontal_line(136, 172),
        horizontal_line(140, 176),
        horizontal_line(144, 173),
        horizontal_line(148, 170),
        horizontal_line(152, 166),
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 25),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(7, 59),
        horizontal_line(14, 40),
        horizontal_line(20, 41),
        horizontal_line(27, 42),
        horizontal_line(33, 43),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(122, 144),
        horizontal_line(124, 144),
        horizontal_line(200, 239),
        horizontal_line(123, 144),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(64, 70),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(82, 83),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 49),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(84, 92),
        horizontal_line(90, 98),
        horizontal_line(57, 83),
        horizontal_line(63, 90),
        horizontal_line(69, 96),
        horizontal_line(75, 103),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(94, 114),
        horizontal_line(100, 116),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(180, 191),
        horizontal_line(179, 194),
        horizontal_line(179, 197),
        horizontal_line(178, 200),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(131, 176),
        horizontal_line(132, 176),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(176, 209),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(136, 175),
        horizontal_line(137, 174),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(174, 218),
        horizontal_line(174, 221),
        horizontal_line(173, 224),
        horizontal_line(173, 227),
        horizontal_line(172, 230),
        horizontal_line(172, 233),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(148, 170),
        horizontal_line(150, 169),
        horizontal_line(151, 169),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(159, 166),
        horizontal_line(161, 165),
        horizontal_line(162, 165),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_1255_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1255_shape_group_4_shapes[] = {
        shape(frame_1255_shape_group_4_shape_0_horizontal_lines, 71, 14),
        shape(frame_1255_shape_group_4_shape_1_horizontal_lines, 78, 8),
        shape(frame_1255_shape_group_4_shape_2_horizontal_lines, 85, 14),
        shape(frame_1255_shape_group_4_shape_3_horizontal_lines, 87, 8),
        shape(frame_1255_shape_group_4_shape_4_horizontal_lines, 92, 14),
        shape(frame_1255_shape_group_4_shape_5_horizontal_lines, 102, 1),
        shape(frame_1255_shape_group_4_shape_6_horizontal_lines, 107, 8),
        shape(frame_1255_shape_group_4_shape_7_horizontal_lines, 108, 1),
        shape(frame_1255_shape_group_4_shape_8_horizontal_lines, 109, 8),
        shape(frame_1255_shape_group_4_shape_9_horizontal_lines, 115, 1),
        shape(frame_1255_shape_group_4_shape_10_horizontal_lines, 117, 8),
        shape(frame_1255_shape_group_4_shape_11_horizontal_lines, 119, 1),
        shape(frame_1255_shape_group_4_shape_12_horizontal_lines, 122, 2),
        shape(frame_1255_shape_group_4_shape_13_horizontal_lines, 126, 1),
        shape(frame_1255_shape_group_4_shape_14_horizontal_lines, 128, 2),
        shape(frame_1255_shape_group_4_shape_15_horizontal_lines, 129, 1),
        shape(frame_1255_shape_group_4_shape_16_horizontal_lines, 131, 2),
        shape(frame_1255_shape_group_4_shape_17_horizontal_lines, 137, 1),
        shape(frame_1255_shape_group_4_shape_18_horizontal_lines, 140, 2),
        shape(frame_1255_shape_group_4_shape_19_horizontal_lines, 144, 1),
        shape(frame_1255_shape_group_4_shape_20_horizontal_lines, 148, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(45, 46),
        horizontal_line(45, 47),
        horizontal_line(44, 48),
        horizontal_line(44, 49),
        horizontal_line(43, 51),
        horizontal_line(0, 2),
        horizontal_line(42, 53),
        horizontal_line(42, 54),
        horizontal_line(41, 56),
        horizontal_line(41, 57),
        horizontal_line(40, 58),
        horizontal_line(40, 59),
        horizontal_line(39, 61),
        horizontal_line(0, 33),
        horizontal_line(1, 37),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(43, 59),
        horizontal_line(46, 58),
        horizontal_line(48, 58),
        horizontal_line(51, 57),
        horizontal_line(40, 44),
        horizontal_line(57, 57),
        horizontal_line(68, 71),
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(63, 71),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(63, 69),
        horizontal_line(64, 69),
        horizontal_line(64, 70),
        horizontal_line(64, 70),
        horizontal_line(76, 77),
        horizontal_line(0, 49),
        horizontal_line(96, 98),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(96, 100),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 38),
        horizontal_line(128, 162),
        horizontal_line(128, 167),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(126, 181),
        horizontal_line(125, 180),
        horizontal_line(124, 179),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(177, 203),
        horizontal_line(177, 206),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(176, 212),
        horizontal_line(175, 215),
    };

    constexpr const horizontal_line frame_1255_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
    };

    constexpr const shape frame_1255_shape_group_5_shapes[] = {
        shape(frame_1255_shape_group_5_shape_0_horizontal_lines, 72, 8),
        shape(frame_1255_shape_group_5_shape_1_horizontal_lines, 87, 1),
        shape(frame_1255_shape_group_5_shape_2_horizontal_lines, 88, 8),
        shape(frame_1255_shape_group_5_shape_3_horizontal_lines, 96, 14),
        shape(frame_1255_shape_group_5_shape_4_horizontal_lines, 98, 8),
        shape(frame_1255_shape_group_5_shape_5_horizontal_lines, 99, 14),
        shape(frame_1255_shape_group_5_shape_6_horizontal_lines, 100, 8),
        shape(frame_1255_shape_group_5_shape_7_horizontal_lines, 102, 1),
        shape(frame_1255_shape_group_5_shape_8_horizontal_lines, 111, 8),
        shape(frame_1255_shape_group_5_shape_9_horizontal_lines, 112, 1),
        shape(frame_1255_shape_group_5_shape_10_horizontal_lines, 126, 2),
        shape(frame_1255_shape_group_5_shape_11_horizontal_lines, 129, 2),
        shape(frame_1255_shape_group_5_shape_12_horizontal_lines, 137, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(171, 179),
        horizontal_line(167, 181),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(43, 52),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(160, 184),
        horizontal_line(157, 186),
        horizontal_line(153, 187),
        horizontal_line(150, 189),
        horizontal_line(146, 191),
        horizontal_line(143, 192),
        horizontal_line(139, 194),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(39, 60),
        horizontal_line(39, 60),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(133, 195),
        horizontal_line(0, 13),
        horizontal_line(0, 19),
        horizontal_line(0, 26),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(54, 57),
        horizontal_line(68, 70),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(67, 73),
        horizontal_line(61, 62),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(75, 76),
        horizontal_line(75, 76),
        horizontal_line(97, 99),
        horizontal_line(64, 71),
        horizontal_line(104, 114),
        horizontal_line(95, 97),
        horizontal_line(103, 112),
        horizontal_line(0, 47),
        horizontal_line(103, 111),
        horizontal_line(105, 110),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(111, 127),
        horizontal_line(113, 127),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(127, 172),
        horizontal_line(126, 177),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(119, 125),
        horizontal_line(121, 124),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(233, 236),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_1255_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_1255_shape_group_6_shapes[] = {
        shape(frame_1255_shape_group_6_shape_0_horizontal_lines, 74, 1),
        shape(frame_1255_shape_group_6_shape_1_horizontal_lines, 77, 8),
        shape(frame_1255_shape_group_6_shape_2_horizontal_lines, 78, 1),
        shape(frame_1255_shape_group_6_shape_3_horizontal_lines, 85, 8),
        shape(frame_1255_shape_group_6_shape_4_horizontal_lines, 87, 1),
        shape(frame_1255_shape_group_6_shape_5_horizontal_lines, 92, 8),
        shape(frame_1255_shape_group_6_shape_6_horizontal_lines, 94, 1),
        shape(frame_1255_shape_group_6_shape_7_horizontal_lines, 95, 8),
        shape(frame_1255_shape_group_6_shape_8_horizontal_lines, 98, 1),
        shape(frame_1255_shape_group_6_shape_9_horizontal_lines, 99, 8),
        shape(frame_1255_shape_group_6_shape_10_horizontal_lines, 100, 1),
        shape(frame_1255_shape_group_6_shape_11_horizontal_lines, 101, 8),
        shape(frame_1255_shape_group_6_shape_12_horizontal_lines, 102, 1),
        shape(frame_1255_shape_group_6_shape_13_horizontal_lines, 115, 2),
        shape(frame_1255_shape_group_6_shape_14_horizontal_lines, 117, 1),
        shape(frame_1255_shape_group_6_shape_15_horizontal_lines, 119, 2),
        shape(frame_1255_shape_group_6_shape_16_horizontal_lines, 137, 2),
        shape(frame_1255_shape_group_6_shape_17_horizontal_lines, 144, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(164, 182),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(136, 196),
        horizontal_line(0, 0),
        horizontal_line(195, 199),
        horizontal_line(135, 197),
        horizontal_line(137, 190),
        horizontal_line(139, 179),
        horizontal_line(141, 167),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(68, 69),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(111, 117),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(67, 72),
        horizontal_line(67, 72),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(110, 118),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(63, 69),
        horizontal_line(0, 47),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(158, 198),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(104, 113),
        horizontal_line(132, 137),
        horizontal_line(102, 112),
        horizontal_line(130, 147),
        horizontal_line(130, 152),
        horizontal_line(129, 157),
    };

    constexpr const horizontal_line frame_1255_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(115, 126),
        horizontal_line(117, 125),
        horizontal_line(182, 182),
        horizontal_line(181, 185),
        horizontal_line(180, 188),
    };

    constexpr const shape frame_1255_shape_group_7_shapes[] = {
        shape(frame_1255_shape_group_7_shape_0_horizontal_lines, 77, 1),
        shape(frame_1255_shape_group_7_shape_1_horizontal_lines, 85, 1),
        shape(frame_1255_shape_group_7_shape_2_horizontal_lines, 92, 8),
        shape(frame_1255_shape_group_7_shape_3_horizontal_lines, 93, 1),
        shape(frame_1255_shape_group_7_shape_4_horizontal_lines, 96, 8),
        shape(frame_1255_shape_group_7_shape_5_horizontal_lines, 98, 1),
        shape(frame_1255_shape_group_7_shape_6_horizontal_lines, 99, 8),
        shape(frame_1255_shape_group_7_shape_7_horizontal_lines, 100, 1),
        shape(frame_1255_shape_group_7_shape_8_horizontal_lines, 103, 4),
        shape(frame_1255_shape_group_7_shape_9_horizontal_lines, 106, 1),
        shape(frame_1255_shape_group_7_shape_10_horizontal_lines, 108, 4),
        shape(frame_1255_shape_group_7_shape_11_horizontal_lines, 109, 1),
        shape(frame_1255_shape_group_7_shape_12_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(133, 195),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(197, 201),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(42, 45),
        horizontal_line(43, 47),
        horizontal_line(44, 50),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(50, 58),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(109, 119),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(98, 102),
        horizontal_line(63, 69),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(101, 103),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(144, 198),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(105, 115),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(50, 64),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(172, 198),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(131, 142),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(186, 198),
        horizontal_line(193, 198),
    };

    constexpr const horizontal_line frame_1255_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(110, 128),
    };

    constexpr const shape frame_1255_shape_group_8_shapes[] = {
        shape(frame_1255_shape_group_8_shape_0_horizontal_lines, 86, 1),
        shape(frame_1255_shape_group_8_shape_1_horizontal_lines, 88, 1),
        shape(frame_1255_shape_group_8_shape_2_horizontal_lines, 89, 3),
        shape(frame_1255_shape_group_8_shape_3_horizontal_lines, 92, 1),
        shape(frame_1255_shape_group_8_shape_4_horizontal_lines, 94, 3),
        shape(frame_1255_shape_group_8_shape_5_horizontal_lines, 95, 1),
        shape(frame_1255_shape_group_8_shape_6_horizontal_lines, 98, 4),
        shape(frame_1255_shape_group_8_shape_7_horizontal_lines, 99, 8),
        shape(frame_1255_shape_group_8_shape_8_horizontal_lines, 100, 1),
        shape(frame_1255_shape_group_8_shape_9_horizontal_lines, 102, 4),
        shape(frame_1255_shape_group_8_shape_10_horizontal_lines, 107, 1),
        shape(frame_1255_shape_group_8_shape_11_horizontal_lines, 108, 2),
        shape(frame_1255_shape_group_8_shape_12_horizontal_lines, 109, 1),
        shape(frame_1255_shape_group_8_shape_13_horizontal_lines, 110, 4),
        shape(frame_1255_shape_group_8_shape_14_horizontal_lines, 111, 1),
        shape(frame_1255_shape_group_8_shape_15_horizontal_lines, 112, 4),
        shape(frame_1255_shape_group_8_shape_16_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(195, 197),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(41, 42),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(191, 200),
        horizontal_line(180, 200),
        horizontal_line(168, 200),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(143, 156),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(145, 200),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(53, 59),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(107, 121),
        horizontal_line(108, 123),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(145, 199),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(98, 104),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(112, 122),
        horizontal_line(144, 199),
        horizontal_line(144, 199),
        horizontal_line(144, 199),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(50, 63),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(151, 198),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(93, 95),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(165, 198),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(179, 198),
    };

    constexpr const horizontal_line frame_1255_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(112, 129),
        horizontal_line(111, 129),
    };

    constexpr const shape frame_1255_shape_group_9_shapes[] = {
        shape(frame_1255_shape_group_9_shape_0_horizontal_lines, 86, 1),
        shape(frame_1255_shape_group_9_shape_1_horizontal_lines, 88, 3),
        shape(frame_1255_shape_group_9_shape_2_horizontal_lines, 89, 4),
        shape(frame_1255_shape_group_9_shape_3_horizontal_lines, 92, 1),
        shape(frame_1255_shape_group_9_shape_4_horizontal_lines, 94, 4),
        shape(frame_1255_shape_group_9_shape_5_horizontal_lines, 95, 3),
        shape(frame_1255_shape_group_9_shape_6_horizontal_lines, 96, 1),
        shape(frame_1255_shape_group_9_shape_7_horizontal_lines, 98, 4),
        shape(frame_1255_shape_group_9_shape_8_horizontal_lines, 99, 1),
        shape(frame_1255_shape_group_9_shape_9_horizontal_lines, 100, 3),
        shape(frame_1255_shape_group_9_shape_10_horizontal_lines, 101, 1),
        shape(frame_1255_shape_group_9_shape_11_horizontal_lines, 102, 4),
        shape(frame_1255_shape_group_9_shape_12_horizontal_lines, 106, 2),
        shape(frame_1255_shape_group_9_shape_13_horizontal_lines, 107, 4),
        shape(frame_1255_shape_group_9_shape_14_horizontal_lines, 108, 2),
        shape(frame_1255_shape_group_9_shape_15_horizontal_lines, 109, 4),
        shape(frame_1255_shape_group_9_shape_16_horizontal_lines, 110, 2),
        shape(frame_1255_shape_group_9_shape_17_horizontal_lines, 111, 4),
        shape(frame_1255_shape_group_9_shape_18_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(45, 53),
        horizontal_line(47, 56),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(145, 200),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(56, 60),
        horizontal_line(59, 61),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(48, 62),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(63, 65),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(112, 122),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(144, 199),
    };

    constexpr const horizontal_line frame_1255_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(49, 63),
        horizontal_line(49, 63),
        horizontal_line(49, 63),
        horizontal_line(71, 75),
        horizontal_line(50, 63),
        horizontal_line(99, 103),
        horizontal_line(50, 57),
        horizontal_line(113, 131),
        horizontal_line(101, 101),
    };

    constexpr const shape frame_1255_shape_group_10_shapes[] = {
        shape(frame_1255_shape_group_10_shape_0_horizontal_lines, 92, 3),
        shape(frame_1255_shape_group_10_shape_1_horizontal_lines, 94, 2),
        shape(frame_1255_shape_group_10_shape_2_horizontal_lines, 95, 4),
        shape(frame_1255_shape_group_10_shape_3_horizontal_lines, 96, 3),
        shape(frame_1255_shape_group_10_shape_4_horizontal_lines, 98, 2),
        shape(frame_1255_shape_group_10_shape_5_horizontal_lines, 99, 1),
        shape(frame_1255_shape_group_10_shape_6_horizontal_lines, 100, 4),
        shape(frame_1255_shape_group_10_shape_7_horizontal_lines, 101, 3),
        shape(frame_1255_shape_group_10_shape_8_horizontal_lines, 102, 4),
        shape(frame_1255_shape_group_10_shape_9_horizontal_lines, 103, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(157, 200),
        horizontal_line(146, 200),
    };

    constexpr const horizontal_line frame_1255_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(47, 52),
    };

    constexpr const horizontal_line frame_1255_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(145, 200),
        horizontal_line(145, 199),
    };

    constexpr const horizontal_line frame_1255_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_1255_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(144, 199),
        horizontal_line(112, 122),
    };

    constexpr const horizontal_line frame_1255_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(49, 62),
        horizontal_line(70, 73),
        horizontal_line(71, 74),
        horizontal_line(71, 74),
        horizontal_line(78, 79),
        horizontal_line(94, 95),
        horizontal_line(115, 124),
        horizontal_line(93, 94),
    };

    constexpr const horizontal_line frame_1255_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(113, 130),
    };

    constexpr const shape frame_1255_shape_group_11_shapes[] = {
        shape(frame_1255_shape_group_11_shape_0_horizontal_lines, 92, 4),
        shape(frame_1255_shape_group_11_shape_1_horizontal_lines, 95, 2),
        shape(frame_1255_shape_group_11_shape_2_horizontal_lines, 96, 4),
        shape(frame_1255_shape_group_11_shape_3_horizontal_lines, 99, 1),
        shape(frame_1255_shape_group_11_shape_4_horizontal_lines, 100, 4),
        shape(frame_1255_shape_group_11_shape_5_horizontal_lines, 102, 2),
        shape(frame_1255_shape_group_11_shape_6_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(47, 55),
        horizontal_line(47, 58),
    };

    constexpr const horizontal_line frame_1255_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_1255_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(48, 62),
    };

    constexpr const horizontal_line frame_1255_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(144, 199),
    };

    constexpr const horizontal_line frame_1255_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(70, 73),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(95, 96),
        horizontal_line(99, 104),
    };

    constexpr const horizontal_line frame_1255_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_1255_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(98, 103),
    };

    constexpr const shape frame_1255_shape_group_12_shapes[] = {
        shape(frame_1255_shape_group_12_shape_0_horizontal_lines, 96, 2),
        shape(frame_1255_shape_group_12_shape_1_horizontal_lines, 99, 1),
        shape(frame_1255_shape_group_12_shape_2_horizontal_lines, 100, 2),
        shape(frame_1255_shape_group_12_shape_3_horizontal_lines, 101, 4),
        shape(frame_1255_shape_group_12_shape_4_horizontal_lines, 102, 2),
        shape(frame_1255_shape_group_12_shape_5_horizontal_lines, 108, 7),
        shape(frame_1255_shape_group_12_shape_6_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(69, 70),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(77, 77),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(48, 62),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(100, 105),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_6_horizontal_lines[] = {
        horizontal_line(91, 92),
    };

    constexpr const horizontal_line frame_1255_shape_group_13_shape_7_horizontal_lines[] = {
        horizontal_line(114, 132),
    };

    constexpr const shape frame_1255_shape_group_13_shapes[] = {
        shape(frame_1255_shape_group_13_shape_0_horizontal_lines, 99, 3),
        shape(frame_1255_shape_group_13_shape_1_horizontal_lines, 100, 11),
        shape(frame_1255_shape_group_13_shape_2_horizontal_lines, 101, 2),
        shape(frame_1255_shape_group_13_shape_3_horizontal_lines, 102, 7),
        shape(frame_1255_shape_group_13_shape_4_horizontal_lines, 103, 11),
        shape(frame_1255_shape_group_13_shape_5_horizontal_lines, 106, 2),
        shape(frame_1255_shape_group_13_shape_6_horizontal_lines, 108, 7),
        shape(frame_1255_shape_group_13_shape_7_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1255_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(113, 122),
    };

    constexpr const horizontal_line frame_1255_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(78, 79),
    };

    constexpr const horizontal_line frame_1255_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_1255_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(81, 94),
    };

    constexpr const horizontal_line frame_1255_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(81, 86),
        horizontal_line(81, 94),
        horizontal_line(80, 84),
        horizontal_line(80, 87),
        horizontal_line(84, 89),
    };

    constexpr const horizontal_line frame_1255_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const shape frame_1255_shape_group_14_shapes[] = {
        shape(frame_1255_shape_group_14_shape_0_horizontal_lines, 99, 4),
        shape(frame_1255_shape_group_14_shape_1_horizontal_lines, 100, 7),
        shape(frame_1255_shape_group_14_shape_2_horizontal_lines, 101, 2),
        shape(frame_1255_shape_group_14_shape_3_horizontal_lines, 102, 10),
        shape(frame_1255_shape_group_14_shape_4_horizontal_lines, 103, 7),
        shape(frame_1255_shape_group_14_shape_5_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(145, 199),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_6_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_7_horizontal_lines[] = {
        horizontal_line(90, 94),
    };

    constexpr const horizontal_line frame_1255_shape_group_15_shape_8_horizontal_lines[] = {
        horizontal_line(92, 93),
    };

    constexpr const shape frame_1255_shape_group_15_shapes[] = {
        shape(frame_1255_shape_group_15_shape_0_horizontal_lines, 99, 4),
        shape(frame_1255_shape_group_15_shape_1_horizontal_lines, 100, 10),
        shape(frame_1255_shape_group_15_shape_2_horizontal_lines, 101, 7),
        shape(frame_1255_shape_group_15_shape_3_horizontal_lines, 102, 12),
        shape(frame_1255_shape_group_15_shape_4_horizontal_lines, 103, 7),
        shape(frame_1255_shape_group_15_shape_5_horizontal_lines, 104, 12),
        shape(frame_1255_shape_group_15_shape_6_horizontal_lines, 105, 7),
        shape(frame_1255_shape_group_15_shape_7_horizontal_lines, 106, 12),
        shape(frame_1255_shape_group_15_shape_8_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_1255_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(48, 62),
    };

    constexpr const horizontal_line frame_1255_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(80, 89),
    };

    constexpr const horizontal_line frame_1255_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(87, 93),
    };

    constexpr const horizontal_line frame_1255_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(85, 93),
    };

    constexpr const horizontal_line frame_1255_shape_group_16_shape_4_horizontal_lines[] = {
        horizontal_line(88, 89),
    };

    constexpr const horizontal_line frame_1255_shape_group_16_shape_5_horizontal_lines[] = {
        horizontal_line(90, 91),
    };

    constexpr const shape frame_1255_shape_group_16_shapes[] = {
        shape(frame_1255_shape_group_16_shape_0_horizontal_lines, 99, 2),
        shape(frame_1255_shape_group_16_shape_1_horizontal_lines, 101, 10),
        shape(frame_1255_shape_group_16_shape_2_horizontal_lines, 103, 10),
        shape(frame_1255_shape_group_16_shape_3_horizontal_lines, 105, 12),
        shape(frame_1255_shape_group_16_shape_4_horizontal_lines, 106, 13),
        shape(frame_1255_shape_group_16_shape_5_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_1255_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_1255_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(79, 79),
    };

    constexpr const shape frame_1255_shape_group_17_shapes[] = {
        shape(frame_1255_shape_group_17_shape_0_horizontal_lines, 103, 12),
        shape(frame_1255_shape_group_17_shape_1_horizontal_lines, 105, 13),
    };

    constexpr const horizontal_line frame_1255_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const shape frame_1255_shape_group_18_shapes[] = {
        shape(frame_1255_shape_group_18_shape_0_horizontal_lines, 103, 6),
    };

    constexpr const shape_group frame_1255_shape_groups[] = {
        shape_group(frame_1255_shape_group_0_shapes),
        shape_group(frame_1255_shape_group_1_shapes),
        shape_group(frame_1255_shape_group_2_shapes),
        shape_group(frame_1255_shape_group_3_shapes),
        shape_group(frame_1255_shape_group_4_shapes),
        shape_group(frame_1255_shape_group_5_shapes),
        shape_group(frame_1255_shape_group_6_shapes),
        shape_group(frame_1255_shape_group_7_shapes),
        shape_group(frame_1255_shape_group_8_shapes),
        shape_group(frame_1255_shape_group_9_shapes),
        shape_group(frame_1255_shape_group_10_shapes),
        shape_group(frame_1255_shape_group_11_shapes),
        shape_group(frame_1255_shape_group_12_shapes),
        shape_group(frame_1255_shape_group_13_shapes),
        shape_group(frame_1255_shape_group_14_shapes),
        shape_group(frame_1255_shape_group_15_shapes),
        shape_group(frame_1255_shape_group_16_shapes),
        shape_group(frame_1255_shape_group_17_shapes),
        shape_group(frame_1255_shape_group_18_shapes),
    };

    constexpr const frame frame_1255_impl(frame_1255_colors, frame_1255_shape_groups);
} 

const frame& frame_1255()
{
    return frame_1255_impl;
}

namespace
{
    constexpr const bn::color frame_1256_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1256_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(1, 27),
    };

    constexpr const horizontal_line frame_1256_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(30, 31),
        horizontal_line(31, 35),
        horizontal_line(32, 38),
        horizontal_line(33, 42),
        horizontal_line(34, 45),
        horizontal_line(35, 49),
        horizontal_line(35, 52),
        horizontal_line(36, 56),
        horizontal_line(37, 59),
        horizontal_line(38, 63),
        horizontal_line(39, 66),
        horizontal_line(40, 70),
        horizontal_line(40, 73),
        horizontal_line(41, 77),
        horizontal_line(42, 81),
        horizontal_line(43, 84),
        horizontal_line(44, 88),
    };

    constexpr const horizontal_line frame_1256_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(4, 37),
        horizontal_line(8, 37),
        horizontal_line(13, 36),
        horizontal_line(17, 36),
        horizontal_line(21, 36),
        horizontal_line(26, 35),
        horizontal_line(30, 35),
        horizontal_line(35, 35),
        horizontal_line(58, 63),
        horizontal_line(58, 65),
        horizontal_line(57, 66),
        horizontal_line(57, 68),
        horizontal_line(56, 67),
        horizontal_line(56, 67),
        horizontal_line(56, 67),
        horizontal_line(57, 66),
        horizontal_line(60, 66),
        horizontal_line(63, 66),
        horizontal_line(66, 66),
        horizontal_line(72, 81),
        horizontal_line(72, 74),
        horizontal_line(72, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_1256_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(96, 100),
        horizontal_line(98, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(108, 123),
    };

    constexpr const horizontal_line frame_1256_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(81, 81),
        horizontal_line(67, 75),
        horizontal_line(64, 80),
        horizontal_line(70, 86),
        horizontal_line(77, 91),
        horizontal_line(84, 96),
        horizontal_line(45, 53),
        horizontal_line(42, 60),
        horizontal_line(40, 67),
        horizontal_line(37, 73),
        horizontal_line(34, 80),
        horizontal_line(32, 87),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(11, 73),
        horizontal_line(21, 83),
        horizontal_line(31, 93),
        horizontal_line(42, 104),
        horizontal_line(52, 114),
        horizontal_line(62, 124),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(93, 155),
        horizontal_line(103, 165),
        horizontal_line(114, 166),
        horizontal_line(124, 167),
        horizontal_line(134, 169),
        horizontal_line(145, 170),
        horizontal_line(155, 172),
        horizontal_line(165, 173),
    };

    constexpr const horizontal_line frame_1256_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1256_shape_group_0_shapes[] = {
        shape(frame_1256_shape_group_0_shape_0_horizontal_lines, 0, 9),
        shape(frame_1256_shape_group_0_shape_1_horizontal_lines, 28, 14),
        shape(frame_1256_shape_group_0_shape_2_horizontal_lines, 45, 9),
        shape(frame_1256_shape_group_0_shape_3_horizontal_lines, 102, 14),
        shape(frame_1256_shape_group_0_shape_4_horizontal_lines, 107, 9),
        shape(frame_1256_shape_group_0_shape_5_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(45, 91),
        horizontal_line(45, 95),
        horizontal_line(46, 98),
        horizontal_line(47, 102),
        horizontal_line(48, 105),
        horizontal_line(49, 109),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(43, 65),
        horizontal_line(44, 66),
        horizontal_line(45, 66),
        horizontal_line(47, 67),
        horizontal_line(48, 67),
        horizontal_line(49, 68),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(56, 70),
        horizontal_line(57, 71),
        horizontal_line(58, 72),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(73, 75),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(75, 90),
        horizontal_line(76, 95),
        horizontal_line(77, 100),
        horizontal_line(78, 105),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(70, 77),
        horizontal_line(71, 78),
        horizontal_line(72, 78),
        horizontal_line(73, 79),
        horizontal_line(72, 72),
        horizontal_line(72, 73),
        horizontal_line(72, 74),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(86, 100),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 98),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(125, 146),
        horizontal_line(146, 146),
        horizontal_line(142, 152),
        horizontal_line(139, 158),
        horizontal_line(137, 164),
        horizontal_line(140, 170),
        horizontal_line(144, 176),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(91, 102),
        horizontal_line(98, 105),
        horizontal_line(105, 108),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(159, 200),
        horizontal_line(163, 206),
        horizontal_line(167, 211),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(91, 93),
        horizontal_line(89, 100),
        horizontal_line(86, 107),
        horizontal_line(83, 113),
        horizontal_line(81, 120),
        horizontal_line(78, 127),
        horizontal_line(76, 128),
        horizontal_line(73, 129),
        horizontal_line(70, 131),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(73, 135),
        horizontal_line(83, 145),
        horizontal_line(93, 155),
        horizontal_line(104, 156),
        horizontal_line(114, 158),
        horizontal_line(124, 159),
        horizontal_line(135, 160),
        horizontal_line(145, 162),
        horizontal_line(155, 163),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_1256_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1256_shape_group_1_shapes[] = {
        shape(frame_1256_shape_group_1_shape_0_horizontal_lines, 45, 14),
        shape(frame_1256_shape_group_1_shape_1_horizontal_lines, 71, 9),
        shape(frame_1256_shape_group_1_shape_2_horizontal_lines, 84, 14),
        shape(frame_1256_shape_group_1_shape_3_horizontal_lines, 85, 9),
        shape(frame_1256_shape_group_1_shape_4_horizontal_lines, 87, 14),
        shape(frame_1256_shape_group_1_shape_5_horizontal_lines, 91, 9),
        shape(frame_1256_shape_group_1_shape_6_horizontal_lines, 98, 14),
        shape(frame_1256_shape_group_1_shape_7_horizontal_lines, 99, 9),
        shape(frame_1256_shape_group_1_shape_8_horizontal_lines, 100, 14),
        shape(frame_1256_shape_group_1_shape_9_horizontal_lines, 113, 9),
        shape(frame_1256_shape_group_1_shape_10_horizontal_lines, 116, 14),
        shape(frame_1256_shape_group_1_shape_11_horizontal_lines, 119, 9),
        shape(frame_1256_shape_group_1_shape_12_horizontal_lines, 152, 8),
    };

    constexpr const horizontal_line frame_1256_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(112, 116),
        horizontal_line(113, 119),
        horizontal_line(114, 123),
        horizontal_line(115, 126),
        horizontal_line(116, 130),
        horizontal_line(117, 134),
        horizontal_line(117, 137),
        horizontal_line(118, 141),
        horizontal_line(119, 144),
        horizontal_line(120, 148),
        horizontal_line(121, 151),
        horizontal_line(122, 155),
        horizontal_line(234, 239),
        horizontal_line(228, 239),
        horizontal_line(223, 239),
        horizontal_line(217, 239),
        horizontal_line(211, 239),
        horizontal_line(206, 239),
        horizontal_line(200, 239),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(103, 161),
        horizontal_line(108, 157),
        horizontal_line(112, 153),
        horizontal_line(116, 149),
        horizontal_line(121, 145),
        horizontal_line(125, 141),
        horizontal_line(74, 80),
        horizontal_line(75, 85),
        horizontal_line(132, 134),
        horizontal_line(129, 136),
        horizontal_line(126, 138),
        horizontal_line(123, 140),
        horizontal_line(82, 110),
        horizontal_line(87, 115),
        horizontal_line(92, 113),
        horizontal_line(97, 111),
        horizontal_line(80, 83),
        horizontal_line(81, 89),
        horizontal_line(82, 94),
        horizontal_line(102, 110),
        horizontal_line(92, 99),
        horizontal_line(104, 112),
        horizontal_line(106, 112),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(148, 182),
        horizontal_line(152, 188),
        horizontal_line(156, 194),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(171, 208),
        horizontal_line(175, 205),
        horizontal_line(178, 202),
        horizontal_line(182, 200),
        horizontal_line(186, 197),
        horizontal_line(190, 194),
    };

    constexpr const horizontal_line frame_1256_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1256_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(127, 134),
        horizontal_line(125, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(125, 151),
        horizontal_line(135, 152),
        horizontal_line(145, 153),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_1256_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 51),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 113),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
    };

    constexpr const shape frame_1256_shape_group_2_shapes[] = {
        shape(frame_1256_shape_group_2_shape_0_horizontal_lines, 51, 14),
        shape(frame_1256_shape_group_2_shape_1_horizontal_lines, 125, 1),
        shape(frame_1256_shape_group_2_shape_2_horizontal_lines, 128, 9),
        shape(frame_1256_shape_group_2_shape_3_horizontal_lines, 145, 8),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(122, 158),
        horizontal_line(123, 162),
        horizontal_line(124, 165),
        horizontal_line(125, 169),
        horizontal_line(126, 172),
        horizontal_line(127, 176),
        horizontal_line(128, 179),
        horizontal_line(194, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(129, 137),
        horizontal_line(134, 134),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(120, 141),
        horizontal_line(117, 143),
        horizontal_line(118, 145),
        horizontal_line(120, 147),
        horizontal_line(102, 109),
        horizontal_line(107, 107),
        horizontal_line(105, 108),
        horizontal_line(125, 147),
        horizontal_line(102, 112),
        horizontal_line(125, 147),
        horizontal_line(125, 146),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(71, 80),
        horizontal_line(76, 87),
        horizontal_line(81, 92),
        horizontal_line(58, 69),
        horizontal_line(53, 76),
        horizontal_line(48, 83),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(74, 111),
        horizontal_line(81, 113),
        horizontal_line(88, 115),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(129, 191),
        horizontal_line(130, 191),
        horizontal_line(132, 190),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(137, 188),
        horizontal_line(139, 188),
        horizontal_line(140, 187),
        horizontal_line(142, 187),
        horizontal_line(143, 186),
        horizontal_line(144, 186),
        horizontal_line(146, 185),
        horizontal_line(147, 184),
        horizontal_line(149, 184),
        horizontal_line(150, 183),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(157, 181),
        horizontal_line(159, 180),
        horizontal_line(160, 180),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 82),
        horizontal_line(62, 92),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(167, 177),
        horizontal_line(168, 176),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(124, 144),
        horizontal_line(124, 154),
        horizontal_line(124, 164),
    };

    constexpr const horizontal_line frame_1256_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(177, 239),
    };

    constexpr const shape frame_1256_shape_group_3_shapes[] = {
        shape(frame_1256_shape_group_3_shape_0_horizontal_lines, 64, 14),
        shape(frame_1256_shape_group_3_shape_1_horizontal_lines, 106, 1),
        shape(frame_1256_shape_group_3_shape_2_horizontal_lines, 107, 8),
        shape(frame_1256_shape_group_3_shape_3_horizontal_lines, 113, 14),
        shape(frame_1256_shape_group_3_shape_4_horizontal_lines, 116, 8),
        shape(frame_1256_shape_group_3_shape_5_horizontal_lines, 119, 14),
        shape(frame_1256_shape_group_3_shape_6_horizontal_lines, 123, 8),
        shape(frame_1256_shape_group_3_shape_7_horizontal_lines, 124, 1),
        shape(frame_1256_shape_group_3_shape_8_horizontal_lines, 141, 8),
        shape(frame_1256_shape_group_3_shape_9_horizontal_lines, 145, 1),
        shape(frame_1256_shape_group_3_shape_10_horizontal_lines, 148, 8),
        shape(frame_1256_shape_group_3_shape_11_horizontal_lines, 152, 1),
        shape(frame_1256_shape_group_3_shape_12_horizontal_lines, 154, 8),
        shape(frame_1256_shape_group_3_shape_13_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(131, 183),
        horizontal_line(135, 187),
        horizontal_line(139, 184),
        horizontal_line(144, 180),
        horizontal_line(148, 176),
        horizontal_line(152, 172),
        horizontal_line(157, 168),
        horizontal_line(161, 164),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 12),
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 57),
        horizontal_line(0, 37),
        horizontal_line(1, 38),
        horizontal_line(9, 39),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(122, 147),
        horizontal_line(124, 147),
        horizontal_line(126, 147),
        horizontal_line(214, 239),
        horizontal_line(125, 147),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(63, 69),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(82, 83),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(87, 98),
        horizontal_line(92, 99),
        horizontal_line(97, 100),
        horizontal_line(54, 90),
        horizontal_line(61, 97),
        horizontal_line(68, 104),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(94, 117),
        horizontal_line(101, 119),
        horizontal_line(108, 121),
        horizontal_line(114, 123),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(128, 189),
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(192, 196),
        horizontal_line(191, 199),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(133, 190),
        horizontal_line(135, 189),
        horizontal_line(136, 189),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(189, 211),
        horizontal_line(189, 214),
        horizontal_line(188, 217),
        horizontal_line(188, 220),
        horizontal_line(187, 223),
        horizontal_line(187, 226),
        horizontal_line(186, 229),
        horizontal_line(185, 232),
        horizontal_line(185, 235),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(152, 183),
        horizontal_line(153, 182),
        horizontal_line(154, 182),
        horizontal_line(156, 181),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(161, 179),
        horizontal_line(163, 178),
        horizontal_line(164, 178),
        horizontal_line(166, 177),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(170, 176),
        horizontal_line(171, 175),
        horizontal_line(173, 175),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_1256_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_1256_shape_group_4_shapes[] = {
        shape(frame_1256_shape_group_4_shape_0_horizontal_lines, 71, 14),
        shape(frame_1256_shape_group_4_shape_1_horizontal_lines, 79, 8),
        shape(frame_1256_shape_group_4_shape_2_horizontal_lines, 85, 14),
        shape(frame_1256_shape_group_4_shape_3_horizontal_lines, 87, 8),
        shape(frame_1256_shape_group_4_shape_4_horizontal_lines, 91, 14),
        shape(frame_1256_shape_group_4_shape_5_horizontal_lines, 102, 1),
        shape(frame_1256_shape_group_4_shape_6_horizontal_lines, 107, 8),
        shape(frame_1256_shape_group_4_shape_7_horizontal_lines, 108, 1),
        shape(frame_1256_shape_group_4_shape_8_horizontal_lines, 110, 8),
        shape(frame_1256_shape_group_4_shape_9_horizontal_lines, 116, 1),
        shape(frame_1256_shape_group_4_shape_10_horizontal_lines, 119, 8),
        shape(frame_1256_shape_group_4_shape_11_horizontal_lines, 123, 1),
        shape(frame_1256_shape_group_4_shape_12_horizontal_lines, 126, 2),
        shape(frame_1256_shape_group_4_shape_13_horizontal_lines, 128, 1),
        shape(frame_1256_shape_group_4_shape_14_horizontal_lines, 131, 2),
        shape(frame_1256_shape_group_4_shape_15_horizontal_lines, 141, 1),
        shape(frame_1256_shape_group_4_shape_16_horizontal_lines, 145, 2),
        shape(frame_1256_shape_group_4_shape_17_horizontal_lines, 148, 1),
        shape(frame_1256_shape_group_4_shape_18_horizontal_lines, 152, 2),
        shape(frame_1256_shape_group_4_shape_19_horizontal_lines, 154, 1),
        shape(frame_1256_shape_group_4_shape_20_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(41, 42),
        horizontal_line(41, 43),
        horizontal_line(40, 44),
        horizontal_line(40, 46),
        horizontal_line(40, 47),
        horizontal_line(39, 48),
        horizontal_line(39, 50),
        horizontal_line(39, 51),
        horizontal_line(38, 52),
        horizontal_line(38, 53),
        horizontal_line(37, 55),
        horizontal_line(37, 56),
        horizontal_line(37, 57),
        horizontal_line(36, 59),
        horizontal_line(0, 29),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(40, 57),
        horizontal_line(43, 56),
        horizontal_line(46, 56),
        horizontal_line(18, 40),
        horizontal_line(26, 41),
        horizontal_line(35, 42),
        horizontal_line(67, 72),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(63, 69),
        horizontal_line(63, 69),
        horizontal_line(75, 77),
        horizontal_line(0, 45),
        horizontal_line(63, 66),
        horizontal_line(95, 97),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(132, 158),
        horizontal_line(131, 162),
        horizontal_line(130, 166),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(127, 185),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(193, 193),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(191, 202),
        horizontal_line(190, 205),
        horizontal_line(190, 208),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_1256_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
    };

    constexpr const shape frame_1256_shape_group_5_shapes[] = {
        shape(frame_1256_shape_group_5_shape_0_horizontal_lines, 71, 8),
        shape(frame_1256_shape_group_5_shape_1_horizontal_lines, 87, 1),
        shape(frame_1256_shape_group_5_shape_2_horizontal_lines, 88, 8),
        shape(frame_1256_shape_group_5_shape_3_horizontal_lines, 95, 14),
        shape(frame_1256_shape_group_5_shape_4_horizontal_lines, 98, 8),
        shape(frame_1256_shape_group_5_shape_5_horizontal_lines, 99, 14),
        shape(frame_1256_shape_group_5_shape_6_horizontal_lines, 100, 8),
        shape(frame_1256_shape_group_5_shape_7_horizontal_lines, 102, 1),
        shape(frame_1256_shape_group_5_shape_8_horizontal_lines, 125, 2),
        shape(frame_1256_shape_group_5_shape_9_horizontal_lines, 128, 2),
        shape(frame_1256_shape_group_5_shape_10_horizontal_lines, 141, 2),
        shape(frame_1256_shape_group_5_shape_11_horizontal_lines, 148, 2),
        shape(frame_1256_shape_group_5_shape_12_horizontal_lines, 153, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(185, 188),
        horizontal_line(181, 190),
        horizontal_line(177, 191),
        horizontal_line(173, 193),
        horizontal_line(169, 194),
        horizontal_line(165, 196),
        horizontal_line(162, 198),
        horizontal_line(158, 199),
        horizontal_line(154, 201),
        horizontal_line(150, 202),
        horizontal_line(146, 204),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(36, 58),
        horizontal_line(36, 58),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(197, 210),
        horizontal_line(137, 199),
        horizontal_line(0, 0),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(49, 55),
        horizontal_line(52, 55),
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(58, 59),
        horizontal_line(59, 62),
        horizontal_line(60, 65),
        horizontal_line(68, 71),
        horizontal_line(65, 67),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(98, 100),
        horizontal_line(63, 70),
        horizontal_line(96, 98),
        horizontal_line(104, 113),
        horizontal_line(104, 113),
        horizontal_line(103, 112),
        horizontal_line(102, 112),
        horizontal_line(103, 111),
        horizontal_line(106, 111),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(201, 211),
        horizontal_line(207, 211),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(116, 129),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(130, 170),
        horizontal_line(129, 174),
        horizontal_line(128, 177),
        horizontal_line(128, 181),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_1256_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_1256_shape_group_6_shapes[] = {
        shape(frame_1256_shape_group_6_shape_0_horizontal_lines, 73, 1),
        shape(frame_1256_shape_group_6_shape_1_horizontal_lines, 85, 8),
        shape(frame_1256_shape_group_6_shape_2_horizontal_lines, 87, 1),
        shape(frame_1256_shape_group_6_shape_3_horizontal_lines, 91, 8),
        shape(frame_1256_shape_group_6_shape_4_horizontal_lines, 94, 1),
        shape(frame_1256_shape_group_6_shape_5_horizontal_lines, 95, 8),
        shape(frame_1256_shape_group_6_shape_6_horizontal_lines, 100, 1),
        shape(frame_1256_shape_group_6_shape_7_horizontal_lines, 101, 8),
        shape(frame_1256_shape_group_6_shape_8_horizontal_lines, 102, 1),
        shape(frame_1256_shape_group_6_shape_9_horizontal_lines, 116, 4),
        shape(frame_1256_shape_group_6_shape_10_horizontal_lines, 118, 2),
        shape(frame_1256_shape_group_6_shape_11_horizontal_lines, 119, 1),
        shape(frame_1256_shape_group_6_shape_12_horizontal_lines, 123, 2),
        shape(frame_1256_shape_group_6_shape_13_horizontal_lines, 154, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(204, 206),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(199, 212),
        horizontal_line(139, 201),
        horizontal_line(141, 201),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(68, 69),
        horizontal_line(68, 70),
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(67, 71),
        horizontal_line(67, 71),
        horizontal_line(67, 71),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(0, 44),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(97, 99),
        horizontal_line(105, 114),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(159, 211),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(135, 139),
        horizontal_line(134, 143),
        horizontal_line(134, 147),
        horizontal_line(133, 151),
        horizontal_line(132, 155),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(112, 131),
        horizontal_line(114, 130),
    };

    constexpr const horizontal_line frame_1256_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(118, 129),
        horizontal_line(120, 128),
        horizontal_line(122, 127),
        horizontal_line(124, 127),
    };

    constexpr const shape frame_1256_shape_group_7_shapes[] = {
        shape(frame_1256_shape_group_7_shape_0_horizontal_lines, 84, 1),
        shape(frame_1256_shape_group_7_shape_1_horizontal_lines, 88, 1),
        shape(frame_1256_shape_group_7_shape_2_horizontal_lines, 91, 8),
        shape(frame_1256_shape_group_7_shape_3_horizontal_lines, 94, 1),
        shape(frame_1256_shape_group_7_shape_4_horizontal_lines, 95, 8),
        shape(frame_1256_shape_group_7_shape_5_horizontal_lines, 98, 1),
        shape(frame_1256_shape_group_7_shape_6_horizontal_lines, 99, 8),
        shape(frame_1256_shape_group_7_shape_7_horizontal_lines, 100, 1),
        shape(frame_1256_shape_group_7_shape_8_horizontal_lines, 103, 4),
        shape(frame_1256_shape_group_7_shape_9_horizontal_lines, 106, 1),
        shape(frame_1256_shape_group_7_shape_10_horizontal_lines, 109, 4),
        shape(frame_1256_shape_group_7_shape_11_horizontal_lines, 110, 1),
        shape(frame_1256_shape_group_7_shape_12_horizontal_lines, 116, 2),
        shape(frame_1256_shape_group_7_shape_13_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(200, 207),
        horizontal_line(197, 209),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(38, 39),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(201, 214),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(40, 45),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 25),
        horizontal_line(0, 34),
        horizontal_line(148, 148),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(111, 119),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(99, 103),
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(102, 104),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(106, 115),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(153, 212),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(47, 63),
    };

    constexpr const horizontal_line frame_1256_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(165, 211),
        horizontal_line(171, 211),
        horizontal_line(177, 211),
        horizontal_line(183, 211),
        horizontal_line(189, 211),
        horizontal_line(195, 211),
    };

    constexpr const shape frame_1256_shape_group_8_shapes[] = {
        shape(frame_1256_shape_group_8_shape_0_horizontal_lines, 85, 1),
        shape(frame_1256_shape_group_8_shape_1_horizontal_lines, 88, 3),
        shape(frame_1256_shape_group_8_shape_2_horizontal_lines, 89, 1),
        shape(frame_1256_shape_group_8_shape_3_horizontal_lines, 90, 3),
        shape(frame_1256_shape_group_8_shape_4_horizontal_lines, 91, 1),
        shape(frame_1256_shape_group_8_shape_5_horizontal_lines, 99, 8),
        shape(frame_1256_shape_group_8_shape_6_horizontal_lines, 100, 1),
        shape(frame_1256_shape_group_8_shape_7_horizontal_lines, 102, 4),
        shape(frame_1256_shape_group_8_shape_8_horizontal_lines, 107, 1),
        shape(frame_1256_shape_group_8_shape_9_horizontal_lines, 108, 4),
        shape(frame_1256_shape_group_8_shape_10_horizontal_lines, 109, 2),
        shape(frame_1256_shape_group_8_shape_11_horizontal_lines, 110, 4),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(39, 42),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(202, 213),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(142, 188),
        horizontal_line(144, 174),
        horizontal_line(114, 117),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(44, 56),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(110, 121),
        horizontal_line(108, 123),
        horizontal_line(109, 125),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(113, 123),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(209, 212),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_1256_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(47, 62),
        horizontal_line(93, 94),
        horizontal_line(47, 57),
        horizontal_line(47, 52),
        horizontal_line(101, 101),
        horizontal_line(112, 133),
        horizontal_line(112, 132),
        horizontal_line(111, 131),
    };

    constexpr const shape frame_1256_shape_group_9_shapes[] = {
        shape(frame_1256_shape_group_9_shape_0_horizontal_lines, 89, 3),
        shape(frame_1256_shape_group_9_shape_1_horizontal_lines, 90, 4),
        shape(frame_1256_shape_group_9_shape_2_horizontal_lines, 91, 1),
        shape(frame_1256_shape_group_9_shape_3_horizontal_lines, 94, 3),
        shape(frame_1256_shape_group_9_shape_4_horizontal_lines, 95, 1),
        shape(frame_1256_shape_group_9_shape_5_horizontal_lines, 98, 3),
        shape(frame_1256_shape_group_9_shape_6_horizontal_lines, 99, 1),
        shape(frame_1256_shape_group_9_shape_7_horizontal_lines, 100, 3),
        shape(frame_1256_shape_group_9_shape_8_horizontal_lines, 101, 1),
        shape(frame_1256_shape_group_9_shape_9_horizontal_lines, 102, 4),
        shape(frame_1256_shape_group_9_shape_10_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(41, 48),
        horizontal_line(42, 51),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(146, 161),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(149, 211),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(48, 57),
        horizontal_line(53, 58),
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(113, 124),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(147, 209),
        horizontal_line(209, 212),
        horizontal_line(209, 212),
        horizontal_line(209, 212),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(46, 62),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(209, 212),
    };

    constexpr const horizontal_line frame_1256_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(93, 95),
        horizontal_line(98, 103),
        horizontal_line(99, 103),
        horizontal_line(100, 102),
        horizontal_line(113, 133),
    };

    constexpr const shape frame_1256_shape_group_10_shapes[] = {
        shape(frame_1256_shape_group_10_shape_0_horizontal_lines, 91, 3),
        shape(frame_1256_shape_group_10_shape_1_horizontal_lines, 93, 1),
        shape(frame_1256_shape_group_10_shape_2_horizontal_lines, 94, 4),
        shape(frame_1256_shape_group_10_shape_3_horizontal_lines, 95, 3),
        shape(frame_1256_shape_group_10_shape_4_horizontal_lines, 98, 4),
        shape(frame_1256_shape_group_10_shape_5_horizontal_lines, 99, 1),
        shape(frame_1256_shape_group_10_shape_6_horizontal_lines, 100, 4),
        shape(frame_1256_shape_group_10_shape_7_horizontal_lines, 101, 3),
        shape(frame_1256_shape_group_10_shape_8_horizontal_lines, 102, 4),
        shape(frame_1256_shape_group_10_shape_9_horizontal_lines, 106, 2),
        shape(frame_1256_shape_group_10_shape_10_horizontal_lines, 107, 4),
        shape(frame_1256_shape_group_10_shape_11_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(189, 213),
        horizontal_line(175, 213),
    };

    constexpr const horizontal_line frame_1256_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(43, 54),
    };

    constexpr const horizontal_line frame_1256_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(211, 213),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
    };

    constexpr const horizontal_line frame_1256_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_1256_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(113, 124),
        horizontal_line(209, 212),
    };

    constexpr const horizontal_line frame_1256_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(46, 61),
        horizontal_line(46, 62),
        horizontal_line(46, 62),
        horizontal_line(70, 74),
        horizontal_line(46, 62),
        horizontal_line(99, 104),
        horizontal_line(114, 129),
        horizontal_line(114, 135),
        horizontal_line(113, 134),
    };

    constexpr const shape frame_1256_shape_group_11_shapes[] = {
        shape(frame_1256_shape_group_11_shape_0_horizontal_lines, 91, 4),
        shape(frame_1256_shape_group_11_shape_1_horizontal_lines, 93, 3),
        shape(frame_1256_shape_group_11_shape_2_horizontal_lines, 94, 4),
        shape(frame_1256_shape_group_11_shape_3_horizontal_lines, 99, 1),
        shape(frame_1256_shape_group_11_shape_4_horizontal_lines, 100, 4),
        shape(frame_1256_shape_group_11_shape_5_horizontal_lines, 103, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(162, 213),
    };

    constexpr const horizontal_line frame_1256_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(210, 213),
        horizontal_line(210, 213),
        horizontal_line(210, 213),
        horizontal_line(210, 213),
    };

    constexpr const horizontal_line frame_1256_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_1256_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(210, 212),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_1256_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(45, 61),
        horizontal_line(69, 73),
        horizontal_line(70, 73),
        horizontal_line(70, 73),
        horizontal_line(78, 79),
        horizontal_line(94, 96),
        horizontal_line(115, 122),
    };

    constexpr const shape frame_1256_shape_group_12_shapes[] = {
        shape(frame_1256_shape_group_12_shape_0_horizontal_lines, 93, 4),
        shape(frame_1256_shape_group_12_shape_1_horizontal_lines, 95, 4),
        shape(frame_1256_shape_group_12_shape_2_horizontal_lines, 99, 1),
        shape(frame_1256_shape_group_12_shape_3_horizontal_lines, 100, 4),
        shape(frame_1256_shape_group_12_shape_4_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_1256_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(44, 47),
        horizontal_line(44, 52),
        horizontal_line(44, 56),
        horizontal_line(44, 61),
    };

    constexpr const horizontal_line frame_1256_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(68, 70),
    };

    constexpr const horizontal_line frame_1256_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(45, 61),
    };

    constexpr const horizontal_line frame_1256_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(209, 212),
    };

    constexpr const horizontal_line frame_1256_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(69, 73),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(95, 97),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_1256_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(88, 88),
    };

    constexpr const shape frame_1256_shape_group_13_shapes[] = {
        shape(frame_1256_shape_group_13_shape_0_horizontal_lines, 95, 2),
        shape(frame_1256_shape_group_13_shape_1_horizontal_lines, 99, 3),
        shape(frame_1256_shape_group_13_shape_2_horizontal_lines, 100, 2),
        shape(frame_1256_shape_group_13_shape_3_horizontal_lines, 101, 4),
        shape(frame_1256_shape_group_13_shape_4_horizontal_lines, 102, 2),
        shape(frame_1256_shape_group_13_shape_5_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_1256_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(114, 124),
    };

    constexpr const horizontal_line frame_1256_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1256_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(45, 61),
    };

    constexpr const horizontal_line frame_1256_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(81, 86),
        horizontal_line(82, 95),
        horizontal_line(82, 82),
        horizontal_line(79, 88),
    };

    constexpr const horizontal_line frame_1256_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(101, 106),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_1256_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(91, 92),
    };

    constexpr const shape frame_1256_shape_group_14_shapes[] = {
        shape(frame_1256_shape_group_14_shape_0_horizontal_lines, 99, 4),
        shape(frame_1256_shape_group_14_shape_1_horizontal_lines, 100, 7),
        shape(frame_1256_shape_group_14_shape_2_horizontal_lines, 101, 2),
        shape(frame_1256_shape_group_14_shape_3_horizontal_lines, 102, 7),
        shape(frame_1256_shape_group_14_shape_4_horizontal_lines, 106, 2),
        shape(frame_1256_shape_group_14_shape_5_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(148, 210),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(69, 70),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(86, 90),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_6_horizontal_lines[] = {
        horizontal_line(89, 94),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_7_horizontal_lines[] = {
        horizontal_line(80, 88),
        horizontal_line(84, 89),
    };

    constexpr const horizontal_line frame_1256_shape_group_15_shape_8_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const shape frame_1256_shape_group_15_shapes[] = {
        shape(frame_1256_shape_group_15_shape_0_horizontal_lines, 99, 4),
        shape(frame_1256_shape_group_15_shape_1_horizontal_lines, 100, 10),
        shape(frame_1256_shape_group_15_shape_2_horizontal_lines, 101, 2),
        shape(frame_1256_shape_group_15_shape_3_horizontal_lines, 102, 7),
        shape(frame_1256_shape_group_15_shape_4_horizontal_lines, 103, 12),
        shape(frame_1256_shape_group_15_shape_5_horizontal_lines, 104, 7),
        shape(frame_1256_shape_group_15_shape_6_horizontal_lines, 105, 12),
        shape(frame_1256_shape_group_15_shape_7_horizontal_lines, 106, 7),
        shape(frame_1256_shape_group_15_shape_8_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_1256_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(210, 212),
    };

    constexpr const horizontal_line frame_1256_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1256_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(87, 93),
    };

    constexpr const horizontal_line frame_1256_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1256_shape_group_16_shape_4_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1256_shape_group_16_shape_5_horizontal_lines[] = {
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1256_shape_group_16_shape_6_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(91, 93),
    };

    constexpr const shape frame_1256_shape_group_16_shapes[] = {
        shape(frame_1256_shape_group_16_shape_0_horizontal_lines, 99, 4),
        shape(frame_1256_shape_group_16_shape_1_horizontal_lines, 101, 7),
        shape(frame_1256_shape_group_16_shape_2_horizontal_lines, 102, 10),
        shape(frame_1256_shape_group_16_shape_3_horizontal_lines, 103, 13),
        shape(frame_1256_shape_group_16_shape_4_horizontal_lines, 104, 7),
        shape(frame_1256_shape_group_16_shape_5_horizontal_lines, 105, 11),
        shape(frame_1256_shape_group_16_shape_6_horizontal_lines, 106, 7),
    };

    constexpr const horizontal_line frame_1256_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(45, 61),
    };

    constexpr const horizontal_line frame_1256_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(81, 89),
    };

    constexpr const horizontal_line frame_1256_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(77, 80),
    };

    constexpr const horizontal_line frame_1256_shape_group_17_shape_3_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1256_shape_group_17_shape_4_horizontal_lines[] = {
        horizontal_line(83, 85),
    };

    constexpr const horizontal_line frame_1256_shape_group_17_shape_5_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1256_shape_group_17_shape_6_horizontal_lines[] = {
        horizontal_line(91, 91),
        horizontal_line(90, 90),
    };

    constexpr const shape frame_1256_shape_group_17_shapes[] = {
        shape(frame_1256_shape_group_17_shape_0_horizontal_lines, 99, 2),
        shape(frame_1256_shape_group_17_shape_1_horizontal_lines, 101, 10),
        shape(frame_1256_shape_group_17_shape_2_horizontal_lines, 102, 12),
        shape(frame_1256_shape_group_17_shape_3_horizontal_lines, 103, 11),
        shape(frame_1256_shape_group_17_shape_4_horizontal_lines, 104, 12),
        shape(frame_1256_shape_group_17_shape_5_horizontal_lines, 105, 6),
        shape(frame_1256_shape_group_17_shape_6_horizontal_lines, 106, 12),
    };

    constexpr const horizontal_line frame_1256_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const horizontal_line frame_1256_shape_group_18_shape_1_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1256_shape_group_18_shape_2_horizontal_lines[] = {
        horizontal_line(91, 93),
    };

    constexpr const horizontal_line frame_1256_shape_group_18_shape_3_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const shape frame_1256_shape_group_18_shapes[] = {
        shape(frame_1256_shape_group_18_shape_0_horizontal_lines, 101, 12),
        shape(frame_1256_shape_group_18_shape_1_horizontal_lines, 103, 6),
        shape(frame_1256_shape_group_18_shape_2_horizontal_lines, 104, 12),
        shape(frame_1256_shape_group_18_shape_3_horizontal_lines, 106, 13),
    };

    constexpr const horizontal_line frame_1256_shape_group_19_shape_0_horizontal_lines[] = {
        horizontal_line(79, 81),
    };

    constexpr const shape frame_1256_shape_group_19_shapes[] = {
        shape(frame_1256_shape_group_19_shape_0_horizontal_lines, 104, 13),
    };

    constexpr const horizontal_line frame_1256_shape_group_20_shape_0_horizontal_lines[] = {
        horizontal_line(95, 96),
    };

    constexpr const shape frame_1256_shape_group_20_shapes[] = {
        shape(frame_1256_shape_group_20_shape_0_horizontal_lines, 104, 11),
    };

    constexpr const shape_group frame_1256_shape_groups[] = {
        shape_group(frame_1256_shape_group_0_shapes),
        shape_group(frame_1256_shape_group_1_shapes),
        shape_group(frame_1256_shape_group_2_shapes),
        shape_group(frame_1256_shape_group_3_shapes),
        shape_group(frame_1256_shape_group_4_shapes),
        shape_group(frame_1256_shape_group_5_shapes),
        shape_group(frame_1256_shape_group_6_shapes),
        shape_group(frame_1256_shape_group_7_shapes),
        shape_group(frame_1256_shape_group_8_shapes),
        shape_group(frame_1256_shape_group_9_shapes),
        shape_group(frame_1256_shape_group_10_shapes),
        shape_group(frame_1256_shape_group_11_shapes),
        shape_group(frame_1256_shape_group_12_shapes),
        shape_group(frame_1256_shape_group_13_shapes),
        shape_group(frame_1256_shape_group_14_shapes),
        shape_group(frame_1256_shape_group_15_shapes),
        shape_group(frame_1256_shape_group_16_shapes),
        shape_group(frame_1256_shape_group_17_shapes),
        shape_group(frame_1256_shape_group_18_shapes),
        shape_group(frame_1256_shape_group_19_shapes),
        shape_group(frame_1256_shape_group_20_shapes),
    };

    constexpr const frame frame_1256_impl(frame_1256_colors, frame_1256_shape_groups);
} 

const frame& frame_1256()
{
    return frame_1256_impl;
}

namespace
{
    constexpr const bn::color frame_1257_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1257_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(1, 15),
    };

    constexpr const horizontal_line frame_1257_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(18, 19),
        horizontal_line(19, 22),
        horizontal_line(20, 26),
        horizontal_line(21, 29),
        horizontal_line(22, 33),
        horizontal_line(23, 36),
        horizontal_line(24, 40),
        horizontal_line(25, 43),
        horizontal_line(26, 47),
        horizontal_line(27, 50),
        horizontal_line(27, 54),
        horizontal_line(28, 57),
        horizontal_line(29, 61),
        horizontal_line(30, 64),
        horizontal_line(31, 68),
        horizontal_line(32, 71),
        horizontal_line(33, 75),
        horizontal_line(34, 78),
        horizontal_line(35, 81),
        horizontal_line(36, 85),
        horizontal_line(36, 88),
        horizontal_line(37, 92),
        horizontal_line(38, 95),
        horizontal_line(39, 99),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
    };

    constexpr const horizontal_line frame_1257_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 62),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(5, 32),
        horizontal_line(10, 32),
        horizontal_line(15, 31),
        horizontal_line(20, 31),
        horizontal_line(25, 30),
        horizontal_line(30, 30),
        horizontal_line(57, 63),
        horizontal_line(57, 64),
        horizontal_line(57, 66),
        horizontal_line(56, 68),
        horizontal_line(56, 67),
        horizontal_line(55, 67),
        horizontal_line(55, 66),
        horizontal_line(55, 66),
        horizontal_line(56, 66),
        horizontal_line(59, 65),
        horizontal_line(62, 65),
        horizontal_line(65, 65),
        horizontal_line(71, 74),
        horizontal_line(72, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_1257_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(96, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(112, 124),
    };

    constexpr const horizontal_line frame_1257_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(75, 81),
        horizontal_line(83, 86),
        horizontal_line(67, 76),
        horizontal_line(63, 82),
        horizontal_line(69, 89),
        horizontal_line(75, 95),
        horizontal_line(81, 102),
        horizontal_line(87, 103),
        horizontal_line(42, 50),
        horizontal_line(40, 56),
        horizontal_line(37, 63),
        horizontal_line(35, 69),
        horizontal_line(32, 76),
        horizontal_line(30, 82),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(15, 77),
        horizontal_line(31, 93),
    };

    constexpr const shape frame_1257_shape_group_0_shapes[] = {
        shape(frame_1257_shape_group_0_shape_0_horizontal_lines, 2, 9),
        shape(frame_1257_shape_group_0_shape_1_horizontal_lines, 19, 14),
        shape(frame_1257_shape_group_0_shape_2_horizontal_lines, 48, 9),
        shape(frame_1257_shape_group_0_shape_3_horizontal_lines, 102, 14),
        shape(frame_1257_shape_group_0_shape_4_horizontal_lines, 107, 9),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(102, 102),
        horizontal_line(103, 106),
        horizontal_line(104, 109),
        horizontal_line(105, 113),
        horizontal_line(106, 116),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(40, 64),
        horizontal_line(41, 64),
        horizontal_line(43, 65),
        horizontal_line(44, 66),
        horizontal_line(46, 66),
        horizontal_line(47, 67),
        horizontal_line(49, 68),
        horizontal_line(50, 68),
        horizontal_line(51, 69),
        horizontal_line(53, 70),
        horizontal_line(54, 70),
        horizontal_line(56, 71),
        horizontal_line(57, 72),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(73, 75),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(58, 59),
        horizontal_line(58, 61),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(75, 89),
        horizontal_line(75, 93),
        horizontal_line(76, 98),
        horizontal_line(77, 102),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(70, 76),
        horizontal_line(71, 77),
        horizontal_line(72, 78),
        horizontal_line(73, 79),
        horizontal_line(72, 72),
        horizontal_line(72, 73),
        horizontal_line(71, 74),
        horizontal_line(71, 80),
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 98),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(126, 149),
        horizontal_line(108, 120),
        horizontal_line(142, 149),
        horizontal_line(149, 149),
        horizontal_line(145, 154),
        horizontal_line(142, 160),
        horizontal_line(140, 165),
        horizontal_line(143, 171),
        horizontal_line(147, 177),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(93, 105),
        horizontal_line(99, 107),
        horizontal_line(105, 109),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(161, 199),
        horizontal_line(165, 205),
        horizontal_line(168, 211),
    };

    constexpr const horizontal_line frame_1257_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(87, 95),
        horizontal_line(85, 102),
        horizontal_line(82, 108),
        horizontal_line(80, 115),
        horizontal_line(77, 121),
        horizontal_line(75, 128),
        horizontal_line(72, 129),
        horizontal_line(70, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(77, 139),
        horizontal_line(93, 155),
    };

    constexpr const shape frame_1257_shape_group_1_shapes[] = {
        shape(frame_1257_shape_group_1_shape_0_horizontal_lines, 43, 14),
        shape(frame_1257_shape_group_1_shape_1_horizontal_lines, 70, 9),
        shape(frame_1257_shape_group_1_shape_2_horizontal_lines, 84, 14),
        shape(frame_1257_shape_group_1_shape_3_horizontal_lines, 85, 9),
        shape(frame_1257_shape_group_1_shape_4_horizontal_lines, 87, 14),
        shape(frame_1257_shape_group_1_shape_5_horizontal_lines, 91, 9),
        shape(frame_1257_shape_group_1_shape_6_horizontal_lines, 100, 14),
        shape(frame_1257_shape_group_1_shape_7_horizontal_lines, 115, 9),
        shape(frame_1257_shape_group_1_shape_8_horizontal_lines, 118, 14),
        shape(frame_1257_shape_group_1_shape_9_horizontal_lines, 121, 9),
    };

    constexpr const horizontal_line frame_1257_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(107, 120),
        horizontal_line(107, 123),
        horizontal_line(108, 127),
        horizontal_line(109, 130),
        horizontal_line(110, 134),
        horizontal_line(111, 137),
        horizontal_line(112, 140),
        horizontal_line(113, 144),
        horizontal_line(114, 147),
        horizontal_line(115, 151),
        horizontal_line(116, 154),
        horizontal_line(116, 158),
        horizontal_line(117, 161),
        horizontal_line(118, 165),
        horizontal_line(119, 168),
        horizontal_line(120, 172),
        horizontal_line(121, 175),
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(220, 239),
        horizontal_line(213, 239),
        horizontal_line(67, 129),
        horizontal_line(71, 133),
        horizontal_line(76, 138),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
        horizontal_line(102, 164),
        horizontal_line(106, 166),
        horizontal_line(110, 162),
        horizontal_line(115, 158),
        horizontal_line(119, 154),
        horizontal_line(123, 149),
        horizontal_line(128, 145),
        horizontal_line(74, 80),
        horizontal_line(74, 84),
        horizontal_line(135, 137),
        horizontal_line(132, 139),
        horizontal_line(129, 141),
        horizontal_line(126, 143),
        horizontal_line(81, 107),
        horizontal_line(86, 111),
        horizontal_line(91, 116),
        horizontal_line(96, 113),
        horizontal_line(80, 83),
        horizontal_line(80, 89),
        horizontal_line(81, 94),
        horizontal_line(86, 100),
        horizontal_line(92, 99),
        horizontal_line(104, 112),
        horizontal_line(106, 112),
        horizontal_line(126, 150),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
        horizontal_line(125, 149),
        horizontal_line(229, 239),
        horizontal_line(134, 149),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(150, 182),
        horizontal_line(154, 188),
        horizontal_line(157, 194),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(172, 216),
        horizontal_line(175, 222),
        horizontal_line(179, 227),
        horizontal_line(182, 224),
        horizontal_line(186, 221),
        horizontal_line(190, 219),
        horizontal_line(193, 216),
        horizontal_line(197, 213),
        horizontal_line(200, 211),
    };

    constexpr const horizontal_line frame_1257_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(127, 133),
        horizontal_line(125, 134),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(139, 170),
        horizontal_line(155, 172),
    };

    constexpr const shape frame_1257_shape_group_2_shapes[] = {
        shape(frame_1257_shape_group_2_shape_0_horizontal_lines, 48, 14),
        shape(frame_1257_shape_group_2_shape_1_horizontal_lines, 130, 9),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(122, 179),
        horizontal_line(123, 182),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(207, 239),
        horizontal_line(133, 195),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(132, 141),
        horizontal_line(137, 137),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(123, 145),
        horizontal_line(120, 147),
        horizontal_line(118, 149),
        horizontal_line(119, 151),
        horizontal_line(101, 110),
        horizontal_line(107, 107),
        horizontal_line(105, 107),
        horizontal_line(102, 109),
        horizontal_line(102, 110),
        horizontal_line(126, 150),
        horizontal_line(126, 150),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(71, 82),
        horizontal_line(77, 93),
        horizontal_line(83, 98),
        horizontal_line(58, 68),
        horizontal_line(54, 74),
        horizontal_line(49, 80),
        horizontal_line(45, 86),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(70, 111),
        horizontal_line(77, 112),
        horizontal_line(83, 114),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(204, 208),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 203),
        horizontal_line(144, 202),
        horizontal_line(145, 202),
        horizontal_line(146, 201),
        horizontal_line(148, 201),
        horizontal_line(149, 200),
        horizontal_line(151, 200),
        horizontal_line(152, 199),
        horizontal_line(153, 199),
        horizontal_line(155, 199),
        horizontal_line(156, 198),
        horizontal_line(157, 198),
        horizontal_line(159, 197),
        horizontal_line(160, 197),
        horizontal_line(162, 196),
        horizontal_line(163, 196),
        horizontal_line(164, 195),
        horizontal_line(166, 195),
        horizontal_line(167, 194),
        horizontal_line(168, 194),
        horizontal_line(170, 193),
    };

    constexpr const horizontal_line frame_1257_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 30),
    };

    constexpr const shape frame_1257_shape_group_3_shapes[] = {
        shape(frame_1257_shape_group_3_shape_0_horizontal_lines, 65, 14),
        shape(frame_1257_shape_group_3_shape_1_horizontal_lines, 106, 1),
        shape(frame_1257_shape_group_3_shape_2_horizontal_lines, 107, 14),
        shape(frame_1257_shape_group_3_shape_3_horizontal_lines, 108, 8),
        shape(frame_1257_shape_group_3_shape_4_horizontal_lines, 115, 14),
        shape(frame_1257_shape_group_3_shape_5_horizontal_lines, 118, 8),
        shape(frame_1257_shape_group_3_shape_6_horizontal_lines, 121, 14),
        shape(frame_1257_shape_group_3_shape_7_horizontal_lines, 126, 8),
        shape(frame_1257_shape_group_3_shape_8_horizontal_lines, 127, 1),
        shape(frame_1257_shape_group_3_shape_9_horizontal_lines, 130, 14),
        shape(frame_1257_shape_group_3_shape_10_horizontal_lines, 131, 1),
        shape(frame_1257_shape_group_3_shape_11_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(187, 189),
        horizontal_line(188, 193),
        horizontal_line(129, 191),
        horizontal_line(195, 239),
        horizontal_line(138, 196),
        horizontal_line(142, 192),
        horizontal_line(146, 188),
        horizontal_line(151, 183),
        horizontal_line(155, 179),
        horizontal_line(159, 175),
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(34, 50),
        horizontal_line(34, 52),
        horizontal_line(0, 4),
        horizontal_line(0, 9),
        horizontal_line(0, 14),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(121, 151),
        horizontal_line(123, 151),
        horizontal_line(125, 151),
        horizontal_line(127, 151),
        horizontal_line(126, 151),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(82, 83),
        horizontal_line(87, 88),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(90, 99),
        horizontal_line(96, 100),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(51, 92),
        horizontal_line(57, 98),
        horizontal_line(64, 104),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(90, 116),
        horizontal_line(96, 118),
        horizontal_line(103, 120),
        horizontal_line(109, 122),
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(0, 4),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(199, 205),
        horizontal_line(200, 204),
        horizontal_line(202, 204),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(204, 224),
        horizontal_line(203, 227),
        horizontal_line(203, 230),
        horizontal_line(202, 233),
        horizontal_line(202, 236),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(171, 193),
        horizontal_line(173, 193),
    };

    constexpr const shape frame_1257_shape_group_4_shapes[] = {
        shape(frame_1257_shape_group_4_shape_0_horizontal_lines, 67, 14),
        shape(frame_1257_shape_group_4_shape_1_horizontal_lines, 79, 8),
        shape(frame_1257_shape_group_4_shape_2_horizontal_lines, 85, 14),
        shape(frame_1257_shape_group_4_shape_3_horizontal_lines, 87, 8),
        shape(frame_1257_shape_group_4_shape_4_horizontal_lines, 91, 14),
        shape(frame_1257_shape_group_4_shape_5_horizontal_lines, 102, 1),
        shape(frame_1257_shape_group_4_shape_6_horizontal_lines, 107, 8),
        shape(frame_1257_shape_group_4_shape_7_horizontal_lines, 109, 1),
        shape(frame_1257_shape_group_4_shape_8_horizontal_lines, 111, 8),
        shape(frame_1257_shape_group_4_shape_9_horizontal_lines, 113, 1),
        shape(frame_1257_shape_group_4_shape_10_horizontal_lines, 115, 8),
        shape(frame_1257_shape_group_4_shape_11_horizontal_lines, 118, 1),
        shape(frame_1257_shape_group_4_shape_12_horizontal_lines, 121, 8),
        shape(frame_1257_shape_group_4_shape_13_horizontal_lines, 126, 1),
        shape(frame_1257_shape_group_4_shape_14_horizontal_lines, 137, 2),
        shape(frame_1257_shape_group_4_shape_15_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(191, 196),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(38, 39),
        horizontal_line(38, 40),
        horizontal_line(37, 42),
        horizontal_line(37, 43),
        horizontal_line(36, 45),
        horizontal_line(36, 46),
        horizontal_line(35, 48),
        horizontal_line(35, 49),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(167, 212),
        horizontal_line(163, 214),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(33, 53),
        horizontal_line(33, 55),
        horizontal_line(32, 56),
        horizontal_line(32, 58),
        horizontal_line(0, 24),
        horizontal_line(0, 29),
        horizontal_line(33, 56),
        horizontal_line(36, 56),
        horizontal_line(39, 56),
        horizontal_line(42, 55),
        horizontal_line(0, 35),
        horizontal_line(1, 36),
        horizontal_line(20, 37),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(61, 68),
        horizontal_line(61, 68),
        horizontal_line(61, 69),
        horizontal_line(61, 69),
        horizontal_line(74, 77),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(62, 66),
        horizontal_line(104, 115),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(103, 113),
        horizontal_line(104, 112),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(134, 160),
        horizontal_line(133, 164),
        horizontal_line(133, 167),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(128, 189),
        horizontal_line(191, 192),
        horizontal_line(192, 196),
        horizontal_line(193, 199),
        horizontal_line(133, 195),
        horizontal_line(196, 206),
        horizontal_line(197, 205),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(206, 212),
        horizontal_line(205, 215),
        horizontal_line(205, 218),
        horizontal_line(204, 221),
    };

    constexpr const horizontal_line frame_1257_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const shape frame_1257_shape_group_5_shapes[] = {
        shape(frame_1257_shape_group_5_shape_0_horizontal_lines, 70, 14),
        shape(frame_1257_shape_group_5_shape_1_horizontal_lines, 71, 8),
        shape(frame_1257_shape_group_5_shape_2_horizontal_lines, 79, 1),
        shape(frame_1257_shape_group_5_shape_3_horizontal_lines, 81, 8),
        shape(frame_1257_shape_group_5_shape_4_horizontal_lines, 95, 14),
        shape(frame_1257_shape_group_5_shape_5_horizontal_lines, 100, 8),
        shape(frame_1257_shape_group_5_shape_6_horizontal_lines, 102, 1),
        shape(frame_1257_shape_group_5_shape_7_horizontal_lines, 133, 2),
        shape(frame_1257_shape_group_5_shape_8_horizontal_lines, 158, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(197, 201),
        horizontal_line(193, 203),
        horizontal_line(189, 204),
        horizontal_line(184, 206),
        horizontal_line(180, 207),
        horizontal_line(176, 209),
        horizontal_line(172, 211),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(159, 215),
        horizontal_line(155, 217),
        horizontal_line(150, 212),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(31, 57),
        horizontal_line(31, 57),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(45, 55),
        horizontal_line(48, 54),
        horizontal_line(51, 54),
        horizontal_line(67, 72),
        horizontal_line(67, 71),
        horizontal_line(57, 58),
        horizontal_line(58, 61),
        horizontal_line(60, 64),
        horizontal_line(64, 66),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(74, 76),
        horizontal_line(98, 100),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(103, 114),
        horizontal_line(102, 114),
        horizontal_line(138, 142),
        horizontal_line(137, 146),
        horizontal_line(106, 112),
        horizontal_line(108, 111),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(200, 227),
        horizontal_line(206, 227),
        horizontal_line(212, 227),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(132, 171),
        horizontal_line(131, 174),
        horizontal_line(130, 178),
        horizontal_line(130, 181),
        horizontal_line(129, 185),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(195, 203),
    };

    constexpr const horizontal_line frame_1257_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(207, 207),
        horizontal_line(206, 209),
    };

    constexpr const shape frame_1257_shape_group_6_shapes[] = {
        shape(frame_1257_shape_group_6_shape_0_horizontal_lines, 72, 1),
        shape(frame_1257_shape_group_6_shape_1_horizontal_lines, 81, 1),
        shape(frame_1257_shape_group_6_shape_2_horizontal_lines, 85, 8),
        shape(frame_1257_shape_group_6_shape_3_horizontal_lines, 87, 1),
        shape(frame_1257_shape_group_6_shape_4_horizontal_lines, 91, 8),
        shape(frame_1257_shape_group_6_shape_5_horizontal_lines, 100, 1),
        shape(frame_1257_shape_group_6_shape_6_horizontal_lines, 101, 8),
        shape(frame_1257_shape_group_6_shape_7_horizontal_lines, 102, 1),
        shape(frame_1257_shape_group_6_shape_8_horizontal_lines, 110, 4),
        shape(frame_1257_shape_group_6_shape_9_horizontal_lines, 111, 1),
        shape(frame_1257_shape_group_6_shape_10_horizontal_lines, 118, 4),
        shape(frame_1257_shape_group_6_shape_11_horizontal_lines, 121, 1),
        shape(frame_1257_shape_group_6_shape_12_horizontal_lines, 126, 2),
        shape(frame_1257_shape_group_6_shape_13_horizontal_lines, 130, 1),
        shape(frame_1257_shape_group_6_shape_14_horizontal_lines, 131, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(217, 217),
        horizontal_line(212, 218),
        horizontal_line(208, 220),
        horizontal_line(142, 204),
        horizontal_line(138, 200),
        horizontal_line(200, 225),
        horizontal_line(202, 226),
        horizontal_line(204, 228),
        horizontal_line(206, 230),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(68, 69),
        horizontal_line(68, 70),
        horizontal_line(67, 71),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(66, 71),
        horizontal_line(66, 70),
        horizontal_line(66, 70),
        horizontal_line(70, 70),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(60, 68),
        horizontal_line(0, 40),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(105, 116),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(217, 228),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(172, 227),
        horizontal_line(178, 227),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(136, 149),
        horizontal_line(136, 153),
        horizontal_line(135, 156),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(112, 133),
        horizontal_line(113, 132),
        horizontal_line(115, 132),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(217, 227),
        horizontal_line(223, 227),
    };

    constexpr const horizontal_line frame_1257_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(121, 129),
        horizontal_line(123, 129),
        horizontal_line(125, 128),
    };

    constexpr const shape frame_1257_shape_group_7_shapes[] = {
        shape(frame_1257_shape_group_7_shape_0_horizontal_lines, 82, 1),
        shape(frame_1257_shape_group_7_shape_1_horizontal_lines, 91, 8),
        shape(frame_1257_shape_group_7_shape_2_horizontal_lines, 94, 1),
        shape(frame_1257_shape_group_7_shape_3_horizontal_lines, 96, 8),
        shape(frame_1257_shape_group_7_shape_4_horizontal_lines, 100, 1),
        shape(frame_1257_shape_group_7_shape_5_horizontal_lines, 103, 4),
        shape(frame_1257_shape_group_7_shape_6_horizontal_lines, 107, 1),
        shape(frame_1257_shape_group_7_shape_7_horizontal_lines, 110, 4),
        shape(frame_1257_shape_group_7_shape_8_horizontal_lines, 112, 1),
        shape(frame_1257_shape_group_7_shape_9_horizontal_lines, 113, 4),
        shape(frame_1257_shape_group_7_shape_10_horizontal_lines, 115, 1),
        shape(frame_1257_shape_group_7_shape_11_horizontal_lines, 118, 2),
        shape(frame_1257_shape_group_7_shape_12_horizontal_lines, 121, 4),
        shape(frame_1257_shape_group_7_shape_13_horizontal_lines, 123, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(204, 222),
        horizontal_line(200, 223),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(32, 32),
        horizontal_line(33, 35),
        horizontal_line(34, 38),
        horizontal_line(35, 41),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(146, 208),
        horizontal_line(0, 0),
        horizontal_line(0, 19),
        horizontal_line(114, 118),
        horizontal_line(111, 120),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(99, 103),
        horizontal_line(60, 68),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(102, 104),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(212, 228),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(106, 117),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(44, 62),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(223, 228),
        horizontal_line(166, 228),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(44, 48),
        horizontal_line(113, 136),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(183, 227),
        horizontal_line(189, 227),
        horizontal_line(195, 227),
    };

    constexpr const horizontal_line frame_1257_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(117, 131),
        horizontal_line(119, 130),
    };

    constexpr const shape frame_1257_shape_group_8_shapes[] = {
        shape(frame_1257_shape_group_8_shape_0_horizontal_lines, 85, 1),
        shape(frame_1257_shape_group_8_shape_1_horizontal_lines, 87, 3),
        shape(frame_1257_shape_group_8_shape_2_horizontal_lines, 91, 1),
        shape(frame_1257_shape_group_8_shape_3_horizontal_lines, 99, 8),
        shape(frame_1257_shape_group_8_shape_4_horizontal_lines, 100, 1),
        shape(frame_1257_shape_group_8_shape_5_horizontal_lines, 102, 4),
        shape(frame_1257_shape_group_8_shape_6_horizontal_lines, 107, 1),
        shape(frame_1257_shape_group_8_shape_7_horizontal_lines, 109, 4),
        shape(frame_1257_shape_group_8_shape_8_horizontal_lines, 110, 2),
        shape(frame_1257_shape_group_8_shape_9_horizontal_lines, 111, 4),
        shape(frame_1257_shape_group_8_shape_10_horizontal_lines, 113, 2),
        shape(frame_1257_shape_group_8_shape_11_horizontal_lines, 115, 4),
        shape(frame_1257_shape_group_8_shape_12_horizontal_lines, 121, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(208, 211),
        horizontal_line(148, 191),
        horizontal_line(150, 171),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(45, 55),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(108, 122),
        horizontal_line(108, 124),
        horizontal_line(110, 126),
        horizontal_line(0, 40),
        horizontal_line(113, 113),
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(113, 125),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(43, 61),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(212, 228),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(99, 103),
        horizontal_line(44, 57),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(228, 228),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(114, 137),
    };

    constexpr const horizontal_line frame_1257_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(113, 135),
        horizontal_line(112, 135),
        horizontal_line(111, 134),
    };

    constexpr const shape frame_1257_shape_group_9_shapes[] = {
        shape(frame_1257_shape_group_9_shape_0_horizontal_lines, 91, 1),
        shape(frame_1257_shape_group_9_shape_1_horizontal_lines, 95, 3),
        shape(frame_1257_shape_group_9_shape_2_horizontal_lines, 96, 1),
        shape(frame_1257_shape_group_9_shape_3_horizontal_lines, 102, 4),
        shape(frame_1257_shape_group_9_shape_4_horizontal_lines, 106, 2),
        shape(frame_1257_shape_group_9_shape_5_horizontal_lines, 107, 4),
        shape(frame_1257_shape_group_9_shape_6_horizontal_lines, 110, 2),
        shape(frame_1257_shape_group_9_shape_7_horizontal_lines, 112, 4),
        shape(frame_1257_shape_group_9_shape_8_horizontal_lines, 113, 2),
        shape(frame_1257_shape_group_9_shape_9_horizontal_lines, 115, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(36, 44),
        horizontal_line(37, 47),
        horizontal_line(38, 50),
        horizontal_line(40, 53),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(50, 56),
        horizontal_line(55, 57),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(60, 63),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(69, 71),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(151, 213),
        horizontal_line(213, 228),
        horizontal_line(213, 228),
        horizontal_line(212, 228),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(70, 73),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(212, 228),
        horizontal_line(212, 228),
    };

    constexpr const horizontal_line frame_1257_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(43, 61),
        horizontal_line(116, 128),
        horizontal_line(100, 102),
        horizontal_line(44, 53),
    };

    constexpr const shape frame_1257_shape_group_10_shapes[] = {
        shape(frame_1257_shape_group_10_shape_0_horizontal_lines, 91, 3),
        shape(frame_1257_shape_group_10_shape_1_horizontal_lines, 95, 4),
        shape(frame_1257_shape_group_10_shape_2_horizontal_lines, 96, 3),
        shape(frame_1257_shape_group_10_shape_3_horizontal_lines, 98, 4),
        shape(frame_1257_shape_group_10_shape_4_horizontal_lines, 99, 1),
        shape(frame_1257_shape_group_10_shape_5_horizontal_lines, 100, 3),
        shape(frame_1257_shape_group_10_shape_6_horizontal_lines, 102, 4),
        shape(frame_1257_shape_group_10_shape_7_horizontal_lines, 106, 2),
        shape(frame_1257_shape_group_10_shape_8_horizontal_lines, 107, 4),
        shape(frame_1257_shape_group_10_shape_9_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(212, 229),
        horizontal_line(192, 229),
        horizontal_line(172, 229),
        horizontal_line(153, 215),
        horizontal_line(214, 229),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(214, 229),
    };

    constexpr const horizontal_line frame_1257_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_1257_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(114, 125),
        horizontal_line(113, 125),
        horizontal_line(213, 228),
    };

    constexpr const horizontal_line frame_1257_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(42, 60),
        horizontal_line(42, 60),
        horizontal_line(42, 60),
        horizontal_line(78, 79),
        horizontal_line(43, 61),
        horizontal_line(43, 61),
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1257_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(115, 133),
        horizontal_line(101, 101),
    };

    constexpr const shape frame_1257_shape_group_11_shapes[] = {
        shape(frame_1257_shape_group_11_shape_0_horizontal_lines, 91, 4),
        shape(frame_1257_shape_group_11_shape_1_horizontal_lines, 99, 1),
        shape(frame_1257_shape_group_11_shape_2_horizontal_lines, 100, 4),
        shape(frame_1257_shape_group_11_shape_3_horizontal_lines, 103, 2),
        shape(frame_1257_shape_group_11_shape_4_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(215, 229),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(40, 44),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(214, 229),
        horizontal_line(214, 229),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(41, 59),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(111, 120),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(151, 213),
        horizontal_line(151, 213),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(42, 60),
        horizontal_line(69, 73),
        horizontal_line(70, 73),
        horizontal_line(70, 73),
        horizontal_line(95, 97),
        horizontal_line(70, 74),
        horizontal_line(93, 95),
        horizontal_line(98, 104),
    };

    constexpr const horizontal_line frame_1257_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(115, 138),
    };

    constexpr const shape frame_1257_shape_group_12_shapes[] = {
        shape(frame_1257_shape_group_12_shape_0_horizontal_lines, 94, 4),
        shape(frame_1257_shape_group_12_shape_1_horizontal_lines, 95, 2),
        shape(frame_1257_shape_group_12_shape_2_horizontal_lines, 96, 4),
        shape(frame_1257_shape_group_12_shape_3_horizontal_lines, 98, 2),
        shape(frame_1257_shape_group_12_shape_4_horizontal_lines, 99, 1),
        shape(frame_1257_shape_group_12_shape_5_horizontal_lines, 100, 4),
        shape(frame_1257_shape_group_12_shape_6_horizontal_lines, 102, 2),
        shape(frame_1257_shape_group_12_shape_7_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(40, 49),
        horizontal_line(40, 54),
    };

    constexpr const horizontal_line frame_1257_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(67, 69),
    };

    constexpr const horizontal_line frame_1257_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(213, 229),
        horizontal_line(213, 229),
    };

    constexpr const horizontal_line frame_1257_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(69, 73),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(101, 101),
        horizontal_line(94, 96),
        horizontal_line(99, 105),
        horizontal_line(117, 123),
    };

    constexpr const shape frame_1257_shape_group_13_shapes[] = {
        shape(frame_1257_shape_group_13_shape_0_horizontal_lines, 96, 2),
        shape(frame_1257_shape_group_13_shape_1_horizontal_lines, 99, 3),
        shape(frame_1257_shape_group_13_shape_2_horizontal_lines, 100, 4),
        shape(frame_1257_shape_group_13_shape_3_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_1257_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(41, 59),
        horizontal_line(41, 59),
    };

    constexpr const horizontal_line frame_1257_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(81, 86),
        horizontal_line(82, 96),
        horizontal_line(80, 85),
        horizontal_line(79, 88),
        horizontal_line(80, 89),
    };

    constexpr const horizontal_line frame_1257_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(118, 118),
    };

    constexpr const shape frame_1257_shape_group_14_shapes[] = {
        shape(frame_1257_shape_group_14_shape_0_horizontal_lines, 99, 4),
        shape(frame_1257_shape_group_14_shape_1_horizontal_lines, 100, 2),
        shape(frame_1257_shape_group_14_shape_2_horizontal_lines, 102, 7),
        shape(frame_1257_shape_group_14_shape_3_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1257_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_1257_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1257_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(69, 70),
    };

    constexpr const horizontal_line frame_1257_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_1257_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_1257_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(94, 95),
        horizontal_line(95, 95),
        horizontal_line(92, 94),
        horizontal_line(84, 88),
        horizontal_line(91, 92),
    };

    constexpr const shape frame_1257_shape_group_15_shapes[] = {
        shape(frame_1257_shape_group_15_shape_0_horizontal_lines, 99, 4),
        shape(frame_1257_shape_group_15_shape_1_horizontal_lines, 100, 7),
        shape(frame_1257_shape_group_15_shape_2_horizontal_lines, 101, 2),
        shape(frame_1257_shape_group_15_shape_3_horizontal_lines, 102, 7),
        shape(frame_1257_shape_group_15_shape_4_horizontal_lines, 103, 12),
        shape(frame_1257_shape_group_15_shape_5_horizontal_lines, 104, 7),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(214, 229),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(87, 93),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_4_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_5_horizontal_lines[] = {
        horizontal_line(86, 93),
        horizontal_line(91, 94),
        horizontal_line(90, 91),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_6_horizontal_lines[] = {
        horizontal_line(91, 93),
    };

    constexpr const horizontal_line frame_1257_shape_group_16_shape_7_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const shape frame_1257_shape_group_16_shapes[] = {
        shape(frame_1257_shape_group_16_shape_0_horizontal_lines, 99, 4),
        shape(frame_1257_shape_group_16_shape_1_horizontal_lines, 100, 10),
        shape(frame_1257_shape_group_16_shape_2_horizontal_lines, 101, 7),
        shape(frame_1257_shape_group_16_shape_3_horizontal_lines, 102, 10),
        shape(frame_1257_shape_group_16_shape_4_horizontal_lines, 103, 13),
        shape(frame_1257_shape_group_16_shape_5_horizontal_lines, 104, 12),
        shape(frame_1257_shape_group_16_shape_6_horizontal_lines, 107, 7),
        shape(frame_1257_shape_group_16_shape_7_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_1257_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(41, 59),
    };

    constexpr const horizontal_line frame_1257_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(81, 89),
    };

    constexpr const horizontal_line frame_1257_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(77, 80),
    };

    constexpr const horizontal_line frame_1257_shape_group_17_shape_3_horizontal_lines[] = {
        horizontal_line(79, 79),
        horizontal_line(89, 90),
    };

    constexpr const horizontal_line frame_1257_shape_group_17_shape_4_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const shape frame_1257_shape_group_17_shapes[] = {
        shape(frame_1257_shape_group_17_shape_0_horizontal_lines, 99, 2),
        shape(frame_1257_shape_group_17_shape_1_horizontal_lines, 101, 10),
        shape(frame_1257_shape_group_17_shape_2_horizontal_lines, 102, 12),
        shape(frame_1257_shape_group_17_shape_3_horizontal_lines, 104, 13),
        shape(frame_1257_shape_group_17_shape_4_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_1257_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const horizontal_line frame_1257_shape_group_18_shape_1_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1257_shape_group_18_shape_2_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const shape frame_1257_shape_group_18_shapes[] = {
        shape(frame_1257_shape_group_18_shape_0_horizontal_lines, 101, 12),
        shape(frame_1257_shape_group_18_shape_1_horizontal_lines, 104, 11),
        shape(frame_1257_shape_group_18_shape_2_horizontal_lines, 105, 6),
    };

    constexpr const shape_group frame_1257_shape_groups[] = {
        shape_group(frame_1257_shape_group_0_shapes),
        shape_group(frame_1257_shape_group_1_shapes),
        shape_group(frame_1257_shape_group_2_shapes),
        shape_group(frame_1257_shape_group_3_shapes),
        shape_group(frame_1257_shape_group_4_shapes),
        shape_group(frame_1257_shape_group_5_shapes),
        shape_group(frame_1257_shape_group_6_shapes),
        shape_group(frame_1257_shape_group_7_shapes),
        shape_group(frame_1257_shape_group_8_shapes),
        shape_group(frame_1257_shape_group_9_shapes),
        shape_group(frame_1257_shape_group_10_shapes),
        shape_group(frame_1257_shape_group_11_shapes),
        shape_group(frame_1257_shape_group_12_shapes),
        shape_group(frame_1257_shape_group_13_shapes),
        shape_group(frame_1257_shape_group_14_shapes),
        shape_group(frame_1257_shape_group_15_shapes),
        shape_group(frame_1257_shape_group_16_shapes),
        shape_group(frame_1257_shape_group_17_shapes),
        shape_group(frame_1257_shape_group_18_shapes),
    };

    constexpr const frame frame_1257_impl(frame_1257_colors, frame_1257_shape_groups);
} 

const frame& frame_1257()
{
    return frame_1257_impl;
}

namespace
{
    constexpr const bn::color frame_1258_colors[] = {
        bn::color(4, 8, 12),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(0, 0, 0),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 4, 8),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1258_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(1, 2),
        horizontal_line(2, 5),
        horizontal_line(3, 8),
        horizontal_line(4, 12),
        horizontal_line(5, 15),
        horizontal_line(6, 18),
        horizontal_line(7, 22),
        horizontal_line(8, 25),
        horizontal_line(9, 28),
        horizontal_line(10, 32),
        horizontal_line(11, 35),
        horizontal_line(12, 38),
        horizontal_line(13, 41),
        horizontal_line(14, 45),
        horizontal_line(15, 48),
        horizontal_line(16, 51),
        horizontal_line(16, 55),
        horizontal_line(17, 58),
        horizontal_line(18, 61),
        horizontal_line(19, 65),
        horizontal_line(20, 68),
        horizontal_line(21, 71),
        horizontal_line(22, 74),
        horizontal_line(23, 78),
        horizontal_line(24, 81),
        horizontal_line(25, 84),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(68, 130),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(91, 153),
        horizontal_line(95, 157),
        horizontal_line(100, 162),
        horizontal_line(104, 166),
        horizontal_line(108, 170),
        horizontal_line(113, 169),
        horizontal_line(117, 164),
        horizontal_line(122, 159),
        horizontal_line(126, 154),
        horizontal_line(72, 74),
        horizontal_line(73, 79),
        horizontal_line(74, 84),
        horizontal_line(74, 88),
        horizontal_line(75, 93),
        horizontal_line(76, 98),
        horizontal_line(77, 102),
        horizontal_line(80, 107),
        horizontal_line(85, 112),
        horizontal_line(89, 117),
        horizontal_line(94, 115),
        horizontal_line(80, 83),
        horizontal_line(80, 89),
        horizontal_line(81, 94),
        horizontal_line(86, 100),
        horizontal_line(92, 99),
        horizontal_line(98, 98),
        horizontal_line(97, 98),
        horizontal_line(96, 100),
        horizontal_line(98, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(112, 112),
        horizontal_line(110, 125),
        horizontal_line(109, 122),
        horizontal_line(114, 120),
        horizontal_line(153, 153),
        horizontal_line(150, 157),
        horizontal_line(147, 162),
        horizontal_line(144, 167),
        horizontal_line(143, 172),
        horizontal_line(146, 176),
        horizontal_line(149, 181),
        horizontal_line(152, 186),
        horizontal_line(155, 191),
        horizontal_line(158, 196),
        horizontal_line(161, 200),
        horizontal_line(164, 205),
        horizontal_line(167, 210),
        horizontal_line(171, 215),
        horizontal_line(174, 219),
        horizontal_line(177, 224),
        horizontal_line(180, 229),
        horizontal_line(183, 234),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 236),
        horizontal_line(214, 234),
        horizontal_line(217, 232),
        horizontal_line(220, 230),
        horizontal_line(223, 228),
    };

    constexpr const horizontal_line frame_1258_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1258_shape_group_0_shapes[] = {
        shape(frame_1258_shape_group_0_shape_0_horizontal_lines, 5, 14),
        shape(frame_1258_shape_group_0_shape_1_horizontal_lines, 141, 9),
    };

    constexpr const horizontal_line frame_1258_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(89, 91),
        horizontal_line(90, 94),
        horizontal_line(91, 98),
        horizontal_line(92, 101),
        horizontal_line(93, 104),
        horizontal_line(93, 108),
        horizontal_line(94, 111),
        horizontal_line(95, 114),
        horizontal_line(96, 117),
        horizontal_line(97, 121),
        horizontal_line(98, 124),
        horizontal_line(99, 127),
        horizontal_line(100, 131),
        horizontal_line(101, 134),
        horizontal_line(102, 137),
        horizontal_line(103, 141),
        horizontal_line(104, 144),
        horizontal_line(105, 147),
        horizontal_line(106, 150),
        horizontal_line(107, 154),
        horizontal_line(108, 157),
        horizontal_line(108, 160),
        horizontal_line(109, 164),
        horizontal_line(110, 167),
        horizontal_line(111, 170),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(114, 176),
        horizontal_line(115, 177),
        horizontal_line(116, 178),
        horizontal_line(117, 179),
        horizontal_line(118, 180),
        horizontal_line(119, 181),
        horizontal_line(120, 182),
        horizontal_line(121, 183),
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(225, 239),
        horizontal_line(130, 192),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(131, 149),
        horizontal_line(135, 144),
        horizontal_line(140, 140),
        horizontal_line(137, 140),
        horizontal_line(134, 142),
        horizontal_line(131, 144),
        horizontal_line(128, 145),
        horizontal_line(125, 147),
        horizontal_line(122, 149),
        horizontal_line(119, 150),
        horizontal_line(120, 152),
        horizontal_line(98, 113),
        horizontal_line(103, 110),
        horizontal_line(108, 108),
        horizontal_line(102, 109),
        horizontal_line(102, 111),
        horizontal_line(104, 113),
        horizontal_line(106, 113),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(126, 153),
        horizontal_line(127, 153),
        horizontal_line(136, 153),
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_1258_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(68, 86),
        horizontal_line(74, 91),
        horizontal_line(81, 97),
        horizontal_line(87, 103),
        horizontal_line(93, 105),
        horizontal_line(100, 107),
        horizontal_line(106, 109),
    };

    constexpr const horizontal_line frame_1258_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(41, 103),
    };

    constexpr const horizontal_line frame_1258_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(38, 47),
        horizontal_line(36, 55),
        horizontal_line(33, 62),
        horizontal_line(31, 70),
        horizontal_line(28, 77),
        horizontal_line(26, 85),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1258_shape_group_1_shapes[] = {
        shape(frame_1258_shape_group_1_shape_0_horizontal_lines, 31, 14),
        shape(frame_1258_shape_group_1_shape_1_horizontal_lines, 110, 9),
        shape(frame_1258_shape_group_1_shape_2_horizontal_lines, 118, 8),
        shape(frame_1258_shape_group_1_shape_3_horizontal_lines, 119, 9),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(175, 177),
        horizontal_line(176, 180),
        horizontal_line(177, 183),
        horizontal_line(178, 187),
        horizontal_line(179, 190),
        horizontal_line(180, 193),
        horizontal_line(181, 197),
        horizontal_line(182, 200),
        horizontal_line(183, 203),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(192, 239),
        horizontal_line(135, 197),
        horizontal_line(139, 201),
        horizontal_line(144, 203),
        horizontal_line(148, 198),
        horizontal_line(153, 193),
        horizontal_line(157, 188),
        horizontal_line(162, 183),
        horizontal_line(166, 179),
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(6, 26),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(25, 25),
        horizontal_line(56, 62),
        horizontal_line(56, 63),
        horizontal_line(55, 65),
        horizontal_line(55, 67),
        horizontal_line(54, 66),
        horizontal_line(54, 66),
        horizontal_line(53, 65),
        horizontal_line(53, 65),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(122, 154),
        horizontal_line(124, 154),
        horizontal_line(126, 154),
        horizontal_line(128, 154),
        horizontal_line(127, 154),
        horizontal_line(127, 154),
        horizontal_line(127, 154),
        horizontal_line(127, 154),
        horizontal_line(126, 153),
        horizontal_line(126, 153),
        horizontal_line(126, 153),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(75, 81),
        horizontal_line(81, 86),
        horizontal_line(66, 74),
        horizontal_line(93, 95),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(59, 67),
        horizontal_line(56, 73),
        horizontal_line(54, 80),
        horizontal_line(51, 86),
        horizontal_line(48, 92),
        horizontal_line(46, 99),
        horizontal_line(43, 105),
        horizontal_line(103, 112),
        horizontal_line(48, 110),
        horizontal_line(56, 115),
        horizontal_line(63, 116),
        horizontal_line(71, 118),
        horizontal_line(78, 119),
        horizontal_line(86, 121),
    };

    constexpr const horizontal_line frame_1258_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(85, 92),
        horizontal_line(83, 100),
        horizontal_line(80, 107),
        horizontal_line(78, 115),
        horizontal_line(75, 122),
        horizontal_line(73, 130),
        horizontal_line(70, 131),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 147),
        horizontal_line(124, 148),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 152),
        horizontal_line(124, 153),
        horizontal_line(124, 154),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 165),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
    };

    constexpr const shape frame_1258_shape_group_2_shapes[] = {
        shape(frame_1258_shape_group_2_shape_0_horizontal_lines, 50, 9),
        shape(frame_1258_shape_group_2_shape_1_horizontal_lines, 57, 14),
        shape(frame_1258_shape_group_2_shape_2_horizontal_lines, 80, 9),
        shape(frame_1258_shape_group_2_shape_3_horizontal_lines, 84, 14),
        shape(frame_1258_shape_group_2_shape_4_horizontal_lines, 86, 9),
        shape(frame_1258_shape_group_2_shape_5_horizontal_lines, 95, 14),
        shape(frame_1258_shape_group_2_shape_6_horizontal_lines, 106, 1),
        shape(frame_1258_shape_group_2_shape_7_horizontal_lines, 107, 9),
        shape(frame_1258_shape_group_2_shape_8_horizontal_lines, 111, 8),
        shape(frame_1258_shape_group_2_shape_9_horizontal_lines, 125, 9),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(184, 207),
        horizontal_line(185, 210),
        horizontal_line(188, 213),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(197, 213),
        horizontal_line(201, 208),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(51, 68),
        horizontal_line(53, 69),
        horizontal_line(54, 70),
        horizontal_line(56, 71),
        horizontal_line(12, 26),
        horizontal_line(18, 25),
        horizontal_line(57, 60),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(69, 76),
        horizontal_line(70, 77),
        horizontal_line(71, 78),
        horizontal_line(73, 79),
        horizontal_line(55, 65),
        horizontal_line(58, 64),
        horizontal_line(61, 64),
        horizontal_line(64, 64),
        horizontal_line(71, 74),
        horizontal_line(72, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(61, 68),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(82, 83),
        horizontal_line(70, 80),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(87, 90),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(81, 92),
        horizontal_line(87, 98),
        horizontal_line(92, 99),
        horizontal_line(98, 101),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(93, 122),
        horizontal_line(101, 124),
        horizontal_line(108, 125),
        horizontal_line(116, 127),
        horizontal_line(123, 128),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(127, 133),
        horizontal_line(125, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 143),
    };

    constexpr const horizontal_line frame_1258_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 220),
        horizontal_line(161, 219),
        horizontal_line(162, 219),
        horizontal_line(163, 218),
        horizontal_line(165, 218),
        horizontal_line(166, 217),
        horizontal_line(167, 217),
        horizontal_line(169, 217),
    };

    constexpr const shape frame_1258_shape_group_3_shapes[] = {
        shape(frame_1258_shape_group_3_shape_0_horizontal_lines, 57, 9),
        shape(frame_1258_shape_group_3_shape_1_horizontal_lines, 67, 14),
        shape(frame_1258_shape_group_3_shape_2_horizontal_lines, 70, 9),
        shape(frame_1258_shape_group_3_shape_3_horizontal_lines, 71, 14),
        shape(frame_1258_shape_group_3_shape_4_horizontal_lines, 73, 9),
        shape(frame_1258_shape_group_3_shape_5_horizontal_lines, 87, 8),
        shape(frame_1258_shape_group_3_shape_6_horizontal_lines, 91, 9),
        shape(frame_1258_shape_group_3_shape_7_horizontal_lines, 102, 1),
        shape(frame_1258_shape_group_3_shape_8_horizontal_lines, 107, 8),
        shape(frame_1258_shape_group_3_shape_9_horizontal_lines, 109, 9),
        shape(frame_1258_shape_group_3_shape_10_horizontal_lines, 110, 8),
        shape(frame_1258_shape_group_3_shape_11_horizontal_lines, 114, 1),
        shape(frame_1258_shape_group_3_shape_12_horizontal_lines, 117, 8),
        shape(frame_1258_shape_group_3_shape_13_horizontal_lines, 118, 1),
        shape(frame_1258_shape_group_3_shape_14_horizontal_lines, 119, 8),
        shape(frame_1258_shape_group_3_shape_15_horizontal_lines, 120, 1),
        shape(frame_1258_shape_group_3_shape_16_horizontal_lines, 125, 8),
        shape(frame_1258_shape_group_3_shape_17_horizontal_lines, 130, 1),
        shape(frame_1258_shape_group_3_shape_18_horizontal_lines, 132, 9),
        shape(frame_1258_shape_group_3_shape_19_horizontal_lines, 141, 1),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 60),
        horizontal_line(36, 61),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(41, 63),
        horizontal_line(42, 64),
        horizontal_line(44, 65),
        horizontal_line(45, 65),
        horizontal_line(47, 66),
        horizontal_line(48, 67),
        horizontal_line(50, 68),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(29, 50),
        horizontal_line(28, 52),
        horizontal_line(28, 53),
        horizontal_line(0, 5),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(57, 58),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(28, 55),
        horizontal_line(31, 55),
        horizontal_line(35, 54),
        horizontal_line(38, 54),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(1, 34),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 73),
        horizontal_line(71, 74),
        horizontal_line(71, 81),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(65, 66),
        horizontal_line(72, 73),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(60, 68),
        horizontal_line(60, 68),
        horizontal_line(60, 68),
        horizontal_line(60, 68),
        horizontal_line(74, 77),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(87, 88),
        horizontal_line(75, 86),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(104, 114),
        horizontal_line(106, 113),
        horizontal_line(108, 112),
        horizontal_line(0, 39),
        horizontal_line(139, 154),
        horizontal_line(0, 37),
        horizontal_line(137, 160),
        horizontal_line(136, 163),
        horizontal_line(136, 166),
        horizontal_line(135, 170),
        horizontal_line(134, 173),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(131, 191),
        horizontal_line(132, 194),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(144, 206),
        horizontal_line(207, 225),
        horizontal_line(208, 224),
        horizontal_line(210, 224),
        horizontal_line(211, 223),
        horizontal_line(212, 223),
        horizontal_line(213, 222),
        horizontal_line(215, 222),
        horizontal_line(216, 221),
        horizontal_line(217, 221),
        horizontal_line(219, 221),
        horizontal_line(220, 220),
    };

    constexpr const horizontal_line frame_1258_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_1258_shape_group_4_shapes[] = {
        shape(frame_1258_shape_group_4_shape_0_horizontal_lines, 67, 9),
        shape(frame_1258_shape_group_4_shape_1_horizontal_lines, 80, 8),
        shape(frame_1258_shape_group_4_shape_2_horizontal_lines, 85, 9),
        shape(frame_1258_shape_group_4_shape_3_horizontal_lines, 86, 8),
        shape(frame_1258_shape_group_4_shape_4_horizontal_lines, 95, 9),
        shape(frame_1258_shape_group_4_shape_5_horizontal_lines, 99, 8),
        shape(frame_1258_shape_group_4_shape_6_horizontal_lines, 102, 1),
        shape(frame_1258_shape_group_4_shape_7_horizontal_lines, 108, 8),
        shape(frame_1258_shape_group_4_shape_8_horizontal_lines, 110, 1),
        shape(frame_1258_shape_group_4_shape_9_horizontal_lines, 152, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(34, 35),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(38, 62),
        horizontal_line(39, 62),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(32, 40),
        horizontal_line(32, 41),
        horizontal_line(31, 43),
        horizontal_line(31, 44),
        horizontal_line(30, 46),
        horizontal_line(30, 47),
        horizontal_line(29, 49),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(170, 231),
        horizontal_line(165, 227),
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(27, 55),
        horizontal_line(27, 57),
        horizontal_line(0, 17),
        horizontal_line(26, 56),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(41, 53),
        horizontal_line(45, 53),
        horizontal_line(48, 52),
        horizontal_line(52, 52),
        horizontal_line(54, 54),
        horizontal_line(56, 57),
        horizontal_line(57, 60),
        horizontal_line(59, 63),
        horizontal_line(70, 70),
        horizontal_line(71, 71),
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(73, 76),
        horizontal_line(73, 76),
        horizontal_line(73, 76),
        horizontal_line(74, 76),
        horizontal_line(98, 100),
        horizontal_line(61, 68),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(91, 93),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(105, 117),
        horizontal_line(104, 116),
        horizontal_line(103, 115),
        horizontal_line(142, 142),
        horizontal_line(141, 145),
        horizontal_line(140, 148),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(138, 157),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(206, 239),
        horizontal_line(211, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(133, 176),
        horizontal_line(133, 179),
        horizontal_line(132, 182),
        horizontal_line(131, 185),
        horizontal_line(130, 188),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(136, 198),
        horizontal_line(199, 207),
        horizontal_line(200, 210),
        horizontal_line(202, 213),
        horizontal_line(203, 216),
        horizontal_line(204, 219),
        horizontal_line(206, 222),
    };

    constexpr const horizontal_line frame_1258_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(226, 226),
        horizontal_line(225, 228),
        horizontal_line(225, 231),
        horizontal_line(224, 233),
        horizontal_line(224, 236),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_1258_shape_group_5_shapes[] = {
        shape(frame_1258_shape_group_5_shape_0_horizontal_lines, 70, 8),
        shape(frame_1258_shape_group_5_shape_1_horizontal_lines, 71, 9),
        shape(frame_1258_shape_group_5_shape_2_horizontal_lines, 73, 8),
        shape(frame_1258_shape_group_5_shape_3_horizontal_lines, 80, 1),
        shape(frame_1258_shape_group_5_shape_4_horizontal_lines, 83, 8),
        shape(frame_1258_shape_group_5_shape_5_horizontal_lines, 87, 1),
        shape(frame_1258_shape_group_5_shape_6_horizontal_lines, 91, 8),
        shape(frame_1258_shape_group_5_shape_7_horizontal_lines, 102, 1),
        shape(frame_1258_shape_group_5_shape_8_horizontal_lines, 109, 8),
        shape(frame_1258_shape_group_5_shape_9_horizontal_lines, 110, 1),
        shape(frame_1258_shape_group_5_shape_10_horizontal_lines, 118, 4),
        shape(frame_1258_shape_group_5_shape_11_horizontal_lines, 119, 1),
        shape(frame_1258_shape_group_5_shape_12_horizontal_lines, 120, 4),
        shape(frame_1258_shape_group_5_shape_13_horizontal_lines, 125, 1),
        shape(frame_1258_shape_group_5_shape_14_horizontal_lines, 131, 1),
        shape(frame_1258_shape_group_5_shape_15_horizontal_lines, 141, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(33, 37),
        horizontal_line(33, 38),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(204, 221),
        horizontal_line(199, 222),
        horizontal_line(194, 224),
        horizontal_line(189, 225),
        horizontal_line(184, 226),
        horizontal_line(180, 228),
        horizontal_line(175, 229),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(227, 232),
        horizontal_line(222, 233),
        horizontal_line(155, 217),
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(26, 56),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(141, 203),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(67, 68),
        horizontal_line(67, 69),
        horizontal_line(66, 70),
        horizontal_line(66, 72),
        horizontal_line(66, 71),
        horizontal_line(65, 71),
        horizontal_line(65, 70),
        horizontal_line(65, 70),
        horizontal_line(75, 77),
        horizontal_line(75, 76),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(113, 125),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(61, 69),
        horizontal_line(0, 38),
        horizontal_line(106, 118),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(163, 225),
        horizontal_line(168, 230),
        horizontal_line(173, 235),
        horizontal_line(177, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(113, 138),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(116, 136),
        horizontal_line(117, 135),
        horizontal_line(119, 135),
        horizontal_line(120, 134),
        horizontal_line(122, 133),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_1258_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(195, 198),
        horizontal_line(196, 201),
        horizontal_line(198, 204),
    };

    constexpr const shape frame_1258_shape_group_6_shapes[] = {
        shape(frame_1258_shape_group_6_shape_0_horizontal_lines, 71, 8),
        shape(frame_1258_shape_group_6_shape_1_horizontal_lines, 73, 1),
        shape(frame_1258_shape_group_6_shape_2_horizontal_lines, 81, 1),
        shape(frame_1258_shape_group_6_shape_3_horizontal_lines, 85, 8),
        shape(frame_1258_shape_group_6_shape_4_horizontal_lines, 86, 1),
        shape(frame_1258_shape_group_6_shape_5_horizontal_lines, 91, 8),
        shape(frame_1258_shape_group_6_shape_6_horizontal_lines, 101, 1),
        shape(frame_1258_shape_group_6_shape_7_horizontal_lines, 103, 4),
        shape(frame_1258_shape_group_6_shape_8_horizontal_lines, 107, 1),
        shape(frame_1258_shape_group_6_shape_9_horizontal_lines, 111, 4),
        shape(frame_1258_shape_group_6_shape_10_horizontal_lines, 117, 1),
        shape(frame_1258_shape_group_6_shape_11_horizontal_lines, 118, 2),
        shape(frame_1258_shape_group_6_shape_12_horizontal_lines, 119, 4),
        shape(frame_1258_shape_group_6_shape_13_horizontal_lines, 120, 2),
        shape(frame_1258_shape_group_6_shape_14_horizontal_lines, 125, 4),
        shape(frame_1258_shape_group_6_shape_15_horizontal_lines, 128, 2),
        shape(frame_1258_shape_group_6_shape_16_horizontal_lines, 132, 1),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(214, 218),
        horizontal_line(209, 219),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(217, 235),
        horizontal_line(212, 236),
        horizontal_line(145, 207),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(27, 27),
        horizontal_line(28, 30),
        horizontal_line(29, 34),
        horizontal_line(30, 37),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(0, 0),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(59, 68),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(102, 104),
        horizontal_line(114, 125),
        horizontal_line(113, 125),
        horizontal_line(113, 125),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(96, 98),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(220, 239),
        horizontal_line(225, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(40, 45),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(114, 137),
    };

    constexpr const horizontal_line frame_1258_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(123, 132),
        horizontal_line(125, 132),
        horizontal_line(126, 131),
    };

    constexpr const shape frame_1258_shape_group_7_shapes[] = {
        shape(frame_1258_shape_group_7_shape_0_horizontal_lines, 71, 1),
        shape(frame_1258_shape_group_7_shape_1_horizontal_lines, 83, 1),
        shape(frame_1258_shape_group_7_shape_2_horizontal_lines, 87, 3),
        shape(frame_1258_shape_group_7_shape_3_horizontal_lines, 91, 1),
        shape(frame_1258_shape_group_7_shape_4_horizontal_lines, 102, 4),
        shape(frame_1258_shape_group_7_shape_5_horizontal_lines, 108, 1),
        shape(frame_1258_shape_group_7_shape_6_horizontal_lines, 110, 4),
        shape(frame_1258_shape_group_7_shape_7_horizontal_lines, 116, 2),
        shape(frame_1258_shape_group_7_shape_8_horizontal_lines, 117, 4),
        shape(frame_1258_shape_group_7_shape_9_horizontal_lines, 119, 2),
        shape(frame_1258_shape_group_7_shape_10_horizontal_lines, 125, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(207, 238),
    };

    constexpr const horizontal_line frame_1258_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(116, 119),
        horizontal_line(114, 121),
        horizontal_line(111, 123),
        horizontal_line(109, 125),
        horizontal_line(110, 127),
        horizontal_line(59, 61),
        horizontal_line(59, 64),
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_1258_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(114, 126),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(95, 98),
    };

    constexpr const horizontal_line frame_1258_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(39, 58),
        horizontal_line(39, 55),
        horizontal_line(40, 53),
        horizontal_line(40, 50),
        horizontal_line(40, 47),
        horizontal_line(113, 139),
        horizontal_line(40, 42),
    };

    constexpr const shape frame_1258_shape_group_8_shapes[] = {
        shape(frame_1258_shape_group_8_shape_0_horizontal_lines, 85, 1),
        shape(frame_1258_shape_group_8_shape_1_horizontal_lines, 91, 1),
        shape(frame_1258_shape_group_8_shape_2_horizontal_lines, 102, 4),
        shape(frame_1258_shape_group_8_shape_3_horizontal_lines, 108, 1),
        shape(frame_1258_shape_group_8_shape_4_horizontal_lines, 110, 4),
        shape(frame_1258_shape_group_8_shape_5_horizontal_lines, 111, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(32, 40),
        horizontal_line(33, 44),
        horizontal_line(34, 47),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(153, 197),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(44, 55),
        horizontal_line(51, 56),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(100, 101),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(38, 60),
        horizontal_line(39, 60),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(107, 113),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(39, 61),
        horizontal_line(99, 104),
        horizontal_line(100, 103),
        horizontal_line(102, 102),
        horizontal_line(115, 141),
        horizontal_line(114, 140),
    };

    constexpr const horizontal_line frame_1258_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(112, 138),
    };

    constexpr const shape frame_1258_shape_group_9_shapes[] = {
        shape(frame_1258_shape_group_9_shape_0_horizontal_lines, 91, 3),
        shape(frame_1258_shape_group_9_shape_1_horizontal_lines, 94, 1),
        shape(frame_1258_shape_group_9_shape_2_horizontal_lines, 96, 3),
        shape(frame_1258_shape_group_9_shape_3_horizontal_lines, 98, 4),
        shape(frame_1258_shape_group_9_shape_4_horizontal_lines, 99, 1),
        shape(frame_1258_shape_group_9_shape_5_horizontal_lines, 101, 3),
        shape(frame_1258_shape_group_9_shape_6_horizontal_lines, 102, 4),
        shape(frame_1258_shape_group_9_shape_7_horizontal_lines, 106, 2),
        shape(frame_1258_shape_group_9_shape_8_horizontal_lines, 108, 4),
        shape(frame_1258_shape_group_9_shape_9_horizontal_lines, 109, 1),
        shape(frame_1258_shape_group_9_shape_10_horizontal_lines, 110, 2),
        shape(frame_1258_shape_group_9_shape_11_horizontal_lines, 117, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(35, 51),
        horizontal_line(37, 53),
    };

    constexpr const horizontal_line frame_1258_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(112, 121),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_1258_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(114, 126),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(38, 59),
        horizontal_line(38, 59),
        horizontal_line(38, 59),
        horizontal_line(69, 73),
        horizontal_line(69, 74),
    };

    constexpr const horizontal_line frame_1258_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_1258_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(98, 105),
        horizontal_line(118, 124),
        horizontal_line(117, 130),
        horizontal_line(116, 136),
    };

    constexpr const shape frame_1258_shape_group_10_shapes[] = {
        shape(frame_1258_shape_group_10_shape_0_horizontal_lines, 94, 3),
        shape(frame_1258_shape_group_10_shape_1_horizontal_lines, 96, 4),
        shape(frame_1258_shape_group_10_shape_2_horizontal_lines, 99, 1),
        shape(frame_1258_shape_group_10_shape_3_horizontal_lines, 101, 4),
        shape(frame_1258_shape_group_10_shape_4_horizontal_lines, 103, 2),
        shape(frame_1258_shape_group_10_shape_5_horizontal_lines, 108, 4),
        shape(frame_1258_shape_group_10_shape_6_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(156, 218),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(37, 58),
    };

    constexpr const horizontal_line frame_1258_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(66, 69),
        horizontal_line(67, 70),
    };

    constexpr const horizontal_line frame_1258_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1258_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(38, 59),
        horizontal_line(69, 72),
        horizontal_line(69, 72),
        horizontal_line(69, 73),
        horizontal_line(78, 79),
        horizontal_line(94, 96),
        horizontal_line(39, 60),
    };

    constexpr const horizontal_line frame_1258_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(119, 119),
    };

    constexpr const shape frame_1258_shape_group_11_shapes[] = {
        shape(frame_1258_shape_group_11_shape_0_horizontal_lines, 94, 4),
        shape(frame_1258_shape_group_11_shape_1_horizontal_lines, 98, 2),
        shape(frame_1258_shape_group_11_shape_2_horizontal_lines, 99, 3),
        shape(frame_1258_shape_group_11_shape_3_horizontal_lines, 101, 4),
        shape(frame_1258_shape_group_11_shape_4_horizontal_lines, 102, 2),
        shape(frame_1258_shape_group_11_shape_5_horizontal_lines, 109, 4),
        shape(frame_1258_shape_group_11_shape_6_horizontal_lines, 110, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(37, 43),
        horizontal_line(37, 50),
    };

    constexpr const horizontal_line frame_1258_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(115, 126),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(77, 78),
        horizontal_line(95, 97),
        horizontal_line(100, 104),
        horizontal_line(93, 95),
        horizontal_line(39, 60),
    };

    constexpr const shape frame_1258_shape_group_12_shapes[] = {
        shape(frame_1258_shape_group_12_shape_0_horizontal_lines, 95, 4),
        shape(frame_1258_shape_group_12_shape_1_horizontal_lines, 96, 2),
        shape(frame_1258_shape_group_12_shape_2_horizontal_lines, 99, 4),
        shape(frame_1258_shape_group_12_shape_3_horizontal_lines, 102, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1258_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(38, 58),
    };

    constexpr const horizontal_line frame_1258_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(82, 94),
        horizontal_line(82, 82),
        horizontal_line(80, 85),
        horizontal_line(79, 88),
    };

    constexpr const horizontal_line frame_1258_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_1258_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(84, 89),
    };

    constexpr const horizontal_line frame_1258_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(99, 107),
        horizontal_line(94, 94),
    };

    constexpr const shape frame_1258_shape_group_13_shapes[] = {
        shape(frame_1258_shape_group_13_shape_0_horizontal_lines, 99, 4),
        shape(frame_1258_shape_group_13_shape_1_horizontal_lines, 101, 2),
        shape(frame_1258_shape_group_13_shape_2_horizontal_lines, 102, 7),
        shape(frame_1258_shape_group_13_shape_3_horizontal_lines, 106, 2),
        shape(frame_1258_shape_group_13_shape_4_horizontal_lines, 107, 7),
        shape(frame_1258_shape_group_13_shape_5_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1258_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1258_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(77, 80),
    };

    constexpr const horizontal_line frame_1258_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(86, 90),
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1258_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(91, 95),
    };

    constexpr const horizontal_line frame_1258_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(80, 90),
        horizontal_line(91, 93),
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_1258_shape_group_14_shape_6_horizontal_lines[] = {
        horizontal_line(99, 106),
    };

    constexpr const shape frame_1258_shape_group_14_shapes[] = {
        shape(frame_1258_shape_group_14_shape_0_horizontal_lines, 99, 4),
        shape(frame_1258_shape_group_14_shape_1_horizontal_lines, 101, 7),
        shape(frame_1258_shape_group_14_shape_2_horizontal_lines, 102, 12),
        shape(frame_1258_shape_group_14_shape_3_horizontal_lines, 103, 7),
        shape(frame_1258_shape_group_14_shape_4_horizontal_lines, 105, 12),
        shape(frame_1258_shape_group_14_shape_5_horizontal_lines, 106, 7),
        shape(frame_1258_shape_group_14_shape_6_horizontal_lines, 109, 2),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(37, 58),
        horizontal_line(37, 58),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(81, 90),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(94, 96),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(86, 94),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_5_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_6_horizontal_lines[] = {
        horizontal_line(92, 94),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_7_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const horizontal_line frame_1258_shape_group_15_shape_8_horizontal_lines[] = {
        horizontal_line(91, 92),
    };

    constexpr const shape frame_1258_shape_group_15_shapes[] = {
        shape(frame_1258_shape_group_15_shape_0_horizontal_lines, 99, 2),
        shape(frame_1258_shape_group_15_shape_1_horizontal_lines, 101, 10),
        shape(frame_1258_shape_group_15_shape_2_horizontal_lines, 102, 13),
        shape(frame_1258_shape_group_15_shape_3_horizontal_lines, 103, 7),
        shape(frame_1258_shape_group_15_shape_4_horizontal_lines, 104, 12),
        shape(frame_1258_shape_group_15_shape_5_horizontal_lines, 105, 13),
        shape(frame_1258_shape_group_15_shape_6_horizontal_lines, 106, 7),
        shape(frame_1258_shape_group_15_shape_7_horizontal_lines, 107, 12),
        shape(frame_1258_shape_group_15_shape_8_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_1258_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(78, 79),
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1258_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const horizontal_line frame_1258_shape_group_16_shape_2_horizontal_lines[] = {
        horizontal_line(83, 85),
    };

    constexpr const horizontal_line frame_1258_shape_group_16_shape_3_horizontal_lines[] = {
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_1258_shape_group_16_shape_4_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1258_shape_group_16_shape_5_horizontal_lines[] = {
        horizontal_line(91, 91),
    };

    constexpr const horizontal_line frame_1258_shape_group_16_shape_6_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const shape frame_1258_shape_group_16_shapes[] = {
        shape(frame_1258_shape_group_16_shape_0_horizontal_lines, 99, 7),
        shape(frame_1258_shape_group_16_shape_1_horizontal_lines, 101, 12),
        shape(frame_1258_shape_group_16_shape_2_horizontal_lines, 103, 12),
        shape(frame_1258_shape_group_16_shape_3_horizontal_lines, 104, 13),
        shape(frame_1258_shape_group_16_shape_4_horizontal_lines, 105, 11),
        shape(frame_1258_shape_group_16_shape_5_horizontal_lines, 106, 12),
        shape(frame_1258_shape_group_16_shape_6_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_1258_shape_group_17_shape_0_horizontal_lines[] = {
        horizontal_line(80, 83),
        horizontal_line(80, 87),
    };

    constexpr const horizontal_line frame_1258_shape_group_17_shape_1_horizontal_lines[] = {
        horizontal_line(91, 93),
    };

    constexpr const horizontal_line frame_1258_shape_group_17_shape_2_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const shape frame_1258_shape_group_17_shapes[] = {
        shape(frame_1258_shape_group_17_shape_0_horizontal_lines, 99, 10),
        shape(frame_1258_shape_group_17_shape_1_horizontal_lines, 103, 12),
        shape(frame_1258_shape_group_17_shape_2_horizontal_lines, 104, 11),
    };

    constexpr const horizontal_line frame_1258_shape_group_18_shape_0_horizontal_lines[] = {
        horizontal_line(79, 81),
    };

    constexpr const shape frame_1258_shape_group_18_shapes[] = {
        shape(frame_1258_shape_group_18_shape_0_horizontal_lines, 103, 13),
    };

    constexpr const horizontal_line frame_1258_shape_group_19_shape_0_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const shape frame_1258_shape_group_19_shapes[] = {
        shape(frame_1258_shape_group_19_shape_0_horizontal_lines, 103, 6),
    };

    constexpr const shape_group frame_1258_shape_groups[] = {
        shape_group(frame_1258_shape_group_0_shapes),
        shape_group(frame_1258_shape_group_1_shapes),
        shape_group(frame_1258_shape_group_2_shapes),
        shape_group(frame_1258_shape_group_3_shapes),
        shape_group(frame_1258_shape_group_4_shapes),
        shape_group(frame_1258_shape_group_5_shapes),
        shape_group(frame_1258_shape_group_6_shapes),
        shape_group(frame_1258_shape_group_7_shapes),
        shape_group(frame_1258_shape_group_8_shapes),
        shape_group(frame_1258_shape_group_9_shapes),
        shape_group(frame_1258_shape_group_10_shapes),
        shape_group(frame_1258_shape_group_11_shapes),
        shape_group(frame_1258_shape_group_12_shapes),
        shape_group(frame_1258_shape_group_13_shapes),
        shape_group(frame_1258_shape_group_14_shapes),
        shape_group(frame_1258_shape_group_15_shapes),
        shape_group(frame_1258_shape_group_16_shapes),
        shape_group(frame_1258_shape_group_17_shapes),
        shape_group(frame_1258_shape_group_18_shapes),
        shape_group(frame_1258_shape_group_19_shapes),
    };

    constexpr const frame frame_1258_impl(frame_1258_colors, frame_1258_shape_groups);
} 

const frame& frame_1258()
{
    return frame_1258_impl;
}

namespace
{
    constexpr const bn::color frame_1259_colors[] = {
        bn::color(0, 4, 8),
        bn::color(0, 0, 4),
        bn::color(28, 28, 0),
        bn::color(16, 20, 24),
        bn::color(4, 8, 12),
        bn::color(20, 4, 0),
        bn::color(16, 0, 0),
        bn::color(28, 12, 0),
        bn::color(12, 16, 20),
        bn::color(8, 12, 16),
        bn::color(24, 8, 0),
        bn::color(8, 0, 0),
        bn::color(28, 16, 0),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(8, 16, 8),
    };

    constexpr const horizontal_line frame_1259_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(51, 113),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(1, 43),
        horizontal_line(2, 44),
        horizontal_line(4, 45),
        horizontal_line(6, 46),
        horizontal_line(8, 47),
        horizontal_line(10, 48),
        horizontal_line(12, 49),
        horizontal_line(14, 50),
        horizontal_line(16, 51),
        horizontal_line(18, 52),
        horizontal_line(20, 53),
        horizontal_line(22, 54),
        horizontal_line(24, 55),
        horizontal_line(26, 56),
        horizontal_line(28, 58),
        horizontal_line(59, 61),
        horizontal_line(60, 65),
        horizontal_line(61, 70),
        horizontal_line(62, 74),
        horizontal_line(62, 79),
        horizontal_line(63, 83),
        horizontal_line(64, 87),
        horizontal_line(65, 92),
        horizontal_line(65, 96),
        horizontal_line(66, 101),
        horizontal_line(67, 105),
        horizontal_line(68, 110),
        horizontal_line(68, 114),
        horizontal_line(69, 118),
        horizontal_line(70, 123),
        horizontal_line(71, 127),
        horizontal_line(56, 70),
        horizontal_line(57, 71),
        horizontal_line(59, 72),
        horizontal_line(60, 72),
        horizontal_line(62, 73),
        horizontal_line(63, 74),
        horizontal_line(65, 75),
        horizontal_line(76, 78),
        horizontal_line(77, 83),
        horizontal_line(78, 88),
        horizontal_line(79, 92),
        horizontal_line(72, 78),
        horizontal_line(73, 79),
        horizontal_line(74, 80),
        horizontal_line(81, 85),
        horizontal_line(82, 91),
        horizontal_line(85, 97),
        horizontal_line(90, 96),
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1259_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1259_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(102, 112),
        horizontal_line(128, 128),
        horizontal_line(124, 133),
        horizontal_line(121, 139),
        horizontal_line(125, 145),
        horizontal_line(129, 151),
        horizontal_line(133, 156),
        horizontal_line(137, 151),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_1259_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(86, 106),
        horizontal_line(93, 107),
        horizontal_line(99, 109),
        horizontal_line(106, 110),
    };

    constexpr const horizontal_line frame_1259_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(37, 99),
    };

    constexpr const horizontal_line frame_1259_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(34, 43),
        horizontal_line(32, 50),
        horizontal_line(30, 58),
        horizontal_line(28, 65),
        horizontal_line(26, 73),
        horizontal_line(24, 80),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_1259_shape_group_0_shapes[] = {
        shape(frame_1259_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_1259_shape_group_0_shape_1_horizontal_lines, 103, 1),
        shape(frame_1259_shape_group_0_shape_2_horizontal_lines, 106, 4),
        shape(frame_1259_shape_group_0_shape_3_horizontal_lines, 116, 9),
        shape(frame_1259_shape_group_0_shape_4_horizontal_lines, 120, 8),
        shape(frame_1259_shape_group_0_shape_5_horizontal_lines, 122, 9),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(110, 172),
        horizontal_line(113, 175),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(79, 141),
        horizontal_line(82, 144),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(110, 172),
        horizontal_line(113, 175),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(74, 132),
        horizontal_line(78, 136),
        horizontal_line(83, 141),
        horizontal_line(87, 139),
        horizontal_line(92, 136),
        horizontal_line(96, 133),
        horizontal_line(101, 130),
        horizontal_line(105, 127),
        horizontal_line(110, 124),
        horizontal_line(114, 121),
        horizontal_line(119, 119),
        horizontal_line(82, 97),
        horizontal_line(87, 102),
        horizontal_line(91, 107),
        horizontal_line(96, 104),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(70, 73),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(57, 67),
        horizontal_line(58, 67),
        horizontal_line(58, 67),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(78, 83),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(79, 83),
        horizontal_line(84, 89),
        horizontal_line(66, 75),
        horizontal_line(63, 82),
        horizontal_line(60, 89),
        horizontal_line(66, 96),
        horizontal_line(73, 103),
        horizontal_line(79, 104),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(49, 85),
        horizontal_line(47, 92),
        horizontal_line(44, 98),
        horizontal_line(42, 104),
        horizontal_line(101, 112),
        horizontal_line(99, 113),
        horizontal_line(44, 106),
        horizontal_line(51, 113),
        horizontal_line(59, 118),
        horizontal_line(66, 119),
        horizontal_line(74, 121),
        horizontal_line(81, 122),
    };

    constexpr const horizontal_line frame_1259_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(84, 88),
        horizontal_line(82, 95),
        horizontal_line(79, 103),
        horizontal_line(77, 110),
        horizontal_line(75, 118),
        horizontal_line(73, 125),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_1259_shape_group_1_shapes[] = {
        shape(frame_1259_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_1259_shape_group_1_shape_1_horizontal_lines, 70, 9),
        shape(frame_1259_shape_group_1_shape_2_horizontal_lines, 84, 4),
        shape(frame_1259_shape_group_1_shape_3_horizontal_lines, 100, 9),
        shape(frame_1259_shape_group_1_shape_4_horizontal_lines, 102, 8),
        shape(frame_1259_shape_group_1_shape_5_horizontal_lines, 103, 1),
        shape(frame_1259_shape_group_1_shape_6_horizontal_lines, 107, 8),
        shape(frame_1259_shape_group_1_shape_7_horizontal_lines, 108, 9),
        shape(frame_1259_shape_group_1_shape_8_horizontal_lines, 116, 8),
        shape(frame_1259_shape_group_1_shape_9_horizontal_lines, 128, 9),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(151, 213),
        horizontal_line(154, 216),
        horizontal_line(157, 219),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 58),
        horizontal_line(0, 28),
        horizontal_line(33, 60),
        horizontal_line(34, 61),
        horizontal_line(36, 61),
        horizontal_line(38, 62),
        horizontal_line(39, 63),
        horizontal_line(41, 64),
        horizontal_line(43, 64),
        horizontal_line(44, 65),
        horizontal_line(46, 66),
        horizontal_line(47, 67),
        horizontal_line(49, 67),
        horizontal_line(51, 68),
        horizontal_line(52, 69),
        horizontal_line(54, 70),
        horizontal_line(0, 21),
        horizontal_line(6, 20),
        horizontal_line(13, 20),
        horizontal_line(20, 20),
        horizontal_line(54, 61),
        horizontal_line(54, 62),
        horizontal_line(53, 64),
        horizontal_line(53, 75),
        horizontal_line(52, 65),
        horizontal_line(52, 65),
        horizontal_line(52, 64),
        horizontal_line(54, 64),
        horizontal_line(57, 63),
        horizontal_line(60, 63),
        horizontal_line(63, 63),
        horizontal_line(70, 74),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(73, 75),
        horizontal_line(73, 75),
        horizontal_line(74, 76),
        horizontal_line(58, 67),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(72, 78),
        horizontal_line(69, 83),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(89, 95),
        horizontal_line(94, 96),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(90, 98),
        horizontal_line(57, 65),
        horizontal_line(54, 72),
        horizontal_line(52, 78),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(106, 115),
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(89, 124),
        horizontal_line(96, 125),
        horizontal_line(104, 127),
        horizontal_line(111, 128),
        horizontal_line(119, 130),
        horizontal_line(126, 131),
    };

    constexpr const horizontal_line frame_1259_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(131, 134),
        horizontal_line(129, 135),
        horizontal_line(127, 136),
        horizontal_line(125, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 144),
        horizontal_line(124, 145),
        horizontal_line(124, 146),
        horizontal_line(124, 147),
        horizontal_line(124, 149),
        horizontal_line(124, 150),
        horizontal_line(124, 151),
        horizontal_line(124, 152),
        horizontal_line(124, 154),
        horizontal_line(124, 155),
        horizontal_line(124, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 160),
        horizontal_line(124, 161),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
    };

    constexpr const shape frame_1259_shape_group_2_shapes[] = {
        shape(frame_1259_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_1259_shape_group_2_shape_1_horizontal_lines, 53, 9),
        shape(frame_1259_shape_group_2_shape_2_horizontal_lines, 100, 8),
        shape(frame_1259_shape_group_2_shape_3_horizontal_lines, 102, 1),
        shape(frame_1259_shape_group_2_shape_4_horizontal_lines, 108, 8),
        shape(frame_1259_shape_group_2_shape_5_horizontal_lines, 110, 9),
        shape(frame_1259_shape_group_2_shape_6_horizontal_lines, 112, 8),
        shape(frame_1259_shape_group_2_shape_7_horizontal_lines, 116, 1),
        shape(frame_1259_shape_group_2_shape_8_horizontal_lines, 119, 8),
        shape(frame_1259_shape_group_2_shape_9_horizontal_lines, 120, 1),
        shape(frame_1259_shape_group_2_shape_10_horizontal_lines, 122, 8),
        shape(frame_1259_shape_group_2_shape_11_horizontal_lines, 124, 1),
        shape(frame_1259_shape_group_2_shape_12_horizontal_lines, 128, 8),
        shape(frame_1259_shape_group_2_shape_13_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(31, 59),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(29, 32),
        horizontal_line(28, 33),
        horizontal_line(28, 35),
        horizontal_line(27, 37),
        horizontal_line(27, 38),
        horizontal_line(26, 40),
        horizontal_line(26, 42),
        horizontal_line(25, 43),
        horizontal_line(25, 45),
        horizontal_line(24, 46),
        horizontal_line(24, 48),
        horizontal_line(23, 50),
        horizontal_line(23, 51),
        horizontal_line(22, 53),
        horizontal_line(22, 55),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(55, 56),
        horizontal_line(55, 58),
        horizontal_line(54, 59),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(68, 76),
        horizontal_line(69, 77),
        horizontal_line(70, 78),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(71, 72),
        horizontal_line(71, 73),
        horizontal_line(70, 80),
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(69, 69),
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(57, 67),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(101, 105),
        horizontal_line(101, 105),
        horizontal_line(101, 104),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(74, 76),
        horizontal_line(58, 67),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(84, 88),
        horizontal_line(90, 93),
        horizontal_line(76, 88),
        horizontal_line(83, 93),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_1259_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(107, 114),
        horizontal_line(108, 113),
        horizontal_line(110, 112),
        horizontal_line(0, 35),
        horizontal_line(141, 155),
        horizontal_line(140, 158),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(139, 167),
        horizontal_line(138, 169),
        horizontal_line(137, 172),
        horizontal_line(137, 175),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(140, 202),
        horizontal_line(141, 203),
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(165, 227),
    };

    constexpr const shape frame_1259_shape_group_3_shapes[] = {
        shape(frame_1259_shape_group_3_shape_0_horizontal_lines, 0, 4),
        shape(frame_1259_shape_group_3_shape_1_horizontal_lines, 69, 9),
        shape(frame_1259_shape_group_3_shape_2_horizontal_lines, 70, 8),
        shape(frame_1259_shape_group_3_shape_3_horizontal_lines, 85, 9),
        shape(frame_1259_shape_group_3_shape_4_horizontal_lines, 88, 8),
        shape(frame_1259_shape_group_3_shape_5_horizontal_lines, 92, 9),
        shape(frame_1259_shape_group_3_shape_6_horizontal_lines, 95, 8),
        shape(frame_1259_shape_group_3_shape_7_horizontal_lines, 96, 9),
        shape(frame_1259_shape_group_3_shape_8_horizontal_lines, 100, 8),
        shape(frame_1259_shape_group_3_shape_9_horizontal_lines, 102, 1),
        shape(frame_1259_shape_group_3_shape_10_horizontal_lines, 103, 14),
        shape(frame_1259_shape_group_3_shape_11_horizontal_lines, 106, 1),
        shape(frame_1259_shape_group_3_shape_12_horizontal_lines, 108, 8),
        shape(frame_1259_shape_group_3_shape_13_horizontal_lines, 112, 1),
        shape(frame_1259_shape_group_3_shape_14_horizontal_lines, 113, 8),
        shape(frame_1259_shape_group_3_shape_15_horizontal_lines, 114, 1),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(29, 30),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(227, 239),
        horizontal_line(221, 239),
        horizontal_line(215, 239),
        horizontal_line(209, 239),
        horizontal_line(203, 239),
        horizontal_line(197, 239),
        horizontal_line(191, 239),
        horizontal_line(185, 239),
        horizontal_line(179, 239),
        horizontal_line(173, 235),
        horizontal_line(167, 229),
        horizontal_line(161, 223),
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 12),
        horizontal_line(0, 19),
        horizontal_line(24, 53),
        horizontal_line(28, 53),
        horizontal_line(33, 52),
        horizontal_line(37, 52),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(53, 53),
        horizontal_line(0, 29),
        horizontal_line(55, 59),
        horizontal_line(56, 62),
        horizontal_line(57, 64),
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(73, 75),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(75, 77),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(104, 117),
        horizontal_line(0, 34),
        horizontal_line(104, 115),
        horizontal_line(105, 115),
        horizontal_line(144, 144),
        horizontal_line(143, 146),
        horizontal_line(142, 149),
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(140, 161),
        horizontal_line(139, 164),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(136, 178),
        horizontal_line(136, 181),
        horizontal_line(135, 184),
        horizontal_line(134, 187),
        horizontal_line(134, 190),
        horizontal_line(133, 192),
        horizontal_line(134, 195),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(202, 210),
        horizontal_line(203, 213),
        horizontal_line(204, 215),
        horizontal_line(205, 218),
        horizontal_line(207, 221),
        horizontal_line(208, 224),
        horizontal_line(209, 227),
        horizontal_line(210, 230),
        horizontal_line(212, 233),
        horizontal_line(213, 236),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_1259_shape_group_4_shapes[] = {
        shape(frame_1259_shape_group_4_shape_0_horizontal_lines, 69, 8),
        shape(frame_1259_shape_group_4_shape_1_horizontal_lines, 71, 1),
        shape(frame_1259_shape_group_4_shape_2_horizontal_lines, 85, 8),
        shape(frame_1259_shape_group_4_shape_3_horizontal_lines, 101, 1),
        shape(frame_1259_shape_group_4_shape_4_horizontal_lines, 103, 14),
        shape(frame_1259_shape_group_4_shape_5_horizontal_lines, 106, 1),
        shape(frame_1259_shape_group_4_shape_6_horizontal_lines, 120, 14),
        shape(frame_1259_shape_group_4_shape_7_horizontal_lines, 122, 1),
        shape(frame_1259_shape_group_4_shape_8_horizontal_lines, 124, 14),
        shape(frame_1259_shape_group_4_shape_9_horizontal_lines, 128, 1),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(229, 239),
        horizontal_line(223, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(21, 54),
        horizontal_line(21, 54),
        horizontal_line(21, 53),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(42, 51),
        horizontal_line(46, 51),
        horizontal_line(51, 51),
        horizontal_line(65, 71),
        horizontal_line(54, 56),
        horizontal_line(64, 70),
        horizontal_line(64, 69),
        horizontal_line(66, 69),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(57, 67),
        horizontal_line(101, 106),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(114, 127),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(97, 100),
        horizontal_line(59, 67),
        horizontal_line(59, 68),
        horizontal_line(59, 65),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(103, 116),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(167, 229),
        horizontal_line(171, 233),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(142, 152),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(36, 38),
        horizontal_line(114, 139),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(119, 138),
        horizontal_line(120, 137),
        horizontal_line(122, 136),
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(129, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_1259_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(197, 198),
        horizontal_line(198, 201),
        horizontal_line(199, 204),
        horizontal_line(200, 207),
    };

    constexpr const shape frame_1259_shape_group_5_shapes[] = {
        shape(frame_1259_shape_group_5_shape_0_horizontal_lines, 81, 1),
        shape(frame_1259_shape_group_5_shape_1_horizontal_lines, 85, 8),
        shape(frame_1259_shape_group_5_shape_2_horizontal_lines, 88, 1),
        shape(frame_1259_shape_group_5_shape_3_horizontal_lines, 92, 8),
        shape(frame_1259_shape_group_5_shape_4_horizontal_lines, 100, 1),
        shape(frame_1259_shape_group_5_shape_5_horizontal_lines, 103, 14),
        shape(frame_1259_shape_group_5_shape_6_horizontal_lines, 107, 1),
        shape(frame_1259_shape_group_5_shape_7_horizontal_lines, 112, 14),
        shape(frame_1259_shape_group_5_shape_8_horizontal_lines, 113, 1),
        shape(frame_1259_shape_group_5_shape_9_horizontal_lines, 114, 14),
        shape(frame_1259_shape_group_5_shape_10_horizontal_lines, 119, 1),
        shape(frame_1259_shape_group_5_shape_11_horizontal_lines, 120, 2),
        shape(frame_1259_shape_group_5_shape_12_horizontal_lines, 122, 14),
        shape(frame_1259_shape_group_5_shape_13_horizontal_lines, 124, 2),
        shape(frame_1259_shape_group_5_shape_14_horizontal_lines, 128, 14),
        shape(frame_1259_shape_group_5_shape_15_horizontal_lines, 131, 2),
        shape(frame_1259_shape_group_5_shape_16_horizontal_lines, 135, 1),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(149, 211),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(66, 67),
        horizontal_line(66, 68),
        horizontal_line(65, 69),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(64, 70),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(57, 61),
        horizontal_line(99, 104),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(114, 127),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(158, 220),
        horizontal_line(114, 127),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(96, 99),
        horizontal_line(95, 98),
        horizontal_line(96, 98),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(158, 220),
        horizontal_line(224, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(36, 43),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(113, 140),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(116, 139),
        horizontal_line(117, 138),
    };

    constexpr const horizontal_line frame_1259_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(125, 135),
        horizontal_line(126, 135),
        horizontal_line(128, 134),
    };

    constexpr const shape frame_1259_shape_group_6_shapes[] = {
        shape(frame_1259_shape_group_6_shape_0_horizontal_lines, 85, 1),
        shape(frame_1259_shape_group_6_shape_1_horizontal_lines, 92, 8),
        shape(frame_1259_shape_group_6_shape_2_horizontal_lines, 95, 1),
        shape(frame_1259_shape_group_6_shape_3_horizontal_lines, 96, 8),
        shape(frame_1259_shape_group_6_shape_4_horizontal_lines, 97, 1),
        shape(frame_1259_shape_group_6_shape_5_horizontal_lines, 99, 8),
        shape(frame_1259_shape_group_6_shape_6_horizontal_lines, 100, 1),
        shape(frame_1259_shape_group_6_shape_7_horizontal_lines, 102, 14),
        shape(frame_1259_shape_group_6_shape_8_horizontal_lines, 108, 1),
        shape(frame_1259_shape_group_6_shape_9_horizontal_lines, 112, 14),
        shape(frame_1259_shape_group_6_shape_10_horizontal_lines, 118, 2),
        shape(frame_1259_shape_group_6_shape_11_horizontal_lines, 119, 14),
        shape(frame_1259_shape_group_6_shape_12_horizontal_lines, 120, 2),
        shape(frame_1259_shape_group_6_shape_13_horizontal_lines, 122, 2),
        shape(frame_1259_shape_group_6_shape_14_horizontal_lines, 128, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(22, 23),
        horizontal_line(23, 27),
        horizontal_line(24, 32),
        horizontal_line(25, 36),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(155, 217),
        horizontal_line(157, 219),
        horizontal_line(112, 123),
        horizontal_line(109, 125),
        horizontal_line(109, 128),
        horizontal_line(0, 31),
        horizontal_line(99, 102),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(33, 56),
        horizontal_line(33, 57),
        horizontal_line(33, 57),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(107, 114),
        horizontal_line(106, 119),
        horizontal_line(105, 118),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(35, 59),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(35, 53),
        horizontal_line(35, 51),
        horizontal_line(35, 48),
        horizontal_line(36, 46),
        horizontal_line(113, 141),
        horizontal_line(36, 41),
    };

    constexpr const shape frame_1259_shape_group_7_shapes[] = {
        shape(frame_1259_shape_group_7_shape_0_horizontal_lines, 85, 1),
        shape(frame_1259_shape_group_7_shape_1_horizontal_lines, 88, 3),
        shape(frame_1259_shape_group_7_shape_2_horizontal_lines, 92, 1),
        shape(frame_1259_shape_group_7_shape_3_horizontal_lines, 102, 14),
        shape(frame_1259_shape_group_7_shape_4_horizontal_lines, 103, 2),
        shape(frame_1259_shape_group_7_shape_5_horizontal_lines, 106, 14),
        shape(frame_1259_shape_group_7_shape_6_horizontal_lines, 108, 1),
        shape(frame_1259_shape_group_7_shape_7_horizontal_lines, 112, 2),
        shape(frame_1259_shape_group_7_shape_8_horizontal_lines, 113, 14),
        shape(frame_1259_shape_group_7_shape_9_horizontal_lines, 114, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(32, 54),
        horizontal_line(44, 55),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(111, 124),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(68, 70),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(68, 73),
        horizontal_line(33, 57),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(99, 103),
        horizontal_line(35, 56),
        horizontal_line(116, 136),
        horizontal_line(116, 140),
        horizontal_line(115, 143),
        horizontal_line(114, 142),
    };

    constexpr const horizontal_line frame_1259_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(112, 141),
    };

    constexpr const shape frame_1259_shape_group_8_shapes[] = {
        shape(frame_1259_shape_group_8_shape_0_horizontal_lines, 92, 1),
        shape(frame_1259_shape_group_8_shape_1_horizontal_lines, 97, 3),
        shape(frame_1259_shape_group_8_shape_2_horizontal_lines, 99, 1),
        shape(frame_1259_shape_group_8_shape_3_horizontal_lines, 101, 3),
        shape(frame_1259_shape_group_8_shape_4_horizontal_lines, 102, 14),
        shape(frame_1259_shape_group_8_shape_5_horizontal_lines, 103, 2),
        shape(frame_1259_shape_group_8_shape_6_horizontal_lines, 107, 14),
        shape(frame_1259_shape_group_8_shape_7_horizontal_lines, 112, 2),
        shape(frame_1259_shape_group_8_shape_8_horizontal_lines, 119, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(26, 41),
        horizontal_line(27, 45),
        horizontal_line(28, 50),
        horizontal_line(29, 52),
        horizontal_line(30, 53),
    };

    constexpr const horizontal_line frame_1259_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_1259_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(65, 65),
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_1259_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(115, 127),
    };

    constexpr const horizontal_line frame_1259_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(33, 56),
        horizontal_line(76, 78),
        horizontal_line(76, 78),
        horizontal_line(77, 78),
        horizontal_line(68, 73),
        horizontal_line(34, 57),
    };

    constexpr const horizontal_line frame_1259_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(118, 128),
        horizontal_line(101, 102),
    };

    constexpr const shape frame_1259_shape_group_9_shapes[] = {
        shape(frame_1259_shape_group_9_shape_0_horizontal_lines, 92, 3),
        shape(frame_1259_shape_group_9_shape_1_horizontal_lines, 97, 14),
        shape(frame_1259_shape_group_9_shape_2_horizontal_lines, 99, 3),
        shape(frame_1259_shape_group_9_shape_3_horizontal_lines, 101, 14),
        shape(frame_1259_shape_group_9_shape_4_horizontal_lines, 102, 2),
        shape(frame_1259_shape_group_9_shape_5_horizontal_lines, 108, 14),
        shape(frame_1259_shape_group_9_shape_6_horizontal_lines, 112, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(125, 127),
        horizontal_line(120, 127),
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_1259_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(68, 72),
    };

    constexpr const horizontal_line frame_1259_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(80, 85),
        horizontal_line(79, 88),
    };

    constexpr const horizontal_line frame_1259_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(77, 78),
        horizontal_line(68, 74),
        horizontal_line(34, 58),
        horizontal_line(34, 58),
        horizontal_line(34, 58),
        horizontal_line(34, 58),
    };

    constexpr const horizontal_line frame_1259_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(117, 132),
    };

    constexpr const shape frame_1259_shape_group_10_shapes[] = {
        shape(frame_1259_shape_group_10_shape_0_horizontal_lines, 96, 14),
        shape(frame_1259_shape_group_10_shape_1_horizontal_lines, 102, 2),
        shape(frame_1259_shape_group_10_shape_2_horizontal_lines, 103, 7),
        shape(frame_1259_shape_group_10_shape_3_horizontal_lines, 106, 2),
        shape(frame_1259_shape_group_10_shape_4_horizontal_lines, 113, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(32, 43),
    };

    constexpr const horizontal_line frame_1259_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(82, 94),
        horizontal_line(86, 90),
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_1259_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(91, 95),
    };

    constexpr const horizontal_line frame_1259_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(95, 97),
        horizontal_line(94, 96),
        horizontal_line(68, 71),
        horizontal_line(94, 94),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
    };

    constexpr const shape frame_1259_shape_group_11_shapes[] = {
        shape(frame_1259_shape_group_11_shape_0_horizontal_lines, 96, 14),
        shape(frame_1259_shape_group_11_shape_1_horizontal_lines, 98, 2),
        shape(frame_1259_shape_group_11_shape_2_horizontal_lines, 99, 14),
        shape(frame_1259_shape_group_11_shape_3_horizontal_lines, 102, 7),
        shape(frame_1259_shape_group_11_shape_4_horizontal_lines, 105, 12),
        shape(frame_1259_shape_group_11_shape_5_horizontal_lines, 106, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(32, 56),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(77, 80),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(94, 96),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(86, 94),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(79, 90),
    };

    constexpr const horizontal_line frame_1259_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(93, 95),
        horizontal_line(99, 106),
        horizontal_line(120, 120),
        horizontal_line(119, 124),
    };

    constexpr const shape frame_1259_shape_group_12_shapes[] = {
        shape(frame_1259_shape_group_12_shape_0_horizontal_lines, 99, 14),
        shape(frame_1259_shape_group_12_shape_1_horizontal_lines, 101, 2),
        shape(frame_1259_shape_group_12_shape_2_horizontal_lines, 102, 12),
        shape(frame_1259_shape_group_12_shape_3_horizontal_lines, 103, 7),
        shape(frame_1259_shape_group_12_shape_4_horizontal_lines, 104, 12),
        shape(frame_1259_shape_group_12_shape_5_horizontal_lines, 105, 13),
        shape(frame_1259_shape_group_12_shape_6_horizontal_lines, 106, 7),
        shape(frame_1259_shape_group_12_shape_7_horizontal_lines, 107, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(32, 56),
        horizontal_line(32, 56),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(83, 85),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_6_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(84, 89),
    };

    constexpr const horizontal_line frame_1259_shape_group_13_shape_7_horizontal_lines[] = {
        horizontal_line(100, 107),
    };

    constexpr const shape frame_1259_shape_group_13_shapes[] = {
        shape(frame_1259_shape_group_13_shape_0_horizontal_lines, 99, 2),
        shape(frame_1259_shape_group_13_shape_1_horizontal_lines, 101, 7),
        shape(frame_1259_shape_group_13_shape_2_horizontal_lines, 102, 13),
        shape(frame_1259_shape_group_13_shape_3_horizontal_lines, 103, 12),
        shape(frame_1259_shape_group_13_shape_4_horizontal_lines, 104, 13),
        shape(frame_1259_shape_group_13_shape_5_horizontal_lines, 105, 11),
        shape(frame_1259_shape_group_13_shape_6_horizontal_lines, 106, 7),
        shape(frame_1259_shape_group_13_shape_7_horizontal_lines, 108, 2),
    };

    constexpr const horizontal_line frame_1259_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(77, 79),
    };

    constexpr const horizontal_line frame_1259_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(81, 89),
    };

    constexpr const horizontal_line frame_1259_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(91, 93),
    };

    constexpr const horizontal_line frame_1259_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_1259_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(91, 91),
    };

    constexpr const horizontal_line frame_1259_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(91, 93),
        horizontal_line(89, 89),
    };

    constexpr const shape frame_1259_shape_group_14_shapes[] = {
        shape(frame_1259_shape_group_14_shape_0_horizontal_lines, 100, 7),
        shape(frame_1259_shape_group_14_shape_1_horizontal_lines, 101, 10),
        shape(frame_1259_shape_group_14_shape_2_horizontal_lines, 103, 12),
        shape(frame_1259_shape_group_14_shape_3_horizontal_lines, 104, 11),
        shape(frame_1259_shape_group_14_shape_4_horizontal_lines, 106, 12),
        shape(frame_1259_shape_group_14_shape_5_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_1259_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_1259_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(80, 80),
    };

    constexpr const horizontal_line frame_1259_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(79, 81),
    };

    constexpr const horizontal_line frame_1259_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const horizontal_line frame_1259_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(91, 92),
    };

    constexpr const shape frame_1259_shape_group_15_shapes[] = {
        shape(frame_1259_shape_group_15_shape_0_horizontal_lines, 100, 10),
        shape(frame_1259_shape_group_15_shape_1_horizontal_lines, 101, 12),
        shape(frame_1259_shape_group_15_shape_2_horizontal_lines, 103, 13),
        shape(frame_1259_shape_group_15_shape_3_horizontal_lines, 107, 12),
        shape(frame_1259_shape_group_15_shape_4_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_1259_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_1259_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const shape frame_1259_shape_group_16_shapes[] = {
        shape(frame_1259_shape_group_16_shape_0_horizontal_lines, 103, 6),
        shape(frame_1259_shape_group_16_shape_1_horizontal_lines, 108, 12),
    };

    constexpr const shape_group frame_1259_shape_groups[] = {
        shape_group(frame_1259_shape_group_0_shapes),
        shape_group(frame_1259_shape_group_1_shapes),
        shape_group(frame_1259_shape_group_2_shapes),
        shape_group(frame_1259_shape_group_3_shapes),
        shape_group(frame_1259_shape_group_4_shapes),
        shape_group(frame_1259_shape_group_5_shapes),
        shape_group(frame_1259_shape_group_6_shapes),
        shape_group(frame_1259_shape_group_7_shapes),
        shape_group(frame_1259_shape_group_8_shapes),
        shape_group(frame_1259_shape_group_9_shapes),
        shape_group(frame_1259_shape_group_10_shapes),
        shape_group(frame_1259_shape_group_11_shapes),
        shape_group(frame_1259_shape_group_12_shapes),
        shape_group(frame_1259_shape_group_13_shapes),
        shape_group(frame_1259_shape_group_14_shapes),
        shape_group(frame_1259_shape_group_15_shapes),
        shape_group(frame_1259_shape_group_16_shapes),
    };

    constexpr const frame frame_1259_impl(frame_1259_colors, frame_1259_shape_groups);
} 

const frame& frame_1259()
{
    return frame_1259_impl;
}

