#include "frames_2_data.h"

#include "data.h"

namespace
{
    constexpr const bn::color frame_120_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_120_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 62),
        horizontal_line(0, 43),
        horizontal_line(0, 34),
        horizontal_line(0, 26),
        horizontal_line(0, 17),
        horizontal_line(0, 8),
        horizontal_line(0, 0),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 113),
        horizontal_line(55, 110),
        horizontal_line(55, 107),
        horizontal_line(55, 104),
        horizontal_line(55, 100),
        horizontal_line(55, 97),
        horizontal_line(55, 94),
        horizontal_line(55, 91),
        horizontal_line(55, 88),
        horizontal_line(55, 84),
        horizontal_line(56, 81),
        horizontal_line(56, 78),
        horizontal_line(56, 75),
        horizontal_line(56, 72),
        horizontal_line(56, 68),
        horizontal_line(56, 65),
        horizontal_line(56, 62),
        horizontal_line(56, 59),
    };

    constexpr const horizontal_line frame_120_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 53),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(74, 108),
        horizontal_line(74, 107),
        horizontal_line(75, 105),
        horizontal_line(76, 104),
        horizontal_line(77, 102),
        horizontal_line(78, 101),
        horizontal_line(78, 99),
        horizontal_line(79, 98),
        horizontal_line(80, 96),
        horizontal_line(81, 95),
        horizontal_line(82, 93),
        horizontal_line(82, 92),
        horizontal_line(83, 90),
        horizontal_line(84, 89),
        horizontal_line(85, 87),
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_120_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_120_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_120_shape_group_0_shapes[] = {
        shape(frame_120_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_120_shape_group_0_shape_1_horizontal_lines, 58, 2),
        shape(frame_120_shape_group_0_shape_2_horizontal_lines, 95, 3),
        shape(frame_120_shape_group_0_shape_3_horizontal_lines, 151, 1),
    };

    constexpr const horizontal_line frame_120_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(121, 129),
        horizontal_line(109, 120),
        horizontal_line(98, 120),
        horizontal_line(87, 120),
        horizontal_line(75, 120),
        horizontal_line(64, 120),
        horizontal_line(62, 120),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_120_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(62, 124),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 125),
        horizontal_line(65, 123),
        horizontal_line(66, 122),
        horizontal_line(67, 120),
        horizontal_line(68, 119),
        horizontal_line(69, 117),
        horizontal_line(69, 116),
        horizontal_line(70, 114),
        horizontal_line(71, 113),
        horizontal_line(72, 111),
        horizontal_line(73, 110),
    };

    constexpr const horizontal_line frame_120_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(87, 145),
        horizontal_line(88, 145),
        horizontal_line(90, 144),
        horizontal_line(91, 143),
        horizontal_line(93, 143),
        horizontal_line(94, 142),
        horizontal_line(96, 141),
        horizontal_line(97, 140),
        horizontal_line(99, 140),
        horizontal_line(101, 139),
        horizontal_line(102, 138),
        horizontal_line(104, 138),
        horizontal_line(105, 137),
        horizontal_line(107, 136),
        horizontal_line(108, 136),
        horizontal_line(110, 135),
        horizontal_line(111, 134),
        horizontal_line(113, 133),
        horizontal_line(115, 133),
        horizontal_line(116, 132),
        horizontal_line(118, 131),
        horizontal_line(119, 131),
        horizontal_line(121, 130),
        horizontal_line(122, 129),
        horizontal_line(124, 129),
        horizontal_line(125, 128),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_120_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
    };

    constexpr const shape frame_120_shape_group_1_shapes[] = {
        shape(frame_120_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_120_shape_group_1_shape_1_horizontal_lines, 40, 2),
        shape(frame_120_shape_group_1_shape_2_horizontal_lines, 79, 3),
        shape(frame_120_shape_group_1_shape_3_horizontal_lines, 122, 1),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(123, 129),
        horizontal_line(126, 129),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(52, 74),
        horizontal_line(52, 63),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(114, 121),
        horizontal_line(111, 121),
        horizontal_line(108, 122),
        horizontal_line(105, 123),
        horizontal_line(101, 123),
        horizontal_line(98, 124),
        horizontal_line(95, 125),
        horizontal_line(92, 125),
        horizontal_line(89, 126),
        horizontal_line(85, 126),
        horizontal_line(82, 127),
        horizontal_line(79, 128),
        horizontal_line(76, 128),
        horizontal_line(73, 129),
        horizontal_line(69, 130),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(60, 122),
        horizontal_line(124, 132),
        horizontal_line(119, 133),
        horizontal_line(120, 133),
        horizontal_line(121, 134),
        horizontal_line(122, 134),
        horizontal_line(123, 132),
        horizontal_line(123, 131),
        horizontal_line(124, 129),
        horizontal_line(125, 128),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(29, 64),
        horizontal_line(26, 64),
        horizontal_line(23, 65),
        horizontal_line(20, 66),
        horizontal_line(17, 67),
        horizontal_line(15, 68),
        horizontal_line(12, 68),
        horizontal_line(9, 69),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(109, 157),
        horizontal_line(108, 156),
        horizontal_line(106, 155),
        horizontal_line(105, 154),
        horizontal_line(103, 154),
        horizontal_line(102, 153),
        horizontal_line(100, 152),
        horizontal_line(99, 152),
        horizontal_line(97, 151),
        horizontal_line(96, 150),
        horizontal_line(94, 150),
        horizontal_line(93, 149),
        horizontal_line(91, 148),
        horizontal_line(90, 147),
        horizontal_line(88, 147),
        horizontal_line(87, 146),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(62, 109),
        horizontal_line(61, 110),
        horizontal_line(59, 112),
        horizontal_line(58, 114),
        horizontal_line(56, 115),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(106, 157),
        horizontal_line(129, 156),
        horizontal_line(129, 155),
        horizontal_line(130, 154),
        horizontal_line(130, 154),
        horizontal_line(131, 153),
        horizontal_line(131, 152),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(133, 150),
        horizontal_line(133, 149),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 147),
        horizontal_line(135, 146),
        horizontal_line(135, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 144),
        horizontal_line(137, 143),
        horizontal_line(137, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 141),
        horizontal_line(139, 140),
        horizontal_line(139, 139),
        horizontal_line(69, 104),
        horizontal_line(68, 103),
        horizontal_line(66, 102),
        horizontal_line(65, 101),
        horizontal_line(63, 100),
    };

    constexpr const horizontal_line frame_120_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(136, 151),
        horizontal_line(135, 153),
        horizontal_line(134, 156),
        horizontal_line(133, 158),
        horizontal_line(133, 161),
        horizontal_line(132, 163),
        horizontal_line(131, 166),
        horizontal_line(130, 168),
        horizontal_line(130, 171),
    };

    constexpr const shape frame_120_shape_group_2_shapes[] = {
        shape(frame_120_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_120_shape_group_2_shape_1_horizontal_lines, 19, 4),
        shape(frame_120_shape_group_2_shape_2_horizontal_lines, 22, 2),
        shape(frame_120_shape_group_2_shape_3_horizontal_lines, 25, 4),
        shape(frame_120_shape_group_2_shape_4_horizontal_lines, 31, 2),
        shape(frame_120_shape_group_2_shape_5_horizontal_lines, 68, 3),
        shape(frame_120_shape_group_2_shape_6_horizontal_lines, 110, 1),
        shape(frame_120_shape_group_2_shape_7_horizontal_lines, 151, 8),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(110, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(113, 120),
        horizontal_line(51, 108),
        horizontal_line(51, 97),
        horizontal_line(52, 86),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(156, 165),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(44, 52),
        horizontal_line(35, 52),
        horizontal_line(27, 52),
        horizontal_line(18, 52),
        horizontal_line(9, 52),
        horizontal_line(1, 52),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(117, 120),
        horizontal_line(125, 130),
        horizontal_line(128, 130),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(125, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(128, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 135),
        horizontal_line(130, 135),
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(125, 131),
        horizontal_line(122, 131),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(54, 56),
        horizontal_line(51, 57),
        horizontal_line(48, 58),
        horizontal_line(45, 59),
        horizontal_line(43, 60),
        horizontal_line(40, 60),
        horizontal_line(37, 61),
        horizontal_line(34, 62),
        horizontal_line(31, 63),
        horizontal_line(126, 143),
        horizontal_line(124, 144),
        horizontal_line(123, 145),
        horizontal_line(121, 147),
        horizontal_line(120, 148),
        horizontal_line(118, 149),
        horizontal_line(117, 151),
        horizontal_line(115, 152),
        horizontal_line(114, 153),
        horizontal_line(112, 155),
        horizontal_line(111, 156),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(86, 86),
        horizontal_line(84, 87),
        horizontal_line(82, 89),
        horizontal_line(81, 90),
        horizontal_line(79, 92),
        horizontal_line(78, 93),
        horizontal_line(76, 95),
        horizontal_line(75, 96),
        horizontal_line(73, 98),
        horizontal_line(72, 100),
        horizontal_line(70, 101),
        horizontal_line(69, 103),
        horizontal_line(67, 104),
        horizontal_line(66, 106),
        horizontal_line(64, 107),
        horizontal_line(136, 166),
        horizontal_line(135, 165),
        horizontal_line(134, 164),
        horizontal_line(134, 163),
        horizontal_line(133, 163),
        horizontal_line(132, 162),
        horizontal_line(132, 161),
        horizontal_line(131, 160),
        horizontal_line(130, 160),
        horizontal_line(130, 159),
        horizontal_line(129, 158),
        horizontal_line(128, 157),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(105, 127),
        horizontal_line(103, 126),
        horizontal_line(101, 125),
        horizontal_line(100, 124),
        horizontal_line(98, 123),
        horizontal_line(97, 122),
        horizontal_line(95, 121),
        horizontal_line(94, 120),
        horizontal_line(92, 119),
        horizontal_line(91, 118),
        horizontal_line(89, 117),
        horizontal_line(88, 116),
        horizontal_line(86, 115),
        horizontal_line(85, 114),
        horizontal_line(83, 113),
        horizontal_line(81, 112),
        horizontal_line(80, 111),
        horizontal_line(78, 110),
        horizontal_line(77, 109),
        horizontal_line(75, 108),
        horizontal_line(74, 107),
        horizontal_line(72, 106),
        horizontal_line(71, 105),
    };

    constexpr const horizontal_line frame_120_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(138, 143),
        horizontal_line(137, 146),
        horizontal_line(136, 148),
    };

    constexpr const shape frame_120_shape_group_3_shapes[] = {
        shape(frame_120_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_120_shape_group_3_shape_1_horizontal_lines, 24, 8),
        shape(frame_120_shape_group_3_shape_2_horizontal_lines, 25, 2),
        shape(frame_120_shape_group_3_shape_3_horizontal_lines, 43, 3),
        shape(frame_120_shape_group_3_shape_4_horizontal_lines, 55, 2),
        shape(frame_120_shape_group_3_shape_5_horizontal_lines, 58, 3),
        shape(frame_120_shape_group_3_shape_6_horizontal_lines, 95, 1),
        shape(frame_120_shape_group_3_shape_7_horizontal_lines, 123, 1),
        shape(frame_120_shape_group_3_shape_8_horizontal_lines, 147, 8),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 133),
        horizontal_line(129, 131),
        horizontal_line(129, 130),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(129, 154),
        horizontal_line(129, 152),
        horizontal_line(129, 150),
        horizontal_line(129, 149),
        horizontal_line(129, 147),
        horizontal_line(129, 145),
        horizontal_line(129, 143),
        horizontal_line(130, 141),
        horizontal_line(130, 140),
        horizontal_line(130, 138),
        horizontal_line(130, 136),
        horizontal_line(130, 134),
        horizontal_line(130, 132),
        horizontal_line(130, 131),
        horizontal_line(165, 171),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 125),
        horizontal_line(121, 129),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(161, 165),
        horizontal_line(159, 165),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(138, 165),
        horizontal_line(136, 165),
        horizontal_line(133, 165),
        horizontal_line(131, 165),
        horizontal_line(131, 165),
        horizontal_line(131, 165),
        horizontal_line(131, 165),
        horizontal_line(131, 165),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(122, 130),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(122, 124),
        horizontal_line(122, 127),
        horizontal_line(123, 130),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(133, 165),
        horizontal_line(134, 165),
        horizontal_line(134, 165),
        horizontal_line(134, 165),
        horizontal_line(135, 165),
        horizontal_line(135, 165),
        horizontal_line(136, 165),
        horizontal_line(136, 165),
        horizontal_line(136, 166),
        horizontal_line(137, 157),
        horizontal_line(137, 147),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 137),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(137, 148),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(134, 136),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(133, 136),
        horizontal_line(132, 137),
        horizontal_line(130, 139),
        horizontal_line(129, 140),
        horizontal_line(127, 141),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(144, 158),
        horizontal_line(145, 158),
        horizontal_line(146, 157),
        horizontal_line(148, 157),
        horizontal_line(149, 157),
        horizontal_line(150, 157),
        horizontal_line(152, 157),
        horizontal_line(153, 157),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(68, 70),
        horizontal_line(65, 71),
        horizontal_line(63, 72),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(157, 159),
        horizontal_line(156, 160),
        horizontal_line(155, 161),
        horizontal_line(155, 162),
        horizontal_line(154, 163),
        horizontal_line(153, 164),
        horizontal_line(153, 165),
        horizontal_line(152, 166),
        horizontal_line(151, 167),
        horizontal_line(151, 168),
        horizontal_line(150, 169),
        horizontal_line(149, 170),
        horizontal_line(148, 171),
        horizontal_line(148, 172),
        horizontal_line(147, 173),
        horizontal_line(146, 174),
        horizontal_line(146, 175),
        horizontal_line(145, 176),
        horizontal_line(144, 175),
        horizontal_line(144, 174),
        horizontal_line(143, 173),
        horizontal_line(142, 172),
        horizontal_line(141, 172),
        horizontal_line(141, 171),
        horizontal_line(140, 170),
        horizontal_line(139, 169),
        horizontal_line(139, 169),
        horizontal_line(138, 168),
        horizontal_line(137, 167),
        horizontal_line(137, 166),
    };

    constexpr const horizontal_line frame_120_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(115, 118),
        horizontal_line(114, 120),
        horizontal_line(112, 121),
        horizontal_line(111, 123),
        horizontal_line(109, 124),
        horizontal_line(108, 126),
    };

    constexpr const shape frame_120_shape_group_4_shapes[] = {
        shape(frame_120_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_120_shape_group_4_shape_1_horizontal_lines, 4, 1),
        shape(frame_120_shape_group_4_shape_2_horizontal_lines, 19, 2),
        shape(frame_120_shape_group_4_shape_3_horizontal_lines, 22, 8),
        shape(frame_120_shape_group_4_shape_4_horizontal_lines, 25, 2),
        shape(frame_120_shape_group_4_shape_5_horizontal_lines, 31, 8),
        shape(frame_120_shape_group_4_shape_6_horizontal_lines, 39, 2),
        shape(frame_120_shape_group_4_shape_7_horizontal_lines, 40, 3),
        shape(frame_120_shape_group_4_shape_8_horizontal_lines, 43, 8),
        shape(frame_120_shape_group_4_shape_9_horizontal_lines, 55, 3),
        shape(frame_120_shape_group_4_shape_10_horizontal_lines, 58, 1),
        shape(frame_120_shape_group_4_shape_11_horizontal_lines, 59, 3),
        shape(frame_120_shape_group_4_shape_12_horizontal_lines, 68, 1),
        shape(frame_120_shape_group_4_shape_13_horizontal_lines, 76, 3),
        shape(frame_120_shape_group_4_shape_14_horizontal_lines, 79, 1),
        shape(frame_120_shape_group_4_shape_15_horizontal_lines, 115, 1),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(131, 158),
        horizontal_line(130, 156),
        horizontal_line(160, 206),
        horizontal_line(161, 204),
        horizontal_line(161, 201),
        horizontal_line(161, 199),
        horizontal_line(162, 196),
        horizontal_line(162, 194),
        horizontal_line(162, 191),
        horizontal_line(163, 188),
        horizontal_line(163, 186),
        horizontal_line(163, 183),
        horizontal_line(164, 181),
        horizontal_line(164, 178),
        horizontal_line(164, 176),
        horizontal_line(165, 173),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(164, 165),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(154, 165),
        horizontal_line(151, 165),
        horizontal_line(149, 165),
        horizontal_line(146, 165),
        horizontal_line(143, 165),
        horizontal_line(141, 165),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(132, 165),
        horizontal_line(132, 165),
        horizontal_line(133, 165),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(166, 189),
        horizontal_line(165, 213),
        horizontal_line(164, 211),
        horizontal_line(164, 210),
        horizontal_line(163, 208),
        horizontal_line(162, 207),
        horizontal_line(162, 205),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(137, 159),
        horizontal_line(136, 158),
        horizontal_line(136, 158),
        horizontal_line(136, 158),
        horizontal_line(137, 158),
        horizontal_line(138, 158),
        horizontal_line(140, 158),
        horizontal_line(141, 158),
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(187, 200),
        horizontal_line(184, 202),
        horizontal_line(180, 204),
        horizontal_line(177, 205),
        horizontal_line(174, 207),
        horizontal_line(171, 208),
        horizontal_line(168, 210),
        horizontal_line(168, 212),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(154, 157),
        horizontal_line(156, 157),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_120_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(169, 218),
        horizontal_line(170, 220),
        horizontal_line(170, 221),
        horizontal_line(170, 223),
        horizontal_line(171, 225),
        horizontal_line(171, 226),
        horizontal_line(171, 228),
        horizontal_line(172, 229),
        horizontal_line(172, 231),
        horizontal_line(172, 233),
        horizontal_line(173, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
    };

    constexpr const shape frame_120_shape_group_5_shapes[] = {
        shape(frame_120_shape_group_5_shape_0_horizontal_lines, 0, 3),
        shape(frame_120_shape_group_5_shape_1_horizontal_lines, 1, 1),
        shape(frame_120_shape_group_5_shape_2_horizontal_lines, 18, 8),
        shape(frame_120_shape_group_5_shape_3_horizontal_lines, 19, 1),
        shape(frame_120_shape_group_5_shape_4_horizontal_lines, 21, 8),
        shape(frame_120_shape_group_5_shape_5_horizontal_lines, 25, 8),
        shape(frame_120_shape_group_5_shape_6_horizontal_lines, 39, 3),
        shape(frame_120_shape_group_5_shape_7_horizontal_lines, 40, 8),
        shape(frame_120_shape_group_5_shape_8_horizontal_lines, 59, 1),
        shape(frame_120_shape_group_5_shape_9_horizontal_lines, 68, 8),
        shape(frame_120_shape_group_5_shape_10_horizontal_lines, 76, 1),
        shape(frame_120_shape_group_5_shape_11_horizontal_lines, 79, 8),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(134, 160),
        horizontal_line(194, 214),
        horizontal_line(160, 211),
        horizontal_line(160, 209),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(132, 165),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(220, 239),
        horizontal_line(225, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(167, 204),
        horizontal_line(172, 203),
        horizontal_line(177, 201),
        horizontal_line(182, 200),
        horizontal_line(187, 198),
        horizontal_line(192, 197),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(193, 197),
        horizontal_line(190, 199),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(168, 213),
        horizontal_line(169, 215),
        horizontal_line(169, 217),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(235, 236),
        horizontal_line(235, 238),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 238),
    };

    constexpr const shape frame_120_shape_group_6_shapes[] = {
        shape(frame_120_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_120_shape_group_6_shape_1_horizontal_lines, 4, 8),
        shape(frame_120_shape_group_6_shape_2_horizontal_lines, 19, 8),
        shape(frame_120_shape_group_6_shape_3_horizontal_lines, 25, 8),
        shape(frame_120_shape_group_6_shape_4_horizontal_lines, 39, 8),
        shape(frame_120_shape_group_6_shape_5_horizontal_lines, 52, 8),
        shape(frame_120_shape_group_6_shape_6_horizontal_lines, 58, 9),
        shape(frame_120_shape_group_6_shape_7_horizontal_lines, 59, 8),
        shape(frame_120_shape_group_6_shape_8_horizontal_lines, 65, 9),
        shape(frame_120_shape_group_6_shape_9_horizontal_lines, 66, 8),
        shape(frame_120_shape_group_6_shape_10_horizontal_lines, 68, 9),
        shape(frame_120_shape_group_6_shape_11_horizontal_lines, 76, 8),
        shape(frame_120_shape_group_6_shape_12_horizontal_lines, 79, 9),
        shape(frame_120_shape_group_6_shape_13_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_120_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(162, 217),
    };

    constexpr const horizontal_line frame_120_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(158, 165),
        horizontal_line(148, 164),
        horizontal_line(139, 163),
        horizontal_line(137, 163),
        horizontal_line(137, 162),
        horizontal_line(138, 161),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_120_shape_group_7_shapes[] = {
        shape(frame_120_shape_group_7_shape_0_horizontal_lines, 0, 1),
        shape(frame_120_shape_group_7_shape_1_horizontal_lines, 1, 8),
        shape(frame_120_shape_group_7_shape_2_horizontal_lines, 39, 8),
        shape(frame_120_shape_group_7_shape_3_horizontal_lines, 52, 9),
        shape(frame_120_shape_group_7_shape_4_horizontal_lines, 66, 9),
        shape(frame_120_shape_group_7_shape_5_horizontal_lines, 76, 9),
        shape(frame_120_shape_group_7_shape_6_horizontal_lines, 90, 9),
    };

    constexpr const horizontal_line frame_120_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_120_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(214, 214),
        horizontal_line(212, 219),
        horizontal_line(211, 224),
        horizontal_line(209, 229),
        horizontal_line(208, 234),
    };

    constexpr const shape frame_120_shape_group_8_shapes[] = {
        shape(frame_120_shape_group_8_shape_0_horizontal_lines, 0, 8),
        shape(frame_120_shape_group_8_shape_1_horizontal_lines, 53, 9),
    };

    constexpr const shape_group frame_120_shape_groups[] = {
        shape_group(frame_120_shape_group_0_shapes),
        shape_group(frame_120_shape_group_1_shapes),
        shape_group(frame_120_shape_group_2_shapes),
        shape_group(frame_120_shape_group_3_shapes),
        shape_group(frame_120_shape_group_4_shapes),
        shape_group(frame_120_shape_group_5_shapes),
        shape_group(frame_120_shape_group_6_shapes),
        shape_group(frame_120_shape_group_7_shapes),
        shape_group(frame_120_shape_group_8_shapes),
    };

    constexpr const frame frame_120_impl(frame_120_colors, frame_120_shape_groups);
} 

const frame& frame_120()
{
    return frame_120_impl;
}

namespace
{
    constexpr const bn::color frame_121_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_121_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(107, 123),
        horizontal_line(99, 106),
        horizontal_line(91, 106),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(13, 72),
        horizontal_line(13, 69),
        horizontal_line(13, 66),
        horizontal_line(14, 63),
        horizontal_line(14, 59),
        horizontal_line(15, 56),
        horizontal_line(15, 53),
        horizontal_line(15, 50),
        horizontal_line(16, 47),
        horizontal_line(16, 44),
        horizontal_line(17, 41),
        horizontal_line(17, 37),
        horizontal_line(17, 34),
        horizontal_line(18, 31),
        horizontal_line(18, 28),
        horizontal_line(19, 25),
        horizontal_line(19, 22),
    };

    constexpr const horizontal_line frame_121_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(121, 127),
        horizontal_line(17, 19),
        horizontal_line(14, 20),
        horizontal_line(11, 21),
        horizontal_line(9, 22),
        horizontal_line(6, 23),
        horizontal_line(3, 24),
        horizontal_line(1, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(83, 99),
        horizontal_line(84, 98),
        horizontal_line(85, 97),
        horizontal_line(86, 96),
        horizontal_line(87, 95),
        horizontal_line(88, 94),
        horizontal_line(89, 94),
    };

    constexpr const shape frame_121_shape_group_0_shapes[] = {
        shape(frame_121_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_121_shape_group_0_shape_1_horizontal_lines, 78, 3),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(122, 129),
        horizontal_line(122, 127),
        horizontal_line(122, 125),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(128, 137),
        horizontal_line(128, 136),
        horizontal_line(128, 135),
        horizontal_line(128, 133),
        horizontal_line(128, 132),
        horizontal_line(127, 131),
        horizontal_line(127, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(127, 127),
        horizontal_line(125, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(115, 123),
        horizontal_line(124, 124),
        horizontal_line(83, 106),
        horizontal_line(75, 106),
        horizontal_line(67, 106),
        horizontal_line(59, 106),
        horizontal_line(52, 106),
        horizontal_line(44, 106),
        horizontal_line(36, 98),
        horizontal_line(28, 90),
        horizontal_line(20, 82),
        horizontal_line(12, 74),
        horizontal_line(5, 67),
        horizontal_line(67, 106),
        horizontal_line(67, 106),
        horizontal_line(68, 106),
        horizontal_line(68, 106),
        horizontal_line(69, 106),
        horizontal_line(69, 106),
        horizontal_line(69, 106),
        horizontal_line(70, 106),
        horizontal_line(70, 107),
        horizontal_line(71, 103),
        horizontal_line(71, 100),
        horizontal_line(71, 97),
        horizontal_line(72, 94),
        horizontal_line(72, 91),
        horizontal_line(73, 88),
        horizontal_line(73, 85),
        horizontal_line(73, 81),
        horizontal_line(74, 78),
        horizontal_line(74, 75),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(115, 128),
        horizontal_line(116, 129),
        horizontal_line(117, 131),
        horizontal_line(117, 132),
        horizontal_line(118, 134),
        horizontal_line(119, 136),
        horizontal_line(119, 141),
        horizontal_line(120, 130),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(122, 128),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(124, 126),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(128, 154),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(118, 129),
        horizontal_line(116, 131),
        horizontal_line(115, 132),
        horizontal_line(113, 133),
        horizontal_line(111, 134),
        horizontal_line(110, 135),
        horizontal_line(108, 137),
        horizontal_line(107, 138),
        horizontal_line(105, 139),
        horizontal_line(103, 140),
        horizontal_line(102, 141),
        horizontal_line(100, 143),
        horizontal_line(98, 144),
        horizontal_line(97, 145),
        horizontal_line(95, 146),
        horizontal_line(94, 147),
        horizontal_line(92, 149),
        horizontal_line(90, 148),
        horizontal_line(89, 147),
        horizontal_line(87, 146),
        horizontal_line(85, 145),
        horizontal_line(84, 144),
        horizontal_line(82, 143),
        horizontal_line(81, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(62, 124),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(61, 121),
        horizontal_line(62, 121),
        horizontal_line(63, 120),
        horizontal_line(64, 119),
        horizontal_line(65, 118),
        horizontal_line(66, 117),
        horizontal_line(66, 116),
        horizontal_line(67, 115),
        horizontal_line(68, 114),
        horizontal_line(69, 114),
        horizontal_line(70, 113),
        horizontal_line(71, 112),
        horizontal_line(72, 111),
        horizontal_line(72, 110),
        horizontal_line(73, 109),
        horizontal_line(74, 108),
        horizontal_line(75, 107),
        horizontal_line(76, 107),
        horizontal_line(77, 106),
        horizontal_line(77, 105),
        horizontal_line(78, 104),
        horizontal_line(79, 103),
        horizontal_line(80, 102),
        horizontal_line(81, 101),
        horizontal_line(82, 100),
        horizontal_line(83, 100),
    };

    constexpr const horizontal_line frame_121_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_121_shape_group_1_shapes[] = {
        shape(frame_121_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_121_shape_group_1_shape_1_horizontal_lines, 5, 3),
        shape(frame_121_shape_group_1_shape_2_horizontal_lines, 28, 1),
        shape(frame_121_shape_group_1_shape_3_horizontal_lines, 29, 4),
        shape(frame_121_shape_group_1_shape_4_horizontal_lines, 61, 3),
        shape(frame_121_shape_group_1_shape_5_horizontal_lines, 78, 1),
        shape(frame_121_shape_group_1_shape_6_horizontal_lines, 79, 3),
        shape(frame_121_shape_group_1_shape_7_horizontal_lines, 153, 1),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(130, 143),
        horizontal_line(129, 141),
        horizontal_line(129, 140),
        horizontal_line(129, 139),
        horizontal_line(129, 138),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(137, 199),
        horizontal_line(136, 161),
        horizontal_line(134, 159),
        horizontal_line(133, 157),
        horizontal_line(132, 155),
        horizontal_line(131, 153),
        horizontal_line(130, 152),
        horizontal_line(129, 150),
        horizontal_line(128, 148),
        horizontal_line(126, 146),
        horizontal_line(126, 144),
        horizontal_line(126, 143),
        horizontal_line(126, 141),
        horizontal_line(126, 139),
        horizontal_line(126, 137),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 132),
        horizontal_line(125, 130),
        horizontal_line(125, 128),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(125, 163),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(98, 106),
        horizontal_line(90, 106),
        horizontal_line(82, 106),
        horizontal_line(74, 106),
        horizontal_line(67, 106),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 135),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(108, 114),
        horizontal_line(109, 123),
        horizontal_line(110, 124),
        horizontal_line(110, 124),
        horizontal_line(111, 125),
        horizontal_line(112, 125),
        horizontal_line(112, 126),
        horizontal_line(113, 126),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(193, 217),
        horizontal_line(201, 217),
        horizontal_line(209, 217),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(135, 137),
        horizontal_line(137, 199),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(161, 166),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(141, 147),
        horizontal_line(150, 152),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(130, 157),
        horizontal_line(129, 156),
        horizontal_line(128, 156),
        horizontal_line(128, 155),
        horizontal_line(127, 155),
        horizontal_line(126, 155),
        horizontal_line(126, 154),
        horizontal_line(127, 154),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(155, 199),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(129, 153),
        horizontal_line(130, 153),
        horizontal_line(132, 153),
        horizontal_line(133, 152),
        horizontal_line(134, 152),
        horizontal_line(135, 152),
        horizontal_line(136, 151),
        horizontal_line(138, 151),
        horizontal_line(139, 151),
        horizontal_line(140, 150),
        horizontal_line(141, 150),
        horizontal_line(142, 150),
        horizontal_line(144, 149),
        horizontal_line(145, 149),
        horizontal_line(146, 149),
        horizontal_line(147, 148),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(150, 165),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(149, 150),
        horizontal_line(148, 151),
        horizontal_line(147, 152),
        horizontal_line(146, 153),
        horizontal_line(145, 154),
        horizontal_line(144, 155),
        horizontal_line(143, 156),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_17_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(139, 141),
        horizontal_line(138, 140),
        horizontal_line(136, 139),
        horizontal_line(134, 138),
        horizontal_line(133, 137),
        horizontal_line(131, 136),
        horizontal_line(130, 135),
        horizontal_line(128, 135),
        horizontal_line(126, 134),
        horizontal_line(125, 133),
        horizontal_line(123, 132),
        horizontal_line(121, 131),
        horizontal_line(120, 130),
        horizontal_line(118, 129),
        horizontal_line(124, 128),
        horizontal_line(117, 128),
        horizontal_line(118, 127),
        horizontal_line(119, 126),
        horizontal_line(120, 125),
        horizontal_line(121, 124),
        horizontal_line(122, 123),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_121_shape_group_2_shape_18_horizontal_lines[] = {
        horizontal_line(42, 60),
        horizontal_line(41, 61),
        horizontal_line(39, 62),
        horizontal_line(37, 63),
        horizontal_line(36, 64),
        horizontal_line(34, 65),
        horizontal_line(32, 65),
        horizontal_line(31, 66),
        horizontal_line(29, 67),
        horizontal_line(27, 68),
        horizontal_line(26, 69),
        horizontal_line(24, 70),
        horizontal_line(22, 71),
        horizontal_line(21, 71),
        horizontal_line(19, 72),
        horizontal_line(17, 73),
        horizontal_line(16, 74),
        horizontal_line(14, 75),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(100, 137),
        horizontal_line(99, 136),
        horizontal_line(98, 135),
        horizontal_line(97, 134),
        horizontal_line(96, 133),
        horizontal_line(95, 132),
        horizontal_line(95, 132),
    };

    constexpr const shape frame_121_shape_group_2_shapes[] = {
        shape(frame_121_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_121_shape_group_2_shape_1_horizontal_lines, 6, 1),
        shape(frame_121_shape_group_2_shape_2_horizontal_lines, 28, 7),
        shape(frame_121_shape_group_2_shape_3_horizontal_lines, 29, 1),
        shape(frame_121_shape_group_2_shape_4_horizontal_lines, 36, 4),
        shape(frame_121_shape_group_2_shape_5_horizontal_lines, 42, 1),
        shape(frame_121_shape_group_2_shape_6_horizontal_lines, 43, 7),
        shape(frame_121_shape_group_2_shape_7_horizontal_lines, 51, 3),
        shape(frame_121_shape_group_2_shape_8_horizontal_lines, 61, 7),
        shape(frame_121_shape_group_2_shape_9_horizontal_lines, 65, 8),
        shape(frame_121_shape_group_2_shape_10_horizontal_lines, 67, 7),
        shape(frame_121_shape_group_2_shape_11_horizontal_lines, 68, 3),
        shape(frame_121_shape_group_2_shape_12_horizontal_lines, 70, 1),
        shape(frame_121_shape_group_2_shape_13_horizontal_lines, 78, 7),
        shape(frame_121_shape_group_2_shape_14_horizontal_lines, 79, 1),
        shape(frame_121_shape_group_2_shape_15_horizontal_lines, 96, 7),
        shape(frame_121_shape_group_2_shape_16_horizontal_lines, 97, 1),
        shape(frame_121_shape_group_2_shape_17_horizontal_lines, 104, 3),
        shape(frame_121_shape_group_2_shape_18_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(163, 171),
        horizontal_line(163, 169),
        horizontal_line(163, 168),
        horizontal_line(163, 166),
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(138, 162),
        horizontal_line(199, 221),
        horizontal_line(163, 219),
        horizontal_line(163, 216),
        horizontal_line(163, 214),
        horizontal_line(164, 211),
        horizontal_line(164, 208),
        horizontal_line(164, 206),
        horizontal_line(165, 203),
        horizontal_line(165, 200),
        horizontal_line(165, 198),
        horizontal_line(166, 195),
        horizontal_line(166, 192),
        horizontal_line(166, 190),
        horizontal_line(166, 187),
        horizontal_line(167, 184),
        horizontal_line(167, 182),
        horizontal_line(167, 179),
        horizontal_line(168, 176),
        horizontal_line(168, 174),
        horizontal_line(168, 171),
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(126, 166),
        horizontal_line(169, 219),
        horizontal_line(126, 161),
        horizontal_line(126, 158),
        horizontal_line(127, 155),
        horizontal_line(127, 153),
        horizontal_line(128, 150),
        horizontal_line(128, 147),
        horizontal_line(129, 145),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 130),
        horizontal_line(125, 131),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(127, 131),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 139),
        horizontal_line(185, 217),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(130, 138),
        horizontal_line(132, 138),
        horizontal_line(133, 137),
        horizontal_line(164, 226),
        horizontal_line(221, 239),
        horizontal_line(142, 160),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(131, 140),
        horizontal_line(130, 149),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(158, 175),
        horizontal_line(157, 178),
        horizontal_line(157, 181),
        horizontal_line(156, 184),
        horizontal_line(156, 187),
        horizontal_line(156, 190),
        horizontal_line(155, 193),
        horizontal_line(155, 196),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(154, 194),
        horizontal_line(154, 190),
        horizontal_line(154, 185),
        horizontal_line(153, 181),
        horizontal_line(153, 177),
        horizontal_line(153, 172),
        horizontal_line(152, 168),
        horizontal_line(152, 164),
        horizontal_line(152, 164),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(151, 164),
        horizontal_line(150, 164),
        horizontal_line(150, 164),
        horizontal_line(150, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(166, 219),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(151, 165),
        horizontal_line(152, 165),
        horizontal_line(153, 166),
        horizontal_line(154, 166),
        horizontal_line(155, 166),
        horizontal_line(156, 166),
        horizontal_line(157, 166),
    };

    constexpr const horizontal_line frame_121_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(143, 157),
        horizontal_line(142, 158),
        horizontal_line(141, 159),
        horizontal_line(140, 160),
        horizontal_line(139, 161),
        horizontal_line(138, 162),
        horizontal_line(137, 163),
        horizontal_line(136, 164),
        horizontal_line(136, 165),
        horizontal_line(135, 166),
        horizontal_line(134, 167),
        horizontal_line(133, 168),
        horizontal_line(132, 169),
        horizontal_line(131, 169),
        horizontal_line(130, 168),
        horizontal_line(129, 167),
        horizontal_line(54, 54),
        horizontal_line(52, 55),
        horizontal_line(51, 56),
        horizontal_line(49, 57),
        horizontal_line(47, 58),
        horizontal_line(46, 59),
        horizontal_line(44, 59),
        horizontal_line(122, 160),
        horizontal_line(122, 159),
        horizontal_line(121, 158),
        horizontal_line(120, 157),
        horizontal_line(119, 156),
        horizontal_line(118, 155),
        horizontal_line(117, 154),
        horizontal_line(116, 154),
        horizontal_line(115, 153),
        horizontal_line(115, 152),
        horizontal_line(114, 151),
        horizontal_line(113, 150),
        horizontal_line(112, 149),
        horizontal_line(111, 148),
        horizontal_line(110, 147),
        horizontal_line(109, 146),
        horizontal_line(108, 146),
        horizontal_line(108, 145),
        horizontal_line(107, 144),
        horizontal_line(106, 143),
        horizontal_line(105, 142),
        horizontal_line(104, 141),
        horizontal_line(103, 140),
        horizontal_line(102, 139),
        horizontal_line(101, 139),
        horizontal_line(101, 138),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
    };

    constexpr const shape frame_121_shape_group_3_shapes[] = {
        shape(frame_121_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_121_shape_group_3_shape_1_horizontal_lines, 5, 1),
        shape(frame_121_shape_group_3_shape_2_horizontal_lines, 27, 7),
        shape(frame_121_shape_group_3_shape_3_horizontal_lines, 36, 1),
        shape(frame_121_shape_group_3_shape_4_horizontal_lines, 42, 7),
        shape(frame_121_shape_group_3_shape_5_horizontal_lines, 62, 8),
        shape(frame_121_shape_group_3_shape_6_horizontal_lines, 68, 1),
        shape(frame_121_shape_group_3_shape_7_horizontal_lines, 70, 7),
        shape(frame_121_shape_group_3_shape_8_horizontal_lines, 78, 9),
        shape(frame_121_shape_group_3_shape_9_horizontal_lines, 79, 7),
        shape(frame_121_shape_group_3_shape_10_horizontal_lines, 96, 8),
        shape(frame_121_shape_group_3_shape_11_horizontal_lines, 97, 7),
        shape(frame_121_shape_group_3_shape_12_horizontal_lines, 104, 1),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(144, 162),
        horizontal_line(142, 162),
        horizontal_line(141, 162),
        horizontal_line(140, 162),
        horizontal_line(139, 162),
        horizontal_line(164, 222),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(160, 162),
        horizontal_line(158, 162),
        horizontal_line(156, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 163),
        horizontal_line(151, 164),
        horizontal_line(149, 164),
        horizontal_line(147, 164),
        horizontal_line(145, 165),
        horizontal_line(144, 165),
        horizontal_line(142, 165),
        horizontal_line(140, 165),
        horizontal_line(138, 166),
        horizontal_line(136, 166),
        horizontal_line(135, 166),
        horizontal_line(133, 167),
        horizontal_line(131, 167),
        horizontal_line(129, 167),
        horizontal_line(127, 168),
        horizontal_line(169, 219),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(164, 168),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(169, 219),
        horizontal_line(169, 219),
        horizontal_line(169, 219),
        horizontal_line(169, 219),
        horizontal_line(169, 219),
        horizontal_line(169, 219),
        horizontal_line(169, 219),
        horizontal_line(129, 142),
        horizontal_line(130, 139),
        horizontal_line(130, 137),
        horizontal_line(131, 134),
        horizontal_line(132, 132),
        horizontal_line(130, 131),
        horizontal_line(169, 218),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(133, 168),
        horizontal_line(133, 168),
        horizontal_line(134, 168),
        horizontal_line(134, 168),
        horizontal_line(134, 168),
        horizontal_line(135, 168),
        horizontal_line(135, 168),
        horizontal_line(136, 168),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(169, 217),
        horizontal_line(177, 217),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(133, 138),
        horizontal_line(166, 192),
        horizontal_line(166, 200),
        horizontal_line(165, 208),
        horizontal_line(226, 239),
        horizontal_line(199, 215),
        horizontal_line(167, 214),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(157, 172),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(176, 210),
        horizontal_line(179, 208),
        horizontal_line(182, 207),
        horizontal_line(185, 205),
        horizontal_line(188, 204),
        horizontal_line(191, 203),
        horizontal_line(194, 201),
        horizontal_line(197, 200),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(195, 200),
        horizontal_line(191, 201),
        horizontal_line(186, 202),
        horizontal_line(182, 203),
        horizontal_line(178, 204),
        horizontal_line(173, 205),
        horizontal_line(169, 207),
        horizontal_line(165, 208),
        horizontal_line(165, 209),
        horizontal_line(165, 210),
        horizontal_line(165, 211),
        horizontal_line(165, 212),
        horizontal_line(165, 213),
        horizontal_line(165, 215),
        horizontal_line(166, 216),
        horizontal_line(166, 217),
        horizontal_line(166, 218),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(166, 220),
        horizontal_line(166, 221),
        horizontal_line(167, 223),
        horizontal_line(167, 224),
        horizontal_line(167, 225),
        horizontal_line(167, 226),
        horizontal_line(167, 227),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(158, 166),
        horizontal_line(159, 167),
        horizontal_line(160, 167),
        horizontal_line(161, 167),
        horizontal_line(162, 167),
        horizontal_line(163, 167),
        horizontal_line(164, 167),
        horizontal_line(165, 168),
        horizontal_line(166, 168),
        horizontal_line(167, 168),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(169, 231),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(169, 181),
        horizontal_line(168, 193),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(129, 166),
        horizontal_line(128, 165),
        horizontal_line(127, 164),
        horizontal_line(126, 163),
        horizontal_line(125, 162),
        horizontal_line(124, 161),
        horizontal_line(123, 161),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(74, 76),
        horizontal_line(73, 76),
        horizontal_line(71, 77),
        horizontal_line(69, 78),
        horizontal_line(68, 79),
        horizontal_line(66, 80),
        horizontal_line(64, 81),
        horizontal_line(63, 82),
    };

    constexpr const horizontal_line frame_121_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
    };

    constexpr const shape frame_121_shape_group_4_shapes[] = {
        shape(frame_121_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_121_shape_group_4_shape_1_horizontal_lines, 6, 8),
        shape(frame_121_shape_group_4_shape_2_horizontal_lines, 7, 7),
        shape(frame_121_shape_group_4_shape_3_horizontal_lines, 28, 8),
        shape(frame_121_shape_group_4_shape_4_horizontal_lines, 29, 7),
        shape(frame_121_shape_group_4_shape_5_horizontal_lines, 43, 8),
        shape(frame_121_shape_group_4_shape_6_horizontal_lines, 51, 7),
        shape(frame_121_shape_group_4_shape_7_horizontal_lines, 61, 8),
        shape(frame_121_shape_group_4_shape_8_horizontal_lines, 68, 7),
        shape(frame_121_shape_group_4_shape_9_horizontal_lines, 70, 8),
        shape(frame_121_shape_group_4_shape_10_horizontal_lines, 79, 8),
        shape(frame_121_shape_group_4_shape_11_horizontal_lines, 96, 9),
        shape(frame_121_shape_group_4_shape_12_horizontal_lines, 97, 8),
        shape(frame_121_shape_group_4_shape_13_horizontal_lines, 104, 7),
        shape(frame_121_shape_group_4_shape_14_horizontal_lines, 115, 8),
        shape(frame_121_shape_group_4_shape_15_horizontal_lines, 117, 7),
        shape(frame_121_shape_group_4_shape_16_horizontal_lines, 120, 1),
        shape(frame_121_shape_group_4_shape_17_horizontal_lines, 127, 7),
        shape(frame_121_shape_group_4_shape_18_horizontal_lines, 145, 1),
        shape(frame_121_shape_group_4_shape_19_horizontal_lines, 153, 7),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(172, 222),
        horizontal_line(170, 222),
        horizontal_line(169, 222),
        horizontal_line(167, 222),
        horizontal_line(166, 222),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(220, 220),
        horizontal_line(217, 220),
        horizontal_line(215, 220),
        horizontal_line(212, 220),
        horizontal_line(209, 220),
        horizontal_line(207, 220),
        horizontal_line(204, 220),
        horizontal_line(201, 220),
        horizontal_line(199, 220),
        horizontal_line(196, 220),
        horizontal_line(193, 220),
        horizontal_line(191, 220),
        horizontal_line(188, 220),
        horizontal_line(185, 220),
        horizontal_line(183, 219),
        horizontal_line(180, 219),
        horizontal_line(177, 219),
        horizontal_line(175, 219),
        horizontal_line(172, 219),
        horizontal_line(170, 219),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(167, 168),
        horizontal_line(220, 239),
        horizontal_line(162, 168),
        horizontal_line(159, 168),
        horizontal_line(156, 168),
        horizontal_line(154, 168),
        horizontal_line(151, 168),
        horizontal_line(148, 168),
        horizontal_line(146, 168),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 218),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(132, 168),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(136, 168),
        horizontal_line(136, 168),
        horizontal_line(137, 168),
        horizontal_line(137, 168),
        horizontal_line(138, 168),
        horizontal_line(138, 168),
        horizontal_line(138, 168),
        horizontal_line(139, 168),
        horizontal_line(139, 168),
        horizontal_line(140, 140),
        horizontal_line(167, 184),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(138, 163),
        horizontal_line(216, 220),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(148, 158),
        horizontal_line(153, 156),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(167, 228),
        horizontal_line(168, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(171, 233),
        horizontal_line(182, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(167, 204),
        horizontal_line(166, 216),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_121_shape_group_5_shapes[] = {
        shape(frame_121_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_121_shape_group_5_shape_1_horizontal_lines, 5, 8),
        shape(frame_121_shape_group_5_shape_2_horizontal_lines, 7, 7),
        shape(frame_121_shape_group_5_shape_3_horizontal_lines, 27, 8),
        shape(frame_121_shape_group_5_shape_4_horizontal_lines, 36, 7),
        shape(frame_121_shape_group_5_shape_5_horizontal_lines, 42, 8),
        shape(frame_121_shape_group_5_shape_6_horizontal_lines, 65, 9),
        shape(frame_121_shape_group_5_shape_7_horizontal_lines, 67, 8),
        shape(frame_121_shape_group_5_shape_8_horizontal_lines, 73, 9),
        shape(frame_121_shape_group_5_shape_9_horizontal_lines, 79, 9),
        shape(frame_121_shape_group_5_shape_10_horizontal_lines, 97, 9),
        shape(frame_121_shape_group_5_shape_11_horizontal_lines, 104, 8),
        shape(frame_121_shape_group_5_shape_12_horizontal_lines, 120, 7),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(223, 231),
        horizontal_line(223, 229),
        horizontal_line(223, 227),
        horizontal_line(223, 226),
        horizontal_line(223, 224),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(143, 168),
        horizontal_line(140, 168),
        horizontal_line(138, 168),
        horizontal_line(135, 168),
        horizontal_line(133, 168),
        horizontal_line(132, 168),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(168, 176),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(139, 165),
        horizontal_line(139, 165),
        horizontal_line(138, 164),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(215, 223),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(170, 212),
        horizontal_line(173, 211),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(211, 232),
        horizontal_line(209, 235),
        horizontal_line(208, 238),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(230, 231),
        horizontal_line(230, 232),
        horizontal_line(230, 233),
        horizontal_line(230, 234),
        horizontal_line(230, 235),
        horizontal_line(231, 236),
        horizontal_line(231, 238),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(227, 227),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
    };

    constexpr const shape frame_121_shape_group_6_shapes[] = {
        shape(frame_121_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_121_shape_group_6_shape_1_horizontal_lines, 7, 8),
        shape(frame_121_shape_group_6_shape_2_horizontal_lines, 29, 8),
        shape(frame_121_shape_group_6_shape_3_horizontal_lines, 51, 8),
        shape(frame_121_shape_group_6_shape_4_horizontal_lines, 62, 9),
        shape(frame_121_shape_group_6_shape_5_horizontal_lines, 67, 9),
        shape(frame_121_shape_group_6_shape_6_horizontal_lines, 68, 8),
        shape(frame_121_shape_group_6_shape_7_horizontal_lines, 70, 9),
        shape(frame_121_shape_group_6_shape_8_horizontal_lines, 104, 9),
        shape(frame_121_shape_group_6_shape_9_horizontal_lines, 106, 8),
        shape(frame_121_shape_group_6_shape_10_horizontal_lines, 117, 8),
        shape(frame_121_shape_group_6_shape_11_horizontal_lines, 120, 8),
        shape(frame_121_shape_group_6_shape_12_horizontal_lines, 122, 7),
        shape(frame_121_shape_group_6_shape_13_horizontal_lines, 145, 7),
    };

    constexpr const horizontal_line frame_121_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(230, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(139, 166),
    };

    constexpr const horizontal_line frame_121_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_121_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const shape frame_121_shape_group_7_shapes[] = {
        shape(frame_121_shape_group_7_shape_0_horizontal_lines, 0, 8),
        shape(frame_121_shape_group_7_shape_1_horizontal_lines, 36, 8),
        shape(frame_121_shape_group_7_shape_2_horizontal_lines, 60, 8),
        shape(frame_121_shape_group_7_shape_3_horizontal_lines, 61, 9),
        shape(frame_121_shape_group_7_shape_4_horizontal_lines, 68, 8),
        shape(frame_121_shape_group_7_shape_5_horizontal_lines, 106, 9),
        shape(frame_121_shape_group_7_shape_6_horizontal_lines, 122, 8),
    };

    constexpr const horizontal_line frame_121_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(141, 167),
    };

    constexpr const horizontal_line frame_121_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(213, 226),
        horizontal_line(212, 229),
    };

    constexpr const shape frame_121_shape_group_8_shapes[] = {
        shape(frame_121_shape_group_8_shape_0_horizontal_lines, 60, 9),
        shape(frame_121_shape_group_8_shape_1_horizontal_lines, 68, 9),
    };

    constexpr const shape_group frame_121_shape_groups[] = {
        shape_group(frame_121_shape_group_0_shapes),
        shape_group(frame_121_shape_group_1_shapes),
        shape_group(frame_121_shape_group_2_shapes),
        shape_group(frame_121_shape_group_3_shapes),
        shape_group(frame_121_shape_group_4_shapes),
        shape_group(frame_121_shape_group_5_shapes),
        shape_group(frame_121_shape_group_6_shapes),
        shape_group(frame_121_shape_group_7_shapes),
        shape_group(frame_121_shape_group_8_shapes),
    };

    constexpr const frame frame_121_impl(frame_121_colors, frame_121_shape_groups);
} 

const frame& frame_121()
{
    return frame_121_impl;
}

namespace
{
    constexpr const bn::color frame_122_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_122_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(84, 104),
        horizontal_line(84, 105),
        horizontal_line(84, 107),
        horizontal_line(84, 108),
        horizontal_line(84, 110),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(89, 115),
        horizontal_line(82, 88),
        horizontal_line(76, 88),
        horizontal_line(70, 88),
        horizontal_line(63, 88),
        horizontal_line(57, 88),
        horizontal_line(51, 88),
        horizontal_line(45, 88),
        horizontal_line(38, 88),
        horizontal_line(32, 88),
        horizontal_line(26, 88),
        horizontal_line(19, 81),
        horizontal_line(13, 75),
        horizontal_line(7, 69),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 58),
        horizontal_line(0, 55),
        horizontal_line(0, 52),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 43),
        horizontal_line(0, 39),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_122_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(110, 110),
        horizontal_line(108, 111),
        horizontal_line(106, 112),
        horizontal_line(104, 113),
        horizontal_line(102, 114),
        horizontal_line(101, 115),
        horizontal_line(99, 116),
        horizontal_line(97, 117),
        horizontal_line(95, 118),
        horizontal_line(93, 119),
        horizontal_line(92, 120),
        horizontal_line(90, 121),
        horizontal_line(88, 122),
        horizontal_line(86, 123),
        horizontal_line(85, 124),
        horizontal_line(83, 125),
        horizontal_line(81, 126),
        horizontal_line(79, 127),
        horizontal_line(77, 128),
        horizontal_line(76, 129),
        horizontal_line(74, 130),
        horizontal_line(72, 131),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 62),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
    };

    constexpr const shape frame_122_shape_group_0_shapes[] = {
        shape(frame_122_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_122_shape_group_0_shape_1_horizontal_lines, 90, 3),
    };

    constexpr const horizontal_line frame_122_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(108, 140),
        horizontal_line(109, 138),
        horizontal_line(110, 137),
        horizontal_line(111, 136),
        horizontal_line(112, 135),
        horizontal_line(113, 134),
        horizontal_line(113, 133),
        horizontal_line(113, 131),
        horizontal_line(113, 129),
        horizontal_line(113, 127),
        horizontal_line(113, 125),
        horizontal_line(113, 123),
        horizontal_line(113, 122),
        horizontal_line(113, 120),
        horizontal_line(113, 118),
        horizontal_line(113, 116),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_122_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 129),
        horizontal_line(127, 127),
        horizontal_line(124, 127),
        horizontal_line(122, 127),
        horizontal_line(119, 127),
        horizontal_line(117, 127),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 125),
        horizontal_line(115, 123),
        horizontal_line(115, 120),
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_122_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(116, 129),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 131),
        horizontal_line(115, 131),
        horizontal_line(115, 132),
        horizontal_line(115, 132),
        horizontal_line(115, 133),
        horizontal_line(115, 134),
        horizontal_line(115, 131),
    };

    constexpr const horizontal_line frame_122_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(88, 88),
        horizontal_line(81, 88),
        horizontal_line(75, 88),
        horizontal_line(69, 88),
        horizontal_line(63, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 83),
        horizontal_line(62, 80),
        horizontal_line(62, 77),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_122_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(95, 119),
        horizontal_line(95, 119),
        horizontal_line(96, 120),
        horizontal_line(97, 120),
        horizontal_line(98, 121),
        horizontal_line(98, 122),
        horizontal_line(99, 122),
        horizontal_line(100, 141),
        horizontal_line(101, 143),
        horizontal_line(101, 122),
        horizontal_line(102, 121),
        horizontal_line(103, 120),
        horizontal_line(104, 119),
        horizontal_line(104, 118),
        horizontal_line(105, 117),
        horizontal_line(106, 116),
        horizontal_line(107, 115),
        horizontal_line(107, 114),
        horizontal_line(108, 113),
        horizontal_line(109, 112),
    };

    constexpr const horizontal_line frame_122_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(112, 147),
        horizontal_line(111, 146),
        horizontal_line(112, 146),
        horizontal_line(113, 145),
        horizontal_line(114, 145),
        horizontal_line(115, 144),
        horizontal_line(116, 144),
        horizontal_line(117, 143),
        horizontal_line(118, 143),
        horizontal_line(119, 142),
        horizontal_line(120, 142),
        horizontal_line(121, 141),
        horizontal_line(122, 141),
        horizontal_line(123, 140),
        horizontal_line(124, 140),
        horizontal_line(125, 139),
        horizontal_line(126, 139),
        horizontal_line(127, 138),
        horizontal_line(128, 138),
        horizontal_line(129, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_122_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(130, 133),
        horizontal_line(129, 134),
        horizontal_line(127, 135),
        horizontal_line(125, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(120, 130),
        horizontal_line(118, 129),
        horizontal_line(116, 128),
        horizontal_line(114, 127),
        horizontal_line(113, 126),
        horizontal_line(111, 125),
        horizontal_line(109, 124),
        horizontal_line(107, 123),
        horizontal_line(105, 122),
        horizontal_line(104, 121),
        horizontal_line(102, 120),
        horizontal_line(100, 119),
        horizontal_line(98, 118),
        horizontal_line(97, 117),
        horizontal_line(95, 116),
        horizontal_line(93, 115),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(62, 103),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(73, 96),
        horizontal_line(74, 95),
        horizontal_line(74, 94),
        horizontal_line(74, 93),
        horizontal_line(74, 92),
        horizontal_line(75, 91),
    };

    constexpr const shape frame_122_shape_group_1_shapes[] = {
        shape(frame_122_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_122_shape_group_1_shape_1_horizontal_lines, 17, 3),
        shape(frame_122_shape_group_1_shape_2_horizontal_lines, 38, 1),
        shape(frame_122_shape_group_1_shape_3_horizontal_lines, 48, 4),
        shape(frame_122_shape_group_1_shape_4_horizontal_lines, 70, 3),
        shape(frame_122_shape_group_1_shape_5_horizontal_lines, 90, 1),
        shape(frame_122_shape_group_1_shape_6_horizontal_lines, 113, 3),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(141, 153),
        horizontal_line(139, 151),
        horizontal_line(138, 150),
        horizontal_line(137, 149),
        horizontal_line(136, 147),
        horizontal_line(135, 146),
        horizontal_line(134, 145),
        horizontal_line(133, 143),
        horizontal_line(133, 142),
        horizontal_line(132, 141),
        horizontal_line(132, 139),
        horizontal_line(131, 138),
        horizontal_line(131, 137),
        horizontal_line(131, 135),
        horizontal_line(130, 134),
        horizontal_line(130, 133),
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(131, 157),
        horizontal_line(130, 155),
        horizontal_line(128, 153),
        horizontal_line(128, 152),
        horizontal_line(128, 150),
        horizontal_line(128, 148),
        horizontal_line(128, 146),
        horizontal_line(128, 144),
        horizontal_line(128, 142),
        horizontal_line(128, 140),
        horizontal_line(128, 139),
        horizontal_line(128, 137),
        horizontal_line(128, 135),
        horizontal_line(128, 133),
        horizontal_line(128, 131),
        horizontal_line(128, 129),
        horizontal_line(128, 128),
        horizontal_line(126, 127),
        horizontal_line(124, 128),
        horizontal_line(121, 128),
        horizontal_line(119, 129),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(130, 159),
        horizontal_line(131, 156),
        horizontal_line(131, 153),
        horizontal_line(132, 150),
        horizontal_line(132, 147),
        horizontal_line(133, 144),
        horizontal_line(133, 141),
        horizontal_line(134, 138),
        horizontal_line(135, 135),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(115, 127),
        horizontal_line(115, 124),
        horizontal_line(115, 120),
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(115, 136),
        horizontal_line(115, 136),
        horizontal_line(115, 136),
        horizontal_line(115, 137),
        horizontal_line(115, 137),
        horizontal_line(115, 137),
        horizontal_line(116, 138),
        horizontal_line(116, 138),
        horizontal_line(117, 138),
        horizontal_line(118, 139),
        horizontal_line(119, 139),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(89, 114),
        horizontal_line(90, 115),
        horizontal_line(91, 115),
        horizontal_line(92, 116),
        horizontal_line(92, 117),
        horizontal_line(93, 117),
        horizontal_line(94, 118),
        horizontal_line(123, 128),
        horizontal_line(123, 129),
        horizontal_line(123, 131),
        horizontal_line(123, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 139),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(159, 170),
        horizontal_line(157, 172),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(132, 145),
        horizontal_line(139, 147),
        horizontal_line(146, 149),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(120, 151),
        horizontal_line(119, 150),
        horizontal_line(118, 150),
        horizontal_line(117, 149),
        horizontal_line(116, 149),
        horizontal_line(115, 148),
        horizontal_line(114, 148),
        horizontal_line(113, 147),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(148, 196),
        horizontal_line(147, 198),
        horizontal_line(147, 200),
        horizontal_line(146, 195),
        horizontal_line(146, 190),
        horizontal_line(145, 186),
        horizontal_line(145, 181),
        horizontal_line(144, 177),
        horizontal_line(144, 172),
        horizontal_line(143, 168),
        horizontal_line(143, 163),
        horizontal_line(142, 159),
        horizontal_line(142, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(140, 158),
        horizontal_line(140, 158),
        horizontal_line(139, 158),
        horizontal_line(139, 158),
        horizontal_line(138, 158),
        horizontal_line(138, 158),
        horizontal_line(137, 158),
        horizontal_line(137, 158),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(133, 135),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(135, 158),
        horizontal_line(136, 158),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(134, 135),
        horizontal_line(133, 136),
        horizontal_line(132, 137),
        horizontal_line(131, 138),
        horizontal_line(130, 139),
        horizontal_line(129, 140),
        horizontal_line(128, 141),
        horizontal_line(127, 142),
        horizontal_line(126, 143),
        horizontal_line(125, 144),
        horizontal_line(124, 145),
        horizontal_line(123, 146),
        horizontal_line(122, 147),
        horizontal_line(121, 148),
        horizontal_line(120, 149),
        horizontal_line(119, 150),
        horizontal_line(118, 151),
        horizontal_line(117, 152),
        horizontal_line(116, 153),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(91, 114),
        horizontal_line(89, 113),
        horizontal_line(88, 112),
        horizontal_line(86, 111),
        horizontal_line(84, 110),
        horizontal_line(82, 109),
        horizontal_line(80, 108),
        horizontal_line(79, 107),
        horizontal_line(77, 106),
        horizontal_line(75, 105),
        horizontal_line(73, 104),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(104, 153),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(72, 102),
        horizontal_line(72, 101),
        horizontal_line(72, 100),
        horizontal_line(73, 99),
        horizontal_line(73, 98),
        horizontal_line(73, 97),
    };

    constexpr const horizontal_line frame_122_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const shape frame_122_shape_group_2_shapes[] = {
        shape(frame_122_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_122_shape_group_2_shape_1_horizontal_lines, 17, 1),
        shape(frame_122_shape_group_2_shape_2_horizontal_lines, 38, 7),
        shape(frame_122_shape_group_2_shape_3_horizontal_lines, 48, 1),
        shape(frame_122_shape_group_2_shape_4_horizontal_lines, 52, 7),
        shape(frame_122_shape_group_2_shape_5_horizontal_lines, 63, 3),
        shape(frame_122_shape_group_2_shape_6_horizontal_lines, 77, 7),
        shape(frame_122_shape_group_2_shape_7_horizontal_lines, 79, 3),
        shape(frame_122_shape_group_2_shape_8_horizontal_lines, 82, 1),
        shape(frame_122_shape_group_2_shape_9_horizontal_lines, 90, 7),
        shape(frame_122_shape_group_2_shape_10_horizontal_lines, 113, 1),
        shape(frame_122_shape_group_2_shape_11_horizontal_lines, 115, 7),
        shape(frame_122_shape_group_2_shape_12_horizontal_lines, 117, 1),
        shape(frame_122_shape_group_2_shape_13_horizontal_lines, 136, 3),
        shape(frame_122_shape_group_2_shape_14_horizontal_lines, 147, 1),
        shape(frame_122_shape_group_2_shape_15_horizontal_lines, 148, 3),
        shape(frame_122_shape_group_2_shape_16_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(164, 181),
        horizontal_line(164, 179),
        horizontal_line(164, 178),
        horizontal_line(164, 177),
        horizontal_line(164, 175),
        horizontal_line(164, 174),
        horizontal_line(164, 173),
        horizontal_line(165, 171),
        horizontal_line(165, 170),
        horizontal_line(165, 169),
        horizontal_line(165, 167),
        horizontal_line(165, 166),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(135, 163),
        horizontal_line(134, 161),
        horizontal_line(132, 159),
        horizontal_line(166, 218),
        horizontal_line(166, 215),
        horizontal_line(166, 213),
        horizontal_line(167, 210),
        horizontal_line(167, 207),
        horizontal_line(167, 204),
        horizontal_line(167, 201),
        horizontal_line(168, 199),
        horizontal_line(168, 196),
        horizontal_line(168, 193),
        horizontal_line(169, 190),
        horizontal_line(169, 187),
        horizontal_line(169, 185),
        horizontal_line(169, 182),
        horizontal_line(170, 179),
        horizontal_line(170, 176),
        horizontal_line(170, 173),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(129, 168),
        horizontal_line(129, 165),
        horizontal_line(130, 162),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 223),
        horizontal_line(128, 134),
        horizontal_line(125, 135),
        horizontal_line(121, 135),
        horizontal_line(117, 135),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(119, 139),
        horizontal_line(120, 140),
        horizontal_line(121, 140),
        horizontal_line(122, 141),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 124),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(180, 222),
        horizontal_line(185, 222),
        horizontal_line(189, 222),
        horizontal_line(194, 222),
        horizontal_line(199, 222),
        horizontal_line(163, 166),
        horizontal_line(161, 168),
        horizontal_line(213, 222),
        horizontal_line(218, 222),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(123, 131),
        horizontal_line(122, 138),
        horizontal_line(121, 145),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(152, 180),
        horizontal_line(151, 182),
        horizontal_line(151, 184),
        horizontal_line(150, 186),
        horizontal_line(150, 188),
        horizontal_line(149, 190),
        horizontal_line(149, 192),
        horizontal_line(148, 194),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(197, 203),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(196, 200),
        horizontal_line(191, 201),
        horizontal_line(187, 202),
        horizontal_line(182, 203),
        horizontal_line(178, 203),
        horizontal_line(173, 204),
        horizontal_line(169, 205),
        horizontal_line(164, 206),
        horizontal_line(160, 206),
        horizontal_line(159, 207),
        horizontal_line(159, 208),
        horizontal_line(159, 209),
        horizontal_line(159, 209),
        horizontal_line(159, 210),
        horizontal_line(159, 211),
        horizontal_line(159, 212),
        horizontal_line(159, 212),
        horizontal_line(159, 213),
        horizontal_line(159, 214),
        horizontal_line(159, 215),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(136, 158),
        horizontal_line(136, 158),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(159, 217),
        horizontal_line(159, 218),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(136, 158),
        horizontal_line(137, 158),
        horizontal_line(138, 158),
        horizontal_line(139, 158),
        horizontal_line(140, 158),
        horizontal_line(141, 158),
        horizontal_line(142, 158),
        horizontal_line(143, 158),
        horizontal_line(144, 158),
        horizontal_line(145, 158),
        horizontal_line(146, 158),
        horizontal_line(147, 158),
        horizontal_line(148, 158),
        horizontal_line(149, 158),
        horizontal_line(150, 158),
        horizontal_line(151, 158),
        horizontal_line(152, 158),
        horizontal_line(153, 158),
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(115, 154),
        horizontal_line(114, 155),
        horizontal_line(113, 156),
        horizontal_line(112, 157),
        horizontal_line(111, 158),
        horizontal_line(110, 159),
        horizontal_line(109, 158),
        horizontal_line(108, 157),
        horizontal_line(107, 156),
        horizontal_line(106, 155),
        horizontal_line(105, 154),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(154, 180),
    };

    constexpr const horizontal_line frame_122_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(9, 9),
        horizontal_line(7, 9),
        horizontal_line(6, 9),
        horizontal_line(4, 10),
        horizontal_line(2, 10),
        horizontal_line(1, 10),
        horizontal_line(97, 146),
        horizontal_line(96, 145),
        horizontal_line(95, 144),
        horizontal_line(94, 143),
        horizontal_line(93, 142),
        horizontal_line(92, 142),
    };

    constexpr const shape frame_122_shape_group_3_shapes[] = {
        shape(frame_122_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_122_shape_group_3_shape_1_horizontal_lines, 13, 1),
        shape(frame_122_shape_group_3_shape_2_horizontal_lines, 35, 7),
        shape(frame_122_shape_group_3_shape_3_horizontal_lines, 67, 3),
        shape(frame_122_shape_group_3_shape_4_horizontal_lines, 70, 7),
        shape(frame_122_shape_group_3_shape_5_horizontal_lines, 79, 1),
        shape(frame_122_shape_group_3_shape_6_horizontal_lines, 82, 7),
        shape(frame_122_shape_group_3_shape_7_horizontal_lines, 90, 8),
        shape(frame_122_shape_group_3_shape_8_horizontal_lines, 92, 9),
        shape(frame_122_shape_group_3_shape_9_horizontal_lines, 93, 8),
        shape(frame_122_shape_group_3_shape_10_horizontal_lines, 113, 7),
        shape(frame_122_shape_group_3_shape_11_horizontal_lines, 115, 8),
        shape(frame_122_shape_group_3_shape_12_horizontal_lines, 117, 7),
        shape(frame_122_shape_group_3_shape_13_horizontal_lines, 136, 1),
        shape(frame_122_shape_group_3_shape_14_horizontal_lines, 147, 7),
        shape(frame_122_shape_group_3_shape_15_horizontal_lines, 148, 1),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(154, 163),
        horizontal_line(152, 163),
        horizontal_line(151, 163),
        horizontal_line(150, 163),
        horizontal_line(148, 163),
        horizontal_line(147, 163),
        horizontal_line(146, 163),
        horizontal_line(144, 164),
        horizontal_line(143, 164),
        horizontal_line(142, 164),
        horizontal_line(140, 164),
        horizontal_line(139, 164),
        horizontal_line(138, 164),
        horizontal_line(198, 227),
        horizontal_line(165, 226),
        horizontal_line(165, 224),
        horizontal_line(165, 221),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(158, 165),
        horizontal_line(156, 165),
        horizontal_line(154, 165),
        horizontal_line(153, 166),
        horizontal_line(151, 166),
        horizontal_line(149, 166),
        horizontal_line(147, 166),
        horizontal_line(145, 167),
        horizontal_line(143, 167),
        horizontal_line(141, 167),
        horizontal_line(140, 168),
        horizontal_line(138, 168),
        horizontal_line(136, 168),
        horizontal_line(134, 168),
        horizontal_line(132, 169),
        horizontal_line(130, 169),
        horizontal_line(129, 169),
        horizontal_line(128, 170),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
        horizontal_line(171, 224),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(160, 170),
        horizontal_line(157, 170),
        horizontal_line(154, 170),
        horizontal_line(151, 170),
        horizontal_line(148, 170),
        horizontal_line(145, 170),
        horizontal_line(142, 170),
        horizontal_line(139, 170),
        horizontal_line(136, 170),
        horizontal_line(135, 170),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
        horizontal_line(171, 223),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(137, 170),
        horizontal_line(137, 170),
        horizontal_line(137, 170),
        horizontal_line(138, 170),
        horizontal_line(138, 170),
        horizontal_line(138, 170),
        horizontal_line(139, 170),
        horizontal_line(139, 170),
        horizontal_line(139, 170),
        horizontal_line(140, 170),
        horizontal_line(140, 170),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(171, 222),
        horizontal_line(171, 222),
        horizontal_line(171, 222),
        horizontal_line(171, 222),
        horizontal_line(123, 131),
        horizontal_line(171, 222),
        horizontal_line(175, 222),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(129, 139),
        horizontal_line(130, 139),
        horizontal_line(132, 139),
        horizontal_line(134, 140),
        horizontal_line(136, 198),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(204, 222),
        horizontal_line(208, 222),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(142, 158),
        horizontal_line(144, 156),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(155, 174),
        horizontal_line(152, 176),
        horizontal_line(150, 178),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(181, 216),
        horizontal_line(183, 215),
        horizontal_line(185, 213),
        horizontal_line(187, 211),
        horizontal_line(189, 210),
        horizontal_line(191, 208),
        horizontal_line(193, 206),
        horizontal_line(195, 205),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(159, 215),
        horizontal_line(159, 216),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(159, 219),
        horizontal_line(159, 219),
        horizontal_line(159, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(155, 158),
        horizontal_line(156, 158),
        horizontal_line(157, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(158, 165),
        horizontal_line(157, 169),
        horizontal_line(156, 173),
        horizontal_line(155, 176),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(103, 152),
        horizontal_line(102, 151),
        horizontal_line(101, 150),
        horizontal_line(100, 149),
        horizontal_line(99, 148),
        horizontal_line(98, 147),
    };

    constexpr const horizontal_line frame_122_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(147, 207),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
    };

    constexpr const shape frame_122_shape_group_4_shapes[] = {
        shape(frame_122_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_122_shape_group_4_shape_1_horizontal_lines, 17, 7),
        shape(frame_122_shape_group_4_shape_2_horizontal_lines, 38, 8),
        shape(frame_122_shape_group_4_shape_3_horizontal_lines, 48, 7),
        shape(frame_122_shape_group_4_shape_4_horizontal_lines, 52, 8),
        shape(frame_122_shape_group_4_shape_5_horizontal_lines, 63, 7),
        shape(frame_122_shape_group_4_shape_6_horizontal_lines, 70, 8),
        shape(frame_122_shape_group_4_shape_7_horizontal_lines, 75, 7),
        shape(frame_122_shape_group_4_shape_8_horizontal_lines, 77, 8),
        shape(frame_122_shape_group_4_shape_9_horizontal_lines, 79, 7),
        shape(frame_122_shape_group_4_shape_10_horizontal_lines, 82, 8),
        shape(frame_122_shape_group_4_shape_11_horizontal_lines, 90, 9),
        shape(frame_122_shape_group_4_shape_12_horizontal_lines, 93, 9),
        shape(frame_122_shape_group_4_shape_13_horizontal_lines, 113, 8),
        shape(frame_122_shape_group_4_shape_14_horizontal_lines, 115, 9),
        shape(frame_122_shape_group_4_shape_15_horizontal_lines, 117, 8),
        shape(frame_122_shape_group_4_shape_16_horizontal_lines, 136, 7),
        shape(frame_122_shape_group_4_shape_17_horizontal_lines, 140, 8),
        shape(frame_122_shape_group_4_shape_18_horizontal_lines, 142, 7),
        shape(frame_122_shape_group_4_shape_19_horizontal_lines, 147, 8),
        shape(frame_122_shape_group_4_shape_20_horizontal_lines, 148, 1),
        shape(frame_122_shape_group_4_shape_21_horizontal_lines, 154, 7),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(182, 227),
        horizontal_line(180, 227),
        horizontal_line(179, 227),
        horizontal_line(178, 227),
        horizontal_line(176, 227),
        horizontal_line(175, 227),
        horizontal_line(174, 227),
        horizontal_line(172, 227),
        horizontal_line(171, 227),
        horizontal_line(170, 227),
        horizontal_line(168, 227),
        horizontal_line(167, 227),
        horizontal_line(166, 227),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(162, 164),
        horizontal_line(160, 164),
        horizontal_line(219, 225),
        horizontal_line(216, 225),
        horizontal_line(214, 225),
        horizontal_line(211, 225),
        horizontal_line(208, 225),
        horizontal_line(205, 225),
        horizontal_line(202, 225),
        horizontal_line(200, 225),
        horizontal_line(197, 225),
        horizontal_line(194, 225),
        horizontal_line(191, 225),
        horizontal_line(188, 225),
        horizontal_line(186, 225),
        horizontal_line(183, 225),
        horizontal_line(180, 224),
        horizontal_line(177, 224),
        horizontal_line(174, 224),
        horizontal_line(172, 224),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(166, 170),
        horizontal_line(163, 170),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(135, 170),
        horizontal_line(136, 170),
        horizontal_line(136, 170),
        horizontal_line(136, 170),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(140, 170),
        horizontal_line(141, 170),
        horizontal_line(141, 170),
        horizontal_line(142, 170),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(171, 222),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(127, 140),
        horizontal_line(169, 179),
        horizontal_line(168, 184),
        horizontal_line(167, 188),
        horizontal_line(166, 193),
        horizontal_line(223, 239),
        horizontal_line(138, 162),
        horizontal_line(140, 160),
        horizontal_line(171, 212),
        horizontal_line(173, 217),
        horizontal_line(146, 154),
        horizontal_line(148, 151),
        horizontal_line(179, 218),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(221, 221),
        horizontal_line(221, 222),
        horizontal_line(221, 222),
        horizontal_line(221, 223),
        horizontal_line(221, 224),
        horizontal_line(221, 225),
        horizontal_line(221, 225),
        horizontal_line(221, 226),
        horizontal_line(221, 227),
        horizontal_line(221, 228),
        horizontal_line(221, 228),
        horizontal_line(221, 229),
        horizontal_line(221, 230),
        horizontal_line(221, 231),
        horizontal_line(221, 231),
        horizontal_line(221, 232),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(221, 236),
        horizontal_line(222, 237),
        horizontal_line(162, 224),
        horizontal_line(166, 228),
        horizontal_line(170, 232),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(153, 184),
        horizontal_line(152, 188),
        horizontal_line(151, 192),
        horizontal_line(150, 195),
        horizontal_line(149, 199),
        horizontal_line(148, 203),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(208, 210),
        horizontal_line(207, 214),
        horizontal_line(206, 218),
        horizontal_line(205, 222),
        horizontal_line(205, 226),
    };

    constexpr const shape frame_122_shape_group_5_shapes[] = {
        shape(frame_122_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_122_shape_group_5_shape_1_horizontal_lines, 13, 8),
        shape(frame_122_shape_group_5_shape_2_horizontal_lines, 14, 7),
        shape(frame_122_shape_group_5_shape_3_horizontal_lines, 35, 8),
        shape(frame_122_shape_group_5_shape_4_horizontal_lines, 67, 7),
        shape(frame_122_shape_group_5_shape_5_horizontal_lines, 68, 8),
        shape(frame_122_shape_group_5_shape_6_horizontal_lines, 113, 9),
        shape(frame_122_shape_group_5_shape_7_horizontal_lines, 117, 9),
        shape(frame_122_shape_group_5_shape_8_horizontal_lines, 120, 8),
        shape(frame_122_shape_group_5_shape_9_horizontal_lines, 148, 7),
        shape(frame_122_shape_group_5_shape_10_horizontal_lines, 154, 8),
        shape(frame_122_shape_group_5_shape_11_horizontal_lines, 155, 7),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 238),
        horizontal_line(228, 236),
        horizontal_line(228, 234),
        horizontal_line(228, 232),
        horizontal_line(228, 231),
        horizontal_line(228, 229),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(225, 225),
        horizontal_line(222, 225),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(132, 140),
        horizontal_line(223, 239),
        horizontal_line(170, 174),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(198, 198),
        horizontal_line(167, 203),
        horizontal_line(169, 207),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(175, 237),
        horizontal_line(177, 220),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(217, 226),
        horizontal_line(216, 228),
        horizontal_line(214, 230),
        horizontal_line(212, 231),
        horizontal_line(211, 233),
        horizontal_line(209, 234),
        horizontal_line(207, 236),
        horizontal_line(206, 238),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(221, 233),
        horizontal_line(221, 234),
        horizontal_line(221, 234),
        horizontal_line(221, 235),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(224, 238),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(189, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_122_shape_group_6_shapes[] = {
        shape(frame_122_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_122_shape_group_6_shape_1_horizontal_lines, 14, 8),
        shape(frame_122_shape_group_6_shape_2_horizontal_lines, 15, 7),
        shape(frame_122_shape_group_6_shape_3_horizontal_lines, 17, 8),
        shape(frame_122_shape_group_6_shape_4_horizontal_lines, 48, 8),
        shape(frame_122_shape_group_6_shape_5_horizontal_lines, 63, 8),
        shape(frame_122_shape_group_6_shape_6_horizontal_lines, 82, 9),
        shape(frame_122_shape_group_6_shape_7_horizontal_lines, 120, 9),
        shape(frame_122_shape_group_6_shape_8_horizontal_lines, 136, 8),
        shape(frame_122_shape_group_6_shape_9_horizontal_lines, 140, 9),
        shape(frame_122_shape_group_6_shape_10_horizontal_lines, 142, 8),
        shape(frame_122_shape_group_6_shape_11_horizontal_lines, 148, 8),
        shape(frame_122_shape_group_6_shape_12_horizontal_lines, 155, 8),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(156, 170),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(141, 170),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(140, 168),
        horizontal_line(140, 167),
        horizontal_line(140, 166),
        horizontal_line(141, 165),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(219, 225),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const shape frame_122_shape_group_7_shapes[] = {
        shape(frame_122_shape_group_7_shape_0_horizontal_lines, 7, 8),
        shape(frame_122_shape_group_7_shape_1_horizontal_lines, 15, 8),
        shape(frame_122_shape_group_7_shape_2_horizontal_lines, 67, 8),
        shape(frame_122_shape_group_7_shape_3_horizontal_lines, 68, 9),
        shape(frame_122_shape_group_7_shape_4_horizontal_lines, 69, 8),
        shape(frame_122_shape_group_7_shape_5_horizontal_lines, 70, 9),
        shape(frame_122_shape_group_7_shape_6_horizontal_lines, 75, 8),
        shape(frame_122_shape_group_7_shape_7_horizontal_lines, 79, 8),
        shape(frame_122_shape_group_7_shape_8_horizontal_lines, 81, 9),
        shape(frame_122_shape_group_7_shape_9_horizontal_lines, 136, 9),
        shape(frame_122_shape_group_7_shape_10_horizontal_lines, 142, 9),
    };

    constexpr const horizontal_line frame_122_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_122_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_122_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(221, 223),
    };

    constexpr const shape frame_122_shape_group_8_shapes[] = {
        shape(frame_122_shape_group_8_shape_0_horizontal_lines, 67, 8),
        shape(frame_122_shape_group_8_shape_1_horizontal_lines, 69, 9),
        shape(frame_122_shape_group_8_shape_2_horizontal_lines, 80, 9),
    };

    constexpr const horizontal_line frame_122_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(141, 155),
    };

    constexpr const shape frame_122_shape_group_9_shapes[] = {
        shape(frame_122_shape_group_9_shape_0_horizontal_lines, 67, 9),
    };

    constexpr const shape_group frame_122_shape_groups[] = {
        shape_group(frame_122_shape_group_0_shapes),
        shape_group(frame_122_shape_group_1_shapes),
        shape_group(frame_122_shape_group_2_shapes),
        shape_group(frame_122_shape_group_3_shapes),
        shape_group(frame_122_shape_group_4_shapes),
        shape_group(frame_122_shape_group_5_shapes),
        shape_group(frame_122_shape_group_6_shapes),
        shape_group(frame_122_shape_group_7_shapes),
        shape_group(frame_122_shape_group_8_shapes),
        shape_group(frame_122_shape_group_9_shapes),
    };

    constexpr const frame frame_122_impl(frame_122_colors, frame_122_shape_groups);
} 

const frame& frame_122()
{
    return frame_122_impl;
}

namespace
{
    constexpr const bn::color frame_123_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_123_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(55, 76),
        horizontal_line(55, 78),
        horizontal_line(55, 80),
        horizontal_line(55, 83),
        horizontal_line(55, 85),
        horizontal_line(56, 87),
        horizontal_line(56, 90),
        horizontal_line(56, 92),
        horizontal_line(56, 94),
        horizontal_line(57, 97),
        horizontal_line(57, 99),
        horizontal_line(57, 102),
        horizontal_line(57, 102),
        horizontal_line(57, 102),
        horizontal_line(58, 102),
        horizontal_line(58, 102),
        horizontal_line(58, 102),
        horizontal_line(58, 102),
        horizontal_line(59, 102),
        horizontal_line(59, 102),
        horizontal_line(59, 102),
        horizontal_line(59, 102),
        horizontal_line(59, 102),
        horizontal_line(60, 102),
        horizontal_line(60, 102),
        horizontal_line(60, 102),
        horizontal_line(60, 102),
        horizontal_line(61, 102),
        horizontal_line(61, 102),
        horizontal_line(61, 103),
        horizontal_line(61, 103),
        horizontal_line(61, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(63, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(64, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 103),
        horizontal_line(65, 104),
        horizontal_line(65, 84),
        horizontal_line(104, 109),
        horizontal_line(58, 64),
        horizontal_line(51, 64),
        horizontal_line(44, 64),
        horizontal_line(37, 64),
        horizontal_line(29, 64),
        horizontal_line(22, 64),
        horizontal_line(15, 64),
        horizontal_line(8, 64),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 57),
        horizontal_line(0, 53),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 43),
        horizontal_line(0, 40),
        horizontal_line(0, 37),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_123_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(80, 105),
        horizontal_line(81, 104),
        horizontal_line(82, 103),
        horizontal_line(83, 101),
        horizontal_line(83, 100),
        horizontal_line(84, 99),
        horizontal_line(85, 97),
        horizontal_line(86, 96),
        horizontal_line(87, 95),
        horizontal_line(87, 94),
        horizontal_line(88, 92),
        horizontal_line(89, 91),
        horizontal_line(90, 90),
        horizontal_line(90, 90),
        horizontal_line(88, 90),
        horizontal_line(86, 91),
        horizontal_line(84, 92),
        horizontal_line(82, 93),
        horizontal_line(80, 93),
        horizontal_line(78, 94),
        horizontal_line(76, 95),
        horizontal_line(74, 96),
        horizontal_line(72, 97),
        horizontal_line(70, 97),
        horizontal_line(68, 98),
        horizontal_line(66, 99),
        horizontal_line(64, 100),
        horizontal_line(62, 100),
        horizontal_line(60, 101),
        horizontal_line(58, 102),
        horizontal_line(56, 103),
        horizontal_line(54, 104),
        horizontal_line(52, 104),
        horizontal_line(50, 105),
        horizontal_line(48, 106),
        horizontal_line(46, 107),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_123_shape_group_0_shapes[] = {
        shape(frame_123_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_123_shape_group_0_shape_1_horizontal_lines, 95, 3),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(91, 149),
        horizontal_line(92, 147),
        horizontal_line(93, 146),
        horizontal_line(94, 145),
        horizontal_line(95, 144),
        horizontal_line(96, 143),
        horizontal_line(97, 141),
        horizontal_line(98, 140),
        horizontal_line(99, 139),
        horizontal_line(100, 138),
        horizontal_line(101, 137),
        horizontal_line(103, 135),
        horizontal_line(103, 133),
        horizontal_line(103, 131),
        horizontal_line(104, 129),
        horizontal_line(104, 127),
        horizontal_line(105, 126),
        horizontal_line(105, 124),
        horizontal_line(106, 122),
        horizontal_line(106, 120),
        horizontal_line(107, 118),
        horizontal_line(107, 117),
        horizontal_line(108, 115),
        horizontal_line(108, 113),
        horizontal_line(109, 111),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(128, 131),
        horizontal_line(125, 131),
        horizontal_line(122, 130),
        horizontal_line(120, 130),
        horizontal_line(117, 130),
        horizontal_line(114, 130),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 126),
        horizontal_line(112, 124),
        horizontal_line(111, 122),
        horizontal_line(111, 120),
        horizontal_line(111, 117),
        horizontal_line(111, 115),
        horizontal_line(111, 113),
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(111, 133),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(104, 106),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(111, 134),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(103, 109),
        horizontal_line(103, 108),
        horizontal_line(103, 108),
        horizontal_line(103, 107),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 105),
        horizontal_line(103, 104),
        horizontal_line(103, 103),
        horizontal_line(103, 103),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(65, 103),
        horizontal_line(66, 104),
        horizontal_line(67, 105),
        horizontal_line(68, 105),
        horizontal_line(68, 106),
        horizontal_line(69, 107),
        horizontal_line(70, 107),
        horizontal_line(71, 108),
        horizontal_line(72, 109),
        horizontal_line(72, 109),
        horizontal_line(73, 110),
        horizontal_line(74, 111),
        horizontal_line(75, 111),
        horizontal_line(76, 112),
        horizontal_line(76, 112),
        horizontal_line(77, 110),
        horizontal_line(78, 109),
        horizontal_line(79, 108),
        horizontal_line(79, 106),
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(105, 144),
        horizontal_line(104, 143),
        horizontal_line(102, 142),
        horizontal_line(101, 141),
        horizontal_line(100, 141),
        horizontal_line(98, 140),
        horizontal_line(97, 139),
        horizontal_line(96, 139),
        horizontal_line(95, 138),
        horizontal_line(93, 137),
        horizontal_line(92, 137),
        horizontal_line(91, 136),
        horizontal_line(91, 135),
        horizontal_line(91, 135),
        horizontal_line(92, 134),
        horizontal_line(93, 133),
        horizontal_line(94, 133),
        horizontal_line(94, 132),
        horizontal_line(95, 131),
        horizontal_line(96, 131),
        horizontal_line(97, 130),
        horizontal_line(98, 129),
        horizontal_line(98, 129),
        horizontal_line(99, 128),
        horizontal_line(100, 127),
        horizontal_line(101, 126),
        horizontal_line(101, 126),
        horizontal_line(102, 125),
        horizontal_line(103, 124),
        horizontal_line(104, 124),
        horizontal_line(105, 123),
        horizontal_line(105, 122),
        horizontal_line(106, 122),
        horizontal_line(107, 121),
        horizontal_line(108, 120),
    };

    constexpr const horizontal_line frame_123_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(105, 108),
        horizontal_line(103, 109),
        horizontal_line(101, 110),
        horizontal_line(99, 111),
        horizontal_line(97, 111),
        horizontal_line(95, 112),
        horizontal_line(93, 113),
        horizontal_line(91, 114),
        horizontal_line(89, 115),
        horizontal_line(87, 113),
        horizontal_line(85, 112),
        horizontal_line(83, 111),
        horizontal_line(81, 110),
        horizontal_line(79, 109),
        horizontal_line(77, 108),
        horizontal_line(75, 106),
        horizontal_line(73, 105),
        horizontal_line(71, 104),
        horizontal_line(69, 103),
        horizontal_line(67, 102),
        horizontal_line(65, 101),
        horizontal_line(63, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
    };

    constexpr const shape frame_123_shape_group_1_shapes[] = {
        shape(frame_123_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_123_shape_group_1_shape_1_horizontal_lines, 26, 3),
        shape(frame_123_shape_group_1_shape_2_horizontal_lines, 47, 1),
        shape(frame_123_shape_group_1_shape_3_horizontal_lines, 48, 4),
        shape(frame_123_shape_group_1_shape_4_horizontal_lines, 49, 1),
        shape(frame_123_shape_group_1_shape_5_horizontal_lines, 50, 4),
        shape(frame_123_shape_group_1_shape_6_horizontal_lines, 76, 3),
        shape(frame_123_shape_group_1_shape_7_horizontal_lines, 96, 1),
        shape(frame_123_shape_group_1_shape_8_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(148, 160),
        horizontal_line(147, 159),
        horizontal_line(146, 158),
        horizontal_line(145, 157),
        horizontal_line(144, 155),
        horizontal_line(142, 154),
        horizontal_line(141, 153),
        horizontal_line(140, 152),
        horizontal_line(139, 151),
        horizontal_line(138, 149),
        horizontal_line(137, 148),
        horizontal_line(137, 147),
        horizontal_line(136, 146),
        horizontal_line(136, 145),
        horizontal_line(136, 143),
        horizontal_line(135, 142),
        horizontal_line(135, 141),
        horizontal_line(135, 140),
        horizontal_line(134, 139),
        horizontal_line(134, 137),
        horizontal_line(134, 136),
        horizontal_line(133, 135),
        horizontal_line(133, 134),
        horizontal_line(133, 133),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(132, 152),
        horizontal_line(132, 150),
        horizontal_line(131, 148),
        horizontal_line(131, 146),
        horizontal_line(131, 144),
        horizontal_line(131, 142),
        horizontal_line(130, 140),
        horizontal_line(130, 138),
        horizontal_line(130, 136),
        horizontal_line(129, 134),
        horizontal_line(129, 132),
        horizontal_line(129, 130),
        horizontal_line(129, 129),
        horizontal_line(127, 128),
        horizontal_line(125, 129),
        horizontal_line(123, 129),
        horizontal_line(121, 130),
        horizontal_line(118, 130),
        horizontal_line(116, 131),
        horizontal_line(114, 132),
        horizontal_line(112, 132),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(111, 133),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(135, 146),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(113, 134),
        horizontal_line(113, 135),
        horizontal_line(113, 136),
        horizontal_line(113, 133),
        horizontal_line(113, 130),
        horizontal_line(114, 126),
        horizontal_line(114, 123),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(117, 118),
        horizontal_line(118, 118),
        horizontal_line(84, 102),
        horizontal_line(65, 103),
        horizontal_line(118, 121),
        horizontal_line(118, 123),
        horizontal_line(117, 125),
        horizontal_line(117, 127),
        horizontal_line(117, 129),
        horizontal_line(116, 131),
        horizontal_line(116, 133),
        horizontal_line(116, 133),
        horizontal_line(115, 134),
        horizontal_line(115, 135),
        horizontal_line(115, 136),
        horizontal_line(114, 137),
        horizontal_line(114, 138),
        horizontal_line(114, 139),
        horizontal_line(114, 139),
        horizontal_line(119, 140),
        horizontal_line(124, 141),
        horizontal_line(130, 142),
        horizontal_line(135, 142),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(106, 139),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(145, 182),
        horizontal_line(144, 183),
        horizontal_line(143, 184),
        horizontal_line(142, 186),
        horizontal_line(142, 187),
        horizontal_line(141, 188),
        horizontal_line(140, 190),
        horizontal_line(140, 191),
        horizontal_line(139, 192),
        horizontal_line(138, 194),
        horizontal_line(138, 195),
        horizontal_line(137, 196),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(134, 195),
        horizontal_line(134, 189),
        horizontal_line(133, 183),
        horizontal_line(132, 177),
        horizontal_line(132, 171),
        horizontal_line(131, 165),
        horizontal_line(130, 159),
        horizontal_line(130, 153),
        horizontal_line(129, 152),
        horizontal_line(128, 152),
        horizontal_line(127, 152),
        horizontal_line(127, 152),
        horizontal_line(126, 151),
        horizontal_line(125, 151),
        horizontal_line(125, 151),
        horizontal_line(124, 151),
        horizontal_line(123, 151),
        horizontal_line(123, 150),
        horizontal_line(122, 150),
        horizontal_line(121, 150),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(108, 120),
        horizontal_line(109, 119),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 117),
        horizontal_line(112, 116),
        horizontal_line(113, 116),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(115, 148),
        horizontal_line(116, 148),
    };

    constexpr const horizontal_line frame_123_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(113, 115),
        horizontal_line(112, 116),
        horizontal_line(111, 117),
        horizontal_line(110, 118),
        horizontal_line(109, 119),
        horizontal_line(107, 119),
        horizontal_line(106, 120),
        horizontal_line(105, 121),
        horizontal_line(104, 122),
        horizontal_line(103, 123),
        horizontal_line(102, 124),
        horizontal_line(100, 124),
        horizontal_line(99, 125),
        horizontal_line(98, 126),
        horizontal_line(97, 127),
        horizontal_line(96, 128),
        horizontal_line(95, 129),
        horizontal_line(94, 130),
    };

    constexpr const shape frame_123_shape_group_2_shapes[] = {
        shape(frame_123_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_123_shape_group_2_shape_1_horizontal_lines, 26, 1),
        shape(frame_123_shape_group_2_shape_2_horizontal_lines, 47, 7),
        shape(frame_123_shape_group_2_shape_3_horizontal_lines, 48, 1),
        shape(frame_123_shape_group_2_shape_4_horizontal_lines, 49, 7),
        shape(frame_123_shape_group_2_shape_5_horizontal_lines, 50, 1),
        shape(frame_123_shape_group_2_shape_6_horizontal_lines, 58, 4),
        shape(frame_123_shape_group_2_shape_7_horizontal_lines, 72, 3),
        shape(frame_123_shape_group_2_shape_8_horizontal_lines, 95, 1),
        shape(frame_123_shape_group_2_shape_9_horizontal_lines, 96, 7),
        shape(frame_123_shape_group_2_shape_10_horizontal_lines, 131, 1),
        shape(frame_123_shape_group_2_shape_11_horizontal_lines, 139, 7),
        shape(frame_123_shape_group_2_shape_12_horizontal_lines, 141, 1),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(167, 189),
        horizontal_line(167, 187),
        horizontal_line(167, 186),
        horizontal_line(167, 185),
        horizontal_line(167, 184),
        horizontal_line(167, 182),
        horizontal_line(167, 181),
        horizontal_line(167, 180),
        horizontal_line(167, 179),
        horizontal_line(168, 178),
        horizontal_line(168, 176),
        horizontal_line(168, 175),
        horizontal_line(168, 174),
        horizontal_line(168, 173),
        horizontal_line(168, 171),
        horizontal_line(168, 170),
        horizontal_line(168, 169),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(141, 203),
        horizontal_line(140, 166),
        horizontal_line(138, 164),
        horizontal_line(137, 162),
        horizontal_line(136, 160),
        horizontal_line(135, 158),
        horizontal_line(134, 156),
        horizontal_line(132, 154),
        horizontal_line(169, 218),
        horizontal_line(170, 215),
        horizontal_line(170, 212),
        horizontal_line(170, 209),
        horizontal_line(170, 205),
        horizontal_line(170, 202),
        horizontal_line(171, 199),
        horizontal_line(171, 195),
        horizontal_line(171, 192),
        horizontal_line(171, 189),
        horizontal_line(172, 186),
        horizontal_line(172, 182),
        horizontal_line(172, 179),
        horizontal_line(172, 176),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(130, 170),
        horizontal_line(131, 167),
        horizontal_line(131, 164),
        horizontal_line(132, 161),
        horizontal_line(133, 158),
        horizontal_line(133, 155),
        horizontal_line(172, 229),
        horizontal_line(134, 149),
        horizontal_line(172, 229),
        horizontal_line(135, 143),
        horizontal_line(136, 140),
        horizontal_line(137, 137),
        horizontal_line(134, 136),
        horizontal_line(131, 136),
        horizontal_line(113, 113),
        horizontal_line(113, 113),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 114),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(114, 117),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(122, 142),
        horizontal_line(122, 143),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(174, 228),
        horizontal_line(177, 227),
        horizontal_line(180, 227),
        horizontal_line(183, 227),
        horizontal_line(186, 227),
        horizontal_line(188, 227),
        horizontal_line(191, 227),
        horizontal_line(164, 167),
        horizontal_line(162, 168),
        horizontal_line(159, 170),
        horizontal_line(157, 171),
        horizontal_line(155, 172),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(111, 118),
        horizontal_line(110, 123),
        horizontal_line(109, 129),
        horizontal_line(107, 134),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(143, 180),
        horizontal_line(225, 227),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(185, 225),
        horizontal_line(187, 223),
        horizontal_line(188, 221),
        horizontal_line(189, 219),
        horizontal_line(191, 217),
        horizontal_line(192, 215),
        horizontal_line(193, 213),
        horizontal_line(195, 211),
        horizontal_line(196, 209),
        horizontal_line(197, 207),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(198, 198),
        horizontal_line(198, 199),
        horizontal_line(197, 201),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(196, 201),
        horizontal_line(190, 202),
        horizontal_line(184, 202),
        horizontal_line(178, 203),
        horizontal_line(172, 203),
        horizontal_line(166, 204),
        horizontal_line(160, 204),
        horizontal_line(154, 205),
        horizontal_line(153, 205),
        horizontal_line(153, 206),
        horizontal_line(153, 206),
        horizontal_line(153, 207),
        horizontal_line(152, 207),
        horizontal_line(152, 208),
        horizontal_line(152, 208),
        horizontal_line(152, 209),
        horizontal_line(152, 209),
        horizontal_line(151, 210),
        horizontal_line(151, 210),
        horizontal_line(151, 211),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(121, 150),
        horizontal_line(120, 149),
        horizontal_line(119, 149),
        horizontal_line(119, 149),
        horizontal_line(118, 149),
        horizontal_line(117, 149),
        horizontal_line(117, 148),
        horizontal_line(116, 148),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(149, 211),
        horizontal_line(149, 211),
    };

    constexpr const horizontal_line frame_123_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(115, 147),
        horizontal_line(116, 147),
        horizontal_line(117, 147),
        horizontal_line(118, 147),
        horizontal_line(119, 147),
        horizontal_line(120, 146),
        horizontal_line(120, 146),
        horizontal_line(121, 146),
        horizontal_line(122, 146),
        horizontal_line(123, 145),
        horizontal_line(124, 145),
        horizontal_line(125, 145),
        horizontal_line(125, 145),
        horizontal_line(126, 145),
        horizontal_line(127, 144),
        horizontal_line(128, 144),
        horizontal_line(129, 144),
        horizontal_line(130, 144),
        horizontal_line(131, 144),
    };

    constexpr const shape frame_123_shape_group_3_shapes[] = {
        shape(frame_123_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_123_shape_group_3_shape_1_horizontal_lines, 18, 1),
        shape(frame_123_shape_group_3_shape_2_horizontal_lines, 41, 7),
        shape(frame_123_shape_group_3_shape_3_horizontal_lines, 58, 3),
        shape(frame_123_shape_group_3_shape_4_horizontal_lines, 72, 7),
        shape(frame_123_shape_group_3_shape_5_horizontal_lines, 75, 3),
        shape(frame_123_shape_group_3_shape_6_horizontal_lines, 76, 7),
        shape(frame_123_shape_group_3_shape_7_horizontal_lines, 90, 1),
        shape(frame_123_shape_group_3_shape_8_horizontal_lines, 95, 7),
        shape(frame_123_shape_group_3_shape_9_horizontal_lines, 97, 8),
        shape(frame_123_shape_group_3_shape_10_horizontal_lines, 108, 7),
        shape(frame_123_shape_group_3_shape_11_horizontal_lines, 111, 8),
        shape(frame_123_shape_group_3_shape_12_horizontal_lines, 131, 7),
        shape(frame_123_shape_group_3_shape_13_horizontal_lines, 139, 8),
        shape(frame_123_shape_group_3_shape_14_horizontal_lines, 141, 7),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(163, 166),
        horizontal_line(161, 166),
        horizontal_line(160, 166),
        horizontal_line(159, 166),
        horizontal_line(158, 166),
        horizontal_line(156, 166),
        horizontal_line(155, 166),
        horizontal_line(154, 166),
        horizontal_line(153, 166),
        horizontal_line(152, 167),
        horizontal_line(150, 167),
        horizontal_line(149, 167),
        horizontal_line(148, 167),
        horizontal_line(147, 167),
        horizontal_line(146, 167),
        horizontal_line(144, 167),
        horizontal_line(143, 167),
        horizontal_line(142, 167),
        horizontal_line(203, 232),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 228),
        horizontal_line(169, 225),
        horizontal_line(169, 222),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(153, 168),
        horizontal_line(151, 169),
        horizontal_line(149, 169),
        horizontal_line(147, 169),
        horizontal_line(145, 169),
        horizontal_line(143, 169),
        horizontal_line(141, 170),
        horizontal_line(139, 170),
        horizontal_line(137, 170),
        horizontal_line(135, 170),
        horizontal_line(133, 171),
        horizontal_line(131, 171),
        horizontal_line(130, 171),
        horizontal_line(129, 171),
        horizontal_line(130, 172),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(153, 171),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(172, 229),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(147, 171),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(127, 137),
        horizontal_line(124, 137),
        horizontal_line(120, 137),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(116, 138),
        horizontal_line(116, 138),
        horizontal_line(117, 139),
        horizontal_line(117, 139),
        horizontal_line(118, 139),
        horizontal_line(118, 140),
        horizontal_line(119, 140),
        horizontal_line(119, 140),
        horizontal_line(119, 141),
        horizontal_line(120, 141),
        horizontal_line(120, 141),
        horizontal_line(121, 142),
        horizontal_line(121, 142),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(122, 142),
        horizontal_line(124, 141),
        horizontal_line(126, 141),
        horizontal_line(128, 142),
        horizontal_line(130, 147),
        horizontal_line(132, 152),
        horizontal_line(134, 157),
        horizontal_line(134, 162),
        horizontal_line(135, 190),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(194, 227),
        horizontal_line(197, 227),
        horizontal_line(200, 227),
        horizontal_line(202, 227),
        horizontal_line(205, 227),
        horizontal_line(152, 174),
        horizontal_line(150, 175),
        horizontal_line(147, 176),
        horizontal_line(145, 178),
        horizontal_line(143, 179),
        horizontal_line(222, 227),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(183, 224),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(199, 205),
        horizontal_line(200, 203),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(151, 211),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(211, 215),
        horizontal_line(211, 216),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
    };

    constexpr const shape frame_123_shape_group_4_shapes[] = {
        shape(frame_123_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_123_shape_group_4_shape_1_horizontal_lines, 26, 7),
        shape(frame_123_shape_group_4_shape_2_horizontal_lines, 47, 8),
        shape(frame_123_shape_group_4_shape_3_horizontal_lines, 48, 7),
        shape(frame_123_shape_group_4_shape_4_horizontal_lines, 49, 8),
        shape(frame_123_shape_group_4_shape_5_horizontal_lines, 50, 7),
        shape(frame_123_shape_group_4_shape_6_horizontal_lines, 58, 1),
        shape(frame_123_shape_group_4_shape_7_horizontal_lines, 59, 7),
        shape(frame_123_shape_group_4_shape_8_horizontal_lines, 76, 8),
        shape(frame_123_shape_group_4_shape_9_horizontal_lines, 85, 7),
        shape(frame_123_shape_group_4_shape_10_horizontal_lines, 96, 8),
        shape(frame_123_shape_group_4_shape_11_horizontal_lines, 98, 8),
        shape(frame_123_shape_group_4_shape_12_horizontal_lines, 107, 9),
        shape(frame_123_shape_group_4_shape_13_horizontal_lines, 108, 8),
        shape(frame_123_shape_group_4_shape_14_horizontal_lines, 110, 9),
        shape(frame_123_shape_group_4_shape_15_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(190, 232),
        horizontal_line(188, 232),
        horizontal_line(187, 232),
        horizontal_line(186, 232),
        horizontal_line(185, 232),
        horizontal_line(183, 232),
        horizontal_line(182, 232),
        horizontal_line(181, 232),
        horizontal_line(180, 232),
        horizontal_line(179, 232),
        horizontal_line(177, 232),
        horizontal_line(176, 232),
        horizontal_line(175, 232),
        horizontal_line(174, 232),
        horizontal_line(172, 232),
        horizontal_line(171, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(233, 238),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 232),
        horizontal_line(230, 231),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(159, 168),
        horizontal_line(157, 168),
        horizontal_line(155, 168),
        horizontal_line(219, 230),
        horizontal_line(216, 230),
        horizontal_line(213, 230),
        horizontal_line(210, 230),
        horizontal_line(206, 230),
        horizontal_line(203, 230),
        horizontal_line(200, 230),
        horizontal_line(196, 230),
        horizontal_line(193, 230),
        horizontal_line(190, 230),
        horizontal_line(187, 230),
        horizontal_line(183, 230),
        horizontal_line(180, 230),
        horizontal_line(177, 230),
        horizontal_line(174, 230),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(168, 171),
        horizontal_line(165, 171),
        horizontal_line(162, 171),
        horizontal_line(159, 171),
        horizontal_line(156, 171),
        horizontal_line(230, 239),
        horizontal_line(150, 171),
        horizontal_line(230, 239),
        horizontal_line(144, 171),
        horizontal_line(141, 171),
        horizontal_line(138, 171),
        horizontal_line(137, 171),
        horizontal_line(137, 171),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(172, 229),
        horizontal_line(113, 115),
        horizontal_line(172, 229),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 122),
        horizontal_line(122, 142),
        horizontal_line(165, 171),
        horizontal_line(229, 239),
        horizontal_line(171, 173),
        horizontal_line(170, 176),
        horizontal_line(169, 179),
        horizontal_line(169, 182),
        horizontal_line(168, 185),
        horizontal_line(167, 187),
        horizontal_line(228, 239),
        horizontal_line(136, 163),
        horizontal_line(137, 161),
        horizontal_line(138, 158),
        horizontal_line(139, 156),
        horizontal_line(140, 154),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(208, 227),
        horizontal_line(211, 227),
        horizontal_line(214, 227),
        horizontal_line(216, 227),
        horizontal_line(219, 227),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(181, 221),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(226, 228),
        horizontal_line(224, 229),
        horizontal_line(222, 230),
        horizontal_line(220, 231),
        horizontal_line(218, 233),
        horizontal_line(216, 234),
        horizontal_line(214, 235),
        horizontal_line(212, 236),
        horizontal_line(210, 238),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(212, 212),
        horizontal_line(212, 212),
        horizontal_line(212, 213),
        horizontal_line(212, 213),
        horizontal_line(212, 214),
        horizontal_line(211, 214),
        horizontal_line(211, 215),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(210, 216),
        horizontal_line(210, 217),
        horizontal_line(210, 217),
        horizontal_line(210, 218),
        horizontal_line(210, 218),
        horizontal_line(209, 219),
        horizontal_line(209, 219),
        horizontal_line(209, 220),
        horizontal_line(209, 220),
        horizontal_line(208, 221),
        horizontal_line(208, 221),
        horizontal_line(208, 222),
        horizontal_line(208, 222),
        horizontal_line(208, 223),
        horizontal_line(207, 223),
        horizontal_line(207, 224),
        horizontal_line(207, 224),
        horizontal_line(207, 225),
        horizontal_line(207, 226),
    };

    constexpr const shape frame_123_shape_group_5_shapes[] = {
        shape(frame_123_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_123_shape_group_5_shape_1_horizontal_lines, 18, 7),
        shape(frame_123_shape_group_5_shape_2_horizontal_lines, 19, 1),
        shape(frame_123_shape_group_5_shape_3_horizontal_lines, 23, 7),
        shape(frame_123_shape_group_5_shape_4_horizontal_lines, 41, 8),
        shape(frame_123_shape_group_5_shape_5_horizontal_lines, 55, 7),
        shape(frame_123_shape_group_5_shape_6_horizontal_lines, 72, 8),
        shape(frame_123_shape_group_5_shape_7_horizontal_lines, 90, 7),
        shape(frame_123_shape_group_5_shape_8_horizontal_lines, 95, 8),
        shape(frame_123_shape_group_5_shape_9_horizontal_lines, 98, 9),
        shape(frame_123_shape_group_5_shape_10_horizontal_lines, 108, 9),
        shape(frame_123_shape_group_5_shape_11_horizontal_lines, 131, 9),
        shape(frame_123_shape_group_5_shape_12_horizontal_lines, 132, 8),
        shape(frame_123_shape_group_5_shape_13_horizontal_lines, 139, 9),
        shape(frame_123_shape_group_5_shape_14_horizontal_lines, 141, 8),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(232, 232),
        horizontal_line(231, 232),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(165, 167),
        horizontal_line(163, 167),
        horizontal_line(161, 167),
        horizontal_line(229, 230),
        horizontal_line(226, 230),
        horizontal_line(223, 230),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(138, 171),
        horizontal_line(138, 171),
        horizontal_line(138, 171),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(117, 138),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(114, 115),
        horizontal_line(115, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 118),
        horizontal_line(118, 118),
        horizontal_line(142, 171),
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 120),
        horizontal_line(119, 120),
        horizontal_line(143, 171),
        horizontal_line(144, 171),
        horizontal_line(124, 142),
        horizontal_line(158, 171),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(142, 171),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(168, 193),
        horizontal_line(169, 196),
        horizontal_line(171, 199),
        horizontal_line(172, 201),
        horizontal_line(173, 204),
        horizontal_line(140, 151),
        horizontal_line(141, 149),
        horizontal_line(142, 146),
        horizontal_line(143, 144),
        horizontal_line(180, 218),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_123_shape_group_6_shapes[] = {
        shape(frame_123_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_123_shape_group_6_shape_1_horizontal_lines, 16, 1),
        shape(frame_123_shape_group_6_shape_2_horizontal_lines, 18, 8),
        shape(frame_123_shape_group_6_shape_3_horizontal_lines, 19, 7),
        shape(frame_123_shape_group_6_shape_4_horizontal_lines, 26, 8),
        shape(frame_123_shape_group_6_shape_5_horizontal_lines, 48, 8),
        shape(frame_123_shape_group_6_shape_6_horizontal_lines, 50, 8),
        shape(frame_123_shape_group_6_shape_7_horizontal_lines, 58, 7),
        shape(frame_123_shape_group_6_shape_8_horizontal_lines, 59, 8),
        shape(frame_123_shape_group_6_shape_9_horizontal_lines, 77, 9),
        shape(frame_123_shape_group_6_shape_10_horizontal_lines, 78, 8),
        shape(frame_123_shape_group_6_shape_11_horizontal_lines, 85, 8),
        shape(frame_123_shape_group_6_shape_12_horizontal_lines, 132, 9),
        shape(frame_123_shape_group_6_shape_13_horizontal_lines, 141, 9),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(233, 236),
        horizontal_line(233, 234),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(172, 229),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(139, 171),
        horizontal_line(139, 171),
        horizontal_line(140, 171),
        horizontal_line(140, 171),
        horizontal_line(140, 171),
        horizontal_line(141, 171),
        horizontal_line(141, 171),
        horizontal_line(141, 171),
        horizontal_line(229, 239),
        horizontal_line(142, 171),
        horizontal_line(142, 171),
        horizontal_line(143, 171),
        horizontal_line(143, 171),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(151, 171),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(143, 164),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(142, 170),
        horizontal_line(143, 169),
        horizontal_line(148, 168),
        horizontal_line(153, 168),
        horizontal_line(158, 167),
        horizontal_line(163, 166),
    };

    constexpr const horizontal_line frame_123_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(175, 207),
        horizontal_line(176, 210),
        horizontal_line(177, 213),
        horizontal_line(179, 215),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_123_shape_group_7_shapes[] = {
        shape(frame_123_shape_group_7_shape_0_horizontal_lines, 16, 7),
        shape(frame_123_shape_group_7_shape_1_horizontal_lines, 19, 7),
        shape(frame_123_shape_group_7_shape_2_horizontal_lines, 21, 8),
        shape(frame_123_shape_group_7_shape_3_horizontal_lines, 55, 8),
        shape(frame_123_shape_group_7_shape_4_horizontal_lines, 58, 7),
        shape(frame_123_shape_group_7_shape_5_horizontal_lines, 59, 8),
        shape(frame_123_shape_group_7_shape_6_horizontal_lines, 76, 9),
        shape(frame_123_shape_group_7_shape_7_horizontal_lines, 78, 9),
        shape(frame_123_shape_group_7_shape_8_horizontal_lines, 85, 8),
    };

    constexpr const horizontal_line frame_123_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(139, 171),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_123_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_123_shape_group_8_shapes[] = {
        shape(frame_123_shape_group_8_shape_0_horizontal_lines, 19, 8),
        shape(frame_123_shape_group_8_shape_1_horizontal_lines, 58, 8),
        shape(frame_123_shape_group_8_shape_2_horizontal_lines, 68, 8),
        shape(frame_123_shape_group_8_shape_3_horizontal_lines, 74, 8),
        shape(frame_123_shape_group_8_shape_4_horizontal_lines, 75, 9),
        shape(frame_123_shape_group_8_shape_5_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_123_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_123_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(143, 150),
        horizontal_line(143, 157),
    };

    constexpr const shape frame_123_shape_group_9_shapes[] = {
        shape(frame_123_shape_group_9_shape_0_horizontal_lines, 58, 8),
        shape(frame_123_shape_group_9_shape_1_horizontal_lines, 74, 9),
    };

    constexpr const shape_group frame_123_shape_groups[] = {
        shape_group(frame_123_shape_group_0_shapes),
        shape_group(frame_123_shape_group_1_shapes),
        shape_group(frame_123_shape_group_2_shapes),
        shape_group(frame_123_shape_group_3_shapes),
        shape_group(frame_123_shape_group_4_shapes),
        shape_group(frame_123_shape_group_5_shapes),
        shape_group(frame_123_shape_group_6_shapes),
        shape_group(frame_123_shape_group_7_shapes),
        shape_group(frame_123_shape_group_8_shapes),
        shape_group(frame_123_shape_group_9_shapes),
    };

    constexpr const frame frame_123_impl(frame_123_colors, frame_123_shape_groups);
} 

const frame& frame_123()
{
    return frame_123_impl;
}

namespace
{
    constexpr const bn::color frame_124_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_124_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 62),
        horizontal_line(0, 26),
        horizontal_line(0, 17),
        horizontal_line(0, 8),
        horizontal_line(0, 0),
        horizontal_line(35, 88),
        horizontal_line(35, 88),
        horizontal_line(35, 88),
        horizontal_line(35, 88),
        horizontal_line(35, 88),
        horizontal_line(35, 88),
        horizontal_line(34, 87),
        horizontal_line(34, 87),
        horizontal_line(34, 87),
        horizontal_line(34, 87),
        horizontal_line(34, 87),
        horizontal_line(34, 87),
        horizontal_line(34, 87),
        horizontal_line(34, 86),
        horizontal_line(34, 86),
        horizontal_line(34, 86),
        horizontal_line(33, 86),
        horizontal_line(33, 86),
        horizontal_line(33, 86),
        horizontal_line(33, 86),
        horizontal_line(33, 95),
        horizontal_line(33, 75),
        horizontal_line(33, 64),
        horizontal_line(33, 53),
        horizontal_line(33, 42),
        horizontal_line(90, 110),
        horizontal_line(29, 32),
        horizontal_line(25, 33),
        horizontal_line(21, 34),
        horizontal_line(17, 35),
        horizontal_line(13, 36),
        horizontal_line(9, 36),
        horizontal_line(5, 37),
        horizontal_line(1, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_124_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_124_shape_group_0_shapes[] = {
        shape(frame_124_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_124_shape_group_0_shape_1_horizontal_lines, 155, 3),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(42, 73),
        horizontal_line(45, 74),
        horizontal_line(48, 75),
        horizontal_line(51, 76),
        horizontal_line(54, 77),
        horizontal_line(58, 78),
        horizontal_line(61, 79),
        horizontal_line(64, 80),
        horizontal_line(67, 81),
        horizontal_line(70, 82),
        horizontal_line(74, 83),
        horizontal_line(77, 84),
        horizontal_line(80, 85),
        horizontal_line(83, 86),
        horizontal_line(86, 87),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(21, 83),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(90, 90),
        horizontal_line(90, 91),
        horizontal_line(90, 92),
        horizontal_line(90, 93),
        horizontal_line(90, 94),
        horizontal_line(90, 95),
        horizontal_line(90, 96),
        horizontal_line(90, 97),
        horizontal_line(90, 98),
        horizontal_line(90, 99),
        horizontal_line(90, 100),
        horizontal_line(90, 101),
        horizontal_line(90, 102),
        horizontal_line(90, 103),
        horizontal_line(90, 104),
        horizontal_line(90, 105),
        horizontal_line(90, 106),
        horizontal_line(90, 107),
        horizontal_line(90, 108),
        horizontal_line(90, 116),
        horizontal_line(90, 113),
        horizontal_line(90, 111),
        horizontal_line(90, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 110),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 109),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 108),
        horizontal_line(90, 107),
        horizontal_line(90, 107),
        horizontal_line(90, 107),
        horizontal_line(90, 107),
        horizontal_line(91, 107),
        horizontal_line(77, 89),
        horizontal_line(63, 89),
        horizontal_line(49, 89),
        horizontal_line(108, 113),
        horizontal_line(35, 89),
        horizontal_line(35, 89),
        horizontal_line(35, 89),
        horizontal_line(35, 88),
        horizontal_line(108, 112),
        horizontal_line(108, 110),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(106, 107),
        horizontal_line(105, 108),
        horizontal_line(104, 108),
        horizontal_line(103, 109),
        horizontal_line(101, 109),
        horizontal_line(100, 110),
        horizontal_line(99, 110),
        horizontal_line(98, 111),
        horizontal_line(96, 111),
        horizontal_line(95, 112),
        horizontal_line(94, 112),
        horizontal_line(93, 113),
        horizontal_line(91, 113),
        horizontal_line(90, 114),
        horizontal_line(89, 115),
        horizontal_line(88, 114),
        horizontal_line(95, 113),
        horizontal_line(87, 113),
        horizontal_line(88, 112),
        horizontal_line(89, 111),
        horizontal_line(90, 111),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(91, 109),
        horizontal_line(92, 109),
        horizontal_line(93, 108),
        horizontal_line(94, 107),
        horizontal_line(94, 107),
        horizontal_line(95, 106),
        horizontal_line(96, 105),
        horizontal_line(97, 105),
        horizontal_line(98, 104),
        horizontal_line(98, 103),
        horizontal_line(99, 103),
        horizontal_line(100, 102),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(44, 100),
        horizontal_line(45, 98),
        horizontal_line(46, 96),
        horizontal_line(46, 95),
        horizontal_line(47, 93),
        horizontal_line(48, 92),
        horizontal_line(49, 90),
        horizontal_line(50, 88),
        horizontal_line(50, 87),
        horizontal_line(51, 85),
        horizontal_line(52, 84),
        horizontal_line(53, 82),
        horizontal_line(54, 81),
        horizontal_line(55, 79),
        horizontal_line(55, 77),
        horizontal_line(56, 76),
        horizontal_line(57, 74),
        horizontal_line(58, 73),
        horizontal_line(59, 71),
        horizontal_line(59, 69),
        horizontal_line(60, 68),
        horizontal_line(61, 66),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_124_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(59, 63),
        horizontal_line(57, 63),
        horizontal_line(55, 64),
        horizontal_line(52, 64),
        horizontal_line(50, 65),
        horizontal_line(48, 65),
        horizontal_line(46, 66),
        horizontal_line(43, 66),
        horizontal_line(41, 67),
        horizontal_line(39, 67),
        horizontal_line(37, 68),
        horizontal_line(34, 68),
        horizontal_line(32, 69),
        horizontal_line(30, 69),
        horizontal_line(28, 70),
        horizontal_line(25, 70),
        horizontal_line(23, 71),
        horizontal_line(21, 71),
        horizontal_line(19, 72),
        horizontal_line(16, 72),
        horizontal_line(14, 73),
        horizontal_line(12, 73),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
    };

    constexpr const shape frame_124_shape_group_1_shapes[] = {
        shape(frame_124_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_124_shape_group_1_shape_1_horizontal_lines, 15, 4),
        shape(frame_124_shape_group_1_shape_2_horizontal_lines, 16, 2),
        shape(frame_124_shape_group_1_shape_3_horizontal_lines, 66, 4),
        shape(frame_124_shape_group_1_shape_4_horizontal_lines, 67, 2),
        shape(frame_124_shape_group_1_shape_5_horizontal_lines, 88, 4),
        shape(frame_124_shape_group_1_shape_6_horizontal_lines, 89, 2),
        shape(frame_124_shape_group_1_shape_7_horizontal_lines, 102, 3),
        shape(frame_124_shape_group_1_shape_8_horizontal_lines, 125, 2),
        shape(frame_124_shape_group_1_shape_9_horizontal_lines, 127, 3),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(16, 41),
        horizontal_line(16, 44),
        horizontal_line(16, 47),
        horizontal_line(17, 50),
        horizontal_line(17, 53),
        horizontal_line(17, 57),
        horizontal_line(18, 60),
        horizontal_line(18, 63),
        horizontal_line(18, 66),
        horizontal_line(19, 69),
        horizontal_line(19, 73),
        horizontal_line(19, 76),
        horizontal_line(20, 79),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(83, 89),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(138, 140),
        horizontal_line(136, 139),
        horizontal_line(134, 139),
        horizontal_line(132, 139),
        horizontal_line(130, 138),
        horizontal_line(128, 138),
        horizontal_line(126, 137),
        horizontal_line(124, 137),
        horizontal_line(122, 137),
        horizontal_line(120, 136),
        horizontal_line(118, 136),
        horizontal_line(116, 136),
        horizontal_line(114, 133),
        horizontal_line(113, 130),
        horizontal_line(112, 127),
        horizontal_line(112, 124),
        horizontal_line(111, 122),
        horizontal_line(111, 119),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(28, 89),
        horizontal_line(29, 89),
        horizontal_line(29, 89),
        horizontal_line(29, 89),
        horizontal_line(30, 89),
        horizontal_line(30, 89),
        horizontal_line(30, 89),
        horizontal_line(31, 89),
        horizontal_line(31, 89),
        horizontal_line(31, 89),
        horizontal_line(32, 89),
        horizontal_line(32, 89),
        horizontal_line(32, 89),
        horizontal_line(33, 89),
        horizontal_line(33, 89),
        horizontal_line(33, 89),
        horizontal_line(34, 89),
        horizontal_line(34, 90),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(62, 89),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(108, 113),
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(89, 107),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(33, 89),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(40, 97),
        horizontal_line(41, 97),
        horizontal_line(41, 98),
        horizontal_line(42, 99),
        horizontal_line(43, 100),
        horizontal_line(102, 133),
        horizontal_line(106, 133),
        horizontal_line(110, 133),
        horizontal_line(115, 133),
        horizontal_line(119, 134),
        horizontal_line(123, 134),
        horizontal_line(128, 134),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(88, 135),
        horizontal_line(86, 134),
        horizontal_line(85, 133),
        horizontal_line(83, 132),
        horizontal_line(82, 131),
        horizontal_line(80, 130),
        horizontal_line(78, 129),
        horizontal_line(77, 129),
        horizontal_line(75, 128),
        horizontal_line(74, 127),
        horizontal_line(72, 126),
        horizontal_line(70, 125),
        horizontal_line(69, 124),
        horizontal_line(67, 123),
        horizontal_line(66, 123),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(64, 121),
        horizontal_line(63, 120),
        horizontal_line(64, 119),
        horizontal_line(64, 118),
        horizontal_line(65, 117),
        horizontal_line(65, 117),
        horizontal_line(66, 116),
        horizontal_line(66, 115),
        horizontal_line(67, 114),
        horizontal_line(67, 113),
        horizontal_line(68, 112),
        horizontal_line(68, 111),
        horizontal_line(69, 111),
        horizontal_line(69, 110),
        horizontal_line(70, 109),
        horizontal_line(70, 108),
        horizontal_line(71, 107),
        horizontal_line(71, 106),
        horizontal_line(72, 105),
        horizontal_line(72, 105),
        horizontal_line(73, 104),
        horizontal_line(73, 103),
        horizontal_line(74, 102),
        horizontal_line(74, 101),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(72, 74),
        horizontal_line(69, 74),
        horizontal_line(67, 75),
        horizontal_line(65, 75),
        horizontal_line(63, 76),
    };

    constexpr const horizontal_line frame_124_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(77, 96),
        horizontal_line(78, 95),
        horizontal_line(78, 94),
        horizontal_line(79, 93),
        horizontal_line(80, 93),
    };

    constexpr const shape frame_124_shape_group_2_shapes[] = {
        shape(frame_124_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_124_shape_group_2_shape_1_horizontal_lines, 16, 2),
        shape(frame_124_shape_group_2_shape_2_horizontal_lines, 35, 4),
        shape(frame_124_shape_group_2_shape_3_horizontal_lines, 55, 2),
        shape(frame_124_shape_group_2_shape_4_horizontal_lines, 63, 4),
        shape(frame_124_shape_group_2_shape_5_horizontal_lines, 88, 3),
        shape(frame_124_shape_group_2_shape_6_horizontal_lines, 89, 4),
        shape(frame_124_shape_group_2_shape_7_horizontal_lines, 97, 3),
        shape(frame_124_shape_group_2_shape_8_horizontal_lines, 110, 1),
        shape(frame_124_shape_group_2_shape_9_horizontal_lines, 125, 3),
        shape(frame_124_shape_group_2_shape_10_horizontal_lines, 126, 1),
        shape(frame_124_shape_group_2_shape_11_horizontal_lines, 150, 3),
        shape(frame_124_shape_group_2_shape_12_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(77, 139),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(85, 146),
        horizontal_line(86, 145),
        horizontal_line(87, 144),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(82, 85),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(90, 141),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(117, 133),
        horizontal_line(114, 133),
        horizontal_line(112, 133),
        horizontal_line(111, 132),
        horizontal_line(111, 132),
        horizontal_line(111, 132),
        horizontal_line(111, 131),
        horizontal_line(110, 131),
        horizontal_line(110, 131),
        horizontal_line(110, 129),
        horizontal_line(110, 127),
        horizontal_line(110, 124),
        horizontal_line(111, 122),
        horizontal_line(111, 119),
        horizontal_line(111, 117),
        horizontal_line(111, 114),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(113, 136),
        horizontal_line(113, 137),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(34, 76),
        horizontal_line(35, 62),
        horizontal_line(35, 48),
        horizontal_line(90, 107),
        horizontal_line(27, 34),
        horizontal_line(18, 34),
        horizontal_line(9, 34),
        horizontal_line(1, 34),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(89, 105),
        horizontal_line(89, 104),
        horizontal_line(88, 103),
        horizontal_line(88, 102),
        horizontal_line(88, 100),
        horizontal_line(88, 99),
        horizontal_line(88, 98),
        horizontal_line(88, 97),
        horizontal_line(88, 95),
        horizontal_line(87, 94),
        horizontal_line(87, 93),
        horizontal_line(87, 92),
        horizontal_line(87, 90),
        horizontal_line(87, 89),
        horizontal_line(87, 88),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(114, 118),
        horizontal_line(76, 86),
        horizontal_line(65, 87),
        horizontal_line(54, 88),
        horizontal_line(43, 89),
        horizontal_line(111, 127),
        horizontal_line(33, 90),
        horizontal_line(34, 91),
        horizontal_line(35, 92),
        horizontal_line(36, 93),
        horizontal_line(37, 93),
        horizontal_line(37, 94),
        horizontal_line(38, 95),
        horizontal_line(39, 96),
        horizontal_line(105, 131),
        horizontal_line(104, 132),
        horizontal_line(104, 132),
        horizontal_line(103, 132),
        horizontal_line(102, 132),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(99, 105),
        horizontal_line(97, 109),
        horizontal_line(96, 114),
        horizontal_line(94, 118),
        horizontal_line(93, 122),
        horizontal_line(91, 127),
        horizontal_line(89, 131),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(64, 122),
        horizontal_line(141, 142),
        horizontal_line(142, 142),
        horizontal_line(142, 142),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(193, 202),
        horizontal_line(183, 202),
        horizontal_line(173, 202),
        horizontal_line(163, 203),
        horizontal_line(153, 203),
        horizontal_line(144, 203),
        horizontal_line(143, 204),
        horizontal_line(143, 204),
        horizontal_line(143, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(75, 100),
        horizontal_line(75, 99),
        horizontal_line(76, 99),
        horizontal_line(76, 98),
        horizontal_line(77, 97),
    };

    constexpr const horizontal_line frame_124_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
    };

    constexpr const shape frame_124_shape_group_3_shapes[] = {
        shape(frame_124_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_124_shape_group_3_shape_1_horizontal_lines, 13, 4),
        shape(frame_124_shape_group_3_shape_2_horizontal_lines, 15, 7),
        shape(frame_124_shape_group_3_shape_3_horizontal_lines, 16, 4),
        shape(frame_124_shape_group_3_shape_4_horizontal_lines, 35, 3),
        shape(frame_124_shape_group_3_shape_5_horizontal_lines, 52, 1),
        shape(frame_124_shape_group_3_shape_6_horizontal_lines, 55, 4),
        shape(frame_124_shape_group_3_shape_7_horizontal_lines, 66, 3),
        shape(frame_124_shape_group_3_shape_8_horizontal_lines, 67, 4),
        shape(frame_124_shape_group_3_shape_9_horizontal_lines, 83, 3),
        shape(frame_124_shape_group_3_shape_10_horizontal_lines, 102, 1),
        shape(frame_124_shape_group_3_shape_11_horizontal_lines, 130, 9),
        shape(frame_124_shape_group_3_shape_12_horizontal_lines, 131, 8),
        shape(frame_124_shape_group_3_shape_13_horizontal_lines, 150, 1),
        shape(frame_124_shape_group_3_shape_14_horizontal_lines, 155, 8),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(136, 157),
        horizontal_line(137, 155),
        horizontal_line(138, 154),
        horizontal_line(139, 153),
        horizontal_line(140, 152),
        horizontal_line(141, 151),
        horizontal_line(142, 150),
        horizontal_line(144, 149),
        horizontal_line(145, 148),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(84, 84),
        horizontal_line(85, 85),
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(88, 143),
        horizontal_line(90, 142),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(83, 89),
        horizontal_line(83, 89),
        horizontal_line(84, 89),
        horizontal_line(84, 89),
        horizontal_line(84, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(87, 89),
        horizontal_line(87, 89),
        horizontal_line(88, 89),
        horizontal_line(88, 89),
        horizontal_line(88, 89),
        horizontal_line(89, 89),
        horizontal_line(89, 89),
        horizontal_line(89, 89),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(134, 147),
        horizontal_line(134, 145),
        horizontal_line(134, 143),
        horizontal_line(133, 141),
        horizontal_line(133, 139),
        horizontal_line(133, 137),
        horizontal_line(132, 135),
        horizontal_line(132, 133),
        horizontal_line(132, 132),
        horizontal_line(130, 131),
        horizontal_line(128, 132),
        horizontal_line(109, 109),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 111),
        horizontal_line(112, 136),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(154, 175),
        horizontal_line(151, 175),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(90, 107),
        horizontal_line(90, 107),
        horizontal_line(90, 107),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(116, 135),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(90, 107),
        horizontal_line(90, 107),
        horizontal_line(90, 107),
        horizontal_line(89, 107),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(111, 114),
        horizontal_line(109, 115),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(108, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(116, 121),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(114, 120),
        horizontal_line(113, 122),
        horizontal_line(112, 123),
        horizontal_line(112, 125),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(110, 129),
        horizontal_line(110, 130),
        horizontal_line(109, 130),
        horizontal_line(108, 130),
        horizontal_line(108, 130),
        horizontal_line(107, 131),
        horizontal_line(106, 131),
        horizontal_line(106, 131),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(132, 136),
        horizontal_line(133, 137),
        horizontal_line(133, 138),
        horizontal_line(133, 139),
        horizontal_line(133, 140),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(134, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(184, 219),
        horizontal_line(185, 221),
        horizontal_line(186, 223),
        horizontal_line(186, 225),
        horizontal_line(187, 227),
        horizontal_line(188, 229),
        horizontal_line(189, 231),
        horizontal_line(190, 233),
        horizontal_line(191, 235),
        horizontal_line(192, 232),
        horizontal_line(193, 229),
        horizontal_line(194, 226),
        horizontal_line(195, 224),
        horizontal_line(196, 221),
        horizontal_line(197, 218),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(141, 142),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(199, 213),
        horizontal_line(200, 210),
        horizontal_line(201, 207),
        horizontal_line(202, 204),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_23_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_4_shape_24_horizontal_lines[] = {
        horizontal_line(204, 205),
        horizontal_line(204, 205),
        horizontal_line(204, 205),
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(203, 206),
        horizontal_line(202, 206),
        horizontal_line(202, 207),
        horizontal_line(202, 207),
        horizontal_line(202, 207),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(200, 209),
        horizontal_line(199, 210),
        horizontal_line(199, 210),
        horizontal_line(199, 210),
        horizontal_line(199, 211),
    };

    constexpr const shape frame_124_shape_group_4_shapes[] = {
        shape(frame_124_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_124_shape_group_4_shape_1_horizontal_lines, 10, 3),
        shape(frame_124_shape_group_4_shape_2_horizontal_lines, 13, 7),
        shape(frame_124_shape_group_4_shape_3_horizontal_lines, 15, 3),
        shape(frame_124_shape_group_4_shape_4_horizontal_lines, 16, 4),
        shape(frame_124_shape_group_4_shape_5_horizontal_lines, 35, 1),
        shape(frame_124_shape_group_4_shape_6_horizontal_lines, 53, 8),
        shape(frame_124_shape_group_4_shape_7_horizontal_lines, 55, 4),
        shape(frame_124_shape_group_4_shape_8_horizontal_lines, 58, 1),
        shape(frame_124_shape_group_4_shape_9_horizontal_lines, 59, 4),
        shape(frame_124_shape_group_4_shape_10_horizontal_lines, 63, 3),
        shape(frame_124_shape_group_4_shape_11_horizontal_lines, 66, 8),
        shape(frame_124_shape_group_4_shape_12_horizontal_lines, 67, 3),
        shape(frame_124_shape_group_4_shape_13_horizontal_lines, 81, 1),
        shape(frame_124_shape_group_4_shape_14_horizontal_lines, 82, 3),
        shape(frame_124_shape_group_4_shape_15_horizontal_lines, 83, 1),
        shape(frame_124_shape_group_4_shape_16_horizontal_lines, 84, 3),
        shape(frame_124_shape_group_4_shape_17_horizontal_lines, 88, 1),
        shape(frame_124_shape_group_4_shape_18_horizontal_lines, 89, 3),
        shape(frame_124_shape_group_4_shape_19_horizontal_lines, 97, 1),
        shape(frame_124_shape_group_4_shape_20_horizontal_lines, 110, 8),
        shape(frame_124_shape_group_4_shape_21_horizontal_lines, 125, 1),
        shape(frame_124_shape_group_4_shape_22_horizontal_lines, 126, 8),
        shape(frame_124_shape_group_4_shape_23_horizontal_lines, 131, 9),
        shape(frame_124_shape_group_4_shape_24_horizontal_lines, 140, 8),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(158, 196),
        horizontal_line(156, 167),
        horizontal_line(155, 166),
        horizontal_line(154, 165),
        horizontal_line(153, 164),
        horizontal_line(152, 163),
        horizontal_line(151, 162),
        horizontal_line(81, 81),
        horizontal_line(82, 82),
        horizontal_line(83, 83),
        horizontal_line(147, 157),
        horizontal_line(146, 156),
        horizontal_line(145, 155),
        horizontal_line(87, 87),
        horizontal_line(88, 89),
        horizontal_line(170, 179),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(91, 139),
        horizontal_line(92, 137),
        horizontal_line(93, 135),
        horizontal_line(94, 133),
        horizontal_line(95, 131),
        horizontal_line(96, 129),
        horizontal_line(97, 127),
        horizontal_line(98, 125),
        horizontal_line(99, 123),
        horizontal_line(100, 121),
        horizontal_line(101, 119),
        horizontal_line(102, 117),
        horizontal_line(103, 115),
        horizontal_line(104, 113),
        horizontal_line(105, 112),
        horizontal_line(106, 109),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(108, 110),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(174, 217),
        horizontal_line(174, 213),
        horizontal_line(174, 209),
        horizontal_line(174, 206),
        horizontal_line(175, 202),
        horizontal_line(175, 198),
        horizontal_line(175, 195),
        horizontal_line(175, 191),
        horizontal_line(176, 187),
        horizontal_line(176, 184),
        horizontal_line(176, 180),
        horizontal_line(125, 132),
        horizontal_line(123, 133),
        horizontal_line(120, 133),
        horizontal_line(118, 134),
        horizontal_line(115, 135),
        horizontal_line(113, 135),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(157, 175),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(114, 137),
        horizontal_line(115, 138),
        horizontal_line(115, 139),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(140, 175),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(117, 131),
        horizontal_line(117, 127),
        horizontal_line(118, 123),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 119),
        horizontal_line(142, 175),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 122),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(125, 145),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(125, 144),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(121, 124),
        horizontal_line(123, 125),
        horizontal_line(124, 126),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(129, 149),
        horizontal_line(130, 152),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(131, 132),
        horizontal_line(131, 133),
        horizontal_line(132, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(137, 159),
        horizontal_line(138, 156),
        horizontal_line(139, 153),
        horizontal_line(140, 150),
        horizontal_line(141, 147),
        horizontal_line(142, 144),
        horizontal_line(177, 206),
        horizontal_line(178, 208),
        horizontal_line(179, 210),
        horizontal_line(180, 212),
        horizontal_line(181, 214),
        horizontal_line(182, 215),
        horizontal_line(183, 217),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(198, 215),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(201, 208),
        horizontal_line(201, 208),
        horizontal_line(201, 208),
        horizontal_line(200, 209),
        horizontal_line(200, 209),
    };

    constexpr const horizontal_line frame_124_shape_group_5_shape_22_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_124_shape_group_5_shapes[] = {
        shape(frame_124_shape_group_5_shape_0_horizontal_lines, 0, 3),
        shape(frame_124_shape_group_5_shape_1_horizontal_lines, 16, 7),
        shape(frame_124_shape_group_5_shape_2_horizontal_lines, 33, 3),
        shape(frame_124_shape_group_5_shape_3_horizontal_lines, 35, 1),
        shape(frame_124_shape_group_5_shape_4_horizontal_lines, 52, 8),
        shape(frame_124_shape_group_5_shape_5_horizontal_lines, 55, 1),
        shape(frame_124_shape_group_5_shape_6_horizontal_lines, 58, 8),
        shape(frame_124_shape_group_5_shape_7_horizontal_lines, 59, 1),
        shape(frame_124_shape_group_5_shape_8_horizontal_lines, 63, 8),
        shape(frame_124_shape_group_5_shape_9_horizontal_lines, 76, 1),
        shape(frame_124_shape_group_5_shape_10_horizontal_lines, 81, 8),
        shape(frame_124_shape_group_5_shape_11_horizontal_lines, 82, 1),
        shape(frame_124_shape_group_5_shape_12_horizontal_lines, 83, 8),
        shape(frame_124_shape_group_5_shape_13_horizontal_lines, 84, 1),
        shape(frame_124_shape_group_5_shape_14_horizontal_lines, 88, 8),
        shape(frame_124_shape_group_5_shape_15_horizontal_lines, 90, 1),
        shape(frame_124_shape_group_5_shape_16_horizontal_lines, 97, 8),
        shape(frame_124_shape_group_5_shape_17_horizontal_lines, 121, 9),
        shape(frame_124_shape_group_5_shape_18_horizontal_lines, 125, 8),
        shape(frame_124_shape_group_5_shape_19_horizontal_lines, 126, 9),
        shape(frame_124_shape_group_5_shape_20_horizontal_lines, 140, 9),
        shape(frame_124_shape_group_5_shape_21_horizontal_lines, 150, 8),
        shape(frame_124_shape_group_5_shape_22_horizontal_lines, 155, 9),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(169, 194),
        horizontal_line(169, 193),
        horizontal_line(169, 192),
        horizontal_line(169, 191),
        horizontal_line(169, 190),
        horizontal_line(169, 189),
        horizontal_line(150, 161),
        horizontal_line(149, 159),
        horizontal_line(148, 158),
        horizontal_line(169, 185),
        horizontal_line(169, 184),
        horizontal_line(170, 182),
        horizontal_line(144, 154),
        horizontal_line(143, 153),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(152, 169),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(141, 150),
        horizontal_line(141, 149),
        horizontal_line(140, 148),
        horizontal_line(140, 147),
        horizontal_line(140, 146),
        horizontal_line(139, 145),
        horizontal_line(139, 143),
        horizontal_line(138, 142),
        horizontal_line(138, 141),
        horizontal_line(138, 140),
        horizontal_line(137, 139),
        horizontal_line(137, 138),
        horizontal_line(137, 137),
        horizontal_line(134, 135),
        horizontal_line(131, 135),
        horizontal_line(110, 111),
        horizontal_line(108, 111),
        horizontal_line(123, 134),
        horizontal_line(120, 134),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(174, 175),
        horizontal_line(171, 175),
        horizontal_line(167, 175),
        horizontal_line(164, 175),
        horizontal_line(161, 175),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(147, 175),
        horizontal_line(144, 175),
        horizontal_line(141, 175),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(140, 175),
        horizontal_line(140, 175),
        horizontal_line(141, 175),
        horizontal_line(141, 175),
        horizontal_line(141, 175),
        horizontal_line(142, 175),
        horizontal_line(142, 175),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(143, 174),
        horizontal_line(143, 174),
        horizontal_line(143, 174),
        horizontal_line(144, 174),
        horizontal_line(144, 174),
        horizontal_line(144, 174),
        horizontal_line(145, 174),
        horizontal_line(145, 174),
        horizontal_line(145, 174),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(120, 125),
        horizontal_line(125, 145),
        horizontal_line(155, 174),
        horizontal_line(125, 144),
        horizontal_line(163, 174),
        horizontal_line(125, 143),
        horizontal_line(126, 143),
        horizontal_line(127, 143),
        horizontal_line(128, 146),
        horizontal_line(173, 177),
        horizontal_line(172, 179),
        horizontal_line(132, 155),
        horizontal_line(132, 158),
        horizontal_line(133, 161),
        horizontal_line(134, 164),
        horizontal_line(135, 189),
        horizontal_line(136, 165),
        horizontal_line(137, 162),
        horizontal_line(171, 194),
        horizontal_line(172, 196),
        horizontal_line(173, 198),
        horizontal_line(174, 200),
        horizontal_line(175, 202),
        horizontal_line(176, 204),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(236, 236),
        horizontal_line(233, 237),
        horizontal_line(230, 238),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const shape frame_124_shape_group_6_shapes[] = {
        shape(frame_124_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_124_shape_group_6_shape_1_horizontal_lines, 1, 3),
        shape(frame_124_shape_group_6_shape_2_horizontal_lines, 15, 1),
        shape(frame_124_shape_group_6_shape_3_horizontal_lines, 16, 3),
        shape(frame_124_shape_group_6_shape_4_horizontal_lines, 46, 1),
        shape(frame_124_shape_group_6_shape_5_horizontal_lines, 47, 8),
        shape(frame_124_shape_group_6_shape_6_horizontal_lines, 55, 8),
        shape(frame_124_shape_group_6_shape_7_horizontal_lines, 59, 8),
        shape(frame_124_shape_group_6_shape_8_horizontal_lines, 67, 8),
        shape(frame_124_shape_group_6_shape_9_horizontal_lines, 118, 9),
        shape(frame_124_shape_group_6_shape_10_horizontal_lines, 125, 9),
        shape(frame_124_shape_group_6_shape_11_horizontal_lines, 150, 9),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(167, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 168),
        horizontal_line(164, 168),
        horizontal_line(163, 168),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(169, 188),
        horizontal_line(169, 187),
        horizontal_line(169, 186),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(158, 168),
        horizontal_line(157, 168),
        horizontal_line(156, 169),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(170, 181),
        horizontal_line(170, 180),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(170, 178),
        horizontal_line(170, 177),
        horizontal_line(170, 176),
        horizontal_line(170, 175),
        horizontal_line(170, 174),
        horizontal_line(170, 173),
        horizontal_line(170, 172),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(142, 169),
        horizontal_line(141, 167),
        horizontal_line(140, 165),
        horizontal_line(139, 163),
        horizontal_line(138, 161),
        horizontal_line(136, 159),
        horizontal_line(136, 157),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(128, 135),
        horizontal_line(125, 134),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(135, 151),
        horizontal_line(135, 149),
    };

    constexpr const horizontal_line frame_124_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(146, 174),
        horizontal_line(146, 174),
        horizontal_line(146, 174),
        horizontal_line(147, 174),
        horizontal_line(151, 174),
        horizontal_line(239, 239),
        horizontal_line(159, 174),
        horizontal_line(239, 239),
        horizontal_line(167, 174),
        horizontal_line(171, 174),
        horizontal_line(239, 239),
        horizontal_line(174, 175),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(172, 181),
        horizontal_line(171, 183),
        horizontal_line(170, 185),
        horizontal_line(169, 187),
        horizontal_line(238, 239),
        horizontal_line(169, 191),
        horizontal_line(170, 193),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_124_shape_group_7_shapes[] = {
        shape(frame_124_shape_group_7_shape_0_horizontal_lines, 1, 1),
        shape(frame_124_shape_group_7_shape_1_horizontal_lines, 7, 3),
        shape(frame_124_shape_group_7_shape_2_horizontal_lines, 10, 1),
        shape(frame_124_shape_group_7_shape_3_horizontal_lines, 13, 3),
        shape(frame_124_shape_group_7_shape_4_horizontal_lines, 15, 1),
        shape(frame_124_shape_group_7_shape_5_horizontal_lines, 16, 3),
        shape(frame_124_shape_group_7_shape_6_horizontal_lines, 24, 1),
        shape(frame_124_shape_group_7_shape_7_horizontal_lines, 31, 3),
        shape(frame_124_shape_group_7_shape_8_horizontal_lines, 33, 1),
        shape(frame_124_shape_group_7_shape_9_horizontal_lines, 72, 8),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(162, 168),
        horizontal_line(160, 168),
        horizontal_line(159, 168),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(183, 239),
        horizontal_line(155, 169),
        horizontal_line(154, 169),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(151, 169),
        horizontal_line(150, 169),
        horizontal_line(149, 169),
        horizontal_line(148, 169),
        horizontal_line(147, 169),
        horizontal_line(146, 169),
        horizontal_line(144, 169),
        horizontal_line(143, 170),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(136, 155),
        horizontal_line(135, 153),
        horizontal_line(173, 224),
        horizontal_line(173, 220),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(144, 174),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(150, 172),
        horizontal_line(153, 171),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_124_shape_group_8_shapes[] = {
        shape(frame_124_shape_group_8_shape_0_horizontal_lines, 1, 1),
        shape(frame_124_shape_group_8_shape_1_horizontal_lines, 16, 1),
        shape(frame_124_shape_group_8_shape_2_horizontal_lines, 76, 8),
        shape(frame_124_shape_group_8_shape_3_horizontal_lines, 81, 9),
        shape(frame_124_shape_group_8_shape_4_horizontal_lines, 82, 8),
        shape(frame_124_shape_group_8_shape_5_horizontal_lines, 83, 9),
        shape(frame_124_shape_group_8_shape_6_horizontal_lines, 84, 8),
        shape(frame_124_shape_group_8_shape_7_horizontal_lines, 86, 9),
        shape(frame_124_shape_group_8_shape_8_horizontal_lines, 87, 8),
        shape(frame_124_shape_group_8_shape_9_horizontal_lines, 88, 9),
        shape(frame_124_shape_group_8_shape_10_horizontal_lines, 90, 8),
        shape(frame_124_shape_group_8_shape_11_horizontal_lines, 95, 8),
    };

    constexpr const horizontal_line frame_124_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 235),
        horizontal_line(173, 231),
        horizontal_line(173, 228),
    };

    constexpr const horizontal_line frame_124_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(121, 124),
        horizontal_line(146, 154),
        horizontal_line(123, 124),
        horizontal_line(145, 162),
        horizontal_line(144, 166),
        horizontal_line(144, 170),
    };

    constexpr const horizontal_line frame_124_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(147, 173),
    };

    constexpr const horizontal_line frame_124_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(156, 171),
        horizontal_line(159, 170),
        horizontal_line(162, 169),
        horizontal_line(165, 168),
    };

    constexpr const shape frame_124_shape_group_9_shapes[] = {
        shape(frame_124_shape_group_9_shape_0_horizontal_lines, 7, 1),
        shape(frame_124_shape_group_9_shape_1_horizontal_lines, 13, 1),
        shape(frame_124_shape_group_9_shape_2_horizontal_lines, 16, 1),
        shape(frame_124_shape_group_9_shape_3_horizontal_lines, 80, 9),
        shape(frame_124_shape_group_9_shape_4_horizontal_lines, 87, 9),
        shape(frame_124_shape_group_9_shape_5_horizontal_lines, 90, 9),
    };

    constexpr const horizontal_line frame_124_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_124_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_124_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(145, 158),
    };

    constexpr const shape frame_124_shape_group_10_shapes[] = {
        shape(frame_124_shape_group_10_shape_0_horizontal_lines, 18, 1),
        shape(frame_124_shape_group_10_shape_1_horizontal_lines, 80, 9),
        shape(frame_124_shape_group_10_shape_2_horizontal_lines, 82, 9),
    };

    constexpr const shape_group frame_124_shape_groups[] = {
        shape_group(frame_124_shape_group_0_shapes),
        shape_group(frame_124_shape_group_1_shapes),
        shape_group(frame_124_shape_group_2_shapes),
        shape_group(frame_124_shape_group_3_shapes),
        shape_group(frame_124_shape_group_4_shapes),
        shape_group(frame_124_shape_group_5_shapes),
        shape_group(frame_124_shape_group_6_shapes),
        shape_group(frame_124_shape_group_7_shapes),
        shape_group(frame_124_shape_group_8_shapes),
        shape_group(frame_124_shape_group_9_shapes),
        shape_group(frame_124_shape_group_10_shapes),
    };

    constexpr const frame frame_124_impl(frame_124_colors, frame_124_shape_groups);
} 

const frame& frame_124()
{
    return frame_124_impl;
}

namespace
{
    constexpr const bn::color frame_125_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_125_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 20),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 31),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 53),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 48),
        horizontal_line(0, 24),
        horizontal_line(0, 0),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(71, 104),
        horizontal_line(71, 104),
        horizontal_line(71, 104),
        horizontal_line(71, 102),
        horizontal_line(71, 100),
        horizontal_line(71, 98),
        horizontal_line(71, 97),
        horizontal_line(71, 95),
        horizontal_line(70, 93),
        horizontal_line(70, 92),
        horizontal_line(70, 90),
        horizontal_line(70, 88),
        horizontal_line(70, 86),
        horizontal_line(70, 85),
        horizontal_line(70, 83),
        horizontal_line(70, 81),
        horizontal_line(69, 80),
        horizontal_line(69, 78),
        horizontal_line(69, 76),
        horizontal_line(69, 74),
        horizontal_line(69, 73),
        horizontal_line(69, 71),
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_125_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 55),
        horizontal_line(0, 44),
        horizontal_line(0, 33),
        horizontal_line(0, 21),
        horizontal_line(0, 10),
        horizontal_line(73, 101),
        horizontal_line(74, 100),
        horizontal_line(75, 99),
        horizontal_line(76, 98),
        horizontal_line(77, 97),
        horizontal_line(78, 96),
        horizontal_line(78, 95),
        horizontal_line(79, 94),
        horizontal_line(80, 93),
        horizontal_line(81, 92),
        horizontal_line(82, 91),
        horizontal_line(82, 90),
        horizontal_line(83, 89),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_125_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
    };

    constexpr const shape frame_125_shape_group_0_shapes[] = {
        shape(frame_125_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_125_shape_group_0_shape_1_horizontal_lines, 92, 2),
        shape(frame_125_shape_group_0_shape_2_horizontal_lines, 156, 3),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(14, 58),
        horizontal_line(17, 58),
        horizontal_line(21, 59),
        horizontal_line(25, 60),
        horizontal_line(28, 61),
        horizontal_line(32, 62),
        horizontal_line(36, 63),
        horizontal_line(39, 64),
        horizontal_line(43, 65),
        horizontal_line(47, 66),
        horizontal_line(50, 67),
        horizontal_line(54, 68),
        horizontal_line(58, 69),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 68),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
        horizontal_line(72, 104),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(69, 107),
        horizontal_line(69, 106),
        horizontal_line(70, 105),
        horizontal_line(71, 104),
        horizontal_line(72, 103),
        horizontal_line(73, 102),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(84, 88),
        horizontal_line(85, 87),
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(9, 69),
        horizontal_line(10, 67),
        horizontal_line(10, 65),
        horizontal_line(11, 63),
        horizontal_line(12, 61),
        horizontal_line(13, 59),
        horizontal_line(14, 57),
        horizontal_line(14, 55),
        horizontal_line(15, 54),
        horizontal_line(16, 52),
        horizontal_line(17, 50),
        horizontal_line(17, 48),
        horizontal_line(18, 46),
        horizontal_line(19, 44),
        horizontal_line(20, 42),
        horizontal_line(20, 40),
        horizontal_line(21, 38),
        horizontal_line(22, 36),
        horizontal_line(23, 34),
        horizontal_line(23, 32),
        horizontal_line(24, 30),
        horizontal_line(25, 28),
        horizontal_line(26, 26),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(27, 89),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(24, 25),
        horizontal_line(21, 25),
        horizontal_line(19, 25),
        horizontal_line(16, 25),
        horizontal_line(14, 26),
        horizontal_line(11, 26),
        horizontal_line(8, 26),
        horizontal_line(6, 26),
        horizontal_line(3, 26),
        horizontal_line(1, 27),
    };

    constexpr const horizontal_line frame_125_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(29, 89),
    };

    constexpr const shape frame_125_shape_group_1_shapes[] = {
        shape(frame_125_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_125_shape_group_1_shape_1_horizontal_lines, 14, 4),
        shape(frame_125_shape_group_1_shape_2_horizontal_lines, 64, 2),
        shape(frame_125_shape_group_1_shape_3_horizontal_lines, 98, 3),
        shape(frame_125_shape_group_1_shape_4_horizontal_lines, 111, 2),
        shape(frame_125_shape_group_1_shape_5_horizontal_lines, 114, 3),
        shape(frame_125_shape_group_1_shape_6_horizontal_lines, 145, 1),
        shape(frame_125_shape_group_1_shape_7_horizontal_lines, 146, 3),
        shape(frame_125_shape_group_1_shape_8_horizontal_lines, 156, 1),
    };

    constexpr const horizontal_line frame_125_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(59, 63),
        horizontal_line(59, 64),
        horizontal_line(60, 65),
        horizontal_line(61, 66),
        horizontal_line(62, 68),
        horizontal_line(63, 69),
        horizontal_line(64, 70),
        horizontal_line(65, 71),
        horizontal_line(66, 73),
        horizontal_line(67, 74),
        horizontal_line(68, 75),
        horizontal_line(69, 77),
        horizontal_line(70, 78),
        horizontal_line(71, 79),
    };

    constexpr const horizontal_line frame_125_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(65, 71),
        horizontal_line(69, 72),
        horizontal_line(73, 73),
        horizontal_line(73, 74),
        horizontal_line(73, 76),
        horizontal_line(73, 77),
        horizontal_line(73, 79),
        horizontal_line(73, 80),
        horizontal_line(73, 82),
        horizontal_line(73, 83),
        horizontal_line(73, 85),
        horizontal_line(73, 86),
        horizontal_line(73, 88),
        horizontal_line(73, 89),
        horizontal_line(73, 91),
        horizontal_line(73, 92),
        horizontal_line(73, 94),
        horizontal_line(73, 95),
        horizontal_line(73, 97),
        horizontal_line(73, 98),
        horizontal_line(73, 100),
        horizontal_line(73, 101),
        horizontal_line(73, 103),
        horizontal_line(73, 104),
        horizontal_line(73, 106),
        horizontal_line(73, 107),
        horizontal_line(73, 109),
        horizontal_line(73, 108),
        horizontal_line(73, 108),
        horizontal_line(73, 108),
        horizontal_line(73, 107),
        horizontal_line(73, 107),
        horizontal_line(73, 107),
        horizontal_line(73, 107),
        horizontal_line(73, 106),
        horizontal_line(73, 106),
        horizontal_line(73, 106),
        horizontal_line(73, 106),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 105),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 104),
        horizontal_line(73, 115),
        horizontal_line(105, 115),
        horizontal_line(49, 71),
        horizontal_line(25, 71),
        horizontal_line(1, 63),
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(105, 116),
        horizontal_line(105, 113),
        horizontal_line(105, 111),
        horizontal_line(105, 108),
        horizontal_line(105, 106),
        horizontal_line(62, 70),
        horizontal_line(103, 104),
        horizontal_line(101, 105),
        horizontal_line(99, 105),
        horizontal_line(98, 106),
        horizontal_line(96, 106),
        horizontal_line(94, 107),
        horizontal_line(93, 107),
        horizontal_line(91, 108),
        horizontal_line(89, 108),
        horizontal_line(87, 109),
        horizontal_line(86, 109),
        horizontal_line(84, 110),
        horizontal_line(82, 110),
        horizontal_line(81, 111),
        horizontal_line(79, 111),
        horizontal_line(77, 112),
        horizontal_line(75, 111),
        horizontal_line(74, 110),
        horizontal_line(72, 109),
        horizontal_line(70, 108),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_125_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(56, 68),
        horizontal_line(45, 69),
        horizontal_line(34, 70),
        horizontal_line(22, 71),
        horizontal_line(11, 72),
        horizontal_line(102, 128),
        horizontal_line(101, 127),
        horizontal_line(100, 127),
        horizontal_line(99, 127),
        horizontal_line(98, 127),
        horizontal_line(97, 127),
        horizontal_line(96, 127),
        horizontal_line(95, 127),
        horizontal_line(94, 126),
        horizontal_line(93, 126),
        horizontal_line(92, 126),
        horizontal_line(91, 126),
        horizontal_line(90, 126),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(87, 125),
        horizontal_line(90, 125),
        horizontal_line(93, 125),
        horizontal_line(96, 125),
        horizontal_line(100, 125),
        horizontal_line(103, 125),
        horizontal_line(106, 124),
        horizontal_line(109, 124),
        horizontal_line(113, 124),
        horizontal_line(116, 124),
        horizontal_line(119, 124),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_125_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(130, 134),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(90, 92),
        horizontal_line(90, 91),
        horizontal_line(90, 90),
    };

    constexpr const horizontal_line frame_125_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(132, 194),
    };

    constexpr const shape frame_125_shape_group_2_shapes[] = {
        shape(frame_125_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_125_shape_group_2_shape_1_horizontal_lines, 14, 2),
        shape(frame_125_shape_group_2_shape_2_horizontal_lines, 93, 3),
        shape(frame_125_shape_group_2_shape_3_horizontal_lines, 126, 1),
        shape(frame_125_shape_group_2_shape_4_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(166, 198),
        horizontal_line(165, 197),
        horizontal_line(164, 196),
        horizontal_line(163, 171),
        horizontal_line(162, 170),
        horizontal_line(161, 169),
        horizontal_line(160, 168),
        horizontal_line(159, 167),
        horizontal_line(158, 166),
        horizontal_line(157, 165),
        horizontal_line(156, 164),
        horizontal_line(155, 163),
        horizontal_line(154, 162),
        horizontal_line(153, 161),
        horizontal_line(72, 80),
        horizontal_line(73, 82),
        horizontal_line(74, 83),
        horizontal_line(75, 84),
        horizontal_line(77, 86),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(144, 146),
        horizontal_line(142, 145),
        horizontal_line(140, 145),
        horizontal_line(138, 144),
        horizontal_line(136, 144),
        horizontal_line(134, 144),
        horizontal_line(133, 143),
        horizontal_line(131, 143),
        horizontal_line(129, 142),
        horizontal_line(127, 142),
        horizontal_line(125, 141),
        horizontal_line(123, 141),
        horizontal_line(121, 141),
        horizontal_line(119, 138),
        horizontal_line(118, 135),
        horizontal_line(117, 132),
        horizontal_line(116, 129),
        horizontal_line(115, 126),
        horizontal_line(115, 123),
        horizontal_line(114, 120),
        horizontal_line(113, 117),
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(109, 136),
        horizontal_line(112, 136),
        horizontal_line(112, 135),
        horizontal_line(112, 135),
        horizontal_line(112, 135),
        horizontal_line(113, 133),
        horizontal_line(113, 131),
        horizontal_line(113, 129),
        horizontal_line(113, 126),
        horizontal_line(114, 124),
        horizontal_line(114, 122),
        horizontal_line(114, 119),
        horizontal_line(114, 117),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(105, 112),
        horizontal_line(105, 109),
        horizontal_line(105, 106),
        horizontal_line(117, 140),
        horizontal_line(118, 141),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(105, 115),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(105, 117),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(68, 68),
        horizontal_line(107, 121),
        horizontal_line(106, 122),
        horizontal_line(105, 124),
        horizontal_line(104, 125),
        horizontal_line(103, 127),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(89, 126),
        horizontal_line(88, 126),
        horizontal_line(87, 125),
        horizontal_line(65, 85),
        horizontal_line(66, 83),
        horizontal_line(66, 81),
        horizontal_line(67, 79),
        horizontal_line(68, 77),
        horizontal_line(69, 75),
        horizontal_line(69, 73),
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(70, 112),
        horizontal_line(68, 115),
        horizontal_line(66, 118),
        horizontal_line(64, 121),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 136),
        horizontal_line(128, 135),
        horizontal_line(128, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(89, 103),
        horizontal_line(131, 134),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 132),
        horizontal_line(89, 94),
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_125_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(205, 210),
        horizontal_line(206, 206),
        horizontal_line(133, 195),
        horizontal_line(194, 206),
    };

    constexpr const shape frame_125_shape_group_3_shapes[] = {
        shape(frame_125_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_125_shape_group_3_shape_1_horizontal_lines, 19, 2),
        shape(frame_125_shape_group_3_shape_2_horizontal_lines, 42, 3),
        shape(frame_125_shape_group_3_shape_3_horizontal_lines, 56, 1),
        shape(frame_125_shape_group_3_shape_4_horizontal_lines, 61, 2),
        shape(frame_125_shape_group_3_shape_5_horizontal_lines, 71, 3),
        shape(frame_125_shape_group_3_shape_6_horizontal_lines, 72, 2),
        shape(frame_125_shape_group_3_shape_7_horizontal_lines, 92, 3),
        shape(frame_125_shape_group_3_shape_8_horizontal_lines, 122, 1),
        shape(frame_125_shape_group_3_shape_9_horizontal_lines, 156, 8),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(173, 195),
        horizontal_line(173, 194),
        horizontal_line(173, 193),
        horizontal_line(173, 192),
        horizontal_line(173, 191),
        horizontal_line(173, 190),
        horizontal_line(173, 189),
        horizontal_line(173, 188),
        horizontal_line(173, 187),
        horizontal_line(173, 186),
        horizontal_line(174, 186),
        horizontal_line(152, 160),
        horizontal_line(151, 159),
        horizontal_line(150, 158),
        horizontal_line(149, 157),
        horizontal_line(148, 156),
        horizontal_line(78, 87),
        horizontal_line(80, 88),
        horizontal_line(81, 89),
        horizontal_line(83, 90),
        horizontal_line(84, 91),
        horizontal_line(86, 92),
        horizontal_line(87, 93),
        horizontal_line(89, 94),
        horizontal_line(90, 95),
        horizontal_line(92, 96),
        horizontal_line(93, 97),
        horizontal_line(95, 98),
        horizontal_line(96, 99),
        horizontal_line(98, 100),
        horizontal_line(99, 101),
        horizontal_line(101, 102),
        horizontal_line(102, 103),
        horizontal_line(104, 104),
        horizontal_line(105, 105),
        horizontal_line(107, 114),
        horizontal_line(108, 113),
        horizontal_line(110, 112),
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(137, 143),
        horizontal_line(109, 111),
        horizontal_line(108, 111),
        horizontal_line(108, 111),
        horizontal_line(108, 111),
        horizontal_line(108, 112),
        horizontal_line(107, 112),
        horizontal_line(107, 112),
        horizontal_line(107, 112),
        horizontal_line(107, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 114),
        horizontal_line(115, 139),
        horizontal_line(116, 139),
        horizontal_line(117, 140),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(154, 180),
        horizontal_line(151, 180),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(119, 141),
        horizontal_line(120, 142),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(63, 71),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(121, 133),
        horizontal_line(122, 128),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(112, 116),
        horizontal_line(109, 117),
        horizontal_line(107, 117),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(105, 118),
        horizontal_line(106, 118),
        horizontal_line(106, 118),
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 120),
        horizontal_line(109, 119),
        horizontal_line(109, 118),
        horizontal_line(110, 117),
        horizontal_line(110, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(113, 121),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(112, 113),
        horizontal_line(111, 115),
        horizontal_line(110, 116),
        horizontal_line(109, 118),
        horizontal_line(108, 119),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(125, 153),
        horizontal_line(126, 155),
        horizontal_line(128, 157),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 131),
        horizontal_line(128, 132),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 134),
        horizontal_line(127, 135),
        horizontal_line(127, 136),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 138),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(63, 83),
        horizontal_line(63, 84),
        horizontal_line(64, 85),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(86, 86),
        horizontal_line(84, 89),
        horizontal_line(82, 92),
        horizontal_line(80, 95),
        horizontal_line(78, 99),
        horizontal_line(76, 102),
        horizontal_line(74, 105),
        horizontal_line(72, 108),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 137),
        horizontal_line(124, 124),
        horizontal_line(122, 122),
        horizontal_line(120, 121),
        horizontal_line(118, 120),
        horizontal_line(117, 119),
        horizontal_line(115, 118),
        horizontal_line(113, 117),
        horizontal_line(111, 116),
        horizontal_line(109, 115),
        horizontal_line(107, 114),
        horizontal_line(105, 113),
        horizontal_line(103, 112),
        horizontal_line(101, 111),
        horizontal_line(99, 110),
        horizontal_line(97, 109),
        horizontal_line(95, 108),
        horizontal_line(93, 107),
        horizontal_line(91, 105),
        horizontal_line(89, 104),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(88, 102),
        horizontal_line(88, 101),
        horizontal_line(88, 100),
        horizontal_line(88, 99),
        horizontal_line(89, 98),
        horizontal_line(89, 97),
        horizontal_line(89, 96),
        horizontal_line(89, 95),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(204, 218),
        horizontal_line(204, 214),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(195, 206),
    };

    constexpr const horizontal_line frame_125_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const shape frame_125_shape_group_4_shapes[] = {
        shape(frame_125_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_125_shape_group_4_shape_1_horizontal_lines, 3, 3),
        shape(frame_125_shape_group_4_shape_2_horizontal_lines, 42, 1),
        shape(frame_125_shape_group_4_shape_3_horizontal_lines, 59, 8),
        shape(frame_125_shape_group_4_shape_4_horizontal_lines, 61, 1),
        shape(frame_125_shape_group_4_shape_5_horizontal_lines, 63, 2),
        shape(frame_125_shape_group_4_shape_6_horizontal_lines, 64, 1),
        shape(frame_125_shape_group_4_shape_7_horizontal_lines, 67, 3),
        shape(frame_125_shape_group_4_shape_8_horizontal_lines, 71, 8),
        shape(frame_125_shape_group_4_shape_9_horizontal_lines, 72, 3),
        shape(frame_125_shape_group_4_shape_10_horizontal_lines, 87, 1),
        shape(frame_125_shape_group_4_shape_11_horizontal_lines, 88, 3),
        shape(frame_125_shape_group_4_shape_12_horizontal_lines, 93, 1),
        shape(frame_125_shape_group_4_shape_13_horizontal_lines, 95, 8),
        shape(frame_125_shape_group_4_shape_14_horizontal_lines, 98, 1),
        shape(frame_125_shape_group_4_shape_15_horizontal_lines, 111, 3),
        shape(frame_125_shape_group_4_shape_16_horizontal_lines, 114, 1),
        shape(frame_125_shape_group_4_shape_17_horizontal_lines, 145, 8),
        shape(frame_125_shape_group_4_shape_18_horizontal_lines, 146, 1),
        shape(frame_125_shape_group_4_shape_19_horizontal_lines, 154, 8),
        shape(frame_125_shape_group_4_shape_20_horizontal_lines, 156, 9),
        shape(frame_125_shape_group_4_shape_21_horizontal_lines, 158, 8),
        shape(frame_125_shape_group_4_shape_22_horizontal_lines, 159, 9),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(126, 165),
        horizontal_line(127, 164),
        horizontal_line(128, 163),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(80, 142),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(174, 185),
        horizontal_line(174, 184),
        horizontal_line(174, 183),
        horizontal_line(174, 182),
        horizontal_line(174, 181),
        horizontal_line(147, 155),
        horizontal_line(147, 154),
        horizontal_line(146, 153),
        horizontal_line(146, 152),
        horizontal_line(145, 151),
        horizontal_line(145, 150),
        horizontal_line(145, 149),
        horizontal_line(144, 148),
        horizontal_line(144, 147),
        horizontal_line(143, 146),
        horizontal_line(143, 145),
        horizontal_line(142, 144),
        horizontal_line(142, 143),
        horizontal_line(142, 142),
        horizontal_line(139, 140),
        horizontal_line(136, 140),
        horizontal_line(115, 116),
        horizontal_line(112, 115),
        horizontal_line(110, 114),
        horizontal_line(124, 138),
        horizontal_line(121, 138),
        horizontal_line(118, 137),
        horizontal_line(115, 137),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(179, 212),
        horizontal_line(137, 141),
        horizontal_line(136, 139),
        horizontal_line(136, 137),
        horizontal_line(136, 136),
        horizontal_line(134, 135),
        horizontal_line(132, 135),
        horizontal_line(130, 136),
        horizontal_line(127, 136),
        horizontal_line(125, 137),
        horizontal_line(123, 137),
        horizontal_line(120, 138),
        horizontal_line(118, 138),
        horizontal_line(116, 138),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(165, 180),
        horizontal_line(161, 180),
        horizontal_line(158, 180),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(147, 180),
        horizontal_line(144, 180),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(120, 138),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(143, 180),
        horizontal_line(144, 180),
        horizontal_line(144, 179),
        horizontal_line(118, 122),
        horizontal_line(117, 122),
        horizontal_line(118, 123),
        horizontal_line(118, 123),
        horizontal_line(146, 179),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(120, 125),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(119, 120),
        horizontal_line(118, 120),
        horizontal_line(117, 120),
        horizontal_line(116, 120),
        horizontal_line(115, 120),
        horizontal_line(114, 120),
        horizontal_line(113, 121),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(128, 149),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(114, 122),
        horizontal_line(116, 123),
        horizontal_line(117, 123),
        horizontal_line(119, 124),
        horizontal_line(120, 125),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(128, 137),
        horizontal_line(131, 151),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(154, 178),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(177, 180),
        horizontal_line(130, 160),
        horizontal_line(130, 162),
        horizontal_line(131, 164),
        horizontal_line(132, 166),
        horizontal_line(133, 168),
        horizontal_line(134, 189),
        horizontal_line(134, 167),
        horizontal_line(135, 164),
        horizontal_line(136, 161),
        horizontal_line(137, 158),
        horizontal_line(138, 155),
        horizontal_line(138, 152),
        horizontal_line(139, 149),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(127, 139),
        horizontal_line(127, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(183, 215),
        horizontal_line(184, 217),
        horizontal_line(185, 218),
        horizontal_line(185, 219),
        horizontal_line(186, 221),
        horizontal_line(187, 222),
        horizontal_line(187, 224),
        horizontal_line(188, 225),
        horizontal_line(189, 226),
        horizontal_line(189, 228),
        horizontal_line(190, 229),
        horizontal_line(190, 231),
        horizontal_line(191, 232),
        horizontal_line(192, 233),
        horizontal_line(192, 235),
        horizontal_line(193, 236),
        horizontal_line(194, 238),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 234),
        horizontal_line(202, 230),
        horizontal_line(202, 226),
        horizontal_line(203, 222),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_125_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const shape frame_125_shape_group_5_shapes[] = {
        shape(frame_125_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_125_shape_group_5_shape_1_horizontal_lines, 14, 3),
        shape(frame_125_shape_group_5_shape_2_horizontal_lines, 42, 1),
        shape(frame_125_shape_group_5_shape_3_horizontal_lines, 56, 8),
        shape(frame_125_shape_group_5_shape_4_horizontal_lines, 61, 8),
        shape(frame_125_shape_group_5_shape_5_horizontal_lines, 63, 1),
        shape(frame_125_shape_group_5_shape_6_horizontal_lines, 64, 8),
        shape(frame_125_shape_group_5_shape_7_horizontal_lines, 79, 1),
        shape(frame_125_shape_group_5_shape_8_horizontal_lines, 87, 8),
        shape(frame_125_shape_group_5_shape_9_horizontal_lines, 88, 1),
        shape(frame_125_shape_group_5_shape_10_horizontal_lines, 93, 8),
        shape(frame_125_shape_group_5_shape_11_horizontal_lines, 95, 9),
        shape(frame_125_shape_group_5_shape_12_horizontal_lines, 96, 8),
        shape(frame_125_shape_group_5_shape_13_horizontal_lines, 111, 1),
        shape(frame_125_shape_group_5_shape_14_horizontal_lines, 122, 8),
        shape(frame_125_shape_group_5_shape_15_horizontal_lines, 146, 8),
        shape(frame_125_shape_group_5_shape_16_horizontal_lines, 154, 9),
        shape(frame_125_shape_group_5_shape_17_horizontal_lines, 158, 9),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(129, 162),
        horizontal_line(131, 161),
        horizontal_line(132, 160),
        horizontal_line(133, 159),
        horizontal_line(134, 158),
        horizontal_line(136, 157),
        horizontal_line(137, 156),
        horizontal_line(138, 155),
        horizontal_line(140, 154),
        horizontal_line(141, 153),
        horizontal_line(142, 152),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(87, 147),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(174, 180),
        horizontal_line(174, 179),
        horizontal_line(174, 178),
        horizontal_line(174, 177),
        horizontal_line(174, 176),
        horizontal_line(174, 175),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(95, 132),
        horizontal_line(96, 130),
        horizontal_line(97, 128),
        horizontal_line(98, 126),
        horizontal_line(99, 124),
        horizontal_line(100, 122),
        horizontal_line(101, 120),
        horizontal_line(102, 118),
        horizontal_line(103, 117),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(133, 139),
        horizontal_line(130, 139),
        horizontal_line(127, 138),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(139, 150),
        horizontal_line(139, 149),
        horizontal_line(138, 147),
        horizontal_line(138, 145),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(179, 208),
        horizontal_line(180, 205),
        horizontal_line(180, 202),
        horizontal_line(180, 198),
        horizontal_line(180, 195),
        horizontal_line(181, 192),
        horizontal_line(181, 188),
        horizontal_line(181, 185),
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(179, 180),
        horizontal_line(175, 180),
        horizontal_line(172, 180),
        horizontal_line(168, 180),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(143, 180),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(144, 179),
        horizontal_line(145, 179),
        horizontal_line(145, 179),
        horizontal_line(145, 179),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(146, 179),
        horizontal_line(146, 179),
        horizontal_line(147, 179),
        horizontal_line(147, 179),
        horizontal_line(147, 179),
        horizontal_line(148, 179),
        horizontal_line(148, 179),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(121, 128),
        horizontal_line(128, 139),
        horizontal_line(128, 178),
        horizontal_line(154, 178),
        horizontal_line(128, 149),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 147),
        horizontal_line(128, 147),
        horizontal_line(139, 149),
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(156, 177),
        horizontal_line(158, 176),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(176, 182),
        horizontal_line(175, 183),
        horizontal_line(174, 184),
        horizontal_line(173, 186),
        horizontal_line(172, 187),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(172, 190),
        horizontal_line(173, 191),
        horizontal_line(173, 193),
        horizontal_line(174, 194),
        horizontal_line(175, 196),
        horizontal_line(175, 197),
        horizontal_line(176, 198),
        horizontal_line(140, 146),
        horizontal_line(141, 143),
        horizontal_line(178, 203),
        horizontal_line(178, 204),
        horizontal_line(179, 205),
        horizontal_line(180, 207),
        horizontal_line(180, 208),
        horizontal_line(181, 210),
        horizontal_line(182, 211),
        horizontal_line(182, 212),
        horizontal_line(183, 214),
    };

    constexpr const horizontal_line frame_125_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
    };

    constexpr const shape frame_125_shape_group_6_shapes[] = {
        shape(frame_125_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_125_shape_group_6_shape_1_horizontal_lines, 3, 7),
        shape(frame_125_shape_group_6_shape_2_horizontal_lines, 19, 3),
        shape(frame_125_shape_group_6_shape_3_horizontal_lines, 26, 7),
        shape(frame_125_shape_group_6_shape_4_horizontal_lines, 35, 3),
        shape(frame_125_shape_group_6_shape_5_horizontal_lines, 38, 1),
        shape(frame_125_shape_group_6_shape_6_horizontal_lines, 43, 1),
        shape(frame_125_shape_group_6_shape_7_horizontal_lines, 52, 8),
        shape(frame_125_shape_group_6_shape_8_horizontal_lines, 63, 8),
        shape(frame_125_shape_group_6_shape_9_horizontal_lines, 67, 8),
        shape(frame_125_shape_group_6_shape_10_horizontal_lines, 72, 8),
        shape(frame_125_shape_group_6_shape_11_horizontal_lines, 96, 9),
        shape(frame_125_shape_group_6_shape_12_horizontal_lines, 98, 8),
        shape(frame_125_shape_group_6_shape_13_horizontal_lines, 104, 8),
        shape(frame_125_shape_group_6_shape_14_horizontal_lines, 150, 9),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(171, 172),
        horizontal_line(170, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 172),
        horizontal_line(166, 172),
        horizontal_line(165, 172),
        horizontal_line(164, 172),
        horizontal_line(163, 172),
        horizontal_line(162, 173),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(143, 151),
        horizontal_line(145, 150),
        horizontal_line(146, 149),
        horizontal_line(147, 148),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(157, 173),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(88, 145),
        horizontal_line(89, 143),
        horizontal_line(90, 141),
        horizontal_line(91, 139),
        horizontal_line(92, 137),
        horizontal_line(93, 135),
        horizontal_line(94, 133),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(149, 173),
        horizontal_line(148, 171),
        horizontal_line(147, 169),
        horizontal_line(146, 167),
        horizontal_line(145, 165),
        horizontal_line(144, 163),
        horizontal_line(143, 162),
        horizontal_line(141, 160),
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(104, 114),
        horizontal_line(105, 111),
        horizontal_line(106, 109),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(178, 225),
        horizontal_line(178, 222),
        horizontal_line(179, 218),
        horizontal_line(179, 215),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(148, 179),
        horizontal_line(149, 179),
        horizontal_line(149, 178),
        horizontal_line(149, 178),
        horizontal_line(150, 178),
        horizontal_line(150, 178),
        horizontal_line(150, 178),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(122, 127),
        horizontal_line(122, 127),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(157, 178),
        horizontal_line(160, 178),
        horizontal_line(163, 178),
        horizontal_line(166, 178),
        horizontal_line(169, 178),
        horizontal_line(172, 178),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(152, 174),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(161, 175),
        horizontal_line(163, 174),
        horizontal_line(165, 173),
        horizontal_line(167, 172),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_125_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(177, 200),
        horizontal_line(177, 201),
    };

    constexpr const shape frame_125_shape_group_7_shapes[] = {
        shape(frame_125_shape_group_7_shape_0_horizontal_lines, 3, 1),
        shape(frame_125_shape_group_7_shape_1_horizontal_lines, 14, 7),
        shape(frame_125_shape_group_7_shape_2_horizontal_lines, 18, 1),
        shape(frame_125_shape_group_7_shape_3_horizontal_lines, 19, 7),
        shape(frame_125_shape_group_7_shape_4_horizontal_lines, 26, 1),
        shape(frame_125_shape_group_7_shape_5_horizontal_lines, 35, 7),
        shape(frame_125_shape_group_7_shape_6_horizontal_lines, 38, 1),
        shape(frame_125_shape_group_7_shape_7_horizontal_lines, 79, 8),
        shape(frame_125_shape_group_7_shape_8_horizontal_lines, 86, 9),
        shape(frame_125_shape_group_7_shape_9_horizontal_lines, 88, 8),
        shape(frame_125_shape_group_7_shape_10_horizontal_lines, 94, 9),
        shape(frame_125_shape_group_7_shape_11_horizontal_lines, 98, 9),
        shape(frame_125_shape_group_7_shape_12_horizontal_lines, 111, 8),
    };

    constexpr const horizontal_line frame_125_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(161, 173),
        horizontal_line(160, 173),
        horizontal_line(159, 173),
        horizontal_line(158, 173),
        horizontal_line(182, 239),
        horizontal_line(156, 173),
        horizontal_line(155, 173),
        horizontal_line(154, 173),
        horizontal_line(153, 173),
        horizontal_line(152, 173),
        horizontal_line(151, 173),
        horizontal_line(150, 174),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(140, 156),
        horizontal_line(140, 154),
        horizontal_line(139, 152),
    };

    constexpr const horizontal_line frame_125_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(121, 127),
    };

    constexpr const horizontal_line frame_125_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(150, 153),
        horizontal_line(123, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
    };

    constexpr const shape frame_125_shape_group_8_shapes[] = {
        shape(frame_125_shape_group_8_shape_0_horizontal_lines, 3, 1),
        shape(frame_125_shape_group_8_shape_1_horizontal_lines, 85, 9),
        shape(frame_125_shape_group_8_shape_2_horizontal_lines, 87, 9),
    };

    constexpr const horizontal_line frame_125_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_125_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(177, 235),
        horizontal_line(177, 232),
        horizontal_line(178, 228),
    };

    constexpr const horizontal_line frame_125_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(150, 156),
        horizontal_line(149, 159),
        horizontal_line(149, 162),
        horizontal_line(148, 165),
        horizontal_line(148, 168),
        horizontal_line(150, 171),
    };

    constexpr const shape frame_125_shape_group_9_shapes[] = {
        shape(frame_125_shape_group_9_shape_0_horizontal_lines, 14, 1),
        shape(frame_125_shape_group_9_shape_1_horizontal_lines, 19, 1),
        shape(frame_125_shape_group_9_shape_2_horizontal_lines, 88, 9),
    };

    constexpr const horizontal_line frame_125_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_125_shape_group_10_shapes[] = {
        shape(frame_125_shape_group_10_shape_0_horizontal_lines, 23, 1),
    };

    constexpr const shape_group frame_125_shape_groups[] = {
        shape_group(frame_125_shape_group_0_shapes),
        shape_group(frame_125_shape_group_1_shapes),
        shape_group(frame_125_shape_group_2_shapes),
        shape_group(frame_125_shape_group_3_shapes),
        shape_group(frame_125_shape_group_4_shapes),
        shape_group(frame_125_shape_group_5_shapes),
        shape_group(frame_125_shape_group_6_shapes),
        shape_group(frame_125_shape_group_7_shapes),
        shape_group(frame_125_shape_group_8_shapes),
        shape_group(frame_125_shape_group_9_shapes),
        shape_group(frame_125_shape_group_10_shapes),
    };

    constexpr const frame frame_125_impl(frame_125_colors, frame_125_shape_groups);
} 

const frame& frame_125()
{
    return frame_125_impl;
}

namespace
{
    constexpr const bn::color frame_126_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_126_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
        horizontal_line(0, 46),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 62),
        horizontal_line(0, 25),
        horizontal_line(0, 0),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(49, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 100),
        horizontal_line(48, 97),
        horizontal_line(48, 95),
        horizontal_line(48, 93),
        horizontal_line(47, 90),
        horizontal_line(47, 88),
        horizontal_line(47, 86),
        horizontal_line(47, 84),
        horizontal_line(47, 81),
        horizontal_line(46, 79),
        horizontal_line(46, 77),
        horizontal_line(46, 74),
        horizontal_line(46, 72),
        horizontal_line(46, 70),
        horizontal_line(46, 68),
        horizontal_line(45, 65),
        horizontal_line(45, 63),
        horizontal_line(45, 61),
        horizontal_line(45, 58),
        horizontal_line(45, 56),
        horizontal_line(44, 54),
        horizontal_line(44, 52),
        horizontal_line(44, 49),
        horizontal_line(44, 47),
        horizontal_line(44, 45),
    };

    constexpr const horizontal_line frame_126_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 28),
        horizontal_line(0, 14),
        horizontal_line(0, 0),
        horizontal_line(48, 93),
        horizontal_line(49, 92),
        horizontal_line(50, 91),
        horizontal_line(51, 89),
        horizontal_line(52, 88),
        horizontal_line(53, 87),
        horizontal_line(54, 85),
        horizontal_line(55, 84),
        horizontal_line(56, 83),
        horizontal_line(57, 81),
        horizontal_line(58, 80),
        horizontal_line(59, 79),
        horizontal_line(60, 77),
        horizontal_line(61, 76),
        horizontal_line(62, 75),
        horizontal_line(63, 73),
        horizontal_line(64, 72),
        horizontal_line(65, 71),
        horizontal_line(66, 69),
        horizontal_line(67, 68),
    };

    constexpr const horizontal_line frame_126_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_126_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_126_shape_group_0_shapes[] = {
        shape(frame_126_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_126_shape_group_0_shape_1_horizontal_lines, 100, 2),
        shape(frame_126_shape_group_0_shape_2_horizontal_lines, 124, 3),
        shape(frame_126_shape_group_0_shape_3_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_126_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(7, 42),
        horizontal_line(11, 42),
        horizontal_line(15, 43),
        horizontal_line(19, 44),
        horizontal_line(23, 45),
        horizontal_line(27, 46),
        horizontal_line(31, 47),
        horizontal_line(35, 48),
        horizontal_line(39, 49),
        horizontal_line(43, 50),
        horizontal_line(47, 51),
        horizontal_line(52, 52),
        horizontal_line(52, 53),
        horizontal_line(52, 55),
        horizontal_line(52, 57),
        horizontal_line(52, 59),
        horizontal_line(52, 60),
        horizontal_line(52, 62),
        horizontal_line(52, 64),
        horizontal_line(52, 66),
        horizontal_line(52, 67),
        horizontal_line(52, 69),
        horizontal_line(52, 71),
        horizontal_line(52, 73),
        horizontal_line(52, 75),
        horizontal_line(52, 76),
        horizontal_line(52, 78),
        horizontal_line(52, 80),
        horizontal_line(52, 82),
        horizontal_line(52, 83),
        horizontal_line(52, 85),
        horizontal_line(52, 87),
        horizontal_line(52, 89),
        horizontal_line(52, 91),
        horizontal_line(52, 92),
        horizontal_line(52, 94),
        horizontal_line(52, 96),
        horizontal_line(51, 98),
        horizontal_line(51, 99),
        horizontal_line(51, 101),
        horizontal_line(51, 103),
        horizontal_line(51, 105),
        horizontal_line(51, 107),
    };

    constexpr const horizontal_line frame_126_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(107, 108),
        horizontal_line(107, 109),
        horizontal_line(107, 109),
        horizontal_line(106, 110),
        horizontal_line(106, 111),
        horizontal_line(106, 111),
        horizontal_line(106, 112),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(105, 114),
        horizontal_line(104, 114),
        horizontal_line(104, 114),
        horizontal_line(104, 115),
        horizontal_line(104, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(62, 102),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
    };

    constexpr const horizontal_line frame_126_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(62, 99),
        horizontal_line(45, 97),
        horizontal_line(46, 96),
        horizontal_line(47, 95),
    };

    constexpr const horizontal_line frame_126_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(69, 117),
        horizontal_line(71, 116),
        horizontal_line(73, 116),
        horizontal_line(75, 115),
        horizontal_line(78, 115),
        horizontal_line(80, 114),
        horizontal_line(82, 114),
        horizontal_line(84, 113),
        horizontal_line(87, 113),
        horizontal_line(89, 112),
        horizontal_line(91, 112),
        horizontal_line(94, 111),
        horizontal_line(96, 111),
        horizontal_line(98, 110),
        horizontal_line(100, 110),
        horizontal_line(103, 109),
        horizontal_line(105, 109),
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_126_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(28, 90),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 127),
        horizontal_line(111, 127),
        horizontal_line(112, 127),
    };

    constexpr const shape frame_126_shape_group_1_shapes[] = {
        shape(frame_126_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_126_shape_group_1_shape_1_horizontal_lines, 43, 4),
        shape(frame_126_shape_group_1_shape_2_horizontal_lines, 65, 2),
        shape(frame_126_shape_group_1_shape_3_horizontal_lines, 104, 3),
        shape(frame_126_shape_group_1_shape_4_horizontal_lines, 142, 1),
    };

    constexpr const horizontal_line frame_126_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(43, 56),
        horizontal_line(43, 57),
        horizontal_line(44, 59),
        horizontal_line(45, 60),
        horizontal_line(46, 62),
        horizontal_line(47, 63),
        horizontal_line(48, 65),
        horizontal_line(49, 66),
        horizontal_line(50, 68),
        horizontal_line(51, 70),
        horizontal_line(52, 71),
        horizontal_line(53, 73),
        horizontal_line(54, 74),
        horizontal_line(56, 76),
        horizontal_line(58, 77),
        horizontal_line(60, 79),
        horizontal_line(61, 80),
        horizontal_line(63, 82),
        horizontal_line(65, 84),
    };

    constexpr const horizontal_line frame_126_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(151, 152),
        horizontal_line(149, 152),
        horizontal_line(148, 151),
        horizontal_line(146, 151),
        horizontal_line(144, 150),
        horizontal_line(142, 150),
        horizontal_line(141, 149),
        horizontal_line(139, 149),
        horizontal_line(137, 148),
        horizontal_line(136, 148),
        horizontal_line(134, 147),
        horizontal_line(132, 147),
        horizontal_line(130, 146),
        horizontal_line(129, 146),
        horizontal_line(127, 143),
        horizontal_line(125, 140),
        horizontal_line(124, 138),
        horizontal_line(123, 135),
        horizontal_line(122, 132),
        horizontal_line(121, 130),
        horizontal_line(121, 127),
        horizontal_line(120, 124),
        horizontal_line(119, 122),
        horizontal_line(51, 106),
        horizontal_line(51, 106),
        horizontal_line(51, 106),
        horizontal_line(51, 106),
        horizontal_line(51, 105),
        horizontal_line(51, 105),
        horizontal_line(51, 105),
        horizontal_line(51, 105),
        horizontal_line(51, 104),
        horizontal_line(51, 104),
        horizontal_line(51, 104),
        horizontal_line(51, 104),
        horizontal_line(51, 103),
        horizontal_line(51, 103),
        horizontal_line(51, 103),
        horizontal_line(51, 103),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 102),
        horizontal_line(103, 117),
        horizontal_line(26, 49),
        horizontal_line(1, 49),
        horizontal_line(102, 117),
        horizontal_line(102, 118),
        horizontal_line(102, 118),
        horizontal_line(102, 118),
        horizontal_line(101, 118),
        horizontal_line(101, 119),
        horizontal_line(101, 115),
        horizontal_line(101, 111),
        horizontal_line(101, 107),
        horizontal_line(101, 103),
    };

    constexpr const horizontal_line frame_126_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(101, 120),
    };

    constexpr const horizontal_line frame_126_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(96, 101),
        horizontal_line(94, 101),
        horizontal_line(91, 102),
        horizontal_line(89, 103),
        horizontal_line(87, 103),
        horizontal_line(85, 104),
        horizontal_line(82, 105),
        horizontal_line(80, 105),
        horizontal_line(78, 106),
        horizontal_line(75, 107),
        horizontal_line(73, 107),
        horizontal_line(71, 108),
        horizontal_line(69, 109),
        horizontal_line(66, 109),
        horizontal_line(64, 110),
        horizontal_line(62, 110),
        horizontal_line(59, 108),
        horizontal_line(57, 107),
        horizontal_line(55, 105),
        horizontal_line(53, 104),
        horizontal_line(50, 103),
        horizontal_line(48, 101),
        horizontal_line(46, 100),
    };

    constexpr const horizontal_line frame_126_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(100, 121),
        horizontal_line(29, 44),
        horizontal_line(15, 45),
        horizontal_line(1, 46),
        horizontal_line(94, 126),
        horizontal_line(93, 127),
        horizontal_line(92, 126),
        horizontal_line(90, 125),
        horizontal_line(89, 125),
        horizontal_line(88, 124),
        horizontal_line(86, 124),
        horizontal_line(85, 123),
        horizontal_line(84, 123),
        horizontal_line(82, 122),
        horizontal_line(81, 122),
        horizontal_line(80, 121),
        horizontal_line(78, 121),
        horizontal_line(77, 120),
        horizontal_line(76, 120),
        horizontal_line(74, 119),
        horizontal_line(73, 119),
        horizontal_line(72, 118),
        horizontal_line(70, 118),
        horizontal_line(69, 117),
        horizontal_line(62, 67),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_126_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(61, 74),
        horizontal_line(59, 77),
        horizontal_line(57, 79),
        horizontal_line(54, 81),
        horizontal_line(52, 83),
        horizontal_line(50, 86),
        horizontal_line(48, 88),
        horizontal_line(46, 90),
        horizontal_line(43, 93),
        horizontal_line(41, 95),
        horizontal_line(39, 97),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(90, 132),
        horizontal_line(109, 132),
        horizontal_line(109, 132),
        horizontal_line(109, 131),
        horizontal_line(109, 131),
        horizontal_line(109, 131),
        horizontal_line(110, 130),
        horizontal_line(110, 130),
        horizontal_line(110, 130),
        horizontal_line(110, 129),
        horizontal_line(110, 129),
        horizontal_line(110, 129),
        horizontal_line(111, 128),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
    };

    constexpr const shape frame_126_shape_group_2_shapes[] = {
        shape(frame_126_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_126_shape_group_2_shape_1_horizontal_lines, 19, 2),
        shape(frame_126_shape_group_2_shape_2_horizontal_lines, 75, 3),
        shape(frame_126_shape_group_2_shape_3_horizontal_lines, 76, 2),
        shape(frame_126_shape_group_2_shape_4_horizontal_lines, 100, 3),
        shape(frame_126_shape_group_2_shape_5_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(171, 176),
        horizontal_line(170, 175),
        horizontal_line(169, 174),
        horizontal_line(168, 173),
        horizontal_line(167, 172),
        horizontal_line(166, 171),
        horizontal_line(165, 170),
        horizontal_line(164, 169),
        horizontal_line(163, 168),
        horizontal_line(163, 167),
        horizontal_line(162, 166),
        horizontal_line(161, 166),
        horizontal_line(160, 165),
        horizontal_line(159, 164),
        horizontal_line(158, 163),
        horizontal_line(157, 162),
        horizontal_line(156, 161),
        horizontal_line(155, 160),
        horizontal_line(155, 159),
        horizontal_line(67, 84),
        horizontal_line(68, 85),
        horizontal_line(70, 86),
        horizontal_line(72, 87),
        horizontal_line(74, 88),
        horizontal_line(76, 89),
        horizontal_line(77, 90),
        horizontal_line(79, 91),
        horizontal_line(81, 92),
        horizontal_line(83, 93),
        horizontal_line(84, 94),
        horizontal_line(86, 95),
        horizontal_line(88, 96),
        horizontal_line(90, 97),
        horizontal_line(92, 98),
        horizontal_line(93, 99),
        horizontal_line(95, 100),
        horizontal_line(97, 101),
        horizontal_line(99, 102),
        horizontal_line(100, 103),
        horizontal_line(102, 104),
        horizontal_line(104, 105),
        horizontal_line(106, 106),
        horizontal_line(109, 118),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(109, 141),
        horizontal_line(110, 113),
        horizontal_line(110, 110),
        horizontal_line(118, 140),
        horizontal_line(118, 140),
        horizontal_line(118, 140),
        horizontal_line(118, 138),
        horizontal_line(119, 136),
        horizontal_line(119, 134),
        horizontal_line(119, 131),
        horizontal_line(119, 129),
        horizontal_line(119, 127),
        horizontal_line(119, 124),
        horizontal_line(119, 122),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(121, 145),
        horizontal_line(122, 146),
        horizontal_line(122, 146),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(102, 117),
        horizontal_line(102, 117),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(124, 148),
        horizontal_line(125, 144),
        horizontal_line(126, 140),
        horizontal_line(126, 136),
        horizontal_line(127, 132),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(116, 119),
        horizontal_line(112, 119),
        horizontal_line(108, 120),
        horizontal_line(104, 120),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(121, 128),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(101, 121),
        horizontal_line(102, 121),
        horizontal_line(102, 121),
        horizontal_line(103, 122),
        horizontal_line(104, 122),
        horizontal_line(104, 122),
        horizontal_line(105, 123),
        horizontal_line(106, 121),
        horizontal_line(106, 120),
        horizontal_line(107, 119),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(109, 115),
        horizontal_line(110, 114),
        horizontal_line(110, 113),
        horizontal_line(111, 112),
        horizontal_line(111, 111),
        horizontal_line(109, 112),
        horizontal_line(108, 113),
        horizontal_line(106, 114),
        horizontal_line(105, 116),
        horizontal_line(104, 117),
        horizontal_line(102, 118),
        horizontal_line(101, 120),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(98, 122),
        horizontal_line(97, 124),
        horizontal_line(96, 125),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(127, 162),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(127, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(123, 134),
        horizontal_line(123, 134),
        horizontal_line(122, 135),
        horizontal_line(122, 136),
        horizontal_line(121, 137),
        horizontal_line(121, 137),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(68, 68),
        horizontal_line(65, 70),
        horizontal_line(63, 72),
        horizontal_line(116, 138),
        horizontal_line(116, 137),
        horizontal_line(115, 137),
        horizontal_line(115, 137),
        horizontal_line(114, 136),
        horizontal_line(114, 136),
        horizontal_line(113, 136),
        horizontal_line(113, 135),
        horizontal_line(112, 135),
        horizontal_line(112, 135),
        horizontal_line(111, 134),
        horizontal_line(111, 134),
        horizontal_line(110, 134),
        horizontal_line(110, 133),
        horizontal_line(109, 133),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(190, 226),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(88, 107),
        horizontal_line(86, 106),
        horizontal_line(83, 105),
        horizontal_line(81, 104),
        horizontal_line(79, 103),
        horizontal_line(77, 102),
        horizontal_line(75, 101),
        horizontal_line(72, 100),
        horizontal_line(70, 98),
        horizontal_line(68, 97),
        horizontal_line(66, 96),
        horizontal_line(64, 95),
    };

    constexpr const horizontal_line frame_126_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
    };

    constexpr const shape frame_126_shape_group_3_shapes[] = {
        shape(frame_126_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_126_shape_group_3_shape_1_horizontal_lines, 43, 2),
        shape(frame_126_shape_group_3_shape_2_horizontal_lines, 44, 3),
        shape(frame_126_shape_group_3_shape_3_horizontal_lines, 59, 1),
        shape(frame_126_shape_group_3_shape_4_horizontal_lines, 63, 2),
        shape(frame_126_shape_group_3_shape_5_horizontal_lines, 65, 1),
        shape(frame_126_shape_group_3_shape_6_horizontal_lines, 71, 3),
        shape(frame_126_shape_group_3_shape_7_horizontal_lines, 75, 8),
        shape(frame_126_shape_group_3_shape_8_horizontal_lines, 76, 3),
        shape(frame_126_shape_group_3_shape_9_horizontal_lines, 100, 1),
        shape(frame_126_shape_group_3_shape_10_horizontal_lines, 101, 3),
        shape(frame_126_shape_group_3_shape_11_horizontal_lines, 104, 8),
        shape(frame_126_shape_group_3_shape_12_horizontal_lines, 105, 1),
        shape(frame_126_shape_group_3_shape_13_horizontal_lines, 119, 3),
        shape(frame_126_shape_group_3_shape_14_horizontal_lines, 124, 1),
        shape(frame_126_shape_group_3_shape_15_horizontal_lines, 142, 8),
        shape(frame_126_shape_group_3_shape_16_horizontal_lines, 143, 1),
        shape(frame_126_shape_group_3_shape_17_horizontal_lines, 155, 8),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(181, 197),
        horizontal_line(181, 196),
        horizontal_line(181, 195),
        horizontal_line(181, 194),
        horizontal_line(181, 194),
        horizontal_line(181, 193),
        horizontal_line(181, 192),
        horizontal_line(181, 192),
        horizontal_line(181, 191),
        horizontal_line(181, 190),
        horizontal_line(181, 189),
        horizontal_line(181, 189),
        horizontal_line(181, 188),
        horizontal_line(181, 187),
        horizontal_line(181, 187),
        horizontal_line(181, 186),
        horizontal_line(181, 185),
        horizontal_line(181, 184),
        horizontal_line(181, 184),
        horizontal_line(154, 158),
        horizontal_line(153, 157),
        horizontal_line(153, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 155),
        horizontal_line(151, 154),
        horizontal_line(151, 153),
        horizontal_line(150, 152),
        horizontal_line(150, 151),
        horizontal_line(149, 150),
        horizontal_line(149, 149),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(97, 131),
        horizontal_line(98, 129),
        horizontal_line(99, 128),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(144, 145),
        horizontal_line(141, 145),
        horizontal_line(139, 144),
        horizontal_line(121, 122),
        horizontal_line(119, 121),
        horizontal_line(116, 120),
        horizontal_line(114, 120),
        horizontal_line(111, 119),
        horizontal_line(123, 142),
        horizontal_line(108, 117),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 149),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(118, 141),
        horizontal_line(118, 141),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(111, 117),
        horizontal_line(112, 117),
        horizontal_line(112, 117),
        horizontal_line(113, 117),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 119),
        horizontal_line(120, 145),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(166, 187),
        horizontal_line(163, 187),
        horizontal_line(160, 187),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(123, 147),
        horizontal_line(124, 147),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(150, 187),
        horizontal_line(149, 187),
        horizontal_line(149, 187),
        horizontal_line(149, 187),
        horizontal_line(150, 187),
        horizontal_line(150, 187),
        horizontal_line(123, 127),
        horizontal_line(120, 127),
        horizontal_line(121, 128),
        horizontal_line(121, 128),
        horizontal_line(152, 186),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(121, 122),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(118, 122),
        horizontal_line(116, 122),
        horizontal_line(115, 122),
        horizontal_line(114, 122),
        horizontal_line(113, 123),
        horizontal_line(112, 123),
        horizontal_line(113, 123),
        horizontal_line(114, 124),
        horizontal_line(115, 124),
        horizontal_line(117, 124),
        horizontal_line(118, 125),
        horizontal_line(119, 125),
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(125, 155),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(125, 125),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(163, 185),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(129, 164),
        horizontal_line(129, 165),
        horizontal_line(130, 167),
        horizontal_line(131, 169),
        horizontal_line(132, 170),
        horizontal_line(132, 172),
        horizontal_line(133, 174),
        horizontal_line(134, 193),
        horizontal_line(135, 172),
        horizontal_line(135, 168),
        horizontal_line(136, 165),
        horizontal_line(137, 161),
        horizontal_line(138, 158),
        horizontal_line(138, 154),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(120, 138),
        horizontal_line(120, 139),
        horizontal_line(119, 140),
        horizontal_line(119, 140),
        horizontal_line(118, 139),
        horizontal_line(118, 139),
        horizontal_line(117, 138),
        horizontal_line(117, 138),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(183, 210),
        horizontal_line(184, 211),
        horizontal_line(184, 212),
        horizontal_line(185, 213),
        horizontal_line(185, 214),
        horizontal_line(185, 215),
        horizontal_line(186, 217),
        horizontal_line(186, 218),
        horizontal_line(187, 219),
        horizontal_line(187, 220),
        horizontal_line(188, 221),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(97, 102),
        horizontal_line(94, 104),
        horizontal_line(92, 106),
    };

    constexpr const horizontal_line frame_126_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(190, 228),
        horizontal_line(191, 229),
        horizontal_line(191, 230),
        horizontal_line(192, 231),
        horizontal_line(192, 232),
        horizontal_line(193, 233),
        horizontal_line(193, 234),
        horizontal_line(193, 235),
        horizontal_line(194, 236),
        horizontal_line(194, 238),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_126_shape_group_4_shapes[] = {
        shape(frame_126_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_126_shape_group_4_shape_1_horizontal_lines, 31, 7),
        shape(frame_126_shape_group_4_shape_2_horizontal_lines, 34, 3),
        shape(frame_126_shape_group_4_shape_3_horizontal_lines, 44, 1),
        shape(frame_126_shape_group_4_shape_4_horizontal_lines, 45, 3),
        shape(frame_126_shape_group_4_shape_5_horizontal_lines, 47, 1),
        shape(frame_126_shape_group_4_shape_6_horizontal_lines, 60, 8),
        shape(frame_126_shape_group_4_shape_7_horizontal_lines, 63, 1),
        shape(frame_126_shape_group_4_shape_8_horizontal_lines, 65, 8),
        shape(frame_126_shape_group_4_shape_9_horizontal_lines, 83, 1),
        shape(frame_126_shape_group_4_shape_10_horizontal_lines, 100, 8),
        shape(frame_126_shape_group_4_shape_11_horizontal_lines, 101, 1),
        shape(frame_126_shape_group_4_shape_12_horizontal_lines, 104, 9),
        shape(frame_126_shape_group_4_shape_13_horizontal_lines, 105, 8),
        shape(frame_126_shape_group_4_shape_14_horizontal_lines, 119, 1),
        shape(frame_126_shape_group_4_shape_15_horizontal_lines, 127, 8),
        shape(frame_126_shape_group_4_shape_16_horizontal_lines, 138, 1),
        shape(frame_126_shape_group_4_shape_17_horizontal_lines, 143, 8),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(181, 183),
        horizontal_line(181, 182),
        horizontal_line(181, 182),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(89, 145),
        horizontal_line(90, 143),
        horizontal_line(91, 141),
        horizontal_line(92, 140),
        horizontal_line(93, 138),
        horizontal_line(94, 136),
        horizontal_line(95, 135),
        horizontal_line(96, 133),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(148, 169),
        horizontal_line(147, 168),
        horizontal_line(147, 166),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(100, 126),
        horizontal_line(101, 124),
        horizontal_line(102, 123),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(136, 144),
        horizontal_line(133, 144),
        horizontal_line(131, 143),
        horizontal_line(128, 143),
        horizontal_line(125, 143),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(120, 142),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(186, 214),
        horizontal_line(114, 117),
        horizontal_line(111, 117),
        horizontal_line(141, 144),
        horizontal_line(141, 142),
        horizontal_line(141, 141),
        horizontal_line(139, 140),
        horizontal_line(137, 141),
        horizontal_line(135, 141),
        horizontal_line(132, 142),
        horizontal_line(130, 142),
        horizontal_line(128, 143),
        horizontal_line(125, 143),
        horizontal_line(123, 144),
        horizontal_line(121, 144),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(170, 187),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(156, 187),
        horizontal_line(153, 187),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(150, 186),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
        horizontal_line(151, 186),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(152, 186),
        horizontal_line(152, 186),
        horizontal_line(153, 186),
        horizontal_line(153, 186),
        horizontal_line(153, 186),
        horizontal_line(154, 186),
        horizontal_line(154, 186),
        horizontal_line(123, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(123, 133),
        horizontal_line(123, 123),
        horizontal_line(133, 185),
        horizontal_line(133, 155),
        horizontal_line(132, 155),
        horizontal_line(132, 154),
        horizontal_line(132, 154),
        horizontal_line(132, 153),
        horizontal_line(131, 153),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(139, 153),
        horizontal_line(177, 185),
        horizontal_line(125, 157),
        horizontal_line(126, 158),
        horizontal_line(127, 160),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(183, 187),
        horizontal_line(182, 188),
        horizontal_line(181, 189),
        horizontal_line(180, 190),
        horizontal_line(179, 191),
        horizontal_line(178, 192),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(177, 194),
        horizontal_line(177, 196),
        horizontal_line(178, 197),
        horizontal_line(178, 198),
        horizontal_line(179, 199),
        horizontal_line(179, 200),
        horizontal_line(139, 150),
        horizontal_line(140, 147),
        horizontal_line(141, 143),
        horizontal_line(181, 204),
        horizontal_line(181, 205),
        horizontal_line(182, 207),
        horizontal_line(182, 208),
        horizontal_line(183, 209),
    };

    constexpr const horizontal_line frame_126_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(188, 222),
        horizontal_line(189, 223),
        horizontal_line(189, 224),
        horizontal_line(189, 225),
    };

    constexpr const shape frame_126_shape_group_5_shapes[] = {
        shape(frame_126_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_126_shape_group_5_shape_1_horizontal_lines, 19, 3),
        shape(frame_126_shape_group_5_shape_2_horizontal_lines, 23, 7),
        shape(frame_126_shape_group_5_shape_3_horizontal_lines, 31, 1),
        shape(frame_126_shape_group_5_shape_4_horizontal_lines, 34, 7),
        shape(frame_126_shape_group_5_shape_5_horizontal_lines, 37, 3),
        shape(frame_126_shape_group_5_shape_6_horizontal_lines, 42, 7),
        shape(frame_126_shape_group_5_shape_7_horizontal_lines, 43, 3),
        shape(frame_126_shape_group_5_shape_8_horizontal_lines, 44, 1),
        shape(frame_126_shape_group_5_shape_9_horizontal_lines, 59, 8),
        shape(frame_126_shape_group_5_shape_10_horizontal_lines, 63, 8),
        shape(frame_126_shape_group_5_shape_11_horizontal_lines, 71, 8),
        shape(frame_126_shape_group_5_shape_12_horizontal_lines, 76, 8),
        shape(frame_126_shape_group_5_shape_13_horizontal_lines, 105, 8),
        shape(frame_126_shape_group_5_shape_14_horizontal_lines, 113, 8),
        shape(frame_126_shape_group_5_shape_15_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(119, 170),
        horizontal_line(120, 169),
        horizontal_line(122, 168),
        horizontal_line(123, 167),
        horizontal_line(125, 166),
        horizontal_line(126, 165),
        horizontal_line(128, 164),
        horizontal_line(129, 163),
        horizontal_line(131, 162),
        horizontal_line(133, 162),
        horizontal_line(134, 161),
        horizontal_line(136, 160),
        horizontal_line(137, 159),
        horizontal_line(139, 158),
        horizontal_line(140, 157),
        horizontal_line(142, 156),
        horizontal_line(143, 155),
        horizontal_line(145, 154),
        horizontal_line(147, 154),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(87, 148),
        horizontal_line(88, 147),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(154, 179),
        horizontal_line(153, 177),
        horizontal_line(152, 176),
        horizontal_line(151, 174),
        horizontal_line(150, 173),
        horizontal_line(149, 171),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(146, 165),
        horizontal_line(146, 163),
        horizontal_line(145, 161),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(103, 120),
        horizontal_line(104, 118),
        horizontal_line(105, 115),
        horizontal_line(106, 113),
        horizontal_line(107, 110),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(143, 152),
        horizontal_line(143, 150),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(142, 147),
        horizontal_line(142, 145),
        horizontal_line(187, 205),
        horizontal_line(187, 202),
        horizontal_line(187, 200),
        horizontal_line(188, 197),
        horizontal_line(188, 194),
        horizontal_line(188, 191),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(183, 187),
        horizontal_line(180, 187),
        horizontal_line(176, 187),
        horizontal_line(173, 187),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(154, 186),
        horizontal_line(155, 186),
        horizontal_line(155, 186),
        horizontal_line(155, 186),
        horizontal_line(156, 186),
        horizontal_line(156, 185),
        horizontal_line(133, 144),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(123, 132),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(159, 185),
        horizontal_line(161, 185),
        horizontal_line(163, 185),
        horizontal_line(165, 185),
        horizontal_line(167, 185),
        horizontal_line(169, 185),
        horizontal_line(171, 185),
        horizontal_line(173, 185),
        horizontal_line(175, 185),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(156, 176),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(179, 185),
        horizontal_line(181, 185),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(165, 183),
        horizontal_line(166, 182),
        horizontal_line(168, 181),
        horizontal_line(170, 180),
        horizontal_line(171, 179),
        horizontal_line(173, 178),
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_126_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(180, 201),
        horizontal_line(180, 202),
        horizontal_line(181, 203),
    };

    constexpr const shape frame_126_shape_group_6_shapes[] = {
        shape(frame_126_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_126_shape_group_6_shape_1_horizontal_lines, 23, 1),
        shape(frame_126_shape_group_6_shape_2_horizontal_lines, 37, 7),
        shape(frame_126_shape_group_6_shape_3_horizontal_lines, 42, 1),
        shape(frame_126_shape_group_6_shape_4_horizontal_lines, 45, 1),
        shape(frame_126_shape_group_6_shape_5_horizontal_lines, 54, 8),
        shape(frame_126_shape_group_6_shape_6_horizontal_lines, 83, 8),
        shape(frame_126_shape_group_6_shape_7_horizontal_lines, 90, 9),
        shape(frame_126_shape_group_6_shape_8_horizontal_lines, 91, 8),
        shape(frame_126_shape_group_6_shape_9_horizontal_lines, 100, 9),
        shape(frame_126_shape_group_6_shape_10_horizontal_lines, 101, 8),
        shape(frame_126_shape_group_6_shape_11_horizontal_lines, 105, 9),
        shape(frame_126_shape_group_6_shape_12_horizontal_lines, 119, 8),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(176, 180),
        horizontal_line(175, 180),
        horizontal_line(174, 180),
        horizontal_line(173, 180),
        horizontal_line(172, 180),
        horizontal_line(171, 180),
        horizontal_line(170, 180),
        horizontal_line(169, 180),
        horizontal_line(168, 180),
        horizontal_line(167, 180),
        horizontal_line(167, 180),
        horizontal_line(166, 180),
        horizontal_line(165, 180),
        horizontal_line(164, 180),
        horizontal_line(163, 180),
        horizontal_line(162, 180),
        horizontal_line(161, 180),
        horizontal_line(160, 180),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(147, 152),
        horizontal_line(148, 150),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 236),
        horizontal_line(145, 160),
        horizontal_line(145, 158),
        horizontal_line(144, 157),
        horizontal_line(144, 155),
        horizontal_line(144, 153),
        horizontal_line(185, 219),
        horizontal_line(186, 216),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(186, 211),
        horizontal_line(187, 208),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(156, 185),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(154, 174),
    };

    constexpr const horizontal_line frame_126_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(158, 178),
        horizontal_line(159, 180),
        horizontal_line(161, 182),
    };

    constexpr const shape frame_126_shape_group_7_shapes[] = {
        shape(frame_126_shape_group_7_shape_0_horizontal_lines, 0, 1),
        shape(frame_126_shape_group_7_shape_1_horizontal_lines, 19, 7),
        shape(frame_126_shape_group_7_shape_2_horizontal_lines, 21, 1),
        shape(frame_126_shape_group_7_shape_3_horizontal_lines, 34, 1),
        shape(frame_126_shape_group_7_shape_4_horizontal_lines, 45, 1),
        shape(frame_126_shape_group_7_shape_5_horizontal_lines, 89, 8),
        shape(frame_126_shape_group_7_shape_6_horizontal_lines, 91, 9),
        shape(frame_126_shape_group_7_shape_7_horizontal_lines, 101, 9),
    };

    constexpr const horizontal_line frame_126_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(159, 180),
        horizontal_line(158, 180),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_126_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(184, 233),
        horizontal_line(184, 230),
        horizontal_line(185, 227),
        horizontal_line(185, 225),
        horizontal_line(185, 222),
    };

    constexpr const horizontal_line frame_126_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_126_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(156, 158),
        horizontal_line(156, 160),
        horizontal_line(155, 162),
        horizontal_line(155, 164),
        horizontal_line(154, 166),
        horizontal_line(154, 168),
        horizontal_line(153, 170),
        horizontal_line(153, 172),
    };

    constexpr const shape frame_126_shape_group_8_shapes[] = {
        shape(frame_126_shape_group_8_shape_0_horizontal_lines, 0, 1),
        shape(frame_126_shape_group_8_shape_1_horizontal_lines, 37, 1),
        shape(frame_126_shape_group_8_shape_2_horizontal_lines, 89, 9),
        shape(frame_126_shape_group_8_shape_3_horizontal_lines, 91, 9),
    };

    constexpr const horizontal_line frame_126_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(183, 239),
    };

    constexpr const shape frame_126_shape_group_9_shapes[] = {
        shape(frame_126_shape_group_9_shape_0_horizontal_lines, 19, 1),
    };

    constexpr const shape_group frame_126_shape_groups[] = {
        shape_group(frame_126_shape_group_0_shapes),
        shape_group(frame_126_shape_group_1_shapes),
        shape_group(frame_126_shape_group_2_shapes),
        shape_group(frame_126_shape_group_3_shapes),
        shape_group(frame_126_shape_group_4_shapes),
        shape_group(frame_126_shape_group_5_shapes),
        shape_group(frame_126_shape_group_6_shapes),
        shape_group(frame_126_shape_group_7_shapes),
        shape_group(frame_126_shape_group_8_shapes),
        shape_group(frame_126_shape_group_9_shapes),
    };

    constexpr const frame frame_126_impl(frame_126_colors, frame_126_shape_groups);
} 

const frame& frame_126()
{
    return frame_126_impl;
}

namespace
{
    constexpr const bn::color frame_127_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_127_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(17, 58),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 75),
        horizontal_line(13, 74),
        horizontal_line(12, 71),
        horizontal_line(12, 68),
        horizontal_line(12, 64),
        horizontal_line(12, 61),
        horizontal_line(12, 58),
        horizontal_line(11, 55),
        horizontal_line(11, 52),
        horizontal_line(11, 48),
        horizontal_line(11, 45),
        horizontal_line(11, 42),
        horizontal_line(10, 39),
        horizontal_line(10, 35),
        horizontal_line(10, 32),
        horizontal_line(10, 29),
        horizontal_line(10, 26),
        horizontal_line(9, 23),
        horizontal_line(9, 19),
        horizontal_line(9, 16),
        horizontal_line(9, 13),
        horizontal_line(9, 10),
    };

    constexpr const horizontal_line frame_127_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(92, 120),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 62),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(64, 92),
        horizontal_line(65, 92),
        horizontal_line(67, 91),
        horizontal_line(68, 90),
        horizontal_line(70, 89),
        horizontal_line(71, 88),
        horizontal_line(73, 88),
    };

    constexpr const shape frame_127_shape_group_0_shapes[] = {
        shape(frame_127_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_127_shape_group_0_shape_1_horizontal_lines, 106, 3),
    };

    constexpr const horizontal_line frame_127_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(23, 55),
        horizontal_line(25, 56),
        horizontal_line(27, 58),
        horizontal_line(29, 60),
        horizontal_line(31, 62),
        horizontal_line(33, 64),
        horizontal_line(35, 65),
        horizontal_line(37, 67),
        horizontal_line(39, 69),
        horizontal_line(41, 71),
        horizontal_line(43, 73),
        horizontal_line(45, 74),
        horizontal_line(47, 76),
        horizontal_line(49, 78),
        horizontal_line(51, 80),
        horizontal_line(53, 82),
        horizontal_line(55, 82),
        horizontal_line(57, 83),
        horizontal_line(59, 84),
        horizontal_line(61, 85),
        horizontal_line(63, 86),
        horizontal_line(65, 87),
        horizontal_line(67, 88),
        horizontal_line(69, 89),
        horizontal_line(71, 89),
        horizontal_line(73, 90),
        horizontal_line(75, 91),
        horizontal_line(77, 92),
        horizontal_line(79, 93),
        horizontal_line(81, 94),
        horizontal_line(83, 95),
        horizontal_line(85, 96),
        horizontal_line(87, 97),
        horizontal_line(89, 97),
        horizontal_line(91, 98),
        horizontal_line(93, 99),
        horizontal_line(95, 100),
        horizontal_line(97, 101),
        horizontal_line(99, 102),
        horizontal_line(101, 103),
        horizontal_line(103, 104),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_127_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(105, 107),
        horizontal_line(105, 108),
        horizontal_line(104, 109),
        horizontal_line(104, 110),
        horizontal_line(104, 111),
        horizontal_line(104, 112),
        horizontal_line(103, 113),
        horizontal_line(103, 114),
        horizontal_line(103, 115),
        horizontal_line(102, 116),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 118),
        horizontal_line(101, 118),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(100, 120),
        horizontal_line(100, 120),
        horizontal_line(100, 121),
        horizontal_line(79, 121),
        horizontal_line(79, 98),
        horizontal_line(79, 98),
        horizontal_line(79, 98),
        horizontal_line(78, 98),
        horizontal_line(78, 98),
        horizontal_line(78, 98),
        horizontal_line(78, 98),
        horizontal_line(78, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(77, 98),
        horizontal_line(76, 98),
        horizontal_line(76, 98),
        horizontal_line(76, 97),
        horizontal_line(76, 93),
        horizontal_line(76, 90),
        horizontal_line(75, 87),
        horizontal_line(75, 84),
        horizontal_line(75, 80),
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_127_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(102, 126),
        horizontal_line(103, 124),
        horizontal_line(103, 122),
        horizontal_line(104, 121),
        horizontal_line(104, 119),
        horizontal_line(105, 118),
        horizontal_line(105, 116),
        horizontal_line(106, 114),
        horizontal_line(106, 113),
        horizontal_line(107, 111),
        horizontal_line(107, 110),
        horizontal_line(108, 108),
        horizontal_line(108, 108),
        horizontal_line(106, 109),
        horizontal_line(104, 110),
        horizontal_line(102, 112),
        horizontal_line(100, 113),
        horizontal_line(99, 115),
        horizontal_line(97, 116),
        horizontal_line(95, 118),
        horizontal_line(93, 119),
    };

    constexpr const horizontal_line frame_127_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_127_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(90, 122),
        horizontal_line(88, 123),
        horizontal_line(86, 125),
        horizontal_line(85, 126),
        horizontal_line(83, 127),
        horizontal_line(81, 126),
        horizontal_line(79, 125),
        horizontal_line(77, 124),
        horizontal_line(76, 123),
        horizontal_line(74, 122),
        horizontal_line(72, 122),
        horizontal_line(70, 121),
        horizontal_line(69, 120),
        horizontal_line(67, 119),
        horizontal_line(65, 118),
        horizontal_line(63, 118),
        horizontal_line(62, 117),
        horizontal_line(60, 116),
        horizontal_line(58, 115),
        horizontal_line(56, 114),
        horizontal_line(54, 114),
        horizontal_line(53, 113),
        horizontal_line(51, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(62, 106),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(43, 104),
        horizontal_line(44, 103),
        horizontal_line(46, 102),
        horizontal_line(47, 101),
        horizontal_line(49, 101),
        horizontal_line(50, 100),
        horizontal_line(52, 99),
        horizontal_line(53, 98),
        horizontal_line(55, 97),
        horizontal_line(56, 96),
        horizontal_line(58, 96),
        horizontal_line(59, 95),
        horizontal_line(61, 94),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_127_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_127_shape_group_1_shapes[] = {
        shape(frame_127_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_127_shape_group_1_shape_1_horizontal_lines, 42, 4),
        shape(frame_127_shape_group_1_shape_2_horizontal_lines, 85, 3),
        shape(frame_127_shape_group_1_shape_3_horizontal_lines, 106, 1),
        shape(frame_127_shape_group_1_shape_4_horizontal_lines, 107, 3),
        shape(frame_127_shape_group_1_shape_5_horizontal_lines, 153, 1),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(174, 177),
        horizontal_line(173, 176),
        horizontal_line(172, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 174),
        horizontal_line(170, 173),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 171),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(165, 169),
        horizontal_line(164, 168),
        horizontal_line(163, 167),
        horizontal_line(162, 167),
        horizontal_line(162, 166),
        horizontal_line(161, 165),
        horizontal_line(161, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 163),
        horizontal_line(159, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 161),
        horizontal_line(158, 160),
        horizontal_line(158, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 158),
        horizontal_line(157, 157),
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(98, 138),
        horizontal_line(98, 137),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(152, 153),
        horizontal_line(150, 153),
        horizontal_line(147, 152),
        horizontal_line(145, 152),
        horizontal_line(143, 151),
        horizontal_line(128, 129),
        horizontal_line(126, 128),
        horizontal_line(135, 150),
        horizontal_line(122, 126),
        horizontal_line(119, 125),
        horizontal_line(117, 124),
        horizontal_line(115, 123),
        horizontal_line(113, 147),
        horizontal_line(112, 120),
        horizontal_line(113, 117),
        horizontal_line(114, 114),
        horizontal_line(124, 146),
        horizontal_line(124, 144),
        horizontal_line(124, 142),
        horizontal_line(125, 140),
        horizontal_line(125, 137),
        horizontal_line(125, 135),
        horizontal_line(125, 133),
        horizontal_line(125, 130),
        horizontal_line(125, 128),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(127, 152),
        horizontal_line(127, 152),
        horizontal_line(128, 153),
        horizontal_line(129, 153),
        horizontal_line(129, 154),
        horizontal_line(130, 155),
        horizontal_line(130, 152),
        horizontal_line(131, 148),
        horizontal_line(132, 145),
        horizontal_line(132, 141),
        horizontal_line(133, 137),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(119, 123),
        horizontal_line(115, 123),
        horizontal_line(111, 123),
        horizontal_line(107, 124),
        horizontal_line(103, 124),
        horizontal_line(99, 124),
        horizontal_line(99, 125),
        horizontal_line(100, 125),
        horizontal_line(100, 125),
        horizontal_line(101, 126),
        horizontal_line(101, 126),
        horizontal_line(102, 126),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(125, 127),
        horizontal_line(123, 127),
        horizontal_line(122, 127),
        horizontal_line(120, 127),
        horizontal_line(119, 127),
        horizontal_line(117, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 126),
        horizontal_line(112, 126),
        horizontal_line(111, 126),
        horizontal_line(109, 126),
        horizontal_line(109, 126),
        horizontal_line(110, 126),
        horizontal_line(111, 126),
        horizontal_line(113, 126),
        horizontal_line(114, 126),
        horizontal_line(116, 126),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(119, 126),
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(124, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(13, 75),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(127, 128),
        horizontal_line(126, 129),
        horizontal_line(125, 130),
        horizontal_line(124, 130),
        horizontal_line(123, 131),
        horizontal_line(123, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 133),
        horizontal_line(120, 134),
        horizontal_line(119, 134),
        horizontal_line(119, 135),
        horizontal_line(118, 136),
        horizontal_line(117, 136),
        horizontal_line(116, 137),
        horizontal_line(115, 138),
        horizontal_line(115, 138),
        horizontal_line(114, 139),
        horizontal_line(113, 140),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(109, 110),
        horizontal_line(108, 109),
        horizontal_line(106, 109),
        horizontal_line(104, 108),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(107, 138),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(102, 105),
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_127_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(32, 42),
        horizontal_line(30, 43),
        horizontal_line(27, 45),
        horizontal_line(25, 46),
        horizontal_line(22, 48),
        horizontal_line(20, 49),
        horizontal_line(18, 51),
        horizontal_line(15, 52),
        horizontal_line(13, 54),
        horizontal_line(10, 55),
        horizontal_line(8, 57),
        horizontal_line(5, 58),
        horizontal_line(3, 60),
        horizontal_line(1, 61),
        horizontal_line(93, 130),
        horizontal_line(93, 129),
        horizontal_line(92, 129),
        horizontal_line(91, 128),
        horizontal_line(90, 128),
        horizontal_line(89, 127),
        horizontal_line(89, 127),
    };

    constexpr const shape frame_127_shape_group_2_shapes[] = {
        shape(frame_127_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_127_shape_group_2_shape_1_horizontal_lines, 32, 7),
        shape(frame_127_shape_group_2_shape_2_horizontal_lines, 34, 3),
        shape(frame_127_shape_group_2_shape_3_horizontal_lines, 60, 1),
        shape(frame_127_shape_group_2_shape_4_horizontal_lines, 73, 3),
        shape(frame_127_shape_group_2_shape_5_horizontal_lines, 85, 1),
        shape(frame_127_shape_group_2_shape_6_horizontal_lines, 103, 7),
        shape(frame_127_shape_group_2_shape_7_horizontal_lines, 104, 1),
        shape(frame_127_shape_group_2_shape_8_horizontal_lines, 106, 2),
        shape(frame_127_shape_group_2_shape_9_horizontal_lines, 107, 1),
        shape(frame_127_shape_group_2_shape_10_horizontal_lines, 110, 2),
        shape(frame_127_shape_group_2_shape_11_horizontal_lines, 111, 1),
        shape(frame_127_shape_group_2_shape_12_horizontal_lines, 130, 3),
        shape(frame_127_shape_group_2_shape_13_horizontal_lines, 136, 1),
        shape(frame_127_shape_group_2_shape_14_horizontal_lines, 137, 3),
        shape(frame_127_shape_group_2_shape_15_horizontal_lines, 139, 1),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(190, 198),
        horizontal_line(190, 197),
        horizontal_line(190, 196),
        horizontal_line(190, 196),
        horizontal_line(190, 195),
        horizontal_line(190, 195),
        horizontal_line(190, 194),
        horizontal_line(190, 194),
        horizontal_line(190, 193),
        horizontal_line(190, 193),
        horizontal_line(190, 192),
        horizontal_line(190, 192),
        horizontal_line(190, 191),
        horizontal_line(190, 191),
        horizontal_line(190, 190),
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(90, 151),
        horizontal_line(90, 149),
        horizontal_line(91, 148),
        horizontal_line(92, 146),
        horizontal_line(93, 145),
        horizontal_line(94, 144),
        horizontal_line(95, 142),
        horizontal_line(96, 141),
        horizontal_line(97, 139),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(155, 170),
        horizontal_line(155, 169),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(99, 135),
        horizontal_line(100, 134),
        horizontal_line(101, 132),
        horizontal_line(102, 131),
        horizontal_line(103, 130),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(140, 151),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(106, 123),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(133, 149),
        horizontal_line(131, 149),
        horizontal_line(128, 148),
        horizontal_line(126, 148),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(124, 147),
        horizontal_line(124, 146),
        horizontal_line(124, 146),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(115, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(121, 125),
        horizontal_line(126, 151),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(117, 126),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(62, 91),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(75, 84),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(17, 76),
        horizontal_line(18, 75),
        horizontal_line(19, 73),
        horizontal_line(20, 71),
        horizontal_line(21, 69),
        horizontal_line(22, 68),
        horizontal_line(23, 66),
        horizontal_line(24, 64),
        horizontal_line(25, 62),
        horizontal_line(26, 61),
        horizontal_line(27, 59),
        horizontal_line(28, 57),
        horizontal_line(29, 55),
        horizontal_line(30, 53),
        horizontal_line(31, 52),
        horizontal_line(32, 50),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(112, 140),
        horizontal_line(111, 141),
        horizontal_line(110, 141),
        horizontal_line(110, 140),
        horizontal_line(109, 139),
        horizontal_line(108, 139),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(190, 216),
    };

    constexpr const horizontal_line frame_127_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(37, 39),
        horizontal_line(35, 40),
        horizontal_line(105, 137),
        horizontal_line(104, 136),
        horizontal_line(103, 136),
        horizontal_line(102, 135),
        horizontal_line(102, 135),
        horizontal_line(101, 134),
        horizontal_line(100, 134),
        horizontal_line(99, 133),
        horizontal_line(98, 133),
        horizontal_line(97, 132),
        horizontal_line(97, 132),
        horizontal_line(96, 131),
        horizontal_line(95, 131),
        horizontal_line(94, 130),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
    };

    constexpr const shape frame_127_shape_group_3_shapes[] = {
        shape(frame_127_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_127_shape_group_3_shape_1_horizontal_lines, 16, 7),
        shape(frame_127_shape_group_3_shape_2_horizontal_lines, 32, 1),
        shape(frame_127_shape_group_3_shape_3_horizontal_lines, 34, 7),
        shape(frame_127_shape_group_3_shape_4_horizontal_lines, 39, 3),
        shape(frame_127_shape_group_3_shape_5_horizontal_lines, 41, 7),
        shape(frame_127_shape_group_3_shape_6_horizontal_lines, 42, 3),
        shape(frame_127_shape_group_3_shape_7_horizontal_lines, 46, 7),
        shape(frame_127_shape_group_3_shape_8_horizontal_lines, 47, 3),
        shape(frame_127_shape_group_3_shape_9_horizontal_lines, 50, 1),
        shape(frame_127_shape_group_3_shape_10_horizontal_lines, 61, 2),
        shape(frame_127_shape_group_3_shape_11_horizontal_lines, 103, 1),
        shape(frame_127_shape_group_3_shape_12_horizontal_lines, 104, 2),
        shape(frame_127_shape_group_3_shape_13_horizontal_lines, 130, 1),
        shape(frame_127_shape_group_3_shape_14_horizontal_lines, 136, 8),
        shape(frame_127_shape_group_3_shape_15_horizontal_lines, 137, 1),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(145, 161),
        horizontal_line(146, 159),
        horizontal_line(147, 158),
        horizontal_line(148, 156),
        horizontal_line(149, 155),
        horizontal_line(150, 153),
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(162, 182),
        horizontal_line(161, 180),
        horizontal_line(160, 179),
        horizontal_line(160, 178),
        horizontal_line(159, 176),
        horizontal_line(158, 175),
        horizontal_line(157, 174),
        horizontal_line(157, 173),
        horizontal_line(156, 171),
        horizontal_line(194, 239),
        horizontal_line(195, 237),
        horizontal_line(154, 167),
        horizontal_line(154, 166),
        horizontal_line(153, 165),
        horizontal_line(153, 163),
        horizontal_line(152, 162),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(104, 127),
        horizontal_line(105, 125),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(151, 158),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(107, 121),
        horizontal_line(108, 118),
        horizontal_line(109, 116),
        horizontal_line(110, 114),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(121, 123),
        horizontal_line(118, 123),
        horizontal_line(115, 123),
        horizontal_line(147, 147),
        horizontal_line(145, 146),
        horizontal_line(143, 147),
        horizontal_line(141, 147),
        horizontal_line(138, 148),
        horizontal_line(136, 148),
        horizontal_line(134, 149),
        horizontal_line(131, 149),
        horizontal_line(129, 150),
        horizontal_line(127, 151),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(18, 80),
        horizontal_line(59, 99),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(169, 199),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(99, 123),
        horizontal_line(99, 118),
        horizontal_line(99, 114),
        horizontal_line(99, 110),
        horizontal_line(99, 106),
        horizontal_line(99, 102),
        horizontal_line(98, 98),
        horizontal_line(94, 98),
        horizontal_line(91, 99),
        horizontal_line(88, 99),
        horizontal_line(85, 100),
        horizontal_line(81, 100),
        horizontal_line(78, 101),
        horizontal_line(75, 101),
        horizontal_line(72, 102),
        horizontal_line(69, 102),
        horizontal_line(65, 103),
        horizontal_line(62, 103),
        horizontal_line(59, 104),
        horizontal_line(56, 104),
        horizontal_line(53, 105),
        horizontal_line(49, 105),
        horizontal_line(46, 106),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(36, 98),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(20, 82),
        horizontal_line(0, 8),
        horizontal_line(14, 76),
        horizontal_line(11, 73),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(128, 161),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(72, 89),
        horizontal_line(73, 87),
        horizontal_line(74, 85),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(130, 167),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(76, 82),
        horizontal_line(77, 80),
        horizontal_line(78, 78),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(132, 173),
        horizontal_line(133, 174),
        horizontal_line(133, 176),
        horizontal_line(134, 177),
        horizontal_line(134, 178),
        horizontal_line(135, 180),
        horizontal_line(135, 181),
        horizontal_line(136, 183),
        horizontal_line(136, 184),
        horizontal_line(137, 199),
        horizontal_line(137, 181),
        horizontal_line(138, 176),
        horizontal_line(139, 171),
        horizontal_line(139, 166),
        horizontal_line(140, 161),
        horizontal_line(141, 156),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(33, 48),
        horizontal_line(34, 46),
        horizontal_line(35, 45),
        horizontal_line(36, 43),
        horizontal_line(37, 41),
        horizontal_line(38, 39),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(106, 138),
        horizontal_line(106, 137),
    };

    constexpr const horizontal_line frame_127_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(191, 218),
        horizontal_line(192, 219),
        horizontal_line(192, 220),
        horizontal_line(192, 221),
        horizontal_line(193, 222),
        horizontal_line(193, 223),
        horizontal_line(193, 224),
        horizontal_line(194, 225),
        horizontal_line(194, 226),
        horizontal_line(194, 226),
        horizontal_line(194, 227),
        horizontal_line(195, 228),
        horizontal_line(195, 229),
        horizontal_line(195, 230),
        horizontal_line(196, 231),
        horizontal_line(196, 232),
        horizontal_line(196, 233),
        horizontal_line(197, 234),
        horizontal_line(197, 235),
        horizontal_line(197, 236),
        horizontal_line(198, 237),
    };

    constexpr const shape frame_127_shape_group_4_shapes[] = {
        shape(frame_127_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_127_shape_group_4_shape_1_horizontal_lines, 23, 1),
        shape(frame_127_shape_group_4_shape_2_horizontal_lines, 39, 7),
        shape(frame_127_shape_group_4_shape_3_horizontal_lines, 41, 1),
        shape(frame_127_shape_group_4_shape_4_horizontal_lines, 42, 7),
        shape(frame_127_shape_group_4_shape_5_horizontal_lines, 46, 1),
        shape(frame_127_shape_group_4_shape_6_horizontal_lines, 60, 2),
        shape(frame_127_shape_group_4_shape_7_horizontal_lines, 62, 8),
        shape(frame_127_shape_group_4_shape_8_horizontal_lines, 63, 2),
        shape(frame_127_shape_group_4_shape_9_horizontal_lines, 106, 8),
        shape(frame_127_shape_group_4_shape_10_horizontal_lines, 107, 2),
        shape(frame_127_shape_group_4_shape_11_horizontal_lines, 110, 8),
        shape(frame_127_shape_group_4_shape_12_horizontal_lines, 111, 2),
        shape(frame_127_shape_group_4_shape_13_horizontal_lines, 114, 8),
        shape(frame_127_shape_group_4_shape_14_horizontal_lines, 130, 2),
        shape(frame_127_shape_group_4_shape_15_horizontal_lines, 137, 1),
        shape(frame_127_shape_group_4_shape_16_horizontal_lines, 139, 8),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(118, 174),
        horizontal_line(119, 173),
        horizontal_line(121, 172),
        horizontal_line(123, 171),
        horizontal_line(125, 170),
        horizontal_line(127, 169),
        horizontal_line(128, 169),
        horizontal_line(130, 168),
        horizontal_line(132, 167),
        horizontal_line(134, 166),
        horizontal_line(136, 165),
        horizontal_line(137, 165),
        horizontal_line(139, 164),
        horizontal_line(141, 163),
        horizontal_line(143, 162),
        horizontal_line(145, 161),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 188),
        horizontal_line(165, 187),
        horizontal_line(164, 186),
        horizontal_line(163, 184),
        horizontal_line(163, 183),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(195, 235),
        horizontal_line(195, 233),
        horizontal_line(195, 231),
        horizontal_line(196, 229),
        horizontal_line(196, 227),
        horizontal_line(152, 161),
        horizontal_line(151, 160),
        horizontal_line(197, 221),
        horizontal_line(150, 157),
        horizontal_line(150, 156),
        horizontal_line(149, 154),
        horizontal_line(149, 153),
        horizontal_line(199, 212),
        horizontal_line(148, 150),
        horizontal_line(147, 149),
        horizontal_line(147, 148),
        horizontal_line(200, 204),
        horizontal_line(200, 202),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(80, 99),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(173, 199),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(166, 199),
        horizontal_line(163, 199),
        horizontal_line(160, 199),
        horizontal_line(157, 199),
        horizontal_line(156, 199),
        horizontal_line(156, 198),
        horizontal_line(156, 198),
        horizontal_line(157, 198),
        horizontal_line(157, 198),
        horizontal_line(157, 198),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 140),
        horizontal_line(140, 148),
        horizontal_line(140, 156),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(102, 107),
        horizontal_line(98, 107),
        horizontal_line(95, 105),
        horizontal_line(92, 103),
        horizontal_line(89, 101),
        horizontal_line(86, 99),
        horizontal_line(82, 98),
        horizontal_line(17, 79),
        horizontal_line(76, 94),
        horizontal_line(73, 92),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(183, 196),
        horizontal_line(129, 163),
        horizontal_line(129, 164),
        horizontal_line(130, 166),
        horizontal_line(190, 196),
        horizontal_line(131, 168),
        horizontal_line(131, 170),
        horizontal_line(132, 171),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(174, 196),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(195, 196),
        horizontal_line(194, 197),
        horizontal_line(193, 198),
        horizontal_line(192, 199),
        horizontal_line(191, 200),
        horizontal_line(190, 201),
        horizontal_line(189, 202),
        horizontal_line(188, 203),
        horizontal_line(199, 204),
        horizontal_line(187, 205),
        horizontal_line(187, 206),
        horizontal_line(187, 206),
        horizontal_line(188, 207),
        horizontal_line(188, 208),
        horizontal_line(188, 209),
        horizontal_line(141, 151),
        horizontal_line(142, 146),
        horizontal_line(189, 212),
        horizontal_line(190, 213),
        horizontal_line(190, 214),
        horizontal_line(190, 215),
    };

    constexpr const horizontal_line frame_127_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(191, 216),
        horizontal_line(191, 217),
    };

    constexpr const shape frame_127_shape_group_5_shapes[] = {
        shape(frame_127_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_127_shape_group_5_shape_1_horizontal_lines, 16, 1),
        shape(frame_127_shape_group_5_shape_2_horizontal_lines, 32, 2),
        shape(frame_127_shape_group_5_shape_3_horizontal_lines, 34, 1),
        shape(frame_127_shape_group_5_shape_4_horizontal_lines, 53, 2),
        shape(frame_127_shape_group_5_shape_5_horizontal_lines, 61, 8),
        shape(frame_127_shape_group_5_shape_6_horizontal_lines, 63, 8),
        shape(frame_127_shape_group_5_shape_7_horizontal_lines, 73, 2),
        shape(frame_127_shape_group_5_shape_8_horizontal_lines, 79, 8),
        shape(frame_127_shape_group_5_shape_9_horizontal_lines, 95, 2),
        shape(frame_127_shape_group_5_shape_10_horizontal_lines, 106, 8),
        shape(frame_127_shape_group_5_shape_11_horizontal_lines, 114, 9),
        shape(frame_127_shape_group_5_shape_12_horizontal_lines, 115, 8),
        shape(frame_127_shape_group_5_shape_13_horizontal_lines, 137, 8),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(179, 189),
        horizontal_line(178, 189),
        horizontal_line(177, 189),
        horizontal_line(176, 189),
        horizontal_line(176, 189),
        horizontal_line(175, 189),
        horizontal_line(174, 189),
        horizontal_line(173, 189),
        horizontal_line(173, 189),
        horizontal_line(172, 189),
        horizontal_line(171, 189),
        horizontal_line(171, 189),
        horizontal_line(170, 189),
        horizontal_line(169, 189),
        horizontal_line(168, 189),
        horizontal_line(168, 189),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(21, 68),
        horizontal_line(21, 70),
        horizontal_line(20, 72),
        horizontal_line(20, 74),
        horizontal_line(20, 76),
        horizontal_line(20, 78),
        horizontal_line(20, 80),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(139, 154),
        horizontal_line(138, 154),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(196, 225),
        horizontal_line(197, 223),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(19, 81),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(197, 220),
        horizontal_line(198, 218),
        horizontal_line(198, 216),
        horizontal_line(198, 214),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(19, 81),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(199, 210),
        horizontal_line(199, 208),
        horizontal_line(200, 206),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(80, 101),
        horizontal_line(80, 101),
        horizontal_line(80, 101),
        horizontal_line(80, 100),
        horizontal_line(80, 100),
        horizontal_line(80, 100),
        horizontal_line(80, 99),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(176, 199),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(129, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 135),
        horizontal_line(160, 198),
        horizontal_line(160, 198),
        horizontal_line(160, 198),
        horizontal_line(160, 198),
        horizontal_line(161, 198),
        horizontal_line(161, 197),
        horizontal_line(161, 197),
        horizontal_line(162, 197),
        horizontal_line(162, 197),
        horizontal_line(162, 197),
        horizontal_line(163, 197),
        horizontal_line(163, 197),
        horizontal_line(163, 197),
        horizontal_line(164, 197),
        horizontal_line(164, 197),
        horizontal_line(164, 197),
        horizontal_line(140, 197),
        horizontal_line(140, 163),
        horizontal_line(139, 162),
        horizontal_line(139, 162),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(138, 160),
        horizontal_line(138, 160),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(79, 96),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(180, 196),
        horizontal_line(128, 160),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(162, 182),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(185, 196),
        horizontal_line(186, 196),
        horizontal_line(188, 196),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(168, 189),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(191, 196),
        horizontal_line(193, 196),
        horizontal_line(195, 196),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(175, 194),
        horizontal_line(177, 193),
        horizontal_line(178, 192),
        horizontal_line(179, 191),
        horizontal_line(181, 190),
        horizontal_line(182, 189),
        horizontal_line(184, 188),
        horizontal_line(185, 187),
    };

    constexpr const horizontal_line frame_127_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(189, 210),
        horizontal_line(189, 211),
    };

    constexpr const shape frame_127_shape_group_6_shapes[] = {
        shape(frame_127_shape_group_6_shape_0_horizontal_lines, 0, 1),
        shape(frame_127_shape_group_6_shape_1_horizontal_lines, 23, 2),
        shape(frame_127_shape_group_6_shape_2_horizontal_lines, 39, 1),
        shape(frame_127_shape_group_6_shape_3_horizontal_lines, 41, 2),
        shape(frame_127_shape_group_6_shape_4_horizontal_lines, 42, 1),
        shape(frame_127_shape_group_6_shape_5_horizontal_lines, 46, 2),
        shape(frame_127_shape_group_6_shape_6_horizontal_lines, 47, 1),
        shape(frame_127_shape_group_6_shape_7_horizontal_lines, 50, 2),
        shape(frame_127_shape_group_6_shape_8_horizontal_lines, 60, 8),
        shape(frame_127_shape_group_6_shape_9_horizontal_lines, 73, 8),
        shape(frame_127_shape_group_6_shape_10_horizontal_lines, 103, 2),
        shape(frame_127_shape_group_6_shape_11_horizontal_lines, 104, 8),
        shape(frame_127_shape_group_6_shape_12_horizontal_lines, 106, 9),
        shape(frame_127_shape_group_6_shape_13_horizontal_lines, 107, 8),
        shape(frame_127_shape_group_6_shape_14_horizontal_lines, 110, 9),
        shape(frame_127_shape_group_6_shape_15_horizontal_lines, 111, 8),
        shape(frame_127_shape_group_6_shape_16_horizontal_lines, 115, 9),
        shape(frame_127_shape_group_6_shape_17_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(21, 54),
        horizontal_line(21, 56),
        horizontal_line(21, 58),
        horizontal_line(21, 60),
        horizontal_line(21, 62),
        horizontal_line(21, 64),
        horizontal_line(21, 66),
        horizontal_line(152, 158),
        horizontal_line(150, 157),
        horizontal_line(149, 157),
        horizontal_line(147, 156),
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(143, 155),
        horizontal_line(142, 155),
        horizontal_line(140, 154),
        horizontal_line(82, 86),
        horizontal_line(82, 88),
        horizontal_line(136, 151),
        horizontal_line(135, 149),
        horizontal_line(133, 146),
        horizontal_line(132, 144),
        horizontal_line(131, 142),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(128, 134),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(81, 103),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(80, 102),
        horizontal_line(80, 102),
        horizontal_line(80, 101),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(198, 199),
        horizontal_line(195, 199),
        horizontal_line(192, 199),
        horizontal_line(189, 199),
        horizontal_line(185, 199),
        horizontal_line(182, 199),
        horizontal_line(179, 199),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(158, 198),
        horizontal_line(158, 198),
        horizontal_line(158, 198),
        horizontal_line(159, 198),
        horizontal_line(159, 198),
        horizontal_line(159, 198),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(166, 197),
        horizontal_line(168, 197),
        horizontal_line(170, 197),
        horizontal_line(171, 196),
        horizontal_line(173, 196),
        horizontal_line(175, 196),
        horizontal_line(176, 196),
        horizontal_line(138, 159),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(160, 179),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(181, 196),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(164, 184),
        horizontal_line(165, 185),
        horizontal_line(167, 187),
    };

    constexpr const horizontal_line frame_127_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(169, 190),
        horizontal_line(171, 192),
        horizontal_line(172, 194),
    };

    constexpr const shape frame_127_shape_group_7_shapes[] = {
        shape(frame_127_shape_group_7_shape_0_horizontal_lines, 0, 1),
        shape(frame_127_shape_group_7_shape_1_horizontal_lines, 16, 2),
        shape(frame_127_shape_group_7_shape_2_horizontal_lines, 53, 8),
        shape(frame_127_shape_group_7_shape_3_horizontal_lines, 73, 8),
        shape(frame_127_shape_group_7_shape_4_horizontal_lines, 93, 9),
        shape(frame_127_shape_group_7_shape_5_horizontal_lines, 96, 8),
        shape(frame_127_shape_group_7_shape_6_horizontal_lines, 104, 9),
        shape(frame_127_shape_group_7_shape_7_horizontal_lines, 105, 8),
        shape(frame_127_shape_group_7_shape_8_horizontal_lines, 107, 9),
        shape(frame_127_shape_group_7_shape_9_horizontal_lines, 111, 9),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(22, 24),
        horizontal_line(22, 26),
        horizontal_line(22, 28),
        horizontal_line(22, 30),
        horizontal_line(22, 32),
        horizontal_line(22, 34),
        horizontal_line(22, 36),
        horizontal_line(22, 38),
        horizontal_line(22, 40),
        horizontal_line(22, 42),
        horizontal_line(22, 44),
        horizontal_line(22, 46),
        horizontal_line(21, 48),
        horizontal_line(21, 50),
        horizontal_line(21, 52),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(159, 160),
        horizontal_line(157, 159),
        horizontal_line(156, 159),
        horizontal_line(154, 158),
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(82, 84),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(82, 90),
        horizontal_line(82, 92),
        horizontal_line(82, 94),
        horizontal_line(81, 96),
        horizontal_line(81, 98),
        horizontal_line(130, 139),
        horizontal_line(129, 137),
        horizontal_line(81, 105),
        horizontal_line(127, 132),
        horizontal_line(126, 130),
        horizontal_line(125, 127),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(81, 103),
        horizontal_line(81, 103),
        horizontal_line(80, 102),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(128, 139),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(178, 196),
    };

    constexpr const horizontal_line frame_127_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(161, 180),
    };

    constexpr const shape frame_127_shape_group_8_shapes[] = {
        shape(frame_127_shape_group_8_shape_0_horizontal_lines, 1, 2),
        shape(frame_127_shape_group_8_shape_1_horizontal_lines, 17, 2),
        shape(frame_127_shape_group_8_shape_2_horizontal_lines, 30, 2),
        shape(frame_127_shape_group_8_shape_3_horizontal_lines, 34, 2),
        shape(frame_127_shape_group_8_shape_4_horizontal_lines, 47, 2),
        shape(frame_127_shape_group_8_shape_5_horizontal_lines, 96, 9),
        shape(frame_127_shape_group_8_shape_6_horizontal_lines, 103, 8),
        shape(frame_127_shape_group_8_shape_7_horizontal_lines, 105, 9),
    };

    constexpr const horizontal_line frame_127_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(81, 100),
        horizontal_line(81, 102),
    };

    constexpr const horizontal_line frame_127_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(81, 104),
        horizontal_line(81, 104),
        horizontal_line(81, 104),
        horizontal_line(81, 103),
    };

    constexpr const horizontal_line frame_127_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(164, 165),
        horizontal_line(163, 167),
        horizontal_line(163, 169),
        horizontal_line(162, 170),
        horizontal_line(162, 172),
        horizontal_line(161, 174),
        horizontal_line(161, 175),
        horizontal_line(130, 137),
    };

    constexpr const shape frame_127_shape_group_9_shapes[] = {
        shape(frame_127_shape_group_9_shape_0_horizontal_lines, 39, 2),
        shape(frame_127_shape_group_9_shape_1_horizontal_lines, 42, 2),
        shape(frame_127_shape_group_9_shape_2_horizontal_lines, 96, 9),
    };

    constexpr const horizontal_line frame_127_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(160, 177),
    };

    constexpr const shape frame_127_shape_group_10_shapes[] = {
        shape(frame_127_shape_group_10_shape_0_horizontal_lines, 103, 9),
    };

    constexpr const shape_group frame_127_shape_groups[] = {
        shape_group(frame_127_shape_group_0_shapes),
        shape_group(frame_127_shape_group_1_shapes),
        shape_group(frame_127_shape_group_2_shapes),
        shape_group(frame_127_shape_group_3_shapes),
        shape_group(frame_127_shape_group_4_shapes),
        shape_group(frame_127_shape_group_5_shapes),
        shape_group(frame_127_shape_group_6_shapes),
        shape_group(frame_127_shape_group_7_shapes),
        shape_group(frame_127_shape_group_8_shapes),
        shape_group(frame_127_shape_group_9_shapes),
        shape_group(frame_127_shape_group_10_shapes),
    };

    constexpr const frame frame_127_impl(frame_127_colors, frame_127_shape_groups);
} 

const frame& frame_127()
{
    return frame_127_impl;
}

namespace
{
    constexpr const bn::color frame_128_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_128_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(24, 58),
        horizontal_line(26, 60),
        horizontal_line(28, 62),
        horizontal_line(30, 64),
        horizontal_line(32, 66),
        horizontal_line(34, 68),
        horizontal_line(36, 70),
        horizontal_line(38, 72),
        horizontal_line(41, 74),
        horizontal_line(43, 76),
        horizontal_line(45, 78),
        horizontal_line(47, 78),
        horizontal_line(49, 79),
        horizontal_line(51, 80),
        horizontal_line(53, 81),
        horizontal_line(56, 82),
        horizontal_line(58, 83),
        horizontal_line(60, 84),
        horizontal_line(62, 85),
        horizontal_line(64, 86),
        horizontal_line(66, 86),
        horizontal_line(68, 87),
        horizontal_line(70, 88),
        horizontal_line(73, 89),
        horizontal_line(75, 90),
        horizontal_line(77, 91),
        horizontal_line(79, 92),
        horizontal_line(81, 93),
        horizontal_line(83, 94),
        horizontal_line(85, 94),
        horizontal_line(88, 95),
        horizontal_line(90, 96),
        horizontal_line(92, 97),
        horizontal_line(94, 98),
        horizontal_line(96, 99),
        horizontal_line(98, 100),
        horizontal_line(100, 101),
        horizontal_line(150, 159),
        horizontal_line(148, 158),
        horizontal_line(146, 158),
        horizontal_line(136, 136),
        horizontal_line(134, 135),
        horizontal_line(132, 134),
        horizontal_line(130, 133),
        horizontal_line(128, 132),
        horizontal_line(126, 131),
        horizontal_line(124, 130),
        horizontal_line(122, 127),
        horizontal_line(120, 125),
        horizontal_line(118, 122),
        horizontal_line(119, 120),
        horizontal_line(131, 150),
        horizontal_line(131, 148),
        horizontal_line(131, 146),
        horizontal_line(131, 144),
        horizontal_line(131, 142),
        horizontal_line(131, 140),
        horizontal_line(131, 138),
        horizontal_line(131, 136),
        horizontal_line(131, 134),
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_128_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(125, 160),
        horizontal_line(126, 129),
        horizontal_line(126, 127),
        horizontal_line(134, 161),
        horizontal_line(135, 162),
        horizontal_line(135, 162),
        horizontal_line(136, 163),
        horizontal_line(137, 164),
        horizontal_line(138, 161),
        horizontal_line(138, 157),
        horizontal_line(139, 153),
        horizontal_line(140, 149),
        horizontal_line(141, 145),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_128_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(111, 128),
        horizontal_line(102, 128),
        horizontal_line(94, 128),
        horizontal_line(94, 129),
        horizontal_line(94, 129),
        horizontal_line(95, 129),
        horizontal_line(95, 129),
        horizontal_line(96, 129),
        horizontal_line(96, 130),
        horizontal_line(97, 130),
        horizontal_line(97, 130),
        horizontal_line(98, 130),
        horizontal_line(98, 130),
        horizontal_line(99, 127),
        horizontal_line(99, 125),
        horizontal_line(100, 123),
        horizontal_line(100, 121),
        horizontal_line(101, 119),
        horizontal_line(101, 117),
        horizontal_line(102, 115),
        horizontal_line(102, 113),
        horizontal_line(103, 111),
        horizontal_line(103, 109),
        horizontal_line(104, 107),
        horizontal_line(104, 105),
        horizontal_line(104, 104),
        horizontal_line(101, 105),
        horizontal_line(99, 106),
        horizontal_line(97, 107),
        horizontal_line(94, 109),
        horizontal_line(92, 110),
        horizontal_line(90, 111),
        horizontal_line(87, 112),
        horizontal_line(85, 114),
        horizontal_line(83, 115),
        horizontal_line(80, 116),
        horizontal_line(78, 118),
        horizontal_line(76, 119),
        horizontal_line(73, 120),
        horizontal_line(71, 121),
        horizontal_line(69, 123),
        horizontal_line(67, 124),
        horizontal_line(64, 125),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_128_shape_group_0_shapes[] = {
        shape(frame_128_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_128_shape_group_0_shape_1_horizontal_lines, 61, 1),
        shape(frame_128_shape_group_0_shape_2_horizontal_lines, 75, 3),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(180, 181),
        horizontal_line(179, 180),
        horizontal_line(178, 179),
        horizontal_line(178, 179),
        horizontal_line(177, 178),
        horizontal_line(176, 177),
        horizontal_line(176, 177),
        horizontal_line(175, 176),
        horizontal_line(174, 175),
        horizontal_line(174, 175),
        horizontal_line(173, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 173),
        horizontal_line(171, 172),
        horizontal_line(171, 172),
        horizontal_line(170, 171),
        horizontal_line(170, 170),
        horizontal_line(169, 170),
        horizontal_line(169, 169),
        horizontal_line(168, 168),
        horizontal_line(168, 168),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(91, 153),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(93, 153),
        horizontal_line(94, 152),
        horizontal_line(95, 151),
        horizontal_line(95, 150),
        horizontal_line(96, 148),
        horizontal_line(97, 147),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(160, 161),
        horizontal_line(158, 160),
        horizontal_line(156, 160),
        horizontal_line(154, 159),
        horizontal_line(152, 159),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(103, 103),
        horizontal_line(106, 139),
        horizontal_line(107, 137),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(144, 157),
        horizontal_line(142, 157),
        horizontal_line(140, 156),
        horizontal_line(138, 156),
        horizontal_line(136, 156),
        horizontal_line(134, 155),
        horizontal_line(132, 155),
        horizontal_line(131, 154),
        horizontal_line(131, 154),
        horizontal_line(131, 154),
        horizontal_line(131, 152),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(120, 130),
        horizontal_line(121, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(161, 181),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(132, 160),
        horizontal_line(133, 161),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(127, 133),
        horizontal_line(127, 134),
        horizontal_line(127, 134),
        horizontal_line(127, 135),
        horizontal_line(127, 136),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 138),
        horizontal_line(128, 139),
        horizontal_line(128, 140),
        horizontal_line(129, 141),
        horizontal_line(130, 135),
        horizontal_line(142, 166),
        horizontal_line(142, 166),
        horizontal_line(143, 167),
        horizontal_line(143, 167),
        horizontal_line(143, 167),
        horizontal_line(144, 167),
        horizontal_line(144, 168),
        horizontal_line(144, 168),
        horizontal_line(145, 168),
        horizontal_line(145, 169),
        horizontal_line(145, 169),
        horizontal_line(145, 169),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(128, 131),
        horizontal_line(126, 131),
        horizontal_line(124, 131),
        horizontal_line(122, 131),
        horizontal_line(120, 131),
        horizontal_line(118, 131),
        horizontal_line(116, 131),
        horizontal_line(114, 130),
        horizontal_line(112, 129),
        horizontal_line(110, 129),
        horizontal_line(108, 129),
        horizontal_line(106, 129),
        horizontal_line(105, 129),
        horizontal_line(106, 128),
        horizontal_line(107, 128),
        horizontal_line(108, 128),
        horizontal_line(110, 128),
        horizontal_line(111, 128),
        horizontal_line(112, 128),
        horizontal_line(113, 127),
        horizontal_line(115, 127),
        horizontal_line(116, 127),
        horizontal_line(117, 127),
        horizontal_line(119, 127),
        horizontal_line(120, 127),
        horizontal_line(121, 126),
        horizontal_line(122, 126),
        horizontal_line(124, 126),
        horizontal_line(125, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_128_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(122, 124),
        horizontal_line(119, 123),
        horizontal_line(117, 122),
        horizontal_line(115, 121),
        horizontal_line(112, 120),
        horizontal_line(110, 118),
        horizontal_line(108, 117),
        horizontal_line(105, 116),
        horizontal_line(103, 115),
        horizontal_line(101, 114),
        horizontal_line(98, 113),
        horizontal_line(96, 111),
        horizontal_line(94, 110),
        horizontal_line(92, 109),
        horizontal_line(89, 108),
        horizontal_line(87, 107),
        horizontal_line(85, 106),
        horizontal_line(82, 104),
        horizontal_line(80, 103),
        horizontal_line(78, 102),
        horizontal_line(75, 101),
        horizontal_line(73, 100),
        horizontal_line(71, 98),
        horizontal_line(68, 97),
        horizontal_line(66, 96),
        horizontal_line(64, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
    };

    constexpr const shape frame_128_shape_group_1_shapes[] = {
        shape(frame_128_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_128_shape_group_1_shape_1_horizontal_lines, 24, 2),
        shape(frame_128_shape_group_1_shape_2_horizontal_lines, 25, 3),
        shape(frame_128_shape_group_1_shape_3_horizontal_lines, 26, 2),
        shape(frame_128_shape_group_1_shape_4_horizontal_lines, 32, 3),
        shape(frame_128_shape_group_1_shape_5_horizontal_lines, 37, 2),
        shape(frame_128_shape_group_1_shape_6_horizontal_lines, 40, 3),
        shape(frame_128_shape_group_1_shape_7_horizontal_lines, 51, 1),
        shape(frame_128_shape_group_1_shape_8_horizontal_lines, 61, 7),
        shape(frame_128_shape_group_1_shape_9_horizontal_lines, 62, 1),
        shape(frame_128_shape_group_1_shape_10_horizontal_lines, 64, 7),
        shape(frame_128_shape_group_1_shape_11_horizontal_lines, 88, 1),
        shape(frame_128_shape_group_1_shape_12_horizontal_lines, 119, 3),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(79, 141),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(153, 156),
        horizontal_line(92, 154),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(165, 178),
        horizontal_line(164, 177),
        horizontal_line(164, 176),
        horizontal_line(163, 175),
        horizontal_line(163, 174),
        horizontal_line(162, 173),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(98, 146),
        horizontal_line(99, 145),
        horizontal_line(100, 143),
        horizontal_line(101, 142),
        horizontal_line(102, 141),
        horizontal_line(105, 140),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(159, 166),
        horizontal_line(159, 165),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(108, 135),
        horizontal_line(109, 133),
        horizontal_line(110, 131),
        horizontal_line(111, 129),
        horizontal_line(112, 127),
        horizontal_line(114, 125),
        horizontal_line(115, 123),
        horizontal_line(116, 121),
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(123, 130),
        horizontal_line(121, 130),
        horizontal_line(151, 155),
        horizontal_line(149, 155),
        horizontal_line(147, 156),
        horizontal_line(145, 156),
        horizontal_line(143, 157),
        horizontal_line(141, 157),
        horizontal_line(139, 158),
        horizontal_line(137, 158),
        horizontal_line(135, 159),
        horizontal_line(133, 159),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(130, 131),
        horizontal_line(128, 132),
        horizontal_line(162, 174),
        horizontal_line(163, 172),
        horizontal_line(163, 169),
        horizontal_line(164, 167),
        horizontal_line(165, 165),
        horizontal_line(162, 164),
        horizontal_line(158, 164),
        horizontal_line(154, 164),
        horizontal_line(150, 165),
        horizontal_line(146, 165),
        horizontal_line(143, 165),
        horizontal_line(142, 166),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(146, 170),
        horizontal_line(146, 170),
        horizontal_line(146, 170),
        horizontal_line(147, 170),
        horizontal_line(147, 171),
        horizontal_line(147, 171),
        horizontal_line(148, 171),
        horizontal_line(148, 172),
        horizontal_line(131, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(128, 135),
        horizontal_line(128, 140),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(128, 132),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 134),
    };

    constexpr const horizontal_line frame_128_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 128),
        horizontal_line(123, 128),
        horizontal_line(122, 129),
        horizontal_line(121, 129),
        horizontal_line(119, 130),
        horizontal_line(118, 130),
        horizontal_line(117, 131),
        horizontal_line(116, 132),
        horizontal_line(115, 132),
        horizontal_line(114, 133),
        horizontal_line(112, 133),
        horizontal_line(111, 134),
        horizontal_line(110, 134),
        horizontal_line(109, 135),
        horizontal_line(108, 135),
        horizontal_line(107, 136),
        horizontal_line(105, 137),
        horizontal_line(104, 137),
        horizontal_line(103, 138),
        horizontal_line(102, 138),
        horizontal_line(101, 139),
        horizontal_line(99, 139),
        horizontal_line(98, 140),
        horizontal_line(97, 140),
        horizontal_line(96, 141),
        horizontal_line(95, 141),
        horizontal_line(94, 140),
        horizontal_line(92, 139),
        horizontal_line(91, 138),
        horizontal_line(90, 137),
        horizontal_line(89, 137),
        horizontal_line(88, 136),
        horizontal_line(87, 135),
        horizontal_line(85, 134),
        horizontal_line(84, 134),
        horizontal_line(83, 133),
        horizontal_line(82, 132),
        horizontal_line(81, 131),
        horizontal_line(80, 131),
    };

    constexpr const shape frame_128_shape_group_2_shapes[] = {
        shape(frame_128_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_128_shape_group_2_shape_1_horizontal_lines, 26, 1),
        shape(frame_128_shape_group_2_shape_2_horizontal_lines, 32, 2),
        shape(frame_128_shape_group_2_shape_3_horizontal_lines, 38, 1),
        shape(frame_128_shape_group_2_shape_4_horizontal_lines, 40, 2),
        shape(frame_128_shape_group_2_shape_5_horizontal_lines, 49, 1),
        shape(frame_128_shape_group_2_shape_6_horizontal_lines, 61, 7),
        shape(frame_128_shape_group_2_shape_7_horizontal_lines, 119, 1),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(121, 179),
        horizontal_line(123, 178),
        horizontal_line(125, 177),
        horizontal_line(127, 177),
        horizontal_line(129, 176),
        horizontal_line(131, 175),
        horizontal_line(133, 175),
        horizontal_line(135, 174),
        horizontal_line(137, 173),
        horizontal_line(139, 173),
        horizontal_line(141, 172),
        horizontal_line(141, 171),
        horizontal_line(142, 171),
        horizontal_line(143, 169),
        horizontal_line(144, 168),
        horizontal_line(145, 167),
        horizontal_line(146, 166),
        horizontal_line(147, 164),
        horizontal_line(148, 163),
        horizontal_line(149, 162),
        horizontal_line(149, 161),
        horizontal_line(150, 159),
        horizontal_line(151, 158),
        horizontal_line(152, 157),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(166, 180),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(154, 155),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 237),
        horizontal_line(212, 236),
        horizontal_line(162, 172),
        horizontal_line(161, 171),
        horizontal_line(161, 170),
        horizontal_line(160, 169),
        horizontal_line(160, 168),
        horizontal_line(160, 167),
        horizontal_line(215, 227),
        horizontal_line(215, 226),
        horizontal_line(158, 164),
        horizontal_line(158, 163),
        horizontal_line(157, 162),
        horizontal_line(157, 161),
        horizontal_line(157, 160),
        horizontal_line(156, 159),
        horizontal_line(156, 158),
        horizontal_line(128, 130),
        horizontal_line(126, 130),
        horizontal_line(155, 155),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(156, 205),
        horizontal_line(156, 203),
        horizontal_line(157, 201),
        horizontal_line(157, 198),
        horizontal_line(158, 196),
        horizontal_line(158, 193),
        horizontal_line(159, 191),
        horizontal_line(159, 189),
        horizontal_line(160, 186),
        horizontal_line(160, 184),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(182, 216),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(161, 179),
        horizontal_line(162, 177),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(131, 141),
        horizontal_line(132, 141),
        horizontal_line(133, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
    };

    constexpr const horizontal_line frame_128_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(148, 172),
        horizontal_line(149, 172),
        horizontal_line(155, 173),
        horizontal_line(162, 173),
        horizontal_line(168, 173),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(128, 134),
        horizontal_line(128, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 135),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
        horizontal_line(138, 139),
        horizontal_line(139, 139),
        horizontal_line(139, 139),
        horizontal_line(178, 199),
        horizontal_line(140, 140),
        horizontal_line(163, 199),
        horizontal_line(156, 200),
        horizontal_line(149, 200),
        horizontal_line(142, 200),
        horizontal_line(141, 200),
        horizontal_line(140, 200),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
    };

    constexpr const shape frame_128_shape_group_3_shapes[] = {
        shape(frame_128_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_128_shape_group_3_shape_1_horizontal_lines, 24, 1),
        shape(frame_128_shape_group_3_shape_2_horizontal_lines, 25, 2),
        shape(frame_128_shape_group_3_shape_3_horizontal_lines, 26, 1),
        shape(frame_128_shape_group_3_shape_4_horizontal_lines, 51, 7),
        shape(frame_128_shape_group_3_shape_5_horizontal_lines, 61, 8),
        shape(frame_128_shape_group_3_shape_6_horizontal_lines, 62, 7),
        shape(frame_128_shape_group_3_shape_7_horizontal_lines, 76, 8),
        shape(frame_128_shape_group_3_shape_8_horizontal_lines, 88, 7),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 200),
        horizontal_line(178, 199),
        horizontal_line(178, 198),
        horizontal_line(177, 197),
        horizontal_line(176, 196),
        horizontal_line(176, 195),
        horizontal_line(175, 194),
        horizontal_line(175, 193),
        horizontal_line(174, 192),
        horizontal_line(173, 191),
        horizontal_line(173, 190),
        horizontal_line(172, 189),
        horizontal_line(171, 188),
        horizontal_line(171, 187),
        horizontal_line(170, 186),
        horizontal_line(169, 185),
        horizontal_line(169, 184),
        horizontal_line(168, 183),
        horizontal_line(168, 182),
        horizontal_line(167, 181),
        horizontal_line(210, 239),
        horizontal_line(166, 179),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(179, 209),
        horizontal_line(178, 210),
        horizontal_line(177, 210),
        horizontal_line(176, 210),
        horizontal_line(175, 211),
        horizontal_line(174, 211),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(212, 235),
        horizontal_line(213, 234),
        horizontal_line(213, 232),
        horizontal_line(214, 231),
        horizontal_line(214, 230),
        horizontal_line(214, 229),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(167, 214),
        horizontal_line(166, 214),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(215, 225),
        horizontal_line(216, 224),
        horizontal_line(216, 222),
        horizontal_line(216, 221),
        horizontal_line(217, 220),
        horizontal_line(217, 219),
        horizontal_line(218, 218),
        horizontal_line(155, 157),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(156, 210),
        horizontal_line(155, 208),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(175, 216),
        horizontal_line(173, 216),
        horizontal_line(170, 216),
        horizontal_line(168, 215),
        horizontal_line(166, 215),
        horizontal_line(165, 215),
        horizontal_line(165, 215),
        horizontal_line(165, 215),
        horizontal_line(166, 215),
        horizontal_line(166, 215),
        horizontal_line(166, 215),
        horizontal_line(136, 141),
        horizontal_line(167, 215),
        horizontal_line(167, 215),
        horizontal_line(168, 215),
        horizontal_line(168, 215),
        horizontal_line(168, 215),
        horizontal_line(168, 215),
        horizontal_line(169, 215),
        horizontal_line(169, 215),
        horizontal_line(169, 215),
        horizontal_line(170, 215),
        horizontal_line(170, 215),
        horizontal_line(170, 214),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(147, 173),
        horizontal_line(147, 173),
        horizontal_line(147, 172),
        horizontal_line(147, 172),
        horizontal_line(146, 171),
        horizontal_line(146, 171),
        horizontal_line(136, 137),
        horizontal_line(141, 141),
        horizontal_line(133, 170),
        horizontal_line(133, 171),
        horizontal_line(133, 172),
        horizontal_line(133, 173),
        horizontal_line(134, 174),
        horizontal_line(134, 175),
        horizontal_line(134, 176),
        horizontal_line(134, 177),
        horizontal_line(135, 178),
    };

    constexpr const horizontal_line frame_128_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(192, 199),
        horizontal_line(185, 199),
        horizontal_line(226, 239),
        horizontal_line(171, 199),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(194, 202),
        horizontal_line(194, 203),
    };

    constexpr const shape frame_128_shape_group_4_shapes[] = {
        shape(frame_128_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_128_shape_group_4_shape_1_horizontal_lines, 26, 7),
        shape(frame_128_shape_group_4_shape_2_horizontal_lines, 32, 1),
        shape(frame_128_shape_group_4_shape_3_horizontal_lines, 38, 7),
        shape(frame_128_shape_group_4_shape_4_horizontal_lines, 40, 1),
        shape(frame_128_shape_group_4_shape_5_horizontal_lines, 49, 7),
        shape(frame_128_shape_group_4_shape_6_horizontal_lines, 61, 4),
        shape(frame_128_shape_group_4_shape_7_horizontal_lines, 62, 7),
        shape(frame_128_shape_group_4_shape_8_horizontal_lines, 64, 8),
        shape(frame_128_shape_group_4_shape_9_horizontal_lines, 96, 7),
        shape(frame_128_shape_group_4_shape_10_horizontal_lines, 101, 8),
        shape(frame_128_shape_group_4_shape_11_horizontal_lines, 119, 7),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(181, 209),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(173, 211),
        horizontal_line(172, 212),
        horizontal_line(171, 212),
        horizontal_line(170, 213),
        horizontal_line(169, 213),
        horizontal_line(168, 213),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(165, 214),
        horizontal_line(164, 215),
        horizontal_line(163, 215),
        horizontal_line(162, 215),
        horizontal_line(161, 216),
        horizontal_line(160, 216),
        horizontal_line(159, 217),
        horizontal_line(158, 215),
        horizontal_line(157, 213),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(206, 216),
        horizontal_line(204, 216),
        horizontal_line(202, 216),
        horizontal_line(199, 216),
        horizontal_line(197, 216),
        horizontal_line(194, 216),
        horizontal_line(192, 216),
        horizontal_line(190, 216),
        horizontal_line(187, 216),
        horizontal_line(185, 216),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(96, 124),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(180, 216),
        horizontal_line(178, 216),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(167, 215),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 55),
        horizontal_line(0, 51),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(171, 214),
        horizontal_line(171, 214),
        horizontal_line(171, 214),
        horizontal_line(171, 214),
        horizontal_line(172, 214),
        horizontal_line(172, 214),
        horizontal_line(172, 214),
        horizontal_line(173, 214),
        horizontal_line(132, 147),
        horizontal_line(173, 214),
        horizontal_line(148, 154),
        horizontal_line(148, 161),
        horizontal_line(148, 167),
        horizontal_line(210, 214),
        horizontal_line(176, 214),
        horizontal_line(178, 214),
        horizontal_line(179, 214),
        horizontal_line(181, 214),
        horizontal_line(182, 214),
        horizontal_line(184, 213),
        horizontal_line(146, 170),
        horizontal_line(146, 170),
        horizontal_line(189, 213),
        horizontal_line(190, 213),
        horizontal_line(192, 213),
        horizontal_line(193, 213),
        horizontal_line(195, 213),
        horizontal_line(196, 213),
        horizontal_line(198, 213),
        horizontal_line(199, 213),
        horizontal_line(201, 213),
        horizontal_line(135, 179),
        horizontal_line(135, 180),
        horizontal_line(135, 181),
        horizontal_line(136, 182),
        horizontal_line(136, 183),
        horizontal_line(136, 184),
        horizontal_line(136, 185),
        horizontal_line(137, 186),
        horizontal_line(137, 187),
        horizontal_line(137, 188),
        horizontal_line(137, 189),
        horizontal_line(138, 190),
        horizontal_line(138, 191),
        horizontal_line(138, 192),
        horizontal_line(138, 193),
        horizontal_line(139, 194),
        horizontal_line(139, 195),
        horizontal_line(139, 196),
        horizontal_line(139, 197),
        horizontal_line(140, 202),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(140, 177),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(141, 162),
        horizontal_line(141, 155),
        horizontal_line(142, 148),
        horizontal_line(201, 229),
        horizontal_line(201, 229),
        horizontal_line(201, 230),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(201, 201),
        horizontal_line(200, 201),
        horizontal_line(200, 201),
        horizontal_line(199, 201),
        horizontal_line(198, 201),
        horizontal_line(197, 202),
        horizontal_line(197, 202),
        horizontal_line(196, 202),
        horizontal_line(195, 202),
    };

    constexpr const horizontal_line frame_128_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(204, 239),
    };

    constexpr const shape frame_128_shape_group_5_shapes[] = {
        shape(frame_128_shape_group_5_shape_0_horizontal_lines, 4, 1),
        shape(frame_128_shape_group_5_shape_1_horizontal_lines, 24, 7),
        shape(frame_128_shape_group_5_shape_2_horizontal_lines, 25, 1),
        shape(frame_128_shape_group_5_shape_3_horizontal_lines, 30, 7),
        shape(frame_128_shape_group_5_shape_4_horizontal_lines, 51, 8),
        shape(frame_128_shape_group_5_shape_5_horizontal_lines, 61, 4),
        shape(frame_128_shape_group_5_shape_6_horizontal_lines, 62, 8),
        shape(frame_128_shape_group_5_shape_7_horizontal_lines, 64, 4),
        shape(frame_128_shape_group_5_shape_8_horizontal_lines, 75, 8),
        shape(frame_128_shape_group_5_shape_9_horizontal_lines, 76, 4),
        shape(frame_128_shape_group_5_shape_10_horizontal_lines, 88, 8),
        shape(frame_128_shape_group_5_shape_11_horizontal_lines, 139, 7),
        shape(frame_128_shape_group_5_shape_12_horizontal_lines, 141, 8),
        shape(frame_128_shape_group_5_shape_13_horizontal_lines, 142, 7),
        shape(frame_128_shape_group_5_shape_14_horizontal_lines, 143, 8),
        shape(frame_128_shape_group_5_shape_15_horizontal_lines, 149, 7),
        shape(frame_128_shape_group_5_shape_16_horizontal_lines, 158, 8),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(201, 201),
        horizontal_line(200, 202),
        horizontal_line(199, 202),
        horizontal_line(198, 202),
        horizontal_line(197, 203),
        horizontal_line(196, 203),
        horizontal_line(195, 203),
        horizontal_line(194, 204),
        horizontal_line(193, 204),
        horizontal_line(192, 205),
        horizontal_line(191, 205),
        horizontal_line(190, 205),
        horizontal_line(189, 206),
        horizontal_line(188, 206),
        horizontal_line(187, 206),
        horizontal_line(186, 207),
        horizontal_line(185, 207),
        horizontal_line(184, 207),
        horizontal_line(183, 208),
        horizontal_line(182, 208),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(180, 209),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(104, 105),
        horizontal_line(105, 106),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(211, 216),
        horizontal_line(209, 216),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(99, 119),
        horizontal_line(98, 120),
        horizontal_line(98, 122),
        horizontal_line(0, 0),
        horizontal_line(0, 11),
        horizontal_line(0, 23),
        horizontal_line(0, 35),
        horizontal_line(0, 47),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(62, 83),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(0, 62),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 88),
        horizontal_line(62, 83),
        horizontal_line(62, 79),
        horizontal_line(62, 74),
        horizontal_line(62, 69),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 41),
        horizontal_line(0, 37),
        horizontal_line(0, 32),
        horizontal_line(0, 27),
        horizontal_line(0, 23),
        horizontal_line(0, 18),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(173, 214),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(174, 214),
        horizontal_line(174, 214),
        horizontal_line(174, 214),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(132, 147),
        horizontal_line(132, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(185, 213),
        horizontal_line(187, 213),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(171, 188),
        horizontal_line(172, 189),
        horizontal_line(173, 191),
        horizontal_line(174, 192),
        horizontal_line(175, 194),
        horizontal_line(176, 195),
        horizontal_line(177, 197),
        horizontal_line(178, 198),
        horizontal_line(179, 200),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(203, 213),
        horizontal_line(204, 213),
        horizontal_line(206, 213),
        horizontal_line(207, 213),
        horizontal_line(209, 213),
        horizontal_line(210, 213),
        horizontal_line(212, 213),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(187, 213),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(212, 213),
        horizontal_line(211, 214),
        horizontal_line(210, 215),
        horizontal_line(209, 216),
        horizontal_line(208, 217),
        horizontal_line(207, 217),
        horizontal_line(205, 218),
        horizontal_line(204, 219),
        horizontal_line(203, 220),
        horizontal_line(202, 221),
        horizontal_line(201, 221),
        horizontal_line(202, 222),
        horizontal_line(140, 191),
        horizontal_line(140, 184),
        horizontal_line(200, 225),
        horizontal_line(141, 170),
        horizontal_line(200, 226),
        horizontal_line(201, 227),
        horizontal_line(201, 228),
    };

    constexpr const horizontal_line frame_128_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(202, 231),
        horizontal_line(202, 232),
        horizontal_line(202, 233),
        horizontal_line(202, 233),
        horizontal_line(202, 234),
        horizontal_line(203, 235),
        horizontal_line(203, 236),
        horizontal_line(203, 237),
        horizontal_line(203, 238),
    };

    constexpr const shape frame_128_shape_group_6_shapes[] = {
        shape(frame_128_shape_group_6_shape_0_horizontal_lines, 4, 7),
        shape(frame_128_shape_group_6_shape_1_horizontal_lines, 25, 7),
        shape(frame_128_shape_group_6_shape_2_horizontal_lines, 32, 7),
        shape(frame_128_shape_group_6_shape_3_horizontal_lines, 38, 8),
        shape(frame_128_shape_group_6_shape_4_horizontal_lines, 40, 7),
        shape(frame_128_shape_group_6_shape_5_horizontal_lines, 49, 8),
        shape(frame_128_shape_group_6_shape_6_horizontal_lines, 51, 4),
        shape(frame_128_shape_group_6_shape_7_horizontal_lines, 88, 4),
        shape(frame_128_shape_group_6_shape_8_horizontal_lines, 96, 8),
        shape(frame_128_shape_group_6_shape_9_horizontal_lines, 97, 4),
        shape(frame_128_shape_group_6_shape_10_horizontal_lines, 98, 8),
        shape(frame_128_shape_group_6_shape_11_horizontal_lines, 101, 9),
        shape(frame_128_shape_group_6_shape_12_horizontal_lines, 108, 8),
        shape(frame_128_shape_group_6_shape_13_horizontal_lines, 110, 9),
        shape(frame_128_shape_group_6_shape_14_horizontal_lines, 119, 8),
        shape(frame_128_shape_group_6_shape_15_horizontal_lines, 126, 9),
        shape(frame_128_shape_group_6_shape_16_horizontal_lines, 127, 8),
        shape(frame_128_shape_group_6_shape_17_horizontal_lines, 149, 8),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(102, 103),
        horizontal_line(102, 104),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(106, 107),
        horizontal_line(108, 108),
        horizontal_line(109, 109),
        horizontal_line(110, 110),
        horizontal_line(111, 111),
        horizontal_line(113, 113),
        horizontal_line(114, 114),
        horizontal_line(115, 115),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(99, 117),
        horizontal_line(99, 118),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(98, 122),
        horizontal_line(97, 122),
        horizontal_line(97, 123),
        horizontal_line(97, 123),
        horizontal_line(97, 123),
        horizontal_line(96, 124),
        horizontal_line(96, 124),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(111, 125),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(132, 148),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(132, 147),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(174, 175),
        horizontal_line(174, 177),
        horizontal_line(173, 178),
        horizontal_line(173, 180),
        horizontal_line(172, 181),
        horizontal_line(172, 183),
        horizontal_line(138, 145),
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(180, 202),
        horizontal_line(181, 203),
        horizontal_line(182, 205),
        horizontal_line(183, 206),
        horizontal_line(184, 208),
        horizontal_line(185, 209),
        horizontal_line(186, 211),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(188, 211),
        horizontal_line(189, 210),
        horizontal_line(190, 209),
        horizontal_line(191, 208),
        horizontal_line(192, 207),
        horizontal_line(193, 206),
        horizontal_line(194, 204),
        horizontal_line(195, 203),
        horizontal_line(196, 202),
        horizontal_line(197, 201),
        horizontal_line(198, 200),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(200, 223),
        horizontal_line(200, 224),
    };

    constexpr const horizontal_line frame_128_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(200, 225),
    };

    constexpr const shape frame_128_shape_group_7_shapes[] = {
        shape(frame_128_shape_group_7_shape_0_horizontal_lines, 37, 8),
        shape(frame_128_shape_group_7_shape_1_horizontal_lines, 38, 4),
        shape(frame_128_shape_group_7_shape_2_horizontal_lines, 40, 8),
        shape(frame_128_shape_group_7_shape_3_horizontal_lines, 49, 4),
        shape(frame_128_shape_group_7_shape_4_horizontal_lines, 54, 4),
        shape(frame_128_shape_group_7_shape_5_horizontal_lines, 62, 4),
        shape(frame_128_shape_group_7_shape_6_horizontal_lines, 75, 4),
        shape(frame_128_shape_group_7_shape_7_horizontal_lines, 96, 4),
        shape(frame_128_shape_group_7_shape_8_horizontal_lines, 97, 9),
        shape(frame_128_shape_group_7_shape_9_horizontal_lines, 98, 4),
        shape(frame_128_shape_group_7_shape_10_horizontal_lines, 99, 9),
        shape(frame_128_shape_group_7_shape_11_horizontal_lines, 102, 9),
        shape(frame_128_shape_group_7_shape_12_horizontal_lines, 119, 9),
        shape(frame_128_shape_group_7_shape_13_horizontal_lines, 127, 9),
        shape(frame_128_shape_group_7_shape_14_horizontal_lines, 139, 8),
        shape(frame_128_shape_group_7_shape_15_horizontal_lines, 142, 8),
    };

    constexpr const horizontal_line frame_128_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(102, 105),
        horizontal_line(101, 107),
        horizontal_line(101, 108),
        horizontal_line(101, 109),
        horizontal_line(101, 110),
        horizontal_line(100, 112),
        horizontal_line(100, 113),
    };

    constexpr const horizontal_line frame_128_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(216, 216),
        horizontal_line(214, 216),
    };

    constexpr const horizontal_line frame_128_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_128_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_128_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_128_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(171, 184),
        horizontal_line(171, 186),
    };

    constexpr const shape frame_128_shape_group_8_shapes[] = {
        shape(frame_128_shape_group_8_shape_0_horizontal_lines, 40, 4),
        shape(frame_128_shape_group_8_shape_1_horizontal_lines, 47, 8),
        shape(frame_128_shape_group_8_shape_2_horizontal_lines, 60, 4),
        shape(frame_128_shape_group_8_shape_3_horizontal_lines, 62, 4),
        shape(frame_128_shape_group_8_shape_4_horizontal_lines, 98, 9),
        shape(frame_128_shape_group_8_shape_5_horizontal_lines, 108, 9),
    };

    constexpr const horizontal_line frame_128_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(100, 114),
        horizontal_line(99, 115),
    };

    constexpr const shape frame_128_shape_group_9_shapes[] = {
        shape(frame_128_shape_group_9_shape_0_horizontal_lines, 47, 4),
    };

    constexpr const shape_group frame_128_shape_groups[] = {
        shape_group(frame_128_shape_group_0_shapes),
        shape_group(frame_128_shape_group_1_shapes),
        shape_group(frame_128_shape_group_2_shapes),
        shape_group(frame_128_shape_group_3_shapes),
        shape_group(frame_128_shape_group_4_shapes),
        shape_group(frame_128_shape_group_5_shapes),
        shape_group(frame_128_shape_group_6_shapes),
        shape_group(frame_128_shape_group_7_shapes),
        shape_group(frame_128_shape_group_8_shapes),
        shape_group(frame_128_shape_group_9_shapes),
    };

    constexpr const frame frame_128_impl(frame_128_colors, frame_128_shape_groups);
} 

const frame& frame_128()
{
    return frame_128_impl;
}

namespace
{
    constexpr const bn::color frame_129_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_129_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(33, 65),
        horizontal_line(35, 66),
        horizontal_line(37, 68),
        horizontal_line(39, 70),
        horizontal_line(41, 72),
        horizontal_line(43, 72),
        horizontal_line(45, 73),
        horizontal_line(47, 74),
        horizontal_line(50, 75),
        horizontal_line(52, 76),
        horizontal_line(54, 77),
        horizontal_line(56, 78),
        horizontal_line(58, 79),
        horizontal_line(60, 80),
        horizontal_line(62, 81),
        horizontal_line(65, 82),
        horizontal_line(67, 83),
        horizontal_line(69, 84),
        horizontal_line(71, 84),
        horizontal_line(73, 85),
        horizontal_line(75, 86),
        horizontal_line(77, 87),
        horizontal_line(79, 88),
        horizontal_line(82, 89),
        horizontal_line(84, 90),
        horizontal_line(86, 91),
        horizontal_line(88, 92),
        horizontal_line(90, 93),
        horizontal_line(92, 94),
        horizontal_line(94, 95),
        horizontal_line(167, 170),
        horizontal_line(165, 169),
        horizontal_line(163, 169),
        horizontal_line(162, 168),
        horizontal_line(160, 168),
        horizontal_line(158, 167),
        horizontal_line(157, 167),
        horizontal_line(155, 166),
        horizontal_line(146, 146),
        horizontal_line(144, 145),
        horizontal_line(143, 144),
        horizontal_line(141, 143),
        horizontal_line(139, 142),
        horizontal_line(138, 141),
        horizontal_line(136, 140),
        horizontal_line(134, 139),
        horizontal_line(133, 138),
        horizontal_line(131, 135),
        horizontal_line(130, 133),
        horizontal_line(128, 131),
        horizontal_line(127, 129),
        horizontal_line(125, 127),
        horizontal_line(139, 153),
        horizontal_line(139, 151),
        horizontal_line(139, 150),
        horizontal_line(139, 149),
        horizontal_line(139, 147),
        horizontal_line(139, 146),
        horizontal_line(139, 144),
        horizontal_line(139, 143),
        horizontal_line(139, 141),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_129_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(130, 170),
        horizontal_line(130, 137),
        horizontal_line(131, 135),
        horizontal_line(131, 132),
        horizontal_line(143, 172),
        horizontal_line(143, 173),
        horizontal_line(144, 174),
        horizontal_line(145, 171),
        horizontal_line(146, 168),
        horizontal_line(147, 165),
        horizontal_line(147, 162),
        horizontal_line(148, 159),
    };

    constexpr const horizontal_line frame_129_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(115, 131),
        horizontal_line(99, 131),
        horizontal_line(85, 131),
        horizontal_line(85, 132),
        horizontal_line(86, 132),
        horizontal_line(86, 132),
        horizontal_line(87, 133),
        horizontal_line(87, 133),
        horizontal_line(88, 133),
        horizontal_line(88, 133),
        horizontal_line(89, 134),
        horizontal_line(89, 134),
        horizontal_line(90, 134),
        horizontal_line(90, 135),
        horizontal_line(91, 135),
        horizontal_line(91, 135),
        horizontal_line(92, 135),
        horizontal_line(92, 131),
        horizontal_line(93, 128),
        horizontal_line(93, 125),
        horizontal_line(94, 122),
        horizontal_line(94, 118),
        horizontal_line(95, 115),
        horizontal_line(95, 112),
        horizontal_line(96, 109),
        horizontal_line(96, 105),
        horizontal_line(97, 102),
        horizontal_line(97, 99),
        horizontal_line(97, 97),
        horizontal_line(93, 98),
        horizontal_line(90, 99),
        horizontal_line(87, 100),
        horizontal_line(84, 101),
        horizontal_line(81, 102),
        horizontal_line(78, 103),
        horizontal_line(75, 104),
        horizontal_line(71, 105),
        horizontal_line(68, 106),
        horizontal_line(65, 107),
        horizontal_line(62, 108),
        horizontal_line(59, 109),
        horizontal_line(56, 110),
        horizontal_line(53, 111),
        horizontal_line(50, 112),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_129_shape_group_0_shapes[] = {
        shape(frame_129_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_129_shape_group_0_shape_1_horizontal_lines, 62, 1),
        shape(frame_129_shape_group_0_shape_2_horizontal_lines, 74, 3),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(77, 139),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(94, 156),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(170, 171),
        horizontal_line(168, 170),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(97, 154),
        horizontal_line(98, 153),
        horizontal_line(99, 152),
        horizontal_line(101, 151),
        horizontal_line(102, 150),
        horizontal_line(103, 106),
        horizontal_line(105, 106),
        horizontal_line(106, 107),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(153, 166),
        horizontal_line(151, 165),
        horizontal_line(150, 165),
        horizontal_line(148, 164),
        horizontal_line(146, 164),
        horizontal_line(145, 163),
        horizontal_line(143, 163),
        horizontal_line(141, 162),
        horizontal_line(140, 162),
        horizontal_line(139, 160),
        horizontal_line(139, 159),
        horizontal_line(139, 157),
        horizontal_line(139, 156),
        horizontal_line(139, 154),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(127, 138),
        horizontal_line(127, 138),
        horizontal_line(127, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(130, 138),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(171, 185),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(140, 171),
        horizontal_line(141, 171),
        horizontal_line(142, 172),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 143),
        horizontal_line(131, 144),
        horizontal_line(131, 145),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(131, 147),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(149, 156),
        horizontal_line(150, 153),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(135, 176),
        horizontal_line(136, 146),
        horizontal_line(138, 142),
        horizontal_line(151, 177),
        horizontal_line(152, 178),
        horizontal_line(152, 178),
        horizontal_line(152, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 180),
        horizontal_line(154, 180),
        horizontal_line(154, 180),
        horizontal_line(154, 181),
        horizontal_line(155, 181),
        horizontal_line(155, 181),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(129, 135),
        horizontal_line(126, 135),
        horizontal_line(123, 135),
        horizontal_line(119, 135),
        horizontal_line(116, 135),
        horizontal_line(113, 135),
        horizontal_line(110, 134),
        horizontal_line(106, 133),
        horizontal_line(103, 133),
        horizontal_line(100, 132),
        horizontal_line(98, 132),
        horizontal_line(99, 131),
        horizontal_line(100, 131),
        horizontal_line(101, 130),
        horizontal_line(102, 130),
        horizontal_line(103, 129),
        horizontal_line(104, 129),
        horizontal_line(105, 128),
        horizontal_line(106, 128),
        horizontal_line(107, 127),
        horizontal_line(108, 127),
        horizontal_line(109, 126),
        horizontal_line(110, 126),
        horizontal_line(111, 125),
        horizontal_line(112, 125),
    };

    constexpr const horizontal_line frame_129_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(108, 113),
        horizontal_line(105, 114),
        horizontal_line(102, 115),
        horizontal_line(99, 116),
        horizontal_line(96, 117),
        horizontal_line(93, 118),
        horizontal_line(90, 119),
        horizontal_line(87, 120),
        horizontal_line(83, 121),
        horizontal_line(80, 119),
        horizontal_line(77, 117),
        horizontal_line(74, 116),
        horizontal_line(71, 114),
        horizontal_line(68, 112),
        horizontal_line(65, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 94),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
    };

    constexpr const shape frame_129_shape_group_1_shapes[] = {
        shape(frame_129_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_129_shape_group_1_shape_1_horizontal_lines, 28, 3),
        shape(frame_129_shape_group_1_shape_2_horizontal_lines, 30, 2),
        shape(frame_129_shape_group_1_shape_3_horizontal_lines, 38, 3),
        shape(frame_129_shape_group_1_shape_4_horizontal_lines, 52, 1),
        shape(frame_129_shape_group_1_shape_5_horizontal_lines, 62, 7),
        shape(frame_129_shape_group_1_shape_6_horizontal_lines, 63, 1),
        shape(frame_129_shape_group_1_shape_7_horizontal_lines, 66, 7),
        shape(frame_129_shape_group_1_shape_8_horizontal_lines, 74, 1),
        shape(frame_129_shape_group_1_shape_9_horizontal_lines, 76, 7),
        shape(frame_129_shape_group_1_shape_10_horizontal_lines, 91, 1),
        shape(frame_129_shape_group_1_shape_11_horizontal_lines, 92, 3),
        shape(frame_129_shape_group_1_shape_12_horizontal_lines, 93, 1),
        shape(frame_129_shape_group_1_shape_13_horizontal_lines, 118, 3),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(128, 184),
        horizontal_line(129, 183),
        horizontal_line(131, 183),
        horizontal_line(133, 182),
        horizontal_line(135, 182),
        horizontal_line(135, 181),
        horizontal_line(136, 181),
        horizontal_line(137, 180),
        horizontal_line(138, 179),
        horizontal_line(139, 178),
        horizontal_line(140, 177),
        horizontal_line(141, 176),
        horizontal_line(142, 175),
        horizontal_line(143, 174),
        horizontal_line(144, 172),
        horizontal_line(145, 171),
        horizontal_line(146, 170),
        horizontal_line(147, 169),
        horizontal_line(147, 168),
        horizontal_line(148, 167),
        horizontal_line(149, 166),
        horizontal_line(150, 165),
        horizontal_line(151, 163),
        horizontal_line(152, 162),
        horizontal_line(153, 161),
        horizontal_line(154, 160),
        horizontal_line(155, 159),
        horizontal_line(156, 158),
        horizontal_line(95, 157),
        horizontal_line(96, 156),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(171, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 172),
        horizontal_line(169, 171),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(108, 149),
        horizontal_line(109, 148),
        horizontal_line(110, 147),
        horizontal_line(107, 107),
        horizontal_line(112, 143),
        horizontal_line(113, 142),
        horizontal_line(114, 140),
        horizontal_line(115, 138),
        horizontal_line(116, 137),
        horizontal_line(118, 135),
        horizontal_line(119, 133),
        horizontal_line(120, 132),
        horizontal_line(121, 130),
        horizontal_line(122, 129),
        horizontal_line(123, 127),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(128, 138),
        horizontal_line(154, 165),
        horizontal_line(152, 165),
        horizontal_line(151, 166),
        horizontal_line(150, 166),
        horizontal_line(148, 167),
        horizontal_line(147, 168),
        horizontal_line(145, 168),
        horizontal_line(144, 169),
        horizontal_line(142, 169),
        horizontal_line(141, 170),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(138, 139),
        horizontal_line(136, 140),
        horizontal_line(133, 141),
        horizontal_line(173, 178),
        horizontal_line(174, 176),
        horizontal_line(175, 175),
        horizontal_line(172, 174),
        horizontal_line(169, 174),
        horizontal_line(166, 175),
        horizontal_line(163, 175),
        horizontal_line(160, 175),
        horizontal_line(132, 148),
        horizontal_line(133, 149),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(151, 177),
        horizontal_line(151, 177),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 56),
        horizontal_line(0, 46),
        horizontal_line(0, 37),
        horizontal_line(0, 28),
        horizontal_line(0, 18),
        horizontal_line(0, 9),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(138, 153),
        horizontal_line(137, 153),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(155, 182),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(156, 182),
        horizontal_line(156, 183),
        horizontal_line(156, 183),
        horizontal_line(157, 184),
        horizontal_line(157, 184),
        horizontal_line(157, 184),
        horizontal_line(135, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 136),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 139),
        horizontal_line(127, 145),
        horizontal_line(127, 150),
        horizontal_line(126, 155),
        horizontal_line(126, 137),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(113, 124),
        horizontal_line(114, 124),
        horizontal_line(115, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 122),
        horizontal_line(118, 122),
        horizontal_line(119, 121),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(121, 137),
        horizontal_line(122, 137),
    };

    constexpr const horizontal_line frame_129_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(118, 120),
        horizontal_line(117, 121),
        horizontal_line(115, 121),
        horizontal_line(113, 122),
        horizontal_line(112, 122),
        horizontal_line(110, 123),
        horizontal_line(108, 123),
        horizontal_line(107, 124),
        horizontal_line(105, 124),
        horizontal_line(103, 125),
        horizontal_line(102, 125),
        horizontal_line(100, 126),
        horizontal_line(98, 126),
        horizontal_line(97, 127),
        horizontal_line(95, 127),
        horizontal_line(93, 127),
        horizontal_line(92, 128),
        horizontal_line(90, 128),
        horizontal_line(88, 129),
        horizontal_line(87, 129),
        horizontal_line(85, 130),
        horizontal_line(83, 130),
        horizontal_line(82, 131),
        horizontal_line(80, 131),
        horizontal_line(78, 132),
        horizontal_line(77, 132),
        horizontal_line(75, 133),
        horizontal_line(73, 133),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
    };

    constexpr const shape frame_129_shape_group_2_shapes[] = {
        shape(frame_129_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_129_shape_group_2_shape_1_horizontal_lines, 30, 1),
        shape(frame_129_shape_group_2_shape_2_horizontal_lines, 35, 2),
        shape(frame_129_shape_group_2_shape_3_horizontal_lines, 51, 1),
        shape(frame_129_shape_group_2_shape_4_horizontal_lines, 62, 4),
        shape(frame_129_shape_group_2_shape_5_horizontal_lines, 63, 7),
        shape(frame_129_shape_group_2_shape_6_horizontal_lines, 76, 4),
        shape(frame_129_shape_group_2_shape_7_horizontal_lines, 77, 7),
        shape(frame_129_shape_group_2_shape_8_horizontal_lines, 79, 4),
        shape(frame_129_shape_group_2_shape_9_horizontal_lines, 87, 8),
        shape(frame_129_shape_group_2_shape_10_horizontal_lines, 91, 7),
        shape(frame_129_shape_group_2_shape_11_horizontal_lines, 92, 1),
        shape(frame_129_shape_group_2_shape_12_horizontal_lines, 93, 7),
        shape(frame_129_shape_group_2_shape_13_horizontal_lines, 118, 1),
        shape(frame_129_shape_group_2_shape_14_horizontal_lines, 126, 7),
        shape(frame_129_shape_group_2_shape_15_horizontal_lines, 128, 1),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(185, 196),
        horizontal_line(184, 195),
        horizontal_line(184, 194),
        horizontal_line(183, 193),
        horizontal_line(183, 193),
        horizontal_line(182, 192),
        horizontal_line(182, 191),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(180, 189),
        horizontal_line(180, 188),
        horizontal_line(179, 187),
        horizontal_line(179, 187),
        horizontal_line(179, 186),
        horizontal_line(178, 185),
        horizontal_line(178, 184),
        horizontal_line(177, 184),
        horizontal_line(177, 183),
        horizontal_line(176, 182),
        horizontal_line(176, 181),
        horizontal_line(175, 181),
        horizontal_line(175, 180),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
        horizontal_line(173, 178),
        horizontal_line(173, 177),
        horizontal_line(173, 176),
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(168, 170),
        horizontal_line(168, 169),
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(111, 145),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(166, 167),
        horizontal_line(166, 166),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(165, 219),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(164, 216),
        horizontal_line(163, 214),
        horizontal_line(163, 213),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(134, 138),
        horizontal_line(132, 138),
        horizontal_line(130, 138),
        horizontal_line(155, 164),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(166, 202),
        horizontal_line(166, 200),
        horizontal_line(167, 199),
        horizontal_line(167, 197),
        horizontal_line(168, 195),
        horizontal_line(169, 194),
        horizontal_line(169, 192),
        horizontal_line(170, 190),
        horizontal_line(170, 188),
        horizontal_line(171, 187),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(116, 129),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(172, 183),
        horizontal_line(172, 181),
        horizontal_line(173, 180),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(157, 176),
        horizontal_line(154, 176),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 153),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(137, 154),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(155, 182),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(136, 156),
        horizontal_line(136, 156),
        horizontal_line(136, 156),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(158, 185),
        horizontal_line(158, 185),
        horizontal_line(158, 185),
        horizontal_line(159, 186),
        horizontal_line(165, 186),
        horizontal_line(171, 186),
        horizontal_line(177, 187),
        horizontal_line(183, 187),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(157, 219),
        horizontal_line(157, 187),
        horizontal_line(157, 186),
        horizontal_line(157, 186),
        horizontal_line(157, 185),
        horizontal_line(156, 185),
        horizontal_line(140, 141),
        horizontal_line(146, 146),
        horizontal_line(151, 151),
        horizontal_line(156, 183),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_22_horizontal_lines[] = {
        horizontal_line(139, 168),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_23_horizontal_lines[] = {
        horizontal_line(138, 188),
        horizontal_line(138, 189),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_24_horizontal_lines[] = {
        horizontal_line(121, 137),
        horizontal_line(121, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(126, 137),
        horizontal_line(126, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(130, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
        horizontal_line(133, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_129_shape_group_3_shape_25_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(132, 134),
        horizontal_line(131, 135),
    };

    constexpr const shape frame_129_shape_group_3_shapes[] = {
        shape(frame_129_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_129_shape_group_3_shape_1_horizontal_lines, 28, 2),
        shape(frame_129_shape_group_3_shape_2_horizontal_lines, 29, 1),
        shape(frame_129_shape_group_3_shape_3_horizontal_lines, 30, 7),
        shape(frame_129_shape_group_3_shape_4_horizontal_lines, 35, 1),
        shape(frame_129_shape_group_3_shape_5_horizontal_lines, 38, 2),
        shape(frame_129_shape_group_3_shape_6_horizontal_lines, 39, 1),
        shape(frame_129_shape_group_3_shape_7_horizontal_lines, 42, 7),
        shape(frame_129_shape_group_3_shape_8_horizontal_lines, 43, 1),
        shape(frame_129_shape_group_3_shape_9_horizontal_lines, 44, 7),
        shape(frame_129_shape_group_3_shape_10_horizontal_lines, 47, 1),
        shape(frame_129_shape_group_3_shape_11_horizontal_lines, 52, 7),
        shape(frame_129_shape_group_3_shape_12_horizontal_lines, 62, 4),
        shape(frame_129_shape_group_3_shape_13_horizontal_lines, 63, 7),
        shape(frame_129_shape_group_3_shape_14_horizontal_lines, 66, 4),
        shape(frame_129_shape_group_3_shape_15_horizontal_lines, 74, 7),
        shape(frame_129_shape_group_3_shape_16_horizontal_lines, 76, 4),
        shape(frame_129_shape_group_3_shape_17_horizontal_lines, 80, 8),
        shape(frame_129_shape_group_3_shape_18_horizontal_lines, 92, 7),
        shape(frame_129_shape_group_3_shape_19_horizontal_lines, 93, 8),
        shape(frame_129_shape_group_3_shape_20_horizontal_lines, 99, 7),
        shape(frame_129_shape_group_3_shape_21_horizontal_lines, 107, 8),
        shape(frame_129_shape_group_3_shape_22_horizontal_lines, 117, 7),
        shape(frame_129_shape_group_3_shape_23_horizontal_lines, 126, 8),
        shape(frame_129_shape_group_3_shape_24_horizontal_lines, 128, 7),
        shape(frame_129_shape_group_3_shape_25_horizontal_lines, 157, 1),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 237),
        horizontal_line(234, 235),
        horizontal_line(233, 233),
        horizontal_line(171, 232),
        horizontal_line(170, 230),
        horizontal_line(169, 228),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(168, 225),
        horizontal_line(167, 223),
        horizontal_line(166, 221),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(92, 112),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(165, 218),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(92, 115),
        horizontal_line(91, 116),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(161, 162),
        horizontal_line(160, 163),
        horizontal_line(158, 163),
        horizontal_line(157, 164),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(165, 204),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 50),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 85),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(140, 150),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(137, 154),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(136, 157),
        horizontal_line(136, 157),
        horizontal_line(136, 157),
        horizontal_line(187, 239),
        horizontal_line(158, 164),
        horizontal_line(158, 170),
        horizontal_line(158, 176),
        horizontal_line(158, 182),
        horizontal_line(219, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(156, 184),
        horizontal_line(156, 184),
        horizontal_line(156, 183),
        horizontal_line(201, 239),
        horizontal_line(138, 138),
        horizontal_line(138, 182),
        horizontal_line(138, 182),
        horizontal_line(138, 183),
        horizontal_line(138, 184),
        horizontal_line(138, 185),
        horizontal_line(138, 186),
        horizontal_line(138, 187),
        horizontal_line(138, 187),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(138, 190),
        horizontal_line(138, 191),
        horizontal_line(138, 192),
        horizontal_line(138, 193),
        horizontal_line(138, 193),
        horizontal_line(138, 194),
        horizontal_line(138, 195),
        horizontal_line(138, 196),
        horizontal_line(138, 197),
        horizontal_line(138, 198),
        horizontal_line(138, 199),
        horizontal_line(138, 199),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
    };

    constexpr const horizontal_line frame_129_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
    };

    constexpr const shape frame_129_shape_group_4_shapes[] = {
        shape(frame_129_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_129_shape_group_4_shape_1_horizontal_lines, 16, 7),
        shape(frame_129_shape_group_4_shape_2_horizontal_lines, 28, 1),
        shape(frame_129_shape_group_4_shape_3_horizontal_lines, 29, 7),
        shape(frame_129_shape_group_4_shape_4_horizontal_lines, 38, 1),
        shape(frame_129_shape_group_4_shape_5_horizontal_lines, 39, 7),
        shape(frame_129_shape_group_4_shape_6_horizontal_lines, 42, 4),
        shape(frame_129_shape_group_4_shape_7_horizontal_lines, 43, 7),
        shape(frame_129_shape_group_4_shape_8_horizontal_lines, 44, 4),
        shape(frame_129_shape_group_4_shape_9_horizontal_lines, 47, 1),
        shape(frame_129_shape_group_4_shape_10_horizontal_lines, 51, 7),
        shape(frame_129_shape_group_4_shape_11_horizontal_lines, 52, 4),
        shape(frame_129_shape_group_4_shape_12_horizontal_lines, 76, 8),
        shape(frame_129_shape_group_4_shape_13_horizontal_lines, 77, 4),
        shape(frame_129_shape_group_4_shape_14_horizontal_lines, 79, 8),
        shape(frame_129_shape_group_4_shape_15_horizontal_lines, 91, 8),
        shape(frame_129_shape_group_4_shape_16_horizontal_lines, 157, 7),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(197, 232),
        horizontal_line(196, 232),
        horizontal_line(195, 232),
        horizontal_line(194, 233),
        horizontal_line(194, 233),
        horizontal_line(193, 234),
        horizontal_line(192, 234),
        horizontal_line(191, 235),
        horizontal_line(191, 235),
        horizontal_line(190, 235),
        horizontal_line(189, 236),
        horizontal_line(188, 236),
        horizontal_line(188, 237),
        horizontal_line(187, 237),
        horizontal_line(186, 238),
        horizontal_line(185, 238),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(176, 238),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(96, 98),
        horizontal_line(95, 100),
        horizontal_line(95, 101),
        horizontal_line(95, 102),
        horizontal_line(94, 104),
        horizontal_line(94, 105),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(168, 226),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(93, 108),
        horizontal_line(93, 109),
        horizontal_line(93, 111),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(92, 113),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(117, 118),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(91, 117),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(163, 211),
        horizontal_line(164, 209),
        horizontal_line(164, 207),
        horizontal_line(165, 206),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(89, 126),
        horizontal_line(88, 126),
        horizontal_line(88, 126),
        horizontal_line(88, 127),
        horizontal_line(87, 127),
        horizontal_line(87, 127),
        horizontal_line(62, 124),
        horizontal_line(94, 128),
        horizontal_line(101, 128),
        horizontal_line(109, 129),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(123, 129),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(147, 150),
        horizontal_line(143, 150),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(136, 158),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(138, 156),
        horizontal_line(138, 155),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_22_horizontal_lines[] = {
        horizontal_line(184, 200),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_23_horizontal_lines[] = {
        horizontal_line(169, 182),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_24_horizontal_lines[] = {
        horizontal_line(189, 214),
        horizontal_line(190, 215),
    };

    constexpr const horizontal_line frame_129_shape_group_5_shape_25_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
        horizontal_line(200, 204),
        horizontal_line(200, 205),
        horizontal_line(200, 205),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
    };

    constexpr const shape frame_129_shape_group_5_shapes[] = {
        shape(frame_129_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_129_shape_group_5_shape_1_horizontal_lines, 26, 7),
        shape(frame_129_shape_group_5_shape_2_horizontal_lines, 31, 4),
        shape(frame_129_shape_group_5_shape_3_horizontal_lines, 38, 7),
        shape(frame_129_shape_group_5_shape_4_horizontal_lines, 39, 4),
        shape(frame_129_shape_group_5_shape_5_horizontal_lines, 42, 8),
        shape(frame_129_shape_group_5_shape_6_horizontal_lines, 43, 4),
        shape(frame_129_shape_group_5_shape_7_horizontal_lines, 44, 8),
        shape(frame_129_shape_group_5_shape_8_horizontal_lines, 46, 4),
        shape(frame_129_shape_group_5_shape_9_horizontal_lines, 47, 7),
        shape(frame_129_shape_group_5_shape_10_horizontal_lines, 51, 4),
        shape(frame_129_shape_group_5_shape_11_horizontal_lines, 62, 8),
        shape(frame_129_shape_group_5_shape_12_horizontal_lines, 63, 4),
        shape(frame_129_shape_group_5_shape_13_horizontal_lines, 66, 8),
        shape(frame_129_shape_group_5_shape_14_horizontal_lines, 74, 4),
        shape(frame_129_shape_group_5_shape_15_horizontal_lines, 76, 8),
        shape(frame_129_shape_group_5_shape_16_horizontal_lines, 92, 8),
        shape(frame_129_shape_group_5_shape_17_horizontal_lines, 99, 8),
        shape(frame_129_shape_group_5_shape_18_horizontal_lines, 102, 9),
        shape(frame_129_shape_group_5_shape_19_horizontal_lines, 103, 8),
        shape(frame_129_shape_group_5_shape_20_horizontal_lines, 107, 9),
        shape(frame_129_shape_group_5_shape_21_horizontal_lines, 113, 8),
        shape(frame_129_shape_group_5_shape_22_horizontal_lines, 116, 9),
        shape(frame_129_shape_group_5_shape_23_horizontal_lines, 117, 8),
        shape(frame_129_shape_group_5_shape_24_horizontal_lines, 126, 9),
        shape(frame_129_shape_group_5_shape_25_horizontal_lines, 128, 8),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(107, 107),
        horizontal_line(107, 108),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(94, 106),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(109, 111),
        horizontal_line(110, 112),
        horizontal_line(112, 113),
        horizontal_line(220, 239),
        horizontal_line(114, 115),
        horizontal_line(217, 239),
        horizontal_line(215, 239),
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 14),
        horizontal_line(0, 21),
        horizontal_line(0, 28),
        horizontal_line(89, 124),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 71),
        horizontal_line(62, 78),
        horizontal_line(124, 128),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(136, 157),
        horizontal_line(136, 157),
        horizontal_line(137, 157),
        horizontal_line(137, 157),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(188, 189),
        horizontal_line(187, 190),
        horizontal_line(187, 192),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(142, 155),
        horizontal_line(147, 155),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(183, 203),
        horizontal_line(183, 204),
        horizontal_line(184, 206),
        horizontal_line(185, 207),
        horizontal_line(186, 208),
        horizontal_line(187, 210),
        horizontal_line(188, 211),
        horizontal_line(188, 213),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(191, 217),
        horizontal_line(192, 218),
        horizontal_line(193, 219),
        horizontal_line(194, 221),
        horizontal_line(194, 222),
        horizontal_line(195, 224),
        horizontal_line(196, 225),
        horizontal_line(197, 226),
        horizontal_line(198, 228),
        horizontal_line(199, 229),
        horizontal_line(200, 231),
        horizontal_line(200, 232),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(200, 200),
        horizontal_line(200, 201),
        horizontal_line(200, 202),
        horizontal_line(200, 203),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(200, 206),
        horizontal_line(200, 207),
        horizontal_line(200, 208),
        horizontal_line(200, 209),
        horizontal_line(200, 210),
        horizontal_line(200, 211),
        horizontal_line(200, 211),
        horizontal_line(200, 212),
        horizontal_line(200, 213),
        horizontal_line(200, 214),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_129_shape_group_6_shapes[] = {
        shape(frame_129_shape_group_6_shape_0_horizontal_lines, 28, 7),
        shape(frame_129_shape_group_6_shape_1_horizontal_lines, 32, 8),
        shape(frame_129_shape_group_6_shape_2_horizontal_lines, 38, 4),
        shape(frame_129_shape_group_6_shape_3_horizontal_lines, 39, 8),
        shape(frame_129_shape_group_6_shape_4_horizontal_lines, 47, 4),
        shape(frame_129_shape_group_6_shape_5_horizontal_lines, 52, 8),
        shape(frame_129_shape_group_6_shape_6_horizontal_lines, 55, 4),
        shape(frame_129_shape_group_6_shape_7_horizontal_lines, 63, 4),
        shape(frame_129_shape_group_6_shape_8_horizontal_lines, 64, 8),
        shape(frame_129_shape_group_6_shape_9_horizontal_lines, 67, 8),
        shape(frame_129_shape_group_6_shape_10_horizontal_lines, 77, 8),
        shape(frame_129_shape_group_6_shape_11_horizontal_lines, 103, 9),
        shape(frame_129_shape_group_6_shape_12_horizontal_lines, 108, 9),
        shape(frame_129_shape_group_6_shape_13_horizontal_lines, 117, 8),
        shape(frame_129_shape_group_6_shape_14_horizontal_lines, 118, 9),
        shape(frame_129_shape_group_6_shape_15_horizontal_lines, 128, 9),
        shape(frame_129_shape_group_6_shape_16_horizontal_lines, 140, 8),
        shape(frame_129_shape_group_6_shape_17_horizontal_lines, 144, 9),
        shape(frame_129_shape_group_6_shape_18_horizontal_lines, 147, 8),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(108, 110),
        horizontal_line(226, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(90, 119),
        horizontal_line(90, 120),
        horizontal_line(90, 121),
        horizontal_line(89, 123),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(193, 239),
        horizontal_line(191, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(185, 196),
        horizontal_line(185, 197),
        horizontal_line(184, 199),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(183, 201),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(201, 233),
        horizontal_line(202, 235),
        horizontal_line(203, 236),
        horizontal_line(204, 238),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(207, 237),
        horizontal_line(208, 236),
        horizontal_line(209, 234),
        horizontal_line(210, 233),
        horizontal_line(211, 231),
        horizontal_line(212, 230),
        horizontal_line(212, 228),
        horizontal_line(213, 227),
        horizontal_line(214, 225),
        horizontal_line(215, 224),
    };

    constexpr const horizontal_line frame_129_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(200, 215),
        horizontal_line(200, 216),
        horizontal_line(200, 217),
    };

    constexpr const shape frame_129_shape_group_7_shapes[] = {
        shape(frame_129_shape_group_7_shape_0_horizontal_lines, 35, 8),
        shape(frame_129_shape_group_7_shape_1_horizontal_lines, 43, 8),
        shape(frame_129_shape_group_7_shape_2_horizontal_lines, 46, 8),
        shape(frame_129_shape_group_7_shape_3_horizontal_lines, 47, 4),
        shape(frame_129_shape_group_7_shape_4_horizontal_lines, 51, 8),
        shape(frame_129_shape_group_7_shape_5_horizontal_lines, 55, 8),
        shape(frame_129_shape_group_7_shape_6_horizontal_lines, 63, 8),
        shape(frame_129_shape_group_7_shape_7_horizontal_lines, 74, 8),
        shape(frame_129_shape_group_7_shape_8_horizontal_lines, 113, 9),
        shape(frame_129_shape_group_7_shape_9_horizontal_lines, 117, 9),
        shape(frame_129_shape_group_7_shape_10_horizontal_lines, 140, 9),
        shape(frame_129_shape_group_7_shape_11_horizontal_lines, 147, 9),
        shape(frame_129_shape_group_7_shape_12_horizontal_lines, 157, 8),
    };

    constexpr const horizontal_line frame_129_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(121, 121),
        horizontal_line(122, 122),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_129_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(216, 222),
        horizontal_line(217, 221),
        horizontal_line(218, 220),
    };

    constexpr const shape frame_129_shape_group_8_shapes[] = {
        shape(frame_129_shape_group_8_shape_0_horizontal_lines, 38, 8),
        shape(frame_129_shape_group_8_shape_1_horizontal_lines, 47, 8),
        shape(frame_129_shape_group_8_shape_2_horizontal_lines, 157, 9),
    };

    constexpr const horizontal_line frame_129_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(210, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_129_shape_group_9_shapes[] = {
        shape(frame_129_shape_group_9_shape_0_horizontal_lines, 47, 8),
    };

    constexpr const shape_group frame_129_shape_groups[] = {
        shape_group(frame_129_shape_group_0_shapes),
        shape_group(frame_129_shape_group_1_shapes),
        shape_group(frame_129_shape_group_2_shapes),
        shape_group(frame_129_shape_group_3_shapes),
        shape_group(frame_129_shape_group_4_shapes),
        shape_group(frame_129_shape_group_5_shapes),
        shape_group(frame_129_shape_group_6_shapes),
        shape_group(frame_129_shape_group_7_shapes),
        shape_group(frame_129_shape_group_8_shapes),
        shape_group(frame_129_shape_group_9_shapes),
    };

    constexpr const frame frame_129_impl(frame_129_colors, frame_129_shape_groups);
} 

const frame& frame_129()
{
    return frame_129_impl;
}

namespace
{
    constexpr const bn::color frame_130_colors[] = {
        bn::color(28, 20, 12),
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_130_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(45, 68),
        horizontal_line(47, 68),
        horizontal_line(49, 69),
        horizontal_line(51, 70),
        horizontal_line(53, 71),
        horizontal_line(55, 72),
        horizontal_line(58, 73),
        horizontal_line(60, 73),
        horizontal_line(62, 74),
        horizontal_line(64, 75),
        horizontal_line(66, 76),
        horizontal_line(68, 77),
        horizontal_line(71, 78),
        horizontal_line(73, 78),
        horizontal_line(75, 79),
        horizontal_line(77, 80),
        horizontal_line(79, 81),
        horizontal_line(81, 82),
    };

    constexpr const horizontal_line frame_130_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
    };

    constexpr const horizontal_line frame_130_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(179, 180),
        horizontal_line(178, 179),
        horizontal_line(177, 179),
        horizontal_line(175, 178),
        horizontal_line(174, 178),
        horizontal_line(173, 177),
        horizontal_line(171, 177),
        horizontal_line(170, 177),
        horizontal_line(169, 176),
        horizontal_line(167, 176),
        horizontal_line(166, 175),
        horizontal_line(165, 175),
        horizontal_line(163, 174),
        horizontal_line(162, 174),
        horizontal_line(161, 174),
        horizontal_line(159, 173),
        horizontal_line(158, 173),
        horizontal_line(153, 153),
        horizontal_line(152, 152),
        horizontal_line(151, 151),
        horizontal_line(149, 150),
        horizontal_line(148, 149),
        horizontal_line(147, 148),
        horizontal_line(145, 147),
        horizontal_line(144, 146),
        horizontal_line(143, 144),
        horizontal_line(141, 142),
        horizontal_line(140, 140),
        horizontal_line(139, 139),
        horizontal_line(137, 137),
        horizontal_line(135, 135),
        horizontal_line(147, 157),
        horizontal_line(132, 132),
        horizontal_line(130, 130),
        horizontal_line(147, 153),
        horizontal_line(147, 152),
        horizontal_line(147, 151),
        horizontal_line(147, 149),
        horizontal_line(147, 148),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_130_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(183, 191),
        horizontal_line(146, 146),
        horizontal_line(144, 147),
        horizontal_line(142, 148),
        horizontal_line(140, 149),
        horizontal_line(139, 149),
        horizontal_line(137, 150),
        horizontal_line(135, 151),
        horizontal_line(135, 152),
        horizontal_line(135, 152),
        horizontal_line(135, 153),
        horizontal_line(135, 154),
    };

    constexpr const horizontal_line frame_130_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(70, 102),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(74, 136),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(75, 137),
        horizontal_line(75, 137),
        horizontal_line(76, 137),
        horizontal_line(76, 138),
        horizontal_line(77, 138),
        horizontal_line(77, 138),
        horizontal_line(77, 138),
        horizontal_line(78, 138),
        horizontal_line(78, 132),
        horizontal_line(79, 127),
        horizontal_line(79, 122),
        horizontal_line(80, 117),
        horizontal_line(80, 112),
        horizontal_line(80, 106),
        horizontal_line(81, 101),
        horizontal_line(81, 96),
        horizontal_line(82, 91),
        horizontal_line(82, 86),
        horizontal_line(82, 82),
        horizontal_line(76, 82),
        horizontal_line(71, 83),
        horizontal_line(66, 84),
        horizontal_line(61, 85),
        horizontal_line(56, 85),
        horizontal_line(51, 86),
        horizontal_line(46, 87),
        horizontal_line(41, 88),
        horizontal_line(35, 88),
        horizontal_line(30, 89),
        horizontal_line(25, 87),
        horizontal_line(20, 82),
        horizontal_line(15, 77),
        horizontal_line(10, 72),
        horizontal_line(5, 67),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
    };

    constexpr const shape frame_130_shape_group_0_shapes[] = {
        shape(frame_130_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_130_shape_group_0_shape_1_horizontal_lines, 18, 2),
        shape(frame_130_shape_group_0_shape_2_horizontal_lines, 21, 3),
        shape(frame_130_shape_group_0_shape_3_horizontal_lines, 61, 7),
        shape(frame_130_shape_group_0_shape_4_horizontal_lines, 73, 3),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(77, 139),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(154, 172),
        horizontal_line(155, 171),
        horizontal_line(157, 170),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(103, 164),
        horizontal_line(105, 163),
        horizontal_line(106, 162),
        horizontal_line(107, 161),
        horizontal_line(108, 160),
        horizontal_line(110, 159),
        horizontal_line(111, 158),
        horizontal_line(112, 157),
        horizontal_line(113, 157),
        horizontal_line(114, 155),
        horizontal_line(115, 154),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(157, 172),
        horizontal_line(155, 172),
        horizontal_line(154, 171),
        horizontal_line(153, 171),
        horizontal_line(151, 171),
        horizontal_line(150, 169),
        horizontal_line(149, 168),
        horizontal_line(148, 167),
        horizontal_line(147, 165),
        horizontal_line(147, 164),
        horizontal_line(147, 163),
        horizontal_line(147, 161),
        horizontal_line(147, 160),
        horizontal_line(147, 159),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(147, 156),
        horizontal_line(147, 155),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(180, 198),
        horizontal_line(180, 197),
        horizontal_line(181, 195),
        horizontal_line(182, 194),
        horizontal_line(182, 193),
        horizontal_line(183, 192),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(184, 190),
        horizontal_line(185, 189),
        horizontal_line(185, 188),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(182, 186),
        horizontal_line(180, 187),
        horizontal_line(178, 187),
        horizontal_line(175, 187),
        horizontal_line(173, 188),
        horizontal_line(135, 155),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 135),
        horizontal_line(134, 136),
        horizontal_line(135, 136),
        horizontal_line(135, 136),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(163, 193),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(164, 194),
        horizontal_line(164, 195),
        horizontal_line(165, 195),
        horizontal_line(165, 195),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(140, 142),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(167, 197),
        horizontal_line(167, 197),
        horizontal_line(167, 198),
        horizontal_line(168, 198),
        horizontal_line(168, 198),
        horizontal_line(140, 140),
        horizontal_line(139, 140),
        horizontal_line(137, 141),
        horizontal_line(136, 141),
        horizontal_line(135, 142),
        horizontal_line(134, 139),
        horizontal_line(133, 139),
        horizontal_line(132, 139),
        horizontal_line(131, 139),
        horizontal_line(130, 139),
        horizontal_line(129, 139),
        horizontal_line(128, 140),
        horizontal_line(127, 140),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_15_horizontal_lines[] = {
        horizontal_line(87, 90),
        horizontal_line(82, 91),
        horizontal_line(77, 92),
        horizontal_line(72, 92),
        horizontal_line(67, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 78),
        horizontal_line(62, 76),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_130_shape_group_1_shape_16_horizontal_lines[] = {
        horizontal_line(111, 131),
        horizontal_line(111, 130),
        horizontal_line(111, 130),
        horizontal_line(111, 130),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 129),
        horizontal_line(113, 129),
    };

    constexpr const shape frame_130_shape_group_1_shapes[] = {
        shape(frame_130_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_130_shape_group_1_shape_1_horizontal_lines, 38, 3),
        shape(frame_130_shape_group_1_shape_2_horizontal_lines, 52, 2),
        shape(frame_130_shape_group_1_shape_3_horizontal_lines, 53, 3),
        shape(frame_130_shape_group_1_shape_4_horizontal_lines, 55, 7),
        shape(frame_130_shape_group_1_shape_5_horizontal_lines, 61, 4),
        shape(frame_130_shape_group_1_shape_6_horizontal_lines, 62, 7),
        shape(frame_130_shape_group_1_shape_7_horizontal_lines, 66, 4),
        shape(frame_130_shape_group_1_shape_8_horizontal_lines, 67, 7),
        shape(frame_130_shape_group_1_shape_9_horizontal_lines, 74, 3),
        shape(frame_130_shape_group_1_shape_10_horizontal_lines, 87, 7),
        shape(frame_130_shape_group_1_shape_11_horizontal_lines, 88, 3),
        shape(frame_130_shape_group_1_shape_12_horizontal_lines, 89, 7),
        shape(frame_130_shape_group_1_shape_13_horizontal_lines, 93, 3),
        shape(frame_130_shape_group_1_shape_14_horizontal_lines, 96, 7),
        shape(frame_130_shape_group_1_shape_15_horizontal_lines, 114, 3),
        shape(frame_130_shape_group_1_shape_16_horizontal_lines, 152, 7),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(132, 189),
        horizontal_line(133, 188),
        horizontal_line(134, 187),
        horizontal_line(135, 186),
        horizontal_line(137, 185),
        horizontal_line(138, 184),
        horizontal_line(139, 183),
        horizontal_line(140, 182),
        horizontal_line(142, 181),
        horizontal_line(143, 180),
        horizontal_line(144, 179),
        horizontal_line(145, 178),
        horizontal_line(147, 178),
        horizontal_line(148, 177),
        horizontal_line(149, 176),
        horizontal_line(150, 175),
        horizontal_line(152, 174),
        horizontal_line(153, 173),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(181, 238),
        horizontal_line(181, 236),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(158, 169),
        horizontal_line(159, 168),
        horizontal_line(160, 167),
        horizontal_line(162, 167),
        horizontal_line(163, 166),
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(178, 229),
        horizontal_line(178, 228),
        horizontal_line(177, 226),
        horizontal_line(177, 225),
        horizontal_line(176, 224),
        horizontal_line(176, 223),
        horizontal_line(175, 222),
        horizontal_line(175, 221),
        horizontal_line(175, 220),
        horizontal_line(174, 219),
        horizontal_line(174, 218),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(116, 152),
        horizontal_line(117, 151),
        horizontal_line(118, 150),
        horizontal_line(120, 148),
        horizontal_line(121, 147),
        horizontal_line(122, 146),
        horizontal_line(123, 144),
        horizontal_line(124, 143),
        horizontal_line(125, 142),
        horizontal_line(126, 140),
        horizontal_line(127, 139),
        horizontal_line(129, 138),
        horizontal_line(129, 136),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(178, 201),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(179, 199),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(128, 132),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 69),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(171, 188),
        horizontal_line(136, 155),
        horizontal_line(137, 156),
        horizontal_line(139, 157),
        horizontal_line(141, 158),
        horizontal_line(143, 190),
        horizontal_line(145, 154),
        horizontal_line(147, 148),
        horizontal_line(161, 191),
        horizontal_line(161, 192),
        horizontal_line(161, 192),
        horizontal_line(162, 192),
        horizontal_line(162, 193),
        horizontal_line(163, 193),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(145, 162),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(163, 194),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(144, 163),
        horizontal_line(144, 163),
        horizontal_line(143, 164),
        horizontal_line(143, 164),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(165, 196),
        horizontal_line(166, 196),
        horizontal_line(166, 196),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(140, 166),
        horizontal_line(140, 166),
        horizontal_line(140, 166),
        horizontal_line(140, 167),
        horizontal_line(140, 167),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(170, 200),
        horizontal_line(170, 200),
        horizontal_line(171, 201),
        horizontal_line(175, 201),
        horizontal_line(179, 201),
        horizontal_line(183, 202),
        horizontal_line(188, 202),
        horizontal_line(192, 202),
        horizontal_line(196, 203),
        horizontal_line(200, 203),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(124, 140),
        horizontal_line(123, 141),
        horizontal_line(122, 144),
        horizontal_line(121, 149),
        horizontal_line(120, 154),
        horizontal_line(119, 159),
        horizontal_line(118, 140),
        horizontal_line(117, 139),
        horizontal_line(116, 139),
        horizontal_line(115, 139),
        horizontal_line(114, 138),
        horizontal_line(113, 138),
        horizontal_line(112, 138),
        horizontal_line(111, 137),
        horizontal_line(110, 137),
        horizontal_line(109, 137),
        horizontal_line(108, 137),
        horizontal_line(107, 136),
        horizontal_line(107, 136),
        horizontal_line(106, 136),
        horizontal_line(106, 135),
        horizontal_line(106, 135),
        horizontal_line(107, 135),
        horizontal_line(107, 134),
        horizontal_line(107, 134),
        horizontal_line(107, 134),
        horizontal_line(108, 134),
        horizontal_line(108, 133),
        horizontal_line(108, 133),
        horizontal_line(109, 133),
        horizontal_line(109, 132),
        horizontal_line(109, 132),
        horizontal_line(109, 132),
        horizontal_line(110, 131),
        horizontal_line(110, 131),
        horizontal_line(110, 131),
    };

    constexpr const horizontal_line frame_130_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(132, 194),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
    };

    constexpr const shape frame_130_shape_group_2_shapes[] = {
        shape(frame_130_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_130_shape_group_2_shape_1_horizontal_lines, 18, 7),
        shape(frame_130_shape_group_2_shape_2_horizontal_lines, 21, 2),
        shape(frame_130_shape_group_2_shape_3_horizontal_lines, 27, 7),
        shape(frame_130_shape_group_2_shape_4_horizontal_lines, 38, 2),
        shape(frame_130_shape_group_2_shape_5_horizontal_lines, 52, 7),
        shape(frame_130_shape_group_2_shape_6_horizontal_lines, 53, 2),
        shape(frame_130_shape_group_2_shape_7_horizontal_lines, 54, 7),
        shape(frame_130_shape_group_2_shape_8_horizontal_lines, 55, 4),
        shape(frame_130_shape_group_2_shape_9_horizontal_lines, 73, 7),
        shape(frame_130_shape_group_2_shape_10_horizontal_lines, 87, 8),
        shape(frame_130_shape_group_2_shape_11_horizontal_lines, 88, 7),
        shape(frame_130_shape_group_2_shape_12_horizontal_lines, 89, 8),
        shape(frame_130_shape_group_2_shape_13_horizontal_lines, 93, 7),
        shape(frame_130_shape_group_2_shape_14_horizontal_lines, 96, 8),
        shape(frame_130_shape_group_2_shape_15_horizontal_lines, 101, 7),
        shape(frame_130_shape_group_2_shape_16_horizontal_lines, 152, 8),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(83, 84),
        horizontal_line(83, 85),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(181, 235),
        horizontal_line(180, 234),
        horizontal_line(180, 233),
        horizontal_line(179, 232),
        horizontal_line(179, 231),
        horizontal_line(178, 230),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(80, 96),
        horizontal_line(80, 97),
        horizontal_line(80, 98),
        horizontal_line(79, 100),
        horizontal_line(79, 101),
        horizontal_line(79, 103),
        horizontal_line(78, 104),
        horizontal_line(78, 106),
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(173, 216),
        horizontal_line(173, 215),
        horizontal_line(172, 214),
        horizontal_line(172, 213),
        horizontal_line(172, 212),
        horizontal_line(172, 211),
        horizontal_line(173, 210),
        horizontal_line(173, 209),
        horizontal_line(174, 208),
        horizontal_line(175, 207),
        horizontal_line(175, 205),
        horizontal_line(176, 204),
        horizontal_line(177, 203),
        horizontal_line(177, 202),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(178, 200),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(98, 130),
        horizontal_line(103, 130),
        horizontal_line(108, 131),
        horizontal_line(113, 131),
        horizontal_line(118, 131),
        horizontal_line(123, 132),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(169, 189),
        horizontal_line(166, 189),
        horizontal_line(164, 189),
        horizontal_line(162, 190),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(160, 190),
        horizontal_line(160, 191),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(145, 162),
        horizontal_line(194, 239),
        horizontal_line(144, 162),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(143, 164),
        horizontal_line(143, 165),
        horizontal_line(141, 165),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(141, 168),
        horizontal_line(141, 168),
        horizontal_line(142, 168),
        horizontal_line(142, 169),
        horizontal_line(143, 169),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(142, 144),
        horizontal_line(145, 146),
        horizontal_line(150, 150),
        horizontal_line(155, 155),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(142, 164),
        horizontal_line(153, 170),
        horizontal_line(164, 176),
        horizontal_line(175, 183),
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_130_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(139, 196),
        horizontal_line(139, 196),
        horizontal_line(138, 197),
        horizontal_line(138, 198),
        horizontal_line(138, 198),
        horizontal_line(138, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(194, 213),
        horizontal_line(193, 214),
        horizontal_line(193, 215),
        horizontal_line(193, 216),
        horizontal_line(192, 216),
        horizontal_line(192, 217),
        horizontal_line(192, 218),
        horizontal_line(192, 219),
    };

    constexpr const shape frame_130_shape_group_3_shapes[] = {
        shape(frame_130_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_130_shape_group_3_shape_1_horizontal_lines, 19, 4),
        shape(frame_130_shape_group_3_shape_2_horizontal_lines, 21, 7),
        shape(frame_130_shape_group_3_shape_3_horizontal_lines, 27, 4),
        shape(frame_130_shape_group_3_shape_4_horizontal_lines, 38, 7),
        shape(frame_130_shape_group_3_shape_5_horizontal_lines, 52, 4),
        shape(frame_130_shape_group_3_shape_6_horizontal_lines, 53, 7),
        shape(frame_130_shape_group_3_shape_7_horizontal_lines, 54, 4),
        shape(frame_130_shape_group_3_shape_8_horizontal_lines, 66, 8),
        shape(frame_130_shape_group_3_shape_9_horizontal_lines, 67, 4),
        shape(frame_130_shape_group_3_shape_10_horizontal_lines, 74, 7),
        shape(frame_130_shape_group_3_shape_11_horizontal_lines, 78, 8),
        shape(frame_130_shape_group_3_shape_12_horizontal_lines, 79, 7),
        shape(frame_130_shape_group_3_shape_13_horizontal_lines, 81, 8),
        shape(frame_130_shape_group_3_shape_14_horizontal_lines, 122, 7),
        shape(frame_130_shape_group_3_shape_15_horizontal_lines, 127, 8),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(82, 87),
        horizontal_line(82, 88),
        horizontal_line(82, 90),
        horizontal_line(81, 91),
        horizontal_line(81, 93),
        horizontal_line(81, 94),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(78, 107),
        horizontal_line(77, 109),
        horizontal_line(77, 110),
        horizontal_line(0, 14),
        horizontal_line(0, 19),
        horizontal_line(0, 24),
        horizontal_line(0, 28),
        horizontal_line(0, 33),
        horizontal_line(0, 38),
        horizontal_line(0, 43),
        horizontal_line(0, 48),
        horizontal_line(0, 52),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(83, 129),
        horizontal_line(0, 62),
        horizontal_line(93, 129),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(149, 159),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(118, 139),
        horizontal_line(113, 139),
        horizontal_line(107, 139),
        horizontal_line(102, 139),
        horizontal_line(97, 139),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(170, 174),
        horizontal_line(170, 178),
        horizontal_line(169, 182),
        horizontal_line(169, 187),
        horizontal_line(169, 191),
        horizontal_line(168, 195),
        horizontal_line(168, 199),
        horizontal_line(168, 204),
        horizontal_line(167, 203),
        horizontal_line(167, 202),
        horizontal_line(166, 202),
        horizontal_line(166, 201),
        horizontal_line(166, 200),
        horizontal_line(165, 200),
        horizontal_line(165, 199),
        horizontal_line(141, 141),
        horizontal_line(140, 152),
        horizontal_line(140, 163),
        horizontal_line(140, 174),
        horizontal_line(139, 185),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(197, 204),
        horizontal_line(197, 205),
        horizontal_line(197, 206),
        horizontal_line(197, 206),
        horizontal_line(196, 207),
        horizontal_line(196, 208),
        horizontal_line(196, 208),
        horizontal_line(195, 209),
        horizontal_line(195, 210),
        horizontal_line(195, 211),
        horizontal_line(194, 211),
        horizontal_line(194, 212),
        horizontal_line(194, 213),
    };

    constexpr const horizontal_line frame_130_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(62, 110),
        horizontal_line(59, 110),
        horizontal_line(57, 110),
        horizontal_line(54, 110),
        horizontal_line(52, 111),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
    };

    constexpr const shape frame_130_shape_group_4_shapes[] = {
        shape(frame_130_shape_group_4_shape_0_horizontal_lines, 19, 8),
        shape(frame_130_shape_group_4_shape_1_horizontal_lines, 21, 4),
        shape(frame_130_shape_group_4_shape_2_horizontal_lines, 27, 8),
        shape(frame_130_shape_group_4_shape_3_horizontal_lines, 35, 4),
        shape(frame_130_shape_group_4_shape_4_horizontal_lines, 61, 8),
        shape(frame_130_shape_group_4_shape_5_horizontal_lines, 66, 1),
        shape(frame_130_shape_group_4_shape_6_horizontal_lines, 67, 8),
        shape(frame_130_shape_group_4_shape_7_horizontal_lines, 74, 4),
        shape(frame_130_shape_group_4_shape_8_horizontal_lines, 75, 8),
        shape(frame_130_shape_group_4_shape_9_horizontal_lines, 79, 8),
        shape(frame_130_shape_group_4_shape_10_horizontal_lines, 88, 8),
        shape(frame_130_shape_group_4_shape_11_horizontal_lines, 92, 1),
        shape(frame_130_shape_group_4_shape_12_horizontal_lines, 93, 8),
        shape(frame_130_shape_group_4_shape_13_horizontal_lines, 96, 1),
        shape(frame_130_shape_group_4_shape_14_horizontal_lines, 101, 8),
        shape(frame_130_shape_group_4_shape_15_horizontal_lines, 152, 1),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(77, 112),
        horizontal_line(76, 113),
        horizontal_line(76, 114),
        horizontal_line(76, 116),
        horizontal_line(75, 117),
        horizontal_line(75, 119),
        horizontal_line(75, 120),
        horizontal_line(74, 122),
        horizontal_line(74, 123),
        horizontal_line(74, 125),
        horizontal_line(73, 126),
        horizontal_line(73, 128),
        horizontal_line(62, 124),
        horizontal_line(78, 128),
        horizontal_line(62, 71),
        horizontal_line(88, 129),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(133, 182),
        horizontal_line(134, 145),
        horizontal_line(134, 143),
        horizontal_line(134, 141),
        horizontal_line(134, 139),
        horizontal_line(150, 186),
        horizontal_line(134, 136),
        horizontal_line(152, 181),
        horizontal_line(153, 179),
        horizontal_line(153, 177),
        horizontal_line(154, 174),
        horizontal_line(155, 172),
        horizontal_line(156, 170),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(158, 163),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(133, 139),
        horizontal_line(128, 139),
        horizontal_line(123, 139),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(92, 139),
        horizontal_line(87, 138),
        horizontal_line(83, 136),
        horizontal_line(83, 135),
        horizontal_line(84, 134),
        horizontal_line(85, 133),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(165, 199),
        horizontal_line(171, 198),
        horizontal_line(177, 197),
        horizontal_line(184, 197),
        horizontal_line(190, 196),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(101, 112),
        horizontal_line(102, 111),
        horizontal_line(103, 110),
        horizontal_line(103, 109),
        horizontal_line(104, 108),
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(199, 200),
        horizontal_line(199, 201),
        horizontal_line(199, 201),
        horizontal_line(198, 202),
        horizontal_line(198, 203),
        horizontal_line(198, 203),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(94, 106),
        horizontal_line(92, 106),
        horizontal_line(89, 106),
        horizontal_line(87, 107),
        horizontal_line(84, 107),
        horizontal_line(82, 107),
        horizontal_line(79, 108),
        horizontal_line(77, 108),
        horizontal_line(74, 108),
        horizontal_line(72, 108),
        horizontal_line(69, 109),
        horizontal_line(67, 109),
        horizontal_line(64, 109),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(109, 111),
        horizontal_line(107, 112),
    };

    constexpr const shape frame_130_shape_group_5_shapes[] = {
        shape(frame_130_shape_group_5_shape_0_horizontal_lines, 21, 8),
        shape(frame_130_shape_group_5_shape_1_horizontal_lines, 35, 8),
        shape(frame_130_shape_group_5_shape_2_horizontal_lines, 38, 4),
        shape(frame_130_shape_group_5_shape_3_horizontal_lines, 55, 8),
        shape(frame_130_shape_group_5_shape_4_horizontal_lines, 61, 1),
        shape(frame_130_shape_group_5_shape_5_horizontal_lines, 74, 8),
        shape(frame_130_shape_group_5_shape_6_horizontal_lines, 75, 1),
        shape(frame_130_shape_group_5_shape_7_horizontal_lines, 79, 8),
        shape(frame_130_shape_group_5_shape_8_horizontal_lines, 93, 1),
        shape(frame_130_shape_group_5_shape_9_horizontal_lines, 101, 1),
        shape(frame_130_shape_group_5_shape_10_horizontal_lines, 107, 8),
        shape(frame_130_shape_group_5_shape_11_horizontal_lines, 127, 1),
        shape(frame_130_shape_group_5_shape_12_horizontal_lines, 133, 8),
        shape(frame_130_shape_group_5_shape_13_horizontal_lines, 139, 1),
        shape(frame_130_shape_group_5_shape_14_horizontal_lines, 152, 9),
        shape(frame_130_shape_group_5_shape_15_horizontal_lines, 157, 1),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 67),
        horizontal_line(124, 128),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(133, 146),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(147, 183),
        horizontal_line(148, 184),
        horizontal_line(149, 184),
        horizontal_line(150, 185),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(151, 183),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(156, 168),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(144, 170),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(86, 132),
        horizontal_line(86, 131),
        horizontal_line(87, 130),
        horizontal_line(88, 129),
        horizontal_line(89, 128),
        horizontal_line(89, 127),
        horizontal_line(90, 126),
        horizontal_line(91, 125),
        horizontal_line(92, 124),
        horizontal_line(93, 123),
        horizontal_line(93, 122),
        horizontal_line(94, 121),
        horizontal_line(95, 120),
        horizontal_line(96, 119),
        horizontal_line(96, 118),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(197, 222),
        horizontal_line(197, 224),
        horizontal_line(198, 225),
        horizontal_line(199, 226),
        horizontal_line(199, 228),
        horizontal_line(200, 229),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(202, 232),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(104, 105),
        horizontal_line(102, 105),
        horizontal_line(99, 105),
        horizontal_line(97, 106),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_130_shape_group_6_shapes[] = {
        shape(frame_130_shape_group_6_shape_0_horizontal_lines, 38, 8),
        shape(frame_130_shape_group_6_shape_1_horizontal_lines, 48, 4),
        shape(frame_130_shape_group_6_shape_2_horizontal_lines, 52, 8),
        shape(frame_130_shape_group_6_shape_3_horizontal_lines, 53, 4),
        shape(frame_130_shape_group_6_shape_4_horizontal_lines, 54, 8),
        shape(frame_130_shape_group_6_shape_5_horizontal_lines, 55, 1),
        shape(frame_130_shape_group_6_shape_6_horizontal_lines, 62, 1),
        shape(frame_130_shape_group_6_shape_7_horizontal_lines, 67, 1),
        shape(frame_130_shape_group_6_shape_8_horizontal_lines, 74, 1),
        shape(frame_130_shape_group_6_shape_9_horizontal_lines, 106, 9),
        shape(frame_130_shape_group_6_shape_10_horizontal_lines, 107, 1),
        shape(frame_130_shape_group_6_shape_11_horizontal_lines, 122, 8),
        shape(frame_130_shape_group_6_shape_12_horizontal_lines, 127, 9),
        shape(frame_130_shape_group_6_shape_13_horizontal_lines, 133, 1),
        shape(frame_130_shape_group_6_shape_14_horizontal_lines, 134, 9),
        shape(frame_130_shape_group_6_shape_15_horizontal_lines, 135, 1),
        shape(frame_130_shape_group_6_shape_16_horizontal_lines, 139, 9),
        shape(frame_130_shape_group_6_shape_17_horizontal_lines, 157, 9),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 171),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(145, 146),
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(134, 146),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(131, 146),
        horizontal_line(154, 179),
        horizontal_line(153, 179),
        horizontal_line(152, 180),
        horizontal_line(150, 181),
        horizontal_line(149, 181),
        horizontal_line(148, 182),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(144, 169),
        horizontal_line(144, 169),
        horizontal_line(144, 168),
        horizontal_line(144, 168),
        horizontal_line(144, 168),
        horizontal_line(145, 167),
        horizontal_line(145, 167),
        horizontal_line(145, 167),
        horizontal_line(145, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 165),
        horizontal_line(147, 165),
        horizontal_line(151, 165),
        horizontal_line(156, 164),
        horizontal_line(161, 164),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(97, 117),
        horizontal_line(98, 116),
        horizontal_line(99, 115),
        horizontal_line(100, 114),
        horizontal_line(100, 113),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(201, 230),
    };

    constexpr const horizontal_line frame_130_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(202, 233),
        horizontal_line(203, 234),
        horizontal_line(204, 236),
        horizontal_line(204, 237),
    };

    constexpr const shape frame_130_shape_group_7_shapes[] = {
        shape(frame_130_shape_group_7_shape_0_horizontal_lines, 43, 1),
        shape(frame_130_shape_group_7_shape_1_horizontal_lines, 48, 8),
        shape(frame_130_shape_group_7_shape_2_horizontal_lines, 52, 1),
        shape(frame_130_shape_group_7_shape_3_horizontal_lines, 53, 8),
        shape(frame_130_shape_group_7_shape_4_horizontal_lines, 54, 1),
        shape(frame_130_shape_group_7_shape_5_horizontal_lines, 107, 9),
        shape(frame_130_shape_group_7_shape_6_horizontal_lines, 122, 1),
        shape(frame_130_shape_group_7_shape_7_horizontal_lines, 133, 9),
        shape(frame_130_shape_group_7_shape_8_horizontal_lines, 135, 9),
    };

    constexpr const horizontal_line frame_130_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(166, 173),
        horizontal_line(165, 174),
        horizontal_line(141, 146),
        horizontal_line(140, 146),
        horizontal_line(138, 146),
        horizontal_line(136, 146),
        horizontal_line(158, 177),
        horizontal_line(133, 146),
        horizontal_line(156, 178),
    };

    constexpr const horizontal_line frame_130_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(205, 205),
        horizontal_line(204, 206),
        horizontal_line(203, 207),
        horizontal_line(203, 209),
        horizontal_line(202, 210),
        horizontal_line(201, 211),
        horizontal_line(201, 213),
        horizontal_line(200, 214),
        horizontal_line(200, 215),
        horizontal_line(199, 217),
        horizontal_line(198, 218),
        horizontal_line(198, 219),
        horizontal_line(197, 221),
    };

    constexpr const shape frame_130_shape_group_8_shapes[] = {
        shape(frame_130_shape_group_8_shape_0_horizontal_lines, 46, 1),
        shape(frame_130_shape_group_8_shape_1_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_130_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(164, 174),
        horizontal_line(162, 175),
        horizontal_line(161, 176),
        horizontal_line(160, 176),
    };

    constexpr const horizontal_line frame_130_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(157, 177),
    };

    constexpr const shape frame_130_shape_group_9_shapes[] = {
        shape(frame_130_shape_group_9_shape_0_horizontal_lines, 48, 1),
        shape(frame_130_shape_group_9_shape_1_horizontal_lines, 53, 1),
    };

    constexpr const shape_group frame_130_shape_groups[] = {
        shape_group(frame_130_shape_group_0_shapes),
        shape_group(frame_130_shape_group_1_shapes),
        shape_group(frame_130_shape_group_2_shapes),
        shape_group(frame_130_shape_group_3_shapes),
        shape_group(frame_130_shape_group_4_shapes),
        shape_group(frame_130_shape_group_5_shapes),
        shape_group(frame_130_shape_group_6_shapes),
        shape_group(frame_130_shape_group_7_shapes),
        shape_group(frame_130_shape_group_8_shapes),
        shape_group(frame_130_shape_group_9_shapes),
    };

    constexpr const frame frame_130_impl(frame_130_colors, frame_130_shape_groups);
} 

const frame& frame_130()
{
    return frame_130_impl;
}

namespace
{
    constexpr const bn::color frame_131_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_131_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(1, 56),
        horizontal_line(5, 56),
        horizontal_line(9, 56),
        horizontal_line(14, 55),
        horizontal_line(18, 55),
        horizontal_line(22, 54),
        horizontal_line(27, 54),
        horizontal_line(31, 54),
        horizontal_line(35, 53),
        horizontal_line(40, 53),
        horizontal_line(44, 52),
        horizontal_line(48, 52),
        horizontal_line(120, 121),
        horizontal_line(52, 55),
        horizontal_line(52, 59),
        horizontal_line(52, 63),
        horizontal_line(52, 67),
        horizontal_line(52, 71),
        horizontal_line(51, 75),
        horizontal_line(51, 79),
        horizontal_line(51, 82),
        horizontal_line(51, 86),
        horizontal_line(51, 90),
        horizontal_line(50, 94),
        horizontal_line(50, 98),
        horizontal_line(50, 102),
        horizontal_line(50, 106),
        horizontal_line(50, 109),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(0, 0),
        horizontal_line(0, 23),
        horizontal_line(0, 62),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 46),
        horizontal_line(0, 37),
        horizontal_line(0, 27),
        horizontal_line(0, 18),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_131_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
        horizontal_line(0, 54),
        horizontal_line(0, 50),
        horizontal_line(0, 46),
        horizontal_line(0, 42),
        horizontal_line(0, 38),
        horizontal_line(0, 35),
        horizontal_line(0, 31),
        horizontal_line(0, 27),
        horizontal_line(0, 23),
        horizontal_line(0, 19),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_131_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(75, 120),
        horizontal_line(76, 120),
    };

    constexpr const shape frame_131_shape_group_0_shapes[] = {
        shape(frame_131_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_131_shape_group_0_shape_1_horizontal_lines, 105, 3),
        shape(frame_131_shape_group_0_shape_2_horizontal_lines, 158, 7),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(66, 74),
        horizontal_line(62, 75),
        horizontal_line(68, 77),
        horizontal_line(70, 78),
        horizontal_line(71, 79),
        horizontal_line(73, 81),
        horizontal_line(74, 82),
        horizontal_line(76, 83),
        horizontal_line(77, 85),
        horizontal_line(79, 86),
        horizontal_line(80, 88),
        horizontal_line(82, 89),
        horizontal_line(83, 90),
        horizontal_line(85, 92),
        horizontal_line(86, 93),
        horizontal_line(88, 94),
        horizontal_line(90, 96),
        horizontal_line(91, 97),
        horizontal_line(93, 99),
        horizontal_line(94, 100),
        horizontal_line(96, 101),
        horizontal_line(97, 103),
        horizontal_line(99, 104),
        horizontal_line(100, 105),
        horizontal_line(102, 107),
        horizontal_line(103, 108),
        horizontal_line(105, 110),
        horizontal_line(106, 111),
        horizontal_line(108, 112),
        horizontal_line(110, 113),
        horizontal_line(111, 114),
        horizontal_line(113, 115),
        horizontal_line(114, 117),
        horizontal_line(116, 118),
        horizontal_line(117, 119),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(159, 172),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(122, 123),
        horizontal_line(123, 124),
        horizontal_line(125, 125),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(155, 167),
        horizontal_line(154, 166),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(154, 164),
        horizontal_line(154, 163),
        horizontal_line(154, 162),
        horizontal_line(154, 161),
        horizontal_line(154, 160),
        horizontal_line(154, 159),
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(111, 113),
        horizontal_line(111, 117),
        horizontal_line(111, 121),
        horizontal_line(111, 125),
        horizontal_line(111, 129),
        horizontal_line(110, 133),
        horizontal_line(110, 133),
        horizontal_line(48, 110),
        horizontal_line(48, 110),
        horizontal_line(62, 124),
        horizontal_line(57, 119),
        horizontal_line(67, 129),
        horizontal_line(77, 134),
        horizontal_line(87, 134),
        horizontal_line(97, 135),
        horizontal_line(107, 135),
        horizontal_line(117, 135),
        horizontal_line(127, 135),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(50, 112),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(137, 139),
        horizontal_line(137, 141),
        horizontal_line(137, 143),
        horizontal_line(138, 144),
        horizontal_line(138, 146),
        horizontal_line(138, 148),
        horizontal_line(138, 150),
        horizontal_line(138, 152),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(141, 149),
        horizontal_line(142, 149),
        horizontal_line(144, 149),
        horizontal_line(146, 149),
        horizontal_line(148, 149),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(57, 87),
        horizontal_line(57, 76),
        horizontal_line(57, 66),
        horizontal_line(57, 57),
        horizontal_line(47, 57),
        horizontal_line(38, 57),
        horizontal_line(28, 58),
        horizontal_line(19, 58),
        horizontal_line(9, 59),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(136, 149),
        horizontal_line(134, 150),
        horizontal_line(132, 150),
        horizontal_line(130, 140),
        horizontal_line(128, 140),
        horizontal_line(126, 140),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 70),
        horizontal_line(62, 66),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(74, 131),
        horizontal_line(74, 130),
        horizontal_line(74, 129),
        horizontal_line(74, 129),
        horizontal_line(74, 128),
        horizontal_line(74, 127),
        horizontal_line(74, 127),
        horizontal_line(75, 126),
        horizontal_line(75, 125),
        horizontal_line(75, 125),
        horizontal_line(75, 124),
        horizontal_line(75, 123),
        horizontal_line(75, 123),
        horizontal_line(75, 122),
        horizontal_line(75, 121),
        horizontal_line(75, 121),
    };

    constexpr const horizontal_line frame_131_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_131_shape_group_1_shapes[] = {
        shape(frame_131_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_131_shape_group_1_shape_1_horizontal_lines, 37, 3),
        shape(frame_131_shape_group_1_shape_2_horizontal_lines, 38, 2),
        shape(frame_131_shape_group_1_shape_3_horizontal_lines, 42, 3),
        shape(frame_131_shape_group_1_shape_4_horizontal_lines, 53, 2),
        shape(frame_131_shape_group_1_shape_5_horizontal_lines, 71, 3),
        shape(frame_131_shape_group_1_shape_6_horizontal_lines, 72, 2),
        shape(frame_131_shape_group_1_shape_7_horizontal_lines, 96, 3),
        shape(frame_131_shape_group_1_shape_8_horizontal_lines, 105, 7),
        shape(frame_131_shape_group_1_shape_9_horizontal_lines, 111, 3),
        shape(frame_131_shape_group_1_shape_10_horizontal_lines, 142, 7),
        shape(frame_131_shape_group_1_shape_11_horizontal_lines, 158, 1),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(76, 138),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(91, 153),
        horizontal_line(93, 155),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(180, 181),
        horizontal_line(179, 180),
        horizontal_line(178, 180),
        horizontal_line(177, 180),
        horizontal_line(176, 180),
        horizontal_line(175, 179),
        horizontal_line(174, 179),
        horizontal_line(173, 179),
        horizontal_line(172, 179),
        horizontal_line(171, 178),
        horizontal_line(170, 178),
        horizontal_line(169, 178),
        horizontal_line(168, 178),
        horizontal_line(167, 177),
        horizontal_line(166, 177),
        horizontal_line(165, 177),
        horizontal_line(164, 177),
        horizontal_line(163, 176),
        horizontal_line(162, 175),
        horizontal_line(161, 174),
        horizontal_line(160, 173),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(122, 158),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(158, 171),
        horizontal_line(157, 170),
        horizontal_line(156, 169),
        horizontal_line(155, 168),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(128, 154),
        horizontal_line(130, 152),
        horizontal_line(130, 150),
        horizontal_line(130, 149),
        horizontal_line(130, 147),
        horizontal_line(131, 146),
        horizontal_line(131, 144),
        horizontal_line(131, 143),
        horizontal_line(131, 141),
        horizontal_line(132, 139),
        horizontal_line(132, 138),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(154, 157),
        horizontal_line(154, 156),
        horizontal_line(154, 155),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(196, 198),
        horizontal_line(197, 197),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(110, 133),
        horizontal_line(110, 133),
        horizontal_line(124, 133),
        horizontal_line(119, 134),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(48, 76),
        horizontal_line(49, 86),
        horizontal_line(49, 96),
        horizontal_line(49, 106),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(112, 136),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(56, 107),
        horizontal_line(56, 97),
        horizontal_line(141, 149),
        horizontal_line(141, 147),
        horizontal_line(141, 145),
        horizontal_line(141, 143),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(142, 147),
        horizontal_line(142, 148),
        horizontal_line(140, 140),
        horizontal_line(138, 140),
        horizontal_line(180, 217),
        horizontal_line(180, 217),
        horizontal_line(180, 218),
        horizontal_line(144, 151),
        horizontal_line(181, 219),
        horizontal_line(182, 219),
        horizontal_line(124, 140),
        horizontal_line(123, 140),
        horizontal_line(121, 140),
        horizontal_line(119, 140),
        horizontal_line(117, 141),
        horizontal_line(115, 141),
        horizontal_line(113, 141),
        horizontal_line(111, 141),
        horizontal_line(109, 142),
        horizontal_line(107, 141),
        horizontal_line(106, 141),
        horizontal_line(104, 144),
        horizontal_line(102, 148),
        horizontal_line(100, 152),
        horizontal_line(98, 156),
        horizontal_line(96, 158),
        horizontal_line(94, 141),
        horizontal_line(92, 140),
        horizontal_line(90, 139),
        horizontal_line(89, 139),
        horizontal_line(87, 138),
        horizontal_line(85, 137),
        horizontal_line(83, 137),
        horizontal_line(81, 136),
        horizontal_line(79, 135),
        horizontal_line(77, 135),
        horizontal_line(75, 134),
        horizontal_line(75, 133),
        horizontal_line(74, 133),
        horizontal_line(74, 132),
        horizontal_line(74, 131),
    };

    constexpr const horizontal_line frame_131_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(59, 73),
        horizontal_line(55, 73),
        horizontal_line(51, 73),
        horizontal_line(47, 73),
        horizontal_line(43, 73),
        horizontal_line(39, 73),
        horizontal_line(36, 73),
        horizontal_line(32, 74),
        horizontal_line(28, 74),
        horizontal_line(24, 74),
        horizontal_line(20, 74),
        horizontal_line(16, 74),
        horizontal_line(12, 74),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
    };

    constexpr const shape frame_131_shape_group_2_shapes[] = {
        shape(frame_131_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_131_shape_group_2_shape_1_horizontal_lines, 1, 2),
        shape(frame_131_shape_group_2_shape_2_horizontal_lines, 2, 8),
        shape(frame_131_shape_group_2_shape_3_horizontal_lines, 3, 2),
        shape(frame_131_shape_group_2_shape_4_horizontal_lines, 13, 8),
        shape(frame_131_shape_group_2_shape_5_horizontal_lines, 15, 3),
        shape(frame_131_shape_group_2_shape_6_horizontal_lines, 37, 8),
        shape(frame_131_shape_group_2_shape_7_horizontal_lines, 38, 3),
        shape(frame_131_shape_group_2_shape_8_horizontal_lines, 42, 8),
        shape(frame_131_shape_group_2_shape_9_horizontal_lines, 53, 3),
        shape(frame_131_shape_group_2_shape_10_horizontal_lines, 57, 7),
        shape(frame_131_shape_group_2_shape_11_horizontal_lines, 60, 2),
        shape(frame_131_shape_group_2_shape_12_horizontal_lines, 65, 3),
        shape(frame_131_shape_group_2_shape_13_horizontal_lines, 101, 7),
        shape(frame_131_shape_group_2_shape_14_horizontal_lines, 142, 1),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(74, 136),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(138, 184),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(153, 181),
        horizontal_line(155, 181),
        horizontal_line(94, 156),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 169),
        horizontal_line(111, 168),
        horizontal_line(112, 167),
        horizontal_line(113, 166),
        horizontal_line(114, 165),
        horizontal_line(115, 164),
        horizontal_line(116, 163),
        horizontal_line(118, 162),
        horizontal_line(119, 161),
        horizontal_line(120, 160),
        horizontal_line(121, 159),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(181, 211),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 157),
        horizontal_line(125, 156),
        horizontal_line(126, 155),
        horizontal_line(127, 154),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(185, 208),
        horizontal_line(186, 207),
        horizontal_line(186, 206),
        horizontal_line(187, 206),
        horizontal_line(188, 205),
        horizontal_line(189, 204),
        horizontal_line(189, 204),
        horizontal_line(190, 203),
        horizontal_line(191, 202),
        horizontal_line(192, 202),
        horizontal_line(192, 201),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(132, 136),
        horizontal_line(132, 135),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(195, 198),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(150, 155),
        horizontal_line(149, 156),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(48, 56),
        horizontal_line(48, 66),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(144, 158),
        horizontal_line(143, 159),
        horizontal_line(141, 160),
        horizontal_line(140, 160),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(111, 116),
        horizontal_line(112, 126),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(137, 163),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(112, 136),
        horizontal_line(112, 136),
        horizontal_line(113, 136),
        horizontal_line(113, 136),
        horizontal_line(113, 137),
        horizontal_line(114, 137),
        horizontal_line(114, 137),
        horizontal_line(114, 137),
        horizontal_line(114, 137),
        horizontal_line(115, 138),
        horizontal_line(115, 138),
        horizontal_line(115, 138),
        horizontal_line(115, 138),
        horizontal_line(116, 138),
        horizontal_line(116, 139),
        horizontal_line(116, 139),
        horizontal_line(117, 139),
        horizontal_line(117, 139),
        horizontal_line(117, 139),
        horizontal_line(117, 139),
        horizontal_line(141, 141),
        horizontal_line(141, 143),
        horizontal_line(141, 145),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(176, 213),
        horizontal_line(176, 213),
        horizontal_line(146, 146),
        horizontal_line(144, 146),
        horizontal_line(143, 147),
        horizontal_line(178, 215),
        horizontal_line(178, 216),
        horizontal_line(142, 148),
        horizontal_line(142, 149),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(60, 122),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(181, 218),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(186, 220),
        horizontal_line(190, 220),
        horizontal_line(194, 220),
        horizontal_line(199, 221),
        horizontal_line(203, 221),
        horizontal_line(207, 222),
        horizontal_line(212, 222),
        horizontal_line(216, 223),
        horizontal_line(220, 223),
        horizontal_line(145, 146),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(68, 103),
        horizontal_line(68, 101),
        horizontal_line(68, 99),
        horizontal_line(69, 97),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(158, 159),
        horizontal_line(143, 163),
        horizontal_line(150, 167),
        horizontal_line(157, 171),
        horizontal_line(164, 174),
        horizontal_line(171, 179),
        horizontal_line(179, 185),
        horizontal_line(186, 190),
        horizontal_line(193, 196),
        horizontal_line(200, 201),
        horizontal_line(207, 207),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_22_horizontal_lines[] = {
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_23_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_24_horizontal_lines[] = {
        horizontal_line(71, 73),
        horizontal_line(67, 73),
        horizontal_line(63, 73),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_25_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_26_horizontal_lines[] = {
        horizontal_line(74, 74),
        horizontal_line(70, 74),
        horizontal_line(66, 74),
        horizontal_line(63, 74),
    };

    constexpr const horizontal_line frame_131_shape_group_3_shape_27_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_131_shape_group_3_shapes[] = {
        shape(frame_131_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_131_shape_group_3_shape_1_horizontal_lines, 1, 3),
        shape(frame_131_shape_group_3_shape_2_horizontal_lines, 2, 8),
        shape(frame_131_shape_group_3_shape_3_horizontal_lines, 37, 7),
        shape(frame_131_shape_group_3_shape_4_horizontal_lines, 38, 8),
        shape(frame_131_shape_group_3_shape_5_horizontal_lines, 42, 7),
        shape(frame_131_shape_group_3_shape_6_horizontal_lines, 53, 8),
        shape(frame_131_shape_group_3_shape_7_horizontal_lines, 56, 7),
        shape(frame_131_shape_group_3_shape_8_horizontal_lines, 57, 4),
        shape(frame_131_shape_group_3_shape_9_horizontal_lines, 60, 7),
        shape(frame_131_shape_group_3_shape_10_horizontal_lines, 63, 3),
        shape(frame_131_shape_group_3_shape_11_horizontal_lines, 65, 7),
        shape(frame_131_shape_group_3_shape_12_horizontal_lines, 69, 3),
        shape(frame_131_shape_group_3_shape_13_horizontal_lines, 71, 7),
        shape(frame_131_shape_group_3_shape_14_horizontal_lines, 72, 3),
        shape(frame_131_shape_group_3_shape_15_horizontal_lines, 96, 7),
        shape(frame_131_shape_group_3_shape_16_horizontal_lines, 105, 1),
        shape(frame_131_shape_group_3_shape_17_horizontal_lines, 108, 7),
        shape(frame_131_shape_group_3_shape_18_horizontal_lines, 109, 1),
        shape(frame_131_shape_group_3_shape_19_horizontal_lines, 111, 7),
        shape(frame_131_shape_group_3_shape_20_horizontal_lines, 122, 1),
        shape(frame_131_shape_group_3_shape_21_horizontal_lines, 126, 7),
        shape(frame_131_shape_group_3_shape_22_horizontal_lines, 137, 1),
        shape(frame_131_shape_group_3_shape_23_horizontal_lines, 138, 9),
        shape(frame_131_shape_group_3_shape_24_horizontal_lines, 139, 1),
        shape(frame_131_shape_group_3_shape_25_horizontal_lines, 142, 9),
        shape(frame_131_shape_group_3_shape_26_horizontal_lines, 154, 1),
        shape(frame_131_shape_group_3_shape_27_horizontal_lines, 158, 9),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(136, 185),
        horizontal_line(75, 137),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(185, 234),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(140, 184),
        horizontal_line(141, 184),
        horizontal_line(142, 183),
        horizontal_line(144, 183),
        horizontal_line(145, 183),
        horizontal_line(146, 183),
        horizontal_line(148, 182),
        horizontal_line(149, 182),
        horizontal_line(151, 182),
        horizontal_line(152, 182),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(182, 227),
        horizontal_line(182, 226),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(156, 180),
        horizontal_line(157, 179),
        horizontal_line(159, 178),
        horizontal_line(160, 177),
        horizontal_line(162, 176),
        horizontal_line(163, 175),
        horizontal_line(164, 174),
        horizontal_line(166, 173),
        horizontal_line(167, 172),
        horizontal_line(168, 171),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(179, 218),
        horizontal_line(179, 218),
        horizontal_line(179, 217),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 215),
        horizontal_line(178, 214),
        horizontal_line(178, 214),
        horizontal_line(179, 213),
        horizontal_line(180, 212),
        horizontal_line(180, 212),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(182, 210),
        horizontal_line(183, 210),
        horizontal_line(183, 209),
        horizontal_line(184, 208),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(193, 200),
        horizontal_line(194, 200),
        horizontal_line(195, 199),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(134, 196),
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(196, 197),
        horizontal_line(194, 197),
        horizontal_line(193, 198),
        horizontal_line(147, 156),
        horizontal_line(146, 157),
        horizontal_line(188, 199),
        horizontal_line(186, 200),
        horizontal_line(185, 200),
        horizontal_line(183, 200),
        horizontal_line(138, 161),
        horizontal_line(137, 162),
        horizontal_line(178, 202),
        horizontal_line(138, 164),
        horizontal_line(140, 164),
        horizontal_line(142, 165),
        horizontal_line(144, 166),
        horizontal_line(145, 167),
        horizontal_line(147, 204),
        horizontal_line(149, 164),
        horizontal_line(151, 160),
        horizontal_line(153, 157),
        horizontal_line(152, 153),
        horizontal_line(170, 207),
        horizontal_line(171, 207),
        horizontal_line(171, 208),
        horizontal_line(172, 208),
        horizontal_line(172, 208),
        horizontal_line(172, 209),
        horizontal_line(173, 209),
        horizontal_line(173, 210),
        horizontal_line(174, 210),
        horizontal_line(174, 211),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(118, 128),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(175, 212),
        horizontal_line(176, 212),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(88, 140),
        horizontal_line(77, 139),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(177, 214),
        horizontal_line(177, 214),
        horizontal_line(178, 215),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(58, 120),
        horizontal_line(59, 121),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(179, 216),
        horizontal_line(179, 216),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(122, 135),
        horizontal_line(123, 133),
        horizontal_line(123, 131),
        horizontal_line(61, 123),
        horizontal_line(124, 127),
        horizontal_line(124, 125),
        horizontal_line(63, 123),
        horizontal_line(63, 122),
        horizontal_line(64, 120),
        horizontal_line(64, 118),
        horizontal_line(64, 116),
        horizontal_line(65, 114),
        horizontal_line(65, 112),
        horizontal_line(66, 110),
        horizontal_line(66, 108),
        horizontal_line(67, 106),
        horizontal_line(67, 105),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(156, 176),
        horizontal_line(158, 176),
        horizontal_line(161, 176),
        horizontal_line(163, 175),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(69, 95),
        horizontal_line(70, 93),
        horizontal_line(70, 91),
        horizontal_line(71, 89),
        horizontal_line(71, 88),
        horizontal_line(71, 86),
        horizontal_line(72, 84),
        horizontal_line(72, 82),
        horizontal_line(73, 80),
        horizontal_line(73, 78),
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_23_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_131_shape_group_4_shape_24_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_131_shape_group_4_shapes[] = {
        shape(frame_131_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_131_shape_group_4_shape_1_horizontal_lines, 2, 7),
        shape(frame_131_shape_group_4_shape_2_horizontal_lines, 3, 8),
        shape(frame_131_shape_group_4_shape_3_horizontal_lines, 13, 7),
        shape(frame_131_shape_group_4_shape_4_horizontal_lines, 15, 8),
        shape(frame_131_shape_group_4_shape_5_horizontal_lines, 26, 7),
        shape(frame_131_shape_group_4_shape_6_horizontal_lines, 37, 4),
        shape(frame_131_shape_group_4_shape_7_horizontal_lines, 38, 7),
        shape(frame_131_shape_group_4_shape_8_horizontal_lines, 42, 4),
        shape(frame_131_shape_group_4_shape_9_horizontal_lines, 53, 7),
        shape(frame_131_shape_group_4_shape_10_horizontal_lines, 56, 4),
        shape(frame_131_shape_group_4_shape_11_horizontal_lines, 58, 1),
        shape(frame_131_shape_group_4_shape_12_horizontal_lines, 60, 7),
        shape(frame_131_shape_group_4_shape_13_horizontal_lines, 92, 3),
        shape(frame_131_shape_group_4_shape_14_horizontal_lines, 94, 7),
        shape(frame_131_shape_group_4_shape_15_horizontal_lines, 96, 1),
        shape(frame_131_shape_group_4_shape_16_horizontal_lines, 98, 7),
        shape(frame_131_shape_group_4_shape_17_horizontal_lines, 101, 1),
        shape(frame_131_shape_group_4_shape_18_horizontal_lines, 103, 7),
        shape(frame_131_shape_group_4_shape_19_horizontal_lines, 105, 1),
        shape(frame_131_shape_group_4_shape_20_horizontal_lines, 122, 9),
        shape(frame_131_shape_group_4_shape_21_horizontal_lines, 126, 1),
        shape(frame_131_shape_group_4_shape_22_horizontal_lines, 137, 9),
        shape(frame_131_shape_group_4_shape_23_horizontal_lines, 139, 9),
        shape(frame_131_shape_group_4_shape_24_horizontal_lines, 154, 9),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(186, 236),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(137, 184),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(185, 234),
        horizontal_line(185, 233),
        horizontal_line(184, 232),
        horizontal_line(184, 232),
        horizontal_line(184, 231),
        horizontal_line(184, 230),
        horizontal_line(183, 230),
        horizontal_line(183, 229),
        horizontal_line(183, 228),
        horizontal_line(183, 228),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(182, 226),
        horizontal_line(182, 225),
        horizontal_line(181, 224),
        horizontal_line(181, 224),
        horizontal_line(181, 223),
        horizontal_line(181, 222),
        horizontal_line(180, 222),
        horizontal_line(180, 221),
        horizontal_line(180, 220),
        horizontal_line(180, 220),
        horizontal_line(179, 219),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 8),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 39),
        horizontal_line(0, 43),
        horizontal_line(0, 47),
        horizontal_line(62, 119),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(72, 127),
        horizontal_line(76, 129),
        horizontal_line(80, 129),
        horizontal_line(83, 129),
        horizontal_line(87, 129),
        horizontal_line(91, 130),
        horizontal_line(95, 130),
        horizontal_line(99, 130),
        horizontal_line(103, 130),
        horizontal_line(107, 131),
        horizontal_line(110, 131),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(133, 195),
        horizontal_line(196, 196),
        horizontal_line(154, 197),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(1, 47),
        horizontal_line(24, 47),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(134, 148),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(191, 198),
        horizontal_line(189, 199),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(135, 143),
        horizontal_line(135, 142),
        horizontal_line(136, 140),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(181, 201),
        horizontal_line(180, 201),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(164, 177),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(177, 202),
        horizontal_line(175, 203),
        horizontal_line(173, 203),
        horizontal_line(172, 204),
        horizontal_line(170, 204),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(169, 205),
        horizontal_line(169, 205),
        horizontal_line(170, 206),
        horizontal_line(170, 206),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(174, 211),
        horizontal_line(175, 212),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(108, 140),
        horizontal_line(98, 140),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(67, 129),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(120, 141),
        horizontal_line(121, 141),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(123, 129),
    };

    constexpr const horizontal_line frame_131_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(153, 181),
        horizontal_line(153, 180),
        horizontal_line(153, 180),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
        horizontal_line(154, 178),
        horizontal_line(154, 178),
        horizontal_line(154, 178),
        horizontal_line(154, 177),
        horizontal_line(154, 177),
        horizontal_line(154, 177),
        horizontal_line(223, 227),
        horizontal_line(223, 229),
        horizontal_line(222, 230),
        horizontal_line(221, 232),
        horizontal_line(166, 175),
        horizontal_line(168, 175),
        horizontal_line(171, 174),
        horizontal_line(173, 174),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
    };

    constexpr const shape frame_131_shape_group_5_shapes[] = {
        shape(frame_131_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_131_shape_group_5_shape_1_horizontal_lines, 1, 8),
        shape(frame_131_shape_group_5_shape_2_horizontal_lines, 3, 7),
        shape(frame_131_shape_group_5_shape_3_horizontal_lines, 13, 4),
        shape(frame_131_shape_group_5_shape_4_horizontal_lines, 15, 7),
        shape(frame_131_shape_group_5_shape_5_horizontal_lines, 26, 4),
        shape(frame_131_shape_group_5_shape_6_horizontal_lines, 57, 1),
        shape(frame_131_shape_group_5_shape_7_horizontal_lines, 60, 4),
        shape(frame_131_shape_group_5_shape_8_horizontal_lines, 62, 1),
        shape(frame_131_shape_group_5_shape_9_horizontal_lines, 63, 7),
        shape(frame_131_shape_group_5_shape_10_horizontal_lines, 65, 1),
        shape(frame_131_shape_group_5_shape_11_horizontal_lines, 69, 7),
        shape(frame_131_shape_group_5_shape_12_horizontal_lines, 71, 1),
        shape(frame_131_shape_group_5_shape_13_horizontal_lines, 72, 7),
        shape(frame_131_shape_group_5_shape_14_horizontal_lines, 78, 7),
        shape(frame_131_shape_group_5_shape_15_horizontal_lines, 91, 1),
        shape(frame_131_shape_group_5_shape_16_horizontal_lines, 92, 7),
        shape(frame_131_shape_group_5_shape_17_horizontal_lines, 94, 1),
        shape(frame_131_shape_group_5_shape_18_horizontal_lines, 97, 1),
        shape(frame_131_shape_group_5_shape_19_horizontal_lines, 108, 1),
        shape(frame_131_shape_group_5_shape_20_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(185, 235),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(66, 67),
        horizontal_line(66, 69),
        horizontal_line(65, 70),
        horizontal_line(65, 72),
        horizontal_line(65, 73),
        horizontal_line(64, 75),
        horizontal_line(64, 76),
        horizontal_line(63, 78),
        horizontal_line(63, 79),
        horizontal_line(63, 81),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(61, 85),
        horizontal_line(61, 87),
        horizontal_line(61, 89),
        horizontal_line(60, 90),
        horizontal_line(60, 92),
        horizontal_line(59, 93),
        horizontal_line(59, 95),
        horizontal_line(59, 96),
        horizontal_line(58, 98),
        horizontal_line(58, 99),
        horizontal_line(0, 0),
        horizontal_line(57, 102),
        horizontal_line(57, 104),
        horizontal_line(56, 105),
        horizontal_line(56, 107),
        horizontal_line(55, 109),
        horizontal_line(55, 110),
        horizontal_line(55, 112),
        horizontal_line(54, 113),
        horizontal_line(54, 115),
        horizontal_line(53, 115),
        horizontal_line(53, 115),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(173, 180),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(60, 122),
        horizontal_line(64, 124),
        horizontal_line(68, 125),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(168, 184),
        horizontal_line(153, 153),
        horizontal_line(151, 153),
        horizontal_line(150, 153),
        horizontal_line(148, 153),
        horizontal_line(147, 153),
        horizontal_line(145, 153),
        horizontal_line(144, 153),
        horizontal_line(142, 153),
        horizontal_line(140, 153),
        horizontal_line(139, 153),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(114, 131),
        horizontal_line(118, 131),
        horizontal_line(122, 132),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(133, 153),
        horizontal_line(195, 195),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(134, 151),
        horizontal_line(134, 149),
        horizontal_line(157, 192),
        horizontal_line(135, 146),
        horizontal_line(135, 145),
        horizontal_line(159, 187),
        horizontal_line(160, 185),
        horizontal_line(161, 184),
        horizontal_line(161, 182),
        horizontal_line(136, 137),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(165, 176),
        horizontal_line(165, 174),
        horizontal_line(166, 172),
        horizontal_line(167, 171),
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(129, 140),
        horizontal_line(119, 140),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(129, 140),
        horizontal_line(120, 140),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(225, 225),
        horizontal_line(224, 226),
    };

    constexpr const horizontal_line frame_131_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(221, 233),
        horizontal_line(220, 234),
        horizontal_line(219, 236),
        horizontal_line(219, 237),
    };

    constexpr const shape frame_131_shape_group_6_shapes[] = {
        shape(frame_131_shape_group_6_shape_0_horizontal_lines, 1, 7),
        shape(frame_131_shape_group_6_shape_1_horizontal_lines, 3, 4),
        shape(frame_131_shape_group_6_shape_2_horizontal_lines, 15, 4),
        shape(frame_131_shape_group_6_shape_3_horizontal_lines, 37, 1),
        shape(frame_131_shape_group_6_shape_4_horizontal_lines, 38, 4),
        shape(frame_131_shape_group_6_shape_5_horizontal_lines, 42, 1),
        shape(frame_131_shape_group_6_shape_6_horizontal_lines, 53, 4),
        shape(frame_131_shape_group_6_shape_7_horizontal_lines, 56, 1),
        shape(frame_131_shape_group_6_shape_8_horizontal_lines, 60, 1),
        shape(frame_131_shape_group_6_shape_9_horizontal_lines, 72, 1),
        shape(frame_131_shape_group_6_shape_10_horizontal_lines, 92, 1),
        shape(frame_131_shape_group_6_shape_11_horizontal_lines, 98, 1),
        shape(frame_131_shape_group_6_shape_12_horizontal_lines, 103, 1),
        shape(frame_131_shape_group_6_shape_13_horizontal_lines, 120, 9),
        shape(frame_131_shape_group_6_shape_14_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(57, 101),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(118, 121),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(170, 182),
        horizontal_line(169, 183),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(167, 185),
        horizontal_line(166, 185),
        horizontal_line(166, 186),
        horizontal_line(165, 187),
        horizontal_line(164, 188),
        horizontal_line(163, 188),
        horizontal_line(162, 189),
        horizontal_line(161, 190),
        horizontal_line(160, 191),
        horizontal_line(159, 191),
        horizontal_line(137, 153),
        horizontal_line(136, 153),
        horizontal_line(134, 153),
        horizontal_line(155, 194),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(155, 195),
        horizontal_line(156, 193),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(157, 190),
        horizontal_line(158, 188),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(162, 180),
        horizontal_line(163, 179),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(120, 140),
    };

    constexpr const horizontal_line frame_131_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(121, 139),
        horizontal_line(122, 137),
    };

    constexpr const shape frame_131_shape_group_7_shapes[] = {
        shape(frame_131_shape_group_7_shape_0_horizontal_lines, 25, 4),
        shape(frame_131_shape_group_7_shape_1_horizontal_lines, 33, 1),
        shape(frame_131_shape_group_7_shape_2_horizontal_lines, 35, 4),
        shape(frame_131_shape_group_7_shape_3_horizontal_lines, 38, 4),
        shape(frame_131_shape_group_7_shape_4_horizontal_lines, 40, 1),
        shape(frame_131_shape_group_7_shape_5_horizontal_lines, 43, 1),
        shape(frame_131_shape_group_7_shape_6_horizontal_lines, 60, 1),
        shape(frame_131_shape_group_7_shape_7_horizontal_lines, 63, 1),
        shape(frame_131_shape_group_7_shape_8_horizontal_lines, 69, 1),
        shape(frame_131_shape_group_7_shape_9_horizontal_lines, 100, 1),
        shape(frame_131_shape_group_7_shape_10_horizontal_lines, 103, 1),
    };

    constexpr const horizontal_line frame_131_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(175, 179),
        horizontal_line(174, 179),
    };

    constexpr const horizontal_line frame_131_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(172, 181),
        horizontal_line(171, 182),
    };

    constexpr const horizontal_line frame_131_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(158, 192),
        horizontal_line(157, 193),
        horizontal_line(156, 194),
    };

    constexpr const shape frame_131_shape_group_8_shapes[] = {
        shape(frame_131_shape_group_8_shape_0_horizontal_lines, 35, 1),
        shape(frame_131_shape_group_8_shape_1_horizontal_lines, 38, 1),
        shape(frame_131_shape_group_8_shape_2_horizontal_lines, 53, 1),
    };

    constexpr const shape_group frame_131_shape_groups[] = {
        shape_group(frame_131_shape_group_0_shapes),
        shape_group(frame_131_shape_group_1_shapes),
        shape_group(frame_131_shape_group_2_shapes),
        shape_group(frame_131_shape_group_3_shapes),
        shape_group(frame_131_shape_group_4_shapes),
        shape_group(frame_131_shape_group_5_shapes),
        shape_group(frame_131_shape_group_6_shapes),
        shape_group(frame_131_shape_group_7_shapes),
        shape_group(frame_131_shape_group_8_shapes),
    };

    constexpr const frame frame_131_impl(frame_131_colors, frame_131_shape_groups);
} 

const frame& frame_131()
{
    return frame_131_impl;
}

namespace
{
    constexpr const bn::color frame_132_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_132_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(1, 25),
        horizontal_line(4, 25),
        horizontal_line(8, 24),
        horizontal_line(12, 24),
        horizontal_line(16, 23),
        horizontal_line(20, 23),
        horizontal_line(104, 106),
        horizontal_line(23, 26),
        horizontal_line(23, 30),
        horizontal_line(23, 33),
        horizontal_line(23, 37),
        horizontal_line(23, 41),
        horizontal_line(22, 44),
        horizontal_line(22, 48),
        horizontal_line(22, 51),
        horizontal_line(22, 55),
        horizontal_line(22, 59),
        horizontal_line(22, 62),
        horizontal_line(21, 66),
        horizontal_line(21, 69),
        horizontal_line(21, 73),
        horizontal_line(21, 77),
        horizontal_line(21, 80),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(0, 0),
        horizontal_line(0, 9),
        horizontal_line(0, 62),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(140, 154),
        horizontal_line(142, 154),
        horizontal_line(144, 153),
        horizontal_line(147, 153),
        horizontal_line(149, 153),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_132_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(154, 184),
        horizontal_line(152, 185),
        horizontal_line(153, 185),
        horizontal_line(153, 186),
        horizontal_line(154, 186),
        horizontal_line(154, 187),
        horizontal_line(155, 187),
        horizontal_line(156, 187),
        horizontal_line(156, 188),
        horizontal_line(157, 188),
        horizontal_line(157, 189),
        horizontal_line(158, 189),
        horizontal_line(159, 190),
        horizontal_line(159, 190),
        horizontal_line(160, 190),
    };

    constexpr const horizontal_line frame_132_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_132_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(141, 152),
        horizontal_line(141, 161),
        horizontal_line(141, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(141, 161),
        horizontal_line(139, 140),
        horizontal_line(139, 144),
        horizontal_line(142, 148),
        horizontal_line(145, 151),
        horizontal_line(149, 155),
        horizontal_line(152, 161),
        horizontal_line(156, 163),
        horizontal_line(159, 165),
        horizontal_line(163, 168),
        horizontal_line(138, 138),
        horizontal_line(136, 143),
        horizontal_line(135, 149),
        horizontal_line(134, 154),
        horizontal_line(133, 160),
        horizontal_line(132, 165),
        horizontal_line(130, 171),
        horizontal_line(129, 177),
        horizontal_line(128, 182),
        horizontal_line(127, 188),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
    };

    constexpr const shape frame_132_shape_group_0_shapes[] = {
        shape(frame_132_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_132_shape_group_0_shape_1_horizontal_lines, 95, 8),
        shape(frame_132_shape_group_0_shape_2_horizontal_lines, 110, 7),
        shape(frame_132_shape_group_0_shape_3_horizontal_lines, 111, 8),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(71, 79),
        horizontal_line(72, 80),
        horizontal_line(74, 81),
        horizontal_line(75, 83),
        horizontal_line(77, 84),
        horizontal_line(79, 85),
        horizontal_line(80, 87),
        horizontal_line(82, 88),
        horizontal_line(84, 90),
        horizontal_line(85, 91),
        horizontal_line(87, 92),
        horizontal_line(89, 94),
        horizontal_line(90, 95),
        horizontal_line(92, 96),
        horizontal_line(94, 98),
        horizontal_line(95, 99),
        horizontal_line(97, 101),
        horizontal_line(99, 102),
        horizontal_line(100, 103),
        horizontal_line(102, 105),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(105, 108),
        horizontal_line(107, 109),
        horizontal_line(109, 110),
        horizontal_line(110, 112),
        horizontal_line(112, 113),
        horizontal_line(114, 115),
        horizontal_line(115, 116),
        horizontal_line(117, 118),
        horizontal_line(119, 119),
        horizontal_line(120, 120),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(82, 84),
        horizontal_line(82, 87),
        horizontal_line(82, 91),
        horizontal_line(82, 95),
        horizontal_line(82, 98),
        horizontal_line(82, 102),
        horizontal_line(81, 105),
        horizontal_line(81, 109),
        horizontal_line(81, 113),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(62, 123),
        horizontal_line(25, 87),
        horizontal_line(32, 94),
        horizontal_line(38, 100),
        horizontal_line(45, 107),
        horizontal_line(51, 113),
        horizontal_line(58, 120),
        horizontal_line(64, 126),
        horizontal_line(71, 132),
        horizontal_line(77, 132),
        horizontal_line(84, 133),
        horizontal_line(90, 133),
        horizontal_line(97, 133),
        horizontal_line(103, 133),
        horizontal_line(110, 134),
        horizontal_line(116, 134),
        horizontal_line(123, 134),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(136, 138),
        horizontal_line(136, 140),
        horizontal_line(136, 142),
        horizontal_line(136, 144),
        horizontal_line(136, 146),
        horizontal_line(136, 147),
        horizontal_line(136, 149),
        horizontal_line(136, 151),
        horizontal_line(136, 153),
        horizontal_line(137, 155),
        horizontal_line(137, 157),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 154),
        horizontal_line(138, 154),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(155, 182),
        horizontal_line(155, 182),
        horizontal_line(154, 183),
        horizontal_line(154, 183),
        horizontal_line(154, 184),
        horizontal_line(154, 184),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(161, 191),
        horizontal_line(163, 192),
        horizontal_line(179, 192),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_132_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(193, 198),
        horizontal_line(193, 203),
        horizontal_line(192, 208),
        horizontal_line(192, 213),
        horizontal_line(192, 218),
        horizontal_line(191, 223),
        horizontal_line(191, 228),
        horizontal_line(144, 161),
        horizontal_line(147, 161),
        horizontal_line(151, 161),
        horizontal_line(154, 161),
        horizontal_line(157, 161),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(166, 170),
        horizontal_line(169, 173),
        horizontal_line(173, 175),
        horizontal_line(176, 178),
        horizontal_line(180, 180),
        horizontal_line(183, 183),
        horizontal_line(186, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(203, 238),
        horizontal_line(207, 237),
        horizontal_line(211, 236),
        horizontal_line(215, 236),
        horizontal_line(220, 235),
        horizontal_line(224, 234),
        horizontal_line(181, 233),
        horizontal_line(179, 233),
        horizontal_line(178, 233),
        horizontal_line(177, 233),
        horizontal_line(176, 234),
        horizontal_line(175, 234),
        horizontal_line(174, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
    };

    constexpr const shape frame_132_shape_group_1_shapes[] = {
        shape(frame_132_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_132_shape_group_1_shape_1_horizontal_lines, 20, 4),
        shape(frame_132_shape_group_1_shape_2_horizontal_lines, 21, 2),
        shape(frame_132_shape_group_1_shape_3_horizontal_lines, 32, 4),
        shape(frame_132_shape_group_1_shape_4_horizontal_lines, 33, 2),
        shape(frame_132_shape_group_1_shape_5_horizontal_lines, 34, 4),
        shape(frame_132_shape_group_1_shape_6_horizontal_lines, 37, 2),
        shape(frame_132_shape_group_1_shape_7_horizontal_lines, 66, 8),
        shape(frame_132_shape_group_1_shape_8_horizontal_lines, 67, 2),
        shape(frame_132_shape_group_1_shape_9_horizontal_lines, 89, 8),
        shape(frame_132_shape_group_1_shape_10_horizontal_lines, 107, 3),
        shape(frame_132_shape_group_1_shape_11_horizontal_lines, 110, 8),
        shape(frame_132_shape_group_1_shape_12_horizontal_lines, 114, 3),
        shape(frame_132_shape_group_1_shape_13_horizontal_lines, 115, 8),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(33, 70),
        horizontal_line(32, 71),
        horizontal_line(32, 73),
        horizontal_line(31, 74),
        horizontal_line(31, 76),
        horizontal_line(30, 78),
        horizontal_line(30, 79),
        horizontal_line(29, 81),
        horizontal_line(29, 83),
        horizontal_line(28, 84),
        horizontal_line(28, 86),
        horizontal_line(28, 88),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(62, 103),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(67, 123),
        horizontal_line(0, 20),
        horizontal_line(74, 126),
        horizontal_line(78, 128),
        horizontal_line(81, 128),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(81, 116),
        horizontal_line(81, 120),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(87, 127),
        horizontal_line(94, 131),
        horizontal_line(100, 131),
        horizontal_line(107, 131),
        horizontal_line(113, 131),
        horizontal_line(120, 132),
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(133, 137),
        horizontal_line(133, 136),
        horizontal_line(134, 135),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(174, 176),
        horizontal_line(171, 176),
        horizontal_line(168, 177),
        horizontal_line(165, 177),
        horizontal_line(162, 178),
        horizontal_line(160, 178),
        horizontal_line(157, 178),
        horizontal_line(157, 179),
        horizontal_line(156, 179),
        horizontal_line(156, 180),
        horizontal_line(156, 180),
        horizontal_line(156, 181),
        horizontal_line(155, 181),
        horizontal_line(155, 181),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(160, 191),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(191, 233),
        horizontal_line(190, 238),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_17_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_18_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_19_horizontal_lines[] = {
        horizontal_line(188, 193),
        horizontal_line(187, 199),
        horizontal_line(185, 205),
        horizontal_line(184, 210),
        horizontal_line(183, 216),
        horizontal_line(182, 221),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_20_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_132_shape_group_2_shape_21_horizontal_lines[] = {
        horizontal_line(234, 235),
        horizontal_line(233, 236),
        horizontal_line(232, 236),
        horizontal_line(231, 237),
        horizontal_line(230, 237),
        horizontal_line(229, 238),
    };

    constexpr const shape frame_132_shape_group_2_shapes[] = {
        shape(frame_132_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_132_shape_group_2_shape_1_horizontal_lines, 46, 2),
        shape(frame_132_shape_group_2_shape_2_horizontal_lines, 48, 4),
        shape(frame_132_shape_group_2_shape_3_horizontal_lines, 49, 2),
        shape(frame_132_shape_group_2_shape_4_horizontal_lines, 56, 7),
        shape(frame_132_shape_group_2_shape_5_horizontal_lines, 60, 8),
        shape(frame_132_shape_group_2_shape_6_horizontal_lines, 66, 3),
        shape(frame_132_shape_group_2_shape_7_horizontal_lines, 67, 8),
        shape(frame_132_shape_group_2_shape_8_horizontal_lines, 95, 3),
        shape(frame_132_shape_group_2_shape_9_horizontal_lines, 107, 1),
        shape(frame_132_shape_group_2_shape_10_horizontal_lines, 110, 8),
        shape(frame_132_shape_group_2_shape_11_horizontal_lines, 111, 3),
        shape(frame_132_shape_group_2_shape_12_horizontal_lines, 114, 1),
        shape(frame_132_shape_group_2_shape_13_horizontal_lines, 115, 3),
        shape(frame_132_shape_group_2_shape_14_horizontal_lines, 122, 8),
        shape(frame_132_shape_group_2_shape_15_horizontal_lines, 127, 3),
        shape(frame_132_shape_group_2_shape_16_horizontal_lines, 131, 8),
        shape(frame_132_shape_group_2_shape_17_horizontal_lines, 137, 3),
        shape(frame_132_shape_group_2_shape_18_horizontal_lines, 139, 1),
        shape(frame_132_shape_group_2_shape_19_horizontal_lines, 141, 8),
        shape(frame_132_shape_group_2_shape_20_horizontal_lines, 147, 1),
        shape(frame_132_shape_group_2_shape_21_horizontal_lines, 154, 8),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(89, 91),
        horizontal_line(26, 88),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(107, 169),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(27, 89),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(56, 118),
        horizontal_line(60, 119),
        horizontal_line(63, 121),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 162),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(70, 124),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(127, 160),
        horizontal_line(129, 159),
        horizontal_line(129, 159),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(85, 128),
        horizontal_line(88, 128),
        horizontal_line(92, 128),
        horizontal_line(96, 129),
        horizontal_line(99, 129),
        horizontal_line(103, 129),
        horizontal_line(106, 129),
        horizontal_line(110, 129),
        horizontal_line(114, 130),
        horizontal_line(1, 18),
        horizontal_line(10, 18),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(131, 145),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(132, 143),
        horizontal_line(132, 142),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(133, 139),
        horizontal_line(133, 138),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(82, 136),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(138, 153),
        horizontal_line(138, 151),
        horizontal_line(138, 149),
        horizontal_line(138, 147),
        horizontal_line(138, 145),
        horizontal_line(138, 142),
        horizontal_line(138, 139),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(138, 139),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 78),
        horizontal_line(17, 74),
        horizontal_line(17, 70),
        horizontal_line(17, 67),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(16, 45),
        horizontal_line(16, 41),
        horizontal_line(16, 38),
        horizontal_line(16, 34),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(8, 12),
        horizontal_line(1, 12),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_22_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_23_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_3_shape_24_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_132_shape_group_3_shapes[] = {
        shape(frame_132_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_132_shape_group_3_shape_1_horizontal_lines, 12, 4),
        shape(frame_132_shape_group_3_shape_2_horizontal_lines, 20, 7),
        shape(frame_132_shape_group_3_shape_3_horizontal_lines, 21, 4),
        shape(frame_132_shape_group_3_shape_4_horizontal_lines, 32, 7),
        shape(frame_132_shape_group_3_shape_5_horizontal_lines, 33, 4),
        shape(frame_132_shape_group_3_shape_6_horizontal_lines, 34, 7),
        shape(frame_132_shape_group_3_shape_7_horizontal_lines, 37, 4),
        shape(frame_132_shape_group_3_shape_8_horizontal_lines, 48, 7),
        shape(frame_132_shape_group_3_shape_9_horizontal_lines, 49, 4),
        shape(frame_132_shape_group_3_shape_10_horizontal_lines, 50, 7),
        shape(frame_132_shape_group_3_shape_11_horizontal_lines, 56, 8),
        shape(frame_132_shape_group_3_shape_12_horizontal_lines, 60, 3),
        shape(frame_132_shape_group_3_shape_13_horizontal_lines, 75, 8),
        shape(frame_132_shape_group_3_shape_14_horizontal_lines, 89, 3),
        shape(frame_132_shape_group_3_shape_15_horizontal_lines, 102, 1),
        shape(frame_132_shape_group_3_shape_16_horizontal_lines, 110, 3),
        shape(frame_132_shape_group_3_shape_17_horizontal_lines, 111, 1),
        shape(frame_132_shape_group_3_shape_18_horizontal_lines, 122, 3),
        shape(frame_132_shape_group_3_shape_19_horizontal_lines, 127, 1),
        shape(frame_132_shape_group_3_shape_20_horizontal_lines, 131, 3),
        shape(frame_132_shape_group_3_shape_21_horizontal_lines, 137, 1),
        shape(frame_132_shape_group_3_shape_22_horizontal_lines, 141, 1),
        shape(frame_132_shape_group_3_shape_23_horizontal_lines, 147, 9),
        shape(frame_132_shape_group_3_shape_24_horizontal_lines, 154, 1),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(142, 183),
        horizontal_line(143, 182),
        horizontal_line(144, 182),
        horizontal_line(146, 182),
        horizontal_line(147, 182),
        horizontal_line(148, 182),
        horizontal_line(150, 182),
        horizontal_line(151, 182),
        horizontal_line(153, 181),
        horizontal_line(154, 180),
        horizontal_line(155, 179),
        horizontal_line(157, 179),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(88, 93),
        horizontal_line(88, 94),
        horizontal_line(87, 96),
        horizontal_line(87, 98),
        horizontal_line(86, 99),
        horizontal_line(86, 101),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(89, 104),
        horizontal_line(93, 106),
        horizontal_line(96, 108),
        horizontal_line(100, 109),
        horizontal_line(104, 111),
        horizontal_line(107, 113),
        horizontal_line(111, 114),
        horizontal_line(114, 116),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(121, 163),
        horizontal_line(123, 163),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(126, 161),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(129, 157),
        horizontal_line(129, 156),
        horizontal_line(129, 155),
        horizontal_line(130, 154),
        horizontal_line(130, 153),
        horizontal_line(130, 152),
        horizontal_line(130, 151),
        horizontal_line(130, 150),
        horizontal_line(131, 149),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(117, 130),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(131, 144),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(19, 70),
        horizontal_line(19, 76),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(137, 144),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(82, 135),
        horizontal_line(82, 135),
        horizontal_line(83, 135),
        horizontal_line(83, 135),
        horizontal_line(83, 135),
        horizontal_line(83, 135),
        horizontal_line(83, 135),
        horizontal_line(83, 135),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(138, 139),
        horizontal_line(138, 141),
        horizontal_line(138, 143),
        horizontal_line(138, 146),
        horizontal_line(138, 148),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(81, 117),
        horizontal_line(81, 114),
        horizontal_line(81, 110),
        horizontal_line(19, 81),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(80, 92),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 138),
        horizontal_line(138, 138),
        horizontal_line(138, 138),
        horizontal_line(17, 63),
        horizontal_line(17, 60),
        horizontal_line(17, 56),
        horizontal_line(16, 52),
        horizontal_line(16, 49),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(162, 188),
        horizontal_line(164, 188),
        horizontal_line(166, 187),
        horizontal_line(169, 187),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(15, 31),
        horizontal_line(15, 27),
        horizontal_line(15, 23),
        horizontal_line(15, 20),
        horizontal_line(15, 16),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_132_shape_group_4_shapes[] = {
        shape(frame_132_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_132_shape_group_4_shape_1_horizontal_lines, 14, 4),
        shape(frame_132_shape_group_4_shape_2_horizontal_lines, 20, 7),
        shape(frame_132_shape_group_4_shape_3_horizontal_lines, 21, 4),
        shape(frame_132_shape_group_4_shape_4_horizontal_lines, 30, 7),
        shape(frame_132_shape_group_4_shape_5_horizontal_lines, 32, 8),
        shape(frame_132_shape_group_4_shape_6_horizontal_lines, 33, 7),
        shape(frame_132_shape_group_4_shape_7_horizontal_lines, 34, 8),
        shape(frame_132_shape_group_4_shape_8_horizontal_lines, 37, 7),
        shape(frame_132_shape_group_4_shape_9_horizontal_lines, 46, 4),
        shape(frame_132_shape_group_4_shape_10_horizontal_lines, 48, 8),
        shape(frame_132_shape_group_4_shape_11_horizontal_lines, 49, 7),
        shape(frame_132_shape_group_4_shape_12_horizontal_lines, 50, 8),
        shape(frame_132_shape_group_4_shape_13_horizontal_lines, 56, 3),
        shape(frame_132_shape_group_4_shape_14_horizontal_lines, 66, 1),
        shape(frame_132_shape_group_4_shape_15_horizontal_lines, 67, 3),
        shape(frame_132_shape_group_4_shape_16_horizontal_lines, 95, 1),
        shape(frame_132_shape_group_4_shape_17_horizontal_lines, 127, 9),
        shape(frame_132_shape_group_4_shape_18_horizontal_lines, 131, 1),
        shape(frame_132_shape_group_4_shape_19_horizontal_lines, 136, 9),
        shape(frame_132_shape_group_4_shape_20_horizontal_lines, 141, 9),
        shape(frame_132_shape_group_4_shape_21_horizontal_lines, 154, 9),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(158, 178),
        horizontal_line(159, 177),
        horizontal_line(99, 161),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(109, 171),
        horizontal_line(110, 170),
        horizontal_line(111, 169),
        horizontal_line(113, 168),
        horizontal_line(114, 167),
        horizontal_line(116, 167),
        horizontal_line(117, 166),
        horizontal_line(119, 165),
        horizontal_line(120, 164),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(163, 172),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(161, 170),
        horizontal_line(160, 170),
        horizontal_line(160, 169),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(131, 147),
        horizontal_line(131, 146),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(19, 31),
        horizontal_line(19, 37),
        horizontal_line(19, 44),
        horizontal_line(19, 50),
        horizontal_line(19, 57),
        horizontal_line(19, 63),
        horizontal_line(138, 138),
        horizontal_line(137, 138),
        horizontal_line(136, 138),
        horizontal_line(135, 138),
        horizontal_line(82, 96),
        horizontal_line(82, 102),
        horizontal_line(82, 109),
        horizontal_line(82, 115),
        horizontal_line(82, 122),
        horizontal_line(82, 128),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(169, 184),
        horizontal_line(137, 143),
        horizontal_line(139, 141),
        horizontal_line(172, 181),
        horizontal_line(173, 180),
        horizontal_line(174, 179),
        horizontal_line(175, 178),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(83, 135),
        horizontal_line(83, 135),
        horizontal_line(83, 136),
        horizontal_line(83, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
        horizontal_line(84, 136),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(83, 137),
        horizontal_line(83, 137),
        horizontal_line(83, 137),
        horizontal_line(83, 137),
        horizontal_line(83, 137),
        horizontal_line(143, 143),
        horizontal_line(140, 142),
        horizontal_line(82, 136),
        horizontal_line(82, 132),
        horizontal_line(82, 128),
        horizontal_line(82, 125),
        horizontal_line(82, 121),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(138, 140),
        horizontal_line(81, 103),
        horizontal_line(81, 99),
        horizontal_line(80, 96),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(162, 193),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(80, 88),
        horizontal_line(80, 85),
        horizontal_line(80, 81),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(162, 191),
        horizontal_line(162, 191),
        horizontal_line(162, 190),
        horizontal_line(162, 190),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 188),
    };

    constexpr const horizontal_line frame_132_shape_group_5_shape_22_horizontal_lines[] = {
        horizontal_line(171, 187),
        horizontal_line(174, 186),
        horizontal_line(176, 186),
        horizontal_line(179, 186),
        horizontal_line(181, 185),
    };

    constexpr const shape frame_132_shape_group_5_shapes[] = {
        shape(frame_132_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_132_shape_group_5_shape_1_horizontal_lines, 12, 7),
        shape(frame_132_shape_group_5_shape_2_horizontal_lines, 20, 8),
        shape(frame_132_shape_group_5_shape_3_horizontal_lines, 21, 7),
        shape(frame_132_shape_group_5_shape_4_horizontal_lines, 30, 8),
        shape(frame_132_shape_group_5_shape_5_horizontal_lines, 32, 3),
        shape(frame_132_shape_group_5_shape_6_horizontal_lines, 33, 8),
        shape(frame_132_shape_group_5_shape_7_horizontal_lines, 34, 3),
        shape(frame_132_shape_group_5_shape_8_horizontal_lines, 37, 8),
        shape(frame_132_shape_group_5_shape_9_horizontal_lines, 46, 7),
        shape(frame_132_shape_group_5_shape_10_horizontal_lines, 48, 3),
        shape(frame_132_shape_group_5_shape_11_horizontal_lines, 49, 8),
        shape(frame_132_shape_group_5_shape_12_horizontal_lines, 50, 3),
        shape(frame_132_shape_group_5_shape_13_horizontal_lines, 66, 1),
        shape(frame_132_shape_group_5_shape_14_horizontal_lines, 75, 3),
        shape(frame_132_shape_group_5_shape_15_horizontal_lines, 89, 1),
        shape(frame_132_shape_group_5_shape_16_horizontal_lines, 110, 1),
        shape(frame_132_shape_group_5_shape_17_horizontal_lines, 114, 9),
        shape(frame_132_shape_group_5_shape_18_horizontal_lines, 115, 1),
        shape(frame_132_shape_group_5_shape_19_horizontal_lines, 118, 9),
        shape(frame_132_shape_group_5_shape_20_horizontal_lines, 122, 1),
        shape(frame_132_shape_group_5_shape_21_horizontal_lines, 123, 9),
        shape(frame_132_shape_group_5_shape_22_horizontal_lines, 131, 9),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(181, 182),
        horizontal_line(180, 182),
        horizontal_line(180, 182),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(161, 176),
        horizontal_line(162, 175),
        horizontal_line(164, 175),
        horizontal_line(165, 174),
        horizontal_line(166, 173),
        horizontal_line(168, 172),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(172, 180),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(164, 173),
        horizontal_line(164, 172),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(173, 194),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(162, 171),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(171, 196),
        horizontal_line(171, 197),
        horizontal_line(170, 198),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(159, 168),
        horizontal_line(159, 167),
        horizontal_line(159, 167),
        horizontal_line(159, 166),
        horizontal_line(159, 165),
        horizontal_line(159, 165),
        horizontal_line(159, 164),
        horizontal_line(159, 163),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(146, 158),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(19, 24),
        horizontal_line(159, 160),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(141, 199),
        horizontal_line(140, 198),
        horizontal_line(139, 156),
        horizontal_line(139, 155),
        horizontal_line(139, 154),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(81, 83),
        horizontal_line(82, 89),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(138, 151),
        horizontal_line(138, 149),
        horizontal_line(138, 148),
        horizontal_line(138, 147),
        horizontal_line(138, 146),
        horizontal_line(137, 145),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(170, 183),
        horizontal_line(171, 182),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(85, 137),
        horizontal_line(84, 137),
        horizontal_line(84, 137),
        horizontal_line(84, 137),
        horizontal_line(84, 137),
        horizontal_line(84, 137),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(83, 137),
        horizontal_line(82, 137),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(81, 107),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_21_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(162, 178),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_22_horizontal_lines[] = {
        horizontal_line(162, 192),
        horizontal_line(162, 192),
        horizontal_line(162, 191),
    };

    constexpr const horizontal_line frame_132_shape_group_6_shape_23_horizontal_lines[] = {
        horizontal_line(162, 190),
    };

    constexpr const shape frame_132_shape_group_6_shapes[] = {
        shape(frame_132_shape_group_6_shape_0_horizontal_lines, 8, 3),
        shape(frame_132_shape_group_6_shape_1_horizontal_lines, 12, 8),
        shape(frame_132_shape_group_6_shape_2_horizontal_lines, 14, 7),
        shape(frame_132_shape_group_6_shape_3_horizontal_lines, 20, 3),
        shape(frame_132_shape_group_6_shape_4_horizontal_lines, 21, 7),
        shape(frame_132_shape_group_6_shape_5_horizontal_lines, 22, 8),
        shape(frame_132_shape_group_6_shape_6_horizontal_lines, 30, 3),
        shape(frame_132_shape_group_6_shape_7_horizontal_lines, 32, 1),
        shape(frame_132_shape_group_6_shape_8_horizontal_lines, 33, 3),
        shape(frame_132_shape_group_6_shape_9_horizontal_lines, 34, 1),
        shape(frame_132_shape_group_6_shape_10_horizontal_lines, 37, 3),
        shape(frame_132_shape_group_6_shape_11_horizontal_lines, 46, 8),
        shape(frame_132_shape_group_6_shape_12_horizontal_lines, 48, 1),
        shape(frame_132_shape_group_6_shape_13_horizontal_lines, 49, 3),
        shape(frame_132_shape_group_6_shape_14_horizontal_lines, 53, 1),
        shape(frame_132_shape_group_6_shape_15_horizontal_lines, 58, 3),
        shape(frame_132_shape_group_6_shape_16_horizontal_lines, 60, 1),
        shape(frame_132_shape_group_6_shape_17_horizontal_lines, 67, 1),
        shape(frame_132_shape_group_6_shape_18_horizontal_lines, 88, 1),
        shape(frame_132_shape_group_6_shape_19_horizontal_lines, 100, 1),
        shape(frame_132_shape_group_6_shape_20_horizontal_lines, 110, 1),
        shape(frame_132_shape_group_6_shape_21_horizontal_lines, 112, 9),
        shape(frame_132_shape_group_6_shape_22_horizontal_lines, 115, 9),
        shape(frame_132_shape_group_6_shape_23_horizontal_lines, 122, 9),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(179, 182),
        horizontal_line(178, 182),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(181, 184),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(171, 178),
        horizontal_line(170, 178),
        horizontal_line(169, 177),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(167, 175),
        horizontal_line(166, 174),
        horizontal_line(165, 174),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(174, 193),
        horizontal_line(173, 194),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(172, 195),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(157, 158),
        horizontal_line(156, 158),
        horizontal_line(155, 158),
        horizontal_line(154, 158),
        horizontal_line(153, 158),
        horizontal_line(152, 158),
        horizontal_line(151, 158),
        horizontal_line(150, 158),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(162, 204),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(144, 158),
        horizontal_line(143, 158),
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_132_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(159, 197),
        horizontal_line(160, 195),
        horizontal_line(161, 194),
        horizontal_line(139, 153),
        horizontal_line(139, 152),
        horizontal_line(164, 191),
        horizontal_line(165, 190),
        horizontal_line(166, 189),
        horizontal_line(167, 188),
        horizontal_line(168, 187),
        horizontal_line(168, 185),
    };

    constexpr const shape frame_132_shape_group_7_shapes[] = {
        shape(frame_132_shape_group_7_shape_0_horizontal_lines, 12, 3),
        shape(frame_132_shape_group_7_shape_1_horizontal_lines, 14, 8),
        shape(frame_132_shape_group_7_shape_2_horizontal_lines, 20, 1),
        shape(frame_132_shape_group_7_shape_3_horizontal_lines, 21, 8),
        shape(frame_132_shape_group_7_shape_4_horizontal_lines, 22, 3),
        shape(frame_132_shape_group_7_shape_5_horizontal_lines, 30, 1),
        shape(frame_132_shape_group_7_shape_6_horizontal_lines, 33, 1),
        shape(frame_132_shape_group_7_shape_7_horizontal_lines, 37, 1),
        shape(frame_132_shape_group_7_shape_8_horizontal_lines, 46, 3),
        shape(frame_132_shape_group_7_shape_9_horizontal_lines, 48, 1),
        shape(frame_132_shape_group_7_shape_10_horizontal_lines, 49, 3),
        shape(frame_132_shape_group_7_shape_11_horizontal_lines, 50, 1),
        shape(frame_132_shape_group_7_shape_12_horizontal_lines, 55, 1),
    };

    constexpr const horizontal_line frame_132_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(177, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 182),
        horizontal_line(175, 182),
        horizontal_line(174, 181),
        horizontal_line(173, 180),
    };

    constexpr const horizontal_line frame_132_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(172, 179),
    };

    constexpr const horizontal_line frame_132_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(179, 186),
        horizontal_line(179, 187),
        horizontal_line(178, 188),
        horizontal_line(177, 188),
        horizontal_line(177, 189),
        horizontal_line(176, 190),
        horizontal_line(175, 191),
        horizontal_line(175, 192),
    };

    constexpr const horizontal_line frame_132_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(170, 199),
        horizontal_line(169, 200),
        horizontal_line(168, 200),
        horizontal_line(168, 201),
        horizontal_line(167, 202),
        horizontal_line(166, 203),
        horizontal_line(166, 204),
        horizontal_line(165, 205),
        horizontal_line(164, 206),
        horizontal_line(148, 158),
        horizontal_line(147, 158),
    };

    constexpr const horizontal_line frame_132_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(145, 158),
        horizontal_line(161, 202),
        horizontal_line(160, 201),
        horizontal_line(160, 200),
    };

    constexpr const horizontal_line frame_132_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(162, 193),
        horizontal_line(163, 192),
    };

    constexpr const shape frame_132_shape_group_8_shapes[] = {
        shape(frame_132_shape_group_8_shape_0_horizontal_lines, 14, 3),
        shape(frame_132_shape_group_8_shape_1_horizontal_lines, 21, 3),
        shape(frame_132_shape_group_8_shape_2_horizontal_lines, 22, 1),
        shape(frame_132_shape_group_8_shape_3_horizontal_lines, 37, 1),
        shape(frame_132_shape_group_8_shape_4_horizontal_lines, 49, 1),
        shape(frame_132_shape_group_8_shape_5_horizontal_lines, 58, 1),
    };

    constexpr const horizontal_line frame_132_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_132_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(180, 185),
    };

    constexpr const horizontal_line frame_132_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(164, 207),
        horizontal_line(163, 205),
    };

    constexpr const horizontal_line frame_132_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(162, 203),
    };

    constexpr const shape frame_132_shape_group_9_shapes[] = {
        shape(frame_132_shape_group_9_shape_0_horizontal_lines, 18, 1),
        shape(frame_132_shape_group_9_shape_1_horizontal_lines, 21, 1),
        shape(frame_132_shape_group_9_shape_2_horizontal_lines, 46, 1),
        shape(frame_132_shape_group_9_shape_3_horizontal_lines, 49, 1),
    };

    constexpr const shape_group frame_132_shape_groups[] = {
        shape_group(frame_132_shape_group_0_shapes),
        shape_group(frame_132_shape_group_1_shapes),
        shape_group(frame_132_shape_group_2_shapes),
        shape_group(frame_132_shape_group_3_shapes),
        shape_group(frame_132_shape_group_4_shapes),
        shape_group(frame_132_shape_group_5_shapes),
        shape_group(frame_132_shape_group_6_shapes),
        shape_group(frame_132_shape_group_7_shapes),
        shape_group(frame_132_shape_group_8_shapes),
        shape_group(frame_132_shape_group_9_shapes),
    };

    constexpr const frame frame_132_impl(frame_132_colors, frame_132_shape_groups);
} 

const frame& frame_132()
{
    return frame_132_impl;
}

namespace
{
    constexpr const bn::color frame_133_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_133_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(7, 69),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(24, 86),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(45, 107),
        horizontal_line(48, 109),
        horizontal_line(52, 111),
        horizontal_line(55, 112),
        horizontal_line(58, 114),
        horizontal_line(62, 116),
        horizontal_line(65, 117),
        horizontal_line(69, 119),
        horizontal_line(72, 121),
        horizontal_line(75, 123),
        horizontal_line(79, 123),
        horizontal_line(82, 123),
        horizontal_line(86, 123),
        horizontal_line(89, 123),
        horizontal_line(92, 124),
        horizontal_line(96, 124),
        horizontal_line(99, 124),
        horizontal_line(103, 124),
        horizontal_line(106, 124),
        horizontal_line(109, 125),
        horizontal_line(113, 125),
        horizontal_line(116, 125),
        horizontal_line(120, 125),
        horizontal_line(123, 125),
    };

    constexpr const horizontal_line frame_133_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(127, 155),
        horizontal_line(127, 154),
        horizontal_line(127, 153),
        horizontal_line(127, 152),
        horizontal_line(128, 151),
        horizontal_line(128, 150),
        horizontal_line(128, 149),
        horizontal_line(128, 148),
        horizontal_line(129, 147),
        horizontal_line(128, 146),
        horizontal_line(128, 145),
        horizontal_line(128, 144),
        horizontal_line(129, 143),
        horizontal_line(129, 142),
        horizontal_line(129, 141),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 139),
        horizontal_line(130, 138),
        horizontal_line(131, 138),
        horizontal_line(133, 137),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_133_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(19, 81),
        horizontal_line(37, 99),
        horizontal_line(56, 118),
        horizontal_line(74, 129),
        horizontal_line(93, 129),
        horizontal_line(111, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_133_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(130, 131),
        horizontal_line(130, 133),
        horizontal_line(130, 135),
        horizontal_line(130, 138),
        horizontal_line(130, 140),
        horizontal_line(130, 142),
        horizontal_line(130, 144),
        horizontal_line(130, 147),
        horizontal_line(130, 149),
        horizontal_line(130, 151),
        horizontal_line(130, 153),
        horizontal_line(130, 156),
        horizontal_line(130, 153),
        horizontal_line(130, 150),
        horizontal_line(130, 148),
        horizontal_line(130, 145),
    };

    constexpr const horizontal_line frame_133_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 54),
        horizontal_line(0, 45),
        horizontal_line(0, 36),
        horizontal_line(0, 26),
        horizontal_line(0, 17),
        horizontal_line(0, 8),
        horizontal_line(130, 139),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 136),
        horizontal_line(129, 135),
        horizontal_line(129, 133),
        horizontal_line(129, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 130),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(155, 163),
        horizontal_line(128, 128),
        horizontal_line(126, 132),
        horizontal_line(124, 136),
        horizontal_line(122, 140),
        horizontal_line(120, 145),
        horizontal_line(118, 149),
        horizontal_line(116, 153),
        horizontal_line(114, 157),
        horizontal_line(112, 162),
        horizontal_line(110, 166),
        horizontal_line(109, 170),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
    };

    constexpr const shape frame_133_shape_group_0_shapes[] = {
        shape(frame_133_shape_group_0_shape_0_horizontal_lines, 0, 4),
        shape(frame_133_shape_group_0_shape_1_horizontal_lines, 39, 7),
        shape(frame_133_shape_group_0_shape_2_horizontal_lines, 61, 3),
        shape(frame_133_shape_group_0_shape_3_horizontal_lines, 81, 1),
        shape(frame_133_shape_group_0_shape_4_horizontal_lines, 82, 3),
        shape(frame_133_shape_group_0_shape_5_horizontal_lines, 98, 1),
        shape(frame_133_shape_group_0_shape_6_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_133_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(63, 85),
        horizontal_line(66, 87),
        horizontal_line(69, 88),
        horizontal_line(73, 90),
        horizontal_line(76, 92),
        horizontal_line(80, 93),
        horizontal_line(83, 95),
        horizontal_line(86, 97),
        horizontal_line(90, 99),
        horizontal_line(93, 100),
        horizontal_line(97, 102),
        horizontal_line(100, 104),
        horizontal_line(103, 105),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_133_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(112, 172),
        horizontal_line(113, 171),
        horizontal_line(115, 171),
        horizontal_line(116, 170),
        horizontal_line(118, 169),
        horizontal_line(119, 169),
        horizontal_line(121, 168),
        horizontal_line(122, 168),
        horizontal_line(124, 167),
        horizontal_line(124, 167),
        horizontal_line(124, 166),
        horizontal_line(124, 166),
        horizontal_line(124, 165),
        horizontal_line(125, 165),
        horizontal_line(125, 164),
        horizontal_line(125, 163),
        horizontal_line(125, 162),
        horizontal_line(125, 161),
        horizontal_line(126, 160),
        horizontal_line(126, 159),
        horizontal_line(126, 158),
        horizontal_line(126, 157),
        horizontal_line(127, 156),
    };

    constexpr const horizontal_line frame_133_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 37),
        horizontal_line(0, 43),
        horizontal_line(0, 48),
        horizontal_line(0, 53),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(137, 141),
        horizontal_line(139, 141),
        horizontal_line(141, 141),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(81, 129),
        horizontal_line(99, 129),
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(131, 148),
        horizontal_line(130, 146),
        horizontal_line(130, 145),
        horizontal_line(130, 143),
        horizontal_line(130, 142),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
    };

    constexpr const horizontal_line frame_133_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(140, 149),
        horizontal_line(139, 139),
        horizontal_line(148, 169),
        horizontal_line(147, 169),
        horizontal_line(147, 169),
        horizontal_line(146, 169),
        horizontal_line(146, 169),
        horizontal_line(145, 169),
        horizontal_line(145, 169),
        horizontal_line(144, 169),
        horizontal_line(144, 169),
        horizontal_line(137, 138),
        horizontal_line(137, 142),
        horizontal_line(140, 145),
        horizontal_line(143, 149),
        horizontal_line(146, 153),
        horizontal_line(149, 156),
        horizontal_line(152, 160),
        horizontal_line(165, 169),
        horizontal_line(158, 169),
        horizontal_line(161, 170),
        horizontal_line(164, 172),
        horizontal_line(168, 174),
        horizontal_line(171, 176),
        horizontal_line(174, 178),
        horizontal_line(177, 180),
        horizontal_line(180, 183),
        horizontal_line(183, 185),
        horizontal_line(186, 187),
        horizontal_line(189, 189),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
    };

    constexpr const shape frame_133_shape_group_1_shapes[] = {
        shape(frame_133_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_133_shape_group_1_shape_1_horizontal_lines, 16, 7),
        shape(frame_133_shape_group_1_shape_2_horizontal_lines, 39, 3),
        shape(frame_133_shape_group_1_shape_3_horizontal_lines, 78, 1),
        shape(frame_133_shape_group_1_shape_4_horizontal_lines, 112, 8),
    };

    constexpr const horizontal_line frame_133_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(101, 163),
        horizontal_line(103, 104),
        horizontal_line(107, 169),
        horizontal_line(109, 171),
        horizontal_line(110, 172),
    };

    constexpr const horizontal_line frame_133_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(173, 175),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(171, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(169, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 169),
        horizontal_line(165, 169),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 10),
        horizontal_line(0, 16),
        horizontal_line(0, 21),
        horizontal_line(0, 26),
        horizontal_line(164, 165),
        horizontal_line(164, 164),
        horizontal_line(164, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 163),
        horizontal_line(163, 163),
        horizontal_line(62, 64),
        horizontal_line(62, 69),
        horizontal_line(62, 75),
        horizontal_line(62, 80),
        horizontal_line(62, 86),
        horizontal_line(62, 91),
        horizontal_line(62, 96),
        horizontal_line(62, 102),
        horizontal_line(142, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(140, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 141),
        horizontal_line(138, 141),
        horizontal_line(137, 141),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 36),
        horizontal_line(0, 55),
        horizontal_line(62, 73),
        horizontal_line(62, 92),
        horizontal_line(62, 110),
        horizontal_line(124, 129),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(154, 154),
        horizontal_line(151, 152),
        horizontal_line(149, 151),
        horizontal_line(146, 149),
        horizontal_line(62, 124),
        horizontal_line(62, 119),
        horizontal_line(62, 110),
        horizontal_line(62, 101),
        horizontal_line(62, 91),
        horizontal_line(62, 82),
        horizontal_line(62, 73),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_133_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(140, 147),
        horizontal_line(140, 147),
        horizontal_line(168, 202),
        horizontal_line(148, 159),
        horizontal_line(171, 203),
    };

    constexpr const horizontal_line frame_133_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_133_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(204, 209),
        horizontal_line(204, 215),
        horizontal_line(203, 221),
        horizontal_line(203, 226),
        horizontal_line(203, 232),
        horizontal_line(202, 238),
        horizontal_line(202, 239),
        horizontal_line(146, 169),
        horizontal_line(149, 169),
        horizontal_line(152, 169),
        horizontal_line(154, 169),
        horizontal_line(157, 169),
        horizontal_line(160, 169),
        horizontal_line(162, 169),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(169, 174),
        horizontal_line(167, 179),
        horizontal_line(165, 183),
        horizontal_line(163, 187),
        horizontal_line(161, 192),
        horizontal_line(159, 196),
        horizontal_line(157, 200),
        horizontal_line(155, 204),
        horizontal_line(154, 209),
        horizontal_line(152, 213),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
    };

    constexpr const shape frame_133_shape_group_2_shapes[] = {
        shape(frame_133_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_133_shape_group_2_shape_1_horizontal_lines, 16, 3),
        shape(frame_133_shape_group_2_shape_2_horizontal_lines, 75, 1),
        shape(frame_133_shape_group_2_shape_3_horizontal_lines, 106, 8),
        shape(frame_133_shape_group_2_shape_4_horizontal_lines, 115, 9),
        shape(frame_133_shape_group_2_shape_5_horizontal_lines, 116, 8),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(145, 181),
        horizontal_line(146, 180),
        horizontal_line(148, 179),
        horizontal_line(150, 179),
        horizontal_line(151, 178),
        horizontal_line(153, 178),
        horizontal_line(155, 177),
        horizontal_line(156, 177),
        horizontal_line(158, 176),
        horizontal_line(160, 176),
        horizontal_line(162, 175),
        horizontal_line(163, 174),
        horizontal_line(106, 168),
        horizontal_line(169, 173),
        horizontal_line(171, 173),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(176, 206),
        horizontal_line(175, 207),
        horizontal_line(175, 208),
        horizontal_line(174, 209),
        horizontal_line(174, 210),
        horizontal_line(174, 211),
        horizontal_line(173, 212),
        horizontal_line(173, 213),
        horizontal_line(172, 214),
        horizontal_line(172, 215),
        horizontal_line(171, 214),
        horizontal_line(171, 213),
        horizontal_line(171, 212),
        horizontal_line(170, 212),
        horizontal_line(170, 211),
        horizontal_line(164, 164),
        horizontal_line(163, 164),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(165, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(156, 163),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
        horizontal_line(153, 162),
        horizontal_line(152, 162),
        horizontal_line(151, 162),
        horizontal_line(150, 201),
        horizontal_line(149, 200),
        horizontal_line(148, 199),
        horizontal_line(147, 161),
        horizontal_line(146, 160),
        horizontal_line(145, 159),
        horizontal_line(144, 158),
        horizontal_line(143, 157),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(62, 107),
        horizontal_line(62, 112),
        horizontal_line(62, 118),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(143, 146),
        horizontal_line(145, 145),
        horizontal_line(181, 186),
        horizontal_line(182, 186),
        horizontal_line(183, 185),
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(130, 153),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(182, 184),
        horizontal_line(179, 184),
        horizontal_line(177, 185),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(172, 186),
        horizontal_line(169, 186),
        horizontal_line(167, 187),
        horizontal_line(164, 187),
        horizontal_line(162, 188),
        horizontal_line(159, 188),
        horizontal_line(158, 188),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(161, 196),
        horizontal_line(161, 197),
        horizontal_line(162, 197),
        horizontal_line(143, 143),
        horizontal_line(142, 143),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(165, 200),
        horizontal_line(165, 200),
        horizontal_line(166, 200),
        horizontal_line(167, 201),
        horizontal_line(167, 201),
        horizontal_line(168, 202),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(169, 203),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(139, 147),
        horizontal_line(170, 204),
        horizontal_line(139, 146),
        horizontal_line(138, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 144),
        horizontal_line(138, 144),
        horizontal_line(141, 143),
        horizontal_line(170, 201),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(170, 198),
        horizontal_line(170, 198),
        horizontal_line(171, 197),
        horizontal_line(173, 197),
        horizontal_line(175, 197),
        horizontal_line(177, 196),
        horizontal_line(179, 196),
        horizontal_line(181, 196),
        horizontal_line(184, 195),
        horizontal_line(186, 195),
        horizontal_line(188, 195),
        horizontal_line(190, 194),
        horizontal_line(192, 194),
    };

    constexpr const horizontal_line frame_133_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(212, 217),
        horizontal_line(210, 221),
        horizontal_line(208, 226),
        horizontal_line(206, 230),
        horizontal_line(204, 234),
    };

    constexpr const shape frame_133_shape_group_3_shapes[] = {
        shape(frame_133_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_133_shape_group_3_shape_1_horizontal_lines, 16, 1),
        shape(frame_133_shape_group_3_shape_2_horizontal_lines, 33, 3),
        shape(frame_133_shape_group_3_shape_3_horizontal_lines, 39, 1),
        shape(frame_133_shape_group_3_shape_4_horizontal_lines, 53, 3),
        shape(frame_133_shape_group_3_shape_5_horizontal_lines, 64, 1),
        shape(frame_133_shape_group_3_shape_6_horizontal_lines, 70, 2),
        shape(frame_133_shape_group_3_shape_7_horizontal_lines, 71, 8),
        shape(frame_133_shape_group_3_shape_8_horizontal_lines, 74, 1),
        shape(frame_133_shape_group_3_shape_9_horizontal_lines, 75, 8),
        shape(frame_133_shape_group_3_shape_10_horizontal_lines, 82, 1),
        shape(frame_133_shape_group_3_shape_11_horizontal_lines, 99, 8),
        shape(frame_133_shape_group_3_shape_12_horizontal_lines, 113, 8),
        shape(frame_133_shape_group_3_shape_13_horizontal_lines, 114, 9),
        shape(frame_133_shape_group_3_shape_14_horizontal_lines, 123, 8),
        shape(frame_133_shape_group_3_shape_15_horizontal_lines, 130, 9),
        shape(frame_133_shape_group_3_shape_16_horizontal_lines, 152, 8),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(181, 181),
        horizontal_line(180, 181),
        horizontal_line(180, 180),
        horizontal_line(179, 180),
        horizontal_line(179, 179),
        horizontal_line(178, 179),
        horizontal_line(178, 179),
        horizontal_line(177, 178),
        horizontal_line(177, 178),
        horizontal_line(176, 177),
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(168, 174),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(174, 176),
        horizontal_line(174, 176),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(112, 112),
        horizontal_line(113, 114),
        horizontal_line(115, 115),
        horizontal_line(117, 117),
        horizontal_line(118, 118),
        horizontal_line(120, 120),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(169, 210),
        horizontal_line(169, 210),
        horizontal_line(162, 164),
        horizontal_line(161, 164),
        horizontal_line(160, 164),
        horizontal_line(159, 163),
        horizontal_line(158, 163),
        horizontal_line(157, 163),
        horizontal_line(166, 205),
        horizontal_line(165, 204),
        horizontal_line(165, 203),
        horizontal_line(165, 203),
        horizontal_line(164, 202),
        horizontal_line(164, 201),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(163, 199),
        horizontal_line(164, 198),
        horizontal_line(165, 197),
        horizontal_line(166, 197),
        horizontal_line(167, 196),
        horizontal_line(143, 156),
        horizontal_line(143, 155),
        horizontal_line(143, 154),
        horizontal_line(143, 153),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(142, 149),
        horizontal_line(142, 148),
        horizontal_line(142, 147),
        horizontal_line(179, 188),
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(130, 145),
        horizontal_line(130, 147),
        horizontal_line(130, 149),
        horizontal_line(130, 151),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(130, 155),
        horizontal_line(130, 157),
        horizontal_line(130, 159),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(174, 185),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(130, 158),
        horizontal_line(130, 158),
        horizontal_line(130, 158),
        horizontal_line(130, 158),
        horizontal_line(130, 158),
        horizontal_line(130, 157),
        horizontal_line(130, 157),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(158, 189),
        horizontal_line(158, 189),
        horizontal_line(158, 190),
        horizontal_line(158, 190),
        horizontal_line(158, 191),
        horizontal_line(157, 191),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 192),
        horizontal_line(157, 193),
        horizontal_line(157, 193),
        horizontal_line(157, 194),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(160, 196),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(163, 198),
        horizontal_line(163, 198),
        horizontal_line(164, 199),
        horizontal_line(164, 199),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(140, 147),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(170, 203),
        horizontal_line(170, 203),
        horizontal_line(170, 202),
        horizontal_line(170, 202),
        horizontal_line(170, 202),
        horizontal_line(170, 201),
    };

    constexpr const horizontal_line frame_133_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(170, 201),
        horizontal_line(170, 200),
        horizontal_line(170, 200),
        horizontal_line(170, 200),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
        horizontal_line(170, 199),
    };

    constexpr const shape frame_133_shape_group_4_shapes[] = {
        shape(frame_133_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_133_shape_group_4_shape_1_horizontal_lines, 12, 7),
        shape(frame_133_shape_group_4_shape_2_horizontal_lines, 13, 3),
        shape(frame_133_shape_group_4_shape_3_horizontal_lines, 16, 8),
        shape(frame_133_shape_group_4_shape_4_horizontal_lines, 31, 1),
        shape(frame_133_shape_group_4_shape_5_horizontal_lines, 45, 8),
        shape(frame_133_shape_group_4_shape_6_horizontal_lines, 48, 1),
        shape(frame_133_shape_group_4_shape_7_horizontal_lines, 57, 3),
        shape(frame_133_shape_group_4_shape_8_horizontal_lines, 61, 1),
        shape(frame_133_shape_group_4_shape_9_horizontal_lines, 66, 2),
        shape(frame_133_shape_group_4_shape_10_horizontal_lines, 71, 2),
        shape(frame_133_shape_group_4_shape_11_horizontal_lines, 74, 8),
        shape(frame_133_shape_group_4_shape_12_horizontal_lines, 75, 2),
        shape(frame_133_shape_group_4_shape_13_horizontal_lines, 82, 8),
        shape(frame_133_shape_group_4_shape_14_horizontal_lines, 94, 1),
        shape(frame_133_shape_group_4_shape_15_horizontal_lines, 98, 8),
        shape(frame_133_shape_group_4_shape_16_horizontal_lines, 102, 8),
        shape(frame_133_shape_group_4_shape_17_horizontal_lines, 113, 9),
        shape(frame_133_shape_group_4_shape_18_horizontal_lines, 116, 9),
        shape(frame_133_shape_group_4_shape_19_horizontal_lines, 123, 9),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(183, 189),
        horizontal_line(182, 190),
        horizontal_line(182, 191),
        horizontal_line(181, 192),
        horizontal_line(181, 193),
        horizontal_line(180, 194),
        horizontal_line(180, 195),
        horizontal_line(180, 196),
        horizontal_line(179, 197),
        horizontal_line(179, 198),
        horizontal_line(178, 199),
        horizontal_line(178, 200),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(177, 203),
        horizontal_line(177, 204),
        horizontal_line(176, 205),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(168, 209),
        horizontal_line(168, 208),
        horizontal_line(168, 208),
        horizontal_line(167, 207),
        horizontal_line(167, 206),
        horizontal_line(166, 206),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(65, 127),
        horizontal_line(70, 127),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(168, 195),
        horizontal_line(169, 195),
        horizontal_line(170, 194),
        horizontal_line(171, 193),
        horizontal_line(143, 152),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 150),
        horizontal_line(176, 190),
        horizontal_line(177, 189),
        horizontal_line(178, 188),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(130, 142),
        horizontal_line(130, 144),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(130, 158),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(132, 157),
        horizontal_line(134, 157),
        horizontal_line(136, 157),
        horizontal_line(139, 157),
        horizontal_line(141, 157),
        horizontal_line(143, 156),
        horizontal_line(145, 156),
        horizontal_line(148, 156),
        horizontal_line(150, 156),
        horizontal_line(152, 156),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_133_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(158, 194),
        horizontal_line(158, 195),
        horizontal_line(159, 195),
        horizontal_line(160, 196),
    };

    constexpr const shape frame_133_shape_group_5_shapes[] = {
        shape(frame_133_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_133_shape_group_5_shape_1_horizontal_lines, 12, 3),
        shape(frame_133_shape_group_5_shape_2_horizontal_lines, 13, 1),
        shape(frame_133_shape_group_5_shape_3_horizontal_lines, 16, 8),
        shape(frame_133_shape_group_5_shape_4_horizontal_lines, 23, 2),
        shape(frame_133_shape_group_5_shape_5_horizontal_lines, 31, 8),
        shape(frame_133_shape_group_5_shape_6_horizontal_lines, 33, 1),
        shape(frame_133_shape_group_5_shape_7_horizontal_lines, 39, 8),
        shape(frame_133_shape_group_5_shape_8_horizontal_lines, 45, 2),
        shape(frame_133_shape_group_5_shape_9_horizontal_lines, 47, 8),
        shape(frame_133_shape_group_5_shape_10_horizontal_lines, 53, 1),
        shape(frame_133_shape_group_5_shape_11_horizontal_lines, 64, 2),
        shape(frame_133_shape_group_5_shape_12_horizontal_lines, 74, 2),
        shape(frame_133_shape_group_5_shape_13_horizontal_lines, 82, 2),
        shape(frame_133_shape_group_5_shape_14_horizontal_lines, 94, 8),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(177, 201),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(106, 108),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 71),
        horizontal_line(62, 74),
        horizontal_line(62, 78),
        horizontal_line(62, 81),
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 91),
        horizontal_line(62, 95),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(33, 95),
        horizontal_line(38, 100),
        horizontal_line(44, 106),
        horizontal_line(49, 111),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(76, 127),
        horizontal_line(81, 127),
        horizontal_line(87, 127),
        horizontal_line(92, 127),
        horizontal_line(97, 128),
        horizontal_line(103, 128),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(172, 192),
        horizontal_line(173, 192),
        horizontal_line(174, 191),
        horizontal_line(175, 190),
    };

    constexpr const horizontal_line frame_133_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_133_shape_group_6_shapes[] = {
        shape(frame_133_shape_group_6_shape_0_horizontal_lines, 0, 8),
        shape(frame_133_shape_group_6_shape_1_horizontal_lines, 12, 1),
        shape(frame_133_shape_group_6_shape_2_horizontal_lines, 13, 8),
        shape(frame_133_shape_group_6_shape_3_horizontal_lines, 16, 2),
        shape(frame_133_shape_group_6_shape_4_horizontal_lines, 33, 8),
        shape(frame_133_shape_group_6_shape_5_horizontal_lines, 39, 2),
        shape(frame_133_shape_group_6_shape_6_horizontal_lines, 43, 8),
        shape(frame_133_shape_group_6_shape_7_horizontal_lines, 45, 2),
        shape(frame_133_shape_group_6_shape_8_horizontal_lines, 47, 2),
        shape(frame_133_shape_group_6_shape_9_horizontal_lines, 53, 8),
        shape(frame_133_shape_group_6_shape_10_horizontal_lines, 57, 1),
        shape(frame_133_shape_group_6_shape_11_horizontal_lines, 61, 8),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(62, 98),
        horizontal_line(62, 102),
        horizontal_line(1, 63),
        horizontal_line(6, 68),
        horizontal_line(11, 73),
        horizontal_line(17, 79),
        horizontal_line(22, 84),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(95, 126),
        horizontal_line(100, 126),
        horizontal_line(106, 126),
        horizontal_line(111, 126),
        horizontal_line(54, 116),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(108, 128),
        horizontal_line(113, 128),
        horizontal_line(119, 128),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(130, 136),
        horizontal_line(130, 138),
        horizontal_line(130, 140),
    };

    constexpr const shape frame_133_shape_group_7_shapes[] = {
        shape(frame_133_shape_group_7_shape_0_horizontal_lines, 2, 2),
        shape(frame_133_shape_group_7_shape_1_horizontal_lines, 12, 8),
        shape(frame_133_shape_group_7_shape_2_horizontal_lines, 21, 2),
        shape(frame_133_shape_group_7_shape_3_horizontal_lines, 31, 2),
        shape(frame_133_shape_group_7_shape_4_horizontal_lines, 38, 8),
        shape(frame_133_shape_group_7_shape_5_horizontal_lines, 39, 2),
        shape(frame_133_shape_group_7_shape_6_horizontal_lines, 53, 2),
        shape(frame_133_shape_group_7_shape_7_horizontal_lines, 57, 8),
        shape(frame_133_shape_group_7_shape_8_horizontal_lines, 61, 2),
    };

    constexpr const horizontal_line frame_133_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_133_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_133_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(63, 105),
        horizontal_line(68, 108),
        horizontal_line(73, 112),
        horizontal_line(79, 115),
        horizontal_line(84, 119),
        horizontal_line(27, 89),
    };

    constexpr const horizontal_line frame_133_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_133_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(130, 132),
        horizontal_line(130, 134),
    };

    constexpr const shape frame_133_shape_group_8_shapes[] = {
        shape(frame_133_shape_group_8_shape_0_horizontal_lines, 12, 8),
        shape(frame_133_shape_group_8_shape_1_horizontal_lines, 13, 2),
        shape(frame_133_shape_group_8_shape_2_horizontal_lines, 33, 2),
        shape(frame_133_shape_group_8_shape_3_horizontal_lines, 43, 2),
        shape(frame_133_shape_group_8_shape_4_horizontal_lines, 58, 2),
    };

    constexpr const horizontal_line frame_133_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_133_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(89, 122),
    };

    constexpr const shape frame_133_shape_group_9_shapes[] = {
        shape(frame_133_shape_group_9_shape_0_horizontal_lines, 12, 2),
        shape(frame_133_shape_group_9_shape_1_horizontal_lines, 38, 2),
    };

    constexpr const shape_group frame_133_shape_groups[] = {
        shape_group(frame_133_shape_group_0_shapes),
        shape_group(frame_133_shape_group_1_shapes),
        shape_group(frame_133_shape_group_2_shapes),
        shape_group(frame_133_shape_group_3_shapes),
        shape_group(frame_133_shape_group_4_shapes),
        shape_group(frame_133_shape_group_5_shapes),
        shape_group(frame_133_shape_group_6_shapes),
        shape_group(frame_133_shape_group_7_shapes),
        shape_group(frame_133_shape_group_8_shapes),
        shape_group(frame_133_shape_group_9_shapes),
    };

    constexpr const frame frame_133_impl(frame_133_colors, frame_133_shape_groups);
} 

const frame& frame_133()
{
    return frame_133_impl;
}

namespace
{
    constexpr const bn::color frame_134_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_134_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 39),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(10, 72),
        horizontal_line(15, 77),
        horizontal_line(20, 82),
        horizontal_line(25, 87),
        horizontal_line(30, 92),
        horizontal_line(34, 96),
        horizontal_line(39, 101),
        horizontal_line(44, 106),
        horizontal_line(49, 111),
        horizontal_line(54, 116),
        horizontal_line(59, 117),
        horizontal_line(63, 117),
        horizontal_line(68, 118),
        horizontal_line(73, 118),
        horizontal_line(78, 118),
        horizontal_line(83, 118),
        horizontal_line(88, 119),
        horizontal_line(92, 119),
        horizontal_line(97, 119),
        horizontal_line(102, 119),
        horizontal_line(107, 120),
        horizontal_line(112, 120),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_134_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(122, 148),
    };

    constexpr const horizontal_line frame_134_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(121, 122),
        horizontal_line(121, 124),
        horizontal_line(121, 126),
        horizontal_line(121, 128),
        horizontal_line(121, 130),
        horizontal_line(121, 132),
        horizontal_line(120, 134),
        horizontal_line(120, 135),
        horizontal_line(120, 137),
        horizontal_line(120, 139),
        horizontal_line(120, 141),
        horizontal_line(120, 143),
        horizontal_line(119, 145),
        horizontal_line(119, 147),
        horizontal_line(119, 148),
        horizontal_line(119, 150),
        horizontal_line(119, 152),
        horizontal_line(119, 154),
        horizontal_line(118, 156),
        horizontal_line(118, 158),
        horizontal_line(118, 160),
        horizontal_line(118, 159),
        horizontal_line(118, 159),
        horizontal_line(118, 159),
        horizontal_line(118, 159),
        horizontal_line(120, 158),
        horizontal_line(122, 158),
        horizontal_line(124, 158),
        horizontal_line(126, 158),
        horizontal_line(128, 158),
        horizontal_line(130, 157),
        horizontal_line(132, 157),
        horizontal_line(134, 157),
        horizontal_line(136, 157),
        horizontal_line(138, 156),
        horizontal_line(140, 156),
        horizontal_line(142, 156),
        horizontal_line(144, 156),
        horizontal_line(146, 156),
        horizontal_line(148, 155),
        horizontal_line(150, 155),
        horizontal_line(152, 155),
        horizontal_line(154, 155),
    };

    constexpr const horizontal_line frame_134_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(153, 154),
        horizontal_line(118, 123),
        horizontal_line(118, 129),
        horizontal_line(118, 135),
        horizontal_line(118, 150),
        horizontal_line(118, 149),
        horizontal_line(118, 148),
        horizontal_line(117, 147),
        horizontal_line(117, 146),
        horizontal_line(117, 145),
        horizontal_line(117, 144),
        horizontal_line(117, 144),
        horizontal_line(117, 140),
        horizontal_line(117, 137),
        horizontal_line(116, 137),
        horizontal_line(116, 137),
        horizontal_line(116, 136),
        horizontal_line(116, 136),
        horizontal_line(116, 136),
        horizontal_line(116, 135),
        horizontal_line(116, 135),
        horizontal_line(115, 134),
        horizontal_line(115, 134),
        horizontal_line(115, 134),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
        horizontal_line(114, 132),
        horizontal_line(114, 132),
        horizontal_line(114, 132),
        horizontal_line(114, 131),
        horizontal_line(114, 131),
        horizontal_line(114, 130),
        horizontal_line(114, 127),
        horizontal_line(113, 125),
        horizontal_line(113, 122),
        horizontal_line(113, 120),
        horizontal_line(113, 118),
        horizontal_line(113, 115),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_134_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(153, 161),
        horizontal_line(109, 114),
        horizontal_line(106, 118),
        horizontal_line(103, 121),
        horizontal_line(99, 125),
        horizontal_line(96, 129),
        horizontal_line(93, 132),
        horizontal_line(89, 136),
        horizontal_line(86, 140),
        horizontal_line(83, 143),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(73, 135),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(60, 122),
        horizontal_line(56, 118),
        horizontal_line(53, 115),
        horizontal_line(50, 112),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(36, 98),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
    };

    constexpr const shape frame_134_shape_group_0_shapes[] = {
        shape(frame_134_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_134_shape_group_0_shape_1_horizontal_lines, 45, 7),
        shape(frame_134_shape_group_0_shape_2_horizontal_lines, 46, 2),
        shape(frame_134_shape_group_0_shape_3_horizontal_lines, 89, 1),
        shape(frame_134_shape_group_0_shape_4_horizontal_lines, 130, 8),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 101),
        horizontal_line(44, 103),
        horizontal_line(47, 105),
        horizontal_line(50, 106),
        horizontal_line(54, 108),
        horizontal_line(57, 110),
        horizontal_line(60, 112),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(62, 69),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 82),
        horizontal_line(62, 86),
        horizontal_line(62, 89),
        horizontal_line(62, 92),
        horizontal_line(63, 96),
        horizontal_line(67, 99),
        horizontal_line(72, 102),
        horizontal_line(77, 106),
        horizontal_line(82, 109),
        horizontal_line(87, 112),
        horizontal_line(92, 116),
        horizontal_line(96, 116),
        horizontal_line(101, 116),
        horizontal_line(106, 116),
        horizontal_line(111, 117),
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(118, 121),
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 125),
        horizontal_line(120, 152),
        horizontal_line(120, 151),
        horizontal_line(121, 151),
        horizontal_line(121, 150),
        horizontal_line(121, 149),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(123, 148),
        horizontal_line(125, 147),
        horizontal_line(127, 146),
        horizontal_line(129, 146),
        horizontal_line(131, 145),
        horizontal_line(133, 145),
        horizontal_line(135, 144),
        horizontal_line(136, 144),
        horizontal_line(138, 143),
        horizontal_line(140, 143),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(146, 150),
        horizontal_line(0, 0),
        horizontal_line(0, 9),
        horizontal_line(0, 19),
        horizontal_line(0, 29),
        horizontal_line(0, 39),
        horizontal_line(0, 48),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 117),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(162, 203),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(150, 153),
        horizontal_line(147, 152),
        horizontal_line(144, 151),
    };

    constexpr const horizontal_line frame_134_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(164, 205),
        horizontal_line(164, 205),
        horizontal_line(165, 206),
        horizontal_line(165, 206),
        horizontal_line(147, 147),
        horizontal_line(146, 147),
        horizontal_line(145, 148),
        horizontal_line(145, 148),
        horizontal_line(141, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(137, 151),
        horizontal_line(137, 151),
        horizontal_line(137, 152),
        horizontal_line(136, 152),
        horizontal_line(136, 153),
        horizontal_line(136, 153),
        horizontal_line(136, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 156),
        horizontal_line(134, 137),
        horizontal_line(134, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(134, 136),
        horizontal_line(152, 175),
        horizontal_line(132, 134),
        horizontal_line(132, 137),
        horizontal_line(134, 140),
        horizontal_line(137, 143),
        horizontal_line(139, 146),
        horizontal_line(142, 149),
        horizontal_line(145, 152),
        horizontal_line(147, 155),
        horizontal_line(150, 158),
        horizontal_line(164, 175),
        horizontal_line(155, 164),
        horizontal_line(158, 167),
        horizontal_line(160, 170),
        horizontal_line(163, 175),
        horizontal_line(166, 176),
        horizontal_line(168, 177),
        horizontal_line(171, 179),
        horizontal_line(174, 181),
        horizontal_line(176, 183),
        horizontal_line(179, 184),
        horizontal_line(181, 186),
        horizontal_line(184, 188),
        horizontal_line(187, 190),
        horizontal_line(189, 192),
        horizontal_line(192, 193),
        horizontal_line(195, 195),
        horizontal_line(197, 197),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_134_shape_group_1_shapes[] = {
        shape(frame_134_shape_group_1_shape_0_horizontal_lines, 0, 4),
        shape(frame_134_shape_group_1_shape_1_horizontal_lines, 10, 2),
        shape(frame_134_shape_group_1_shape_2_horizontal_lines, 32, 7),
        shape(frame_134_shape_group_1_shape_3_horizontal_lines, 45, 1),
        shape(frame_134_shape_group_1_shape_4_horizontal_lines, 46, 7),
        shape(frame_134_shape_group_1_shape_5_horizontal_lines, 57, 1),
        shape(frame_134_shape_group_1_shape_6_horizontal_lines, 90, 8),
        shape(frame_134_shape_group_1_shape_7_horizontal_lines, 91, 1),
        shape(frame_134_shape_group_1_shape_8_horizontal_lines, 94, 8),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(96, 97),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(102, 164),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(107, 169),
        horizontal_line(109, 170),
        horizontal_line(111, 170),
        horizontal_line(113, 170),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(64, 114),
        horizontal_line(67, 114),
        horizontal_line(70, 114),
        horizontal_line(74, 114),
        horizontal_line(77, 114),
        horizontal_line(80, 114),
        horizontal_line(83, 114),
        horizontal_line(87, 114),
        horizontal_line(90, 115),
        horizontal_line(93, 115),
        horizontal_line(97, 115),
        horizontal_line(100, 115),
        horizontal_line(103, 115),
        horizontal_line(107, 115),
        horizontal_line(110, 115),
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(117, 118),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 121),
        horizontal_line(124, 158),
        horizontal_line(124, 157),
        horizontal_line(124, 157),
        horizontal_line(125, 156),
        horizontal_line(125, 155),
        horizontal_line(126, 154),
        horizontal_line(126, 154),
        horizontal_line(127, 153),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(153, 162),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(151, 160),
        horizontal_line(150, 159),
        horizontal_line(172, 196),
        horizontal_line(149, 158),
        horizontal_line(148, 157),
        horizontal_line(148, 156),
        horizontal_line(148, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 154),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(146, 152),
        horizontal_line(146, 151),
        horizontal_line(146, 150),
        horizontal_line(184, 191),
        horizontal_line(146, 149),
        horizontal_line(148, 148),
        horizontal_line(187, 189),
        horizontal_line(188, 189),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(188, 189),
        horizontal_line(186, 190),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 78),
        horizontal_line(62, 87),
        horizontal_line(62, 97),
        horizontal_line(62, 107),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(161, 202),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(119, 152),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(162, 203),
        horizontal_line(163, 204),
        horizontal_line(163, 204),
    };

    constexpr const horizontal_line frame_134_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(166, 207),
        horizontal_line(167, 207),
        horizontal_line(167, 208),
        horizontal_line(168, 208),
        horizontal_line(168, 209),
        horizontal_line(169, 209),
        horizontal_line(169, 210),
        horizontal_line(170, 210),
        horizontal_line(170, 211),
        horizontal_line(171, 211),
        horizontal_line(172, 212),
        horizontal_line(172, 212),
        horizontal_line(173, 213),
        horizontal_line(173, 213),
        horizontal_line(174, 214),
        horizontal_line(174, 214),
        horizontal_line(175, 215),
        horizontal_line(155, 175),
        horizontal_line(154, 175),
        horizontal_line(154, 175),
        horizontal_line(153, 175),
        horizontal_line(153, 175),
        horizontal_line(214, 239),
        horizontal_line(151, 175),
        horizontal_line(151, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 175),
        horizontal_line(152, 175),
        horizontal_line(154, 175),
        horizontal_line(157, 175),
        horizontal_line(159, 175),
        horizontal_line(162, 175),
        horizontal_line(210, 239),
        horizontal_line(167, 175),
        horizontal_line(169, 175),
        horizontal_line(172, 175),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(115, 176),
        horizontal_line(112, 174),
        horizontal_line(108, 170),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(88, 150),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
    };

    constexpr const shape frame_134_shape_group_2_shapes[] = {
        shape(frame_134_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_134_shape_group_2_shape_1_horizontal_lines, 3, 7),
        shape(frame_134_shape_group_2_shape_2_horizontal_lines, 10, 4),
        shape(frame_134_shape_group_2_shape_3_horizontal_lines, 26, 7),
        shape(frame_134_shape_group_2_shape_4_horizontal_lines, 40, 1),
        shape(frame_134_shape_group_2_shape_5_horizontal_lines, 62, 3),
        shape(frame_134_shape_group_2_shape_6_horizontal_lines, 63, 8),
        shape(frame_134_shape_group_2_shape_7_horizontal_lines, 65, 1),
        shape(frame_134_shape_group_2_shape_8_horizontal_lines, 89, 8),
        shape(frame_134_shape_group_2_shape_9_horizontal_lines, 90, 3),
        shape(frame_134_shape_group_2_shape_10_horizontal_lines, 91, 8),
        shape(frame_134_shape_group_2_shape_11_horizontal_lines, 98, 8),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(97, 159),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(164, 171),
        horizontal_line(166, 171),
        horizontal_line(168, 170),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(171, 212),
        horizontal_line(171, 211),
        horizontal_line(171, 211),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(115, 169),
        horizontal_line(115, 169),
        horizontal_line(115, 169),
        horizontal_line(116, 169),
        horizontal_line(116, 169),
        horizontal_line(117, 168),
        horizontal_line(117, 168),
        horizontal_line(117, 168),
        horizontal_line(118, 168),
        horizontal_line(118, 168),
        horizontal_line(119, 167),
        horizontal_line(116, 116),
        horizontal_line(116, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
        horizontal_line(121, 163),
        horizontal_line(122, 162),
        horizontal_line(122, 161),
        horizontal_line(122, 160),
        horizontal_line(123, 160),
        horizontal_line(123, 159),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(159, 201),
        horizontal_line(158, 201),
        horizontal_line(158, 200),
        horizontal_line(157, 200),
        horizontal_line(156, 199),
        horizontal_line(155, 199),
        horizontal_line(155, 199),
        horizontal_line(154, 163),
        horizontal_line(167, 198),
        horizontal_line(168, 197),
        horizontal_line(169, 197),
        horizontal_line(170, 196),
        horizontal_line(171, 196),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(173, 195),
        horizontal_line(174, 195),
        horizontal_line(175, 194),
        horizontal_line(176, 194),
        horizontal_line(177, 194),
        horizontal_line(178, 193),
        horizontal_line(179, 193),
        horizontal_line(180, 192),
        horizontal_line(181, 192),
        horizontal_line(182, 191),
        horizontal_line(183, 191),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(185, 190),
        horizontal_line(186, 190),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(30, 92),
        horizontal_line(102, 118),
        horizontal_line(49, 111),
        horizontal_line(59, 117),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(184, 190),
        horizontal_line(183, 191),
        horizontal_line(181, 191),
        horizontal_line(179, 192),
        horizontal_line(177, 192),
        horizontal_line(176, 193),
        horizontal_line(174, 193),
        horizontal_line(172, 194),
        horizontal_line(170, 194),
        horizontal_line(169, 195),
        horizontal_line(167, 195),
        horizontal_line(165, 196),
        horizontal_line(163, 196),
        horizontal_line(162, 197),
        horizontal_line(160, 197),
        horizontal_line(158, 198),
        horizontal_line(157, 198),
        horizontal_line(157, 199),
        horizontal_line(158, 199),
        horizontal_line(158, 200),
        horizontal_line(159, 200),
        horizontal_line(159, 201),
        horizontal_line(160, 201),
        horizontal_line(160, 202),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(118, 155),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 149),
        horizontal_line(130, 146),
        horizontal_line(136, 143),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(138, 154),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(216, 223),
        horizontal_line(216, 230),
        horizontal_line(215, 238),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(138, 151),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(176, 209),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(176, 207),
        horizontal_line(177, 207),
        horizontal_line(178, 206),
        horizontal_line(180, 206),
        horizontal_line(182, 205),
        horizontal_line(184, 205),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(141, 147),
        horizontal_line(138, 151),
        horizontal_line(135, 154),
        horizontal_line(131, 158),
        horizontal_line(128, 162),
        horizontal_line(125, 165),
        horizontal_line(122, 169),
        horizontal_line(118, 173),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_134_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(174, 180),
        horizontal_line(170, 184),
        horizontal_line(167, 187),
        horizontal_line(164, 191),
        horizontal_line(160, 195),
        horizontal_line(157, 198),
        horizontal_line(154, 202),
        horizontal_line(150, 206),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
    };

    constexpr const shape frame_134_shape_group_3_shapes[] = {
        shape(frame_134_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_134_shape_group_3_shape_1_horizontal_lines, 7, 1),
        shape(frame_134_shape_group_3_shape_2_horizontal_lines, 10, 7),
        shape(frame_134_shape_group_3_shape_3_horizontal_lines, 32, 1),
        shape(frame_134_shape_group_3_shape_4_horizontal_lines, 45, 3),
        shape(frame_134_shape_group_3_shape_5_horizontal_lines, 46, 1),
        shape(frame_134_shape_group_3_shape_6_horizontal_lines, 57, 3),
        shape(frame_134_shape_group_3_shape_7_horizontal_lines, 58, 1),
        shape(frame_134_shape_group_3_shape_8_horizontal_lines, 60, 3),
        shape(frame_134_shape_group_3_shape_9_horizontal_lines, 65, 8),
        shape(frame_134_shape_group_3_shape_10_horizontal_lines, 89, 3),
        shape(frame_134_shape_group_3_shape_11_horizontal_lines, 91, 3),
        shape(frame_134_shape_group_3_shape_12_horizontal_lines, 115, 9),
        shape(frame_134_shape_group_3_shape_13_horizontal_lines, 116, 8),
        shape(frame_134_shape_group_3_shape_14_horizontal_lines, 120, 9),
        shape(frame_134_shape_group_3_shape_15_horizontal_lines, 121, 8),
        shape(frame_134_shape_group_3_shape_16_horizontal_lines, 130, 9),
        shape(frame_134_shape_group_3_shape_17_horizontal_lines, 131, 8),
        shape(frame_134_shape_group_3_shape_18_horizontal_lines, 134, 9),
        shape(frame_134_shape_group_3_shape_19_horizontal_lines, 140, 8),
        shape(frame_134_shape_group_3_shape_20_horizontal_lines, 148, 9),
        shape(frame_134_shape_group_3_shape_21_horizontal_lines, 149, 8),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(159, 172),
        horizontal_line(160, 171),
        horizontal_line(162, 171),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(172, 213),
        horizontal_line(172, 213),
        horizontal_line(171, 212),
        horizontal_line(171, 212),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(170, 210),
        horizontal_line(170, 210),
        horizontal_line(170, 209),
        horizontal_line(170, 209),
        horizontal_line(170, 209),
        horizontal_line(169, 208),
        horizontal_line(169, 208),
        horizontal_line(169, 207),
        horizontal_line(169, 207),
        horizontal_line(169, 207),
        horizontal_line(168, 206),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(119, 166),
        horizontal_line(119, 166),
        horizontal_line(120, 165),
        horizontal_line(120, 164),
        horizontal_line(121, 163),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(164, 204),
        horizontal_line(163, 203),
        horizontal_line(162, 203),
        horizontal_line(161, 202),
        horizontal_line(161, 202),
        horizontal_line(160, 202),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(122, 123),
        horizontal_line(123, 123),
        horizontal_line(123, 123),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(166, 198),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 121),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(144, 145),
        horizontal_line(1, 63),
        horizontal_line(10, 72),
        horizontal_line(82, 118),
        horizontal_line(92, 118),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(111, 118),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(69, 117),
        horizontal_line(79, 117),
        horizontal_line(88, 117),
        horizontal_line(98, 117),
        horizontal_line(108, 117),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(118, 119),
        horizontal_line(118, 121),
        horizontal_line(118, 123),
        horizontal_line(118, 125),
        horizontal_line(118, 127),
        horizontal_line(118, 129),
        horizontal_line(118, 131),
        horizontal_line(118, 133),
        horizontal_line(118, 135),
        horizontal_line(118, 137),
        horizontal_line(118, 139),
        horizontal_line(118, 141),
        horizontal_line(118, 143),
        horizontal_line(118, 145),
        horizontal_line(118, 147),
        horizontal_line(118, 149),
        horizontal_line(118, 151),
        horizontal_line(118, 153),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(176, 216),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
        horizontal_line(176, 213),
        horizontal_line(141, 150),
        horizontal_line(144, 150),
        horizontal_line(147, 149),
        horizontal_line(176, 212),
        horizontal_line(176, 211),
        horizontal_line(176, 211),
        horizontal_line(176, 210),
        horizontal_line(176, 210),
        horizontal_line(176, 209),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(176, 208),
        horizontal_line(176, 208),
        horizontal_line(176, 208),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(185, 204),
        horizontal_line(187, 204),
        horizontal_line(189, 204),
        horizontal_line(191, 203),
        horizontal_line(193, 203),
        horizontal_line(194, 202),
        horizontal_line(196, 202),
        horizontal_line(198, 201),
    };

    constexpr const horizontal_line frame_134_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(209, 209),
        horizontal_line(206, 213),
        horizontal_line(203, 217),
    };

    constexpr const shape frame_134_shape_group_4_shapes[] = {
        shape(frame_134_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_134_shape_group_4_shape_1_horizontal_lines, 3, 1),
        shape(frame_134_shape_group_4_shape_2_horizontal_lines, 7, 8),
        shape(frame_134_shape_group_4_shape_3_horizontal_lines, 10, 1),
        shape(frame_134_shape_group_4_shape_4_horizontal_lines, 21, 7),
        shape(frame_134_shape_group_4_shape_5_horizontal_lines, 26, 1),
        shape(frame_134_shape_group_4_shape_6_horizontal_lines, 32, 8),
        shape(frame_134_shape_group_4_shape_7_horizontal_lines, 39, 1),
        shape(frame_134_shape_group_4_shape_8_horizontal_lines, 40, 3),
        shape(frame_134_shape_group_4_shape_9_horizontal_lines, 63, 3),
        shape(frame_134_shape_group_4_shape_10_horizontal_lines, 65, 3),
        shape(frame_134_shape_group_4_shape_11_horizontal_lines, 71, 3),
        shape(frame_134_shape_group_4_shape_12_horizontal_lines, 115, 9),
        shape(frame_134_shape_group_4_shape_13_horizontal_lines, 131, 9),
        shape(frame_134_shape_group_4_shape_14_horizontal_lines, 140, 9),
        shape(frame_134_shape_group_4_shape_15_horizontal_lines, 157, 8),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(173, 215),
        horizontal_line(172, 214),
        horizontal_line(172, 214),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(167, 206),
        horizontal_line(167, 205),
        horizontal_line(166, 205),
        horizontal_line(165, 204),
        horizontal_line(164, 204),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(119, 120),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(121, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(62, 96),
        horizontal_line(62, 101),
        horizontal_line(62, 106),
        horizontal_line(62, 111),
        horizontal_line(62, 116),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(147, 147),
        horizontal_line(147, 147),
        horizontal_line(146, 146),
        horizontal_line(146, 146),
        horizontal_line(145, 146),
        horizontal_line(145, 146),
        horizontal_line(144, 145),
        horizontal_line(144, 145),
        horizontal_line(143, 145),
        horizontal_line(62, 119),
        horizontal_line(63, 118),
        horizontal_line(72, 118),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(176, 215),
        horizontal_line(176, 215),
        horizontal_line(176, 214),
        horizontal_line(176, 214),
    };

    constexpr const horizontal_line frame_134_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(176, 213),
        horizontal_line(176, 212),
        horizontal_line(176, 212),
    };

    constexpr const shape frame_134_shape_group_5_shapes[] = {
        shape(frame_134_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_134_shape_group_5_shape_1_horizontal_lines, 3, 8),
        shape(frame_134_shape_group_5_shape_2_horizontal_lines, 10, 8),
        shape(frame_134_shape_group_5_shape_3_horizontal_lines, 21, 1),
        shape(frame_134_shape_group_5_shape_4_horizontal_lines, 26, 8),
        shape(frame_134_shape_group_5_shape_5_horizontal_lines, 32, 3),
        shape(frame_134_shape_group_5_shape_6_horizontal_lines, 39, 8),
        shape(frame_134_shape_group_5_shape_7_horizontal_lines, 40, 3),
        shape(frame_134_shape_group_5_shape_8_horizontal_lines, 46, 3),
        shape(frame_134_shape_group_5_shape_9_horizontal_lines, 116, 9),
        shape(frame_134_shape_group_5_shape_10_horizontal_lines, 121, 9),
    };

    constexpr const horizontal_line frame_134_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_134_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_134_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_134_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(117, 118),
        horizontal_line(117, 118),
        horizontal_line(118, 119),
        horizontal_line(118, 119),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_134_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 33),
        horizontal_line(0, 38),
        horizontal_line(0, 43),
        horizontal_line(0, 48),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_134_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 67),
        horizontal_line(62, 72),
        horizontal_line(62, 77),
        horizontal_line(62, 82),
        horizontal_line(62, 87),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_134_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
    };

    constexpr const shape frame_134_shape_group_6_shapes[] = {
        shape(frame_134_shape_group_6_shape_0_horizontal_lines, 0, 8),
        shape(frame_134_shape_group_6_shape_1_horizontal_lines, 13, 8),
        shape(frame_134_shape_group_6_shape_2_horizontal_lines, 20, 3),
        shape(frame_134_shape_group_6_shape_3_horizontal_lines, 21, 8),
        shape(frame_134_shape_group_6_shape_4_horizontal_lines, 26, 3),
        shape(frame_134_shape_group_6_shape_5_horizontal_lines, 33, 3),
        shape(frame_134_shape_group_6_shape_6_horizontal_lines, 48, 3),
    };

    constexpr const horizontal_line frame_134_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 9),
        horizontal_line(0, 14),
        horizontal_line(0, 19),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_134_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 91),
    };

    constexpr const shape frame_134_shape_group_7_shapes[] = {
        shape(frame_134_shape_group_7_shape_0_horizontal_lines, 21, 3),
        shape(frame_134_shape_group_7_shape_1_horizontal_lines, 39, 3),
    };

    constexpr const shape_group frame_134_shape_groups[] = {
        shape_group(frame_134_shape_group_0_shapes),
        shape_group(frame_134_shape_group_1_shapes),
        shape_group(frame_134_shape_group_2_shapes),
        shape_group(frame_134_shape_group_3_shapes),
        shape_group(frame_134_shape_group_4_shapes),
        shape_group(frame_134_shape_group_5_shapes),
        shape_group(frame_134_shape_group_6_shapes),
        shape_group(frame_134_shape_group_7_shapes),
    };

    constexpr const frame frame_134_impl(frame_134_colors, frame_134_shape_groups);
} 

const frame& frame_134()
{
    return frame_134_impl;
}

namespace
{
    constexpr const bn::color frame_135_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_135_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(10, 72),
        horizontal_line(14, 76),
        horizontal_line(19, 81),
        horizontal_line(23, 85),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(37, 99),
        horizontal_line(41, 103),
        horizontal_line(46, 104),
        horizontal_line(50, 105),
        horizontal_line(55, 105),
        horizontal_line(59, 105),
        horizontal_line(64, 105),
        horizontal_line(68, 105),
        horizontal_line(73, 106),
        horizontal_line(77, 106),
        horizontal_line(82, 106),
        horizontal_line(86, 106),
        horizontal_line(91, 107),
        horizontal_line(95, 107),
        horizontal_line(100, 107),
        horizontal_line(104, 107),
    };

    constexpr const horizontal_line frame_135_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(109, 156),
    };

    constexpr const horizontal_line frame_135_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(108, 111),
        horizontal_line(107, 113),
        horizontal_line(107, 115),
        horizontal_line(107, 117),
        horizontal_line(106, 119),
        horizontal_line(106, 121),
        horizontal_line(106, 123),
        horizontal_line(105, 125),
        horizontal_line(105, 127),
        horizontal_line(104, 129),
        horizontal_line(104, 131),
        horizontal_line(104, 133),
        horizontal_line(103, 135),
        horizontal_line(103, 137),
        horizontal_line(103, 139),
        horizontal_line(102, 141),
        horizontal_line(102, 143),
        horizontal_line(101, 145),
        horizontal_line(101, 147),
        horizontal_line(101, 149),
        horizontal_line(100, 151),
        horizontal_line(100, 153),
        horizontal_line(100, 155),
        horizontal_line(99, 157),
        horizontal_line(99, 159),
        horizontal_line(99, 158),
        horizontal_line(101, 158),
        horizontal_line(103, 158),
        horizontal_line(105, 158),
        horizontal_line(107, 157),
        horizontal_line(110, 157),
        horizontal_line(112, 157),
        horizontal_line(114, 157),
        horizontal_line(116, 156),
        horizontal_line(118, 156),
        horizontal_line(121, 156),
        horizontal_line(123, 156),
        horizontal_line(125, 156),
        horizontal_line(127, 155),
        horizontal_line(129, 155),
        horizontal_line(132, 155),
        horizontal_line(134, 155),
        horizontal_line(136, 154),
        horizontal_line(138, 154),
        horizontal_line(140, 154),
        horizontal_line(143, 154),
        horizontal_line(145, 153),
        horizontal_line(147, 153),
        horizontal_line(149, 153),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_135_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(162, 210),
        horizontal_line(163, 210),
        horizontal_line(163, 211),
        horizontal_line(164, 211),
        horizontal_line(164, 212),
        horizontal_line(165, 212),
        horizontal_line(165, 213),
        horizontal_line(166, 213),
        horizontal_line(167, 214),
        horizontal_line(149, 150),
        horizontal_line(149, 150),
        horizontal_line(148, 151),
        horizontal_line(148, 151),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(146, 152),
        horizontal_line(146, 153),
        horizontal_line(143, 153),
        horizontal_line(141, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 155),
        horizontal_line(139, 155),
        horizontal_line(139, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 157),
        horizontal_line(141, 157),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(131, 142),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(133, 141),
        horizontal_line(126, 126),
        horizontal_line(125, 129),
        horizontal_line(125, 132),
        horizontal_line(127, 135),
        horizontal_line(130, 138),
        horizontal_line(132, 141),
        horizontal_line(135, 144),
        horizontal_line(137, 147),
        horizontal_line(85, 91),
        horizontal_line(80, 94),
        horizontal_line(75, 97),
        horizontal_line(69, 100),
        horizontal_line(64, 103),
        horizontal_line(59, 105),
        horizontal_line(53, 108),
        horizontal_line(48, 110),
        horizontal_line(43, 105),
        horizontal_line(38, 100),
        horizontal_line(32, 94),
        horizontal_line(27, 89),
        horizontal_line(22, 84),
        horizontal_line(16, 78),
        horizontal_line(11, 73),
        horizontal_line(6, 68),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_135_shape_group_0_shapes[] = {
        shape(frame_135_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_135_shape_group_0_shape_1_horizontal_lines, 30, 7),
        shape(frame_135_shape_group_0_shape_2_horizontal_lines, 31, 2),
        shape(frame_135_shape_group_0_shape_3_horizontal_lines, 82, 8),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 82),
        horizontal_line(62, 86),
        horizontal_line(62, 89),
        horizontal_line(62, 92),
        horizontal_line(63, 96),
        horizontal_line(67, 99),
        horizontal_line(72, 103),
        horizontal_line(76, 103),
        horizontal_line(81, 103),
        horizontal_line(85, 103),
        horizontal_line(90, 103),
        horizontal_line(94, 104),
        horizontal_line(99, 104),
        horizontal_line(103, 104),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(117, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 120),
        horizontal_line(120, 120),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(157, 162),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(110, 156),
        horizontal_line(112, 155),
        horizontal_line(114, 155),
        horizontal_line(116, 154),
        horizontal_line(118, 153),
        horizontal_line(120, 153),
        horizontal_line(122, 152),
        horizontal_line(124, 152),
        horizontal_line(126, 151),
        horizontal_line(128, 151),
        horizontal_line(130, 150),
        horizontal_line(132, 150),
        horizontal_line(134, 149),
        horizontal_line(136, 149),
        horizontal_line(138, 148),
        horizontal_line(140, 148),
        horizontal_line(142, 148),
        horizontal_line(144, 147),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 56),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(193, 194),
        horizontal_line(192, 195),
        horizontal_line(190, 195),
        horizontal_line(189, 196),
        horizontal_line(187, 196),
        horizontal_line(186, 197),
        horizontal_line(184, 197),
        horizontal_line(183, 198),
        horizontal_line(182, 198),
        horizontal_line(180, 199),
        horizontal_line(179, 199),
        horizontal_line(177, 200),
        horizontal_line(176, 200),
        horizontal_line(174, 201),
        horizontal_line(173, 201),
        horizontal_line(171, 202),
        horizontal_line(170, 202),
        horizontal_line(169, 203),
        horizontal_line(167, 203),
        horizontal_line(166, 204),
        horizontal_line(164, 204),
        horizontal_line(163, 205),
        horizontal_line(161, 205),
        horizontal_line(160, 206),
        horizontal_line(159, 206),
        horizontal_line(159, 207),
        horizontal_line(160, 207),
        horizontal_line(160, 208),
        horizontal_line(161, 208),
        horizontal_line(161, 209),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(100, 113),
        horizontal_line(100, 117),
        horizontal_line(99, 121),
        horizontal_line(99, 126),
        horizontal_line(99, 130),
        horizontal_line(99, 150),
        horizontal_line(99, 150),
        horizontal_line(98, 149),
        horizontal_line(98, 149),
    };

    constexpr const horizontal_line frame_135_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(167, 214),
        horizontal_line(168, 215),
        horizontal_line(168, 215),
        horizontal_line(169, 216),
        horizontal_line(170, 216),
        horizontal_line(170, 217),
        horizontal_line(171, 217),
        horizontal_line(171, 218),
        horizontal_line(172, 218),
        horizontal_line(172, 219),
        horizontal_line(173, 219),
        horizontal_line(174, 220),
        horizontal_line(174, 220),
        horizontal_line(175, 221),
        horizontal_line(175, 221),
        horizontal_line(176, 222),
        horizontal_line(176, 222),
        horizontal_line(177, 223),
        horizontal_line(178, 223),
        horizontal_line(178, 224),
        horizontal_line(142, 159),
        horizontal_line(142, 159),
        horizontal_line(142, 161),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(159, 180),
        horizontal_line(159, 180),
        horizontal_line(136, 141),
        horizontal_line(139, 141),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(156, 180),
        horizontal_line(156, 180),
        horizontal_line(155, 180),
        horizontal_line(155, 180),
        horizontal_line(140, 150),
        horizontal_line(142, 154),
        horizontal_line(145, 157),
        horizontal_line(147, 160),
        horizontal_line(150, 163),
        horizontal_line(152, 166),
        horizontal_line(155, 169),
        horizontal_line(157, 172),
        horizontal_line(160, 175),
        horizontal_line(162, 180),
        horizontal_line(165, 181),
        horizontal_line(167, 182),
        horizontal_line(170, 184),
        horizontal_line(172, 185),
        horizontal_line(175, 187),
        horizontal_line(177, 188),
        horizontal_line(180, 190),
        horizontal_line(182, 191),
        horizontal_line(185, 193),
        horizontal_line(187, 194),
        horizontal_line(190, 196),
        horizontal_line(192, 197),
        horizontal_line(195, 199),
        horizontal_line(197, 200),
        horizontal_line(200, 202),
        horizontal_line(202, 203),
        horizontal_line(205, 205),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_135_shape_group_1_shapes[] = {
        shape(frame_135_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_135_shape_group_1_shape_1_horizontal_lines, 16, 8),
        shape(frame_135_shape_group_1_shape_2_horizontal_lines, 30, 1),
        shape(frame_135_shape_group_1_shape_3_horizontal_lines, 31, 7),
        shape(frame_135_shape_group_1_shape_4_horizontal_lines, 50, 1),
        shape(frame_135_shape_group_1_shape_5_horizontal_lines, 52, 8),
        shape(frame_135_shape_group_1_shape_6_horizontal_lines, 82, 1),
        shape(frame_135_shape_group_1_shape_7_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(77, 104),
        horizontal_line(80, 103),
        horizontal_line(83, 103),
        horizontal_line(87, 103),
        horizontal_line(90, 103),
        horizontal_line(93, 103),
        horizontal_line(97, 103),
        horizontal_line(100, 103),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(112, 113),
        horizontal_line(112, 113),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(114, 115),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(105, 114),
        horizontal_line(106, 114),
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(107, 118),
        horizontal_line(107, 118),
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 120),
        horizontal_line(108, 121),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(171, 198),
        horizontal_line(157, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 160),
        horizontal_line(155, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 158),
        horizontal_line(153, 158),
        horizontal_line(153, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 156),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(0, 0),
        horizontal_line(0, 7),
        horizontal_line(0, 14),
        horizontal_line(0, 21),
        horizontal_line(0, 28),
        horizontal_line(0, 35),
        horizontal_line(0, 42),
        horizontal_line(148, 150),
        horizontal_line(150, 150),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(17, 79),
        horizontal_line(34, 96),
        horizontal_line(51, 99),
        horizontal_line(67, 99),
        horizontal_line(84, 99),
        horizontal_line(154, 155),
        horizontal_line(100, 104),
        horizontal_line(100, 108),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(114, 153),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(150, 152),
        horizontal_line(146, 152),
        horizontal_line(143, 151),
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(98, 148),
        horizontal_line(98, 148),
        horizontal_line(97, 147),
        horizontal_line(97, 132),
        horizontal_line(97, 146),
        horizontal_line(97, 146),
        horizontal_line(97, 131),
        horizontal_line(96, 131),
        horizontal_line(96, 141),
        horizontal_line(96, 130),
        horizontal_line(96, 130),
        horizontal_line(96, 130),
        horizontal_line(95, 129),
        horizontal_line(95, 129),
        horizontal_line(95, 129),
        horizontal_line(95, 128),
        horizontal_line(94, 128),
        horizontal_line(94, 128),
        horizontal_line(94, 127),
        horizontal_line(94, 127),
    };

    constexpr const horizontal_line frame_135_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(179, 224),
        horizontal_line(179, 225),
        horizontal_line(180, 227),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(158, 180),
        horizontal_line(158, 180),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(157, 180),
        horizontal_line(159, 180),
        horizontal_line(162, 180),
        horizontal_line(164, 180),
        horizontal_line(167, 180),
        horizontal_line(169, 180),
        horizontal_line(172, 180),
        horizontal_line(174, 180),
        horizontal_line(177, 180),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_135_shape_group_2_shapes[] = {
        shape(frame_135_shape_group_2_shape_0_horizontal_lines, 0, 4),
        shape(frame_135_shape_group_2_shape_1_horizontal_lines, 8, 8),
        shape(frame_135_shape_group_2_shape_2_horizontal_lines, 16, 7),
        shape(frame_135_shape_group_2_shape_3_horizontal_lines, 30, 1),
        shape(frame_135_shape_group_2_shape_4_horizontal_lines, 82, 3),
        shape(frame_135_shape_group_2_shape_5_horizontal_lines, 83, 1),
        shape(frame_135_shape_group_2_shape_6_horizontal_lines, 91, 1),
        shape(frame_135_shape_group_2_shape_7_horizontal_lines, 111, 8),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(106, 108),
        horizontal_line(107, 108),
        horizontal_line(108, 109),
        horizontal_line(109, 109),
        horizontal_line(110, 110),
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(104, 112),
        horizontal_line(105, 112),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(117, 164),
        horizontal_line(117, 164),
        horizontal_line(118, 163),
        horizontal_line(118, 163),
        horizontal_line(118, 162),
        horizontal_line(119, 161),
        horizontal_line(119, 161),
        horizontal_line(120, 160),
        horizontal_line(120, 160),
        horizontal_line(121, 159),
        horizontal_line(121, 159),
        horizontal_line(122, 158),
        horizontal_line(122, 157),
        horizontal_line(123, 157),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(172, 198),
        horizontal_line(173, 198),
        horizontal_line(174, 197),
        horizontal_line(176, 197),
        horizontal_line(177, 197),
        horizontal_line(178, 197),
        horizontal_line(179, 197),
        horizontal_line(180, 196),
        horizontal_line(181, 196),
        horizontal_line(182, 196),
        horizontal_line(183, 196),
        horizontal_line(184, 195),
        horizontal_line(151, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 153),
        horizontal_line(150, 153),
        horizontal_line(149, 152),
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(193, 194),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(57, 100),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 70),
        horizontal_line(62, 77),
        horizontal_line(62, 84),
        horizontal_line(62, 91),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(63, 99),
        horizontal_line(155, 156),
        horizontal_line(155, 157),
        horizontal_line(155, 158),
        horizontal_line(155, 157),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(101, 146),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(109, 150),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(118, 149),
        horizontal_line(122, 145),
        horizontal_line(127, 142),
        horizontal_line(131, 138),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(134, 147),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(133, 145),
        horizontal_line(133, 145),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(132, 138),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(131, 134),
        horizontal_line(131, 132),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(94, 127),
        horizontal_line(93, 126),
        horizontal_line(93, 126),
        horizontal_line(93, 126),
        horizontal_line(93, 125),
        horizontal_line(92, 125),
        horizontal_line(92, 125),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(92, 123),
        horizontal_line(91, 116),
        horizontal_line(91, 109),
        horizontal_line(91, 102),
        horizontal_line(91, 95),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(181, 220),
    };

    constexpr const horizontal_line frame_135_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(100, 117),
        horizontal_line(94, 120),
        horizontal_line(89, 122),
        horizontal_line(84, 125),
        horizontal_line(78, 128),
        horizontal_line(73, 131),
        horizontal_line(68, 130),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 173),
        horizontal_line(124, 176),
        horizontal_line(124, 179),
        horizontal_line(124, 182),
        horizontal_line(124, 185),
    };

    constexpr const shape frame_135_shape_group_3_shapes[] = {
        shape(frame_135_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_135_shape_group_3_shape_1_horizontal_lines, 8, 7),
        shape(frame_135_shape_group_3_shape_2_horizontal_lines, 30, 3),
        shape(frame_135_shape_group_3_shape_3_horizontal_lines, 31, 1),
        shape(frame_135_shape_group_3_shape_4_horizontal_lines, 51, 3),
        shape(frame_135_shape_group_3_shape_5_horizontal_lines, 52, 1),
        shape(frame_135_shape_group_3_shape_6_horizontal_lines, 79, 3),
        shape(frame_135_shape_group_3_shape_7_horizontal_lines, 80, 1),
        shape(frame_135_shape_group_3_shape_8_horizontal_lines, 81, 3),
        shape(frame_135_shape_group_3_shape_9_horizontal_lines, 83, 3),
        shape(frame_135_shape_group_3_shape_10_horizontal_lines, 94, 1),
        shape(frame_135_shape_group_3_shape_11_horizontal_lines, 97, 1),
        shape(frame_135_shape_group_3_shape_12_horizontal_lines, 99, 3),
        shape(frame_135_shape_group_3_shape_13_horizontal_lines, 100, 1),
        shape(frame_135_shape_group_3_shape_14_horizontal_lines, 102, 3),
        shape(frame_135_shape_group_3_shape_15_horizontal_lines, 103, 1),
        shape(frame_135_shape_group_3_shape_16_horizontal_lines, 111, 1),
        shape(frame_135_shape_group_3_shape_17_horizontal_lines, 118, 8),
        shape(frame_135_shape_group_3_shape_18_horizontal_lines, 120, 1),
        shape(frame_135_shape_group_3_shape_19_horizontal_lines, 125, 9),
        shape(frame_135_shape_group_3_shape_20_horizontal_lines, 126, 8),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(108, 167),
        horizontal_line(104, 104),
        horizontal_line(104, 105),
        horizontal_line(104, 106),
        horizontal_line(104, 107),
        horizontal_line(104, 108),
        horizontal_line(104, 109),
        horizontal_line(104, 109),
        horizontal_line(113, 166),
        horizontal_line(113, 166),
        horizontal_line(114, 166),
        horizontal_line(114, 166),
        horizontal_line(115, 166),
        horizontal_line(115, 165),
        horizontal_line(116, 165),
        horizontal_line(116, 165),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(165, 201),
        horizontal_line(165, 201),
        horizontal_line(164, 201),
        horizontal_line(164, 200),
        horizontal_line(163, 200),
        horizontal_line(162, 200),
        horizontal_line(162, 200),
        horizontal_line(161, 200),
        horizontal_line(161, 199),
        horizontal_line(160, 199),
        horizontal_line(160, 164),
        horizontal_line(159, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(62, 108),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(186, 195),
        horizontal_line(187, 195),
        horizontal_line(188, 195),
        horizontal_line(189, 195),
        horizontal_line(190, 194),
        horizontal_line(191, 194),
        horizontal_line(192, 194),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(50, 100),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(64, 99),
        horizontal_line(71, 99),
        horizontal_line(78, 99),
        horizontal_line(85, 98),
        horizontal_line(92, 98),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(99, 100),
        horizontal_line(99, 102),
        horizontal_line(99, 104),
        horizontal_line(99, 106),
        horizontal_line(99, 109),
        horizontal_line(99, 111),
        horizontal_line(99, 113),
        horizontal_line(99, 115),
        horizontal_line(99, 117),
        horizontal_line(99, 120),
        horizontal_line(100, 122),
        horizontal_line(100, 124),
        horizontal_line(100, 126),
        horizontal_line(100, 128),
        horizontal_line(100, 131),
        horizontal_line(100, 133),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(79, 99),
        horizontal_line(96, 99),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(100, 139),
        horizontal_line(100, 142),
        horizontal_line(100, 144),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(105, 148),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(128, 129),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(92, 124),
        horizontal_line(92, 124),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(142, 156),
        horizontal_line(144, 156),
        horizontal_line(147, 155),
        horizontal_line(150, 155),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(181, 220),
        horizontal_line(181, 219),
        horizontal_line(181, 219),
        horizontal_line(181, 218),
        horizontal_line(181, 218),
        horizontal_line(181, 218),
        horizontal_line(181, 217),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(105, 114),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(181, 216),
        horizontal_line(182, 215),
        horizontal_line(183, 215),
        horizontal_line(185, 215),
        horizontal_line(186, 214),
        horizontal_line(188, 214),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(130, 134),
        horizontal_line(125, 137),
        horizontal_line(124, 139),
        horizontal_line(124, 142),
        horizontal_line(124, 145),
        horizontal_line(124, 148),
        horizontal_line(124, 151),
        horizontal_line(124, 153),
        horizontal_line(124, 156),
        horizontal_line(124, 159),
        horizontal_line(124, 162),
        horizontal_line(124, 165),
    };

    constexpr const horizontal_line frame_135_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(207, 208),
    };

    constexpr const shape frame_135_shape_group_4_shapes[] = {
        shape(frame_135_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_135_shape_group_4_shape_1_horizontal_lines, 16, 1),
        shape(frame_135_shape_group_4_shape_2_horizontal_lines, 30, 3),
        shape(frame_135_shape_group_4_shape_3_horizontal_lines, 43, 1),
        shape(frame_135_shape_group_4_shape_4_horizontal_lines, 50, 3),
        shape(frame_135_shape_group_4_shape_5_horizontal_lines, 52, 3),
        shape(frame_135_shape_group_4_shape_6_horizontal_lines, 58, 3),
        shape(frame_135_shape_group_4_shape_7_horizontal_lines, 74, 1),
        shape(frame_135_shape_group_4_shape_8_horizontal_lines, 76, 3),
        shape(frame_135_shape_group_4_shape_9_horizontal_lines, 80, 3),
        shape(frame_135_shape_group_4_shape_10_horizontal_lines, 100, 3),
        shape(frame_135_shape_group_4_shape_11_horizontal_lines, 114, 9),
        shape(frame_135_shape_group_4_shape_12_horizontal_lines, 118, 1),
        shape(frame_135_shape_group_4_shape_13_horizontal_lines, 120, 9),
        shape(frame_135_shape_group_4_shape_14_horizontal_lines, 126, 9),
        shape(frame_135_shape_group_4_shape_15_horizontal_lines, 133, 8),
        shape(frame_135_shape_group_4_shape_16_horizontal_lines, 135, 9),
        shape(frame_135_shape_group_4_shape_17_horizontal_lines, 141, 8),
        shape(frame_135_shape_group_4_shape_18_horizontal_lines, 153, 9),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(168, 205),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(108, 166),
        horizontal_line(109, 166),
        horizontal_line(109, 166),
        horizontal_line(110, 166),
        horizontal_line(110, 166),
        horizontal_line(111, 166),
        horizontal_line(113, 166),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(167, 203),
        horizontal_line(167, 203),
        horizontal_line(167, 202),
        horizontal_line(167, 202),
        horizontal_line(167, 202),
        horizontal_line(166, 202),
        horizontal_line(166, 201),
        horizontal_line(166, 201),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 49),
        horizontal_line(0, 54),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(167, 199),
        horizontal_line(168, 199),
        horizontal_line(169, 198),
        horizontal_line(170, 198),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(1, 63),
        horizontal_line(8, 70),
        horizontal_line(15, 77),
        horizontal_line(22, 84),
        horizontal_line(29, 91),
        horizontal_line(36, 98),
        horizontal_line(43, 100),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(100, 135),
        horizontal_line(100, 137),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(143, 159),
        horizontal_line(142, 159),
        horizontal_line(181, 224),
        horizontal_line(181, 224),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(181, 222),
        horizontal_line(181, 222),
        horizontal_line(181, 222),
        horizontal_line(181, 221),
        horizontal_line(181, 221),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(181, 217),
        horizontal_line(181, 216),
    };

    constexpr const horizontal_line frame_135_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(189, 213),
        horizontal_line(191, 213),
        horizontal_line(192, 212),
        horizontal_line(194, 212),
        horizontal_line(195, 211),
        horizontal_line(197, 211),
        horizontal_line(198, 211),
        horizontal_line(200, 210),
        horizontal_line(201, 210),
        horizontal_line(203, 209),
        horizontal_line(204, 209),
        horizontal_line(206, 208),
    };

    constexpr const shape frame_135_shape_group_5_shapes[] = {
        shape(frame_135_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_135_shape_group_5_shape_1_horizontal_lines, 1, 7),
        shape(frame_135_shape_group_5_shape_2_horizontal_lines, 8, 1),
        shape(frame_135_shape_group_5_shape_3_horizontal_lines, 16, 3),
        shape(frame_135_shape_group_5_shape_4_horizontal_lines, 26, 1),
        shape(frame_135_shape_group_5_shape_5_horizontal_lines, 31, 3),
        shape(frame_135_shape_group_5_shape_6_horizontal_lines, 74, 3),
        shape(frame_135_shape_group_5_shape_7_horizontal_lines, 114, 9),
        shape(frame_135_shape_group_5_shape_8_horizontal_lines, 133, 9),
        shape(frame_135_shape_group_5_shape_9_horizontal_lines, 141, 9),
    };

    constexpr const horizontal_line frame_135_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(167, 204),
        horizontal_line(167, 204),
        horizontal_line(167, 204),
        horizontal_line(167, 204),
        horizontal_line(167, 203),
        horizontal_line(167, 203),
        horizontal_line(167, 203),
    };

    constexpr const horizontal_line frame_135_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 27),
        horizontal_line(0, 31),
        horizontal_line(0, 36),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_135_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 67),
        horizontal_line(62, 72),
        horizontal_line(62, 76),
        horizontal_line(62, 81),
        horizontal_line(62, 85),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_135_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(70, 102),
        horizontal_line(149, 149),
        horizontal_line(149, 149),
        horizontal_line(91, 101),
        horizontal_line(148, 148),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_135_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(181, 225),
        horizontal_line(181, 225),
    };

    constexpr const horizontal_line frame_135_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(181, 223),
        horizontal_line(181, 223),
    };

    constexpr const shape frame_135_shape_group_6_shapes[] = {
        shape(frame_135_shape_group_6_shape_0_horizontal_lines, 1, 1),
        shape(frame_135_shape_group_6_shape_1_horizontal_lines, 8, 3),
        shape(frame_135_shape_group_6_shape_2_horizontal_lines, 20, 3),
        shape(frame_135_shape_group_6_shape_3_horizontal_lines, 43, 3),
        shape(frame_135_shape_group_6_shape_4_horizontal_lines, 114, 9),
        shape(frame_135_shape_group_6_shape_5_horizontal_lines, 118, 9),
    };

    constexpr const horizontal_line frame_135_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_135_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 90),
        horizontal_line(62, 94),
        horizontal_line(62, 99),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_135_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(63, 103),
    };

    constexpr const horizontal_line frame_135_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(77, 102),
        horizontal_line(84, 102),
    };

    constexpr const horizontal_line frame_135_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(98, 101),
    };

    constexpr const shape frame_135_shape_group_7_shapes[] = {
        shape(frame_135_shape_group_7_shape_0_horizontal_lines, 6, 3),
        shape(frame_135_shape_group_7_shape_1_horizontal_lines, 26, 3),
        shape(frame_135_shape_group_7_shape_2_horizontal_lines, 43, 3),
        shape(frame_135_shape_group_7_shape_3_horizontal_lines, 45, 3),
        shape(frame_135_shape_group_7_shape_4_horizontal_lines, 48, 3),
    };

    constexpr const shape_group frame_135_shape_groups[] = {
        shape_group(frame_135_shape_group_0_shapes),
        shape_group(frame_135_shape_group_1_shapes),
        shape_group(frame_135_shape_group_2_shapes),
        shape_group(frame_135_shape_group_3_shapes),
        shape_group(frame_135_shape_group_4_shapes),
        shape_group(frame_135_shape_group_5_shapes),
        shape_group(frame_135_shape_group_6_shapes),
        shape_group(frame_135_shape_group_7_shapes),
    };

    constexpr const frame frame_135_impl(frame_135_colors, frame_135_shape_groups);
} 

const frame& frame_135()
{
    return frame_135_impl;
}

namespace
{
    constexpr const bn::color frame_136_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 57),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(7, 69),
        horizontal_line(14, 76),
        horizontal_line(20, 76),
        horizontal_line(27, 76),
        horizontal_line(33, 75),
        horizontal_line(40, 75),
        horizontal_line(46, 74),
        horizontal_line(53, 73),
        horizontal_line(59, 73),
        horizontal_line(66, 72),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(73, 135),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(73, 74),
        horizontal_line(73, 76),
        horizontal_line(73, 78),
        horizontal_line(73, 80),
        horizontal_line(73, 82),
        horizontal_line(73, 84),
        horizontal_line(73, 86),
        horizontal_line(73, 88),
        horizontal_line(73, 90),
        horizontal_line(74, 92),
        horizontal_line(74, 94),
        horizontal_line(74, 96),
        horizontal_line(74, 98),
        horizontal_line(74, 100),
        horizontal_line(74, 102),
        horizontal_line(74, 104),
        horizontal_line(74, 106),
        horizontal_line(74, 108),
        horizontal_line(74, 111),
        horizontal_line(75, 113),
        horizontal_line(75, 115),
        horizontal_line(75, 117),
        horizontal_line(75, 119),
        horizontal_line(75, 121),
        horizontal_line(75, 123),
        horizontal_line(75, 125),
        horizontal_line(75, 127),
        horizontal_line(75, 129),
        horizontal_line(76, 131),
        horizontal_line(80, 133),
        horizontal_line(84, 135),
        horizontal_line(88, 137),
        horizontal_line(92, 139),
        horizontal_line(96, 141),
        horizontal_line(100, 143),
        horizontal_line(104, 145),
        horizontal_line(108, 148),
        horizontal_line(112, 143),
        horizontal_line(116, 139),
        horizontal_line(120, 135),
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(164, 221),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(166, 222),
        horizontal_line(166, 223),
        horizontal_line(167, 223),
        horizontal_line(167, 224),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(148, 151),
        horizontal_line(147, 152),
        horizontal_line(146, 152),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_9_horizontal_lines[] = {
        horizontal_line(145, 153),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_10_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(137, 141),
        horizontal_line(133, 139),
        horizontal_line(130, 138),
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_136_shape_group_0_shape_11_horizontal_lines[] = {
        horizontal_line(142, 158),
        horizontal_line(142, 159),
        horizontal_line(142, 159),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 161),
        horizontal_line(131, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 132),
        horizontal_line(129, 132),
        horizontal_line(134, 134),
        horizontal_line(133, 140),
        horizontal_line(133, 145),
        horizontal_line(132, 144),
        horizontal_line(123, 123),
        horizontal_line(113, 126),
        horizontal_line(115, 129),
        horizontal_line(117, 132),
        horizontal_line(120, 135),
        horizontal_line(122, 138),
        horizontal_line(125, 141),
        horizontal_line(46, 54),
        horizontal_line(37, 56),
        horizontal_line(28, 58),
        horizontal_line(19, 60),
        horizontal_line(10, 62),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_136_shape_group_0_shapes[] = {
        shape(frame_136_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_136_shape_group_0_shape_1_horizontal_lines, 36, 2),
        shape(frame_136_shape_group_0_shape_2_horizontal_lines, 37, 3),
        shape(frame_136_shape_group_0_shape_3_horizontal_lines, 78, 8),
        shape(frame_136_shape_group_0_shape_4_horizontal_lines, 79, 3),
        shape(frame_136_shape_group_0_shape_5_horizontal_lines, 80, 8),
        shape(frame_136_shape_group_0_shape_6_horizontal_lines, 84, 3),
        shape(frame_136_shape_group_0_shape_7_horizontal_lines, 85, 8),
        shape(frame_136_shape_group_0_shape_8_horizontal_lines, 89, 3),
        shape(frame_136_shape_group_0_shape_9_horizontal_lines, 90, 8),
        shape(frame_136_shape_group_0_shape_10_horizontal_lines, 95, 3),
        shape(frame_136_shape_group_0_shape_11_horizontal_lines, 100, 8),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(54, 87),
        horizontal_line(58, 87),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 66),
        horizontal_line(62, 71),
        horizontal_line(62, 75),
        horizontal_line(62, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(63, 78),
        horizontal_line(69, 78),
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(77, 128),
        horizontal_line(77, 130),
        horizontal_line(76, 132),
        horizontal_line(76, 134),
        horizontal_line(75, 136),
        horizontal_line(74, 136),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(135, 144),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 154),
        horizontal_line(95, 154),
        horizontal_line(97, 154),
        horizontal_line(99, 154),
        horizontal_line(101, 153),
        horizontal_line(103, 153),
        horizontal_line(105, 153),
        horizontal_line(107, 153),
        horizontal_line(109, 152),
        horizontal_line(112, 152),
        horizontal_line(114, 152),
        horizontal_line(116, 152),
        horizontal_line(118, 151),
        horizontal_line(120, 151),
        horizontal_line(122, 151),
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(128, 150),
        horizontal_line(130, 150),
        horizontal_line(132, 150),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(136, 149),
        horizontal_line(138, 149),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(144, 148),
        horizontal_line(146, 148),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(161, 218),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(163, 220),
        horizontal_line(164, 221),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(71, 133),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(165, 222),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(70, 126),
        horizontal_line(70, 125),
        horizontal_line(69, 125),
        horizontal_line(69, 125),
    };

    constexpr const horizontal_line frame_136_shape_group_1_shape_15_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(169, 225),
        horizontal_line(169, 225),
        horizontal_line(170, 226),
        horizontal_line(170, 227),
        horizontal_line(146, 153),
        horizontal_line(172, 228),
        horizontal_line(172, 228),
        horizontal_line(173, 229),
        horizontal_line(174, 229),
        horizontal_line(174, 230),
        horizontal_line(143, 156),
        horizontal_line(142, 156),
        horizontal_line(141, 157),
        horizontal_line(141, 157),
        horizontal_line(142, 158),
        horizontal_line(178, 233),
        horizontal_line(178, 234),
        horizontal_line(179, 234),
        horizontal_line(180, 235),
        horizontal_line(180, 235),
        horizontal_line(181, 236),
        horizontal_line(144, 161),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(144, 163),
        horizontal_line(145, 165),
        horizontal_line(145, 157),
        horizontal_line(145, 151),
        horizontal_line(163, 184),
        horizontal_line(162, 184),
        horizontal_line(135, 144),
        horizontal_line(138, 144),
        horizontal_line(141, 144),
        horizontal_line(144, 144),
        horizontal_line(160, 184),
        horizontal_line(159, 184),
        horizontal_line(159, 184),
        horizontal_line(127, 144),
        horizontal_line(130, 147),
        horizontal_line(132, 150),
        horizontal_line(135, 153),
        horizontal_line(137, 156),
        horizontal_line(140, 159),
        horizontal_line(142, 162),
        horizontal_line(145, 165),
        horizontal_line(147, 168),
        horizontal_line(150, 171),
        horizontal_line(152, 174),
        horizontal_line(155, 177),
        horizontal_line(157, 184),
        horizontal_line(160, 184),
        horizontal_line(162, 185),
        horizontal_line(165, 186),
        horizontal_line(167, 187),
        horizontal_line(169, 189),
        horizontal_line(172, 190),
        horizontal_line(174, 191),
        horizontal_line(177, 193),
        horizontal_line(179, 194),
        horizontal_line(182, 195),
        horizontal_line(184, 197),
        horizontal_line(187, 198),
        horizontal_line(189, 200),
        horizontal_line(192, 201),
        horizontal_line(194, 202),
        horizontal_line(197, 204),
        horizontal_line(199, 205),
        horizontal_line(202, 206),
        horizontal_line(204, 208),
        horizontal_line(207, 209),
        horizontal_line(209, 210),
        horizontal_line(212, 212),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_136_shape_group_1_shapes[] = {
        shape(frame_136_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_136_shape_group_1_shape_1_horizontal_lines, 2, 3),
        shape(frame_136_shape_group_1_shape_2_horizontal_lines, 28, 2),
        shape(frame_136_shape_group_1_shape_3_horizontal_lines, 62, 3),
        shape(frame_136_shape_group_1_shape_4_horizontal_lines, 63, 2),
        shape(frame_136_shape_group_1_shape_5_horizontal_lines, 66, 3),
        shape(frame_136_shape_group_1_shape_6_horizontal_lines, 67, 2),
        shape(frame_136_shape_group_1_shape_7_horizontal_lines, 70, 3),
        shape(frame_136_shape_group_1_shape_8_horizontal_lines, 71, 2),
        shape(frame_136_shape_group_1_shape_9_horizontal_lines, 73, 8),
        shape(frame_136_shape_group_1_shape_10_horizontal_lines, 74, 3),
        shape(frame_136_shape_group_1_shape_11_horizontal_lines, 76, 8),
        shape(frame_136_shape_group_1_shape_12_horizontal_lines, 78, 1),
        shape(frame_136_shape_group_1_shape_13_horizontal_lines, 79, 8),
        shape(frame_136_shape_group_1_shape_14_horizontal_lines, 80, 1),
        shape(frame_136_shape_group_1_shape_15_horizontal_lines, 84, 8),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(88, 105),
        horizontal_line(88, 105),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(63, 87),
        horizontal_line(67, 87),
        horizontal_line(72, 88),
        horizontal_line(76, 88),
        horizontal_line(81, 88),
        horizontal_line(85, 88),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(90, 109),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(89, 90),
        horizontal_line(88, 92),
        horizontal_line(88, 94),
        horizontal_line(87, 96),
        horizontal_line(86, 98),
        horizontal_line(86, 100),
        horizontal_line(85, 102),
        horizontal_line(85, 104),
        horizontal_line(84, 106),
        horizontal_line(83, 108),
        horizontal_line(83, 110),
        horizontal_line(82, 112),
        horizontal_line(82, 114),
        horizontal_line(81, 116),
        horizontal_line(80, 118),
        horizontal_line(80, 120),
        horizontal_line(79, 122),
        horizontal_line(79, 124),
        horizontal_line(78, 126),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(129, 152),
        horizontal_line(131, 151),
        horizontal_line(133, 151),
        horizontal_line(135, 151),
        horizontal_line(137, 150),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(136, 140),
        horizontal_line(135, 142),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(145, 149),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(137, 146),
        horizontal_line(139, 148),
        horizontal_line(141, 150),
        horizontal_line(143, 152),
        horizontal_line(145, 154),
        horizontal_line(147, 156),
        horizontal_line(149, 155),
        horizontal_line(151, 155),
        horizontal_line(153, 155),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(186, 204),
        horizontal_line(185, 204),
        horizontal_line(184, 205),
        horizontal_line(183, 205),
        horizontal_line(182, 206),
        horizontal_line(181, 206),
        horizontal_line(180, 207),
        horizontal_line(178, 207),
        horizontal_line(177, 208),
        horizontal_line(176, 208),
        horizontal_line(175, 209),
        horizontal_line(174, 210),
        horizontal_line(173, 210),
        horizontal_line(172, 211),
        horizontal_line(171, 211),
        horizontal_line(170, 212),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(126, 150),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(167, 213),
        horizontal_line(166, 213),
        horizontal_line(165, 214),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(134, 149),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(163, 215),
        horizontal_line(162, 216),
        horizontal_line(161, 216),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(142, 148),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(160, 217),
        horizontal_line(161, 218),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(73, 107),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(162, 219),
        horizontal_line(163, 219),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_17_horizontal_lines[] = {
        horizontal_line(71, 119),
        horizontal_line(71, 123),
        horizontal_line(133, 153),
        horizontal_line(70, 126),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_18_horizontal_lines[] = {
        horizontal_line(168, 224),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_19_horizontal_lines[] = {
        horizontal_line(68, 124),
        horizontal_line(68, 123),
        horizontal_line(67, 123),
        horizontal_line(67, 123),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_20_horizontal_lines[] = {
        horizontal_line(171, 227),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_21_horizontal_lines[] = {
        horizontal_line(66, 122),
        horizontal_line(66, 121),
        horizontal_line(65, 121),
        horizontal_line(65, 121),
        horizontal_line(65, 120),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_22_horizontal_lines[] = {
        horizontal_line(175, 230),
        horizontal_line(175, 231),
        horizontal_line(176, 231),
        horizontal_line(177, 232),
        horizontal_line(177, 233),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_23_horizontal_lines[] = {
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(61, 117),
        horizontal_line(61, 116),
        horizontal_line(61, 116),
    };

    constexpr const horizontal_line frame_136_shape_group_2_shape_24_horizontal_lines[] = {
        horizontal_line(181, 236),
        horizontal_line(182, 237),
        horizontal_line(183, 238),
        horizontal_line(183, 220),
        horizontal_line(184, 202),
        horizontal_line(164, 184),
        horizontal_line(163, 184),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(162, 184),
        horizontal_line(161, 184),
        horizontal_line(161, 184),
        horizontal_line(160, 184),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(158, 184),
        horizontal_line(158, 184),
        horizontal_line(160, 184),
        horizontal_line(162, 184),
        horizontal_line(164, 184),
        horizontal_line(166, 184),
        horizontal_line(168, 184),
        horizontal_line(170, 184),
        horizontal_line(173, 184),
        horizontal_line(175, 184),
        horizontal_line(177, 184),
        horizontal_line(179, 184),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(62, 121),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_136_shape_group_2_shapes[] = {
        shape(frame_136_shape_group_2_shape_0_horizontal_lines, 0, 7),
        shape(frame_136_shape_group_2_shape_1_horizontal_lines, 2, 2),
        shape(frame_136_shape_group_2_shape_2_horizontal_lines, 8, 7),
        shape(frame_136_shape_group_2_shape_3_horizontal_lines, 9, 2),
        shape(frame_136_shape_group_2_shape_4_horizontal_lines, 28, 7),
        shape(frame_136_shape_group_2_shape_5_horizontal_lines, 33, 2),
        shape(frame_136_shape_group_2_shape_6_horizontal_lines, 36, 7),
        shape(frame_136_shape_group_2_shape_7_horizontal_lines, 37, 2),
        shape(frame_136_shape_group_2_shape_8_horizontal_lines, 46, 8),
        shape(frame_136_shape_group_2_shape_9_horizontal_lines, 62, 2),
        shape(frame_136_shape_group_2_shape_10_horizontal_lines, 63, 8),
        shape(frame_136_shape_group_2_shape_11_horizontal_lines, 66, 2),
        shape(frame_136_shape_group_2_shape_12_horizontal_lines, 67, 8),
        shape(frame_136_shape_group_2_shape_13_horizontal_lines, 70, 2),
        shape(frame_136_shape_group_2_shape_14_horizontal_lines, 71, 8),
        shape(frame_136_shape_group_2_shape_15_horizontal_lines, 73, 1),
        shape(frame_136_shape_group_2_shape_16_horizontal_lines, 74, 8),
        shape(frame_136_shape_group_2_shape_17_horizontal_lines, 76, 1),
        shape(frame_136_shape_group_2_shape_18_horizontal_lines, 84, 8),
        shape(frame_136_shape_group_2_shape_19_horizontal_lines, 85, 1),
        shape(frame_136_shape_group_2_shape_20_horizontal_lines, 89, 8),
        shape(frame_136_shape_group_2_shape_21_horizontal_lines, 90, 1),
        shape(frame_136_shape_group_2_shape_22_horizontal_lines, 95, 8),
        shape(frame_136_shape_group_2_shape_23_horizontal_lines, 100, 1),
        shape(frame_136_shape_group_2_shape_24_horizontal_lines, 106, 8),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(109, 163),
        horizontal_line(109, 163),
        horizontal_line(88, 106),
        horizontal_line(88, 106),
        horizontal_line(89, 107),
        horizontal_line(89, 107),
        horizontal_line(89, 108),
        horizontal_line(89, 108),
        horizontal_line(112, 161),
        horizontal_line(91, 110),
        horizontal_line(93, 110),
        horizontal_line(95, 111),
        horizontal_line(97, 111),
        horizontal_line(99, 112),
        horizontal_line(101, 112),
        horizontal_line(103, 113),
        horizontal_line(105, 114),
        horizontal_line(107, 157),
        horizontal_line(109, 156),
        horizontal_line(111, 156),
        horizontal_line(113, 155),
        horizontal_line(115, 155),
        horizontal_line(117, 155),
        horizontal_line(119, 154),
        horizontal_line(121, 154),
        horizontal_line(123, 153),
        horizontal_line(125, 153),
        horizontal_line(127, 152),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 26),
        horizontal_line(0, 32),
        horizontal_line(0, 39),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(139, 150),
        horizontal_line(141, 150),
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(147, 149),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(195, 199),
        horizontal_line(194, 200),
        horizontal_line(193, 200),
        horizontal_line(192, 201),
        horizontal_line(191, 201),
        horizontal_line(190, 202),
        horizontal_line(188, 202),
        horizontal_line(187, 203),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(17, 74),
        horizontal_line(26, 74),
        horizontal_line(34, 74),
        horizontal_line(42, 74),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(168, 212),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(59, 74),
        horizontal_line(67, 74),
        horizontal_line(151, 154),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(164, 214),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(75, 83),
        horizontal_line(74, 87),
        horizontal_line(74, 91),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(160, 217),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(73, 99),
        horizontal_line(73, 103),
        horizontal_line(149, 156),
        horizontal_line(72, 111),
        horizontal_line(72, 115),
        horizontal_line(136, 154),
        horizontal_line(132, 154),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(148, 152),
        horizontal_line(149, 151),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(68, 124),
        horizontal_line(128, 145),
        horizontal_line(128, 145),
        horizontal_line(128, 145),
        horizontal_line(129, 145),
        horizontal_line(67, 122),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(64, 120),
        horizontal_line(64, 119),
        horizontal_line(64, 119),
        horizontal_line(63, 119),
        horizontal_line(63, 118),
        horizontal_line(129, 135),
        horizontal_line(128, 134),
        horizontal_line(128, 133),
        horizontal_line(128, 132),
        horizontal_line(127, 131),
        horizontal_line(127, 130),
        horizontal_line(60, 115),
        horizontal_line(60, 115),
        horizontal_line(59, 115),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(58, 113),
        horizontal_line(57, 112),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(55, 76),
        horizontal_line(55, 64),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 81),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(214, 216),
    };

    constexpr const horizontal_line frame_136_shape_group_3_shape_22_horizontal_lines[] = {
        horizontal_line(124, 125),
    };

    constexpr const shape frame_136_shape_group_3_shapes[] = {
        shape(frame_136_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_136_shape_group_3_shape_1_horizontal_lines, 28, 1),
        shape(frame_136_shape_group_3_shape_2_horizontal_lines, 33, 7),
        shape(frame_136_shape_group_3_shape_3_horizontal_lines, 36, 8),
        shape(frame_136_shape_group_3_shape_4_horizontal_lines, 37, 7),
        shape(frame_136_shape_group_3_shape_5_horizontal_lines, 38, 8),
        shape(frame_136_shape_group_3_shape_6_horizontal_lines, 46, 1),
        shape(frame_136_shape_group_3_shape_7_horizontal_lines, 62, 8),
        shape(frame_136_shape_group_3_shape_8_horizontal_lines, 63, 1),
        shape(frame_136_shape_group_3_shape_9_horizontal_lines, 66, 8),
        shape(frame_136_shape_group_3_shape_10_horizontal_lines, 67, 1),
        shape(frame_136_shape_group_3_shape_11_horizontal_lines, 70, 8),
        shape(frame_136_shape_group_3_shape_12_horizontal_lines, 71, 1),
        shape(frame_136_shape_group_3_shape_13_horizontal_lines, 79, 1),
        shape(frame_136_shape_group_3_shape_14_horizontal_lines, 84, 1),
        shape(frame_136_shape_group_3_shape_15_horizontal_lines, 109, 8),
        shape(frame_136_shape_group_3_shape_16_horizontal_lines, 113, 1),
        shape(frame_136_shape_group_3_shape_17_horizontal_lines, 115, 8),
        shape(frame_136_shape_group_3_shape_18_horizontal_lines, 119, 1),
        shape(frame_136_shape_group_3_shape_19_horizontal_lines, 121, 9),
        shape(frame_136_shape_group_3_shape_20_horizontal_lines, 122, 8),
        shape(frame_136_shape_group_3_shape_21_horizontal_lines, 157, 9),
        shape(frame_136_shape_group_3_shape_22_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(106, 108),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(109, 163),
        horizontal_line(110, 163),
        horizontal_line(110, 163),
        horizontal_line(111, 162),
        horizontal_line(111, 162),
        horizontal_line(112, 161),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(112, 160),
        horizontal_line(113, 160),
        horizontal_line(113, 160),
        horizontal_line(114, 159),
        horizontal_line(114, 159),
        horizontal_line(115, 158),
        horizontal_line(115, 158),
        horizontal_line(116, 157),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(0, 0),
        horizontal_line(0, 6),
        horizontal_line(0, 13),
        horizontal_line(153, 154),
        horizontal_line(152, 154),
        horizontal_line(152, 153),
        horizontal_line(152, 153),
        horizontal_line(151, 152),
        horizontal_line(0, 52),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(196, 199),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(63, 74),
        horizontal_line(71, 74),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(51, 74),
        horizontal_line(151, 152),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(75, 79),
        horizontal_line(150, 156),
        horizontal_line(150, 157),
        horizontal_line(150, 158),
        horizontal_line(74, 95),
        horizontal_line(149, 158),
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(144, 147),
        horizontal_line(140, 147),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(128, 145),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(129, 144),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(129, 140),
        horizontal_line(129, 136),
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(129, 130),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(59, 114),
        horizontal_line(59, 114),
        horizontal_line(58, 113),
        horizontal_line(58, 113),
        horizontal_line(124, 127),
        horizontal_line(124, 124),
        horizontal_line(57, 112),
        horizontal_line(56, 111),
        horizontal_line(56, 99),
        horizontal_line(56, 87),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(147, 159),
        horizontal_line(150, 158),
        horizontal_line(185, 233),
        horizontal_line(156, 157),
        horizontal_line(185, 232),
        horizontal_line(185, 231),
        horizontal_line(185, 231),
        horizontal_line(185, 230),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_136_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(185, 227),
        horizontal_line(185, 226),
        horizontal_line(186, 226),
        horizontal_line(187, 225),
        horizontal_line(188, 225),
        horizontal_line(190, 224),
        horizontal_line(191, 224),
        horizontal_line(192, 223),
        horizontal_line(194, 223),
        horizontal_line(195, 222),
        horizontal_line(196, 222),
        horizontal_line(198, 221),
        horizontal_line(199, 221),
        horizontal_line(201, 221),
        horizontal_line(202, 220),
        horizontal_line(203, 220),
        horizontal_line(205, 219),
        horizontal_line(206, 219),
        horizontal_line(207, 218),
        horizontal_line(209, 218),
        horizontal_line(210, 217),
        horizontal_line(211, 217),
        horizontal_line(213, 216),
    };

    constexpr const shape frame_136_shape_group_4_shapes[] = {
        shape(frame_136_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_136_shape_group_4_shape_1_horizontal_lines, 2, 7),
        shape(frame_136_shape_group_4_shape_2_horizontal_lines, 8, 8),
        shape(frame_136_shape_group_4_shape_3_horizontal_lines, 9, 7),
        shape(frame_136_shape_group_4_shape_4_horizontal_lines, 17, 1),
        shape(frame_136_shape_group_4_shape_5_horizontal_lines, 37, 8),
        shape(frame_136_shape_group_4_shape_6_horizontal_lines, 38, 1),
        shape(frame_136_shape_group_4_shape_7_horizontal_lines, 62, 1),
        shape(frame_136_shape_group_4_shape_8_horizontal_lines, 66, 1),
        shape(frame_136_shape_group_4_shape_9_horizontal_lines, 74, 1),
        shape(frame_136_shape_group_4_shape_10_horizontal_lines, 79, 1),
        shape(frame_136_shape_group_4_shape_11_horizontal_lines, 84, 1),
        shape(frame_136_shape_group_4_shape_12_horizontal_lines, 89, 1),
        shape(frame_136_shape_group_4_shape_13_horizontal_lines, 95, 1),
        shape(frame_136_shape_group_4_shape_14_horizontal_lines, 99, 1),
        shape(frame_136_shape_group_4_shape_15_horizontal_lines, 106, 1),
        shape(frame_136_shape_group_4_shape_16_horizontal_lines, 119, 9),
        shape(frame_136_shape_group_4_shape_17_horizontal_lines, 127, 8),
        shape(frame_136_shape_group_4_shape_18_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(164, 202),
        horizontal_line(164, 201),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(107, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(111, 112),
        horizontal_line(112, 112),
        horizontal_line(112, 113),
        horizontal_line(113, 113),
        horizontal_line(113, 114),
        horizontal_line(114, 114),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(177, 200),
        horizontal_line(178, 199),
        horizontal_line(179, 199),
        horizontal_line(180, 199),
        horizontal_line(182, 199),
        horizontal_line(183, 199),
        horizontal_line(184, 199),
        horizontal_line(185, 199),
        horizontal_line(154, 155),
        horizontal_line(154, 155),
        horizontal_line(153, 154),
        horizontal_line(190, 198),
        horizontal_line(191, 198),
        horizontal_line(192, 198),
        horizontal_line(194, 198),
        horizontal_line(195, 198),
        horizontal_line(151, 152),
        horizontal_line(151, 152),
        horizontal_line(150, 151),
        horizontal_line(150, 151),
        horizontal_line(0, 62),
        horizontal_line(149, 150),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(150, 159),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(149, 156),
        horizontal_line(149, 155),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(126, 129),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(145, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 159),
        horizontal_line(185, 233),
        horizontal_line(185, 233),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(185, 232),
    };

    constexpr const horizontal_line frame_136_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(185, 230),
        horizontal_line(185, 229),
        horizontal_line(185, 229),
        horizontal_line(185, 228),
        horizontal_line(185, 228),
        horizontal_line(185, 227),
        horizontal_line(185, 227),
    };

    constexpr const shape frame_136_shape_group_5_shapes[] = {
        shape(frame_136_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_136_shape_group_5_shape_1_horizontal_lines, 2, 8),
        shape(frame_136_shape_group_5_shape_2_horizontal_lines, 8, 1),
        shape(frame_136_shape_group_5_shape_3_horizontal_lines, 9, 8),
        shape(frame_136_shape_group_5_shape_4_horizontal_lines, 17, 1),
        shape(frame_136_shape_group_5_shape_5_horizontal_lines, 66, 1),
        shape(frame_136_shape_group_5_shape_6_horizontal_lines, 70, 1),
        shape(frame_136_shape_group_5_shape_7_horizontal_lines, 74, 1),
        shape(frame_136_shape_group_5_shape_8_horizontal_lines, 99, 1),
        shape(frame_136_shape_group_5_shape_9_horizontal_lines, 109, 1),
        shape(frame_136_shape_group_5_shape_10_horizontal_lines, 113, 9),
        shape(frame_136_shape_group_5_shape_11_horizontal_lines, 122, 9),
        shape(frame_136_shape_group_5_shape_12_horizontal_lines, 127, 9),
    };

    constexpr const horizontal_line frame_136_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(164, 201),
        horizontal_line(164, 201),
        horizontal_line(164, 201),
        horizontal_line(163, 201),
        horizontal_line(163, 201),
        horizontal_line(162, 162),
        horizontal_line(166, 201),
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_136_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(186, 199),
        horizontal_line(188, 199),
        horizontal_line(189, 198),
    };

    constexpr const horizontal_line frame_136_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(196, 198),
        horizontal_line(197, 198),
        horizontal_line(62, 65),
        horizontal_line(62, 72),
        horizontal_line(150, 150),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_136_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(221, 238),
        horizontal_line(203, 238),
        horizontal_line(129, 133),
        horizontal_line(129, 132),
        horizontal_line(146, 162),
        horizontal_line(185, 236),
        horizontal_line(185, 235),
        horizontal_line(185, 235),
        horizontal_line(185, 234),
        horizontal_line(185, 234),
    };

    constexpr const shape frame_136_shape_group_6_shapes[] = {
        shape(frame_136_shape_group_6_shape_0_horizontal_lines, 2, 1),
        shape(frame_136_shape_group_6_shape_1_horizontal_lines, 25, 1),
        shape(frame_136_shape_group_6_shape_2_horizontal_lines, 33, 1),
        shape(frame_136_shape_group_6_shape_3_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_136_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(165, 201),
    };

    constexpr const horizontal_line frame_136_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(167, 200),
        horizontal_line(168, 200),
        horizontal_line(170, 200),
        horizontal_line(171, 200),
        horizontal_line(172, 200),
        horizontal_line(173, 200),
        horizontal_line(174, 200),
        horizontal_line(176, 200),
    };

    constexpr const horizontal_line frame_136_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_136_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(158, 163),
        horizontal_line(152, 162),
        horizontal_line(185, 236),
    };

    constexpr const shape frame_136_shape_group_7_shapes[] = {
        shape(frame_136_shape_group_7_shape_0_horizontal_lines, 7, 1),
        shape(frame_136_shape_group_7_shape_1_horizontal_lines, 9, 1),
        shape(frame_136_shape_group_7_shape_2_horizontal_lines, 37, 1),
        shape(frame_136_shape_group_7_shape_3_horizontal_lines, 111, 9),
    };

    constexpr const horizontal_line frame_136_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(185, 237),
        horizontal_line(185, 237),
    };

    constexpr const shape frame_136_shape_group_8_shapes[] = {
        shape(frame_136_shape_group_8_shape_0_horizontal_lines, 111, 9),
    };

    constexpr const shape_group frame_136_shape_groups[] = {
        shape_group(frame_136_shape_group_0_shapes),
        shape_group(frame_136_shape_group_1_shapes),
        shape_group(frame_136_shape_group_2_shapes),
        shape_group(frame_136_shape_group_3_shapes),
        shape_group(frame_136_shape_group_4_shapes),
        shape_group(frame_136_shape_group_5_shapes),
        shape_group(frame_136_shape_group_6_shapes),
        shape_group(frame_136_shape_group_7_shapes),
        shape_group(frame_136_shape_group_8_shapes),
    };

    constexpr const frame frame_136_impl(frame_136_colors, frame_136_shape_groups);
} 

const frame& frame_136()
{
    return frame_136_impl;
}

namespace
{
    constexpr const bn::color frame_137_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_137_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(5, 27),
        horizontal_line(11, 27),
        horizontal_line(16, 27),
        horizontal_line(22, 27),
        horizontal_line(28, 28),
        horizontal_line(27, 31),
        horizontal_line(26, 35),
        horizontal_line(26, 38),
        horizontal_line(25, 42),
        horizontal_line(25, 45),
        horizontal_line(24, 49),
        horizontal_line(23, 52),
        horizontal_line(23, 56),
        horizontal_line(22, 59),
        horizontal_line(22, 63),
        horizontal_line(21, 66),
        horizontal_line(21, 70),
        horizontal_line(20, 73),
        horizontal_line(19, 77),
        horizontal_line(19, 80),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 56),
        horizontal_line(0, 37),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_137_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(108, 135),
        horizontal_line(110, 138),
        horizontal_line(112, 141),
        horizontal_line(115, 144),
        horizontal_line(117, 147),
        horizontal_line(120, 150),
        horizontal_line(122, 154),
        horizontal_line(125, 157),
        horizontal_line(127, 160),
        horizontal_line(129, 163),
        horizontal_line(132, 166),
        horizontal_line(134, 169),
        horizontal_line(137, 172),
        horizontal_line(139, 175),
        horizontal_line(142, 178),
        horizontal_line(144, 181),
        horizontal_line(146, 184),
        horizontal_line(149, 187),
        horizontal_line(151, 188),
        horizontal_line(154, 189),
        horizontal_line(156, 190),
        horizontal_line(159, 191),
        horizontal_line(161, 192),
        horizontal_line(163, 193),
        horizontal_line(166, 195),
        horizontal_line(168, 196),
        horizontal_line(171, 197),
        horizontal_line(173, 198),
        horizontal_line(176, 199),
        horizontal_line(178, 200),
        horizontal_line(180, 202),
        horizontal_line(183, 203),
        horizontal_line(185, 204),
        horizontal_line(188, 205),
        horizontal_line(190, 206),
        horizontal_line(193, 207),
        horizontal_line(195, 209),
        horizontal_line(197, 210),
        horizontal_line(200, 211),
        horizontal_line(202, 212),
        horizontal_line(205, 213),
        horizontal_line(207, 214),
        horizontal_line(210, 216),
    };

    constexpr const shape frame_137_shape_group_0_shapes[] = {
        shape(frame_137_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_137_shape_group_0_shape_1_horizontal_lines, 117, 8),
    };

    constexpr const horizontal_line frame_137_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(189, 203),
        horizontal_line(190, 202),
        horizontal_line(192, 202),
        horizontal_line(193, 202),
        horizontal_line(195, 202),
        horizontal_line(196, 202),
        horizontal_line(198, 202),
        horizontal_line(199, 202),
        horizontal_line(201, 202),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_137_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 146),
        horizontal_line(88, 146),
        horizontal_line(90, 146),
        horizontal_line(92, 145),
        horizontal_line(94, 145),
        horizontal_line(96, 145),
        horizontal_line(98, 145),
        horizontal_line(100, 144),
        horizontal_line(102, 144),
        horizontal_line(104, 144),
        horizontal_line(106, 144),
        horizontal_line(108, 143),
        horizontal_line(110, 143),
        horizontal_line(112, 143),
        horizontal_line(114, 143),
        horizontal_line(116, 142),
        horizontal_line(118, 142),
        horizontal_line(120, 142),
        horizontal_line(122, 142),
        horizontal_line(124, 141),
    };

    constexpr const horizontal_line frame_137_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(147, 149),
        horizontal_line(147, 150),
        horizontal_line(147, 151),
        horizontal_line(147, 152),
        horizontal_line(147, 153),
        horizontal_line(147, 154),
        horizontal_line(147, 155),
        horizontal_line(137, 140),
        horizontal_line(133, 140),
        horizontal_line(129, 140),
        horizontal_line(125, 140),
        horizontal_line(121, 140),
        horizontal_line(117, 140),
        horizontal_line(147, 155),
        horizontal_line(113, 140),
        horizontal_line(114, 140),
        horizontal_line(114, 140),
        horizontal_line(115, 140),
        horizontal_line(115, 140),
        horizontal_line(116, 140),
        horizontal_line(116, 140),
        horizontal_line(117, 140),
        horizontal_line(117, 140),
        horizontal_line(118, 140),
        horizontal_line(118, 140),
        horizontal_line(119, 140),
        horizontal_line(119, 140),
        horizontal_line(120, 140),
        horizontal_line(120, 140),
        horizontal_line(121, 140),
        horizontal_line(121, 140),
        horizontal_line(122, 140),
        horizontal_line(122, 140),
        horizontal_line(123, 140),
        horizontal_line(123, 141),
        horizontal_line(124, 137),
        horizontal_line(124, 134),
        horizontal_line(125, 131),
        horizontal_line(125, 128),
        horizontal_line(62, 102),
        horizontal_line(125, 126),
        horizontal_line(125, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 135),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(122, 130),
        horizontal_line(121, 129),
        horizontal_line(121, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 127),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(118, 126),
        horizontal_line(118, 121),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_137_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(100, 126),
        horizontal_line(103, 129),
        horizontal_line(105, 132),
        horizontal_line(159, 187),
        horizontal_line(158, 187),
        horizontal_line(158, 187),
        horizontal_line(160, 187),
        horizontal_line(162, 187),
        horizontal_line(164, 187),
        horizontal_line(166, 187),
        horizontal_line(168, 187),
        horizontal_line(170, 187),
        horizontal_line(172, 187),
        horizontal_line(174, 187),
        horizontal_line(176, 187),
        horizontal_line(178, 187),
        horizontal_line(180, 187),
        horizontal_line(182, 187),
        horizontal_line(184, 187),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_137_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_137_shape_group_1_shapes[] = {
        shape(frame_137_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_137_shape_group_1_shape_1_horizontal_lines, 10, 2),
        shape(frame_137_shape_group_1_shape_2_horizontal_lines, 52, 1),
        shape(frame_137_shape_group_1_shape_3_horizontal_lines, 114, 8),
        shape(frame_137_shape_group_1_shape_4_horizontal_lines, 134, 9),
        shape(frame_137_shape_group_1_shape_5_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(104, 126),
        horizontal_line(106, 128),
        horizontal_line(108, 130),
        horizontal_line(110, 132),
        horizontal_line(112, 134),
        horizontal_line(114, 135),
        horizontal_line(116, 137),
        horizontal_line(118, 139),
        horizontal_line(120, 141),
        horizontal_line(122, 143),
        horizontal_line(124, 145),
        horizontal_line(126, 147),
        horizontal_line(128, 149),
        horizontal_line(130, 148),
        horizontal_line(132, 148),
        horizontal_line(134, 148),
        horizontal_line(136, 148),
        horizontal_line(138, 147),
        horizontal_line(140, 147),
        horizontal_line(142, 147),
        horizontal_line(144, 147),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(27, 85),
        horizontal_line(27, 87),
        horizontal_line(27, 89),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(57, 119),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(126, 141),
        horizontal_line(128, 141),
        horizontal_line(130, 141),
        horizontal_line(132, 140),
        horizontal_line(134, 140),
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(80, 84),
        horizontal_line(80, 87),
        horizontal_line(147, 156),
        horizontal_line(147, 158),
        horizontal_line(147, 157),
        horizontal_line(147, 157),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(76, 138),
        horizontal_line(147, 155),
        horizontal_line(146, 155),
        horizontal_line(146, 154),
        horizontal_line(146, 154),
        horizontal_line(146, 153),
        horizontal_line(147, 153),
        horizontal_line(148, 153),
        horizontal_line(149, 152),
        horizontal_line(149, 152),
        horizontal_line(150, 151),
        horizontal_line(151, 151),
        horizontal_line(69, 107),
        horizontal_line(68, 107),
        horizontal_line(67, 106),
        horizontal_line(67, 106),
        horizontal_line(66, 106),
        horizontal_line(66, 105),
        horizontal_line(65, 105),
        horizontal_line(64, 104),
        horizontal_line(64, 104),
        horizontal_line(63, 104),
        horizontal_line(63, 103),
        horizontal_line(140, 140),
        horizontal_line(140, 141),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(126, 138),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(135, 136),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(96, 120),
        horizontal_line(98, 123),
        horizontal_line(143, 145),
        horizontal_line(160, 187),
        horizontal_line(159, 187),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(152, 158),
        horizontal_line(155, 157),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(192, 238),
        horizontal_line(193, 238),
        horizontal_line(194, 237),
        horizontal_line(196, 237),
        horizontal_line(197, 236),
        horizontal_line(198, 236),
        horizontal_line(199, 235),
        horizontal_line(200, 235),
        horizontal_line(201, 234),
        horizontal_line(203, 234),
        horizontal_line(204, 233),
        horizontal_line(205, 233),
        horizontal_line(206, 232),
        horizontal_line(207, 232),
        horizontal_line(208, 231),
        horizontal_line(210, 231),
        horizontal_line(211, 230),
        horizontal_line(212, 230),
        horizontal_line(213, 229),
        horizontal_line(214, 229),
        horizontal_line(215, 228),
        horizontal_line(217, 228),
    };

    constexpr const shape frame_137_shape_group_2_shapes[] = {
        shape(frame_137_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_137_shape_group_2_shape_1_horizontal_lines, 32, 3),
        shape(frame_137_shape_group_2_shape_2_horizontal_lines, 52, 2),
        shape(frame_137_shape_group_2_shape_3_horizontal_lines, 58, 1),
        shape(frame_137_shape_group_2_shape_4_horizontal_lines, 92, 3),
        shape(frame_137_shape_group_2_shape_5_horizontal_lines, 93, 1),
        shape(frame_137_shape_group_2_shape_6_horizontal_lines, 111, 8),
        shape(frame_137_shape_group_2_shape_7_horizontal_lines, 117, 9),
        shape(frame_137_shape_group_2_shape_8_horizontal_lines, 138, 9),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(84, 108),
        horizontal_line(86, 109),
        horizontal_line(88, 111),
        horizontal_line(90, 113),
        horizontal_line(92, 115),
        horizontal_line(94, 117),
        horizontal_line(96, 119),
        horizontal_line(98, 121),
        horizontal_line(100, 122),
        horizontal_line(102, 124),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(127, 151),
        horizontal_line(129, 150),
        horizontal_line(131, 150),
        horizontal_line(133, 150),
        horizontal_line(135, 149),
        horizontal_line(136, 149),
        horizontal_line(138, 149),
        horizontal_line(140, 149),
        horizontal_line(142, 148),
        horizontal_line(144, 148),
        horizontal_line(146, 148),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(25, 63),
        horizontal_line(25, 65),
        horizontal_line(25, 67),
        horizontal_line(26, 69),
        horizontal_line(26, 71),
        horizontal_line(26, 73),
        horizontal_line(26, 75),
        horizontal_line(26, 77),
        horizontal_line(26, 79),
        horizontal_line(27, 81),
        horizontal_line(27, 83),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(184, 215),
        horizontal_line(183, 215),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(89, 89),
        horizontal_line(89, 91),
        horizontal_line(90, 93),
        horizontal_line(90, 95),
        horizontal_line(90, 97),
        horizontal_line(90, 99),
        horizontal_line(90, 101),
        horizontal_line(90, 103),
        horizontal_line(91, 105),
        horizontal_line(94, 107),
        horizontal_line(98, 109),
        horizontal_line(101, 111),
        horizontal_line(105, 113),
        horizontal_line(143, 143),
        horizontal_line(143, 144),
        horizontal_line(143, 145),
        horizontal_line(143, 146),
        horizontal_line(142, 147),
        horizontal_line(64, 125),
        horizontal_line(67, 127),
        horizontal_line(71, 129),
        horizontal_line(74, 131),
        horizontal_line(78, 133),
        horizontal_line(81, 135),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(88, 146),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(79, 91),
        horizontal_line(78, 94),
        horizontal_line(78, 98),
        horizontal_line(77, 101),
        horizontal_line(77, 105),
        horizontal_line(76, 108),
        horizontal_line(138, 140),
        horizontal_line(75, 111),
        horizontal_line(74, 111),
        horizontal_line(74, 110),
        horizontal_line(73, 110),
        horizontal_line(73, 110),
        horizontal_line(72, 109),
        horizontal_line(71, 109),
        horizontal_line(71, 109),
        horizontal_line(70, 108),
        horizontal_line(70, 108),
        horizontal_line(69, 107),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(143, 144),
        horizontal_line(143, 143),
        horizontal_line(142, 142),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(144, 155),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(62, 103),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(129, 138),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(127, 137),
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(62, 101),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(143, 160),
        horizontal_line(144, 160),
        horizontal_line(144, 161),
        horizontal_line(144, 161),
        horizontal_line(145, 162),
        horizontal_line(131, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(128, 134),
        horizontal_line(128, 134),
        horizontal_line(136, 136),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(137, 146),
        horizontal_line(140, 146),
        horizontal_line(161, 187),
    };

    constexpr const horizontal_line frame_137_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(146, 159),
        horizontal_line(149, 158),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_137_shape_group_3_shapes[] = {
        shape(frame_137_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_137_shape_group_3_shape_1_horizontal_lines, 10, 7),
        shape(frame_137_shape_group_3_shape_2_horizontal_lines, 21, 3),
        shape(frame_137_shape_group_3_shape_3_horizontal_lines, 32, 8),
        shape(frame_137_shape_group_3_shape_4_horizontal_lines, 34, 3),
        shape(frame_137_shape_group_3_shape_5_horizontal_lines, 58, 2),
        shape(frame_137_shape_group_3_shape_6_horizontal_lines, 59, 3),
        shape(frame_137_shape_group_3_shape_7_horizontal_lines, 60, 1),
        shape(frame_137_shape_group_3_shape_8_horizontal_lines, 78, 2),
        shape(frame_137_shape_group_3_shape_9_horizontal_lines, 86, 3),
        shape(frame_137_shape_group_3_shape_10_horizontal_lines, 87, 8),
        shape(frame_137_shape_group_3_shape_11_horizontal_lines, 88, 3),
        shape(frame_137_shape_group_3_shape_12_horizontal_lines, 89, 1),
        shape(frame_137_shape_group_3_shape_13_horizontal_lines, 91, 3),
        shape(frame_137_shape_group_3_shape_14_horizontal_lines, 92, 8),
        shape(frame_137_shape_group_3_shape_15_horizontal_lines, 93, 3),
        shape(frame_137_shape_group_3_shape_16_horizontal_lines, 95, 1),
        shape(frame_137_shape_group_3_shape_17_horizontal_lines, 96, 8),
        shape(frame_137_shape_group_3_shape_18_horizontal_lines, 115, 9),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(109, 154),
        horizontal_line(110, 153),
        horizontal_line(112, 153),
        horizontal_line(114, 153),
        horizontal_line(116, 152),
        horizontal_line(118, 152),
        horizontal_line(120, 152),
        horizontal_line(122, 151),
        horizontal_line(123, 151),
        horizontal_line(125, 151),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(23, 41),
        horizontal_line(23, 43),
        horizontal_line(24, 45),
        horizontal_line(24, 47),
        horizontal_line(24, 49),
        horizontal_line(24, 51),
        horizontal_line(24, 53),
        horizontal_line(24, 55),
        horizontal_line(25, 57),
        horizontal_line(25, 59),
        horizontal_line(25, 61),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(193, 208),
        horizontal_line(192, 209),
        horizontal_line(191, 209),
        horizontal_line(190, 210),
        horizontal_line(190, 211),
        horizontal_line(189, 211),
        horizontal_line(188, 212),
        horizontal_line(187, 212),
        horizontal_line(186, 213),
        horizontal_line(185, 214),
        horizontal_line(184, 214),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(182, 216),
        horizontal_line(181, 217),
        horizontal_line(180, 217),
        horizontal_line(179, 218),
        horizontal_line(178, 218),
        horizontal_line(177, 219),
        horizontal_line(177, 220),
        horizontal_line(176, 220),
        horizontal_line(175, 221),
        horizontal_line(174, 221),
        horizontal_line(173, 222),
        horizontal_line(172, 223),
        horizontal_line(171, 223),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(108, 115),
        horizontal_line(112, 117),
        horizontal_line(115, 119),
        horizontal_line(119, 121),
        horizontal_line(122, 123),
        horizontal_line(142, 147),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(85, 137),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(92, 136),
        horizontal_line(95, 132),
        horizontal_line(99, 128),
        horizontal_line(102, 124),
        horizontal_line(106, 120),
        horizontal_line(109, 116),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(145, 145),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 141),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(145, 155),
        horizontal_line(175, 237),
        horizontal_line(143, 156),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(135, 139),
        horizontal_line(132, 139),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(142, 157),
        horizontal_line(178, 239),
        horizontal_line(142, 158),
        horizontal_line(143, 159),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(145, 162),
        horizontal_line(145, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(147, 187),
        horizontal_line(147, 159),
        horizontal_line(147, 153),
        horizontal_line(164, 187),
        horizontal_line(163, 187),
        horizontal_line(162, 187),
        horizontal_line(162, 187),
        horizontal_line(161, 187),
    };

    constexpr const horizontal_line frame_137_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(146, 160),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_137_shape_group_4_shapes[] = {
        shape(frame_137_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_137_shape_group_4_shape_1_horizontal_lines, 10, 3),
        shape(frame_137_shape_group_4_shape_2_horizontal_lines, 21, 8),
        shape(frame_137_shape_group_4_shape_3_horizontal_lines, 34, 8),
        shape(frame_137_shape_group_4_shape_4_horizontal_lines, 47, 3),
        shape(frame_137_shape_group_4_shape_5_horizontal_lines, 59, 8),
        shape(frame_137_shape_group_4_shape_6_horizontal_lines, 60, 3),
        shape(frame_137_shape_group_4_shape_7_horizontal_lines, 72, 2),
        shape(frame_137_shape_group_4_shape_8_horizontal_lines, 75, 3),
        shape(frame_137_shape_group_4_shape_9_horizontal_lines, 76, 2),
        shape(frame_137_shape_group_4_shape_10_horizontal_lines, 78, 3),
        shape(frame_137_shape_group_4_shape_11_horizontal_lines, 86, 8),
        shape(frame_137_shape_group_4_shape_12_horizontal_lines, 89, 3),
        shape(frame_137_shape_group_4_shape_13_horizontal_lines, 91, 8),
        shape(frame_137_shape_group_4_shape_14_horizontal_lines, 95, 3),
        shape(frame_137_shape_group_4_shape_15_horizontal_lines, 96, 8),
        shape(frame_137_shape_group_4_shape_16_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(22, 23),
        horizontal_line(22, 25),
        horizontal_line(22, 27),
        horizontal_line(22, 29),
        horizontal_line(22, 31),
        horizontal_line(23, 33),
        horizontal_line(23, 35),
        horizontal_line(23, 37),
        horizontal_line(23, 39),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(202, 202),
        horizontal_line(201, 203),
        horizontal_line(200, 203),
        horizontal_line(199, 204),
        horizontal_line(198, 205),
        horizontal_line(197, 205),
        horizontal_line(196, 206),
        horizontal_line(196, 206),
        horizontal_line(195, 207),
        horizontal_line(194, 208),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(171, 224),
        horizontal_line(170, 224),
        horizontal_line(169, 225),
        horizontal_line(168, 226),
        horizontal_line(167, 226),
        horizontal_line(166, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(141, 146),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(222, 231),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(168, 230),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(169, 231),
        horizontal_line(151, 151),
        horizontal_line(150, 152),
        horizontal_line(149, 152),
        horizontal_line(148, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 154),
        horizontal_line(146, 154),
        horizontal_line(175, 237),
        horizontal_line(237, 239),
        horizontal_line(176, 238),
        horizontal_line(142, 156),
        horizontal_line(142, 157),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(143, 159),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(185, 238),
        horizontal_line(186, 225),
        horizontal_line(186, 212),
        horizontal_line(187, 199),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(165, 187),
        horizontal_line(164, 187),
    };

    constexpr const horizontal_line frame_137_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(128, 134),
        horizontal_line(131, 134),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 160),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_137_shape_group_5_shapes[] = {
        shape(frame_137_shape_group_5_shape_0_horizontal_lines, 1, 3),
        shape(frame_137_shape_group_5_shape_1_horizontal_lines, 11, 8),
        shape(frame_137_shape_group_5_shape_2_horizontal_lines, 47, 8),
        shape(frame_137_shape_group_5_shape_3_horizontal_lines, 58, 3),
        shape(frame_137_shape_group_5_shape_4_horizontal_lines, 59, 8),
        shape(frame_137_shape_group_5_shape_5_horizontal_lines, 60, 3),
        shape(frame_137_shape_group_5_shape_6_horizontal_lines, 66, 8),
        shape(frame_137_shape_group_5_shape_7_horizontal_lines, 72, 3),
        shape(frame_137_shape_group_5_shape_8_horizontal_lines, 75, 8),
        shape(frame_137_shape_group_5_shape_9_horizontal_lines, 76, 3),
        shape(frame_137_shape_group_5_shape_10_horizontal_lines, 78, 8),
        shape(frame_137_shape_group_5_shape_11_horizontal_lines, 93, 8),
        shape(frame_137_shape_group_5_shape_12_horizontal_lines, 101, 8),
        shape(frame_137_shape_group_5_shape_13_horizontal_lines, 106, 9),
        shape(frame_137_shape_group_5_shape_14_horizontal_lines, 107, 8),
        shape(frame_137_shape_group_5_shape_15_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_137_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(227, 227),
        horizontal_line(227, 228),
        horizontal_line(226, 229),
        horizontal_line(225, 229),
        horizontal_line(224, 230),
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_137_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(224, 235),
        horizontal_line(224, 236),
        horizontal_line(225, 236),
        horizontal_line(226, 237),
        horizontal_line(226, 238),
        horizontal_line(227, 239),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(230, 239),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(231, 239),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(226, 239),
        horizontal_line(213, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(128, 135),
        horizontal_line(148, 163),
        horizontal_line(147, 162),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_137_shape_group_6_shapes[] = {
        shape(frame_137_shape_group_6_shape_0_horizontal_lines, 53, 8),
        shape(frame_137_shape_group_6_shape_1_horizontal_lines, 60, 8),
        shape(frame_137_shape_group_6_shape_2_horizontal_lines, 88, 8),
        shape(frame_137_shape_group_6_shape_3_horizontal_lines, 95, 8),
        shape(frame_137_shape_group_6_shape_4_horizontal_lines, 102, 9),
        shape(frame_137_shape_group_6_shape_5_horizontal_lines, 107, 9),
    };

    constexpr const horizontal_line frame_137_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(223, 230),
    };

    constexpr const horizontal_line frame_137_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(221, 232),
        horizontal_line(221, 232),
        horizontal_line(221, 233),
        horizontal_line(222, 233),
        horizontal_line(222, 234),
        horizontal_line(223, 235),
    };

    constexpr const horizontal_line frame_137_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_137_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(154, 163),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_137_shape_group_7_shapes[] = {
        shape(frame_137_shape_group_7_shape_0_horizontal_lines, 58, 8),
        shape(frame_137_shape_group_7_shape_1_horizontal_lines, 60, 8),
        shape(frame_137_shape_group_7_shape_2_horizontal_lines, 72, 8),
        shape(frame_137_shape_group_7_shape_3_horizontal_lines, 76, 8),
        shape(frame_137_shape_group_7_shape_4_horizontal_lines, 79, 8),
        shape(frame_137_shape_group_7_shape_5_horizontal_lines, 89, 8),
        shape(frame_137_shape_group_7_shape_6_horizontal_lines, 107, 9),
    };

    constexpr const horizontal_line frame_137_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(188, 239),
    };

    constexpr const shape frame_137_shape_group_8_shapes[] = {
        shape(frame_137_shape_group_8_shape_0_horizontal_lines, 108, 9),
    };

    constexpr const shape_group frame_137_shape_groups[] = {
        shape_group(frame_137_shape_group_0_shapes),
        shape_group(frame_137_shape_group_1_shapes),
        shape_group(frame_137_shape_group_2_shapes),
        shape_group(frame_137_shape_group_3_shapes),
        shape_group(frame_137_shape_group_4_shapes),
        shape_group(frame_137_shape_group_5_shapes),
        shape_group(frame_137_shape_group_6_shapes),
        shape_group(frame_137_shape_group_7_shapes),
        shape_group(frame_137_shape_group_8_shapes),
    };

    constexpr const frame frame_137_impl(frame_137_colors, frame_137_shape_groups);
} 

const frame& frame_137()
{
    return frame_137_impl;
}

namespace
{
    constexpr const bn::color frame_138_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_138_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(51, 113),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(60, 122),
        horizontal_line(63, 125),
        horizontal_line(66, 122),
        horizontal_line(69, 118),
        horizontal_line(72, 114),
        horizontal_line(75, 110),
        horizontal_line(78, 105),
        horizontal_line(81, 101),
        horizontal_line(84, 97),
        horizontal_line(87, 93),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(132, 142),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(133, 140),
        horizontal_line(133, 140),
        horizontal_line(133, 140),
        horizontal_line(133, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 137),
        horizontal_line(136, 136),
        horizontal_line(136, 136),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_138_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_138_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(133, 135),
        horizontal_line(130, 135),
        horizontal_line(127, 135),
        horizontal_line(124, 135),
        horizontal_line(121, 135),
        horizontal_line(118, 135),
        horizontal_line(120, 135),
        horizontal_line(122, 135),
        horizontal_line(124, 135),
        horizontal_line(126, 135),
    };

    constexpr const horizontal_line frame_138_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(143, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 161),
        horizontal_line(144, 161),
        horizontal_line(131, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 132),
        horizontal_line(127, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(147, 156),
        horizontal_line(135, 141),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(109, 109),
        horizontal_line(87, 112),
        horizontal_line(67, 115),
        horizontal_line(69, 118),
        horizontal_line(71, 121),
        horizontal_line(74, 124),
        horizontal_line(76, 127),
        horizontal_line(78, 130),
        horizontal_line(81, 133),
        horizontal_line(83, 137),
        horizontal_line(85, 140),
        horizontal_line(88, 143),
        horizontal_line(90, 146),
        horizontal_line(92, 149),
        horizontal_line(95, 152),
        horizontal_line(97, 155),
        horizontal_line(99, 158),
        horizontal_line(102, 161),
        horizontal_line(104, 165),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(111, 173),
        horizontal_line(113, 175),
        horizontal_line(116, 178),
        horizontal_line(118, 180),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(132, 194),
        horizontal_line(134, 195),
        horizontal_line(137, 196),
        horizontal_line(139, 197),
        horizontal_line(141, 198),
        horizontal_line(144, 199),
        horizontal_line(146, 200),
        horizontal_line(148, 201),
        horizontal_line(151, 202),
        horizontal_line(153, 204),
        horizontal_line(155, 205),
        horizontal_line(158, 206),
        horizontal_line(160, 207),
        horizontal_line(162, 208),
        horizontal_line(165, 209),
        horizontal_line(167, 210),
        horizontal_line(169, 211),
        horizontal_line(172, 212),
        horizontal_line(174, 213),
        horizontal_line(176, 214),
        horizontal_line(179, 215),
        horizontal_line(181, 216),
        horizontal_line(184, 218),
    };

    constexpr const shape frame_138_shape_group_0_shapes[] = {
        shape(frame_138_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_138_shape_group_0_shape_1_horizontal_lines, 79, 2),
        shape(frame_138_shape_group_0_shape_2_horizontal_lines, 80, 3),
        shape(frame_138_shape_group_0_shape_3_horizontal_lines, 90, 8),
    };

    constexpr const horizontal_line frame_138_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
        horizontal_line(129, 141),
    };

    constexpr const horizontal_line frame_138_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_138_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(142, 142),
        horizontal_line(142, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(137, 142),
        horizontal_line(137, 141),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_138_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(145, 154),
    };

    constexpr const horizontal_line frame_138_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 137),
        horizontal_line(136, 137),
        horizontal_line(136, 136),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_138_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(142, 159),
        horizontal_line(142, 159),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(144, 162),
        horizontal_line(144, 162),
        horizontal_line(145, 163),
        horizontal_line(145, 163),
        horizontal_line(145, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 165),
        horizontal_line(146, 189),
        horizontal_line(147, 161),
        horizontal_line(165, 188),
        horizontal_line(147, 151),
        horizontal_line(164, 188),
        horizontal_line(163, 188),
        horizontal_line(134, 146),
        horizontal_line(137, 146),
        horizontal_line(140, 146),
        horizontal_line(143, 146),
        horizontal_line(146, 146),
        horizontal_line(159, 188),
        horizontal_line(159, 188),
        horizontal_line(158, 188),
        horizontal_line(158, 188),
        horizontal_line(159, 188),
        horizontal_line(161, 188),
        horizontal_line(163, 188),
        horizontal_line(165, 188),
        horizontal_line(166, 188),
        horizontal_line(168, 188),
        horizontal_line(170, 188),
        horizontal_line(172, 188),
        horizontal_line(174, 188),
        horizontal_line(175, 188),
        horizontal_line(177, 188),
        horizontal_line(179, 188),
        horizontal_line(181, 188),
        horizontal_line(182, 188),
        horizontal_line(184, 188),
        horizontal_line(186, 188),
        horizontal_line(188, 188),
        horizontal_line(185, 190),
        horizontal_line(187, 191),
        horizontal_line(189, 192),
        horizontal_line(192, 193),
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_138_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_138_shape_group_1_shapes[] = {
        shape(frame_138_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_138_shape_group_1_shape_1_horizontal_lines, 48, 8),
        shape(frame_138_shape_group_1_shape_2_horizontal_lines, 58, 2),
        shape(frame_138_shape_group_1_shape_3_horizontal_lines, 79, 8),
        shape(frame_138_shape_group_1_shape_4_horizontal_lines, 80, 2),
        shape(frame_138_shape_group_1_shape_5_horizontal_lines, 88, 8),
        shape(frame_138_shape_group_1_shape_6_horizontal_lines, 138, 9),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(63, 86),
        horizontal_line(65, 88),
        horizontal_line(68, 89),
        horizontal_line(71, 91),
        horizontal_line(74, 93),
        horizontal_line(77, 95),
        horizontal_line(80, 97),
        horizontal_line(83, 99),
        horizontal_line(86, 101),
        horizontal_line(89, 103),
        horizontal_line(92, 105),
        horizontal_line(95, 107),
        horizontal_line(98, 108),
        horizontal_line(101, 110),
        horizontal_line(104, 112),
        horizontal_line(107, 114),
        horizontal_line(110, 116),
        horizontal_line(113, 118),
        horizontal_line(116, 120),
        horizontal_line(119, 122),
        horizontal_line(122, 124),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(150, 150),
        horizontal_line(149, 151),
        horizontal_line(149, 151),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(146, 154),
        horizontal_line(175, 237),
        horizontal_line(145, 155),
        horizontal_line(144, 155),
        horizontal_line(144, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 158),
        horizontal_line(142, 158),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 230),
        horizontal_line(186, 222),
        horizontal_line(187, 214),
        horizontal_line(187, 205),
        horizontal_line(188, 197),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(166, 188),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(165, 188),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(163, 188),
        horizontal_line(162, 188),
        horizontal_line(161, 188),
        horizontal_line(161, 188),
        horizontal_line(160, 188),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(152, 158),
        horizontal_line(155, 157),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(171, 171),
        horizontal_line(173, 174),
        horizontal_line(175, 177),
        horizontal_line(178, 180),
        horizontal_line(180, 183),
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_138_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_138_shape_group_2_shapes[] = {
        shape(frame_138_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_138_shape_group_2_shape_1_horizontal_lines, 6, 3),
        shape(frame_138_shape_group_2_shape_2_horizontal_lines, 40, 8),
        shape(frame_138_shape_group_2_shape_3_horizontal_lines, 90, 1),
        shape(frame_138_shape_group_2_shape_4_horizontal_lines, 94, 8),
        shape(frame_138_shape_group_2_shape_5_horizontal_lines, 101, 1),
        shape(frame_138_shape_group_2_shape_6_horizontal_lines, 102, 8),
        shape(frame_138_shape_group_2_shape_7_horizontal_lines, 103, 1),
        shape(frame_138_shape_group_2_shape_8_horizontal_lines, 104, 8),
        shape(frame_138_shape_group_2_shape_9_horizontal_lines, 105, 1),
        shape(frame_138_shape_group_2_shape_10_horizontal_lines, 107, 8),
        shape(frame_138_shape_group_2_shape_11_horizontal_lines, 112, 9),
        shape(frame_138_shape_group_2_shape_12_horizontal_lines, 126, 8),
        shape(frame_138_shape_group_2_shape_13_horizontal_lines, 133, 9),
    };

    constexpr const horizontal_line frame_138_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(115, 136),
        horizontal_line(116, 135),
        horizontal_line(118, 135),
        horizontal_line(120, 135),
        horizontal_line(122, 135),
        horizontal_line(124, 134),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(73, 133),
        horizontal_line(75, 133),
        horizontal_line(77, 133),
        horizontal_line(79, 132),
        horizontal_line(81, 132),
        horizontal_line(83, 132),
        horizontal_line(85, 132),
        horizontal_line(87, 131),
        horizontal_line(89, 131),
        horizontal_line(90, 131),
        horizontal_line(92, 131),
        horizontal_line(94, 130),
        horizontal_line(96, 130),
        horizontal_line(98, 130),
        horizontal_line(100, 130),
        horizontal_line(102, 130),
        horizontal_line(104, 129),
        horizontal_line(106, 129),
        horizontal_line(108, 129),
        horizontal_line(109, 129),
        horizontal_line(111, 128),
        horizontal_line(113, 128),
        horizontal_line(115, 128),
        horizontal_line(117, 128),
        horizontal_line(119, 127),
        horizontal_line(121, 127),
        horizontal_line(123, 127),
        horizontal_line(125, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_138_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(237, 239),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(116, 134),
        horizontal_line(115, 133),
        horizontal_line(115, 132),
        horizontal_line(115, 131),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(112, 124),
        horizontal_line(0, 62),
        horizontal_line(111, 124),
        horizontal_line(0, 62),
        horizontal_line(110, 118),
        horizontal_line(110, 113),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 43),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_138_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_138_shape_group_3_shapes[] = {
        shape(frame_138_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_138_shape_group_3_shape_1_horizontal_lines, 40, 8),
        shape(frame_138_shape_group_3_shape_2_horizontal_lines, 48, 1),
        shape(frame_138_shape_group_3_shape_3_horizontal_lines, 58, 8),
        shape(frame_138_shape_group_3_shape_4_horizontal_lines, 88, 1),
        shape(frame_138_shape_group_3_shape_5_horizontal_lines, 112, 9),
        shape(frame_138_shape_group_3_shape_6_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(126, 134),
        horizontal_line(128, 134),
        horizontal_line(130, 134),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(140, 140),
        horizontal_line(140, 140),
        horizontal_line(140, 140),
        horizontal_line(140, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(142, 155),
        horizontal_line(90, 129),
        horizontal_line(91, 129),
        horizontal_line(92, 129),
        horizontal_line(93, 129),
        horizontal_line(93, 130),
        horizontal_line(94, 130),
        horizontal_line(95, 130),
        horizontal_line(96, 130),
        horizontal_line(96, 131),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(116, 123),
        horizontal_line(116, 125),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(114, 130),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(113, 126),
        horizontal_line(113, 125),
        horizontal_line(112, 125),
        horizontal_line(112, 125),
        horizontal_line(62, 69),
        horizontal_line(111, 124),
        horizontal_line(62, 68),
        horizontal_line(111, 123),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_138_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(147, 160),
        horizontal_line(147, 159),
    };

    constexpr const shape frame_138_shape_group_4_shapes[] = {
        shape(frame_138_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_138_shape_group_4_shape_1_horizontal_lines, 6, 2),
        shape(frame_138_shape_group_4_shape_2_horizontal_lines, 11, 7),
        shape(frame_138_shape_group_4_shape_3_horizontal_lines, 17, 8),
        shape(frame_138_shape_group_4_shape_4_horizontal_lines, 40, 1),
        shape(frame_138_shape_group_4_shape_5_horizontal_lines, 71, 8),
        shape(frame_138_shape_group_4_shape_6_horizontal_lines, 79, 1),
        shape(frame_138_shape_group_4_shape_7_horizontal_lines, 80, 8),
        shape(frame_138_shape_group_4_shape_8_horizontal_lines, 83, 1),
        shape(frame_138_shape_group_4_shape_9_horizontal_lines, 110, 9),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(190, 236),
        horizontal_line(189, 237),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(119, 127),
        horizontal_line(115, 127),
        horizontal_line(111, 127),
        horizontal_line(106, 128),
        horizontal_line(102, 128),
        horizontal_line(98, 128),
        horizontal_line(94, 128),
        horizontal_line(62, 124),
        horizontal_line(142, 157),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 154),
        horizontal_line(143, 154),
        horizontal_line(97, 131),
        horizontal_line(98, 131),
        horizontal_line(99, 131),
        horizontal_line(99, 131),
        horizontal_line(100, 132),
        horizontal_line(101, 132),
        horizontal_line(102, 132),
        horizontal_line(102, 132),
        horizontal_line(103, 133),
        horizontal_line(104, 133),
        horizontal_line(105, 133),
        horizontal_line(105, 133),
        horizontal_line(106, 133),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(113, 136),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(116, 123),
        horizontal_line(117, 120),
        horizontal_line(138, 140),
        horizontal_line(117, 119),
        horizontal_line(117, 121),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(125, 135),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_138_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(128, 134),
        horizontal_line(131, 134),
        horizontal_line(147, 162),
        horizontal_line(147, 161),
        horizontal_line(147, 160),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_138_shape_group_5_shapes[] = {
        shape(frame_138_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_138_shape_group_5_shape_1_horizontal_lines, 6, 7),
        shape(frame_138_shape_group_5_shape_2_horizontal_lines, 11, 8),
        shape(frame_138_shape_group_5_shape_3_horizontal_lines, 18, 1),
        shape(frame_138_shape_group_5_shape_4_horizontal_lines, 19, 8),
        shape(frame_138_shape_group_5_shape_5_horizontal_lines, 40, 1),
        shape(frame_138_shape_group_5_shape_6_horizontal_lines, 94, 1),
        shape(frame_138_shape_group_5_shape_7_horizontal_lines, 101, 9),
        shape(frame_138_shape_group_5_shape_8_horizontal_lines, 102, 1),
        shape(frame_138_shape_group_5_shape_9_horizontal_lines, 103, 9),
        shape(frame_138_shape_group_5_shape_10_horizontal_lines, 104, 1),
        shape(frame_138_shape_group_5_shape_11_horizontal_lines, 105, 9),
    };

    constexpr const horizontal_line frame_138_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(142, 146),
        horizontal_line(142, 148),
        horizontal_line(142, 149),
        horizontal_line(142, 150),
        horizontal_line(142, 151),
        horizontal_line(142, 152),
        horizontal_line(142, 153),
        horizontal_line(142, 154),
        horizontal_line(124, 129),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(143, 154),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 152),
        horizontal_line(144, 152),
        horizontal_line(145, 152),
        horizontal_line(146, 151),
        horizontal_line(147, 151),
        horizontal_line(148, 151),
        horizontal_line(149, 150),
        horizontal_line(150, 150),
        horizontal_line(62, 80),
        horizontal_line(107, 134),
        horizontal_line(108, 134),
        horizontal_line(108, 134),
        horizontal_line(109, 134),
        horizontal_line(110, 135),
        horizontal_line(111, 135),
        horizontal_line(111, 135),
        horizontal_line(112, 135),
        horizontal_line(62, 77),
        horizontal_line(114, 132),
        horizontal_line(114, 129),
        horizontal_line(115, 126),
        horizontal_line(62, 75),
        horizontal_line(138, 139),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_138_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(223, 239),
        horizontal_line(215, 239),
        horizontal_line(206, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_138_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(157, 164),
        horizontal_line(125, 134),
        horizontal_line(148, 163),
        horizontal_line(147, 162),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_138_shape_group_6_shapes[] = {
        shape(frame_138_shape_group_6_shape_0_horizontal_lines, 6, 8),
        shape(frame_138_shape_group_6_shape_1_horizontal_lines, 19, 1),
        shape(frame_138_shape_group_6_shape_2_horizontal_lines, 96, 9),
        shape(frame_138_shape_group_6_shape_3_horizontal_lines, 102, 9),
    };

    constexpr const horizontal_line frame_138_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(142, 144),
        horizontal_line(142, 145),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 71),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(62, 83),
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_138_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_138_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
    };

    constexpr const horizontal_line frame_138_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
    };

    constexpr const horizontal_line frame_138_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_138_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(152, 164),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_138_shape_group_7_shapes[] = {
        shape(frame_138_shape_group_7_shape_0_horizontal_lines, 35, 1),
        shape(frame_138_shape_group_7_shape_1_horizontal_lines, 58, 1),
        shape(frame_138_shape_group_7_shape_2_horizontal_lines, 71, 1),
        shape(frame_138_shape_group_7_shape_3_horizontal_lines, 80, 1),
        shape(frame_138_shape_group_7_shape_4_horizontal_lines, 84, 1),
        shape(frame_138_shape_group_7_shape_5_horizontal_lines, 102, 9),
    };

    constexpr const horizontal_line frame_138_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_138_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(189, 239),
    };

    constexpr const shape frame_138_shape_group_8_shapes[] = {
        shape(frame_138_shape_group_8_shape_0_horizontal_lines, 39, 1),
        shape(frame_138_shape_group_8_shape_1_horizontal_lines, 104, 9),
    };

    constexpr const shape_group frame_138_shape_groups[] = {
        shape_group(frame_138_shape_group_0_shapes),
        shape_group(frame_138_shape_group_1_shapes),
        shape_group(frame_138_shape_group_2_shapes),
        shape_group(frame_138_shape_group_3_shapes),
        shape_group(frame_138_shape_group_4_shapes),
        shape_group(frame_138_shape_group_5_shapes),
        shape_group(frame_138_shape_group_6_shapes),
        shape_group(frame_138_shape_group_7_shapes),
        shape_group(frame_138_shape_group_8_shapes),
    };

    constexpr const frame frame_138_impl(frame_138_colors, frame_138_shape_groups);
} 

const frame& frame_138()
{
    return frame_138_impl;
}

namespace
{
    constexpr const bn::color frame_139_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_139_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 62),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_139_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_139_shape_group_0_shapes[] = {
        shape(frame_139_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_139_shape_group_0_shape_1_horizontal_lines, 111, 7),
    };

    constexpr const horizontal_line frame_139_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(96, 101),
        horizontal_line(91, 101),
        horizontal_line(86, 102),
        horizontal_line(82, 102),
        horizontal_line(77, 103),
        horizontal_line(72, 103),
        horizontal_line(68, 103),
        horizontal_line(63, 104),
        horizontal_line(58, 104),
        horizontal_line(54, 105),
        horizontal_line(49, 105),
        horizontal_line(44, 105),
        horizontal_line(62, 106),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 109),
        horizontal_line(49, 109),
        horizontal_line(50, 110),
        horizontal_line(51, 110),
        horizontal_line(52, 111),
        horizontal_line(53, 111),
        horizontal_line(54, 111),
        horizontal_line(55, 112),
        horizontal_line(56, 112),
        horizontal_line(58, 113),
        horizontal_line(59, 113),
        horizontal_line(60, 113),
        horizontal_line(61, 114),
        horizontal_line(62, 114),
        horizontal_line(63, 115),
        horizontal_line(64, 115),
        horizontal_line(65, 115),
        horizontal_line(66, 116),
        horizontal_line(67, 116),
        horizontal_line(68, 117),
        horizontal_line(69, 117),
        horizontal_line(70, 117),
        horizontal_line(71, 118),
        horizontal_line(72, 118),
        horizontal_line(73, 119),
        horizontal_line(75, 119),
        horizontal_line(76, 119),
        horizontal_line(77, 120),
        horizontal_line(78, 120),
        horizontal_line(79, 121),
        horizontal_line(80, 121),
        horizontal_line(81, 121),
        horizontal_line(82, 122),
        horizontal_line(83, 122),
        horizontal_line(84, 123),
        horizontal_line(85, 123),
        horizontal_line(86, 123),
        horizontal_line(87, 124),
        horizontal_line(88, 124),
        horizontal_line(89, 125),
        horizontal_line(90, 125),
        horizontal_line(92, 125),
        horizontal_line(93, 126),
        horizontal_line(94, 126),
        horizontal_line(95, 127),
        horizontal_line(96, 127),
        horizontal_line(97, 127),
        horizontal_line(98, 128),
        horizontal_line(99, 128),
        horizontal_line(100, 129),
        horizontal_line(101, 126),
        horizontal_line(102, 123),
        horizontal_line(103, 121),
        horizontal_line(104, 118),
        horizontal_line(105, 115),
        horizontal_line(106, 113),
        horizontal_line(107, 110),
        horizontal_line(137, 138),
        horizontal_line(108, 110),
        horizontal_line(108, 113),
        horizontal_line(107, 115),
        horizontal_line(107, 118),
        horizontal_line(107, 120),
        horizontal_line(106, 123),
        horizontal_line(106, 130),
        horizontal_line(105, 130),
        horizontal_line(105, 129),
        horizontal_line(105, 129),
        horizontal_line(104, 128),
        horizontal_line(104, 128),
        horizontal_line(103, 128),
        horizontal_line(103, 123),
        horizontal_line(103, 122),
        horizontal_line(102, 122),
        horizontal_line(102, 122),
        horizontal_line(101, 121),
        horizontal_line(101, 121),
        horizontal_line(101, 120),
        horizontal_line(100, 120),
        horizontal_line(100, 119),
        horizontal_line(99, 111),
        horizontal_line(99, 104),
    };

    constexpr const horizontal_line frame_139_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(5, 56),
        horizontal_line(5, 42),
        horizontal_line(4, 29),
        horizontal_line(4, 15),
        horizontal_line(121, 154),
        horizontal_line(124, 157),
        horizontal_line(127, 158),
        horizontal_line(130, 160),
        horizontal_line(133, 161),
        horizontal_line(136, 163),
        horizontal_line(140, 165),
        horizontal_line(143, 166),
        horizontal_line(146, 168),
        horizontal_line(149, 170),
        horizontal_line(152, 171),
        horizontal_line(155, 173),
        horizontal_line(159, 175),
        horizontal_line(162, 176),
        horizontal_line(165, 178),
        horizontal_line(168, 180),
        horizontal_line(171, 181),
        horizontal_line(174, 183),
        horizontal_line(178, 185),
        horizontal_line(181, 186),
        horizontal_line(184, 188),
        horizontal_line(187, 190),
        horizontal_line(190, 191),
        horizontal_line(193, 193),
    };

    constexpr const horizontal_line frame_139_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_139_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
    };

    constexpr const shape frame_139_shape_group_1_shapes[] = {
        shape(frame_139_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_139_shape_group_1_shape_1_horizontal_lines, 103, 7),
        shape(frame_139_shape_group_1_shape_2_horizontal_lines, 134, 9),
        shape(frame_139_shape_group_1_shape_3_horizontal_lines, 141, 7),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(17, 79),
        horizontal_line(19, 76),
        horizontal_line(22, 71),
        horizontal_line(24, 67),
        horizontal_line(27, 62),
        horizontal_line(29, 57),
        horizontal_line(32, 53),
        horizontal_line(34, 48),
        horizontal_line(37, 43),
        horizontal_line(107, 132),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(103, 106),
        horizontal_line(104, 107),
        horizontal_line(133, 133),
        horizontal_line(133, 134),
        horizontal_line(134, 136),
        horizontal_line(134, 137),
        horizontal_line(134, 138),
        horizontal_line(134, 139),
        horizontal_line(134, 141),
        horizontal_line(134, 142),
        horizontal_line(135, 143),
        horizontal_line(135, 144),
        horizontal_line(135, 146),
        horizontal_line(135, 147),
        horizontal_line(135, 148),
        horizontal_line(135, 149),
        horizontal_line(136, 151),
        horizontal_line(136, 152),
        horizontal_line(136, 153),
        horizontal_line(136, 155),
        horizontal_line(136, 154),
        horizontal_line(136, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 154),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(137, 153),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 152),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 150),
        horizontal_line(140, 150),
        horizontal_line(141, 150),
        horizontal_line(142, 150),
        horizontal_line(143, 149),
        horizontal_line(143, 149),
        horizontal_line(144, 149),
        horizontal_line(145, 149),
        horizontal_line(146, 148),
        horizontal_line(146, 148),
        horizontal_line(147, 148),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(126, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(140, 140),
        horizontal_line(127, 129),
        horizontal_line(124, 129),
        horizontal_line(122, 129),
        horizontal_line(119, 130),
        horizontal_line(116, 130),
        horizontal_line(114, 130),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(109, 131),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(114, 131),
        horizontal_line(116, 131),
        horizontal_line(119, 134),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(131, 131),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(99, 130),
        horizontal_line(102, 133),
        horizontal_line(105, 137),
        horizontal_line(108, 140),
        horizontal_line(111, 144),
        horizontal_line(114, 147),
        horizontal_line(117, 151),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(155, 157),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_139_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
    };

    constexpr const shape frame_139_shape_group_2_shapes[] = {
        shape(frame_139_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_139_shape_group_2_shape_1_horizontal_lines, 14, 1),
        shape(frame_139_shape_group_2_shape_2_horizontal_lines, 62, 3),
        shape(frame_139_shape_group_2_shape_3_horizontal_lines, 77, 1),
        shape(frame_139_shape_group_2_shape_4_horizontal_lines, 78, 3),
        shape(frame_139_shape_group_2_shape_5_horizontal_lines, 79, 1),
        shape(frame_139_shape_group_2_shape_6_horizontal_lines, 80, 3),
        shape(frame_139_shape_group_2_shape_7_horizontal_lines, 83, 1),
        shape(frame_139_shape_group_2_shape_8_horizontal_lines, 85, 3),
        shape(frame_139_shape_group_2_shape_9_horizontal_lines, 90, 7),
        shape(frame_139_shape_group_2_shape_10_horizontal_lines, 110, 9),
        shape(frame_139_shape_group_2_shape_11_horizontal_lines, 141, 9),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(102, 130),
        horizontal_line(102, 130),
        horizontal_line(102, 130),
        horizontal_line(103, 130),
        horizontal_line(103, 130),
        horizontal_line(104, 130),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(105, 131),
        horizontal_line(105, 131),
        horizontal_line(106, 131),
        horizontal_line(106, 131),
        horizontal_line(106, 132),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(133, 164),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(107, 132),
        horizontal_line(108, 132),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(105, 107),
        horizontal_line(106, 107),
        horizontal_line(107, 108),
        horizontal_line(108, 108),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(110, 133),
        horizontal_line(110, 133),
        horizontal_line(111, 133),
        horizontal_line(111, 134),
        horizontal_line(112, 134),
        horizontal_line(112, 134),
        horizontal_line(112, 134),
        horizontal_line(113, 134),
        horizontal_line(113, 134),
        horizontal_line(114, 135),
        horizontal_line(114, 135),
        horizontal_line(114, 135),
        horizontal_line(115, 135),
        horizontal_line(115, 135),
        horizontal_line(116, 135),
        horizontal_line(116, 136),
        horizontal_line(116, 136),
        horizontal_line(117, 136),
        horizontal_line(117, 136),
        horizontal_line(118, 136),
        horizontal_line(118, 136),
        horizontal_line(118, 137),
        horizontal_line(119, 136),
        horizontal_line(119, 136),
        horizontal_line(120, 136),
        horizontal_line(120, 135),
        horizontal_line(120, 135),
        horizontal_line(121, 135),
        horizontal_line(121, 135),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(126, 131),
        horizontal_line(126, 131),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(138, 138),
        horizontal_line(138, 138),
        horizontal_line(137, 137),
        horizontal_line(136, 137),
        horizontal_line(111, 130),
        horizontal_line(135, 136),
        horizontal_line(111, 131),
        horizontal_line(134, 135),
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(14, 76),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(121, 130),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(131, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 144),
        horizontal_line(132, 144),
        horizontal_line(133, 145),
        horizontal_line(133, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 146),
        horizontal_line(135, 146),
        horizontal_line(70, 99),
        horizontal_line(120, 120),
        horizontal_line(112, 123),
        horizontal_line(105, 126),
        horizontal_line(68, 97),
        horizontal_line(68, 83),
        horizontal_line(67, 69),
    };

    constexpr const horizontal_line frame_139_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(148, 158),
        horizontal_line(152, 158),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_139_shape_group_3_shapes[] = {
        shape(frame_139_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_139_shape_group_3_shape_1_horizontal_lines, 13, 7),
        shape(frame_139_shape_group_3_shape_2_horizontal_lines, 14, 3),
        shape(frame_139_shape_group_3_shape_3_horizontal_lines, 16, 1),
        shape(frame_139_shape_group_3_shape_4_horizontal_lines, 21, 3),
        shape(frame_139_shape_group_3_shape_5_horizontal_lines, 62, 7),
        shape(frame_139_shape_group_3_shape_6_horizontal_lines, 72, 3),
        shape(frame_139_shape_group_3_shape_7_horizontal_lines, 82, 7),
        shape(frame_139_shape_group_3_shape_8_horizontal_lines, 83, 3),
        shape(frame_139_shape_group_3_shape_9_horizontal_lines, 85, 7),
        shape(frame_139_shape_group_3_shape_10_horizontal_lines, 106, 9),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(69, 100),
        horizontal_line(71, 95),
        horizontal_line(74, 90),
        horizontal_line(76, 85),
        horizontal_line(79, 81),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(132, 168),
        horizontal_line(132, 167),
        horizontal_line(132, 167),
        horizontal_line(132, 166),
        horizontal_line(132, 166),
        horizontal_line(132, 165),
        horizontal_line(133, 165),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(39, 40),
        horizontal_line(39, 41),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(108, 132),
        horizontal_line(108, 132),
        horizontal_line(109, 133),
        horizontal_line(109, 133),
        horizontal_line(110, 133),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(37, 47),
        horizontal_line(36, 48),
        horizontal_line(36, 49),
        horizontal_line(35, 50),
        horizontal_line(35, 51),
        horizontal_line(35, 52),
        horizontal_line(34, 53),
        horizontal_line(34, 54),
        horizontal_line(34, 55),
        horizontal_line(33, 57),
        horizontal_line(33, 58),
        horizontal_line(32, 59),
        horizontal_line(32, 60),
        horizontal_line(32, 61),
        horizontal_line(31, 62),
        horizontal_line(31, 63),
        horizontal_line(31, 64),
        horizontal_line(30, 65),
        horizontal_line(30, 66),
        horizontal_line(29, 67),
        horizontal_line(29, 68),
        horizontal_line(29, 69),
        horizontal_line(28, 70),
        horizontal_line(28, 71),
        horizontal_line(28, 72),
        horizontal_line(27, 74),
        horizontal_line(27, 75),
        horizontal_line(27, 76),
        horizontal_line(26, 77),
        horizontal_line(26, 78),
        horizontal_line(25, 79),
        horizontal_line(25, 80),
        horizontal_line(25, 81),
        horizontal_line(24, 82),
        horizontal_line(24, 83),
        horizontal_line(24, 84),
        horizontal_line(23, 85),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(22, 84),
        horizontal_line(141, 173),
        horizontal_line(141, 147),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(142, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 143),
        horizontal_line(140, 143),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(15, 77),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(14, 76),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(132, 133),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 143),
        horizontal_line(164, 191),
        horizontal_line(164, 192),
        horizontal_line(165, 192),
        horizontal_line(165, 193),
        horizontal_line(166, 194),
        horizontal_line(71, 101),
        horizontal_line(71, 100),
        horizontal_line(70, 100),
        horizontal_line(70, 100),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(121, 133),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(69, 99),
        horizontal_line(69, 98),
        horizontal_line(68, 98),
    };

    constexpr const horizontal_line frame_139_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(147, 160),
        horizontal_line(146, 160),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_139_shape_group_4_shapes[] = {
        shape(frame_139_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_139_shape_group_4_shape_1_horizontal_lines, 5, 8),
        shape(frame_139_shape_group_4_shape_2_horizontal_lines, 6, 7),
        shape(frame_139_shape_group_4_shape_3_horizontal_lines, 14, 7),
        shape(frame_139_shape_group_4_shape_4_horizontal_lines, 16, 3),
        shape(frame_139_shape_group_4_shape_5_horizontal_lines, 21, 7),
        shape(frame_139_shape_group_4_shape_6_horizontal_lines, 77, 3),
        shape(frame_139_shape_group_4_shape_7_horizontal_lines, 78, 7),
        shape(frame_139_shape_group_4_shape_8_horizontal_lines, 79, 3),
        shape(frame_139_shape_group_4_shape_9_horizontal_lines, 80, 7),
        shape(frame_139_shape_group_4_shape_10_horizontal_lines, 83, 3),
        shape(frame_139_shape_group_4_shape_11_horizontal_lines, 85, 7),
        shape(frame_139_shape_group_4_shape_12_horizontal_lines, 99, 9),
        shape(frame_139_shape_group_4_shape_13_horizontal_lines, 100, 7),
        shape(frame_139_shape_group_4_shape_14_horizontal_lines, 103, 9),
    };

    constexpr const horizontal_line frame_139_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_139_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(132, 168),
    };

    constexpr const horizontal_line frame_139_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(133, 164),
        horizontal_line(133, 163),
        horizontal_line(38, 42),
        horizontal_line(38, 43),
        horizontal_line(38, 44),
        horizontal_line(37, 45),
        horizontal_line(37, 46),
        horizontal_line(140, 160),
        horizontal_line(142, 160),
        horizontal_line(143, 159),
        horizontal_line(144, 159),
        horizontal_line(145, 158),
        horizontal_line(147, 158),
        horizontal_line(148, 157),
        horizontal_line(149, 157),
        horizontal_line(150, 156),
        horizontal_line(152, 156),
        horizontal_line(153, 155),
        horizontal_line(154, 155),
    };

    constexpr const horizontal_line frame_139_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 157),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 159),
        horizontal_line(154, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 161),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(152, 163),
        horizontal_line(152, 163),
        horizontal_line(152, 164),
        horizontal_line(152, 165),
        horizontal_line(151, 165),
        horizontal_line(139, 139),
        horizontal_line(139, 140),
        horizontal_line(139, 141),
        horizontal_line(139, 142),
        horizontal_line(140, 142),
        horizontal_line(140, 143),
        horizontal_line(140, 144),
        horizontal_line(140, 145),
        horizontal_line(140, 145),
        horizontal_line(140, 146),
        horizontal_line(140, 147),
        horizontal_line(83, 91),
        horizontal_line(149, 174),
        horizontal_line(150, 174),
        horizontal_line(150, 175),
        horizontal_line(151, 176),
        horizontal_line(151, 176),
        horizontal_line(152, 177),
        horizontal_line(152, 178),
        horizontal_line(153, 178),
        horizontal_line(153, 179),
        horizontal_line(140, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 140),
        horizontal_line(16, 78),
        horizontal_line(139, 139),
        horizontal_line(15, 77),
        horizontal_line(136, 139),
        horizontal_line(135, 139),
        horizontal_line(159, 186),
        horizontal_line(14, 76),
        horizontal_line(13, 75),
        horizontal_line(161, 188),
        horizontal_line(162, 188),
        horizontal_line(162, 189),
        horizontal_line(163, 190),
        horizontal_line(163, 190),
        horizontal_line(73, 103),
        horizontal_line(73, 102),
        horizontal_line(72, 102),
        horizontal_line(72, 102),
        horizontal_line(71, 101),
    };

    constexpr const horizontal_line frame_139_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(162, 165),
        horizontal_line(157, 164),
        horizontal_line(121, 134),
        horizontal_line(148, 163),
        horizontal_line(121, 133),
        horizontal_line(124, 133),
        horizontal_line(127, 132),
        horizontal_line(147, 161),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_139_shape_group_5_shapes[] = {
        shape(frame_139_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_139_shape_group_5_shape_1_horizontal_lines, 5, 7),
        shape(frame_139_shape_group_5_shape_2_horizontal_lines, 14, 7),
        shape(frame_139_shape_group_5_shape_3_horizontal_lines, 34, 7),
        shape(frame_139_shape_group_5_shape_4_horizontal_lines, 95, 9),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(133, 171),
        horizontal_line(132, 170),
        horizontal_line(132, 170),
        horizontal_line(132, 169),
        horizontal_line(132, 169),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(134, 163),
        horizontal_line(135, 162),
        horizontal_line(137, 162),
        horizontal_line(138, 161),
        horizontal_line(139, 161),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(137, 137),
        horizontal_line(136, 137),
        horizontal_line(136, 137),
        horizontal_line(136, 137),
        horizontal_line(136, 138),
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(151, 166),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(150, 168),
        horizontal_line(150, 169),
        horizontal_line(150, 169),
        horizontal_line(150, 170),
        horizontal_line(149, 170),
        horizontal_line(149, 171),
        horizontal_line(149, 172),
        horizontal_line(149, 172),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(132, 140),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(83, 92),
        horizontal_line(83, 93),
        horizontal_line(82, 94),
        horizontal_line(82, 95),
        horizontal_line(81, 96),
        horizontal_line(81, 97),
        horizontal_line(81, 98),
        horizontal_line(80, 99),
        horizontal_line(80, 100),
        horizontal_line(154, 179),
        horizontal_line(155, 180),
        horizontal_line(155, 181),
        horizontal_line(156, 181),
        horizontal_line(156, 182),
        horizontal_line(138, 140),
        horizontal_line(157, 183),
        horizontal_line(158, 184),
        horizontal_line(158, 185),
        horizontal_line(159, 185),
        horizontal_line(76, 106),
        horizontal_line(134, 140),
        horizontal_line(133, 141),
        horizontal_line(75, 105),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(74, 104),
        horizontal_line(73, 103),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(217, 239),
        horizontal_line(209, 239),
        horizontal_line(202, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_139_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(152, 164),
        horizontal_line(195, 239),
        horizontal_line(147, 163),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_139_shape_group_6_shapes[] = {
        shape(frame_139_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_139_shape_group_6_shape_1_horizontal_lines, 16, 7),
        shape(frame_139_shape_group_6_shape_2_horizontal_lines, 43, 2),
        shape(frame_139_shape_group_6_shape_3_horizontal_lines, 51, 7),
        shape(frame_139_shape_group_6_shape_4_horizontal_lines, 62, 2),
        shape(frame_139_shape_group_6_shape_5_horizontal_lines, 63, 7),
        shape(frame_139_shape_group_6_shape_6_horizontal_lines, 90, 9),
        shape(frame_139_shape_group_6_shape_7_horizontal_lines, 96, 9),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(85, 85),
        horizontal_line(85, 86),
        horizontal_line(84, 87),
        horizontal_line(84, 88),
        horizontal_line(84, 89),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 140),
        horizontal_line(130, 141),
        horizontal_line(130, 140),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(80, 101),
        horizontal_line(79, 102),
        horizontal_line(79, 103),
        horizontal_line(78, 104),
        horizontal_line(78, 105),
        horizontal_line(157, 183),
        horizontal_line(77, 108),
        horizontal_line(77, 107),
        horizontal_line(77, 107),
        horizontal_line(76, 106),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(160, 186),
        horizontal_line(161, 187),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_139_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const shape frame_139_shape_group_7_shapes[] = {
        shape(frame_139_shape_group_7_shape_0_horizontal_lines, 51, 2),
        shape(frame_139_shape_group_7_shape_1_horizontal_lines, 57, 7),
        shape(frame_139_shape_group_7_shape_2_horizontal_lines, 63, 2),
        shape(frame_139_shape_group_7_shape_3_horizontal_lines, 72, 7),
        shape(frame_139_shape_group_7_shape_4_horizontal_lines, 83, 7),
        shape(frame_139_shape_group_7_shape_5_horizontal_lines, 88, 9),
        shape(frame_139_shape_group_7_shape_6_horizontal_lines, 98, 9),
        shape(frame_139_shape_group_7_shape_7_horizontal_lines, 100, 9),
    };

    constexpr const horizontal_line frame_139_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
    };

    constexpr const horizontal_line frame_139_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(130, 138),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 136),
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_139_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(78, 106),
    };

    constexpr const horizontal_line frame_139_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_139_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(76, 106),
        horizontal_line(75, 105),
    };

    constexpr const shape frame_139_shape_group_8_shapes[] = {
        shape(frame_139_shape_group_8_shape_0_horizontal_lines, 57, 2),
        shape(frame_139_shape_group_8_shape_1_horizontal_lines, 72, 2),
        shape(frame_139_shape_group_8_shape_2_horizontal_lines, 77, 7),
        shape(frame_139_shape_group_8_shape_3_horizontal_lines, 78, 2),
        shape(frame_139_shape_group_8_shape_4_horizontal_lines, 83, 7),
    };

    constexpr const horizontal_line frame_139_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(131, 135),
    };

    constexpr const shape frame_139_shape_group_9_shapes[] = {
        shape(frame_139_shape_group_9_shape_0_horizontal_lines, 77, 2),
    };

    constexpr const shape_group frame_139_shape_groups[] = {
        shape_group(frame_139_shape_group_0_shapes),
        shape_group(frame_139_shape_group_1_shapes),
        shape_group(frame_139_shape_group_2_shapes),
        shape_group(frame_139_shape_group_3_shapes),
        shape_group(frame_139_shape_group_4_shapes),
        shape_group(frame_139_shape_group_5_shapes),
        shape_group(frame_139_shape_group_6_shapes),
        shape_group(frame_139_shape_group_7_shapes),
        shape_group(frame_139_shape_group_8_shapes),
        shape_group(frame_139_shape_group_9_shapes),
    };

    constexpr const frame frame_139_impl(frame_139_colors, frame_139_shape_groups);
} 

const frame& frame_139()
{
    return frame_139_impl;
}

namespace
{
    constexpr const bn::color frame_140_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_140_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(46, 107),
        horizontal_line(48, 108),
        horizontal_line(49, 108),
        horizontal_line(50, 109),
        horizontal_line(52, 109),
        horizontal_line(53, 110),
        horizontal_line(54, 111),
        horizontal_line(56, 111),
        horizontal_line(57, 112),
        horizontal_line(59, 112),
        horizontal_line(60, 113),
        horizontal_line(61, 113),
        horizontal_line(63, 114),
        horizontal_line(64, 114),
        horizontal_line(65, 115),
        horizontal_line(67, 116),
        horizontal_line(68, 116),
        horizontal_line(70, 117),
        horizontal_line(71, 117),
        horizontal_line(72, 118),
        horizontal_line(74, 118),
        horizontal_line(75, 119),
        horizontal_line(77, 119),
        horizontal_line(78, 120),
        horizontal_line(79, 121),
        horizontal_line(81, 118),
        horizontal_line(82, 116),
        horizontal_line(83, 113),
        horizontal_line(85, 111),
        horizontal_line(86, 108),
        horizontal_line(88, 106),
        horizontal_line(89, 103),
        horizontal_line(90, 101),
        horizontal_line(92, 98),
        horizontal_line(93, 96),
    };

    constexpr const horizontal_line frame_140_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(95, 125),
    };

    constexpr const horizontal_line frame_140_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(94, 97),
        horizontal_line(94, 100),
        horizontal_line(93, 103),
        horizontal_line(93, 106),
        horizontal_line(93, 109),
        horizontal_line(92, 112),
        horizontal_line(92, 115),
        horizontal_line(92, 118),
        horizontal_line(91, 128),
        horizontal_line(91, 128),
        horizontal_line(91, 128),
        horizontal_line(90, 128),
        horizontal_line(90, 127),
        horizontal_line(89, 127),
        horizontal_line(89, 127),
        horizontal_line(89, 127),
        horizontal_line(88, 127),
        horizontal_line(88, 118),
        horizontal_line(88, 118),
        horizontal_line(87, 118),
        horizontal_line(87, 117),
        horizontal_line(87, 117),
        horizontal_line(86, 117),
        horizontal_line(86, 116),
        horizontal_line(85, 116),
        horizontal_line(85, 115),
        horizontal_line(85, 110),
        horizontal_line(84, 105),
        horizontal_line(84, 100),
        horizontal_line(84, 95),
        horizontal_line(83, 90),
        horizontal_line(83, 85),
    };

    constexpr const horizontal_line frame_140_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 53),
        horizontal_line(0, 44),
        horizontal_line(0, 35),
        horizontal_line(0, 26),
        horizontal_line(0, 17),
        horizontal_line(0, 8),
        horizontal_line(113, 164),
        horizontal_line(117, 166),
        horizontal_line(120, 167),
        horizontal_line(124, 169),
        horizontal_line(127, 170),
        horizontal_line(131, 172),
        horizontal_line(134, 174),
        horizontal_line(137, 175),
        horizontal_line(141, 177),
        horizontal_line(144, 178),
        horizontal_line(148, 180),
        horizontal_line(151, 181),
        horizontal_line(155, 183),
        horizontal_line(158, 184),
        horizontal_line(161, 186),
        horizontal_line(165, 187),
        horizontal_line(168, 189),
        horizontal_line(172, 191),
        horizontal_line(175, 192),
        horizontal_line(179, 194),
        horizontal_line(182, 195),
        horizontal_line(185, 197),
        horizontal_line(189, 198),
        horizontal_line(192, 200),
        horizontal_line(196, 201),
        horizontal_line(199, 203),
        horizontal_line(203, 204),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_140_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_140_shape_group_0_shapes[] = {
        shape(frame_140_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_140_shape_group_0_shape_1_horizontal_lines, 69, 3),
        shape(frame_140_shape_group_0_shape_2_horizontal_lines, 70, 1),
        shape(frame_140_shape_group_0_shape_3_horizontal_lines, 102, 7),
        shape(frame_140_shape_group_0_shape_4_horizontal_lines, 139, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(128, 142),
        horizontal_line(128, 143),
        horizontal_line(128, 144),
        horizontal_line(128, 146),
        horizontal_line(129, 147),
        horizontal_line(129, 148),
        horizontal_line(129, 150),
        horizontal_line(129, 151),
        horizontal_line(130, 152),
        horizontal_line(130, 153),
        horizontal_line(130, 152),
        horizontal_line(130, 152),
        horizontal_line(130, 152),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(131, 152),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(133, 151),
        horizontal_line(133, 151),
        horizontal_line(133, 150),
        horizontal_line(133, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(133, 149),
        horizontal_line(133, 149),
        horizontal_line(133, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
        horizontal_line(139, 148),
        horizontal_line(140, 148),
        horizontal_line(141, 148),
        horizontal_line(142, 147),
        horizontal_line(143, 147),
        horizontal_line(144, 147),
        horizontal_line(145, 147),
        horizontal_line(146, 147),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(118, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(120, 121),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(117, 121),
        horizontal_line(114, 122),
        horizontal_line(112, 122),
        horizontal_line(109, 123),
        horizontal_line(107, 123),
        horizontal_line(104, 124),
        horizontal_line(102, 124),
        horizontal_line(99, 125),
        horizontal_line(97, 125),
        horizontal_line(133, 134),
        horizontal_line(98, 126),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(134, 135),
        horizontal_line(134, 136),
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(110, 128),
        horizontal_line(113, 128),
        horizontal_line(116, 132),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(83, 142),
        horizontal_line(86, 146),
        horizontal_line(89, 150),
        horizontal_line(93, 154),
        horizontal_line(96, 157),
        horizontal_line(100, 158),
        horizontal_line(103, 160),
        horizontal_line(107, 161),
        horizontal_line(110, 163),
    };

    constexpr const horizontal_line frame_140_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const shape frame_140_shape_group_1_shapes[] = {
        shape(frame_140_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_140_shape_group_1_shape_1_horizontal_lines, 52, 3),
        shape(frame_140_shape_group_1_shape_2_horizontal_lines, 58, 7),
        shape(frame_140_shape_group_1_shape_3_horizontal_lines, 59, 3),
        shape(frame_140_shape_group_1_shape_4_horizontal_lines, 71, 1),
        shape(frame_140_shape_group_1_shape_5_horizontal_lines, 74, 3),
        shape(frame_140_shape_group_1_shape_6_horizontal_lines, 77, 1),
        shape(frame_140_shape_group_1_shape_7_horizontal_lines, 78, 3),
        shape(frame_140_shape_group_1_shape_8_horizontal_lines, 85, 7),
        shape(frame_140_shape_group_1_shape_9_horizontal_lines, 111, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(63, 89),
        horizontal_line(64, 90),
        horizontal_line(65, 90),
        horizontal_line(67, 91),
        horizontal_line(68, 91),
        horizontal_line(69, 92),
        horizontal_line(71, 92),
        horizontal_line(72, 93),
        horizontal_line(74, 93),
        horizontal_line(75, 94),
        horizontal_line(76, 95),
        horizontal_line(78, 95),
        horizontal_line(79, 96),
        horizontal_line(80, 96),
        horizontal_line(82, 97),
        horizontal_line(83, 97),
        horizontal_line(85, 98),
        horizontal_line(86, 98),
        horizontal_line(87, 99),
        horizontal_line(89, 100),
        horizontal_line(90, 100),
        horizontal_line(92, 101),
        horizontal_line(93, 101),
        horizontal_line(94, 102),
        horizontal_line(96, 102),
        horizontal_line(97, 103),
        horizontal_line(98, 103),
        horizontal_line(100, 104),
        horizontal_line(101, 105),
        horizontal_line(103, 105),
        horizontal_line(104, 106),
        horizontal_line(105, 106),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(108, 127),
        horizontal_line(109, 126),
        horizontal_line(109, 126),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(111, 125),
        horizontal_line(112, 125),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(137, 148),
        horizontal_line(138, 148),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(113, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(138, 144),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(136, 136),
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(133, 134),
        horizontal_line(101, 126),
        horizontal_line(104, 127),
        horizontal_line(107, 127),
        horizontal_line(131, 132),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(119, 125),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(134, 145),
        horizontal_line(117, 117),
        horizontal_line(135, 146),
        horizontal_line(116, 116),
        horizontal_line(111, 119),
        horizontal_line(106, 123),
        horizontal_line(101, 127),
        horizontal_line(96, 131),
        horizontal_line(91, 135),
        horizontal_line(86, 138),
        horizontal_line(62, 81),
        horizontal_line(62, 71),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_140_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(155, 157),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_140_shape_group_2_shapes[] = {
        shape(frame_140_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_140_shape_group_2_shape_1_horizontal_lines, 34, 3),
        shape(frame_140_shape_group_2_shape_2_horizontal_lines, 41, 1),
        shape(frame_140_shape_group_2_shape_3_horizontal_lines, 43, 3),
        shape(frame_140_shape_group_2_shape_4_horizontal_lines, 52, 7),
        shape(frame_140_shape_group_2_shape_5_horizontal_lines, 62, 3),
        shape(frame_140_shape_group_2_shape_6_horizontal_lines, 63, 7),
        shape(frame_140_shape_group_2_shape_7_horizontal_lines, 64, 3),
        shape(frame_140_shape_group_2_shape_8_horizontal_lines, 69, 7),
        shape(frame_140_shape_group_2_shape_9_horizontal_lines, 70, 3),
        shape(frame_140_shape_group_2_shape_10_horizontal_lines, 76, 7),
        shape(frame_140_shape_group_2_shape_11_horizontal_lines, 77, 3),
        shape(frame_140_shape_group_2_shape_12_horizontal_lines, 78, 7),
        shape(frame_140_shape_group_2_shape_13_horizontal_lines, 105, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(90, 125),
        horizontal_line(90, 125),
        horizontal_line(91, 125),
        horizontal_line(91, 125),
        horizontal_line(92, 125),
        horizontal_line(92, 126),
        horizontal_line(93, 126),
        horizontal_line(93, 126),
        horizontal_line(94, 126),
        horizontal_line(94, 126),
        horizontal_line(95, 127),
        horizontal_line(96, 127),
        horizontal_line(96, 127),
        horizontal_line(97, 127),
        horizontal_line(97, 128),
        horizontal_line(98, 128),
        horizontal_line(98, 128),
        horizontal_line(99, 128),
        horizontal_line(99, 128),
        horizontal_line(100, 129),
        horizontal_line(101, 129),
        horizontal_line(101, 129),
        horizontal_line(102, 129),
        horizontal_line(102, 130),
        horizontal_line(103, 129),
        horizontal_line(103, 129),
        horizontal_line(104, 129),
        horizontal_line(104, 128),
        horizontal_line(105, 128),
        horizontal_line(106, 128),
        horizontal_line(106, 128),
        horizontal_line(107, 127),
        horizontal_line(107, 127),
        horizontal_line(108, 127),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 48),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(112, 125),
        horizontal_line(113, 125),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(137, 181),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 145),
        horizontal_line(138, 145),
        horizontal_line(138, 144),
        horizontal_line(151, 185),
        horizontal_line(138, 144),
        horizontal_line(139, 143),
        horizontal_line(138, 143),
        horizontal_line(0, 62),
        horizontal_line(137, 142),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(135, 139),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(133, 139),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(132, 139),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(131, 142),
        horizontal_line(166, 203),
        horizontal_line(166, 204),
        horizontal_line(167, 195),
        horizontal_line(167, 186),
        horizontal_line(168, 177),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(134, 145),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_140_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(146, 159),
        horizontal_line(147, 159),
        horizontal_line(151, 158),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_140_shape_group_3_shapes[] = {
        shape(frame_140_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_140_shape_group_3_shape_1_horizontal_lines, 34, 7),
        shape(frame_140_shape_group_3_shape_2_horizontal_lines, 41, 3),
        shape(frame_140_shape_group_3_shape_3_horizontal_lines, 43, 7),
        shape(frame_140_shape_group_3_shape_4_horizontal_lines, 71, 3),
        shape(frame_140_shape_group_3_shape_5_horizontal_lines, 74, 7),
        shape(frame_140_shape_group_3_shape_6_horizontal_lines, 77, 3),
        shape(frame_140_shape_group_3_shape_7_horizontal_lines, 78, 7),
        shape(frame_140_shape_group_3_shape_8_horizontal_lines, 102, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 128),
        horizontal_line(127, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(130, 131),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_140_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(150, 169),
        horizontal_line(150, 169),
        horizontal_line(150, 170),
        horizontal_line(150, 171),
        horizontal_line(150, 171),
        horizontal_line(149, 172),
        horizontal_line(149, 173),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(135, 140),
        horizontal_line(135, 141),
        horizontal_line(136, 142),
        horizontal_line(136, 143),
        horizontal_line(136, 144),
        horizontal_line(136, 145),
        horizontal_line(137, 146),
        horizontal_line(62, 70),
        horizontal_line(148, 181),
        horizontal_line(149, 182),
        horizontal_line(149, 183),
        horizontal_line(150, 183),
        horizontal_line(150, 184),
        horizontal_line(62, 78),
        horizontal_line(151, 185),
        horizontal_line(152, 186),
        horizontal_line(152, 187),
        horizontal_line(138, 142),
        horizontal_line(154, 188),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(136, 141),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(157, 192),
        horizontal_line(135, 139),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(161, 197),
        horizontal_line(0, 62),
        horizontal_line(162, 198),
        horizontal_line(162, 199),
        horizontal_line(163, 199),
        horizontal_line(164, 200),
        horizontal_line(164, 201),
        horizontal_line(165, 201),
        horizontal_line(165, 202),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_140_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(163, 167),
        horizontal_line(158, 166),
    };

    constexpr const horizontal_line frame_140_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_140_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(117, 134),
        horizontal_line(117, 133),
        horizontal_line(120, 133),
        horizontal_line(124, 132),
        horizontal_line(128, 132),
        horizontal_line(132, 132),
        horizontal_line(146, 161),
        horizontal_line(146, 160),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_140_shape_group_4_shapes[] = {
        shape(frame_140_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_140_shape_group_4_shape_1_horizontal_lines, 34, 7),
        shape(frame_140_shape_group_4_shape_2_horizontal_lines, 90, 9),
        shape(frame_140_shape_group_4_shape_3_horizontal_lines, 93, 7),
        shape(frame_140_shape_group_4_shape_4_horizontal_lines, 94, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(142, 157),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(128, 132),
        horizontal_line(127, 132),
        horizontal_line(127, 132),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(136, 136),
        horizontal_line(136, 137),
        horizontal_line(149, 175),
        horizontal_line(149, 175),
        horizontal_line(149, 176),
        horizontal_line(148, 177),
        horizontal_line(148, 177),
        horizontal_line(148, 178),
        horizontal_line(148, 179),
        horizontal_line(148, 179),
        horizontal_line(148, 180),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(122, 137),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(153, 187),
        horizontal_line(62, 85),
        horizontal_line(154, 189),
        horizontal_line(155, 189),
        horizontal_line(155, 190),
        horizontal_line(156, 191),
        horizontal_line(156, 191),
        horizontal_line(62, 94),
        horizontal_line(157, 193),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(159, 195),
        horizontal_line(160, 195),
        horizontal_line(160, 196),
        horizontal_line(62, 91),
        horizontal_line(132, 139),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_140_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(118, 118),
        horizontal_line(147, 165),
        horizontal_line(146, 164),
        horizontal_line(146, 163),
        horizontal_line(146, 163),
        horizontal_line(146, 162),
        horizontal_line(146, 161),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
    };

    constexpr const shape frame_140_shape_group_5_shapes[] = {
        shape(frame_140_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_140_shape_group_5_shape_1_horizontal_lines, 34, 2),
        shape(frame_140_shape_group_5_shape_2_horizontal_lines, 41, 7),
        shape(frame_140_shape_group_5_shape_3_horizontal_lines, 52, 2),
        shape(frame_140_shape_group_5_shape_4_horizontal_lines, 53, 7),
        shape(frame_140_shape_group_5_shape_5_horizontal_lines, 58, 2),
        shape(frame_140_shape_group_5_shape_6_horizontal_lines, 59, 7),
        shape(frame_140_shape_group_5_shape_7_horizontal_lines, 85, 9),
        shape(frame_140_shape_group_5_shape_8_horizontal_lines, 91, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(143, 156),
        horizontal_line(144, 156),
        horizontal_line(145, 155),
        horizontal_line(147, 155),
        horizontal_line(148, 155),
        horizontal_line(149, 154),
        horizontal_line(151, 154),
        horizontal_line(152, 153),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(153, 154),
        horizontal_line(153, 155),
        horizontal_line(153, 155),
        horizontal_line(153, 156),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(152, 158),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
        horizontal_line(152, 160),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(152, 162),
        horizontal_line(151, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 164),
        horizontal_line(151, 165),
        horizontal_line(151, 165),
        horizontal_line(151, 166),
        horizontal_line(151, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 168),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(149, 173),
        horizontal_line(149, 174),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 64),
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(122, 137),
        horizontal_line(122, 138),
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(62, 93),
        horizontal_line(158, 193),
        horizontal_line(159, 194),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(161, 197),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(230, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_140_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(152, 165),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const shape frame_140_shape_group_6_shapes[] = {
        shape(frame_140_shape_group_6_shape_0_horizontal_lines, 1, 7),
        shape(frame_140_shape_group_6_shape_1_horizontal_lines, 11, 7),
        shape(frame_140_shape_group_6_shape_2_horizontal_lines, 41, 7),
        shape(frame_140_shape_group_6_shape_3_horizontal_lines, 43, 2),
        shape(frame_140_shape_group_6_shape_4_horizontal_lines, 46, 7),
        shape(frame_140_shape_group_6_shape_5_horizontal_lines, 53, 2),
        shape(frame_140_shape_group_6_shape_6_horizontal_lines, 59, 2),
        shape(frame_140_shape_group_6_shape_7_horizontal_lines, 62, 7),
        shape(frame_140_shape_group_6_shape_8_horizontal_lines, 63, 2),
        shape(frame_140_shape_group_6_shape_9_horizontal_lines, 64, 7),
        shape(frame_140_shape_group_6_shape_10_horizontal_lines, 69, 2),
        shape(frame_140_shape_group_6_shape_11_horizontal_lines, 70, 7),
        shape(frame_140_shape_group_6_shape_12_horizontal_lines, 77, 7),
        shape(frame_140_shape_group_6_shape_13_horizontal_lines, 82, 9),
        shape(frame_140_shape_group_6_shape_14_horizontal_lines, 93, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 132),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(126, 133),
        horizontal_line(126, 134),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(125, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(126, 134),
        horizontal_line(126, 133),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(127, 132),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 93),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(129, 130),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_140_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const shape frame_140_shape_group_7_shapes[] = {
        shape(frame_140_shape_group_7_shape_0_horizontal_lines, 24, 2),
        shape(frame_140_shape_group_7_shape_1_horizontal_lines, 41, 2),
        shape(frame_140_shape_group_7_shape_2_horizontal_lines, 46, 2),
        shape(frame_140_shape_group_7_shape_3_horizontal_lines, 62, 2),
        shape(frame_140_shape_group_7_shape_4_horizontal_lines, 64, 2),
        shape(frame_140_shape_group_7_shape_5_horizontal_lines, 70, 2),
        shape(frame_140_shape_group_7_shape_6_horizontal_lines, 71, 7),
        shape(frame_140_shape_group_7_shape_7_horizontal_lines, 73, 2),
        shape(frame_140_shape_group_7_shape_8_horizontal_lines, 77, 7),
        shape(frame_140_shape_group_7_shape_9_horizontal_lines, 93, 9),
    };

    constexpr const horizontal_line frame_140_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(127, 131),
        horizontal_line(128, 131),
    };

    constexpr const shape frame_140_shape_group_8_shapes[] = {
        shape(frame_140_shape_group_8_shape_0_horizontal_lines, 71, 2),
    };

    constexpr const shape_group frame_140_shape_groups[] = {
        shape_group(frame_140_shape_group_0_shapes),
        shape_group(frame_140_shape_group_1_shapes),
        shape_group(frame_140_shape_group_2_shapes),
        shape_group(frame_140_shape_group_3_shapes),
        shape_group(frame_140_shape_group_4_shapes),
        shape_group(frame_140_shape_group_5_shapes),
        shape_group(frame_140_shape_group_6_shapes),
        shape_group(frame_140_shape_group_7_shapes),
        shape_group(frame_140_shape_group_8_shapes),
    };

    constexpr const frame frame_140_impl(frame_140_colors, frame_140_shape_groups);
} 

const frame& frame_140()
{
    return frame_140_impl;
}

namespace
{
    constexpr const bn::color frame_141_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(28, 24, 16),
        bn::color(16, 4, 0),
        bn::color(28, 16, 0),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_141_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(6, 68),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(43, 104),
        horizontal_line(45, 102),
        horizontal_line(47, 100),
        horizontal_line(48, 98),
        horizontal_line(50, 96),
        horizontal_line(52, 94),
        horizontal_line(54, 92),
        horizontal_line(56, 90),
        horizontal_line(57, 87),
        horizontal_line(59, 85),
        horizontal_line(61, 83),
        horizontal_line(63, 81),
        horizontal_line(64, 79),
        horizontal_line(66, 77),
        horizontal_line(68, 75),
        horizontal_line(70, 73),
    };

    constexpr const horizontal_line frame_141_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(72, 118),
    };

    constexpr const horizontal_line frame_141_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(71, 72),
        horizontal_line(71, 75),
        horizontal_line(70, 78),
        horizontal_line(70, 81),
        horizontal_line(70, 84),
        horizontal_line(69, 87),
        horizontal_line(69, 90),
        horizontal_line(69, 93),
        horizontal_line(68, 96),
        horizontal_line(68, 99),
        horizontal_line(68, 102),
        horizontal_line(67, 105),
        horizontal_line(67, 108),
        horizontal_line(66, 111),
        horizontal_line(66, 114),
        horizontal_line(66, 117),
        horizontal_line(65, 126),
        horizontal_line(65, 125),
        horizontal_line(65, 125),
        horizontal_line(64, 116),
        horizontal_line(64, 116),
        horizontal_line(64, 116),
        horizontal_line(63, 115),
        horizontal_line(63, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(61, 114),
        horizontal_line(61, 113),
        horizontal_line(61, 113),
        horizontal_line(60, 113),
        horizontal_line(60, 112),
        horizontal_line(60, 112),
        horizontal_line(59, 111),
        horizontal_line(59, 106),
        horizontal_line(58, 102),
        horizontal_line(58, 97),
        horizontal_line(58, 93),
        horizontal_line(57, 88),
        horizontal_line(57, 84),
        horizontal_line(57, 79),
        horizontal_line(56, 75),
        horizontal_line(56, 70),
        horizontal_line(56, 66),
        horizontal_line(55, 61),
        horizontal_line(55, 57),
    };

    constexpr const horizontal_line frame_141_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 47),
        horizontal_line(0, 42),
        horizontal_line(0, 36),
        horizontal_line(0, 31),
        horizontal_line(0, 26),
        horizontal_line(0, 20),
        horizontal_line(0, 15),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(113, 175),
        horizontal_line(116, 178),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(130, 192),
        horizontal_line(133, 194),
        horizontal_line(137, 195),
        horizontal_line(140, 197),
        horizontal_line(144, 198),
        horizontal_line(147, 199),
        horizontal_line(150, 201),
        horizontal_line(154, 202),
        horizontal_line(157, 204),
        horizontal_line(161, 205),
        horizontal_line(164, 207),
        horizontal_line(168, 208),
        horizontal_line(171, 210),
        horizontal_line(174, 211),
        horizontal_line(178, 213),
        horizontal_line(181, 214),
        horizontal_line(185, 216),
        horizontal_line(188, 217),
        horizontal_line(192, 218),
        horizontal_line(195, 220),
        horizontal_line(198, 221),
        horizontal_line(202, 223),
        horizontal_line(205, 224),
        horizontal_line(209, 226),
        horizontal_line(212, 227),
        horizontal_line(216, 229),
        horizontal_line(219, 230),
        horizontal_line(222, 232),
        horizontal_line(226, 233),
        horizontal_line(229, 235),
        horizontal_line(233, 236),
        horizontal_line(236, 238),
    };

    constexpr const shape frame_141_shape_group_0_shapes[] = {
        shape(frame_141_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_141_shape_group_0_shape_1_horizontal_lines, 57, 3),
        shape(frame_141_shape_group_0_shape_2_horizontal_lines, 58, 1),
        shape(frame_141_shape_group_0_shape_3_horizontal_lines, 104, 7),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(127, 150),
        horizontal_line(127, 149),
        horizontal_line(127, 149),
        horizontal_line(127, 149),
        horizontal_line(128, 149),
        horizontal_line(128, 149),
        horizontal_line(128, 149),
        horizontal_line(128, 149),
        horizontal_line(129, 149),
        horizontal_line(129, 149),
        horizontal_line(129, 149),
        horizontal_line(129, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 148),
        horizontal_line(131, 148),
        horizontal_line(131, 148),
        horizontal_line(131, 148),
        horizontal_line(131, 148),
        horizontal_line(131, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 147),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 132),
        horizontal_line(131, 131),
        horizontal_line(131, 131),
        horizontal_line(140, 146),
        horizontal_line(140, 146),
        horizontal_line(141, 146),
        horizontal_line(142, 146),
        horizontal_line(143, 146),
        horizontal_line(144, 146),
        horizontal_line(145, 146),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(105, 107),
        horizontal_line(103, 108),
        horizontal_line(101, 109),
        horizontal_line(99, 109),
        horizontal_line(97, 110),
        horizontal_line(95, 111),
        horizontal_line(93, 111),
        horizontal_line(91, 112),
        horizontal_line(88, 113),
        horizontal_line(86, 113),
        horizontal_line(84, 114),
        horizontal_line(82, 115),
        horizontal_line(80, 115),
        horizontal_line(78, 116),
        horizontal_line(76, 117),
        horizontal_line(74, 118),
        horizontal_line(133, 133),
        horizontal_line(73, 119),
        horizontal_line(76, 120),
        horizontal_line(79, 120),
        horizontal_line(82, 121),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 136),
        horizontal_line(132, 137),
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(103, 126),
        horizontal_line(106, 130),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(125, 126),
        horizontal_line(123, 126),
        horizontal_line(121, 126),
        horizontal_line(119, 126),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 121),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_141_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(55, 117),
        horizontal_line(58, 120),
        horizontal_line(61, 123),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(72, 134),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(85, 147),
        horizontal_line(151, 175),
        horizontal_line(154, 176),
        horizontal_line(158, 178),
        horizontal_line(161, 179),
        horizontal_line(164, 180),
        horizontal_line(168, 182),
        horizontal_line(171, 183),
        horizontal_line(175, 185),
        horizontal_line(178, 186),
        horizontal_line(182, 188),
        horizontal_line(185, 189),
        horizontal_line(188, 191),
        horizontal_line(192, 192),
    };

    constexpr const shape frame_141_shape_group_1_shapes[] = {
        shape(frame_141_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_141_shape_group_1_shape_1_horizontal_lines, 41, 3),
        shape(frame_141_shape_group_1_shape_2_horizontal_lines, 62, 1),
        shape(frame_141_shape_group_1_shape_3_horizontal_lines, 68, 3),
        shape(frame_141_shape_group_1_shape_4_horizontal_lines, 70, 1),
        shape(frame_141_shape_group_1_shape_5_horizontal_lines, 74, 3),
        shape(frame_141_shape_group_1_shape_6_horizontal_lines, 77, 1),
        shape(frame_141_shape_group_1_shape_7_horizontal_lines, 82, 3),
        shape(frame_141_shape_group_1_shape_8_horizontal_lines, 83, 7),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(63, 91),
        horizontal_line(64, 92),
        horizontal_line(66, 92),
        horizontal_line(68, 93),
        horizontal_line(70, 94),
        horizontal_line(71, 94),
        horizontal_line(73, 95),
        horizontal_line(75, 96),
        horizontal_line(77, 96),
        horizontal_line(78, 97),
        horizontal_line(134, 147),
        horizontal_line(135, 147),
        horizontal_line(136, 147),
        horizontal_line(137, 147),
        horizontal_line(138, 146),
        horizontal_line(139, 146),
        horizontal_line(91, 102),
        horizontal_line(93, 102),
        horizontal_line(94, 103),
        horizontal_line(96, 104),
        horizontal_line(98, 104),
        horizontal_line(100, 105),
        horizontal_line(102, 106),
        horizontal_line(103, 107),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(108, 133),
        horizontal_line(109, 133),
        horizontal_line(110, 134),
        horizontal_line(110, 134),
        horizontal_line(111, 134),
        horizontal_line(112, 134),
        horizontal_line(112, 135),
        horizontal_line(113, 135),
        horizontal_line(114, 135),
        horizontal_line(114, 136),
        horizontal_line(115, 135),
        horizontal_line(116, 135),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(117, 134),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(131, 132),
        horizontal_line(85, 122),
        horizontal_line(88, 122),
        horizontal_line(91, 123),
        horizontal_line(94, 124),
        horizontal_line(97, 124),
        horizontal_line(100, 125),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(109, 124),
        horizontal_line(112, 122),
        horizontal_line(115, 120),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 61),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 117),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(107, 116),
        horizontal_line(103, 120),
        horizontal_line(98, 124),
        horizontal_line(94, 128),
        horizontal_line(89, 132),
        horizontal_line(85, 136),
        horizontal_line(80, 140),
        horizontal_line(76, 138),
        horizontal_line(71, 133),
        horizontal_line(67, 129),
        horizontal_line(62, 124),
        horizontal_line(58, 120),
        horizontal_line(117, 160),
        horizontal_line(120, 161),
        horizontal_line(123, 163),
        horizontal_line(127, 164),
        horizontal_line(130, 166),
        horizontal_line(134, 167),
        horizontal_line(137, 169),
        horizontal_line(140, 170),
        horizontal_line(144, 172),
        horizontal_line(147, 173),
    };

    constexpr const horizontal_line frame_141_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_141_shape_group_2_shapes[] = {
        shape(frame_141_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_141_shape_group_2_shape_1_horizontal_lines, 41, 2),
        shape(frame_141_shape_group_2_shape_2_horizontal_lines, 53, 3),
        shape(frame_141_shape_group_2_shape_3_horizontal_lines, 54, 2),
        shape(frame_141_shape_group_2_shape_4_horizontal_lines, 55, 3),
        shape(frame_141_shape_group_2_shape_5_horizontal_lines, 57, 2),
        shape(frame_141_shape_group_2_shape_6_horizontal_lines, 58, 3),
        shape(frame_141_shape_group_2_shape_7_horizontal_lines, 69, 7),
        shape(frame_141_shape_group_2_shape_8_horizontal_lines, 70, 3),
        shape(frame_141_shape_group_2_shape_9_horizontal_lines, 74, 7),
        shape(frame_141_shape_group_2_shape_10_horizontal_lines, 77, 3),
        shape(frame_141_shape_group_2_shape_11_horizontal_lines, 79, 7),
        shape(frame_141_shape_group_2_shape_12_horizontal_lines, 81, 3),
        shape(frame_141_shape_group_2_shape_13_horizontal_lines, 82, 7),
        shape(frame_141_shape_group_2_shape_14_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(81, 117),
        horizontal_line(81, 116),
        horizontal_line(82, 116),
        horizontal_line(83, 116),
        horizontal_line(83, 116),
        horizontal_line(84, 115),
        horizontal_line(85, 115),
        horizontal_line(85, 115),
        horizontal_line(86, 115),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
        horizontal_line(88, 114),
        horizontal_line(89, 114),
        horizontal_line(89, 113),
        horizontal_line(90, 113),
        horizontal_line(91, 113),
        horizontal_line(91, 113),
        horizontal_line(92, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(94, 112),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(96, 111),
        horizontal_line(97, 111),
        horizontal_line(97, 110),
        horizontal_line(98, 110),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(80, 98),
        horizontal_line(82, 98),
        horizontal_line(84, 99),
        horizontal_line(86, 100),
        horizontal_line(87, 100),
        horizontal_line(89, 101),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(103, 108),
        horizontal_line(103, 108),
        horizontal_line(104, 108),
        horizontal_line(105, 108),
        horizontal_line(105, 107),
        horizontal_line(106, 107),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(108, 133),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(116, 134),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(118, 133),
        horizontal_line(119, 133),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(120, 132),
        horizontal_line(121, 131),
        horizontal_line(121, 131),
        horizontal_line(122, 130),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(131, 138),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(129, 140),
        horizontal_line(128, 140),
        horizontal_line(128, 141),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
        horizontal_line(0, 62),
        horizontal_line(116, 117),
        horizontal_line(131, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 145),
        horizontal_line(133, 145),
        horizontal_line(133, 146),
        horizontal_line(134, 146),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(121, 131),
        horizontal_line(125, 131),
        horizontal_line(129, 130),
        horizontal_line(146, 163),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(138, 144),
        horizontal_line(133, 148),
        horizontal_line(129, 152),
        horizontal_line(124, 156),
        horizontal_line(120, 159),
    };

    constexpr const horizontal_line frame_141_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_141_shape_group_3_shapes[] = {
        shape(frame_141_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_141_shape_group_3_shape_1_horizontal_lines, 27, 1),
        shape(frame_141_shape_group_3_shape_2_horizontal_lines, 33, 3),
        shape(frame_141_shape_group_3_shape_3_horizontal_lines, 40, 2),
        shape(frame_141_shape_group_3_shape_4_horizontal_lines, 41, 7),
        shape(frame_141_shape_group_3_shape_5_horizontal_lines, 53, 2),
        shape(frame_141_shape_group_3_shape_6_horizontal_lines, 54, 7),
        shape(frame_141_shape_group_3_shape_7_horizontal_lines, 55, 2),
        shape(frame_141_shape_group_3_shape_8_horizontal_lines, 57, 7),
        shape(frame_141_shape_group_3_shape_9_horizontal_lines, 58, 2),
        shape(frame_141_shape_group_3_shape_10_horizontal_lines, 62, 3),
        shape(frame_141_shape_group_3_shape_11_horizontal_lines, 68, 2),
        shape(frame_141_shape_group_3_shape_12_horizontal_lines, 69, 7),
        shape(frame_141_shape_group_3_shape_13_horizontal_lines, 70, 3),
        shape(frame_141_shape_group_3_shape_14_horizontal_lines, 74, 7),
        shape(frame_141_shape_group_3_shape_15_horizontal_lines, 89, 9),
        shape(frame_141_shape_group_3_shape_16_horizontal_lines, 99, 7),
        shape(frame_141_shape_group_3_shape_17_horizontal_lines, 104, 9),
    };

    constexpr const horizontal_line frame_141_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(118, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
        horizontal_line(113, 126),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(112, 127),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(111, 129),
        horizontal_line(111, 129),
    };

    constexpr const horizontal_line frame_141_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(100, 109),
        horizontal_line(101, 109),
        horizontal_line(101, 109),
        horizontal_line(102, 109),
    };

    constexpr const horizontal_line frame_141_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(109, 131),
        horizontal_line(109, 131),
        horizontal_line(109, 131),
        horizontal_line(109, 132),
        horizontal_line(108, 132),
        horizontal_line(108, 132),
        horizontal_line(108, 132),
    };

    constexpr const horizontal_line frame_141_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(134, 196),
        horizontal_line(134, 145),
        horizontal_line(135, 145),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(136, 143),
        horizontal_line(137, 142),
        horizontal_line(136, 142),
        horizontal_line(136, 142),
        horizontal_line(0, 62),
        horizontal_line(135, 141),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(134, 140),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_141_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(123, 130),
        horizontal_line(123, 129),
        horizontal_line(124, 129),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_141_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(163, 225),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(129, 142),
        horizontal_line(130, 143),
        horizontal_line(116, 117),
        horizontal_line(131, 143),
    };

    constexpr const horizontal_line frame_141_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(168, 170),
        horizontal_line(164, 169),
        horizontal_line(160, 169),
        horizontal_line(156, 168),
        horizontal_line(152, 168),
        horizontal_line(148, 167),
        horizontal_line(147, 166),
        horizontal_line(147, 166),
        horizontal_line(147, 165),
        horizontal_line(147, 165),
        horizontal_line(147, 164),
        horizontal_line(146, 163),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(146, 161),
        horizontal_line(149, 160),
        horizontal_line(153, 160),
        horizontal_line(157, 159),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_141_shape_group_4_shapes[] = {
        shape(frame_141_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_141_shape_group_4_shape_1_horizontal_lines, 27, 3),
        shape(frame_141_shape_group_4_shape_2_horizontal_lines, 33, 2),
        shape(frame_141_shape_group_4_shape_3_horizontal_lines, 40, 7),
        shape(frame_141_shape_group_4_shape_4_horizontal_lines, 62, 2),
        shape(frame_141_shape_group_4_shape_5_horizontal_lines, 68, 7),
        shape(frame_141_shape_group_4_shape_6_horizontal_lines, 83, 9),
    };

    constexpr const horizontal_line frame_141_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_141_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_141_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(111, 129),
        horizontal_line(111, 129),
        horizontal_line(110, 130),
        horizontal_line(110, 130),
        horizontal_line(110, 130),
        horizontal_line(110, 130),
    };

    constexpr const horizontal_line frame_141_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(134, 145),
        horizontal_line(196, 204),
        horizontal_line(147, 205),
        horizontal_line(148, 206),
        horizontal_line(148, 207),
        horizontal_line(149, 207),
        horizontal_line(149, 208),
        horizontal_line(150, 209),
        horizontal_line(151, 210),
        horizontal_line(151, 210),
        horizontal_line(152, 211),
        horizontal_line(152, 212),
        horizontal_line(153, 213),
        horizontal_line(136, 141),
        horizontal_line(154, 214),
        horizontal_line(135, 140),
        horizontal_line(135, 140),
        horizontal_line(156, 216),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(133, 138),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(131, 137),
        horizontal_line(62, 66),
        horizontal_line(131, 138),
        horizontal_line(130, 139),
        horizontal_line(130, 139),
        horizontal_line(129, 140),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(128, 141),
        horizontal_line(129, 142),
        horizontal_line(169, 219),
        horizontal_line(170, 207),
        horizontal_line(130, 143),
        horizontal_line(171, 183),
    };

    constexpr const horizontal_line frame_141_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_141_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const shape frame_141_shape_group_5_shapes[] = {
        shape(frame_141_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_141_shape_group_5_shape_1_horizontal_lines, 25, 7),
        shape(frame_141_shape_group_5_shape_2_horizontal_lines, 27, 2),
        shape(frame_141_shape_group_5_shape_3_horizontal_lines, 33, 7),
        shape(frame_141_shape_group_5_shape_4_horizontal_lines, 84, 9),
        shape(frame_141_shape_group_5_shape_5_horizontal_lines, 99, 9),
    };

    constexpr const horizontal_line frame_141_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(151, 175),
        horizontal_line(150, 175),
        horizontal_line(150, 176),
        horizontal_line(150, 177),
        horizontal_line(150, 177),
        horizontal_line(150, 178),
        horizontal_line(150, 179),
        horizontal_line(150, 180),
        horizontal_line(150, 180),
        horizontal_line(150, 181),
        horizontal_line(150, 182),
        horizontal_line(149, 183),
        horizontal_line(149, 183),
        horizontal_line(149, 184),
        horizontal_line(149, 185),
        horizontal_line(149, 185),
        horizontal_line(149, 186),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(148, 193),
        horizontal_line(148, 194),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(132, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 140),
        horizontal_line(133, 141),
        horizontal_line(133, 142),
        horizontal_line(133, 143),
        horizontal_line(133, 144),
        horizontal_line(147, 204),
    };

    constexpr const horizontal_line frame_141_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(154, 213),
        horizontal_line(62, 65),
        horizontal_line(155, 215),
        horizontal_line(155, 215),
        horizontal_line(62, 71),
        horizontal_line(157, 217),
        horizontal_line(157, 218),
        horizontal_line(158, 218),
        horizontal_line(158, 219),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
        horizontal_line(161, 223),
        horizontal_line(133, 137),
        horizontal_line(163, 224),
        horizontal_line(225, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(228, 229),
        horizontal_line(229, 229),
        horizontal_line(229, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(170, 195),
    };

    constexpr const horizontal_line frame_141_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const shape frame_141_shape_group_6_shapes[] = {
        shape(frame_141_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_141_shape_group_6_shape_1_horizontal_lines, 52, 7),
        shape(frame_141_shape_group_6_shape_2_horizontal_lines, 82, 9),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(149, 187),
        horizontal_line(149, 188),
        horizontal_line(149, 188),
        horizontal_line(149, 189),
        horizontal_line(148, 190),
        horizontal_line(148, 191),
        horizontal_line(148, 191),
        horizontal_line(148, 192),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(133, 134),
        horizontal_line(133, 135),
        horizontal_line(133, 136),
        horizontal_line(132, 137),
        horizontal_line(132, 138),
        horizontal_line(147, 199),
        horizontal_line(147, 199),
        horizontal_line(147, 200),
        horizontal_line(147, 201),
        horizontal_line(147, 202),
        horizontal_line(147, 202),
        horizontal_line(147, 203),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(159, 220),
        horizontal_line(160, 221),
        horizontal_line(160, 221),
        horizontal_line(161, 222),
        horizontal_line(62, 67),
        horizontal_line(162, 223),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_141_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const shape frame_141_shape_group_7_shapes[] = {
        shape(frame_141_shape_group_7_shape_0_horizontal_lines, 17, 7),
        shape(frame_141_shape_group_7_shape_1_horizontal_lines, 27, 7),
        shape(frame_141_shape_group_7_shape_2_horizontal_lines, 53, 7),
        shape(frame_141_shape_group_7_shape_3_horizontal_lines, 55, 7),
        shape(frame_141_shape_group_7_shape_4_horizontal_lines, 58, 7),
        shape(frame_141_shape_group_7_shape_5_horizontal_lines, 70, 7),
        shape(frame_141_shape_group_7_shape_6_horizontal_lines, 77, 7),
        shape(frame_141_shape_group_7_shape_7_horizontal_lines, 79, 9),
        shape(frame_141_shape_group_7_shape_8_horizontal_lines, 81, 7),
    };

    constexpr const horizontal_line frame_141_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(148, 194),
        horizontal_line(148, 195),
        horizontal_line(148, 196),
        horizontal_line(148, 196),
        horizontal_line(147, 197),
        horizontal_line(147, 198),
    };

    constexpr const horizontal_line frame_141_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(223, 223),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_141_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(226, 226),
        horizontal_line(226, 226),
        horizontal_line(227, 227),
        horizontal_line(228, 228),
    };

    constexpr const horizontal_line frame_141_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(230, 231),
        horizontal_line(231, 231),
    };

    constexpr const horizontal_line frame_141_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const shape frame_141_shape_group_8_shapes[] = {
        shape(frame_141_shape_group_8_shape_0_horizontal_lines, 27, 7),
        shape(frame_141_shape_group_8_shape_1_horizontal_lines, 62, 7),
        shape(frame_141_shape_group_8_shape_2_horizontal_lines, 70, 7),
        shape(frame_141_shape_group_8_shape_3_horizontal_lines, 77, 7),
        shape(frame_141_shape_group_8_shape_4_horizontal_lines, 81, 9),
    };

    constexpr const horizontal_line frame_141_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const shape frame_141_shape_group_9_shapes[] = {
        shape(frame_141_shape_group_9_shape_0_horizontal_lines, 78, 9),
    };

    constexpr const shape_group frame_141_shape_groups[] = {
        shape_group(frame_141_shape_group_0_shapes),
        shape_group(frame_141_shape_group_1_shapes),
        shape_group(frame_141_shape_group_2_shapes),
        shape_group(frame_141_shape_group_3_shapes),
        shape_group(frame_141_shape_group_4_shapes),
        shape_group(frame_141_shape_group_5_shapes),
        shape_group(frame_141_shape_group_6_shapes),
        shape_group(frame_141_shape_group_7_shapes),
        shape_group(frame_141_shape_group_8_shapes),
        shape_group(frame_141_shape_group_9_shapes),
    };

    constexpr const frame frame_141_impl(frame_141_colors, frame_141_shape_groups);
} 

const frame& frame_141()
{
    return frame_141_impl;
}

namespace
{
    constexpr const bn::color frame_142_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(20, 20, 16),
        bn::color(24, 24, 20),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(4, 4, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_142_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(2, 31),
        horizontal_line(4, 29),
        horizontal_line(6, 28),
        horizontal_line(8, 26),
        horizontal_line(10, 25),
        horizontal_line(12, 23),
        horizontal_line(14, 22),
        horizontal_line(16, 20),
        horizontal_line(19, 19),
        horizontal_line(18, 21),
        horizontal_line(18, 24),
        horizontal_line(18, 27),
        horizontal_line(17, 31),
        horizontal_line(17, 34),
        horizontal_line(17, 37),
        horizontal_line(16, 40),
        horizontal_line(16, 44),
        horizontal_line(16, 47),
        horizontal_line(15, 50),
        horizontal_line(15, 54),
        horizontal_line(15, 57),
        horizontal_line(14, 60),
        horizontal_line(14, 63),
        horizontal_line(14, 67),
        horizontal_line(13, 70),
        horizontal_line(13, 73),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(7, 69),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(6, 68),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(5, 67),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(4, 66),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(3, 65),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 55),
        horizontal_line(0, 51),
        horizontal_line(0, 47),
        horizontal_line(0, 43),
        horizontal_line(0, 39),
        horizontal_line(0, 35),
        horizontal_line(0, 31),
        horizontal_line(0, 27),
        horizontal_line(0, 23),
        horizontal_line(0, 19),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_142_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(192, 239),
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_142_shape_group_0_shapes[] = {
        shape(frame_142_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_142_shape_group_0_shape_1_horizontal_lines, 116, 8),
    };

    constexpr const horizontal_line frame_142_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(129, 149),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(130, 130),
        horizontal_line(143, 148),
        horizontal_line(144, 148),
        horizontal_line(145, 148),
        horizontal_line(146, 148),
        horizontal_line(147, 148),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_142_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(51, 112),
        horizontal_line(55, 113),
        horizontal_line(58, 114),
        horizontal_line(61, 114),
        horizontal_line(64, 115),
        horizontal_line(68, 116),
        horizontal_line(71, 117),
        horizontal_line(74, 118),
    };

    constexpr const horizontal_line frame_142_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 133),
        horizontal_line(132, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 137),
        horizontal_line(131, 133),
        horizontal_line(73, 96),
        horizontal_line(72, 99),
        horizontal_line(123, 124),
        horizontal_line(120, 124),
        horizontal_line(117, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(116, 120),
        horizontal_line(67, 111),
        horizontal_line(67, 111),
        horizontal_line(67, 111),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(66, 110),
        horizontal_line(65, 110),
        horizontal_line(65, 110),
        horizontal_line(65, 109),
        horizontal_line(64, 109),
        horizontal_line(64, 109),
        horizontal_line(64, 109),
        horizontal_line(63, 108),
        horizontal_line(63, 103),
        horizontal_line(63, 99),
        horizontal_line(62, 95),
        horizontal_line(62, 91),
        horizontal_line(62, 87),
        horizontal_line(62, 83),
        horizontal_line(62, 79),
        horizontal_line(62, 75),
        horizontal_line(62, 71),
        horizontal_line(62, 67),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_142_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_142_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(62, 89),
        horizontal_line(62, 92),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 103),
    };

    constexpr const shape frame_142_shape_group_1_shapes[] = {
        shape(frame_142_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_142_shape_group_1_shape_1_horizontal_lines, 28, 3),
        shape(frame_142_shape_group_1_shape_2_horizontal_lines, 55, 1),
        shape(frame_142_shape_group_1_shape_3_horizontal_lines, 101, 8),
        shape(frame_142_shape_group_1_shape_4_horizontal_lines, 121, 8),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(61, 81),
        horizontal_line(59, 82),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(133, 148),
        horizontal_line(134, 148),
        horizontal_line(135, 148),
        horizontal_line(136, 148),
        horizontal_line(137, 148),
        horizontal_line(138, 148),
        horizontal_line(139, 148),
        horizontal_line(140, 148),
        horizontal_line(141, 148),
        horizontal_line(142, 148),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(42, 91),
        horizontal_line(41, 92),
        horizontal_line(39, 93),
        horizontal_line(38, 94),
        horizontal_line(36, 94),
        horizontal_line(35, 95),
        horizontal_line(95, 96),
        horizontal_line(94, 97),
        horizontal_line(92, 98),
        horizontal_line(91, 99),
        horizontal_line(89, 99),
        horizontal_line(88, 100),
        horizontal_line(86, 101),
        horizontal_line(85, 102),
        horizontal_line(83, 103),
        horizontal_line(82, 104),
        horizontal_line(84, 104),
        horizontal_line(87, 105),
        horizontal_line(90, 106),
        horizontal_line(94, 107),
        horizontal_line(97, 108),
        horizontal_line(100, 109),
        horizontal_line(103, 109),
        horizontal_line(107, 110),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(113, 131),
        horizontal_line(114, 131),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(116, 129),
        horizontal_line(117, 129),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(75, 76),
        horizontal_line(74, 80),
        horizontal_line(74, 83),
        horizontal_line(74, 86),
        horizontal_line(73, 90),
        horizontal_line(73, 93),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(97, 124),
        horizontal_line(100, 130),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(72, 103),
        horizontal_line(72, 106),
        horizontal_line(71, 109),
        horizontal_line(71, 113),
        horizontal_line(71, 113),
        horizontal_line(70, 113),
        horizontal_line(70, 113),
        horizontal_line(70, 113),
        horizontal_line(69, 112),
        horizontal_line(69, 112),
        horizontal_line(69, 112),
        horizontal_line(68, 112),
        horizontal_line(68, 112),
        horizontal_line(68, 111),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(117, 120),
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(116, 132),
        horizontal_line(116, 132),
        horizontal_line(116, 133),
        horizontal_line(116, 133),
        horizontal_line(117, 134),
        horizontal_line(118, 118),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 116),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(138, 148),
        horizontal_line(144, 148),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_142_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 81),
        horizontal_line(62, 84),
        horizontal_line(62, 87),
    };

    constexpr const shape frame_142_shape_group_2_shapes[] = {
        shape(frame_142_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_142_shape_group_2_shape_1_horizontal_lines, 9, 3),
        shape(frame_142_shape_group_2_shape_2_horizontal_lines, 12, 1),
        shape(frame_142_shape_group_2_shape_3_horizontal_lines, 22, 3),
        shape(frame_142_shape_group_2_shape_4_horizontal_lines, 47, 2),
        shape(frame_142_shape_group_2_shape_5_horizontal_lines, 53, 3),
        shape(frame_142_shape_group_2_shape_6_horizontal_lines, 55, 1),
        shape(frame_142_shape_group_2_shape_7_horizontal_lines, 61, 3),
        shape(frame_142_shape_group_2_shape_8_horizontal_lines, 63, 1),
        shape(frame_142_shape_group_2_shape_9_horizontal_lines, 77, 3),
        shape(frame_142_shape_group_2_shape_10_horizontal_lines, 79, 8),
        shape(frame_142_shape_group_2_shape_11_horizontal_lines, 144, 8),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(75, 124),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(73, 74),
        horizontal_line(71, 75),
        horizontal_line(70, 76),
        horizontal_line(68, 77),
        horizontal_line(67, 78),
        horizontal_line(65, 79),
        horizontal_line(64, 79),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(81, 126),
        horizontal_line(82, 126),
        horizontal_line(83, 127),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(58, 83),
        horizontal_line(56, 84),
        horizontal_line(55, 84),
        horizontal_line(53, 85),
        horizontal_line(52, 86),
        horizontal_line(50, 87),
        horizontal_line(49, 88),
        horizontal_line(47, 89),
        horizontal_line(45, 89),
        horizontal_line(44, 90),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(92, 130),
        horizontal_line(93, 130),
        horizontal_line(94, 130),
        horizontal_line(95, 131),
        horizontal_line(95, 131),
        horizontal_line(96, 131),
        horizontal_line(97, 131),
        horizontal_line(98, 132),
        horizontal_line(99, 132),
        horizontal_line(100, 132),
        horizontal_line(100, 133),
        horizontal_line(101, 133),
        horizontal_line(102, 133),
        horizontal_line(103, 133),
        horizontal_line(104, 134),
        horizontal_line(105, 134),
        horizontal_line(105, 134),
        horizontal_line(106, 135),
        horizontal_line(107, 134),
        horizontal_line(108, 134),
        horizontal_line(109, 133),
        horizontal_line(110, 133),
        horizontal_line(110, 132),
        horizontal_line(111, 132),
        horizontal_line(112, 131),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(142, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 160),
        horizontal_line(141, 160),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(118, 128),
        horizontal_line(119, 128),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(77, 119),
        horizontal_line(81, 119),
        horizontal_line(84, 120),
        horizontal_line(87, 121),
        horizontal_line(91, 122),
        horizontal_line(94, 123),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(139, 167),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(104, 122),
        horizontal_line(107, 119),
        horizontal_line(110, 116),
        horizontal_line(114, 114),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(125, 129),
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(121, 131),
        horizontal_line(119, 131),
        horizontal_line(147, 172),
        horizontal_line(148, 167),
        horizontal_line(148, 163),
        horizontal_line(149, 158),
        horizontal_line(149, 153),
        horizontal_line(134, 149),
        horizontal_line(134, 148),
        horizontal_line(134, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_142_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(163, 165),
    };

    constexpr const shape frame_142_shape_group_3_shapes[] = {
        shape(frame_142_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_142_shape_group_3_shape_1_horizontal_lines, 1, 2),
        shape(frame_142_shape_group_3_shape_2_horizontal_lines, 2, 3),
        shape(frame_142_shape_group_3_shape_3_horizontal_lines, 9, 2),
        shape(frame_142_shape_group_3_shape_4_horizontal_lines, 12, 3),
        shape(frame_142_shape_group_3_shape_5_horizontal_lines, 22, 2),
        shape(frame_142_shape_group_3_shape_6_horizontal_lines, 47, 8),
        shape(frame_142_shape_group_3_shape_7_horizontal_lines, 53, 2),
        shape(frame_142_shape_group_3_shape_8_horizontal_lines, 55, 3),
        shape(frame_142_shape_group_3_shape_9_horizontal_lines, 62, 8),
        shape(frame_142_shape_group_3_shape_10_horizontal_lines, 63, 3),
        shape(frame_142_shape_group_3_shape_11_horizontal_lines, 74, 8),
        shape(frame_142_shape_group_3_shape_12_horizontal_lines, 76, 3),
        shape(frame_142_shape_group_3_shape_13_horizontal_lines, 77, 8),
        shape(frame_142_shape_group_3_shape_14_horizontal_lines, 101, 9),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(75, 124),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(75, 124),
        horizontal_line(76, 124),
        horizontal_line(77, 125),
        horizontal_line(78, 125),
        horizontal_line(79, 125),
        horizontal_line(80, 125),
        horizontal_line(80, 126),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(84, 127),
        horizontal_line(85, 127),
        horizontal_line(85, 127),
        horizontal_line(86, 128),
        horizontal_line(87, 128),
        horizontal_line(88, 128),
        horizontal_line(89, 129),
        horizontal_line(90, 129),
        horizontal_line(90, 129),
        horizontal_line(91, 129),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(148, 149),
        horizontal_line(147, 149),
        horizontal_line(147, 150),
        horizontal_line(147, 150),
        horizontal_line(146, 151),
        horizontal_line(146, 152),
        horizontal_line(146, 152),
        horizontal_line(145, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 155),
        horizontal_line(144, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(140, 162),
        horizontal_line(139, 163),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(125, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 129),
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(141, 170),
        horizontal_line(142, 171),
        horizontal_line(142, 171),
        horizontal_line(127, 127),
        horizontal_line(127, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(145, 174),
        horizontal_line(145, 175),
        horizontal_line(123, 130),
        horizontal_line(146, 176),
        horizontal_line(147, 209),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(149, 168),
        horizontal_line(151, 167),
        horizontal_line(154, 167),
        horizontal_line(157, 166),
        horizontal_line(160, 166),
    };

    constexpr const horizontal_line frame_142_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const shape frame_142_shape_group_4_shapes[] = {
        shape(frame_142_shape_group_4_shape_0_horizontal_lines, 0, 2),
        shape(frame_142_shape_group_4_shape_1_horizontal_lines, 1, 7),
        shape(frame_142_shape_group_4_shape_2_horizontal_lines, 2, 2),
        shape(frame_142_shape_group_4_shape_3_horizontal_lines, 9, 7),
        shape(frame_142_shape_group_4_shape_4_horizontal_lines, 12, 2),
        shape(frame_142_shape_group_4_shape_5_horizontal_lines, 29, 8),
        shape(frame_142_shape_group_4_shape_6_horizontal_lines, 53, 8),
        shape(frame_142_shape_group_4_shape_7_horizontal_lines, 55, 3),
        shape(frame_142_shape_group_4_shape_8_horizontal_lines, 61, 2),
        shape(frame_142_shape_group_4_shape_9_horizontal_lines, 63, 3),
        shape(frame_142_shape_group_4_shape_10_horizontal_lines, 67, 8),
        shape(frame_142_shape_group_4_shape_11_horizontal_lines, 96, 9),
        shape(frame_142_shape_group_4_shape_12_horizontal_lines, 101, 6),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(120, 128),
        horizontal_line(120, 127),
        horizontal_line(121, 127),
        horizontal_line(122, 126),
        horizontal_line(123, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(138, 167),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(139, 168),
        horizontal_line(140, 168),
        horizontal_line(140, 169),
        horizontal_line(141, 170),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(143, 172),
        horizontal_line(143, 172),
        horizontal_line(144, 173),
        horizontal_line(144, 174),
        horizontal_line(226, 239),
        horizontal_line(214, 239),
        horizontal_line(146, 175),
        horizontal_line(190, 239),
        horizontal_line(209, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(120, 131),
        horizontal_line(126, 131),
        horizontal_line(149, 169),
        horizontal_line(149, 169),
        horizontal_line(149, 168),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(147, 148),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(149, 153),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_142_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(158, 159),
    };

    constexpr const shape frame_142_shape_group_5_shapes[] = {
        shape(frame_142_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_142_shape_group_5_shape_1_horizontal_lines, 2, 7),
        shape(frame_142_shape_group_5_shape_2_horizontal_lines, 55, 2),
        shape(frame_142_shape_group_5_shape_3_horizontal_lines, 61, 8),
        shape(frame_142_shape_group_5_shape_4_horizontal_lines, 63, 8),
        shape(frame_142_shape_group_5_shape_5_horizontal_lines, 70, 8),
        shape(frame_142_shape_group_5_shape_6_horizontal_lines, 91, 9),
        shape(frame_142_shape_group_5_shape_7_horizontal_lines, 96, 4),
        shape(frame_142_shape_group_5_shape_8_horizontal_lines, 98, 10),
        shape(frame_142_shape_group_5_shape_9_horizontal_lines, 100, 6),
    };

    constexpr const horizontal_line frame_142_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(139, 163),
        horizontal_line(139, 164),
        horizontal_line(138, 164),
        horizontal_line(138, 165),
        horizontal_line(138, 165),
        horizontal_line(138, 166),
    };

    constexpr const horizontal_line frame_142_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_142_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_142_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(173, 176),
        horizontal_line(168, 176),
        horizontal_line(164, 175),
        horizontal_line(159, 175),
        horizontal_line(154, 174),
        horizontal_line(119, 133),
        horizontal_line(117, 133),
        horizontal_line(117, 133),
        horizontal_line(117, 132),
        horizontal_line(116, 132),
        horizontal_line(116, 132),
        horizontal_line(116, 132),
        horizontal_line(149, 170),
        horizontal_line(149, 170),
    };

    constexpr const horizontal_line frame_142_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_142_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(140, 146),
        horizontal_line(145, 146),
    };

    constexpr const shape frame_142_shape_group_6_shapes[] = {
        shape(frame_142_shape_group_6_shape_0_horizontal_lines, 55, 8),
        shape(frame_142_shape_group_6_shape_1_horizontal_lines, 73, 8),
        shape(frame_142_shape_group_6_shape_2_horizontal_lines, 76, 8),
        shape(frame_142_shape_group_6_shape_3_horizontal_lines, 79, 9),
        shape(frame_142_shape_group_6_shape_4_horizontal_lines, 94, 4),
        shape(frame_142_shape_group_6_shape_5_horizontal_lines, 96, 5),
    };

    constexpr const horizontal_line frame_142_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(150, 174),
        horizontal_line(149, 173),
        horizontal_line(149, 173),
        horizontal_line(149, 172),
        horizontal_line(149, 172),
        horizontal_line(149, 171),
        horizontal_line(149, 171),
    };

    constexpr const horizontal_line frame_142_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(149, 150),
    };

    constexpr const shape frame_142_shape_group_7_shapes[] = {
        shape(frame_142_shape_group_7_shape_0_horizontal_lines, 84, 9),
        shape(frame_142_shape_group_7_shape_1_horizontal_lines, 96, 10),
    };

    constexpr const shape_group frame_142_shape_groups[] = {
        shape_group(frame_142_shape_group_0_shapes),
        shape_group(frame_142_shape_group_1_shapes),
        shape_group(frame_142_shape_group_2_shapes),
        shape_group(frame_142_shape_group_3_shapes),
        shape_group(frame_142_shape_group_4_shapes),
        shape_group(frame_142_shape_group_5_shapes),
        shape_group(frame_142_shape_group_6_shapes),
        shape_group(frame_142_shape_group_7_shapes),
    };

    constexpr const frame frame_142_impl(frame_142_colors, frame_142_shape_groups);
} 

const frame& frame_142()
{
    return frame_142_impl;
}

namespace
{
    constexpr const bn::color frame_143_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(4, 4, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_143_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(20, 82),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(48, 109),
        horizontal_line(51, 110),
        horizontal_line(54, 111),
        horizontal_line(58, 112),
        horizontal_line(61, 112),
        horizontal_line(64, 113),
        horizontal_line(67, 114),
        horizontal_line(70, 115),
        horizontal_line(73, 116),
        horizontal_line(77, 117),
        horizontal_line(80, 118),
        horizontal_line(83, 119),
        horizontal_line(86, 120),
        horizontal_line(89, 121),
        horizontal_line(92, 122),
        horizontal_line(96, 121),
        horizontal_line(99, 119),
        horizontal_line(102, 117),
        horizontal_line(105, 115),
        horizontal_line(108, 113),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 126),
        horizontal_line(125, 126),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_143_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_143_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(120, 121),
        horizontal_line(117, 119),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_143_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 42),
        horizontal_line(0, 38),
        horizontal_line(0, 35),
        horizontal_line(0, 31),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 13),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_143_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_143_shape_group_0_shapes[] = {
        shape(frame_143_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_143_shape_group_0_shape_1_horizontal_lines, 70, 1),
        shape(frame_143_shape_group_0_shape_2_horizontal_lines, 71, 3),
        shape(frame_143_shape_group_0_shape_3_horizontal_lines, 75, 1),
        shape(frame_143_shape_group_0_shape_4_horizontal_lines, 116, 8),
    };

    constexpr const horizontal_line frame_143_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(63, 95),
        horizontal_line(66, 96),
        horizontal_line(69, 97),
        horizontal_line(72, 98),
        horizontal_line(75, 99),
        horizontal_line(78, 100),
        horizontal_line(82, 101),
        horizontal_line(85, 102),
        horizontal_line(88, 102),
        horizontal_line(91, 103),
        horizontal_line(94, 104),
        horizontal_line(97, 105),
        horizontal_line(101, 106),
        horizontal_line(104, 107),
        horizontal_line(107, 108),
    };

    constexpr const horizontal_line frame_143_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(110, 129),
        horizontal_line(111, 128),
    };

    constexpr const horizontal_line frame_143_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 130),
        horizontal_line(128, 131),
        horizontal_line(128, 132),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 132),
        horizontal_line(125, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_143_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(114, 125),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 100),
        horizontal_line(62, 96),
        horizontal_line(62, 93),
        horizontal_line(62, 89),
        horizontal_line(62, 85),
        horizontal_line(62, 82),
        horizontal_line(62, 78),
        horizontal_line(62, 75),
        horizontal_line(62, 71),
        horizontal_line(62, 67),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_143_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(162, 166),
        horizontal_line(166, 169),
        horizontal_line(171, 171),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
    };

    constexpr const shape frame_143_shape_group_1_shapes[] = {
        shape(frame_143_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_143_shape_group_1_shape_1_horizontal_lines, 40, 2),
        shape(frame_143_shape_group_1_shape_2_horizontal_lines, 42, 3),
        shape(frame_143_shape_group_1_shape_3_horizontal_lines, 60, 1),
        shape(frame_143_shape_group_1_shape_4_horizontal_lines, 99, 8),
    };

    constexpr const horizontal_line frame_143_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(74, 128),
        horizontal_line(74, 128),
        horizontal_line(75, 128),
        horizontal_line(76, 128),
        horizontal_line(77, 129),
        horizontal_line(78, 129),
        horizontal_line(79, 129),
        horizontal_line(80, 130),
        horizontal_line(81, 130),
        horizontal_line(82, 130),
        horizontal_line(83, 131),
        horizontal_line(83, 131),
        horizontal_line(84, 131),
        horizontal_line(85, 132),
        horizontal_line(86, 132),
        horizontal_line(87, 132),
        horizontal_line(88, 133),
        horizontal_line(89, 133),
        horizontal_line(90, 133),
        horizontal_line(91, 134),
        horizontal_line(92, 134),
        horizontal_line(93, 134),
        horizontal_line(93, 135),
        horizontal_line(94, 135),
        horizontal_line(95, 135),
        horizontal_line(96, 136),
        horizontal_line(97, 135),
        horizontal_line(98, 135),
        horizontal_line(99, 134),
        horizontal_line(100, 134),
        horizontal_line(101, 133),
        horizontal_line(102, 133),
        horizontal_line(103, 132),
        horizontal_line(103, 132),
        horizontal_line(104, 131),
        horizontal_line(105, 131),
        horizontal_line(106, 131),
        horizontal_line(107, 130),
        horizontal_line(108, 130),
        horizontal_line(109, 129),
    };

    constexpr const horizontal_line frame_143_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(0, 50),
    };

    constexpr const horizontal_line frame_143_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(112, 128),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(114, 127),
        horizontal_line(115, 126),
        horizontal_line(116, 126),
        horizontal_line(117, 125),
        horizontal_line(118, 125),
        horizontal_line(119, 124),
        horizontal_line(120, 124),
        horizontal_line(121, 123),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_143_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(62, 108),
        horizontal_line(115, 122),
        horizontal_line(115, 119),
        horizontal_line(116, 116),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_143_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(116, 134),
        horizontal_line(117, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 136),
        horizontal_line(119, 137),
        horizontal_line(120, 120),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 117),
        horizontal_line(135, 152),
        horizontal_line(110, 115),
        horizontal_line(115, 122),
        horizontal_line(120, 130),
        horizontal_line(124, 137),
        horizontal_line(129, 145),
        horizontal_line(134, 152),
        horizontal_line(138, 154),
        horizontal_line(143, 156),
        horizontal_line(148, 159),
        horizontal_line(152, 161),
        horizontal_line(157, 164),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_143_shape_group_2_shapes[] = {
        shape(frame_143_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_143_shape_group_2_shape_1_horizontal_lines, 40, 1),
        shape(frame_143_shape_group_2_shape_2_horizontal_lines, 42, 2),
        shape(frame_143_shape_group_2_shape_3_horizontal_lines, 55, 1),
        shape(frame_143_shape_group_2_shape_4_horizontal_lines, 75, 8),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(147, 152),
        horizontal_line(148, 152),
        horizontal_line(149, 152),
        horizontal_line(150, 152),
        horizontal_line(151, 152),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(152, 153),
        horizontal_line(152, 153),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
        horizontal_line(151, 155),
        horizontal_line(151, 156),
        horizontal_line(150, 156),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(149, 158),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(149, 160),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 34),
        horizontal_line(0, 38),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(144, 169),
        horizontal_line(144, 170),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 53),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(122, 123),
        horizontal_line(120, 123),
        horizontal_line(118, 123),
        horizontal_line(116, 123),
        horizontal_line(114, 123),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(144, 181),
        horizontal_line(145, 182),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
    };

    constexpr const horizontal_line frame_143_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(117, 134),
        horizontal_line(151, 175),
        horizontal_line(152, 171),
        horizontal_line(152, 166),
        horizontal_line(153, 162),
        horizontal_line(153, 157),
        horizontal_line(137, 153),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
        horizontal_line(136, 152),
        horizontal_line(136, 152),
        horizontal_line(136, 152),
        horizontal_line(136, 152),
        horizontal_line(182, 239),
        horizontal_line(135, 152),
        horizontal_line(135, 152),
        horizontal_line(136, 152),
        horizontal_line(142, 152),
        horizontal_line(148, 152),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_143_shape_group_3_shapes[] = {
        shape(frame_143_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_143_shape_group_3_shape_1_horizontal_lines, 11, 8),
        shape(frame_143_shape_group_3_shape_2_horizontal_lines, 25, 1),
        shape(frame_143_shape_group_3_shape_3_horizontal_lines, 40, 8),
        shape(frame_143_shape_group_3_shape_4_horizontal_lines, 42, 1),
        shape(frame_143_shape_group_3_shape_5_horizontal_lines, 60, 8),
        shape(frame_143_shape_group_3_shape_6_horizontal_lines, 62, 1),
        shape(frame_143_shape_group_3_shape_7_horizontal_lines, 70, 8),
        shape(frame_143_shape_group_3_shape_8_horizontal_lines, 71, 1),
        shape(frame_143_shape_group_3_shape_9_horizontal_lines, 74, 8),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(143, 152),
        horizontal_line(144, 152),
        horizontal_line(145, 152),
        horizontal_line(146, 152),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(148, 160),
        horizontal_line(148, 161),
        horizontal_line(148, 162),
        horizontal_line(147, 162),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 164),
        horizontal_line(146, 165),
        horizontal_line(146, 165),
        horizontal_line(146, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 167),
        horizontal_line(145, 168),
        horizontal_line(145, 168),
        horizontal_line(144, 169),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(143, 171),
        horizontal_line(143, 171),
        horizontal_line(143, 172),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 66),
        horizontal_line(134, 134),
        horizontal_line(134, 135),
        horizontal_line(134, 136),
        horizontal_line(133, 137),
        horizontal_line(133, 138),
        horizontal_line(133, 140),
        horizontal_line(133, 138),
        horizontal_line(133, 135),
        horizontal_line(62, 95),
        horizontal_line(62, 98),
        horizontal_line(62, 101),
        horizontal_line(62, 104),
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(145, 183),
        horizontal_line(146, 183),
        horizontal_line(146, 184),
        horizontal_line(128, 129),
        horizontal_line(128, 129),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(126, 131),
        horizontal_line(149, 187),
        horizontal_line(124, 132),
        horizontal_line(122, 133),
        horizontal_line(120, 133),
        horizontal_line(151, 180),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(122, 134),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(153, 178),
        horizontal_line(155, 178),
        horizontal_line(157, 177),
        horizontal_line(160, 177),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_143_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(167, 175),
        horizontal_line(170, 175),
        horizontal_line(172, 174),
    };

    constexpr const shape frame_143_shape_group_4_shapes[] = {
        shape(frame_143_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_143_shape_group_4_shape_1_horizontal_lines, 25, 8),
        shape(frame_143_shape_group_4_shape_2_horizontal_lines, 42, 8),
        shape(frame_143_shape_group_4_shape_3_horizontal_lines, 45, 1),
        shape(frame_143_shape_group_4_shape_4_horizontal_lines, 62, 8),
        shape(frame_143_shape_group_4_shape_5_horizontal_lines, 87, 9),
        shape(frame_143_shape_group_4_shape_6_horizontal_lines, 88, 8),
        shape(frame_143_shape_group_4_shape_7_horizontal_lines, 93, 9),
        shape(frame_143_shape_group_4_shape_8_horizontal_lines, 97, 8),
        shape(frame_143_shape_group_4_shape_9_horizontal_lines, 99, 9),
    };

    constexpr const horizontal_line frame_143_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(143, 172),
        horizontal_line(142, 173),
    };

    constexpr const horizontal_line frame_143_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 91),
    };

    constexpr const horizontal_line frame_143_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(142, 178),
        horizontal_line(142, 179),
        horizontal_line(143, 180),
        horizontal_line(143, 180),
        horizontal_line(144, 181),
    };

    constexpr const horizontal_line frame_143_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(147, 184),
        horizontal_line(147, 185),
        horizontal_line(147, 186),
        horizontal_line(148, 186),
        horizontal_line(148, 187),
        horizontal_line(209, 239),
        horizontal_line(149, 188),
        horizontal_line(150, 212),
        horizontal_line(150, 184),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_143_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(176, 187),
        horizontal_line(172, 187),
        horizontal_line(167, 186),
        horizontal_line(163, 186),
        horizontal_line(158, 185),
        horizontal_line(121, 136),
        horizontal_line(119, 136),
        horizontal_line(119, 136),
        horizontal_line(119, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(153, 181),
        horizontal_line(126, 134),
        horizontal_line(130, 134),
        horizontal_line(153, 180),
        horizontal_line(153, 179),
        horizontal_line(153, 179),
    };

    constexpr const horizontal_line frame_143_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(162, 176),
        horizontal_line(165, 176),
    };

    constexpr const shape frame_143_shape_group_5_shapes[] = {
        shape(frame_143_shape_group_5_shape_0_horizontal_lines, 45, 8),
        shape(frame_143_shape_group_5_shape_1_horizontal_lines, 47, 1),
        shape(frame_143_shape_group_5_shape_2_horizontal_lines, 55, 8),
        shape(frame_143_shape_group_5_shape_3_horizontal_lines, 65, 8),
        shape(frame_143_shape_group_5_shape_4_horizontal_lines, 75, 9),
        shape(frame_143_shape_group_5_shape_5_horizontal_lines, 97, 9),
    };

    constexpr const horizontal_line frame_143_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(142, 174),
        horizontal_line(142, 174),
        horizontal_line(141, 175),
        horizontal_line(141, 175),
        horizontal_line(141, 176),
        horizontal_line(141, 177),
        horizontal_line(141, 177),
        horizontal_line(141, 178),
    };

    constexpr const horizontal_line frame_143_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(229, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_143_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(212, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_143_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(181, 188),
    };

    constexpr const horizontal_line frame_143_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(154, 185),
        horizontal_line(153, 184),
        horizontal_line(153, 184),
        horizontal_line(153, 183),
        horizontal_line(153, 183),
        horizontal_line(153, 182),
        horizontal_line(153, 182),
    };

    constexpr const horizontal_line frame_143_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_143_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(153, 181),
        horizontal_line(153, 180),
    };

    constexpr const shape frame_143_shape_group_6_shapes[] = {
        shape(frame_143_shape_group_6_shape_0_horizontal_lines, 47, 8),
        shape(frame_143_shape_group_6_shape_1_horizontal_lines, 67, 8),
        shape(frame_143_shape_group_6_shape_2_horizontal_lines, 71, 8),
        shape(frame_143_shape_group_6_shape_3_horizontal_lines, 74, 9),
        shape(frame_143_shape_group_6_shape_4_horizontal_lines, 80, 9),
        shape(frame_143_shape_group_6_shape_5_horizontal_lines, 87, 5),
        shape(frame_143_shape_group_6_shape_6_horizontal_lines, 88, 9),
    };

    constexpr const horizontal_line frame_143_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(185, 188),
    };

    constexpr const horizontal_line frame_143_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_143_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const shape frame_143_shape_group_7_shapes[] = {
        shape(frame_143_shape_group_7_shape_0_horizontal_lines, 73, 9),
        shape(frame_143_shape_group_7_shape_1_horizontal_lines, 88, 5),
        shape(frame_143_shape_group_7_shape_2_horizontal_lines, 89, 7),
    };

    constexpr const horizontal_line frame_143_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(124, 125),
    };

    constexpr const shape frame_143_shape_group_8_shapes[] = {
        shape(frame_143_shape_group_8_shape_0_horizontal_lines, 88, 4),
    };

    constexpr const shape_group frame_143_shape_groups[] = {
        shape_group(frame_143_shape_group_0_shapes),
        shape_group(frame_143_shape_group_1_shapes),
        shape_group(frame_143_shape_group_2_shapes),
        shape_group(frame_143_shape_group_3_shapes),
        shape_group(frame_143_shape_group_4_shapes),
        shape_group(frame_143_shape_group_5_shapes),
        shape_group(frame_143_shape_group_6_shapes),
        shape_group(frame_143_shape_group_7_shapes),
        shape_group(frame_143_shape_group_8_shapes),
    };

    constexpr const frame frame_143_impl(frame_143_colors, frame_143_shape_groups);
} 

const frame& frame_143()
{
    return frame_143_impl;
}

namespace
{
    constexpr const bn::color frame_144_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_144_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(52, 113),
        horizontal_line(56, 114),
        horizontal_line(59, 115),
        horizontal_line(62, 116),
        horizontal_line(65, 117),
        horizontal_line(68, 118),
        horizontal_line(71, 119),
        horizontal_line(74, 120),
        horizontal_line(77, 121),
        horizontal_line(80, 122),
        horizontal_line(83, 136),
        horizontal_line(86, 121),
        horizontal_line(89, 119),
        horizontal_line(92, 117),
        horizontal_line(95, 115),
        horizontal_line(98, 113),
        horizontal_line(101, 111),
        horizontal_line(104, 109),
        horizontal_line(124, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 131),
        horizontal_line(126, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 128),
        horizontal_line(128, 128),
        horizontal_line(125, 126),
        horizontal_line(122, 125),
        horizontal_line(119, 124),
        horizontal_line(118, 123),
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_144_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(120, 139),
        horizontal_line(121, 140),
        horizontal_line(122, 140),
        horizontal_line(122, 141),
        horizontal_line(123, 142),
        horizontal_line(124, 124),
        horizontal_line(119, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(141, 159),
        horizontal_line(102, 117),
        horizontal_line(106, 124),
        horizontal_line(111, 131),
        horizontal_line(115, 138),
        horizontal_line(120, 145),
        horizontal_line(124, 152),
        horizontal_line(129, 159),
        horizontal_line(133, 161),
        horizontal_line(138, 163),
        horizontal_line(142, 165),
        horizontal_line(147, 168),
        horizontal_line(152, 170),
        horizontal_line(156, 172),
        horizontal_line(161, 175),
        horizontal_line(165, 177),
        horizontal_line(170, 179),
        horizontal_line(174, 181),
        horizontal_line(179, 184),
        horizontal_line(183, 186),
        horizontal_line(188, 188),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_144_shape_group_0_shapes[] = {
        shape(frame_144_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_144_shape_group_0_shape_1_horizontal_lines, 72, 8),
    };

    constexpr const horizontal_line frame_144_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(63, 97),
        horizontal_line(66, 98),
        horizontal_line(69, 99),
        horizontal_line(72, 100),
        horizontal_line(75, 101),
        horizontal_line(78, 102),
        horizontal_line(81, 103),
        horizontal_line(84, 104),
        horizontal_line(87, 105),
        horizontal_line(90, 106),
        horizontal_line(93, 107),
        horizontal_line(96, 108),
        horizontal_line(99, 109),
        horizontal_line(102, 109),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(128, 131),
        horizontal_line(128, 132),
        horizontal_line(127, 133),
        horizontal_line(127, 134),
        horizontal_line(126, 135),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_144_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(145, 200),
    };

    constexpr const horizontal_line frame_144_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_144_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(148, 205),
        horizontal_line(149, 205),
        horizontal_line(149, 206),
        horizontal_line(150, 207),
        horizontal_line(150, 207),
        horizontal_line(151, 208),
        horizontal_line(151, 208),
        horizontal_line(152, 209),
        horizontal_line(132, 132),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 134),
        horizontal_line(130, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 137),
        horizontal_line(125, 137),
        horizontal_line(124, 138),
        horizontal_line(121, 139),
        horizontal_line(158, 184),
        horizontal_line(159, 179),
        horizontal_line(159, 174),
        horizontal_line(160, 169),
        horizontal_line(160, 164),
        horizontal_line(142, 160),
        horizontal_line(142, 159),
        horizontal_line(142, 159),
        horizontal_line(142, 159),
        horizontal_line(142, 159),
        horizontal_line(142, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(203, 239),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(141, 159),
        horizontal_line(145, 159),
        horizontal_line(150, 159),
        horizontal_line(155, 159),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_144_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
    };

    constexpr const shape frame_144_shape_group_1_shapes[] = {
        shape(frame_144_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_144_shape_group_1_shape_1_horizontal_lines, 44, 8),
        shape(frame_144_shape_group_1_shape_2_horizontal_lines, 45, 3),
        shape(frame_144_shape_group_1_shape_3_horizontal_lines, 52, 8),
        shape(frame_144_shape_group_1_shape_4_horizontal_lines, 106, 1),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 137),
        horizontal_line(83, 137),
        horizontal_line(84, 137),
        horizontal_line(85, 138),
        horizontal_line(86, 138),
        horizontal_line(87, 138),
        horizontal_line(88, 139),
        horizontal_line(89, 138),
        horizontal_line(90, 138),
        horizontal_line(91, 137),
        horizontal_line(92, 137),
        horizontal_line(93, 136),
        horizontal_line(94, 136),
        horizontal_line(95, 136),
        horizontal_line(96, 135),
        horizontal_line(96, 135),
        horizontal_line(97, 134),
        horizontal_line(98, 134),
        horizontal_line(99, 133),
        horizontal_line(100, 133),
        horizontal_line(101, 133),
        horizontal_line(102, 132),
        horizontal_line(103, 132),
        horizontal_line(104, 131),
        horizontal_line(105, 131),
        horizontal_line(106, 131),
        horizontal_line(107, 130),
        horizontal_line(108, 130),
        horizontal_line(109, 129),
        horizontal_line(110, 129),
        horizontal_line(110, 128),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(105, 110),
        horizontal_line(108, 111),
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(114, 127),
        horizontal_line(115, 126),
        horizontal_line(116, 126),
        horizontal_line(117, 125),
        horizontal_line(118, 125),
        horizontal_line(119, 125),
        horizontal_line(120, 124),
        horizontal_line(121, 124),
        horizontal_line(122, 123),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(145, 200),
        horizontal_line(145, 201),
        horizontal_line(146, 201),
        horizontal_line(146, 202),
        horizontal_line(147, 203),
        horizontal_line(147, 203),
        horizontal_line(148, 204),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(152, 210),
        horizontal_line(153, 210),
        horizontal_line(153, 211),
        horizontal_line(154, 212),
        horizontal_line(154, 212),
        horizontal_line(155, 213),
        horizontal_line(155, 217),
        horizontal_line(156, 208),
        horizontal_line(156, 203),
        horizontal_line(157, 198),
        horizontal_line(157, 193),
        horizontal_line(158, 188),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_144_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 58),
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 40),
        horizontal_line(0, 37),
        horizontal_line(0, 33),
    };

    constexpr const shape frame_144_shape_group_2_shapes[] = {
        shape(frame_144_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_144_shape_group_2_shape_1_horizontal_lines, 31, 3),
        shape(frame_144_shape_group_2_shape_2_horizontal_lines, 34, 2),
        shape(frame_144_shape_group_2_shape_3_horizontal_lines, 44, 1),
        shape(frame_144_shape_group_2_shape_4_horizontal_lines, 45, 8),
        shape(frame_144_shape_group_2_shape_5_horizontal_lines, 52, 1),
        shape(frame_144_shape_group_2_shape_6_horizontal_lines, 60, 8),
        shape(frame_144_shape_group_2_shape_7_horizontal_lines, 85, 1),
        shape(frame_144_shape_group_2_shape_8_horizontal_lines, 86, 8),
        shape(frame_144_shape_group_2_shape_9_horizontal_lines, 92, 1),
    };

    constexpr const horizontal_line frame_144_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(157, 172),
        horizontal_line(156, 172),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(155, 174),
        horizontal_line(155, 175),
        horizontal_line(155, 175),
        horizontal_line(155, 176),
        horizontal_line(154, 177),
        horizontal_line(154, 177),
        horizontal_line(154, 178),
        horizontal_line(154, 179),
        horizontal_line(153, 179),
        horizontal_line(153, 180),
        horizontal_line(153, 180),
        horizontal_line(153, 181),
        horizontal_line(152, 182),
        horizontal_line(152, 182),
        horizontal_line(152, 183),
        horizontal_line(151, 184),
        horizontal_line(151, 184),
        horizontal_line(151, 185),
        horizontal_line(151, 186),
        horizontal_line(150, 186),
        horizontal_line(150, 187),
        horizontal_line(150, 187),
        horizontal_line(150, 188),
        horizontal_line(149, 189),
        horizontal_line(149, 189),
        horizontal_line(149, 190),
        horizontal_line(149, 191),
    };

    constexpr const horizontal_line frame_144_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(111, 128),
        horizontal_line(112, 128),
        horizontal_line(113, 127),
    };

    constexpr const horizontal_line frame_144_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(147, 193),
        horizontal_line(147, 194),
        horizontal_line(147, 194),
        horizontal_line(147, 195),
        horizontal_line(146, 196),
        horizontal_line(146, 196),
        horizontal_line(146, 197),
        horizontal_line(146, 198),
        horizontal_line(145, 198),
        horizontal_line(145, 199),
    };

    constexpr const horizontal_line frame_144_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(137, 142),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(108, 124),
        horizontal_line(108, 124),
        horizontal_line(109, 124),
        horizontal_line(110, 124),
        horizontal_line(110, 125),
        horizontal_line(111, 125),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_144_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(230, 239),
        horizontal_line(222, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_144_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 101),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 79),
        horizontal_line(62, 75),
        horizontal_line(62, 72),
        horizontal_line(62, 68),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_144_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(171, 195),
        horizontal_line(173, 195),
        horizontal_line(176, 194),
        horizontal_line(178, 194),
        horizontal_line(180, 193),
        horizontal_line(182, 193),
        horizontal_line(185, 192),
        horizontal_line(187, 192),
        horizontal_line(189, 191),
    };

    constexpr const shape frame_144_shape_group_3_shapes[] = {
        shape(frame_144_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_144_shape_group_3_shape_1_horizontal_lines, 31, 2),
        shape(frame_144_shape_group_3_shape_2_horizontal_lines, 34, 8),
        shape(frame_144_shape_group_3_shape_3_horizontal_lines, 44, 1),
        shape(frame_144_shape_group_3_shape_4_horizontal_lines, 63, 8),
        shape(frame_144_shape_group_3_shape_5_horizontal_lines, 72, 1),
        shape(frame_144_shape_group_3_shape_6_horizontal_lines, 97, 9),
    };

    constexpr const horizontal_line frame_144_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_144_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(148, 191),
        horizontal_line(148, 192),
        horizontal_line(148, 193),
    };

    constexpr const horizontal_line frame_144_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 55),
        horizontal_line(0, 58),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 82),
        horizontal_line(122, 122),
        horizontal_line(120, 122),
        horizontal_line(118, 122),
        horizontal_line(116, 122),
        horizontal_line(114, 123),
        horizontal_line(112, 123),
        horizontal_line(110, 123),
    };

    constexpr const horizontal_line frame_144_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(112, 125),
        horizontal_line(112, 125),
        horizontal_line(113, 126),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
    };

    constexpr const horizontal_line frame_144_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(127, 140),
    };

    constexpr const horizontal_line frame_144_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(62, 100),
        horizontal_line(62, 96),
        horizontal_line(62, 93),
        horizontal_line(62, 89),
        horizontal_line(62, 86),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_144_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(160, 198),
        horizontal_line(162, 198),
        horizontal_line(164, 197),
        horizontal_line(166, 197),
        horizontal_line(169, 196),
    };

    constexpr const shape frame_144_shape_group_4_shapes[] = {
        shape(frame_144_shape_group_4_shape_0_horizontal_lines, 17, 1),
        shape(frame_144_shape_group_4_shape_1_horizontal_lines, 31, 8),
        shape(frame_144_shape_group_4_shape_2_horizontal_lines, 34, 1),
        shape(frame_144_shape_group_4_shape_3_horizontal_lines, 53, 1),
        shape(frame_144_shape_group_4_shape_4_horizontal_lines, 85, 9),
        shape(frame_144_shape_group_4_shape_5_horizontal_lines, 86, 1),
        shape(frame_144_shape_group_4_shape_6_horizontal_lines, 92, 9),
    };

    constexpr const horizontal_line frame_144_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 45),
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_144_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(137, 137),
        horizontal_line(137, 138),
        horizontal_line(137, 139),
        horizontal_line(137, 140),
        horizontal_line(137, 141),
    };

    constexpr const horizontal_line frame_144_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(137, 144),
        horizontal_line(137, 142),
        horizontal_line(137, 140),
        horizontal_line(137, 138),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_144_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
        horizontal_line(115, 126),
        horizontal_line(116, 127),
        horizontal_line(116, 124),
        horizontal_line(117, 121),
        horizontal_line(118, 118),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_144_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(185, 209),
        horizontal_line(180, 209),
        horizontal_line(175, 208),
        horizontal_line(170, 208),
        horizontal_line(165, 207),
        horizontal_line(125, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 141),
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(160, 202),
        horizontal_line(132, 140),
        horizontal_line(136, 140),
        horizontal_line(160, 200),
        horizontal_line(160, 200),
        horizontal_line(160, 199),
        horizontal_line(160, 199),
    };

    constexpr const shape frame_144_shape_group_5_shapes[] = {
        shape(frame_144_shape_group_5_shape_0_horizontal_lines, 31, 1),
        shape(frame_144_shape_group_5_shape_1_horizontal_lines, 38, 1),
        shape(frame_144_shape_group_5_shape_2_horizontal_lines, 45, 1),
        shape(frame_144_shape_group_5_shape_3_horizontal_lines, 60, 1),
        shape(frame_144_shape_group_5_shape_4_horizontal_lines, 72, 9),
    };

    constexpr const horizontal_line frame_144_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 70),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
    };

    constexpr const horizontal_line frame_144_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 91),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_144_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
    };

    constexpr const horizontal_line frame_144_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(194, 210),
        horizontal_line(189, 210),
    };

    constexpr const horizontal_line frame_144_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(161, 206),
        horizontal_line(160, 206),
        horizontal_line(160, 205),
        horizontal_line(160, 205),
        horizontal_line(160, 204),
        horizontal_line(160, 204),
        horizontal_line(160, 203),
        horizontal_line(160, 203),
    };

    constexpr const horizontal_line frame_144_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_144_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(160, 202),
        horizontal_line(160, 201),
    };

    constexpr const shape frame_144_shape_group_6_shapes[] = {
        shape(frame_144_shape_group_6_shape_0_horizontal_lines, 39, 1),
        shape(frame_144_shape_group_6_shape_1_horizontal_lines, 45, 1),
        shape(frame_144_shape_group_6_shape_2_horizontal_lines, 63, 1),
        shape(frame_144_shape_group_6_shape_3_horizontal_lines, 70, 9),
        shape(frame_144_shape_group_6_shape_4_horizontal_lines, 77, 9),
        shape(frame_144_shape_group_6_shape_5_horizontal_lines, 85, 10),
        shape(frame_144_shape_group_6_shape_6_horizontal_lines, 86, 9),
    };

    constexpr const horizontal_line frame_144_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(209, 212),
        horizontal_line(204, 211),
        horizontal_line(199, 211),
    };

    constexpr const horizontal_line frame_144_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_144_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_144_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const shape frame_144_shape_group_7_shapes[] = {
        shape(frame_144_shape_group_7_shape_0_horizontal_lines, 67, 9),
        shape(frame_144_shape_group_7_shape_1_horizontal_lines, 85, 5),
        shape(frame_144_shape_group_7_shape_2_horizontal_lines, 86, 4),
        shape(frame_144_shape_group_7_shape_3_horizontal_lines, 87, 6),
    };

    constexpr const shape_group frame_144_shape_groups[] = {
        shape_group(frame_144_shape_group_0_shapes),
        shape_group(frame_144_shape_group_1_shapes),
        shape_group(frame_144_shape_group_2_shapes),
        shape_group(frame_144_shape_group_3_shapes),
        shape_group(frame_144_shape_group_4_shapes),
        shape_group(frame_144_shape_group_5_shapes),
        shape_group(frame_144_shape_group_6_shapes),
        shape_group(frame_144_shape_group_7_shapes),
    };

    constexpr const frame frame_144_impl(frame_144_colors, frame_144_shape_groups);
} 

const frame& frame_144()
{
    return frame_144_impl;
}

namespace
{
    constexpr const bn::color frame_145_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_145_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(54, 116),
        horizontal_line(57, 118),
        horizontal_line(59, 119),
        horizontal_line(62, 120),
        horizontal_line(65, 127),
        horizontal_line(67, 119),
        horizontal_line(70, 117),
        horizontal_line(73, 115),
        horizontal_line(75, 114),
        horizontal_line(78, 112),
        horizontal_line(81, 110),
        horizontal_line(83, 109),
        horizontal_line(86, 107),
        horizontal_line(89, 105),
        horizontal_line(91, 104),
        horizontal_line(94, 102),
        horizontal_line(97, 100),
        horizontal_line(125, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 142),
        horizontal_line(127, 141),
        horizontal_line(128, 141),
        horizontal_line(128, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 139),
        horizontal_line(129, 139),
        horizontal_line(130, 138),
        horizontal_line(130, 138),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(133, 134),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
        horizontal_line(132, 132),
        horizontal_line(129, 131),
        horizontal_line(126, 130),
        horizontal_line(123, 129),
        horizontal_line(122, 126),
        horizontal_line(122, 124),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_145_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(128, 149),
        horizontal_line(128, 150),
        horizontal_line(129, 150),
        horizontal_line(130, 151),
        horizontal_line(131, 152),
        horizontal_line(126, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 129),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 129),
        horizontal_line(124, 133),
        horizontal_line(130, 137),
        horizontal_line(137, 141),
        horizontal_line(121, 121),
        horizontal_line(107, 129),
        horizontal_line(94, 138),
        horizontal_line(98, 146),
        horizontal_line(102, 155),
        horizontal_line(106, 163),
        horizontal_line(110, 171),
        horizontal_line(114, 172),
        horizontal_line(118, 174),
        horizontal_line(122, 176),
        horizontal_line(126, 178),
        horizontal_line(130, 180),
        horizontal_line(134, 182),
        horizontal_line(138, 184),
        horizontal_line(142, 186),
        horizontal_line(146, 188),
        horizontal_line(150, 190),
        horizontal_line(154, 192),
        horizontal_line(158, 194),
        horizontal_line(162, 196),
        horizontal_line(166, 198),
        horizontal_line(170, 200),
        horizontal_line(174, 201),
        horizontal_line(178, 203),
        horizontal_line(182, 205),
        horizontal_line(186, 207),
        horizontal_line(190, 209),
        horizontal_line(194, 211),
        horizontal_line(198, 213),
        horizontal_line(202, 215),
        horizontal_line(206, 217),
        horizontal_line(210, 219),
        horizontal_line(214, 221),
        horizontal_line(218, 223),
        horizontal_line(222, 225),
        horizontal_line(226, 227),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_145_shape_group_0_shapes[] = {
        shape(frame_145_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_145_shape_group_0_shape_1_horizontal_lines, 70, 8),
    };

    constexpr const horizontal_line frame_145_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(132, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 133),
        horizontal_line(126, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(125, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 135),
        horizontal_line(123, 136),
        horizontal_line(123, 138),
        horizontal_line(123, 139),
        horizontal_line(122, 140),
        horizontal_line(122, 142),
        horizontal_line(127, 142),
        horizontal_line(121, 142),
        horizontal_line(121, 142),
        horizontal_line(122, 142),
        horizontal_line(122, 142),
        horizontal_line(122, 142),
        horizontal_line(123, 142),
        horizontal_line(123, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
    };

    constexpr const horizontal_line frame_145_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(139, 139),
        horizontal_line(139, 140),
        horizontal_line(138, 140),
        horizontal_line(138, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 142),
        horizontal_line(136, 142),
        horizontal_line(136, 143),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 145),
        horizontal_line(133, 145),
        horizontal_line(132, 146),
        horizontal_line(131, 146),
        horizontal_line(130, 147),
        horizontal_line(127, 148),
        horizontal_line(126, 148),
        horizontal_line(127, 149),
        horizontal_line(172, 195),
        horizontal_line(172, 190),
        horizontal_line(173, 184),
        horizontal_line(173, 179),
        horizontal_line(174, 174),
        horizontal_line(152, 172),
        horizontal_line(152, 172),
        horizontal_line(152, 172),
        horizontal_line(151, 172),
        horizontal_line(151, 172),
        horizontal_line(151, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 172),
        horizontal_line(149, 171),
        horizontal_line(149, 171),
        horizontal_line(143, 145),
        horizontal_line(149, 171),
        horizontal_line(153, 171),
        horizontal_line(158, 171),
        horizontal_line(162, 171),
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_145_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 56),
        horizontal_line(0, 52),
        horizontal_line(0, 49),
        horizontal_line(0, 45),
        horizontal_line(0, 41),
        horizontal_line(0, 38),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_145_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_145_shape_group_1_shapes[] = {
        shape(frame_145_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_145_shape_group_1_shape_1_horizontal_lines, 41, 8),
        shape(frame_145_shape_group_1_shape_2_horizontal_lines, 92, 1),
        shape(frame_145_shape_group_1_shape_3_horizontal_lines, 107, 8),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(63, 98),
        horizontal_line(65, 99),
        horizontal_line(68, 100),
        horizontal_line(71, 101),
        horizontal_line(73, 102),
        horizontal_line(76, 103),
        horizontal_line(79, 104),
        horizontal_line(81, 105),
        horizontal_line(84, 106),
        horizontal_line(87, 107),
        horizontal_line(89, 108),
        horizontal_line(92, 108),
        horizontal_line(95, 109),
        horizontal_line(97, 110),
        horizontal_line(100, 111),
        horizontal_line(103, 112),
        horizontal_line(105, 113),
        horizontal_line(108, 114),
        horizontal_line(111, 115),
        horizontal_line(113, 116),
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(119, 122),
        horizontal_line(120, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 228),
        horizontal_line(169, 222),
        horizontal_line(170, 217),
        horizontal_line(170, 211),
        horizontal_line(171, 206),
        horizontal_line(171, 201),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(149, 171),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 77),
        horizontal_line(62, 74),
        horizontal_line(62, 70),
        horizontal_line(62, 66),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_145_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(214, 234),
        horizontal_line(216, 233),
        horizontal_line(218, 233),
        horizontal_line(220, 232),
        horizontal_line(222, 232),
        horizontal_line(224, 231),
        horizontal_line(226, 231),
        horizontal_line(228, 230),
    };

    constexpr const shape frame_145_shape_group_2_shapes[] = {
        shape(frame_145_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_145_shape_group_2_shape_1_horizontal_lines, 25, 2),
        shape(frame_145_shape_group_2_shape_2_horizontal_lines, 28, 8),
        shape(frame_145_shape_group_2_shape_3_horizontal_lines, 70, 1),
        shape(frame_145_shape_group_2_shape_4_horizontal_lines, 86, 8),
        shape(frame_145_shape_group_2_shape_5_horizontal_lines, 87, 1),
        shape(frame_145_shape_group_2_shape_6_horizontal_lines, 97, 9),
        shape(frame_145_shape_group_2_shape_7_horizontal_lines, 107, 1),
        shape(frame_145_shape_group_2_shape_8_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_145_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(96, 131),
        horizontal_line(96, 130),
        horizontal_line(97, 130),
        horizontal_line(98, 129),
        horizontal_line(99, 129),
        horizontal_line(100, 129),
        horizontal_line(101, 128),
        horizontal_line(102, 128),
        horizontal_line(103, 128),
        horizontal_line(104, 127),
        horizontal_line(105, 127),
        horizontal_line(106, 127),
        horizontal_line(107, 126),
        horizontal_line(108, 126),
        horizontal_line(109, 126),
        horizontal_line(109, 125),
        horizontal_line(110, 125),
        horizontal_line(111, 124),
        horizontal_line(112, 124),
        horizontal_line(113, 124),
        horizontal_line(114, 123),
        horizontal_line(115, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 122),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_145_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_145_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 233),
    };

    constexpr const horizontal_line frame_145_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(0, 62),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 88),
        horizontal_line(62, 84),
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_145_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(201, 238),
        horizontal_line(202, 237),
        horizontal_line(204, 237),
        horizontal_line(206, 236),
        horizontal_line(208, 236),
        horizontal_line(210, 235),
        horizontal_line(212, 235),
    };

    constexpr const shape frame_145_shape_group_3_shapes[] = {
        shape(frame_145_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_145_shape_group_3_shape_1_horizontal_lines, 25, 8),
        shape(frame_145_shape_group_3_shape_2_horizontal_lines, 41, 1),
        shape(frame_145_shape_group_3_shape_3_horizontal_lines, 52, 8),
        shape(frame_145_shape_group_3_shape_4_horizontal_lines, 64, 1),
        shape(frame_145_shape_group_3_shape_5_horizontal_lines, 92, 9),
        shape(frame_145_shape_group_3_shape_6_horizontal_lines, 107, 9),
    };

    constexpr const horizontal_line frame_145_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(143, 146),
        horizontal_line(143, 144),
        horizontal_line(100, 125),
        horizontal_line(101, 126),
        horizontal_line(102, 126),
        horizontal_line(103, 126),
        horizontal_line(104, 127),
        horizontal_line(105, 127),
        horizontal_line(106, 128),
        horizontal_line(107, 128),
        horizontal_line(108, 128),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(120, 128),
        horizontal_line(121, 125),
        horizontal_line(122, 122),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_145_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(191, 239),
        horizontal_line(185, 239),
        horizontal_line(180, 239),
        horizontal_line(175, 237),
        horizontal_line(130, 151),
        horizontal_line(130, 151),
        horizontal_line(130, 151),
        horizontal_line(130, 150),
        horizontal_line(129, 150),
        horizontal_line(129, 150),
        horizontal_line(129, 149),
        horizontal_line(130, 149),
        horizontal_line(134, 149),
        horizontal_line(138, 148),
        horizontal_line(142, 148),
    };

    constexpr const horizontal_line frame_145_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_145_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_145_shape_group_4_shapes[] = {
        shape(frame_145_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_145_shape_group_4_shape_1_horizontal_lines, 28, 1),
        shape(frame_145_shape_group_4_shape_2_horizontal_lines, 70, 9),
        shape(frame_145_shape_group_4_shape_3_horizontal_lines, 86, 1),
        shape(frame_145_shape_group_4_shape_4_horizontal_lines, 87, 9),
    };

    constexpr const horizontal_line frame_145_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(224, 229),
        horizontal_line(223, 229),
        horizontal_line(223, 230),
        horizontal_line(223, 231),
        horizontal_line(223, 231),
        horizontal_line(223, 232),
        horizontal_line(222, 233),
        horizontal_line(222, 234),
        horizontal_line(222, 234),
        horizontal_line(222, 235),
        horizontal_line(222, 236),
        horizontal_line(221, 236),
        horizontal_line(221, 237),
        horizontal_line(221, 238),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 61),
        horizontal_line(143, 143),
        horizontal_line(120, 120),
        horizontal_line(118, 120),
        horizontal_line(116, 121),
        horizontal_line(115, 121),
        horizontal_line(113, 121),
        horizontal_line(111, 122),
        horizontal_line(110, 122),
        horizontal_line(108, 123),
        horizontal_line(106, 123),
        horizontal_line(105, 123),
        horizontal_line(103, 124),
        horizontal_line(101, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(109, 129),
        horizontal_line(110, 129),
        horizontal_line(110, 129),
        horizontal_line(111, 130),
        horizontal_line(112, 130),
        horizontal_line(113, 131),
        horizontal_line(114, 131),
        horizontal_line(115, 131),
        horizontal_line(116, 132),
        horizontal_line(117, 132),
        horizontal_line(118, 133),
        horizontal_line(119, 131),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_145_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(207, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(146, 148),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_145_shape_group_5_shapes[] = {
        shape(frame_145_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_145_shape_group_5_shape_1_horizontal_lines, 25, 1),
        shape(frame_145_shape_group_5_shape_2_horizontal_lines, 67, 9),
        shape(frame_145_shape_group_5_shape_3_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_145_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
        horizontal_line(0, 45),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_145_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(143, 144),
        horizontal_line(143, 146),
        horizontal_line(143, 147),
        horizontal_line(143, 148),
        horizontal_line(143, 150),
        horizontal_line(143, 151),
        horizontal_line(143, 152),
        horizontal_line(143, 154),
        horizontal_line(143, 153),
        horizontal_line(143, 151),
        horizontal_line(143, 149),
        horizontal_line(143, 147),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_145_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_145_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(223, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(172, 234),
    };

    constexpr const shape frame_145_shape_group_6_shapes[] = {
        shape(frame_145_shape_group_6_shape_0_horizontal_lines, 4, 1),
        shape(frame_145_shape_group_6_shape_1_horizontal_lines, 28, 1),
        shape(frame_145_shape_group_6_shape_2_horizontal_lines, 52, 1),
        shape(frame_145_shape_group_6_shape_3_horizontal_lines, 64, 9),
        shape(frame_145_shape_group_6_shape_4_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_145_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 69),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_145_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_145_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const shape frame_145_shape_group_7_shapes[] = {
        shape(frame_145_shape_group_7_shape_0_horizontal_lines, 29, 1),
        shape(frame_145_shape_group_7_shape_1_horizontal_lines, 63, 9),
        shape(frame_145_shape_group_7_shape_2_horizontal_lines, 86, 9),
    };

    constexpr const shape_group frame_145_shape_groups[] = {
        shape_group(frame_145_shape_group_0_shapes),
        shape_group(frame_145_shape_group_1_shapes),
        shape_group(frame_145_shape_group_2_shapes),
        shape_group(frame_145_shape_group_3_shapes),
        shape_group(frame_145_shape_group_4_shapes),
        shape_group(frame_145_shape_group_5_shapes),
        shape_group(frame_145_shape_group_6_shapes),
        shape_group(frame_145_shape_group_7_shapes),
    };

    constexpr const frame frame_145_impl(frame_145_colors, frame_145_shape_groups);
} 

const frame& frame_145()
{
    return frame_145_impl;
}

namespace
{
    constexpr const bn::color frame_146_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_146_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 57),
        horizontal_line(0, 53),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 42),
        horizontal_line(0, 38),
        horizontal_line(0, 35),
        horizontal_line(0, 31),
        horizontal_line(0, 28),
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 13),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_146_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(138, 200),
        horizontal_line(141, 203),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_146_shape_group_0_shapes[] = {
        shape(frame_146_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_146_shape_group_0_shape_1_horizontal_lines, 114, 8),
    };

    constexpr const horizontal_line frame_146_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(97, 112),
        horizontal_line(95, 112),
        horizontal_line(94, 113),
        horizontal_line(92, 113),
        horizontal_line(91, 114),
        horizontal_line(90, 114),
        horizontal_line(88, 115),
        horizontal_line(87, 115),
        horizontal_line(86, 116),
        horizontal_line(84, 116),
        horizontal_line(83, 117),
        horizontal_line(82, 117),
        horizontal_line(80, 118),
        horizontal_line(79, 118),
        horizontal_line(78, 119),
        horizontal_line(76, 119),
        horizontal_line(75, 120),
        horizontal_line(153, 157),
        horizontal_line(74, 121),
        horizontal_line(75, 121),
        horizontal_line(76, 122),
        horizontal_line(77, 122),
        horizontal_line(79, 123),
        horizontal_line(80, 123),
        horizontal_line(81, 124),
        horizontal_line(82, 124),
        horizontal_line(84, 125),
        horizontal_line(85, 125),
        horizontal_line(86, 126),
        horizontal_line(87, 127),
        horizontal_line(88, 127),
        horizontal_line(90, 128),
        horizontal_line(91, 128),
        horizontal_line(92, 129),
        horizontal_line(93, 129),
        horizontal_line(95, 130),
        horizontal_line(96, 130),
        horizontal_line(97, 131),
        horizontal_line(98, 131),
        horizontal_line(99, 132),
        horizontal_line(101, 132),
        horizontal_line(102, 133),
        horizontal_line(103, 133),
        horizontal_line(104, 134),
        horizontal_line(106, 134),
        horizontal_line(107, 135),
        horizontal_line(108, 135),
        horizontal_line(109, 136),
        horizontal_line(110, 136),
        horizontal_line(112, 137),
        horizontal_line(113, 137),
        horizontal_line(114, 138),
        horizontal_line(115, 138),
        horizontal_line(117, 139),
        horizontal_line(118, 139),
        horizontal_line(119, 140),
        horizontal_line(120, 140),
        horizontal_line(121, 141),
        horizontal_line(123, 142),
        horizontal_line(124, 138),
        horizontal_line(125, 135),
        horizontal_line(126, 131),
        horizontal_line(128, 128),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_146_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 176),
        horizontal_line(117, 179),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(188, 225),
        horizontal_line(191, 227),
        horizontal_line(194, 229),
        horizontal_line(197, 230),
        horizontal_line(200, 232),
        horizontal_line(203, 234),
        horizontal_line(206, 236),
        horizontal_line(209, 238),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_146_shape_group_1_shapes[] = {
        shape(frame_146_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_146_shape_group_1_shape_1_horizontal_lines, 97, 8),
    };

    constexpr const horizontal_line frame_146_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(35, 96),
        horizontal_line(37, 94),
        horizontal_line(39, 93),
        horizontal_line(41, 91),
        horizontal_line(44, 90),
        horizontal_line(46, 89),
        horizontal_line(48, 87),
        horizontal_line(51, 86),
        horizontal_line(53, 85),
        horizontal_line(55, 83),
        horizontal_line(57, 82),
        horizontal_line(60, 81),
        horizontal_line(62, 79),
    };

    constexpr const horizontal_line frame_146_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(153, 153),
        horizontal_line(153, 154),
        horizontal_line(153, 156),
        horizontal_line(62, 120),
        horizontal_line(153, 158),
        horizontal_line(153, 160),
        horizontal_line(153, 161),
        horizontal_line(153, 162),
        horizontal_line(153, 164),
        horizontal_line(153, 165),
        horizontal_line(153, 167),
        horizontal_line(153, 165),
        horizontal_line(153, 164),
        horizontal_line(153, 162),
        horizontal_line(153, 161),
        horizontal_line(153, 160),
        horizontal_line(153, 158),
        horizontal_line(153, 157),
        horizontal_line(153, 156),
        horizontal_line(153, 154),
        horizontal_line(153, 153),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_146_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(128, 138),
        horizontal_line(128, 135),
        horizontal_line(128, 133),
        horizontal_line(128, 130),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_146_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(137, 162),
        horizontal_line(138, 162),
        horizontal_line(139, 163),
        horizontal_line(139, 164),
        horizontal_line(140, 153),
        horizontal_line(141, 141),
        horizontal_line(136, 139),
        horizontal_line(130, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 140),
        horizontal_line(128, 144),
        horizontal_line(135, 148),
        horizontal_line(144, 152),
        horizontal_line(153, 156),
        horizontal_line(127, 127),
        horizontal_line(120, 135),
        horizontal_line(114, 143),
        horizontal_line(107, 151),
        horizontal_line(101, 159),
        horizontal_line(94, 156),
        horizontal_line(88, 150),
        horizontal_line(81, 143),
        horizontal_line(75, 137),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(137, 195),
        horizontal_line(140, 197),
        horizontal_line(143, 198),
        horizontal_line(146, 200),
        horizontal_line(149, 202),
        horizontal_line(152, 204),
        horizontal_line(155, 206),
        horizontal_line(158, 207),
        horizontal_line(161, 209),
        horizontal_line(164, 211),
        horizontal_line(167, 213),
        horizontal_line(170, 214),
        horizontal_line(173, 216),
        horizontal_line(176, 218),
        horizontal_line(179, 220),
        horizontal_line(182, 222),
        horizontal_line(185, 223),
    };

    constexpr const horizontal_line frame_146_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_146_shape_group_2_shapes[] = {
        shape(frame_146_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_146_shape_group_2_shape_1_horizontal_lines, 13, 1),
        shape(frame_146_shape_group_2_shape_2_horizontal_lines, 63, 3),
        shape(frame_146_shape_group_2_shape_3_horizontal_lines, 68, 8),
        shape(frame_146_shape_group_2_shape_4_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(113, 141),
        horizontal_line(113, 141),
        horizontal_line(114, 141),
        horizontal_line(114, 141),
        horizontal_line(115, 141),
        horizontal_line(115, 141),
        horizontal_line(116, 142),
        horizontal_line(116, 143),
        horizontal_line(117, 145),
        horizontal_line(117, 146),
        horizontal_line(118, 147),
        horizontal_line(118, 149),
        horizontal_line(119, 150),
        horizontal_line(64, 78),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(121, 152),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(131, 152),
        horizontal_line(131, 153),
        horizontal_line(132, 152),
        horizontal_line(132, 152),
        horizontal_line(133, 151),
        horizontal_line(133, 151),
        horizontal_line(134, 150),
        horizontal_line(134, 150),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(143, 156),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(136, 140),
        horizontal_line(132, 139),
        horizontal_line(129, 138),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(139, 159),
        horizontal_line(136, 159),
        horizontal_line(135, 160),
        horizontal_line(136, 160),
        horizontal_line(137, 161),
        horizontal_line(191, 209),
        horizontal_line(191, 203),
        horizontal_line(192, 197),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(164, 191),
        horizontal_line(164, 191),
        horizontal_line(164, 191),
        horizontal_line(163, 191),
        horizontal_line(163, 191),
        horizontal_line(163, 191),
        horizontal_line(163, 191),
        horizontal_line(162, 191),
        horizontal_line(162, 191),
        horizontal_line(162, 191),
        horizontal_line(162, 191),
        horizontal_line(161, 190),
        horizontal_line(161, 190),
        horizontal_line(161, 190),
        horizontal_line(161, 190),
        horizontal_line(164, 190),
        horizontal_line(168, 190),
        horizontal_line(172, 190),
        horizontal_line(176, 190),
        horizontal_line(179, 190),
        horizontal_line(183, 190),
        horizontal_line(187, 190),
        horizontal_line(137, 190),
        horizontal_line(132, 191),
        horizontal_line(134, 193),
    };

    constexpr const horizontal_line frame_146_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_146_shape_group_3_shapes[] = {
        shape(frame_146_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_146_shape_group_3_shape_1_horizontal_lines, 14, 1),
        shape(frame_146_shape_group_3_shape_2_horizontal_lines, 17, 3),
        shape(frame_146_shape_group_3_shape_3_horizontal_lines, 18, 1),
        shape(frame_146_shape_group_3_shape_4_horizontal_lines, 35, 3),
        shape(frame_146_shape_group_3_shape_5_horizontal_lines, 58, 8),
        shape(frame_146_shape_group_3_shape_6_horizontal_lines, 59, 3),
        shape(frame_146_shape_group_3_shape_7_horizontal_lines, 63, 8),
        shape(frame_146_shape_group_3_shape_8_horizontal_lines, 71, 9),
        shape(frame_146_shape_group_3_shape_9_horizontal_lines, 72, 8),
        shape(frame_146_shape_group_3_shape_10_horizontal_lines, 97, 9),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(119, 151),
        horizontal_line(67, 77),
        horizontal_line(69, 75),
        horizontal_line(71, 74),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(169, 231),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(122, 152),
        horizontal_line(122, 152),
        horizontal_line(123, 152),
        horizontal_line(123, 152),
        horizontal_line(124, 152),
        horizontal_line(124, 152),
        horizontal_line(125, 152),
        horizontal_line(125, 152),
        horizontal_line(126, 152),
        horizontal_line(126, 152),
        horizontal_line(127, 152),
        horizontal_line(128, 152),
        horizontal_line(128, 152),
        horizontal_line(129, 152),
        horizontal_line(129, 152),
        horizontal_line(130, 152),
        horizontal_line(130, 152),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(148, 149),
        horizontal_line(148, 149),
        horizontal_line(147, 150),
        horizontal_line(147, 151),
        horizontal_line(146, 151),
        horizontal_line(146, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 153),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(143, 155),
        horizontal_line(186, 239),
        horizontal_line(142, 156),
        horizontal_line(141, 157),
        horizontal_line(140, 157),
        horizontal_line(139, 158),
        horizontal_line(188, 238),
        horizontal_line(189, 232),
        horizontal_line(189, 226),
        horizontal_line(190, 220),
        horizontal_line(190, 215),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(204, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(154, 163),
        horizontal_line(142, 163),
        horizontal_line(140, 163),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(141, 161),
        horizontal_line(145, 161),
        horizontal_line(149, 160),
        horizontal_line(153, 160),
        horizontal_line(157, 160),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(156, 167),
        horizontal_line(150, 175),
        horizontal_line(143, 183),
    };

    constexpr const horizontal_line frame_146_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
    };

    constexpr const shape frame_146_shape_group_4_shapes[] = {
        shape(frame_146_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_146_shape_group_4_shape_1_horizontal_lines, 13, 3),
        shape(frame_146_shape_group_4_shape_2_horizontal_lines, 17, 8),
        shape(frame_146_shape_group_4_shape_3_horizontal_lines, 18, 3),
        shape(frame_146_shape_group_4_shape_4_horizontal_lines, 35, 8),
        shape(frame_146_shape_group_4_shape_5_horizontal_lines, 68, 9),
        shape(frame_146_shape_group_4_shape_6_horizontal_lines, 72, 9),
        shape(frame_146_shape_group_4_shape_7_horizontal_lines, 91, 8),
        shape(frame_146_shape_group_4_shape_8_horizontal_lines, 94, 9),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(120, 152),
        horizontal_line(120, 152),
        horizontal_line(121, 152),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(233, 239),
        horizontal_line(227, 239),
        horizontal_line(221, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_146_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const shape frame_146_shape_group_5_shapes[] = {
        shape(frame_146_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_146_shape_group_5_shape_1_horizontal_lines, 14, 3),
        shape(frame_146_shape_group_5_shape_2_horizontal_lines, 17, 8),
        shape(frame_146_shape_group_5_shape_3_horizontal_lines, 47, 8),
        shape(frame_146_shape_group_5_shape_4_horizontal_lines, 59, 8),
        shape(frame_146_shape_group_5_shape_5_horizontal_lines, 63, 9),
        shape(frame_146_shape_group_5_shape_6_horizontal_lines, 72, 9),
        shape(frame_146_shape_group_5_shape_7_horizontal_lines, 91, 9),
    };

    constexpr const horizontal_line frame_146_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
    };

    constexpr const horizontal_line frame_146_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const shape frame_146_shape_group_6_shapes[] = {
        shape(frame_146_shape_group_6_shape_0_horizontal_lines, 13, 8),
        shape(frame_146_shape_group_6_shape_1_horizontal_lines, 18, 8),
    };

    constexpr const horizontal_line frame_146_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_146_shape_group_7_shapes[] = {
        shape(frame_146_shape_group_7_shape_0_horizontal_lines, 14, 8),
    };

    constexpr const shape_group frame_146_shape_groups[] = {
        shape_group(frame_146_shape_group_0_shapes),
        shape_group(frame_146_shape_group_1_shapes),
        shape_group(frame_146_shape_group_2_shapes),
        shape_group(frame_146_shape_group_3_shapes),
        shape_group(frame_146_shape_group_4_shapes),
        shape_group(frame_146_shape_group_5_shapes),
        shape_group(frame_146_shape_group_6_shapes),
        shape_group(frame_146_shape_group_7_shapes),
    };

    constexpr const frame frame_146_impl(frame_146_colors, frame_146_shape_groups);
} 

const frame& frame_146()
{
    return frame_146_impl;
}

namespace
{
    constexpr const bn::color frame_147_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_147_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 53),
        horizontal_line(0, 55),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 55),
        horizontal_line(0, 50),
        horizontal_line(0, 45),
        horizontal_line(0, 41),
        horizontal_line(0, 36),
        horizontal_line(0, 31),
        horizontal_line(0, 27),
        horizontal_line(0, 22),
        horizontal_line(0, 17),
        horizontal_line(0, 13),
        horizontal_line(0, 8),
        horizontal_line(0, 3),
    };

    constexpr const shape frame_147_shape_group_0_shapes[] = {
        shape(frame_147_shape_group_0_shape_0_horizontal_lines, 0, 7),
    };

    constexpr const horizontal_line frame_147_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(182, 187),
        horizontal_line(183, 187),
        horizontal_line(185, 187),
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_147_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(50, 112),
    };

    constexpr const horizontal_line frame_147_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(185, 188),
        horizontal_line(184, 188),
        horizontal_line(183, 189),
        horizontal_line(182, 189),
        horizontal_line(181, 190),
        horizontal_line(180, 190),
        horizontal_line(179, 191),
        horizontal_line(178, 191),
        horizontal_line(177, 192),
        horizontal_line(176, 192),
        horizontal_line(175, 193),
        horizontal_line(174, 194),
        horizontal_line(173, 194),
        horizontal_line(171, 195),
        horizontal_line(170, 195),
        horizontal_line(169, 196),
        horizontal_line(168, 196),
        horizontal_line(167, 197),
        horizontal_line(166, 197),
        horizontal_line(165, 198),
        horizontal_line(164, 198),
        horizontal_line(164, 199),
        horizontal_line(163, 199),
        horizontal_line(163, 200),
        horizontal_line(162, 201),
        horizontal_line(162, 201),
        horizontal_line(161, 202),
        horizontal_line(161, 202),
        horizontal_line(160, 203),
        horizontal_line(160, 203),
        horizontal_line(160, 204),
        horizontal_line(161, 204),
        horizontal_line(161, 205),
        horizontal_line(162, 205),
        horizontal_line(162, 206),
        horizontal_line(163, 206),
        horizontal_line(164, 207),
        horizontal_line(164, 208),
        horizontal_line(165, 208),
        horizontal_line(166, 209),
        horizontal_line(166, 209),
        horizontal_line(167, 210),
        horizontal_line(167, 210),
        horizontal_line(168, 211),
        horizontal_line(169, 211),
        horizontal_line(169, 212),
        horizontal_line(170, 212),
        horizontal_line(171, 213),
        horizontal_line(171, 213),
        horizontal_line(172, 214),
        horizontal_line(172, 215),
        horizontal_line(173, 215),
        horizontal_line(174, 216),
        horizontal_line(174, 216),
        horizontal_line(175, 217),
        horizontal_line(145, 145),
        horizontal_line(143, 146),
        horizontal_line(141, 147),
        horizontal_line(139, 147),
        horizontal_line(137, 148),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 150),
        horizontal_line(136, 151),
        horizontal_line(135, 152),
        horizontal_line(135, 148),
        horizontal_line(135, 143),
        horizontal_line(135, 139),
        horizontal_line(134, 134),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(132, 175),
        horizontal_line(139, 178),
        horizontal_line(146, 182),
        horizontal_line(153, 185),
        horizontal_line(161, 189),
        horizontal_line(168, 192),
        horizontal_line(175, 196),
        horizontal_line(182, 199),
        horizontal_line(190, 203),
        horizontal_line(197, 206),
        horizontal_line(204, 210),
        horizontal_line(211, 213),
        horizontal_line(62, 73),
        horizontal_line(62, 69),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_147_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_147_shape_group_1_shapes[] = {
        shape(frame_147_shape_group_1_shape_0_horizontal_lines, 0, 7),
        shape(frame_147_shape_group_1_shape_1_horizontal_lines, 4, 1),
        shape(frame_147_shape_group_1_shape_2_horizontal_lines, 5, 7),
        shape(frame_147_shape_group_1_shape_3_horizontal_lines, 102, 9),
    };

    constexpr const horizontal_line frame_147_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(165, 187),
        horizontal_line(51, 113),
        horizontal_line(53, 115),
        horizontal_line(54, 116),
        horizontal_line(56, 118),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(62, 122),
    };

    constexpr const horizontal_line frame_147_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 64),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(176, 217),
        horizontal_line(176, 218),
        horizontal_line(177, 218),
        horizontal_line(177, 219),
        horizontal_line(178, 219),
        horizontal_line(179, 220),
        horizontal_line(179, 220),
        horizontal_line(180, 221),
        horizontal_line(181, 222),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 139),
        horizontal_line(124, 146),
        horizontal_line(124, 154),
        horizontal_line(124, 161),
        horizontal_line(124, 168),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 120),
        horizontal_line(62, 115),
        horizontal_line(62, 111),
        horizontal_line(62, 106),
        horizontal_line(62, 101),
        horizontal_line(62, 97),
        horizontal_line(62, 92),
        horizontal_line(62, 87),
        horizontal_line(62, 83),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_147_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_147_shape_group_2_shapes[] = {
        shape(frame_147_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_147_shape_group_2_shape_1_horizontal_lines, 13, 7),
        shape(frame_147_shape_group_2_shape_2_horizontal_lines, 99, 9),
    };

    constexpr const horizontal_line frame_147_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(165, 181),
        horizontal_line(165, 182),
        horizontal_line(165, 184),
        horizontal_line(165, 186),
        horizontal_line(112, 117),
        horizontal_line(165, 185),
        horizontal_line(165, 184),
        horizontal_line(165, 183),
        horizontal_line(165, 182),
        horizontal_line(165, 181),
        horizontal_line(165, 180),
        horizontal_line(166, 179),
        horizontal_line(166, 178),
        horizontal_line(63, 123),
        horizontal_line(65, 124),
        horizontal_line(66, 124),
        horizontal_line(68, 125),
        horizontal_line(69, 126),
        horizontal_line(71, 126),
        horizontal_line(72, 127),
        horizontal_line(74, 128),
        horizontal_line(75, 128),
        horizontal_line(77, 129),
        horizontal_line(78, 130),
        horizontal_line(80, 130),
        horizontal_line(81, 131),
        horizontal_line(83, 132),
        horizontal_line(84, 132),
        horizontal_line(86, 133),
        horizontal_line(87, 133),
        horizontal_line(89, 134),
        horizontal_line(90, 135),
        horizontal_line(92, 135),
        horizontal_line(93, 136),
        horizontal_line(95, 137),
        horizontal_line(96, 137),
        horizontal_line(98, 138),
        horizontal_line(99, 139),
        horizontal_line(101, 139),
        horizontal_line(102, 140),
        horizontal_line(104, 141),
        horizontal_line(105, 141),
        horizontal_line(107, 142),
        horizontal_line(108, 143),
        horizontal_line(110, 143),
        horizontal_line(111, 144),
        horizontal_line(113, 145),
        horizontal_line(114, 145),
        horizontal_line(116, 146),
        horizontal_line(117, 147),
        horizontal_line(119, 147),
        horizontal_line(120, 148),
        horizontal_line(122, 149),
        horizontal_line(123, 146),
    };

    constexpr const horizontal_line frame_147_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_147_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 133),
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_147_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(154, 176),
        horizontal_line(158, 176),
        horizontal_line(161, 176),
        horizontal_line(165, 175),
        horizontal_line(168, 175),
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_147_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 130),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_147_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_147_shape_group_3_shapes[] = {
        shape(frame_147_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_147_shape_group_3_shape_1_horizontal_lines, 54, 7),
        shape(frame_147_shape_group_3_shape_2_horizontal_lines, 75, 1),
        shape(frame_147_shape_group_3_shape_3_horizontal_lines, 81, 9),
        shape(frame_147_shape_group_3_shape_4_horizontal_lines, 87, 7),
        shape(frame_147_shape_group_3_shape_5_horizontal_lines, 89, 9),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(106, 115),
        horizontal_line(107, 115),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(118, 164),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(113, 118),
        horizontal_line(115, 118),
        horizontal_line(116, 119),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
        horizontal_line(121, 121),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(123, 165),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(166, 177),
        horizontal_line(166, 176),
        horizontal_line(166, 175),
        horizontal_line(166, 174),
        horizontal_line(166, 173),
        horizontal_line(166, 172),
        horizontal_line(166, 170),
        horizontal_line(166, 169),
        horizontal_line(166, 168),
        horizontal_line(167, 167),
        horizontal_line(166, 166),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(132, 164),
        horizontal_line(133, 163),
        horizontal_line(133, 163),
        horizontal_line(134, 162),
        horizontal_line(134, 162),
        horizontal_line(135, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 160),
        horizontal_line(137, 160),
        horizontal_line(138, 159),
        horizontal_line(138, 159),
        horizontal_line(139, 158),
        horizontal_line(140, 158),
        horizontal_line(140, 157),
        horizontal_line(141, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 155),
        horizontal_line(143, 155),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(145, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 152),
        horizontal_line(147, 152),
        horizontal_line(148, 151),
        horizontal_line(148, 151),
        horizontal_line(149, 150),
        horizontal_line(150, 150),
        horizontal_line(147, 149),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(125, 143),
        horizontal_line(126, 140),
        horizontal_line(128, 137),
        horizontal_line(129, 134),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(132, 147),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_147_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(152, 178),
        horizontal_line(151, 178),
        horizontal_line(151, 177),
        horizontal_line(151, 177),
        horizontal_line(151, 177),
        horizontal_line(151, 176),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_147_shape_group_4_shapes[] = {
        shape(frame_147_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_147_shape_group_4_shape_1_horizontal_lines, 4, 3),
        shape(frame_147_shape_group_4_shape_2_horizontal_lines, 5, 1),
        shape(frame_147_shape_group_4_shape_3_horizontal_lines, 12, 3),
        shape(frame_147_shape_group_4_shape_4_horizontal_lines, 13, 1),
        shape(frame_147_shape_group_4_shape_5_horizontal_lines, 25, 3),
        shape(frame_147_shape_group_4_shape_6_horizontal_lines, 54, 1),
        shape(frame_147_shape_group_4_shape_7_horizontal_lines, 59, 3),
        shape(frame_147_shape_group_4_shape_8_horizontal_lines, 61, 7),
        shape(frame_147_shape_group_4_shape_9_horizontal_lines, 70, 1),
        shape(frame_147_shape_group_4_shape_10_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_147_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(116, 164),
        horizontal_line(116, 164),
        horizontal_line(117, 164),
        horizontal_line(117, 164),
    };

    constexpr const horizontal_line frame_147_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(119, 164),
        horizontal_line(119, 164),
        horizontal_line(120, 164),
        horizontal_line(121, 164),
        horizontal_line(121, 164),
        horizontal_line(122, 164),
        horizontal_line(123, 165),
    };

    constexpr const horizontal_line frame_147_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(124, 165),
        horizontal_line(125, 165),
        horizontal_line(125, 165),
        horizontal_line(126, 165),
        horizontal_line(127, 165),
        horizontal_line(127, 165),
        horizontal_line(128, 165),
        horizontal_line(129, 165),
        horizontal_line(129, 165),
        horizontal_line(130, 166),
        horizontal_line(131, 165),
        horizontal_line(131, 164),
    };

    constexpr const horizontal_line frame_147_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(144, 149),
        horizontal_line(141, 148),
        horizontal_line(138, 148),
        horizontal_line(135, 148),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_147_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 132),
        horizontal_line(132, 133),
        horizontal_line(132, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_147_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(154, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 179),
        horizontal_line(152, 178),
        horizontal_line(152, 178),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_147_shape_group_5_shapes[] = {
        shape(frame_147_shape_group_5_shape_0_horizontal_lines, 0, 3),
        shape(frame_147_shape_group_5_shape_1_horizontal_lines, 5, 3),
        shape(frame_147_shape_group_5_shape_2_horizontal_lines, 13, 3),
        shape(frame_147_shape_group_5_shape_3_horizontal_lines, 54, 3),
        shape(frame_147_shape_group_5_shape_4_horizontal_lines, 61, 1),
        shape(frame_147_shape_group_5_shape_5_horizontal_lines, 70, 9),
    };

    constexpr const horizontal_line frame_147_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(133, 144),
        horizontal_line(133, 142),
        horizontal_line(134, 140),
        horizontal_line(135, 138),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_147_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_147_shape_group_6_shapes[] = {
        shape(frame_147_shape_group_6_shape_0_horizontal_lines, 61, 3),
        shape(frame_147_shape_group_6_shape_1_horizontal_lines, 67, 9),
    };

    constexpr const shape_group frame_147_shape_groups[] = {
        shape_group(frame_147_shape_group_0_shapes),
        shape_group(frame_147_shape_group_1_shapes),
        shape_group(frame_147_shape_group_2_shapes),
        shape_group(frame_147_shape_group_3_shapes),
        shape_group(frame_147_shape_group_4_shapes),
        shape_group(frame_147_shape_group_5_shapes),
        shape_group(frame_147_shape_group_6_shapes),
    };

    constexpr const frame frame_147_impl(frame_147_colors, frame_147_shape_groups);
} 

const frame& frame_147()
{
    return frame_147_impl;
}

namespace
{
    constexpr const bn::color frame_148_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_148_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 143),
        horizontal_line(84, 144),
        horizontal_line(85, 145),
        horizontal_line(87, 146),
        horizontal_line(89, 147),
        horizontal_line(91, 147),
        horizontal_line(93, 148),
        horizontal_line(95, 149),
        horizontal_line(97, 150),
        horizontal_line(99, 150),
        horizontal_line(101, 151),
        horizontal_line(102, 152),
        horizontal_line(104, 153),
        horizontal_line(106, 154),
        horizontal_line(108, 154),
        horizontal_line(110, 155),
        horizontal_line(112, 156),
        horizontal_line(114, 157),
        horizontal_line(116, 158),
        horizontal_line(117, 155),
        horizontal_line(119, 152),
        horizontal_line(121, 149),
        horizontal_line(123, 146),
        horizontal_line(125, 143),
        horizontal_line(127, 140),
        horizontal_line(129, 137),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_148_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(133, 158),
    };

    constexpr const horizontal_line frame_148_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(132, 133),
        horizontal_line(132, 134),
        horizontal_line(132, 135),
        horizontal_line(132, 136),
        horizontal_line(132, 137),
        horizontal_line(132, 138),
        horizontal_line(132, 139),
        horizontal_line(132, 140),
        horizontal_line(132, 141),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 139),
        horizontal_line(132, 138),
        horizontal_line(132, 137),
        horizontal_line(132, 136),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(132, 133),
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_148_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(190, 192),
        horizontal_line(196, 239),
        horizontal_line(131, 131),
        horizontal_line(127, 137),
        horizontal_line(123, 143),
        horizontal_line(119, 149),
        horizontal_line(115, 155),
        horizontal_line(111, 161),
        horizontal_line(107, 167),
        horizontal_line(103, 165),
        horizontal_line(99, 161),
        horizontal_line(95, 157),
        horizontal_line(91, 153),
        horizontal_line(87, 149),
        horizontal_line(83, 145),
        horizontal_line(79, 141),
        horizontal_line(75, 137),
        horizontal_line(71, 133),
        horizontal_line(67, 129),
        horizontal_line(63, 125),
        horizontal_line(59, 121),
        horizontal_line(55, 117),
        horizontal_line(51, 113),
        horizontal_line(47, 109),
        horizontal_line(43, 105),
        horizontal_line(39, 101),
        horizontal_line(35, 97),
        horizontal_line(31, 93),
        horizontal_line(27, 89),
        horizontal_line(23, 85),
        horizontal_line(19, 81),
        horizontal_line(15, 77),
        horizontal_line(11, 73),
        horizontal_line(7, 69),
        horizontal_line(3, 65),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_148_shape_group_0_shapes[] = {
        shape(frame_148_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_148_shape_group_0_shape_1_horizontal_lines, 51, 3),
        shape(frame_148_shape_group_0_shape_2_horizontal_lines, 52, 1),
        shape(frame_148_shape_group_0_shape_3_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(181, 187),
        horizontal_line(180, 186),
        horizontal_line(179, 185),
        horizontal_line(179, 184),
        horizontal_line(178, 183),
        horizontal_line(178, 183),
        horizontal_line(177, 182),
        horizontal_line(177, 181),
        horizontal_line(176, 180),
        horizontal_line(176, 180),
        horizontal_line(175, 179),
        horizontal_line(175, 178),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(173, 176),
        horizontal_line(173, 175),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(171, 173),
        horizontal_line(171, 172),
        horizontal_line(170, 171),
        horizontal_line(138, 141),
        horizontal_line(140, 142),
        horizontal_line(142, 143),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(144, 167),
        horizontal_line(145, 166),
        horizontal_line(146, 166),
        horizontal_line(147, 165),
        horizontal_line(148, 165),
        horizontal_line(148, 164),
        horizontal_line(149, 164),
        horizontal_line(150, 163),
        horizontal_line(151, 163),
        horizontal_line(151, 162),
        horizontal_line(152, 162),
        horizontal_line(153, 161),
        horizontal_line(154, 161),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(156, 159),
        horizontal_line(157, 159),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(159, 185),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(156, 158),
        horizontal_line(153, 158),
        horizontal_line(150, 158),
        horizontal_line(147, 158),
        horizontal_line(144, 158),
        horizontal_line(141, 158),
        horizontal_line(138, 158),
        horizontal_line(135, 158),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(159, 191),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(133, 158),
        horizontal_line(134, 158),
        horizontal_line(135, 158),
        horizontal_line(136, 158),
        horizontal_line(137, 158),
        horizontal_line(138, 155),
        horizontal_line(139, 153),
        horizontal_line(140, 151),
        horizontal_line(141, 148),
        horizontal_line(142, 146),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(162, 199),
        horizontal_line(163, 199),
        horizontal_line(164, 200),
        horizontal_line(164, 226),
        horizontal_line(165, 190),
        horizontal_line(166, 178),
        horizontal_line(167, 167),
        horizontal_line(162, 165),
        horizontal_line(157, 165),
        horizontal_line(152, 165),
        horizontal_line(147, 165),
        horizontal_line(142, 165),
        horizontal_line(142, 164),
        horizontal_line(142, 164),
        horizontal_line(141, 164),
        horizontal_line(141, 164),
        horizontal_line(141, 164),
        horizontal_line(141, 166),
        horizontal_line(141, 169),
        horizontal_line(147, 172),
        horizontal_line(153, 175),
        horizontal_line(159, 178),
        horizontal_line(165, 180),
        horizontal_line(172, 183),
        horizontal_line(178, 186),
        horizontal_line(184, 189),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_148_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
        horizontal_line(141, 203),
        horizontal_line(137, 199),
        horizontal_line(133, 195),
        horizontal_line(129, 191),
        horizontal_line(125, 187),
        horizontal_line(121, 183),
        horizontal_line(117, 179),
        horizontal_line(113, 175),
        horizontal_line(109, 171),
        horizontal_line(105, 167),
        horizontal_line(101, 163),
        horizontal_line(97, 159),
        horizontal_line(93, 155),
        horizontal_line(89, 151),
        horizontal_line(85, 147),
        horizontal_line(81, 143),
        horizontal_line(77, 139),
        horizontal_line(73, 135),
        horizontal_line(69, 131),
        horizontal_line(65, 127),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_148_shape_group_1_shapes[] = {
        shape(frame_148_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_148_shape_group_1_shape_1_horizontal_lines, 24, 3),
        shape(frame_148_shape_group_1_shape_2_horizontal_lines, 42, 8),
        shape(frame_148_shape_group_1_shape_3_horizontal_lines, 43, 3),
        shape(frame_148_shape_group_1_shape_4_horizontal_lines, 51, 8),
        shape(frame_148_shape_group_1_shape_5_horizontal_lines, 52, 3),
        shape(frame_148_shape_group_1_shape_6_horizontal_lines, 63, 8),
        shape(frame_148_shape_group_1_shape_7_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(99, 125),
        horizontal_line(100, 125),
        horizontal_line(102, 126),
        horizontal_line(104, 127),
        horizontal_line(106, 128),
        horizontal_line(108, 128),
        horizontal_line(110, 129),
        horizontal_line(112, 130),
        horizontal_line(114, 131),
        horizontal_line(115, 132),
        horizontal_line(117, 132),
        horizontal_line(119, 133),
        horizontal_line(121, 134),
        horizontal_line(123, 135),
        horizontal_line(125, 136),
        horizontal_line(127, 136),
        horizontal_line(129, 137),
        horizontal_line(131, 138),
        horizontal_line(132, 139),
        horizontal_line(134, 139),
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(142, 169),
        horizontal_line(143, 168),
        horizontal_line(144, 167),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(170, 173),
        horizontal_line(169, 173),
        horizontal_line(168, 174),
        horizontal_line(167, 175),
        horizontal_line(166, 175),
        horizontal_line(165, 176),
        horizontal_line(165, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 178),
        horizontal_line(163, 179),
        horizontal_line(163, 179),
        horizontal_line(162, 180),
        horizontal_line(162, 181),
        horizontal_line(161, 181),
        horizontal_line(161, 182),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(159, 184),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(159, 185),
        horizontal_line(159, 186),
        horizontal_line(159, 187),
        horizontal_line(159, 187),
        horizontal_line(159, 188),
        horizontal_line(159, 189),
        horizontal_line(159, 189),
        horizontal_line(159, 190),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(159, 191),
        horizontal_line(159, 192),
        horizontal_line(159, 193),
        horizontal_line(159, 193),
        horizontal_line(159, 194),
        horizontal_line(158, 195),
        horizontal_line(159, 195),
        horizontal_line(160, 196),
        horizontal_line(160, 197),
        horizontal_line(161, 197),
        horizontal_line(162, 198),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(193, 195),
    };

    constexpr const horizontal_line frame_148_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(165, 173),
        horizontal_line(161, 179),
        horizontal_line(157, 185),
        horizontal_line(153, 191),
        horizontal_line(149, 197),
        horizontal_line(145, 203),
        horizontal_line(203, 209),
        horizontal_line(199, 215),
        horizontal_line(195, 221),
        horizontal_line(191, 227),
        horizontal_line(187, 233),
        horizontal_line(183, 239),
        horizontal_line(179, 239),
        horizontal_line(175, 237),
        horizontal_line(171, 233),
        horizontal_line(167, 229),
        horizontal_line(163, 225),
        horizontal_line(159, 221),
        horizontal_line(155, 217),
        horizontal_line(151, 213),
        horizontal_line(147, 209),
        horizontal_line(143, 205),
        horizontal_line(139, 201),
        horizontal_line(135, 197),
        horizontal_line(131, 193),
        horizontal_line(127, 189),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_148_shape_group_2_shapes[] = {
        shape(frame_148_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_148_shape_group_2_shape_1_horizontal_lines, 21, 3),
        shape(frame_148_shape_group_2_shape_2_horizontal_lines, 24, 8),
        shape(frame_148_shape_group_2_shape_3_horizontal_lines, 43, 8),
        shape(frame_148_shape_group_2_shape_4_horizontal_lines, 52, 8),
        shape(frame_148_shape_group_2_shape_5_horizontal_lines, 66, 8),
        shape(frame_148_shape_group_2_shape_6_horizontal_lines, 89, 9),
        shape(frame_148_shape_group_2_shape_7_horizontal_lines, 98, 8),
    };

    constexpr const horizontal_line frame_148_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(126, 180),
        horizontal_line(126, 179),
        horizontal_line(127, 178),
        horizontal_line(128, 178),
        horizontal_line(129, 177),
        horizontal_line(129, 177),
        horizontal_line(130, 176),
        horizontal_line(131, 176),
        horizontal_line(132, 175),
        horizontal_line(133, 175),
        horizontal_line(133, 174),
        horizontal_line(134, 174),
        horizontal_line(135, 173),
        horizontal_line(136, 173),
        horizontal_line(137, 172),
        horizontal_line(137, 172),
        horizontal_line(138, 171),
        horizontal_line(139, 171),
        horizontal_line(140, 170),
        horizontal_line(140, 170),
        horizontal_line(141, 169),
    };

    constexpr const horizontal_line frame_148_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_148_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(191, 200),
        horizontal_line(179, 200),
        horizontal_line(168, 200),
        horizontal_line(166, 200),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(166, 199),
        horizontal_line(165, 198),
        horizontal_line(165, 198),
        horizontal_line(165, 198),
        horizontal_line(165, 198),
        horizontal_line(165, 197),
        horizontal_line(167, 197),
        horizontal_line(170, 197),
        horizontal_line(173, 197),
        horizontal_line(176, 196),
        horizontal_line(179, 196),
        horizontal_line(181, 196),
        horizontal_line(184, 196),
        horizontal_line(187, 195),
        horizontal_line(190, 195),
    };

    constexpr const horizontal_line frame_148_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(233, 239),
        horizontal_line(229, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(201, 239),
        horizontal_line(197, 239),
        horizontal_line(193, 239),
        horizontal_line(189, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_148_shape_group_3_shapes[] = {
        shape(frame_148_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_148_shape_group_3_shape_1_horizontal_lines, 23, 8),
        shape(frame_148_shape_group_3_shape_2_horizontal_lines, 67, 9),
        shape(frame_148_shape_group_3_shape_3_horizontal_lines, 111, 8),
    };

    constexpr const shape_group frame_148_shape_groups[] = {
        shape_group(frame_148_shape_group_0_shapes),
        shape_group(frame_148_shape_group_1_shapes),
        shape_group(frame_148_shape_group_2_shapes),
        shape_group(frame_148_shape_group_3_shapes),
    };

    constexpr const frame frame_148_impl(frame_148_colors, frame_148_shape_groups);
} 

const frame& frame_148()
{
    return frame_148_impl;
}

namespace
{
    constexpr const bn::color frame_149_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(28, 20, 12),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_149_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(38, 100),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 150),
        horizontal_line(94, 147),
        horizontal_line(96, 145),
        horizontal_line(98, 143),
        horizontal_line(101, 141),
        horizontal_line(103, 138),
        horizontal_line(105, 136),
        horizontal_line(108, 134),
        horizontal_line(110, 132),
        horizontal_line(112, 129),
        horizontal_line(115, 127),
        horizontal_line(117, 125),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_149_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(122, 166),
    };

    constexpr const horizontal_line frame_149_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 123),
        horizontal_line(121, 125),
        horizontal_line(121, 126),
        horizontal_line(121, 128),
        horizontal_line(121, 130),
        horizontal_line(121, 131),
        horizontal_line(121, 133),
        horizontal_line(121, 135),
        horizontal_line(121, 136),
        horizontal_line(121, 138),
        horizontal_line(121, 140),
        horizontal_line(121, 141),
        horizontal_line(121, 143),
        horizontal_line(121, 145),
        horizontal_line(121, 146),
        horizontal_line(121, 148),
        horizontal_line(121, 150),
        horizontal_line(121, 150),
        horizontal_line(121, 150),
        horizontal_line(121, 150),
        horizontal_line(121, 149),
        horizontal_line(121, 149),
        horizontal_line(121, 149),
        horizontal_line(121, 149),
        horizontal_line(121, 148),
        horizontal_line(121, 148),
        horizontal_line(121, 148),
        horizontal_line(121, 148),
        horizontal_line(121, 147),
        horizontal_line(121, 147),
        horizontal_line(121, 147),
        horizontal_line(121, 147),
        horizontal_line(121, 146),
        horizontal_line(121, 146),
        horizontal_line(121, 146),
        horizontal_line(121, 146),
        horizontal_line(121, 145),
        horizontal_line(121, 145),
        horizontal_line(121, 145),
        horizontal_line(121, 144),
        horizontal_line(121, 142),
        horizontal_line(121, 141),
        horizontal_line(121, 140),
        horizontal_line(121, 138),
        horizontal_line(121, 137),
        horizontal_line(121, 136),
        horizontal_line(121, 134),
        horizontal_line(121, 133),
        horizontal_line(121, 132),
        horizontal_line(121, 130),
        horizontal_line(121, 129),
        horizontal_line(121, 128),
        horizontal_line(121, 126),
        horizontal_line(121, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 122),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_149_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(120, 120),
        horizontal_line(116, 124),
        horizontal_line(112, 129),
        horizontal_line(109, 133),
        horizontal_line(105, 138),
        horizontal_line(101, 142),
        horizontal_line(98, 147),
        horizontal_line(94, 152),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(76, 138),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(65, 127),
        horizontal_line(61, 123),
        horizontal_line(58, 120),
        horizontal_line(54, 116),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(36, 98),
        horizontal_line(32, 94),
        horizontal_line(29, 91),
        horizontal_line(25, 87),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(14, 76),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(3, 65),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_149_shape_group_0_shapes[] = {
        shape(frame_149_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_149_shape_group_0_shape_1_horizontal_lines, 41, 3),
        shape(frame_149_shape_group_0_shape_2_horizontal_lines, 42, 1),
        shape(frame_149_shape_group_0_shape_3_horizontal_lines, 100, 8),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(183, 190),
        horizontal_line(185, 189),
        horizontal_line(187, 188),
        horizontal_line(95, 140),
        horizontal_line(98, 141),
        horizontal_line(100, 142),
        horizontal_line(102, 143),
        horizontal_line(105, 144),
        horizontal_line(107, 145),
        horizontal_line(109, 145),
        horizontal_line(112, 146),
        horizontal_line(114, 147),
        horizontal_line(116, 148),
        horizontal_line(119, 149),
        horizontal_line(121, 150),
        horizontal_line(123, 151),
        horizontal_line(126, 152),
        horizontal_line(128, 152),
        horizontal_line(130, 153),
        horizontal_line(133, 154),
        horizontal_line(135, 155),
        horizontal_line(137, 156),
        horizontal_line(139, 157),
        horizontal_line(142, 158),
        horizontal_line(144, 159),
        horizontal_line(146, 156),
        horizontal_line(149, 154),
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(151, 160),
        horizontal_line(148, 161),
        horizontal_line(146, 161),
        horizontal_line(144, 161),
        horizontal_line(142, 162),
        horizontal_line(139, 162),
        horizontal_line(137, 163),
        horizontal_line(135, 163),
        horizontal_line(133, 164),
        horizontal_line(130, 164),
        horizontal_line(128, 164),
        horizontal_line(126, 165),
        horizontal_line(124, 165),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(167, 215),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(122, 166),
        horizontal_line(124, 167),
        horizontal_line(126, 167),
        horizontal_line(127, 167),
        horizontal_line(129, 168),
        horizontal_line(131, 168),
        horizontal_line(132, 169),
        horizontal_line(134, 169),
        horizontal_line(136, 170),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(166, 166),
        horizontal_line(164, 164),
        horizontal_line(162, 162),
        horizontal_line(160, 160),
        horizontal_line(158, 158),
        horizontal_line(156, 156),
        horizontal_line(154, 154),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(177, 228),
        horizontal_line(178, 229),
        horizontal_line(179, 230),
        horizontal_line(180, 239),
        horizontal_line(180, 219),
        horizontal_line(181, 207),
        horizontal_line(182, 195),
        horizontal_line(183, 183),
        horizontal_line(179, 181),
        horizontal_line(174, 181),
        horizontal_line(169, 181),
        horizontal_line(164, 181),
        horizontal_line(159, 180),
        horizontal_line(154, 180),
        horizontal_line(149, 180),
        horizontal_line(147, 180),
        horizontal_line(147, 179),
        horizontal_line(147, 179),
        horizontal_line(147, 179),
        horizontal_line(146, 179),
        horizontal_line(146, 181),
        horizontal_line(146, 184),
        horizontal_line(146, 187),
        horizontal_line(152, 189),
        horizontal_line(158, 192),
        horizontal_line(164, 195),
        horizontal_line(171, 197),
        horizontal_line(177, 200),
        horizontal_line(183, 203),
        horizontal_line(189, 205),
        horizontal_line(196, 208),
        horizontal_line(202, 211),
        horizontal_line(208, 213),
        horizontal_line(214, 216),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_149_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(152, 156),
        horizontal_line(149, 161),
        horizontal_line(145, 165),
        horizontal_line(142, 170),
        horizontal_line(138, 174),
        horizontal_line(134, 179),
        horizontal_line(131, 184),
        horizontal_line(127, 188),
        horizontal_line(123, 185),
        horizontal_line(120, 182),
        horizontal_line(116, 178),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(98, 160),
        horizontal_line(94, 156),
        horizontal_line(91, 153),
        horizontal_line(87, 149),
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(76, 138),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(65, 127),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_149_shape_group_1_shapes[] = {
        shape(frame_149_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_149_shape_group_1_shape_1_horizontal_lines, 28, 3),
        shape(frame_149_shape_group_1_shape_2_horizontal_lines, 41, 8),
        shape(frame_149_shape_group_1_shape_3_horizontal_lines, 42, 3),
        shape(frame_149_shape_group_1_shape_4_horizontal_lines, 51, 1),
        shape(frame_149_shape_group_1_shape_5_horizontal_lines, 60, 8),
        shape(frame_149_shape_group_1_shape_6_horizontal_lines, 101, 8),
        shape(frame_149_shape_group_1_shape_7_horizontal_lines, 109, 8),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(89, 138),
        horizontal_line(91, 138),
        horizontal_line(93, 139),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(141, 170),
        horizontal_line(142, 169),
        horizontal_line(143, 169),
        horizontal_line(144, 168),
        horizontal_line(145, 168),
        horizontal_line(146, 167),
        horizontal_line(146, 167),
        horizontal_line(147, 166),
        horizontal_line(148, 166),
        horizontal_line(149, 165),
        horizontal_line(150, 164),
        horizontal_line(151, 164),
        horizontal_line(152, 163),
        horizontal_line(153, 163),
        horizontal_line(153, 162),
        horizontal_line(154, 162),
        horizontal_line(155, 161),
        horizontal_line(156, 161),
        horizontal_line(157, 160),
        horizontal_line(158, 160),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(172, 203),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(157, 159),
        horizontal_line(155, 159),
        horizontal_line(153, 160),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(169, 205),
        horizontal_line(168, 206),
        horizontal_line(168, 207),
        horizontal_line(167, 208),
        horizontal_line(166, 208),
        horizontal_line(165, 209),
        horizontal_line(165, 210),
        horizontal_line(164, 210),
        horizontal_line(165, 211),
        horizontal_line(165, 212),
        horizontal_line(165, 213),
        horizontal_line(166, 213),
        horizontal_line(166, 214),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(167, 215),
        horizontal_line(168, 216),
        horizontal_line(168, 217),
        horizontal_line(168, 218),
        horizontal_line(169, 218),
        horizontal_line(169, 219),
        horizontal_line(170, 220),
        horizontal_line(170, 220),
        horizontal_line(171, 221),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(137, 167),
        horizontal_line(139, 165),
        horizontal_line(141, 163),
        horizontal_line(142, 161),
        horizontal_line(144, 159),
        horizontal_line(146, 157),
        horizontal_line(147, 155),
        horizontal_line(149, 153),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_149_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(185, 193),
        horizontal_line(182, 197),
        horizontal_line(178, 202),
        horizontal_line(174, 206),
        horizontal_line(171, 211),
        horizontal_line(167, 216),
        horizontal_line(164, 220),
        horizontal_line(160, 222),
        horizontal_line(156, 218),
        horizontal_line(153, 215),
        horizontal_line(149, 211),
        horizontal_line(145, 207),
        horizontal_line(142, 204),
        horizontal_line(138, 200),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(127, 189),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_149_shape_group_2_shapes[] = {
        shape(frame_149_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_149_shape_group_2_shape_1_horizontal_lines, 3, 3),
        shape(frame_149_shape_group_2_shape_2_horizontal_lines, 24, 8),
        shape(frame_149_shape_group_2_shape_3_horizontal_lines, 25, 3),
        shape(frame_149_shape_group_2_shape_4_horizontal_lines, 28, 8),
        shape(frame_149_shape_group_2_shape_5_horizontal_lines, 42, 8),
        shape(frame_149_shape_group_2_shape_6_horizontal_lines, 51, 3),
        shape(frame_149_shape_group_2_shape_7_horizontal_lines, 64, 8),
        shape(frame_149_shape_group_2_shape_8_horizontal_lines, 117, 8),
    };

    constexpr const horizontal_line frame_149_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(139, 172),
        horizontal_line(139, 171),
        horizontal_line(140, 170),
    };

    constexpr const horizontal_line frame_149_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(187, 189),
        horizontal_line(186, 190),
        horizontal_line(185, 190),
        horizontal_line(185, 191),
        horizontal_line(184, 192),
        horizontal_line(183, 193),
        horizontal_line(182, 193),
        horizontal_line(182, 194),
        horizontal_line(181, 195),
        horizontal_line(180, 195),
        horizontal_line(179, 196),
        horizontal_line(178, 197),
        horizontal_line(178, 198),
        horizontal_line(177, 198),
        horizontal_line(176, 199),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(174, 201),
        horizontal_line(173, 202),
    };

    constexpr const horizontal_line frame_149_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(172, 203),
        horizontal_line(171, 204),
        horizontal_line(170, 205),
    };

    constexpr const horizontal_line frame_149_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(171, 222),
        horizontal_line(172, 223),
        horizontal_line(172, 223),
        horizontal_line(173, 224),
        horizontal_line(174, 225),
        horizontal_line(175, 225),
        horizontal_line(175, 226),
        horizontal_line(176, 227),
        horizontal_line(177, 228),
    };

    constexpr const horizontal_line frame_149_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(220, 230),
        horizontal_line(208, 230),
        horizontal_line(196, 229),
        horizontal_line(184, 229),
        horizontal_line(182, 229),
        horizontal_line(182, 228),
        horizontal_line(182, 228),
        horizontal_line(182, 227),
        horizontal_line(181, 227),
        horizontal_line(181, 227),
        horizontal_line(181, 226),
        horizontal_line(181, 226),
        horizontal_line(180, 225),
        horizontal_line(180, 225),
        horizontal_line(180, 225),
        horizontal_line(180, 224),
        horizontal_line(182, 224),
        horizontal_line(185, 224),
        horizontal_line(188, 223),
        horizontal_line(190, 223),
        horizontal_line(193, 222),
        horizontal_line(196, 222),
        horizontal_line(198, 222),
        horizontal_line(201, 221),
        horizontal_line(204, 221),
        horizontal_line(206, 220),
        horizontal_line(209, 220),
        horizontal_line(212, 220),
        horizontal_line(214, 219),
        horizontal_line(217, 219),
    };

    constexpr const horizontal_line frame_149_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(222, 225),
        horizontal_line(218, 229),
        horizontal_line(215, 234),
        horizontal_line(211, 239),
        horizontal_line(207, 239),
        horizontal_line(204, 239),
        horizontal_line(200, 239),
        horizontal_line(196, 239),
        horizontal_line(193, 239),
        horizontal_line(189, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_149_shape_group_3_shapes[] = {
        shape(frame_149_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_149_shape_group_3_shape_1_horizontal_lines, 4, 8),
        shape(frame_149_shape_group_3_shape_2_horizontal_lines, 25, 8),
        shape(frame_149_shape_group_3_shape_3_horizontal_lines, 51, 8),
        shape(frame_149_shape_group_3_shape_4_horizontal_lines, 64, 9),
        shape(frame_149_shape_group_3_shape_5_horizontal_lines, 124, 8),
    };

    constexpr const shape_group frame_149_shape_groups[] = {
        shape_group(frame_149_shape_group_0_shapes),
        shape_group(frame_149_shape_group_1_shapes),
        shape_group(frame_149_shape_group_2_shapes),
        shape_group(frame_149_shape_group_3_shapes),
    };

    constexpr const frame frame_149_impl(frame_149_colors, frame_149_shape_groups);
} 

const frame& frame_149()
{
    return frame_149_impl;
}

namespace
{
    constexpr const bn::color frame_150_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(8, 20, 28),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(16, 16, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_150_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(25, 85),
        horizontal_line(28, 84),
        horizontal_line(30, 83),
        horizontal_line(33, 82),
        horizontal_line(36, 81),
        horizontal_line(39, 80),
        horizontal_line(41, 79),
        horizontal_line(44, 78),
        horizontal_line(47, 76),
        horizontal_line(49, 75),
        horizontal_line(52, 74),
        horizontal_line(55, 73),
        horizontal_line(58, 72),
        horizontal_line(60, 71),
        horizontal_line(63, 70),
        horizontal_line(66, 69),
    };

    constexpr const horizontal_line frame_150_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(69, 131),
    };

    constexpr const horizontal_line frame_150_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(69, 69),
        horizontal_line(69, 71),
        horizontal_line(69, 74),
        horizontal_line(69, 76),
        horizontal_line(69, 78),
        horizontal_line(69, 81),
        horizontal_line(69, 83),
        horizontal_line(69, 85),
        horizontal_line(69, 88),
        horizontal_line(69, 90),
        horizontal_line(69, 92),
        horizontal_line(69, 95),
        horizontal_line(69, 97),
        horizontal_line(69, 99),
        horizontal_line(69, 102),
        horizontal_line(69, 104),
        horizontal_line(69, 106),
        horizontal_line(69, 109),
        horizontal_line(69, 111),
        horizontal_line(69, 114),
        horizontal_line(69, 116),
        horizontal_line(69, 118),
        horizontal_line(69, 121),
        horizontal_line(69, 123),
        horizontal_line(69, 125),
        horizontal_line(69, 128),
        horizontal_line(69, 130),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 131),
        horizontal_line(71, 129),
        horizontal_line(71, 127),
        horizontal_line(71, 125),
        horizontal_line(71, 123),
        horizontal_line(71, 121),
        horizontal_line(71, 119),
        horizontal_line(71, 117),
        horizontal_line(71, 115),
        horizontal_line(71, 113),
        horizontal_line(71, 111),
        horizontal_line(71, 109),
        horizontal_line(71, 108),
        horizontal_line(71, 106),
        horizontal_line(71, 104),
        horizontal_line(71, 102),
        horizontal_line(71, 100),
        horizontal_line(71, 98),
        horizontal_line(71, 96),
        horizontal_line(71, 94),
        horizontal_line(71, 92),
        horizontal_line(71, 90),
        horizontal_line(71, 88),
        horizontal_line(71, 86),
        horizontal_line(71, 84),
        horizontal_line(71, 82),
        horizontal_line(71, 80),
        horizontal_line(71, 78),
        horizontal_line(71, 76),
        horizontal_line(71, 74),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_150_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(67, 73),
        horizontal_line(64, 75),
        horizontal_line(61, 77),
        horizontal_line(58, 79),
        horizontal_line(54, 81),
        horizontal_line(51, 83),
        horizontal_line(48, 85),
        horizontal_line(45, 87),
        horizontal_line(41, 89),
        horizontal_line(38, 91),
        horizontal_line(35, 93),
        horizontal_line(32, 94),
        horizontal_line(29, 91),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_150_shape_group_0_shapes[] = {
        shape(frame_150_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_150_shape_group_0_shape_1_horizontal_lines, 18, 3),
        shape(frame_150_shape_group_0_shape_2_horizontal_lines, 19, 1),
        shape(frame_150_shape_group_0_shape_3_horizontal_lines, 125, 8),
    };

    constexpr const horizontal_line frame_150_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(82, 88),
        horizontal_line(84, 86),
    };

    constexpr const horizontal_line frame_150_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(131, 162),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
    };

    constexpr const horizontal_line frame_150_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_150_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(115, 176),
        horizontal_line(117, 176),
        horizontal_line(119, 177),
        horizontal_line(122, 178),
        horizontal_line(124, 179),
        horizontal_line(126, 177),
    };

    constexpr const horizontal_line frame_150_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(174, 175),
        horizontal_line(172, 174),
        horizontal_line(170, 172),
        horizontal_line(168, 171),
        horizontal_line(167, 170),
        horizontal_line(165, 169),
        horizontal_line(163, 167),
        horizontal_line(161, 166),
        horizontal_line(159, 165),
        horizontal_line(157, 164),
        horizontal_line(156, 162),
        horizontal_line(132, 161),
        horizontal_line(132, 160),
        horizontal_line(132, 159),
        horizontal_line(132, 156),
        horizontal_line(132, 154),
        horizontal_line(132, 153),
        horizontal_line(132, 153),
        horizontal_line(132, 152),
        horizontal_line(132, 152),
        horizontal_line(132, 152),
        horizontal_line(132, 152),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 151),
        horizontal_line(132, 150),
        horizontal_line(132, 150),
        horizontal_line(132, 150),
        horizontal_line(132, 150),
        horizontal_line(132, 149),
        horizontal_line(132, 149),
        horizontal_line(132, 149),
        horizontal_line(132, 149),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 148),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(132, 145),
        horizontal_line(132, 143),
        horizontal_line(132, 141),
        horizontal_line(133, 139),
        horizontal_line(133, 137),
        horizontal_line(133, 135),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_150_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(197, 230),
        horizontal_line(203, 232),
        horizontal_line(209, 235),
        horizontal_line(215, 238),
        horizontal_line(221, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(94, 95),
        horizontal_line(91, 97),
        horizontal_line(87, 99),
        horizontal_line(84, 101),
        horizontal_line(81, 103),
        horizontal_line(78, 105),
        horizontal_line(74, 107),
        horizontal_line(71, 109),
        horizontal_line(68, 111),
        horizontal_line(65, 113),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
        horizontal_line(62, 121),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_150_shape_group_1_shapes[] = {
        shape(frame_150_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_150_shape_group_1_shape_1_horizontal_lines, 2, 3),
        shape(frame_150_shape_group_1_shape_2_horizontal_lines, 30, 1),
        shape(frame_150_shape_group_1_shape_3_horizontal_lines, 32, 3),
        shape(frame_150_shape_group_1_shape_4_horizontal_lines, 44, 1),
        shape(frame_150_shape_group_1_shape_5_horizontal_lines, 94, 8),
        shape(frame_150_shape_group_1_shape_6_horizontal_lines, 137, 8),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(89, 150),
        horizontal_line(87, 149),
        horizontal_line(148, 151),
        horizontal_line(147, 152),
        horizontal_line(146, 152),
        horizontal_line(145, 153),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(142, 155),
        horizontal_line(141, 156),
        horizontal_line(139, 156),
        horizontal_line(138, 157),
        horizontal_line(137, 158),
        horizontal_line(136, 158),
        horizontal_line(135, 159),
        horizontal_line(134, 160),
        horizontal_line(133, 161),
        horizontal_line(132, 161),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 163),
        horizontal_line(134, 163),
        horizontal_line(137, 164),
        horizontal_line(139, 165),
        horizontal_line(141, 165),
        horizontal_line(144, 166),
        horizontal_line(146, 167),
        horizontal_line(148, 167),
        horizontal_line(151, 168),
        horizontal_line(153, 169),
        horizontal_line(155, 170),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(162, 172),
        horizontal_line(165, 172),
        horizontal_line(167, 173),
        horizontal_line(169, 174),
        horizontal_line(172, 174),
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(129, 175),
        horizontal_line(131, 173),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(131, 135),
        horizontal_line(131, 137),
        horizontal_line(131, 139),
        horizontal_line(131, 142),
        horizontal_line(131, 144),
        horizontal_line(131, 146),
        horizontal_line(131, 149),
        horizontal_line(132, 151),
        horizontal_line(132, 154),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(153, 153),
        horizontal_line(153, 154),
        horizontal_line(153, 154),
        horizontal_line(153, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 158),
        horizontal_line(151, 159),
        horizontal_line(152, 152),
        horizontal_line(159, 196),
        horizontal_line(159, 196),
        horizontal_line(159, 195),
        horizontal_line(158, 195),
        horizontal_line(158, 195),
        horizontal_line(149, 195),
        horizontal_line(149, 197),
        horizontal_line(149, 200),
        horizontal_line(148, 202),
        horizontal_line(148, 205),
        horizontal_line(148, 207),
        horizontal_line(148, 210),
        horizontal_line(154, 212),
        horizontal_line(160, 215),
        horizontal_line(166, 217),
        horizontal_line(172, 220),
        horizontal_line(178, 222),
        horizontal_line(184, 225),
        horizontal_line(190, 227),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 133),
        horizontal_line(124, 135),
        horizontal_line(124, 137),
        horizontal_line(124, 140),
    };

    constexpr const shape frame_150_shape_group_2_shapes[] = {
        shape(frame_150_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_150_shape_group_2_shape_1_horizontal_lines, 18, 8),
        shape(frame_150_shape_group_2_shape_2_horizontal_lines, 19, 3),
        shape(frame_150_shape_group_2_shape_3_horizontal_lines, 38, 8),
        shape(frame_150_shape_group_2_shape_4_horizontal_lines, 44, 3),
        shape(frame_150_shape_group_2_shape_5_horizontal_lines, 46, 1),
        shape(frame_150_shape_group_2_shape_6_horizontal_lines, 56, 8),
        shape(frame_150_shape_group_2_shape_7_horizontal_lines, 94, 9),
        shape(frame_150_shape_group_2_shape_8_horizontal_lines, 152, 8),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(151, 159),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(149, 150),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(152, 158),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(154, 157),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(156, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(158, 160),
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(160, 160),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(158, 170),
        horizontal_line(160, 171),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(133, 171),
        horizontal_line(136, 169),
        horizontal_line(138, 167),
        horizontal_line(140, 166),
        horizontal_line(143, 164),
        horizontal_line(145, 162),
        horizontal_line(147, 160),
        horizontal_line(150, 158),
        horizontal_line(152, 156),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(198, 226),
        horizontal_line(199, 213),
        horizontal_line(200, 200),
        horizontal_line(196, 198),
        horizontal_line(191, 198),
        horizontal_line(186, 198),
        horizontal_line(181, 197),
        horizontal_line(176, 197),
        horizontal_line(171, 197),
        horizontal_line(166, 197),
        horizontal_line(161, 196),
        horizontal_line(159, 196),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(151, 158),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(196, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(210, 210),
    };

    constexpr const horizontal_line frame_150_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_150_shape_group_3_shapes[] = {
        shape(frame_150_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_150_shape_group_3_shape_1_horizontal_lines, 1, 3),
        shape(frame_150_shape_group_3_shape_2_horizontal_lines, 2, 7),
        shape(frame_150_shape_group_3_shape_3_horizontal_lines, 8, 8),
        shape(frame_150_shape_group_3_shape_4_horizontal_lines, 19, 8),
        shape(frame_150_shape_group_3_shape_5_horizontal_lines, 30, 3),
        shape(frame_150_shape_group_3_shape_6_horizontal_lines, 32, 8),
        shape(frame_150_shape_group_3_shape_7_horizontal_lines, 44, 8),
        shape(frame_150_shape_group_3_shape_8_horizontal_lines, 46, 3),
        shape(frame_150_shape_group_3_shape_9_horizontal_lines, 63, 8),
        shape(frame_150_shape_group_3_shape_10_horizontal_lines, 75, 9),
        shape(frame_150_shape_group_3_shape_11_horizontal_lines, 86, 8),
        shape(frame_150_shape_group_3_shape_12_horizontal_lines, 87, 9),
    };

    constexpr const horizontal_line frame_150_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(160, 161),
    };

    constexpr const horizontal_line frame_150_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(151, 158),
    };

    constexpr const horizontal_line frame_150_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(188, 235),
        horizontal_line(187, 236),
        horizontal_line(186, 237),
        horizontal_line(186, 238),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(214, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(153, 158),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const shape frame_150_shape_group_4_shapes[] = {
        shape(frame_150_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_150_shape_group_4_shape_1_horizontal_lines, 1, 7),
        shape(frame_150_shape_group_4_shape_2_horizontal_lines, 2, 8),
        shape(frame_150_shape_group_4_shape_3_horizontal_lines, 25, 8),
        shape(frame_150_shape_group_4_shape_4_horizontal_lines, 46, 8),
        shape(frame_150_shape_group_4_shape_5_horizontal_lines, 63, 9),
        shape(frame_150_shape_group_4_shape_6_horizontal_lines, 86, 9),
    };

    constexpr const horizontal_line frame_150_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(193, 229),
        horizontal_line(159, 160),
        horizontal_line(191, 230),
        horizontal_line(191, 231),
        horizontal_line(190, 232),
        horizontal_line(189, 233),
        horizontal_line(189, 234),
        horizontal_line(188, 234),
    };

    constexpr const horizontal_line frame_150_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_150_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(150, 150),
    };

    constexpr const shape frame_150_shape_group_5_shapes[] = {
        shape(frame_150_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_150_shape_group_5_shape_1_horizontal_lines, 30, 8),
        shape(frame_150_shape_group_5_shape_2_horizontal_lines, 74, 9),
        shape(frame_150_shape_group_5_shape_3_horizontal_lines, 75, 2),
    };

    constexpr const horizontal_line frame_150_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(192, 229),
    };

    constexpr const horizontal_line frame_150_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(151, 151),
    };

    constexpr const shape frame_150_shape_group_6_shapes[] = {
        shape(frame_150_shape_group_6_shape_0_horizontal_lines, 1, 8),
        shape(frame_150_shape_group_6_shape_1_horizontal_lines, 74, 2),
    };

    constexpr const shape_group frame_150_shape_groups[] = {
        shape_group(frame_150_shape_group_0_shapes),
        shape_group(frame_150_shape_group_1_shapes),
        shape_group(frame_150_shape_group_2_shapes),
        shape_group(frame_150_shape_group_3_shapes),
        shape_group(frame_150_shape_group_4_shapes),
        shape_group(frame_150_shape_group_5_shapes),
        shape_group(frame_150_shape_group_6_shapes),
    };

    constexpr const frame frame_150_impl(frame_150_colors, frame_150_shape_groups);
} 

const frame& frame_150()
{
    return frame_150_impl;
}

namespace
{
    constexpr const bn::color frame_151_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 20, 28),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_151_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(55, 117),
        horizontal_line(58, 120),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(79, 141),
        horizontal_line(82, 144),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(118, 169),
        horizontal_line(121, 167),
        horizontal_line(124, 165),
        horizontal_line(127, 164),
        horizontal_line(130, 162),
        horizontal_line(133, 160),
        horizontal_line(136, 159),
        horizontal_line(139, 157),
        horizontal_line(142, 155),
        horizontal_line(145, 154),
        horizontal_line(148, 152),
        horizontal_line(151, 151),
        horizontal_line(167, 169),
        horizontal_line(167, 168),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_151_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(150, 151),
        horizontal_line(150, 151),
        horizontal_line(150, 152),
        horizontal_line(150, 152),
        horizontal_line(149, 152),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_151_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_151_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(148, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(147, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(145, 153),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 161),
        horizontal_line(145, 152),
        horizontal_line(144, 150),
        horizontal_line(144, 149),
        horizontal_line(144, 148),
        horizontal_line(144, 147),
        horizontal_line(143, 145),
        horizontal_line(143, 144),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_151_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(143, 205),
    };

    constexpr const horizontal_line frame_151_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(139, 146),
        horizontal_line(137, 151),
        horizontal_line(134, 156),
        horizontal_line(132, 161),
        horizontal_line(130, 166),
        horizontal_line(127, 171),
        horizontal_line(125, 175),
        horizontal_line(123, 180),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(108, 170),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(59, 121),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_151_shape_group_0_shapes[] = {
        shape(frame_151_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_151_shape_group_0_shape_1_horizontal_lines, 55, 7),
        shape(frame_151_shape_group_0_shape_2_horizontal_lines, 63, 6),
        shape(frame_151_shape_group_0_shape_3_horizontal_lines, 67, 7),
        shape(frame_151_shape_group_0_shape_4_horizontal_lines, 89, 8),
        shape(frame_151_shape_group_0_shape_5_horizontal_lines, 90, 7),
    };

    constexpr const horizontal_line frame_151_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 170),
        horizontal_line(114, 171),
        horizontal_line(117, 172),
        horizontal_line(120, 173),
        horizontal_line(123, 174),
        horizontal_line(126, 175),
        horizontal_line(129, 176),
        horizontal_line(132, 176),
        horizontal_line(135, 177),
        horizontal_line(138, 178),
        horizontal_line(141, 179),
        horizontal_line(144, 180),
        horizontal_line(147, 181),
        horizontal_line(150, 182),
        horizontal_line(153, 183),
        horizontal_line(156, 183),
        horizontal_line(159, 182),
        horizontal_line(162, 181),
        horizontal_line(165, 181),
        horizontal_line(168, 180),
        horizontal_line(171, 179),
        horizontal_line(174, 179),
        horizontal_line(177, 178),
        horizontal_line(171, 177),
        horizontal_line(171, 176),
        horizontal_line(170, 176),
        horizontal_line(170, 175),
        horizontal_line(170, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 173),
        horizontal_line(169, 172),
        horizontal_line(169, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 170),
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_151_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(170, 207),
        horizontal_line(169, 208),
        horizontal_line(168, 209),
        horizontal_line(151, 151),
        horizontal_line(165, 210),
        horizontal_line(163, 211),
        horizontal_line(162, 212),
        horizontal_line(163, 213),
        horizontal_line(157, 157),
        horizontal_line(155, 157),
        horizontal_line(155, 156),
        horizontal_line(165, 216),
        horizontal_line(149, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(168, 199),
        horizontal_line(169, 195),
        horizontal_line(169, 190),
        horizontal_line(170, 185),
        horizontal_line(170, 181),
        horizontal_line(171, 176),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_151_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(171, 214),
        horizontal_line(171, 213),
        horizontal_line(170, 213),
        horizontal_line(170, 213),
        horizontal_line(170, 213),
        horizontal_line(169, 212),
        horizontal_line(169, 212),
    };

    constexpr const horizontal_line frame_151_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(154, 168),
    };

    constexpr const horizontal_line frame_151_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(151, 212),
        horizontal_line(150, 212),
        horizontal_line(149, 211),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(205, 228),
        horizontal_line(143, 205),
        horizontal_line(147, 209),
        horizontal_line(152, 214),
        horizontal_line(157, 219),
        horizontal_line(162, 224),
        horizontal_line(167, 229),
        horizontal_line(172, 234),
        horizontal_line(176, 238),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(182, 185),
        horizontal_line(180, 190),
        horizontal_line(177, 195),
        horizontal_line(175, 200),
        horizontal_line(173, 205),
        horizontal_line(170, 209),
        horizontal_line(168, 214),
        horizontal_line(166, 219),
        horizontal_line(163, 224),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(121, 183),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_151_shape_group_1_shapes[] = {
        shape(frame_151_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_151_shape_group_1_shape_1_horizontal_lines, 51, 7),
        shape(frame_151_shape_group_1_shape_2_horizontal_lines, 74, 8),
        shape(frame_151_shape_group_1_shape_3_horizontal_lines, 81, 7),
        shape(frame_151_shape_group_1_shape_4_horizontal_lines, 82, 8),
        shape(frame_151_shape_group_1_shape_5_horizontal_lines, 99, 7),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(126, 157),
        horizontal_line(128, 157),
        horizontal_line(131, 158),
        horizontal_line(134, 159),
        horizontal_line(137, 160),
        horizontal_line(140, 161),
        horizontal_line(143, 162),
        horizontal_line(146, 163),
        horizontal_line(149, 163),
        horizontal_line(152, 164),
        horizontal_line(155, 165),
        horizontal_line(158, 166),
        horizontal_line(161, 167),
        horizontal_line(164, 168),
        horizontal_line(167, 169),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(171, 185),
        horizontal_line(172, 185),
        horizontal_line(173, 185),
        horizontal_line(174, 185),
        horizontal_line(175, 185),
        horizontal_line(176, 184),
        horizontal_line(177, 184),
        horizontal_line(177, 184),
        horizontal_line(178, 184),
        horizontal_line(179, 184),
        horizontal_line(180, 184),
        horizontal_line(181, 184),
        horizontal_line(182, 184),
        horizontal_line(183, 184),
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(184, 192),
        horizontal_line(183, 192),
        horizontal_line(182, 193),
        horizontal_line(182, 194),
        horizontal_line(181, 195),
        horizontal_line(180, 195),
        horizontal_line(180, 196),
        horizontal_line(179, 197),
        horizontal_line(178, 198),
        horizontal_line(177, 199),
        horizontal_line(177, 199),
        horizontal_line(176, 200),
        horizontal_line(175, 201),
        horizontal_line(175, 202),
        horizontal_line(174, 202),
        horizontal_line(173, 203),
        horizontal_line(172, 204),
        horizontal_line(172, 205),
        horizontal_line(171, 206),
        horizontal_line(170, 206),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(168, 209),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(161, 161),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(163, 213),
        horizontal_line(164, 214),
        horizontal_line(165, 215),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(154, 155),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(166, 217),
        horizontal_line(166, 213),
        horizontal_line(167, 208),
        horizontal_line(167, 204),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(159, 167),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 170),
        horizontal_line(163, 171),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(162, 170),
        horizontal_line(162, 170),
        horizontal_line(161, 169),
        horizontal_line(161, 169),
        horizontal_line(160, 169),
        horizontal_line(160, 168),
        horizontal_line(162, 168),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(212, 214),
        horizontal_line(211, 216),
        horizontal_line(210, 219),
        horizontal_line(208, 221),
        horizontal_line(207, 223),
        horizontal_line(206, 226),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(205, 230),
        horizontal_line(209, 233),
        horizontal_line(214, 235),
        horizontal_line(219, 238),
        horizontal_line(224, 239),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(191, 239),
        horizontal_line(196, 239),
        horizontal_line(201, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
        horizontal_line(215, 239),
        horizontal_line(220, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_2_shape_17_horizontal_lines[] = {
        horizontal_line(223, 229),
        horizontal_line(221, 234),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(190, 239),
        horizontal_line(187, 239),
        horizontal_line(185, 239),
        horizontal_line(183, 239),
        horizontal_line(180, 239),
        horizontal_line(178, 239),
        horizontal_line(176, 238),
        horizontal_line(173, 235),
        horizontal_line(171, 233),
        horizontal_line(168, 230),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(157, 219),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_151_shape_group_2_shapes[] = {
        shape(frame_151_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_151_shape_group_2_shape_1_horizontal_lines, 16, 6),
        shape(frame_151_shape_group_2_shape_2_horizontal_lines, 31, 7),
        shape(frame_151_shape_group_2_shape_3_horizontal_lines, 51, 8),
        shape(frame_151_shape_group_2_shape_4_horizontal_lines, 54, 7),
        shape(frame_151_shape_group_2_shape_5_horizontal_lines, 55, 8),
        shape(frame_151_shape_group_2_shape_6_horizontal_lines, 59, 7),
        shape(frame_151_shape_group_2_shape_7_horizontal_lines, 62, 8),
        shape(frame_151_shape_group_2_shape_8_horizontal_lines, 63, 7),
        shape(frame_151_shape_group_2_shape_9_horizontal_lines, 67, 8),
        shape(frame_151_shape_group_2_shape_10_horizontal_lines, 74, 9),
        shape(frame_151_shape_group_2_shape_11_horizontal_lines, 81, 8),
        shape(frame_151_shape_group_2_shape_12_horizontal_lines, 82, 9),
        shape(frame_151_shape_group_2_shape_13_horizontal_lines, 83, 8),
        shape(frame_151_shape_group_2_shape_14_horizontal_lines, 89, 9),
        shape(frame_151_shape_group_2_shape_15_horizontal_lines, 90, 8),
        shape(frame_151_shape_group_2_shape_16_horizontal_lines, 99, 8),
        shape(frame_151_shape_group_2_shape_17_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(158, 187),
        horizontal_line(158, 186),
        horizontal_line(159, 186),
        horizontal_line(160, 186),
        horizontal_line(161, 186),
        horizontal_line(162, 186),
        horizontal_line(163, 186),
        horizontal_line(164, 186),
        horizontal_line(164, 186),
        horizontal_line(165, 186),
        horizontal_line(166, 186),
        horizontal_line(167, 185),
        horizontal_line(168, 185),
        horizontal_line(169, 185),
        horizontal_line(170, 185),
        horizontal_line(171, 185),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(186, 187),
        horizontal_line(186, 186),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(185, 186),
        horizontal_line(185, 187),
        horizontal_line(185, 188),
        horizontal_line(185, 188),
        horizontal_line(185, 189),
        horizontal_line(185, 190),
        horizontal_line(185, 191),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(158, 162),
        horizontal_line(158, 163),
        horizontal_line(154, 154),
        horizontal_line(157, 164),
        horizontal_line(157, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 166),
        horizontal_line(159, 166),
        horizontal_line(200, 215),
        horizontal_line(196, 215),
        horizontal_line(191, 215),
        horizontal_line(186, 215),
        horizontal_line(182, 214),
        horizontal_line(177, 214),
        horizontal_line(173, 214),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(169, 212),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 239),
        horizontal_line(207, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(197, 239),
        horizontal_line(195, 239),
        horizontal_line(193, 239),
        horizontal_line(190, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_151_shape_group_3_shapes[] = {
        shape(frame_151_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_151_shape_group_3_shape_1_horizontal_lines, 16, 7),
        shape(frame_151_shape_group_3_shape_2_horizontal_lines, 20, 8),
        shape(frame_151_shape_group_3_shape_3_horizontal_lines, 21, 7),
        shape(frame_151_shape_group_3_shape_4_horizontal_lines, 22, 8),
        shape(frame_151_shape_group_3_shape_5_horizontal_lines, 23, 7),
        shape(frame_151_shape_group_3_shape_6_horizontal_lines, 31, 8),
        shape(frame_151_shape_group_3_shape_7_horizontal_lines, 54, 8),
        shape(frame_151_shape_group_3_shape_8_horizontal_lines, 57, 8),
        shape(frame_151_shape_group_3_shape_9_horizontal_lines, 74, 9),
        shape(frame_151_shape_group_3_shape_10_horizontal_lines, 81, 8),
        shape(frame_151_shape_group_3_shape_11_horizontal_lines, 83, 9),
        shape(frame_151_shape_group_3_shape_12_horizontal_lines, 90, 9),
        shape(frame_151_shape_group_3_shape_13_horizontal_lines, 108, 8),
        shape(frame_151_shape_group_3_shape_14_horizontal_lines, 128, 7),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(188, 194),
        horizontal_line(187, 193),
        horizontal_line(187, 193),
        horizontal_line(187, 192),
        horizontal_line(187, 192),
        horizontal_line(187, 191),
        horizontal_line(187, 191),
        horizontal_line(187, 191),
        horizontal_line(187, 190),
        horizontal_line(187, 190),
        horizontal_line(187, 189),
        horizontal_line(186, 189),
        horizontal_line(186, 189),
        horizontal_line(186, 188),
        horizontal_line(186, 188),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(157, 164),
        horizontal_line(217, 238),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(214, 216),
        horizontal_line(209, 216),
        horizontal_line(205, 216),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(154, 158),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_151_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const shape frame_151_shape_group_4_shapes[] = {
        shape(frame_151_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_151_shape_group_4_shape_1_horizontal_lines, 16, 8),
        shape(frame_151_shape_group_4_shape_2_horizontal_lines, 21, 8),
        shape(frame_151_shape_group_4_shape_3_horizontal_lines, 22, 1),
        shape(frame_151_shape_group_4_shape_4_horizontal_lines, 23, 8),
        shape(frame_151_shape_group_4_shape_5_horizontal_lines, 59, 8),
        shape(frame_151_shape_group_4_shape_6_horizontal_lines, 63, 9),
        shape(frame_151_shape_group_4_shape_7_horizontal_lines, 64, 8),
        shape(frame_151_shape_group_4_shape_8_horizontal_lines, 67, 9),
        shape(frame_151_shape_group_4_shape_9_horizontal_lines, 74, 5),
        shape(frame_151_shape_group_4_shape_10_horizontal_lines, 76, 4),
        shape(frame_151_shape_group_4_shape_11_horizontal_lines, 81, 9),
    };

    constexpr const horizontal_line frame_151_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_151_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_151_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_151_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(159, 160),
    };

    constexpr const shape frame_151_shape_group_5_shapes[] = {
        shape(frame_151_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_151_shape_group_5_shape_1_horizontal_lines, 61, 8),
        shape(frame_151_shape_group_5_shape_2_horizontal_lines, 62, 1),
        shape(frame_151_shape_group_5_shape_3_horizontal_lines, 64, 9),
        shape(frame_151_shape_group_5_shape_4_horizontal_lines, 67, 11),
        shape(frame_151_shape_group_5_shape_5_horizontal_lines, 71, 5),
        shape(frame_151_shape_group_5_shape_6_horizontal_lines, 74, 4),
    };

    constexpr const horizontal_line frame_151_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_151_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_151_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_151_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_151_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(159, 160),
    };

    constexpr const horizontal_line frame_151_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(161, 161),
    };

    constexpr const shape frame_151_shape_group_6_shapes[] = {
        shape(frame_151_shape_group_6_shape_0_horizontal_lines, 62, 9),
        shape(frame_151_shape_group_6_shape_1_horizontal_lines, 64, 12),
        shape(frame_151_shape_group_6_shape_2_horizontal_lines, 65, 10),
        shape(frame_151_shape_group_6_shape_3_horizontal_lines, 67, 5),
        shape(frame_151_shape_group_6_shape_4_horizontal_lines, 71, 4),
        shape(frame_151_shape_group_6_shape_5_horizontal_lines, 74, 2),
    };

    constexpr const horizontal_line frame_151_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_151_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_151_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(161, 162),
    };

    constexpr const shape frame_151_shape_group_7_shapes[] = {
        shape(frame_151_shape_group_7_shape_0_horizontal_lines, 66, 11),
        shape(frame_151_shape_group_7_shape_1_horizontal_lines, 68, 4),
        shape(frame_151_shape_group_7_shape_2_horizontal_lines, 72, 2),
    };

    constexpr const horizontal_line frame_151_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(160, 160),
    };

    constexpr const shape frame_151_shape_group_8_shapes[] = {
        shape(frame_151_shape_group_8_shape_0_horizontal_lines, 70, 2),
    };

    constexpr const shape_group frame_151_shape_groups[] = {
        shape_group(frame_151_shape_group_0_shapes),
        shape_group(frame_151_shape_group_1_shapes),
        shape_group(frame_151_shape_group_2_shapes),
        shape_group(frame_151_shape_group_3_shapes),
        shape_group(frame_151_shape_group_4_shapes),
        shape_group(frame_151_shape_group_5_shapes),
        shape_group(frame_151_shape_group_6_shapes),
        shape_group(frame_151_shape_group_7_shapes),
        shape_group(frame_151_shape_group_8_shapes),
    };

    constexpr const frame frame_151_impl(frame_151_colors, frame_151_shape_groups);
} 

const frame& frame_151()
{
    return frame_151_impl;
}

namespace
{
    constexpr const bn::color frame_152_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(8, 20, 28),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_152_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(11, 73),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(85, 146),
        horizontal_line(89, 145),
        horizontal_line(93, 144),
        horizontal_line(96, 143),
        horizontal_line(100, 141),
        horizontal_line(103, 140),
        horizontal_line(107, 139),
        horizontal_line(110, 138),
        horizontal_line(114, 137),
        horizontal_line(117, 135),
        horizontal_line(121, 134),
        horizontal_line(124, 133),
        horizontal_line(128, 132),
        horizontal_line(173, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 173),
        horizontal_line(172, 173),
        horizontal_line(172, 173),
        horizontal_line(172, 173),
        horizontal_line(172, 172),
        horizontal_line(172, 172),
        horizontal_line(172, 172),
        horizontal_line(172, 172),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_152_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(129, 146),
    };

    constexpr const horizontal_line frame_152_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(168, 170),
        horizontal_line(166, 169),
        horizontal_line(163, 168),
        horizontal_line(161, 167),
        horizontal_line(159, 166),
        horizontal_line(157, 165),
        horizontal_line(156, 164),
        horizontal_line(156, 163),
        horizontal_line(156, 162),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 156),
        horizontal_line(158, 158),
        horizontal_line(158, 161),
        horizontal_line(157, 160),
        horizontal_line(157, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 162),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_152_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(124, 155),
        horizontal_line(124, 154),
        horizontal_line(124, 154),
        horizontal_line(124, 161),
        horizontal_line(124, 169),
        horizontal_line(123, 177),
        horizontal_line(123, 153),
        horizontal_line(123, 151),
        horizontal_line(123, 149),
        horizontal_line(123, 147),
        horizontal_line(122, 145),
        horizontal_line(122, 143),
        horizontal_line(122, 141),
        horizontal_line(122, 139),
        horizontal_line(122, 137),
        horizontal_line(121, 135),
        horizontal_line(121, 133),
        horizontal_line(121, 131),
        horizontal_line(121, 129),
        horizontal_line(121, 127),
        horizontal_line(120, 125),
        horizontal_line(120, 123),
        horizontal_line(120, 121),
    };

    constexpr const horizontal_line frame_152_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(120, 182),
    };

    constexpr const horizontal_line frame_152_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(116, 122),
        horizontal_line(113, 125),
        horizontal_line(111, 129),
        horizontal_line(108, 132),
        horizontal_line(105, 135),
        horizontal_line(103, 139),
        horizontal_line(100, 142),
        horizontal_line(97, 145),
        horizontal_line(95, 149),
        horizontal_line(92, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(71, 133),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(63, 125),
        horizontal_line(60, 122),
        horizontal_line(58, 120),
        horizontal_line(55, 117),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_152_shape_group_0_shapes[] = {
        shape(frame_152_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_152_shape_group_0_shape_1_horizontal_lines, 52, 7),
        shape(frame_152_shape_group_0_shape_2_horizontal_lines, 53, 3),
        shape(frame_152_shape_group_0_shape_3_horizontal_lines, 76, 7),
        shape(frame_152_shape_group_0_shape_4_horizontal_lines, 99, 8),
        shape(frame_152_shape_group_0_shape_5_horizontal_lines, 100, 7),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(176, 178),
        horizontal_line(175, 178),
        horizontal_line(175, 178),
        horizontal_line(175, 178),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 174),
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(175, 220),
        horizontal_line(131, 131),
        horizontal_line(131, 132),
        horizontal_line(131, 134),
        horizontal_line(131, 135),
        horizontal_line(130, 137),
        horizontal_line(130, 138),
        horizontal_line(130, 140),
        horizontal_line(130, 141),
        horizontal_line(130, 143),
        horizontal_line(129, 144),
        horizontal_line(170, 230),
        horizontal_line(129, 147),
        horizontal_line(129, 149),
        horizontal_line(129, 150),
        horizontal_line(128, 152),
        horizontal_line(128, 153),
        horizontal_line(128, 155),
        horizontal_line(128, 155),
        horizontal_line(128, 155),
        horizontal_line(127, 155),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(163, 165),
        horizontal_line(163, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 163),
        horizontal_line(160, 162),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(159, 162),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(125, 156),
        horizontal_line(125, 155),
        horizontal_line(125, 155),
        horizontal_line(125, 155),
        horizontal_line(158, 158),
        horizontal_line(156, 165),
        horizontal_line(161, 170),
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(178, 232),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(155, 190),
        horizontal_line(180, 203),
        horizontal_line(206, 216),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(182, 239),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(130, 192),
        horizontal_line(133, 195),
        horizontal_line(136, 198),
        horizontal_line(140, 202),
        horizontal_line(143, 205),
        horizontal_line(146, 208),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
    };

    constexpr const horizontal_line frame_152_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(151, 155),
        horizontal_line(149, 159),
        horizontal_line(146, 162),
        horizontal_line(143, 165),
        horizontal_line(141, 169),
        horizontal_line(138, 172),
        horizontal_line(136, 175),
        horizontal_line(133, 179),
        horizontal_line(130, 182),
        horizontal_line(128, 185),
        horizontal_line(125, 187),
        horizontal_line(122, 184),
        horizontal_line(120, 182),
        horizontal_line(117, 179),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(96, 158),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(88, 150),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_152_shape_group_1_shapes[] = {
        shape(frame_152_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_152_shape_group_1_shape_1_horizontal_lines, 41, 7),
        shape(frame_152_shape_group_1_shape_2_horizontal_lines, 62, 6),
        shape(frame_152_shape_group_1_shape_3_horizontal_lines, 68, 3),
        shape(frame_152_shape_group_1_shape_4_horizontal_lines, 69, 6),
        shape(frame_152_shape_group_1_shape_5_horizontal_lines, 71, 3),
        shape(frame_152_shape_group_1_shape_6_horizontal_lines, 72, 7),
        shape(frame_152_shape_group_1_shape_7_horizontal_lines, 80, 8),
        shape(frame_152_shape_group_1_shape_8_horizontal_lines, 82, 7),
        shape(frame_152_shape_group_1_shape_9_horizontal_lines, 85, 8),
        shape(frame_152_shape_group_1_shape_10_horizontal_lines, 111, 7),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 178),
        horizontal_line(125, 178),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(101, 162),
        horizontal_line(105, 161),
        horizontal_line(109, 160),
        horizontal_line(112, 158),
        horizontal_line(116, 157),
        horizontal_line(119, 156),
        horizontal_line(123, 155),
        horizontal_line(126, 154),
        horizontal_line(130, 152),
        horizontal_line(133, 151),
        horizontal_line(137, 150),
        horizontal_line(140, 149),
        horizontal_line(144, 147),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(183, 209),
        horizontal_line(182, 210),
        horizontal_line(182, 211),
        horizontal_line(181, 211),
        horizontal_line(181, 212),
        horizontal_line(180, 213),
        horizontal_line(179, 214),
        horizontal_line(179, 215),
        horizontal_line(178, 216),
        horizontal_line(178, 217),
        horizontal_line(177, 218),
        horizontal_line(177, 219),
        horizontal_line(176, 220),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(175, 221),
        horizontal_line(174, 222),
        horizontal_line(174, 223),
        horizontal_line(174, 224),
        horizontal_line(174, 225),
        horizontal_line(173, 226),
        horizontal_line(173, 227),
        horizontal_line(173, 228),
        horizontal_line(173, 229),
        horizontal_line(173, 229),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(171, 231),
        horizontal_line(171, 232),
        horizontal_line(172, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(166, 166),
        horizontal_line(165, 165),
        horizontal_line(164, 165),
        horizontal_line(175, 237),
        horizontal_line(127, 155),
        horizontal_line(127, 155),
        horizontal_line(127, 155),
        horizontal_line(127, 155),
        horizontal_line(126, 155),
        horizontal_line(126, 155),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(126, 155),
        horizontal_line(126, 155),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(180, 234),
        horizontal_line(180, 234),
        horizontal_line(179, 234),
        horizontal_line(155, 155),
        horizontal_line(155, 160),
        horizontal_line(162, 165),
        horizontal_line(178, 232),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(152, 179),
        horizontal_line(150, 205),
        horizontal_line(210, 231),
        horizontal_line(208, 233),
        horizontal_line(206, 235),
        horizontal_line(204, 237),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(198, 239),
        horizontal_line(196, 239),
        horizontal_line(194, 239),
        horizontal_line(192, 239),
        horizontal_line(190, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(156, 218),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(187, 189),
        horizontal_line(184, 192),
        horizontal_line(182, 195),
        horizontal_line(179, 199),
        horizontal_line(176, 202),
        horizontal_line(174, 205),
        horizontal_line(171, 209),
        horizontal_line(168, 212),
        horizontal_line(166, 215),
        horizontal_line(163, 219),
        horizontal_line(161, 222),
        horizontal_line(158, 220),
        horizontal_line(155, 217),
        horizontal_line(153, 215),
        horizontal_line(150, 212),
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_152_shape_group_2_shapes[] = {
        shape(frame_152_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_152_shape_group_2_shape_1_horizontal_lines, 28, 7),
        shape(frame_152_shape_group_2_shape_2_horizontal_lines, 41, 8),
        shape(frame_152_shape_group_2_shape_3_horizontal_lines, 42, 7),
        shape(frame_152_shape_group_2_shape_4_horizontal_lines, 52, 8),
        shape(frame_152_shape_group_2_shape_5_horizontal_lines, 53, 7),
        shape(frame_152_shape_group_2_shape_6_horizontal_lines, 68, 6),
        shape(frame_152_shape_group_2_shape_7_horizontal_lines, 69, 7),
        shape(frame_152_shape_group_2_shape_8_horizontal_lines, 71, 6),
        shape(frame_152_shape_group_2_shape_9_horizontal_lines, 72, 7),
        shape(frame_152_shape_group_2_shape_10_horizontal_lines, 73, 8),
        shape(frame_152_shape_group_2_shape_11_horizontal_lines, 81, 9),
        shape(frame_152_shape_group_2_shape_12_horizontal_lines, 82, 8),
        shape(frame_152_shape_group_2_shape_13_horizontal_lines, 100, 8),
        shape(frame_152_shape_group_2_shape_14_horizontal_lines, 121, 7),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(184, 195),
        horizontal_line(186, 195),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(128, 174),
        horizontal_line(132, 173),
        horizontal_line(135, 172),
        horizontal_line(139, 170),
        horizontal_line(142, 169),
        horizontal_line(146, 168),
        horizontal_line(149, 167),
        horizontal_line(153, 166),
        horizontal_line(156, 164),
        horizontal_line(160, 163),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(191, 197),
        horizontal_line(190, 198),
        horizontal_line(189, 199),
        horizontal_line(189, 200),
        horizontal_line(188, 201),
        horizontal_line(188, 202),
        horizontal_line(187, 202),
        horizontal_line(186, 203),
        horizontal_line(186, 204),
        horizontal_line(185, 205),
        horizontal_line(185, 206),
        horizontal_line(184, 207),
        horizontal_line(184, 208),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(170, 170),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(234, 234),
        horizontal_line(235, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(237, 239),
        horizontal_line(175, 233),
        horizontal_line(176, 228),
        horizontal_line(176, 223),
        horizontal_line(177, 217),
        horizontal_line(177, 212),
        horizontal_line(178, 207),
        horizontal_line(126, 155),
        horizontal_line(179, 196),
        horizontal_line(179, 191),
        horizontal_line(125, 155),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(172, 180),
        horizontal_line(180, 235),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(172, 178),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(179, 233),
        horizontal_line(179, 233),
        horizontal_line(178, 233),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(191, 232),
        horizontal_line(204, 231),
        horizontal_line(217, 231),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(220, 225),
        horizontal_line(217, 229),
        horizontal_line(215, 232),
        horizontal_line(212, 235),
        horizontal_line(209, 239),
        horizontal_line(207, 239),
        horizontal_line(204, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(196, 239),
        horizontal_line(193, 239),
        horizontal_line(191, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_152_shape_group_3_shapes[] = {
        shape(frame_152_shape_group_3_shape_0_horizontal_lines, 0, 3),
        shape(frame_152_shape_group_3_shape_1_horizontal_lines, 3, 7),
        shape(frame_152_shape_group_3_shape_2_horizontal_lines, 5, 3),
        shape(frame_152_shape_group_3_shape_3_horizontal_lines, 15, 7),
        shape(frame_152_shape_group_3_shape_4_horizontal_lines, 28, 8),
        shape(frame_152_shape_group_3_shape_5_horizontal_lines, 42, 8),
        shape(frame_152_shape_group_3_shape_6_horizontal_lines, 53, 8),
        shape(frame_152_shape_group_3_shape_7_horizontal_lines, 56, 7),
        shape(frame_152_shape_group_3_shape_8_horizontal_lines, 72, 8),
        shape(frame_152_shape_group_3_shape_9_horizontal_lines, 74, 9),
        shape(frame_152_shape_group_3_shape_10_horizontal_lines, 77, 8),
        shape(frame_152_shape_group_3_shape_11_horizontal_lines, 80, 9),
        shape(frame_152_shape_group_3_shape_12_horizontal_lines, 82, 8),
        shape(frame_152_shape_group_3_shape_13_horizontal_lines, 85, 9),
        shape(frame_152_shape_group_3_shape_14_horizontal_lines, 111, 8),
        shape(frame_152_shape_group_3_shape_15_horizontal_lines, 121, 8),
        shape(frame_152_shape_group_3_shape_16_horizontal_lines, 132, 7),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(175, 177),
        horizontal_line(176, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(187, 195),
        horizontal_line(189, 194),
        horizontal_line(190, 194),
        horizontal_line(192, 193),
        horizontal_line(193, 193),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(193, 193),
        horizontal_line(192, 194),
        horizontal_line(192, 195),
        horizontal_line(191, 196),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(168, 171),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(235, 236),
        horizontal_line(236, 237),
        horizontal_line(236, 238),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(166, 174),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(169, 177),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(178, 202),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(170, 178),
        horizontal_line(171, 178),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(180, 186),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(182, 235),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(174, 179),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(171, 178),
        horizontal_line(171, 178),
        horizontal_line(171, 177),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_152_shape_group_4_shapes[] = {
        shape(frame_152_shape_group_4_shape_0_horizontal_lines, 0, 6),
        shape(frame_152_shape_group_4_shape_1_horizontal_lines, 3, 8),
        shape(frame_152_shape_group_4_shape_2_horizontal_lines, 5, 7),
        shape(frame_152_shape_group_4_shape_3_horizontal_lines, 10, 8),
        shape(frame_152_shape_group_4_shape_4_horizontal_lines, 11, 7),
        shape(frame_152_shape_group_4_shape_5_horizontal_lines, 15, 8),
        shape(frame_152_shape_group_4_shape_6_horizontal_lines, 54, 8),
        shape(frame_152_shape_group_4_shape_7_horizontal_lines, 58, 7),
        shape(frame_152_shape_group_4_shape_8_horizontal_lines, 61, 8),
        shape(frame_152_shape_group_4_shape_9_horizontal_lines, 68, 7),
        shape(frame_152_shape_group_4_shape_10_horizontal_lines, 69, 8),
        shape(frame_152_shape_group_4_shape_11_horizontal_lines, 71, 7),
        shape(frame_152_shape_group_4_shape_12_horizontal_lines, 72, 8),
        shape(frame_152_shape_group_4_shape_13_horizontal_lines, 73, 9),
        shape(frame_152_shape_group_4_shape_14_horizontal_lines, 82, 9),
        shape(frame_152_shape_group_4_shape_15_horizontal_lines, 132, 8),
    };

    constexpr const horizontal_line frame_152_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(180, 197),
        horizontal_line(181, 196),
        horizontal_line(183, 196),
    };

    constexpr const horizontal_line frame_152_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(167, 172),
        horizontal_line(166, 173),
        horizontal_line(166, 173),
        horizontal_line(166, 174),
        horizontal_line(234, 239),
        horizontal_line(229, 238),
        horizontal_line(224, 238),
        horizontal_line(218, 237),
        horizontal_line(213, 237),
        horizontal_line(208, 237),
        horizontal_line(170, 177),
        horizontal_line(197, 236),
        horizontal_line(192, 236),
        horizontal_line(171, 179),
    };

    constexpr const horizontal_line frame_152_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(164, 170),
        horizontal_line(167, 170),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_152_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_152_shape_group_5_shapes[] = {
        shape(frame_152_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_152_shape_group_5_shape_1_horizontal_lines, 5, 8),
        shape(frame_152_shape_group_5_shape_2_horizontal_lines, 11, 8),
        shape(frame_152_shape_group_5_shape_3_horizontal_lines, 56, 8),
        shape(frame_152_shape_group_5_shape_4_horizontal_lines, 72, 9),
        shape(frame_152_shape_group_5_shape_5_horizontal_lines, 74, 5),
        shape(frame_152_shape_group_5_shape_6_horizontal_lines, 77, 9),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(164, 166),
        horizontal_line(163, 165),
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(203, 236),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(187, 235),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(164, 169),
        horizontal_line(164, 170),
    };

    constexpr const horizontal_line frame_152_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(171, 171),
        horizontal_line(171, 171),
    };

    constexpr const shape frame_152_shape_group_6_shapes[] = {
        shape(frame_152_shape_group_6_shape_0_horizontal_lines, 0, 8),
        shape(frame_152_shape_group_6_shape_1_horizontal_lines, 58, 8),
        shape(frame_152_shape_group_6_shape_2_horizontal_lines, 61, 1),
        shape(frame_152_shape_group_6_shape_3_horizontal_lines, 62, 11),
        shape(frame_152_shape_group_6_shape_4_horizontal_lines, 64, 13),
        shape(frame_152_shape_group_6_shape_5_horizontal_lines, 65, 11),
        shape(frame_152_shape_group_6_shape_6_horizontal_lines, 68, 8),
        shape(frame_152_shape_group_6_shape_7_horizontal_lines, 69, 11),
        shape(frame_152_shape_group_6_shape_8_horizontal_lines, 70, 9),
        shape(frame_152_shape_group_6_shape_9_horizontal_lines, 71, 8),
        shape(frame_152_shape_group_6_shape_10_horizontal_lines, 72, 5),
        shape(frame_152_shape_group_6_shape_11_horizontal_lines, 74, 4),
    };

    constexpr const horizontal_line frame_152_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_152_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_152_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(164, 169),
    };

    constexpr const horizontal_line frame_152_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(170, 171),
        horizontal_line(171, 172),
    };

    constexpr const shape frame_152_shape_group_7_shapes[] = {
        shape(frame_152_shape_group_7_shape_0_horizontal_lines, 63, 13),
        shape(frame_152_shape_group_7_shape_1_horizontal_lines, 64, 9),
        shape(frame_152_shape_group_7_shape_2_horizontal_lines, 68, 11),
        shape(frame_152_shape_group_7_shape_3_horizontal_lines, 69, 9),
        shape(frame_152_shape_group_7_shape_4_horizontal_lines, 70, 5),
        shape(frame_152_shape_group_7_shape_5_horizontal_lines, 71, 9),
        shape(frame_152_shape_group_7_shape_6_horizontal_lines, 72, 4),
    };

    constexpr const horizontal_line frame_152_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_152_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(166, 167),
        horizontal_line(166, 168),
    };

    constexpr const horizontal_line frame_152_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_152_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_152_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_152_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(164, 169),
    };

    constexpr const shape frame_152_shape_group_8_shapes[] = {
        shape(frame_152_shape_group_8_shape_0_horizontal_lines, 63, 9),
        shape(frame_152_shape_group_8_shape_1_horizontal_lines, 65, 10),
        shape(frame_152_shape_group_8_shape_2_horizontal_lines, 66, 5),
        shape(frame_152_shape_group_8_shape_3_horizontal_lines, 68, 9),
        shape(frame_152_shape_group_8_shape_4_horizontal_lines, 69, 5),
        shape(frame_152_shape_group_8_shape_5_horizontal_lines, 70, 4),
        shape(frame_152_shape_group_8_shape_6_horizontal_lines, 71, 5),
    };

    constexpr const horizontal_line frame_152_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(166, 168),
    };

    constexpr const horizontal_line frame_152_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const shape frame_152_shape_group_9_shapes[] = {
        shape(frame_152_shape_group_9_shape_0_horizontal_lines, 68, 5),
        shape(frame_152_shape_group_9_shape_1_horizontal_lines, 71, 4),
    };

    constexpr const horizontal_line frame_152_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const shape frame_152_shape_group_10_shapes[] = {
        shape(frame_152_shape_group_10_shape_0_horizontal_lines, 68, 4),
    };

    constexpr const shape_group frame_152_shape_groups[] = {
        shape_group(frame_152_shape_group_0_shapes),
        shape_group(frame_152_shape_group_1_shapes),
        shape_group(frame_152_shape_group_2_shapes),
        shape_group(frame_152_shape_group_3_shapes),
        shape_group(frame_152_shape_group_4_shapes),
        shape_group(frame_152_shape_group_5_shapes),
        shape_group(frame_152_shape_group_6_shapes),
        shape_group(frame_152_shape_group_7_shapes),
        shape_group(frame_152_shape_group_8_shapes),
        shape_group(frame_152_shape_group_9_shapes),
        shape_group(frame_152_shape_group_10_shapes),
    };

    constexpr const frame frame_152_impl(frame_152_colors, frame_152_shape_groups);
} 

const frame& frame_152()
{
    return frame_152_impl;
}

namespace
{
    constexpr const bn::color frame_153_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(0, 4, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_153_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(12, 73),
        horizontal_line(16, 73),
        horizontal_line(20, 73),
        horizontal_line(24, 72),
        horizontal_line(27, 72),
        horizontal_line(31, 72),
        horizontal_line(35, 71),
        horizontal_line(39, 71),
        horizontal_line(43, 71),
        horizontal_line(47, 70),
        horizontal_line(50, 70),
        horizontal_line(54, 70),
        horizontal_line(58, 69),
        horizontal_line(62, 69),
        horizontal_line(66, 69),
        horizontal_line(163, 178),
        horizontal_line(163, 178),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(164, 177),
        horizontal_line(165, 177),
        horizontal_line(165, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(166, 176),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 175),
        horizontal_line(168, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(171, 173),
        horizontal_line(171, 173),
        horizontal_line(171, 172),
        horizontal_line(172, 172),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_153_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_153_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(166, 168),
        horizontal_line(164, 168),
        horizontal_line(162, 168),
        horizontal_line(160, 167),
        horizontal_line(158, 167),
        horizontal_line(156, 166),
        horizontal_line(154, 166),
        horizontal_line(153, 165),
        horizontal_line(153, 165),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 167),
        horizontal_line(156, 162),
        horizontal_line(156, 161),
        horizontal_line(156, 160),
        horizontal_line(157, 159),
        horizontal_line(157, 158),
        horizontal_line(158, 158),
        horizontal_line(163, 167),
        horizontal_line(162, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(165, 169),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_153_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 42),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_153_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_153_shape_group_0_shapes[] = {
        shape(frame_153_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_153_shape_group_0_shape_1_horizontal_lines, 47, 1),
        shape(frame_153_shape_group_0_shape_2_horizontal_lines, 49, 3),
        shape(frame_153_shape_group_0_shape_3_horizontal_lines, 76, 1),
        shape(frame_153_shape_group_0_shape_4_horizontal_lines, 145, 7),
    };

    constexpr const horizontal_line frame_153_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(155, 176),
        horizontal_line(155, 176),
        horizontal_line(155, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(156, 176),
        horizontal_line(157, 176),
        horizontal_line(157, 177),
        horizontal_line(158, 177),
        horizontal_line(158, 177),
        horizontal_line(158, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(160, 178),
        horizontal_line(160, 178),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(161, 178),
        horizontal_line(162, 178),
        horizontal_line(162, 179),
        horizontal_line(163, 178),
    };

    constexpr const horizontal_line frame_153_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(130, 174),
        horizontal_line(133, 169),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_153_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(167, 168),
        horizontal_line(167, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(165, 168),
        horizontal_line(165, 168),
    };

    constexpr const horizontal_line frame_153_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_153_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 165),
        horizontal_line(165, 165),
        horizontal_line(164, 168),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_153_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 155),
        horizontal_line(151, 154),
        horizontal_line(151, 153),
        horizontal_line(151, 152),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_153_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(61, 121),
        horizontal_line(61, 119),
        horizontal_line(60, 116),
        horizontal_line(60, 114),
        horizontal_line(60, 111),
        horizontal_line(60, 109),
        horizontal_line(60, 107),
        horizontal_line(60, 104),
        horizontal_line(60, 102),
        horizontal_line(60, 99),
        horizontal_line(60, 97),
        horizontal_line(59, 95),
        horizontal_line(59, 92),
        horizontal_line(59, 90),
        horizontal_line(59, 88),
        horizontal_line(59, 85),
        horizontal_line(59, 83),
        horizontal_line(59, 80),
        horizontal_line(59, 78),
        horizontal_line(58, 76),
        horizontal_line(58, 73),
        horizontal_line(58, 71),
        horizontal_line(58, 68),
        horizontal_line(58, 66),
        horizontal_line(58, 64),
        horizontal_line(58, 61),
        horizontal_line(58, 59),
        horizontal_line(57, 57),
        horizontal_line(54, 58),
        horizontal_line(51, 59),
        horizontal_line(48, 61),
        horizontal_line(46, 62),
        horizontal_line(43, 64),
        horizontal_line(40, 65),
        horizontal_line(38, 67),
        horizontal_line(35, 68),
        horizontal_line(32, 70),
        horizontal_line(29, 71),
        horizontal_line(27, 73),
        horizontal_line(24, 74),
        horizontal_line(21, 76),
        horizontal_line(19, 77),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
    };

    constexpr const shape frame_153_shape_group_1_shapes[] = {
        shape(frame_153_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_153_shape_group_1_shape_1_horizontal_lines, 22, 1),
        shape(frame_153_shape_group_1_shape_2_horizontal_lines, 57, 3),
        shape(frame_153_shape_group_1_shape_3_horizontal_lines, 63, 1),
        shape(frame_153_shape_group_1_shape_4_horizontal_lines, 64, 3),
        shape(frame_153_shape_group_1_shape_5_horizontal_lines, 71, 1),
        shape(frame_153_shape_group_1_shape_6_horizontal_lines, 83, 7),
    };

    constexpr const horizontal_line frame_153_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(63, 74),
        horizontal_line(66, 74),
        horizontal_line(70, 74),
    };

    constexpr const horizontal_line frame_153_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 53),
        horizontal_line(0, 57),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(179, 186),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(108, 168),
        horizontal_line(111, 168),
        horizontal_line(113, 169),
        horizontal_line(115, 169),
        horizontal_line(118, 170),
        horizontal_line(120, 170),
        horizontal_line(123, 170),
        horizontal_line(125, 171),
        horizontal_line(128, 171),
        horizontal_line(62, 66),
        horizontal_line(174, 174),
        horizontal_line(135, 167),
        horizontal_line(138, 165),
        horizontal_line(140, 163),
        horizontal_line(143, 161),
        horizontal_line(145, 159),
        horizontal_line(148, 157),
        horizontal_line(150, 155),
        horizontal_line(153, 153),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(153, 154),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(161, 163),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_153_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(173, 220),
        horizontal_line(195, 229),
        horizontal_line(217, 238),
        horizontal_line(124, 140),
        horizontal_line(124, 138),
        horizontal_line(123, 135),
        horizontal_line(123, 133),
        horizontal_line(123, 130),
        horizontal_line(123, 128),
        horizontal_line(123, 126),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_153_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(78, 79),
        horizontal_line(75, 80),
        horizontal_line(72, 82),
        horizontal_line(70, 83),
        horizontal_line(67, 85),
        horizontal_line(64, 86),
    };

    constexpr const shape frame_153_shape_group_2_shapes[] = {
        shape(frame_153_shape_group_2_shape_0_horizontal_lines, 0, 3),
        shape(frame_153_shape_group_2_shape_1_horizontal_lines, 7, 1),
        shape(frame_153_shape_group_2_shape_2_horizontal_lines, 82, 7),
        shape(frame_153_shape_group_2_shape_3_horizontal_lines, 139, 7),
    };

    constexpr const horizontal_line frame_153_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(74, 136),
        horizontal_line(74, 136),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(62, 124),
        horizontal_line(179, 186),
        horizontal_line(178, 185),
        horizontal_line(178, 185),
        horizontal_line(178, 184),
        horizontal_line(178, 184),
        horizontal_line(177, 183),
        horizontal_line(177, 183),
        horizontal_line(177, 182),
        horizontal_line(177, 182),
        horizontal_line(176, 181),
        horizontal_line(176, 181),
        horizontal_line(176, 181),
        horizontal_line(176, 180),
        horizontal_line(175, 180),
        horizontal_line(175, 179),
        horizontal_line(175, 179),
        horizontal_line(175, 178),
        horizontal_line(174, 178),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 175),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_153_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_153_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(153, 153),
        horizontal_line(153, 153),
        horizontal_line(153, 153),
        horizontal_line(153, 154),
        horizontal_line(62, 64),
        horizontal_line(153, 155),
        horizontal_line(153, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(62, 63),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 164),
        horizontal_line(161, 164),
        horizontal_line(165, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(152, 184),
        horizontal_line(186, 193),
        horizontal_line(186, 202),
        horizontal_line(186, 211),
        horizontal_line(124, 147),
        horizontal_line(124, 145),
        horizontal_line(124, 142),
    };

    constexpr const shape frame_153_shape_group_3_shapes[] = {
        shape(frame_153_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_153_shape_group_3_shape_1_horizontal_lines, 47, 7),
        shape(frame_153_shape_group_3_shape_2_horizontal_lines, 48, 1),
        shape(frame_153_shape_group_3_shape_3_horizontal_lines, 77, 7),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(177, 197),
        horizontal_line(177, 196),
        horizontal_line(177, 196),
        horizontal_line(177, 195),
        horizontal_line(75, 137),
        horizontal_line(75, 137),
        horizontal_line(75, 137),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 192),
        horizontal_line(178, 192),
        horizontal_line(178, 191),
        horizontal_line(178, 191),
        horizontal_line(178, 190),
        horizontal_line(179, 190),
        horizontal_line(179, 189),
        horizontal_line(179, 189),
        horizontal_line(179, 189),
        horizontal_line(179, 188),
        horizontal_line(179, 188),
        horizontal_line(180, 187),
        horizontal_line(179, 187),
        horizontal_line(124, 162),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(175, 237),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(162, 163),
        horizontal_line(161, 163),
        horizontal_line(160, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 163),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(64, 126),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(170, 170),
        horizontal_line(167, 175),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_153_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(157, 159),
        horizontal_line(156, 156),
        horizontal_line(155, 163),
        horizontal_line(154, 170),
        horizontal_line(153, 177),
        horizontal_line(124, 150),
    };

    constexpr const shape frame_153_shape_group_4_shapes[] = {
        shape(frame_153_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_153_shape_group_4_shape_1_horizontal_lines, 47, 7),
        shape(frame_153_shape_group_4_shape_2_horizontal_lines, 59, 1),
        shape(frame_153_shape_group_4_shape_3_horizontal_lines, 63, 7),
        shape(frame_153_shape_group_4_shape_4_horizontal_lines, 64, 1),
        shape(frame_153_shape_group_4_shape_5_horizontal_lines, 71, 7),
        shape(frame_153_shape_group_4_shape_6_horizontal_lines, 72, 1),
        shape(frame_153_shape_group_4_shape_7_horizontal_lines, 77, 7),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(139, 154),
        horizontal_line(138, 154),
        horizontal_line(138, 154),
        horizontal_line(138, 155),
        horizontal_line(177, 195),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(136, 156),
        horizontal_line(136, 157),
        horizontal_line(136, 157),
        horizontal_line(135, 157),
        horizontal_line(135, 158),
        horizontal_line(135, 158),
        horizontal_line(134, 158),
        horizontal_line(134, 159),
        horizontal_line(134, 159),
        horizontal_line(133, 160),
        horizontal_line(133, 160),
        horizontal_line(133, 160),
        horizontal_line(132, 161),
        horizontal_line(132, 161),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(187, 227),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(133, 162),
        horizontal_line(135, 163),
        horizontal_line(138, 163),
        horizontal_line(140, 163),
        horizontal_line(143, 164),
        horizontal_line(145, 164),
        horizontal_line(148, 165),
        horizontal_line(150, 165),
        horizontal_line(153, 165),
        horizontal_line(155, 166),
        horizontal_line(158, 166),
        horizontal_line(160, 167),
        horizontal_line(163, 167),
        horizontal_line(165, 167),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(68, 107),
        horizontal_line(68, 110),
        horizontal_line(67, 112),
        horizontal_line(67, 114),
        horizontal_line(67, 117),
        horizontal_line(67, 119),
        horizontal_line(67, 122),
        horizontal_line(67, 124),
        horizontal_line(67, 127),
        horizontal_line(129, 129),
        horizontal_line(172, 173),
        horizontal_line(171, 233),
        horizontal_line(171, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(169, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(168, 171),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(65, 127),
        horizontal_line(182, 233),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(158, 161),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_153_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(161, 177),
        horizontal_line(169, 176),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
    };

    constexpr const shape frame_153_shape_group_5_shapes[] = {
        shape(frame_153_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_153_shape_group_5_shape_1_horizontal_lines, 22, 7),
        shape(frame_153_shape_group_5_shape_2_horizontal_lines, 23, 1),
        shape(frame_153_shape_group_5_shape_3_horizontal_lines, 38, 7),
        shape(frame_153_shape_group_5_shape_4_horizontal_lines, 64, 1),
        shape(frame_153_shape_group_5_shape_5_horizontal_lines, 71, 7),
        shape(frame_153_shape_group_5_shape_6_horizontal_lines, 74, 1),
        shape(frame_153_shape_group_5_shape_7_horizontal_lines, 76, 7),
    };

    constexpr const horizontal_line frame_153_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(198, 206),
        horizontal_line(197, 206),
        horizontal_line(197, 207),
        horizontal_line(196, 208),
    };

    constexpr const horizontal_line frame_153_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(137, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 156),
    };

    constexpr const horizontal_line frame_153_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(194, 212),
        horizontal_line(194, 213),
        horizontal_line(193, 214),
        horizontal_line(193, 215),
        horizontal_line(192, 216),
        horizontal_line(192, 217),
        horizontal_line(191, 218),
        horizontal_line(191, 219),
        horizontal_line(190, 220),
        horizontal_line(190, 221),
        horizontal_line(190, 222),
        horizontal_line(189, 223),
        horizontal_line(189, 224),
        horizontal_line(188, 225),
    };

    constexpr const horizontal_line frame_153_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(132, 162),
    };

    constexpr const horizontal_line frame_153_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(69, 70),
        horizontal_line(69, 72),
        horizontal_line(69, 75),
        horizontal_line(69, 77),
        horizontal_line(69, 80),
        horizontal_line(69, 82),
        horizontal_line(69, 85),
        horizontal_line(69, 87),
        horizontal_line(68, 90),
        horizontal_line(68, 92),
        horizontal_line(68, 95),
        horizontal_line(68, 97),
        horizontal_line(68, 100),
        horizontal_line(68, 102),
        horizontal_line(68, 105),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(237, 239),
        horizontal_line(175, 237),
        horizontal_line(128, 134),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(127, 152),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(187, 193),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(157, 160),
        horizontal_line(125, 150),
        horizontal_line(125, 150),
    };

    constexpr const horizontal_line frame_153_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 184),
        horizontal_line(179, 184),
        horizontal_line(182, 184),
    };

    constexpr const shape frame_153_shape_group_6_shapes[] = {
        shape(frame_153_shape_group_6_shape_0_horizontal_lines, 0, 7),
        shape(frame_153_shape_group_6_shape_1_horizontal_lines, 4, 1),
        shape(frame_153_shape_group_6_shape_2_horizontal_lines, 7, 7),
        shape(frame_153_shape_group_6_shape_3_horizontal_lines, 21, 1),
        shape(frame_153_shape_group_6_shape_4_horizontal_lines, 23, 7),
        shape(frame_153_shape_group_6_shape_5_horizontal_lines, 79, 9),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(196, 209),
        horizontal_line(195, 210),
        horizontal_line(195, 211),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(188, 226),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(187, 228),
        horizontal_line(186, 229),
        horizontal_line(186, 230),
        horizontal_line(185, 231),
        horizontal_line(185, 232),
        horizontal_line(184, 233),
        horizontal_line(184, 234),
        horizontal_line(183, 235),
        horizontal_line(183, 236),
        horizontal_line(182, 237),
        horizontal_line(182, 238),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(128, 132),
        horizontal_line(233, 239),
        horizontal_line(128, 137),
        horizontal_line(128, 139),
        horizontal_line(128, 142),
        horizontal_line(128, 144),
        horizontal_line(128, 147),
        horizontal_line(128, 149),
        horizontal_line(128, 152),
        horizontal_line(127, 152),
        horizontal_line(127, 152),
        horizontal_line(127, 152),
        horizontal_line(127, 152),
        horizontal_line(127, 152),
        horizontal_line(127, 152),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(168, 170),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(183, 228),
        horizontal_line(184, 223),
        horizontal_line(184, 218),
        horizontal_line(185, 213),
        horizontal_line(185, 208),
        horizontal_line(186, 203),
        horizontal_line(158, 159),
        horizontal_line(126, 151),
        horizontal_line(188, 188),
        horizontal_line(126, 151),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_153_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(178, 185),
        horizontal_line(177, 185),
    };

    constexpr const shape frame_153_shape_group_7_shapes[] = {
        shape(frame_153_shape_group_7_shape_0_horizontal_lines, 4, 7),
        shape(frame_153_shape_group_7_shape_1_horizontal_lines, 21, 7),
        shape(frame_153_shape_group_7_shape_2_horizontal_lines, 23, 7),
        shape(frame_153_shape_group_7_shape_3_horizontal_lines, 43, 7),
        shape(frame_153_shape_group_7_shape_4_horizontal_lines, 48, 7),
        shape(frame_153_shape_group_7_shape_5_horizontal_lines, 63, 6),
        shape(frame_153_shape_group_7_shape_6_horizontal_lines, 64, 7),
        shape(frame_153_shape_group_7_shape_7_horizontal_lines, 77, 9),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(167, 167),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(165, 165),
        horizontal_line(165, 165),
        horizontal_line(164, 164),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(127, 152),
        horizontal_line(126, 152),
        horizontal_line(126, 151),
        horizontal_line(126, 151),
        horizontal_line(126, 151),
        horizontal_line(126, 151),
        horizontal_line(186, 198),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(126, 151),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(172, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(125, 151),
        horizontal_line(125, 151),
        horizontal_line(125, 150),
    };

    constexpr const shape frame_153_shape_group_8_shapes[] = {
        shape(frame_153_shape_group_8_shape_0_horizontal_lines, 48, 7),
        shape(frame_153_shape_group_8_shape_1_horizontal_lines, 49, 6),
        shape(frame_153_shape_group_8_shape_2_horizontal_lines, 50, 7),
        shape(frame_153_shape_group_8_shape_3_horizontal_lines, 55, 6),
        shape(frame_153_shape_group_8_shape_4_horizontal_lines, 63, 11),
        shape(frame_153_shape_group_8_shape_5_horizontal_lines, 64, 7),
        shape(frame_153_shape_group_8_shape_6_horizontal_lines, 71, 5),
        shape(frame_153_shape_group_8_shape_7_horizontal_lines, 72, 7),
        shape(frame_153_shape_group_8_shape_8_horizontal_lines, 73, 5),
        shape(frame_153_shape_group_8_shape_9_horizontal_lines, 74, 7),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(169, 169),
        horizontal_line(169, 169),
        horizontal_line(168, 168),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(171, 172),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(168, 169),
        horizontal_line(167, 169),
        horizontal_line(167, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(126, 151),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(172, 177),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(178, 185),
    };

    constexpr const shape frame_153_shape_group_9_shapes[] = {
        shape(frame_153_shape_group_9_shape_0_horizontal_lines, 48, 6),
        shape(frame_153_shape_group_9_shape_1_horizontal_lines, 50, 6),
        shape(frame_153_shape_group_9_shape_2_horizontal_lines, 60, 6),
        shape(frame_153_shape_group_9_shape_3_horizontal_lines, 64, 6),
        shape(frame_153_shape_group_9_shape_4_horizontal_lines, 70, 7),
        shape(frame_153_shape_group_9_shape_5_horizontal_lines, 71, 4),
        shape(frame_153_shape_group_9_shape_6_horizontal_lines, 72, 5),
        shape(frame_153_shape_group_9_shape_7_horizontal_lines, 73, 4),
        shape(frame_153_shape_group_9_shape_8_horizontal_lines, 74, 5),
        shape(frame_153_shape_group_9_shape_9_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_153_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(169, 170),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_153_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(170, 172),
        horizontal_line(170, 172),
        horizontal_line(170, 172),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_153_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(171, 176),
    };

    constexpr const horizontal_line frame_153_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_153_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(178, 180),
    };

    constexpr const horizontal_line frame_153_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_153_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 178),
    };

    constexpr const shape frame_153_shape_group_10_shapes[] = {
        shape(frame_153_shape_group_10_shape_0_horizontal_lines, 60, 11),
        shape(frame_153_shape_group_10_shape_1_horizontal_lines, 64, 11),
        shape(frame_153_shape_group_10_shape_2_horizontal_lines, 69, 5),
        shape(frame_153_shape_group_10_shape_3_horizontal_lines, 70, 6),
        shape(frame_153_shape_group_10_shape_4_horizontal_lines, 72, 4),
        shape(frame_153_shape_group_10_shape_5_horizontal_lines, 73, 2),
        shape(frame_153_shape_group_10_shape_6_horizontal_lines, 74, 4),
    };

    constexpr const horizontal_line frame_153_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_153_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(173, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
    };

    constexpr const horizontal_line frame_153_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(171, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(180, 186),
    };

    constexpr const horizontal_line frame_153_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_153_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(179, 186),
    };

    constexpr const shape frame_153_shape_group_11_shapes[] = {
        shape(frame_153_shape_group_11_shape_0_horizontal_lines, 62, 13),
        shape(frame_153_shape_group_11_shape_1_horizontal_lines, 64, 5),
        shape(frame_153_shape_group_11_shape_2_horizontal_lines, 69, 4),
        shape(frame_153_shape_group_11_shape_3_horizontal_lines, 70, 5),
        shape(frame_153_shape_group_11_shape_4_horizontal_lines, 73, 9),
        shape(frame_153_shape_group_11_shape_5_horizontal_lines, 74, 2),
        shape(frame_153_shape_group_11_shape_6_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_153_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_153_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_153_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(179, 186),
    };

    constexpr const shape frame_153_shape_group_12_shapes[] = {
        shape(frame_153_shape_group_12_shape_0_horizontal_lines, 68, 4),
        shape(frame_153_shape_group_12_shape_1_horizontal_lines, 70, 4),
        shape(frame_153_shape_group_12_shape_2_horizontal_lines, 74, 9),
    };

    constexpr const shape_group frame_153_shape_groups[] = {
        shape_group(frame_153_shape_group_0_shapes),
        shape_group(frame_153_shape_group_1_shapes),
        shape_group(frame_153_shape_group_2_shapes),
        shape_group(frame_153_shape_group_3_shapes),
        shape_group(frame_153_shape_group_4_shapes),
        shape_group(frame_153_shape_group_5_shapes),
        shape_group(frame_153_shape_group_6_shapes),
        shape_group(frame_153_shape_group_7_shapes),
        shape_group(frame_153_shape_group_8_shapes),
        shape_group(frame_153_shape_group_9_shapes),
        shape_group(frame_153_shape_group_10_shapes),
        shape_group(frame_153_shape_group_11_shapes),
        shape_group(frame_153_shape_group_12_shapes),
    };

    constexpr const frame frame_153_impl(frame_153_colors, frame_153_shape_groups);
} 

const frame& frame_153()
{
    return frame_153_impl;
}

namespace
{
    constexpr const bn::color frame_154_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_154_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(55, 117),
        horizontal_line(58, 120),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(72, 134),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(108, 166),
        horizontal_line(111, 164),
        horizontal_line(114, 162),
        horizontal_line(117, 160),
        horizontal_line(121, 158),
        horizontal_line(124, 156),
        horizontal_line(127, 154),
        horizontal_line(130, 152),
        horizontal_line(134, 150),
        horizontal_line(137, 148),
        horizontal_line(140, 146),
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(144, 145),
        horizontal_line(144, 146),
        horizontal_line(144, 147),
        horizontal_line(144, 148),
        horizontal_line(144, 149),
        horizontal_line(144, 150),
        horizontal_line(144, 151),
        horizontal_line(144, 152),
        horizontal_line(144, 153),
        horizontal_line(144, 154),
        horizontal_line(143, 155),
        horizontal_line(143, 156),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(142, 156),
        horizontal_line(142, 154),
        horizontal_line(142, 153),
        horizontal_line(142, 151),
        horizontal_line(142, 150),
        horizontal_line(142, 148),
        horizontal_line(142, 147),
        horizontal_line(142, 145),
        horizontal_line(142, 144),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_154_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(141, 141),
        horizontal_line(138, 155),
        horizontal_line(135, 169),
        horizontal_line(133, 183),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(125, 187),
        horizontal_line(123, 185),
        horizontal_line(120, 182),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(61, 123),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(38, 100),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_154_shape_group_0_shapes[] = {
        shape(frame_154_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_154_shape_group_0_shape_1_horizontal_lines, 88, 8),
    };

    constexpr const horizontal_line frame_154_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(176, 193),
        horizontal_line(176, 192),
        horizontal_line(176, 192),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(176, 191),
        horizontal_line(177, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 190),
        horizontal_line(176, 189),
        horizontal_line(176, 189),
        horizontal_line(175, 189),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 188),
        horizontal_line(175, 187),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(173, 186),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 185),
        horizontal_line(173, 184),
        horizontal_line(172, 184),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(172, 183),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 182),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(170, 181),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(170, 180),
        horizontal_line(169, 179),
        horizontal_line(170, 179),
        horizontal_line(171, 179),
        horizontal_line(172, 178),
        horizontal_line(173, 178),
        horizontal_line(174, 178),
        horizontal_line(175, 177),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_154_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(161, 166),
        horizontal_line(159, 166),
        horizontal_line(157, 166),
        horizontal_line(155, 166),
        horizontal_line(153, 166),
        horizontal_line(151, 166),
        horizontal_line(149, 166),
        horizontal_line(147, 165),
        horizontal_line(145, 165),
        horizontal_line(145, 165),
        horizontal_line(146, 165),
        horizontal_line(147, 165),
        horizontal_line(148, 165),
        horizontal_line(149, 165),
        horizontal_line(150, 165),
        horizontal_line(151, 165),
        horizontal_line(152, 165),
    };

    constexpr const horizontal_line frame_154_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(164, 165),
        horizontal_line(163, 166),
        horizontal_line(162, 166),
        horizontal_line(161, 167),
        horizontal_line(160, 167),
        horizontal_line(160, 166),
        horizontal_line(162, 165),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 168),
        horizontal_line(164, 168),
        horizontal_line(164, 167),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_154_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(158, 169),
        horizontal_line(165, 175),
        horizontal_line(173, 180),
        horizontal_line(181, 183),
        horizontal_line(188, 239),
        horizontal_line(193, 239),
        horizontal_line(198, 239),
        horizontal_line(203, 239),
        horizontal_line(208, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_154_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(228, 239),
        horizontal_line(233, 239),
        horizontal_line(239, 239),
        horizontal_line(192, 197),
        horizontal_line(190, 211),
        horizontal_line(187, 225),
        horizontal_line(185, 239),
        horizontal_line(182, 239),
        horizontal_line(179, 239),
        horizontal_line(177, 239),
        horizontal_line(174, 236),
        horizontal_line(172, 234),
        horizontal_line(169, 231),
        horizontal_line(167, 229),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(123, 185),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(100, 162),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_154_shape_group_1_shapes[] = {
        shape(frame_154_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_154_shape_group_1_shape_1_horizontal_lines, 46, 3),
        shape(frame_154_shape_group_1_shape_2_horizontal_lines, 63, 1),
        shape(frame_154_shape_group_1_shape_3_horizontal_lines, 77, 8),
        shape(frame_154_shape_group_1_shape_4_horizontal_lines, 89, 8),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(88, 148),
        horizontal_line(91, 149),
        horizontal_line(94, 150),
        horizontal_line(98, 151),
        horizontal_line(101, 151),
        horizontal_line(104, 152),
        horizontal_line(107, 153),
        horizontal_line(111, 154),
        horizontal_line(114, 154),
        horizontal_line(117, 155),
        horizontal_line(120, 156),
        horizontal_line(124, 157),
        horizontal_line(127, 157),
        horizontal_line(130, 158),
        horizontal_line(134, 159),
        horizontal_line(137, 160),
        horizontal_line(140, 160),
        horizontal_line(143, 161),
        horizontal_line(147, 162),
        horizontal_line(150, 163),
        horizontal_line(153, 163),
        horizontal_line(156, 164),
        horizontal_line(160, 165),
        horizontal_line(163, 166),
        horizontal_line(166, 167),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(165, 166),
        horizontal_line(163, 166),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 170),
        horizontal_line(153, 164),
        horizontal_line(154, 163),
        horizontal_line(155, 162),
        horizontal_line(156, 161),
        horizontal_line(157, 160),
        horizontal_line(159, 159),
        horizontal_line(167, 171),
        horizontal_line(166, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(170, 177),
        horizontal_line(169, 181),
        horizontal_line(178, 182),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_154_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
        horizontal_line(206, 239),
        horizontal_line(203, 239),
        horizontal_line(200, 239),
        horizontal_line(198, 239),
        horizontal_line(195, 239),
        horizontal_line(193, 239),
        horizontal_line(190, 239),
        horizontal_line(188, 239),
        horizontal_line(185, 239),
        horizontal_line(182, 239),
        horizontal_line(180, 239),
        horizontal_line(177, 239),
        horizontal_line(175, 237),
        horizontal_line(172, 234),
        horizontal_line(170, 232),
        horizontal_line(167, 229),
        horizontal_line(165, 227),
        horizontal_line(162, 224),
        horizontal_line(159, 221),
        horizontal_line(157, 219),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_154_shape_group_2_shapes[] = {
        shape(frame_154_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_154_shape_group_2_shape_1_horizontal_lines, 43, 6),
        shape(frame_154_shape_group_2_shape_2_horizontal_lines, 44, 3),
        shape(frame_154_shape_group_2_shape_3_horizontal_lines, 46, 6),
        shape(frame_154_shape_group_2_shape_4_horizontal_lines, 55, 3),
        shape(frame_154_shape_group_2_shape_5_horizontal_lines, 73, 1),
        shape(frame_154_shape_group_2_shape_6_horizontal_lines, 77, 8),
        shape(frame_154_shape_group_2_shape_7_horizontal_lines, 99, 8),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(127, 143),
        horizontal_line(130, 144),
        horizontal_line(133, 144),
        horizontal_line(137, 145),
        horizontal_line(140, 146),
        horizontal_line(143, 147),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(149, 173),
        horizontal_line(150, 173),
        horizontal_line(151, 172),
        horizontal_line(152, 172),
        horizontal_line(152, 172),
        horizontal_line(153, 172),
        horizontal_line(154, 172),
        horizontal_line(155, 171),
        horizontal_line(155, 171),
        horizontal_line(156, 171),
        horizontal_line(157, 171),
        horizontal_line(158, 170),
        horizontal_line(158, 170),
        horizontal_line(159, 170),
        horizontal_line(160, 170),
        horizontal_line(161, 170),
        horizontal_line(161, 169),
        horizontal_line(162, 169),
        horizontal_line(163, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 168),
        horizontal_line(165, 168),
        horizontal_line(166, 168),
        horizontal_line(167, 168),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(167, 171),
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 178),
        horizontal_line(177, 178),
        horizontal_line(177, 179),
        horizontal_line(177, 179),
        horizontal_line(177, 180),
        horizontal_line(176, 180),
        horizontal_line(176, 181),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 167),
        horizontal_line(166, 167),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(166, 170),
        horizontal_line(166, 169),
        horizontal_line(167, 169),
        horizontal_line(167, 168),
        horizontal_line(168, 168),
        horizontal_line(168, 172),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(185, 190),
        horizontal_line(186, 191),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(169, 172),
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(182, 188),
        horizontal_line(182, 188),
        horizontal_line(181, 188),
        horizontal_line(181, 187),
        horizontal_line(184, 187),
    };

    constexpr const horizontal_line frame_154_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(211, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(203, 239),
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(196, 239),
        horizontal_line(193, 239),
        horizontal_line(191, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_154_shape_group_3_shapes[] = {
        shape(frame_154_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_154_shape_group_3_shape_1_horizontal_lines, 18, 3),
        shape(frame_154_shape_group_3_shape_2_horizontal_lines, 44, 6),
        shape(frame_154_shape_group_3_shape_3_horizontal_lines, 47, 8),
        shape(frame_154_shape_group_3_shape_4_horizontal_lines, 55, 6),
        shape(frame_154_shape_group_3_shape_5_horizontal_lines, 63, 3),
        shape(frame_154_shape_group_3_shape_6_horizontal_lines, 70, 8),
        shape(frame_154_shape_group_3_shape_7_horizontal_lines, 73, 3),
        shape(frame_154_shape_group_3_shape_8_horizontal_lines, 75, 8),
        shape(frame_154_shape_group_3_shape_9_horizontal_lines, 77, 9),
        shape(frame_154_shape_group_3_shape_10_horizontal_lines, 123, 8),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(136, 175),
        horizontal_line(136, 175),
        horizontal_line(137, 175),
        horizontal_line(138, 175),
        horizontal_line(139, 175),
        horizontal_line(139, 175),
        horizontal_line(140, 176),
        horizontal_line(141, 175),
        horizontal_line(142, 175),
        horizontal_line(142, 175),
        horizontal_line(143, 175),
        horizontal_line(144, 174),
        horizontal_line(145, 174),
        horizontal_line(145, 174),
        horizontal_line(146, 174),
        horizontal_line(147, 174),
        horizontal_line(148, 173),
        horizontal_line(148, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(169, 169),
        horizontal_line(169, 170),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(176, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 183),
        horizontal_line(176, 183),
        horizontal_line(176, 184),
        horizontal_line(177, 184),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(171, 174),
        horizontal_line(171, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 173),
        horizontal_line(169, 173),
        horizontal_line(169, 173),
        horizontal_line(173, 174),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(175, 183),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_154_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(183, 189),
    };

    constexpr const shape frame_154_shape_group_4_shapes[] = {
        shape(frame_154_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_154_shape_group_4_shape_1_horizontal_lines, 39, 6),
        shape(frame_154_shape_group_4_shape_2_horizontal_lines, 55, 8),
        shape(frame_154_shape_group_4_shape_3_horizontal_lines, 61, 6),
        shape(frame_154_shape_group_4_shape_4_horizontal_lines, 70, 8),
        shape(frame_154_shape_group_4_shape_5_horizontal_lines, 72, 5),
        shape(frame_154_shape_group_4_shape_6_horizontal_lines, 73, 8),
        shape(frame_154_shape_group_4_shape_7_horizontal_lines, 75, 5),
        shape(frame_154_shape_group_4_shape_8_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(178, 185),
        horizontal_line(179, 185),
        horizontal_line(179, 186),
        horizontal_line(180, 187),
        horizontal_line(181, 187),
        horizontal_line(182, 188),
        horizontal_line(182, 188),
        horizontal_line(183, 189),
        horizontal_line(184, 189),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(175, 182),
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(176, 183),
        horizontal_line(178, 183),
    };

    constexpr const horizontal_line frame_154_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(183, 189),
    };

    constexpr const shape frame_154_shape_group_5_shapes[] = {
        shape(frame_154_shape_group_5_shape_0_horizontal_lines, 57, 12),
        shape(frame_154_shape_group_5_shape_1_horizontal_lines, 58, 10),
        shape(frame_154_shape_group_5_shape_2_horizontal_lines, 59, 12),
        shape(frame_154_shape_group_5_shape_3_horizontal_lines, 61, 8),
        shape(frame_154_shape_group_5_shape_4_horizontal_lines, 70, 5),
        shape(frame_154_shape_group_5_shape_5_horizontal_lines, 72, 2),
        shape(frame_154_shape_group_5_shape_6_horizontal_lines, 73, 5),
        shape(frame_154_shape_group_5_shape_7_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(228, 239),
        horizontal_line(222, 239),
        horizontal_line(216, 239),
        horizontal_line(210, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_154_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(184, 189),
    };

    constexpr const shape frame_154_shape_group_6_shapes[] = {
        shape(frame_154_shape_group_6_shape_0_horizontal_lines, 57, 10),
        shape(frame_154_shape_group_6_shape_1_horizontal_lines, 58, 11),
        shape(frame_154_shape_group_6_shape_2_horizontal_lines, 59, 10),
        shape(frame_154_shape_group_6_shape_3_horizontal_lines, 60, 11),
        shape(frame_154_shape_group_6_shape_4_horizontal_lines, 61, 12),
        shape(frame_154_shape_group_6_shape_5_horizontal_lines, 62, 11),
        shape(frame_154_shape_group_6_shape_6_horizontal_lines, 64, 8),
        shape(frame_154_shape_group_6_shape_7_horizontal_lines, 70, 2),
        shape(frame_154_shape_group_6_shape_8_horizontal_lines, 72, 4),
        shape(frame_154_shape_group_6_shape_9_horizontal_lines, 73, 2),
        shape(frame_154_shape_group_6_shape_10_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_154_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_154_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_154_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_154_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(175, 182),
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_154_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(183, 184),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_154_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(185, 190),
        horizontal_line(184, 190),
    };

    constexpr const shape frame_154_shape_group_7_shapes[] = {
        shape(frame_154_shape_group_7_shape_0_horizontal_lines, 59, 11),
        shape(frame_154_shape_group_7_shape_1_horizontal_lines, 61, 11),
        shape(frame_154_shape_group_7_shape_2_horizontal_lines, 63, 5),
        shape(frame_154_shape_group_7_shape_3_horizontal_lines, 64, 11),
        shape(frame_154_shape_group_7_shape_4_horizontal_lines, 68, 5),
        shape(frame_154_shape_group_7_shape_5_horizontal_lines, 70, 4),
        shape(frame_154_shape_group_7_shape_6_horizontal_lines, 72, 9),
    };

    constexpr const horizontal_line frame_154_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(178, 180),
        horizontal_line(178, 181),
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_154_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const shape frame_154_shape_group_8_shapes[] = {
        shape(frame_154_shape_group_8_shape_0_horizontal_lines, 64, 5),
        shape(frame_154_shape_group_8_shape_1_horizontal_lines, 69, 2),
    };

    constexpr const horizontal_line frame_154_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(183, 183),
    };

    constexpr const shape frame_154_shape_group_9_shapes[] = {
        shape(frame_154_shape_group_9_shape_0_horizontal_lines, 69, 4),
    };

    constexpr const shape_group frame_154_shape_groups[] = {
        shape_group(frame_154_shape_group_0_shapes),
        shape_group(frame_154_shape_group_1_shapes),
        shape_group(frame_154_shape_group_2_shapes),
        shape_group(frame_154_shape_group_3_shapes),
        shape_group(frame_154_shape_group_4_shapes),
        shape_group(frame_154_shape_group_5_shapes),
        shape_group(frame_154_shape_group_6_shapes),
        shape_group(frame_154_shape_group_7_shapes),
        shape_group(frame_154_shape_group_8_shapes),
        shape_group(frame_154_shape_group_9_shapes),
    };

    constexpr const frame frame_154_impl(frame_154_colors, frame_154_shape_groups);
} 

const frame& frame_154()
{
    return frame_154_impl;
}

namespace
{
    constexpr const bn::color frame_155_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_155_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(12, 74),
        horizontal_line(16, 78),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(47, 109),
        horizontal_line(51, 113),
        horizontal_line(55, 117),
        horizontal_line(59, 121),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(90, 146),
        horizontal_line(94, 144),
        horizontal_line(97, 143),
        horizontal_line(101, 141),
        horizontal_line(105, 139),
        horizontal_line(109, 137),
        horizontal_line(113, 135),
        horizontal_line(117, 133),
        horizontal_line(121, 131),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_155_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(129, 161),
    };

    constexpr const horizontal_line frame_155_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(128, 130),
        horizontal_line(128, 131),
        horizontal_line(128, 133),
        horizontal_line(128, 134),
        horizontal_line(128, 136),
        horizontal_line(128, 138),
        horizontal_line(128, 139),
        horizontal_line(128, 141),
        horizontal_line(128, 142),
        horizontal_line(128, 144),
        horizontal_line(128, 145),
        horizontal_line(128, 147),
        horizontal_line(128, 149),
        horizontal_line(128, 150),
        horizontal_line(127, 152),
        horizontal_line(127, 153),
        horizontal_line(127, 155),
        horizontal_line(127, 157),
        horizontal_line(127, 157),
        horizontal_line(127, 157),
        horizontal_line(127, 157),
        horizontal_line(127, 157),
        horizontal_line(127, 157),
        horizontal_line(127, 156),
        horizontal_line(127, 156),
        horizontal_line(127, 156),
        horizontal_line(127, 156),
        horizontal_line(127, 155),
        horizontal_line(127, 153),
        horizontal_line(127, 151),
        horizontal_line(126, 149),
        horizontal_line(126, 148),
        horizontal_line(126, 146),
        horizontal_line(126, 144),
        horizontal_line(126, 142),
        horizontal_line(126, 141),
        horizontal_line(126, 139),
        horizontal_line(126, 137),
        horizontal_line(126, 136),
        horizontal_line(126, 134),
        horizontal_line(126, 132),
        horizontal_line(126, 130),
        horizontal_line(126, 129),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_155_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(125, 125),
        horizontal_line(122, 133),
        horizontal_line(120, 142),
        horizontal_line(117, 151),
        horizontal_line(115, 160),
        horizontal_line(112, 168),
        horizontal_line(110, 172),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_155_shape_group_0_shapes[] = {
        shape(frame_155_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_155_shape_group_0_shape_1_horizontal_lines, 49, 3),
        shape(frame_155_shape_group_0_shape_2_horizontal_lines, 50, 1),
        shape(frame_155_shape_group_0_shape_3_horizontal_lines, 95, 8),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(168, 190),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 188),
        horizontal_line(167, 188),
        horizontal_line(167, 188),
        horizontal_line(167, 188),
        horizontal_line(167, 187),
        horizontal_line(167, 187),
        horizontal_line(167, 187),
        horizontal_line(167, 186),
        horizontal_line(167, 186),
        horizontal_line(167, 186),
        horizontal_line(167, 186),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 184),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 183),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 182),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(168, 180),
        horizontal_line(169, 180),
        horizontal_line(170, 180),
        horizontal_line(171, 179),
        horizontal_line(172, 179),
        horizontal_line(173, 179),
        horizontal_line(174, 179),
        horizontal_line(175, 178),
        horizontal_line(176, 178),
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(140, 159),
        horizontal_line(138, 160),
        horizontal_line(136, 160),
        horizontal_line(134, 160),
        horizontal_line(132, 161),
        horizontal_line(130, 161),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(162, 171),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(129, 161),
        horizontal_line(131, 162),
        horizontal_line(132, 162),
        horizontal_line(134, 162),
        horizontal_line(135, 163),
        horizontal_line(137, 163),
        horizontal_line(139, 163),
        horizontal_line(140, 163),
        horizontal_line(142, 164),
        horizontal_line(143, 164),
        horizontal_line(145, 164),
        horizontal_line(146, 165),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(164, 166),
        horizontal_line(163, 167),
        horizontal_line(162, 168),
        horizontal_line(161, 169),
        horizontal_line(160, 169),
        horizontal_line(159, 168),
        horizontal_line(162, 167),
        horizontal_line(166, 166),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(166, 170),
        horizontal_line(165, 170),
        horizontal_line(165, 169),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(157, 170),
        horizontal_line(162, 177),
        horizontal_line(168, 183),
        horizontal_line(174, 184),
        horizontal_line(180, 186),
        horizontal_line(186, 188),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(172, 177),
        horizontal_line(169, 186),
        horizontal_line(167, 195),
        horizontal_line(164, 203),
        horizontal_line(162, 212),
        horizontal_line(159, 221),
        horizontal_line(157, 219),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(149, 211),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(129, 191),
        horizontal_line(127, 189),
        horizontal_line(124, 186),
        horizontal_line(122, 184),
        horizontal_line(119, 181),
        horizontal_line(117, 179),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_155_shape_group_1_shapes[] = {
        shape(frame_155_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_155_shape_group_1_shape_1_horizontal_lines, 43, 3),
        shape(frame_155_shape_group_1_shape_2_horizontal_lines, 49, 6),
        shape(frame_155_shape_group_1_shape_3_horizontal_lines, 50, 3),
        shape(frame_155_shape_group_1_shape_4_horizontal_lines, 62, 1),
        shape(frame_155_shape_group_1_shape_5_horizontal_lines, 77, 8),
        shape(frame_155_shape_group_1_shape_6_horizontal_lines, 96, 8),
        shape(frame_155_shape_group_1_shape_7_horizontal_lines, 102, 8),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(90, 148),
        horizontal_line(94, 149),
        horizontal_line(97, 150),
        horizontal_line(101, 151),
        horizontal_line(105, 152),
        horizontal_line(109, 153),
        horizontal_line(113, 154),
        horizontal_line(117, 155),
        horizontal_line(121, 156),
        horizontal_line(125, 157),
        horizontal_line(128, 158),
        horizontal_line(132, 156),
        horizontal_line(136, 154),
        horizontal_line(140, 152),
        horizontal_line(144, 150),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(147, 158),
        horizontal_line(145, 159),
        horizontal_line(144, 159),
        horizontal_line(142, 159),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(160, 171),
        horizontal_line(161, 171),
        horizontal_line(161, 171),
        horizontal_line(161, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 172),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(162, 171),
        horizontal_line(163, 170),
        horizontal_line(163, 170),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(170, 171),
        horizontal_line(170, 172),
        horizontal_line(169, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 171),
        horizontal_line(148, 164),
        horizontal_line(150, 163),
        horizontal_line(151, 162),
        horizontal_line(153, 161),
        horizontal_line(154, 160),
        horizontal_line(156, 159),
        horizontal_line(158, 158),
        horizontal_line(168, 173),
        horizontal_line(167, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(173, 180),
        horizontal_line(171, 184),
        horizontal_line(180, 184),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(221, 221),
        horizontal_line(219, 230),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(211, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(204, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(196, 239),
        horizontal_line(194, 239),
        horizontal_line(191, 239),
        horizontal_line(189, 239),
        horizontal_line(186, 239),
        horizontal_line(184, 239),
        horizontal_line(181, 239),
        horizontal_line(179, 239),
        horizontal_line(176, 238),
        horizontal_line(174, 236),
        horizontal_line(171, 233),
        horizontal_line(169, 231),
        horizontal_line(166, 228),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_155_shape_group_2_shapes[] = {
        shape(frame_155_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_155_shape_group_2_shape_1_horizontal_lines, 39, 3),
        shape(frame_155_shape_group_2_shape_2_horizontal_lines, 43, 6),
        shape(frame_155_shape_group_2_shape_3_horizontal_lines, 49, 8),
        shape(frame_155_shape_group_2_shape_4_horizontal_lines, 50, 6),
        shape(frame_155_shape_group_2_shape_5_horizontal_lines, 53, 3),
        shape(frame_155_shape_group_2_shape_6_horizontal_lines, 73, 1),
        shape(frame_155_shape_group_2_shape_7_horizontal_lines, 77, 8),
        shape(frame_155_shape_group_2_shape_8_horizontal_lines, 107, 8),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 140),
        horizontal_line(124, 141),
        horizontal_line(125, 142),
        horizontal_line(128, 143),
        horizontal_line(132, 144),
        horizontal_line(136, 145),
        horizontal_line(140, 146),
        horizontal_line(144, 147),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(149, 160),
        horizontal_line(150, 160),
        horizontal_line(151, 160),
        horizontal_line(152, 159),
        horizontal_line(153, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 159),
        horizontal_line(156, 158),
        horizontal_line(157, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(159, 167),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(155, 157),
        horizontal_line(153, 157),
        horizontal_line(151, 158),
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(159, 171),
        horizontal_line(160, 171),
        horizontal_line(160, 171),
        horizontal_line(160, 171),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 179),
        horizontal_line(178, 179),
        horizontal_line(178, 180),
        horizontal_line(178, 180),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(178, 181),
        horizontal_line(178, 182),
        horizontal_line(178, 182),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(163, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 168),
        horizontal_line(164, 168),
        horizontal_line(164, 167),
        horizontal_line(165, 167),
        horizontal_line(165, 166),
        horizontal_line(165, 166),
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(166, 171),
        horizontal_line(167, 171),
        horizontal_line(168, 170),
        horizontal_line(169, 170),
        horizontal_line(170, 170),
        horizontal_line(170, 174),
        horizontal_line(169, 174),
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(187, 192),
        horizontal_line(188, 193),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(171, 175),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(185, 192),
        horizontal_line(184, 192),
        horizontal_line(184, 191),
        horizontal_line(184, 191),
        horizontal_line(185, 191),
        horizontal_line(187, 190),
        horizontal_line(189, 190),
    };

    constexpr const horizontal_line frame_155_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
        horizontal_line(206, 239),
        horizontal_line(203, 239),
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(196, 239),
        horizontal_line(193, 239),
        horizontal_line(191, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_155_shape_group_3_shapes[] = {
        shape(frame_155_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_155_shape_group_3_shape_1_horizontal_lines, 23, 3),
        shape(frame_155_shape_group_3_shape_2_horizontal_lines, 33, 6),
        shape(frame_155_shape_group_3_shape_3_horizontal_lines, 34, 3),
        shape(frame_155_shape_group_3_shape_4_horizontal_lines, 39, 6),
        shape(frame_155_shape_group_3_shape_5_horizontal_lines, 44, 8),
        shape(frame_155_shape_group_3_shape_6_horizontal_lines, 50, 8),
        shape(frame_155_shape_group_3_shape_7_horizontal_lines, 53, 6),
        shape(frame_155_shape_group_3_shape_8_horizontal_lines, 62, 3),
        shape(frame_155_shape_group_3_shape_9_horizontal_lines, 70, 8),
        shape(frame_155_shape_group_3_shape_10_horizontal_lines, 73, 3),
        shape(frame_155_shape_group_3_shape_11_horizontal_lines, 75, 8),
        shape(frame_155_shape_group_3_shape_12_horizontal_lines, 77, 9),
        shape(frame_155_shape_group_3_shape_13_horizontal_lines, 125, 8),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 167),
        horizontal_line(129, 166),
        horizontal_line(130, 166),
        horizontal_line(131, 166),
        horizontal_line(132, 165),
        horizontal_line(133, 165),
        horizontal_line(134, 165),
        horizontal_line(135, 165),
        horizontal_line(136, 164),
        horizontal_line(137, 164),
        horizontal_line(138, 164),
        horizontal_line(139, 164),
        horizontal_line(139, 163),
        horizontal_line(140, 163),
        horizontal_line(141, 163),
        horizontal_line(142, 162),
        horizontal_line(143, 162),
        horizontal_line(144, 162),
        horizontal_line(145, 162),
        horizontal_line(146, 161),
        horizontal_line(147, 161),
        horizontal_line(148, 161),
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(158, 168),
        horizontal_line(158, 169),
        horizontal_line(158, 170),
        horizontal_line(159, 171),
        horizontal_line(159, 171),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(178, 183),
        horizontal_line(173, 173),
        horizontal_line(178, 184),
        horizontal_line(178, 185),
        horizontal_line(173, 173),
        horizontal_line(178, 186),
        horizontal_line(179, 186),
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(172, 174),
        horizontal_line(172, 176),
        horizontal_line(172, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(175, 178),
        horizontal_line(175, 176),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(179, 186),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_155_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(185, 192),
    };

    constexpr const shape frame_155_shape_group_4_shapes[] = {
        shape(frame_155_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_155_shape_group_4_shape_1_horizontal_lines, 23, 6),
        shape(frame_155_shape_group_4_shape_2_horizontal_lines, 34, 6),
        shape(frame_155_shape_group_4_shape_3_horizontal_lines, 53, 8),
        shape(frame_155_shape_group_4_shape_4_horizontal_lines, 61, 6),
        shape(frame_155_shape_group_4_shape_5_horizontal_lines, 70, 8),
        shape(frame_155_shape_group_4_shape_6_horizontal_lines, 72, 5),
        shape(frame_155_shape_group_4_shape_7_horizontal_lines, 73, 8),
        shape(frame_155_shape_group_4_shape_8_horizontal_lines, 75, 5),
        shape(frame_155_shape_group_4_shape_9_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(165, 166),
        horizontal_line(165, 166),
        horizontal_line(165, 166),
        horizontal_line(165, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(178, 184),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(176, 178),
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(181, 188),
        horizontal_line(182, 189),
        horizontal_line(183, 189),
        horizontal_line(183, 190),
        horizontal_line(184, 190),
        horizontal_line(185, 191),
        horizontal_line(185, 191),
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(178, 185),
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(179, 186),
        horizontal_line(181, 185),
    };

    constexpr const horizontal_line frame_155_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(186, 193),
    };

    constexpr const shape frame_155_shape_group_5_shapes[] = {
        shape(frame_155_shape_group_5_shape_0_horizontal_lines, 4, 6),
        shape(frame_155_shape_group_5_shape_1_horizontal_lines, 54, 8),
        shape(frame_155_shape_group_5_shape_2_horizontal_lines, 55, 12),
        shape(frame_155_shape_group_5_shape_3_horizontal_lines, 57, 8),
        shape(frame_155_shape_group_5_shape_4_horizontal_lines, 58, 10),
        shape(frame_155_shape_group_5_shape_5_horizontal_lines, 59, 12),
        shape(frame_155_shape_group_5_shape_6_horizontal_lines, 61, 6),
        shape(frame_155_shape_group_5_shape_7_horizontal_lines, 62, 8),
        shape(frame_155_shape_group_5_shape_8_horizontal_lines, 70, 5),
        shape(frame_155_shape_group_5_shape_9_horizontal_lines, 72, 2),
        shape(frame_155_shape_group_5_shape_10_horizontal_lines, 73, 5),
        shape(frame_155_shape_group_5_shape_11_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(173, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(176, 180),
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(232, 239),
        horizontal_line(226, 239),
        horizontal_line(220, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(187, 194),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_155_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(186, 193),
    };

    constexpr const shape frame_155_shape_group_6_shapes[] = {
        shape(frame_155_shape_group_6_shape_0_horizontal_lines, 57, 10),
        shape(frame_155_shape_group_6_shape_1_horizontal_lines, 58, 11),
        shape(frame_155_shape_group_6_shape_2_horizontal_lines, 61, 8),
        shape(frame_155_shape_group_6_shape_3_horizontal_lines, 62, 11),
        shape(frame_155_shape_group_6_shape_4_horizontal_lines, 65, 8),
        shape(frame_155_shape_group_6_shape_5_horizontal_lines, 70, 2),
        shape(frame_155_shape_group_6_shape_6_horizontal_lines, 72, 9),
        shape(frame_155_shape_group_6_shape_7_horizontal_lines, 73, 2),
        shape(frame_155_shape_group_6_shape_8_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_155_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_155_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_155_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(176, 180),
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_155_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(179, 184),
        horizontal_line(178, 184),
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_155_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_155_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(187, 193),
    };

    constexpr const shape frame_155_shape_group_7_shapes[] = {
        shape(frame_155_shape_group_7_shape_0_horizontal_lines, 61, 11),
        shape(frame_155_shape_group_7_shape_1_horizontal_lines, 63, 5),
        shape(frame_155_shape_group_7_shape_2_horizontal_lines, 65, 11),
        shape(frame_155_shape_group_7_shape_3_horizontal_lines, 67, 5),
        shape(frame_155_shape_group_7_shape_4_horizontal_lines, 70, 4),
        shape(frame_155_shape_group_7_shape_5_horizontal_lines, 73, 9),
    };

    constexpr const horizontal_line frame_155_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(181, 182),
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_155_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 177),
    };

    constexpr const shape frame_155_shape_group_8_shapes[] = {
        shape(frame_155_shape_group_8_shape_0_horizontal_lines, 65, 5),
        shape(frame_155_shape_group_8_shape_1_horizontal_lines, 68, 2),
    };

    constexpr const shape_group frame_155_shape_groups[] = {
        shape_group(frame_155_shape_group_0_shapes),
        shape_group(frame_155_shape_group_1_shapes),
        shape_group(frame_155_shape_group_2_shapes),
        shape_group(frame_155_shape_group_3_shapes),
        shape_group(frame_155_shape_group_4_shapes),
        shape_group(frame_155_shape_group_5_shapes),
        shape_group(frame_155_shape_group_6_shapes),
        shape_group(frame_155_shape_group_7_shapes),
        shape_group(frame_155_shape_group_8_shapes),
    };

    constexpr const frame frame_155_impl(frame_155_colors, frame_155_shape_groups);
} 

const frame& frame_155()
{
    return frame_155_impl;
}

namespace
{
    constexpr const bn::color frame_156_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_156_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(13, 75),
        horizontal_line(17, 79),
        horizontal_line(21, 83),
        horizontal_line(26, 88),
        horizontal_line(30, 92),
        horizontal_line(34, 96),
        horizontal_line(38, 100),
        horizontal_line(42, 104),
        horizontal_line(46, 108),
        horizontal_line(51, 112),
        horizontal_line(55, 111),
        horizontal_line(59, 109),
        horizontal_line(63, 108),
        horizontal_line(67, 106),
        horizontal_line(71, 105),
        horizontal_line(76, 103),
        horizontal_line(80, 102),
        horizontal_line(84, 100),
        horizontal_line(88, 99),
        horizontal_line(92, 97),
    };

    constexpr const horizontal_line frame_156_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(97, 152),
    };

    constexpr const horizontal_line frame_156_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(96, 99),
        horizontal_line(96, 101),
        horizontal_line(96, 103),
        horizontal_line(96, 106),
        horizontal_line(96, 108),
        horizontal_line(96, 110),
        horizontal_line(96, 112),
        horizontal_line(96, 115),
        horizontal_line(96, 117),
        horizontal_line(96, 119),
        horizontal_line(96, 121),
        horizontal_line(96, 123),
        horizontal_line(96, 126),
        horizontal_line(96, 128),
        horizontal_line(96, 130),
        horizontal_line(96, 132),
        horizontal_line(95, 135),
        horizontal_line(95, 137),
        horizontal_line(95, 139),
        horizontal_line(95, 141),
        horizontal_line(95, 143),
        horizontal_line(95, 146),
        horizontal_line(95, 148),
        horizontal_line(95, 150),
        horizontal_line(95, 152),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(95, 155),
        horizontal_line(95, 154),
        horizontal_line(95, 154),
        horizontal_line(95, 154),
        horizontal_line(95, 154),
        horizontal_line(94, 153),
        horizontal_line(94, 153),
        horizontal_line(94, 153),
        horizontal_line(94, 152),
        horizontal_line(94, 150),
        horizontal_line(94, 148),
        horizontal_line(94, 146),
        horizontal_line(94, 144),
        horizontal_line(94, 142),
        horizontal_line(94, 140),
        horizontal_line(94, 138),
        horizontal_line(94, 136),
        horizontal_line(94, 134),
        horizontal_line(94, 132),
        horizontal_line(94, 131),
        horizontal_line(94, 129),
        horizontal_line(94, 127),
        horizontal_line(94, 125),
        horizontal_line(93, 123),
        horizontal_line(93, 121),
        horizontal_line(93, 119),
        horizontal_line(93, 117),
        horizontal_line(93, 115),
        horizontal_line(93, 113),
        horizontal_line(93, 111),
        horizontal_line(93, 110),
        horizontal_line(93, 108),
        horizontal_line(93, 106),
        horizontal_line(93, 104),
        horizontal_line(93, 102),
        horizontal_line(93, 100),
        horizontal_line(93, 98),
        horizontal_line(93, 96),
        horizontal_line(93, 94),
    };

    constexpr const horizontal_line frame_156_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(92, 92),
        horizontal_line(89, 96),
        horizontal_line(87, 101),
        horizontal_line(84, 106),
        horizontal_line(82, 111),
        horizontal_line(79, 116),
        horizontal_line(77, 121),
        horizontal_line(75, 126),
        horizontal_line(72, 131),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(58, 120),
        horizontal_line(55, 117),
        horizontal_line(53, 115),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(38, 100),
        horizontal_line(36, 98),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_156_shape_group_0_shapes[] = {
        shape(frame_156_shape_group_0_shape_0_horizontal_lines, 0, 1),
        shape(frame_156_shape_group_0_shape_1_horizontal_lines, 41, 3),
        shape(frame_156_shape_group_0_shape_2_horizontal_lines, 42, 1),
        shape(frame_156_shape_group_0_shape_3_horizontal_lines, 112, 8),
    };

    constexpr const horizontal_line frame_156_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(163, 187),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 186),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(163, 185),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 184),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(164, 183),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 182),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(165, 181),
        horizontal_line(166, 180),
        horizontal_line(167, 180),
        horizontal_line(168, 180),
        horizontal_line(169, 180),
        horizontal_line(170, 179),
        horizontal_line(171, 179),
        horizontal_line(172, 179),
        horizontal_line(173, 179),
        horizontal_line(174, 179),
        horizontal_line(175, 178),
        horizontal_line(176, 178),
        horizontal_line(177, 178),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_156_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(153, 170),
    };

    constexpr const horizontal_line frame_156_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(98, 153),
        horizontal_line(100, 153),
        horizontal_line(102, 154),
        horizontal_line(104, 155),
        horizontal_line(107, 155),
        horizontal_line(109, 156),
        horizontal_line(111, 156),
        horizontal_line(113, 157),
        horizontal_line(116, 157),
        horizontal_line(118, 158),
        horizontal_line(120, 158),
        horizontal_line(122, 159),
        horizontal_line(124, 159),
        horizontal_line(127, 160),
        horizontal_line(129, 160),
        horizontal_line(131, 161),
        horizontal_line(133, 161),
        horizontal_line(136, 162),
        horizontal_line(138, 163),
    };

    constexpr const horizontal_line frame_156_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(163, 165),
        horizontal_line(162, 166),
        horizontal_line(161, 167),
        horizontal_line(160, 168),
        horizontal_line(159, 169),
        horizontal_line(158, 169),
        horizontal_line(157, 168),
        horizontal_line(161, 167),
        horizontal_line(166, 166),
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(165, 169),
        horizontal_line(165, 167),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_156_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(158, 171),
        horizontal_line(154, 178),
        horizontal_line(160, 184),
        horizontal_line(167, 185),
        horizontal_line(173, 186),
        horizontal_line(180, 188),
        horizontal_line(186, 189),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_156_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(132, 136),
        horizontal_line(129, 141),
        horizontal_line(127, 145),
        horizontal_line(124, 150),
        horizontal_line(122, 155),
        horizontal_line(120, 160),
        horizontal_line(117, 165),
        horizontal_line(115, 170),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(108, 170),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_156_shape_group_1_shapes[] = {
        shape(frame_156_shape_group_1_shape_0_horizontal_lines, 0, 1),
        shape(frame_156_shape_group_1_shape_1_horizontal_lines, 41, 6),
        shape(frame_156_shape_group_1_shape_2_horizontal_lines, 42, 3),
        shape(frame_156_shape_group_1_shape_3_horizontal_lines, 61, 1),
        shape(frame_156_shape_group_1_shape_4_horizontal_lines, 78, 8),
        shape(frame_156_shape_group_1_shape_5_horizontal_lines, 121, 8),
    };

    constexpr const horizontal_line frame_156_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(67, 129),
        horizontal_line(71, 128),
        horizontal_line(75, 126),
        horizontal_line(79, 125),
        horizontal_line(83, 123),
        horizontal_line(88, 122),
        horizontal_line(92, 120),
        horizontal_line(96, 119),
        horizontal_line(100, 117),
        horizontal_line(104, 115),
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_156_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(113, 147),
        horizontal_line(112, 147),
        horizontal_line(110, 148),
        horizontal_line(109, 148),
        horizontal_line(107, 149),
        horizontal_line(106, 149),
        horizontal_line(104, 150),
        horizontal_line(103, 150),
        horizontal_line(101, 151),
        horizontal_line(100, 151),
        horizontal_line(98, 152),
    };

    constexpr const horizontal_line frame_156_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(155, 170),
        horizontal_line(156, 170),
        horizontal_line(156, 171),
        horizontal_line(157, 170),
        horizontal_line(157, 170),
        horizontal_line(158, 169),
        horizontal_line(158, 169),
    };

    constexpr const horizontal_line frame_156_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(169, 171),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 172),
        horizontal_line(140, 163),
        horizontal_line(142, 162),
        horizontal_line(144, 161),
        horizontal_line(147, 160),
        horizontal_line(149, 159),
        horizontal_line(151, 158),
        horizontal_line(153, 157),
        horizontal_line(156, 156),
        horizontal_line(168, 177),
        horizontal_line(167, 177),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
    };

    constexpr const horizontal_line frame_156_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(173, 181),
        horizontal_line(171, 185),
        horizontal_line(177, 186),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_156_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_156_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(174, 175),
        horizontal_line(172, 180),
        horizontal_line(170, 185),
        horizontal_line(167, 190),
        horizontal_line(165, 194),
        horizontal_line(162, 199),
        horizontal_line(160, 204),
        horizontal_line(157, 209),
        horizontal_line(155, 214),
        horizontal_line(153, 215),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(145, 207),
        horizontal_line(143, 205),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(136, 198),
        horizontal_line(133, 195),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_156_shape_group_2_shapes[] = {
        shape(frame_156_shape_group_2_shape_0_horizontal_lines, 0, 1),
        shape(frame_156_shape_group_2_shape_1_horizontal_lines, 30, 3),
        shape(frame_156_shape_group_2_shape_2_horizontal_lines, 42, 6),
        shape(frame_156_shape_group_2_shape_3_horizontal_lines, 51, 3),
        shape(frame_156_shape_group_2_shape_4_horizontal_lines, 73, 1),
        shape(frame_156_shape_group_2_shape_5_horizontal_lines, 78, 8),
        shape(frame_156_shape_group_2_shape_6_horizontal_lines, 129, 8),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 137),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 132),
        horizontal_line(125, 131),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(129, 141),
        horizontal_line(127, 142),
        horizontal_line(126, 142),
        horizontal_line(124, 143),
        horizontal_line(123, 143),
        horizontal_line(121, 144),
        horizontal_line(120, 144),
        horizontal_line(118, 145),
        horizontal_line(116, 145),
        horizontal_line(115, 146),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(148, 167),
        horizontal_line(148, 168),
        horizontal_line(149, 169),
        horizontal_line(149, 169),
        horizontal_line(150, 169),
        horizontal_line(150, 169),
        horizontal_line(151, 169),
        horizontal_line(151, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 170),
        horizontal_line(153, 170),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(179, 179),
        horizontal_line(179, 180),
        horizontal_line(179, 181),
        horizontal_line(179, 181),
        horizontal_line(179, 182),
        horizontal_line(179, 182),
        horizontal_line(179, 183),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(162, 165),
        horizontal_line(162, 165),
        horizontal_line(163, 164),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(165, 172),
        horizontal_line(166, 171),
        horizontal_line(167, 171),
        horizontal_line(168, 170),
        horizontal_line(169, 170),
        horizontal_line(170, 170),
        horizontal_line(170, 175),
        horizontal_line(169, 174),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(187, 195),
        horizontal_line(188, 195),
        horizontal_line(189, 196),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(171, 176),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(186, 194),
        horizontal_line(185, 194),
        horizontal_line(185, 193),
        horizontal_line(185, 193),
        horizontal_line(186, 192),
        horizontal_line(187, 192),
        horizontal_line(189, 191),
        horizontal_line(190, 191),
    };

    constexpr const horizontal_line frame_156_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(215, 219),
        horizontal_line(212, 224),
        horizontal_line(210, 229),
        horizontal_line(207, 234),
        horizontal_line(205, 239),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(198, 239),
        horizontal_line(195, 239),
        horizontal_line(193, 239),
        horizontal_line(190, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_156_shape_group_3_shapes[] = {
        shape(frame_156_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_156_shape_group_3_shape_1_horizontal_lines, 20, 3),
        shape(frame_156_shape_group_3_shape_2_horizontal_lines, 30, 6),
        shape(frame_156_shape_group_3_shape_3_horizontal_lines, 43, 8),
        shape(frame_156_shape_group_3_shape_4_horizontal_lines, 51, 6),
        shape(frame_156_shape_group_3_shape_5_horizontal_lines, 61, 3),
        shape(frame_156_shape_group_3_shape_6_horizontal_lines, 69, 8),
        shape(frame_156_shape_group_3_shape_7_horizontal_lines, 73, 3),
        shape(frame_156_shape_group_3_shape_8_horizontal_lines, 75, 8),
        shape(frame_156_shape_group_3_shape_9_horizontal_lines, 78, 9),
        shape(frame_156_shape_group_3_shape_10_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(127, 142),
        horizontal_line(128, 141),
        horizontal_line(129, 141),
        horizontal_line(130, 141),
        horizontal_line(131, 141),
        horizontal_line(132, 140),
        horizontal_line(133, 140),
        horizontal_line(134, 140),
        horizontal_line(135, 140),
        horizontal_line(136, 139),
        horizontal_line(137, 139),
        horizontal_line(138, 139),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(140, 163),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(138, 138),
        horizontal_line(136, 139),
        horizontal_line(135, 139),
        horizontal_line(133, 140),
        horizontal_line(132, 140),
        horizontal_line(130, 141),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(142, 164),
        horizontal_line(143, 164),
        horizontal_line(143, 164),
        horizontal_line(144, 164),
        horizontal_line(144, 164),
        horizontal_line(145, 164),
        horizontal_line(145, 164),
        horizontal_line(146, 164),
        horizontal_line(146, 165),
        horizontal_line(147, 166),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(179, 184),
        horizontal_line(172, 172),
        horizontal_line(173, 173),
        horizontal_line(173, 174),
        horizontal_line(179, 186),
        horizontal_line(179, 187),
        horizontal_line(179, 187),
        horizontal_line(180, 188),
        horizontal_line(181, 189),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(173, 175),
        horizontal_line(173, 181),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(214, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_156_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(187, 195),
        horizontal_line(186, 194),
    };

    constexpr const shape frame_156_shape_group_4_shapes[] = {
        shape(frame_156_shape_group_4_shape_0_horizontal_lines, 0, 3),
        shape(frame_156_shape_group_4_shape_1_horizontal_lines, 13, 6),
        shape(frame_156_shape_group_4_shape_2_horizontal_lines, 14, 3),
        shape(frame_156_shape_group_4_shape_3_horizontal_lines, 20, 6),
        shape(frame_156_shape_group_4_shape_4_horizontal_lines, 51, 8),
        shape(frame_156_shape_group_4_shape_5_horizontal_lines, 60, 6),
        shape(frame_156_shape_group_4_shape_6_horizontal_lines, 68, 3),
        shape(frame_156_shape_group_4_shape_7_horizontal_lines, 69, 8),
        shape(frame_156_shape_group_4_shape_8_horizontal_lines, 72, 5),
        shape(frame_156_shape_group_4_shape_9_horizontal_lines, 73, 8),
        shape(frame_156_shape_group_4_shape_10_horizontal_lines, 75, 5),
        shape(frame_156_shape_group_4_shape_11_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(143, 162),
        horizontal_line(142, 162),
        horizontal_line(142, 162),
        horizontal_line(142, 162),
        horizontal_line(142, 162),
        horizontal_line(141, 162),
        horizontal_line(141, 162),
        horizontal_line(141, 162),
        horizontal_line(141, 162),
        horizontal_line(140, 162),
        horizontal_line(140, 163),
        horizontal_line(140, 163),
        horizontal_line(140, 163),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(139, 163),
        horizontal_line(140, 163),
        horizontal_line(140, 163),
        horizontal_line(141, 163),
        horizontal_line(141, 163),
        horizontal_line(142, 164),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(179, 184),
        horizontal_line(179, 185),
        horizontal_line(179, 185),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(173, 176),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(173, 176),
        horizontal_line(173, 176),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(182, 190),
        horizontal_line(183, 190),
        horizontal_line(183, 191),
        horizontal_line(184, 192),
        horizontal_line(185, 192),
        horizontal_line(185, 193),
        horizontal_line(186, 193),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(179, 186),
        horizontal_line(179, 187),
        horizontal_line(179, 187),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(180, 187),
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_156_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(187, 195),
    };

    constexpr const shape frame_156_shape_group_5_shapes[] = {
        shape(frame_156_shape_group_5_shape_0_horizontal_lines, 0, 6),
        shape(frame_156_shape_group_5_shape_1_horizontal_lines, 14, 6),
        shape(frame_156_shape_group_5_shape_2_horizontal_lines, 52, 8),
        shape(frame_156_shape_group_5_shape_3_horizontal_lines, 55, 12),
        shape(frame_156_shape_group_5_shape_4_horizontal_lines, 57, 11),
        shape(frame_156_shape_group_5_shape_5_horizontal_lines, 59, 12),
        shape(frame_156_shape_group_5_shape_6_horizontal_lines, 60, 6),
        shape(frame_156_shape_group_5_shape_7_horizontal_lines, 61, 8),
        shape(frame_156_shape_group_5_shape_8_horizontal_lines, 68, 6),
        shape(frame_156_shape_group_5_shape_9_horizontal_lines, 69, 5),
        shape(frame_156_shape_group_5_shape_10_horizontal_lines, 72, 2),
        shape(frame_156_shape_group_5_shape_11_horizontal_lines, 73, 5),
        shape(frame_156_shape_group_5_shape_12_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(177, 178),
        horizontal_line(177, 179),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(181, 189),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 182),
        horizontal_line(177, 181),
        horizontal_line(177, 181),
        horizontal_line(177, 181),
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(187, 194),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(188, 197),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_156_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(187, 196),
    };

    constexpr const shape frame_156_shape_group_6_shapes[] = {
        shape(frame_156_shape_group_6_shape_0_horizontal_lines, 54, 12),
        shape(frame_156_shape_group_6_shape_1_horizontal_lines, 56, 11),
        shape(frame_156_shape_group_6_shape_2_horizontal_lines, 57, 10),
        shape(frame_156_shape_group_6_shape_3_horizontal_lines, 59, 11),
        shape(frame_156_shape_group_6_shape_4_horizontal_lines, 60, 8),
        shape(frame_156_shape_group_6_shape_5_horizontal_lines, 62, 11),
        shape(frame_156_shape_group_6_shape_6_horizontal_lines, 67, 8),
        shape(frame_156_shape_group_6_shape_7_horizontal_lines, 69, 2),
        shape(frame_156_shape_group_6_shape_8_horizontal_lines, 72, 9),
        shape(frame_156_shape_group_6_shape_9_horizontal_lines, 73, 2),
        shape(frame_156_shape_group_6_shape_10_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_156_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_156_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(177, 179),
    };

    constexpr const horizontal_line frame_156_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(182, 183),
        horizontal_line(182, 184),
        horizontal_line(182, 184),
        horizontal_line(179, 185),
    };

    constexpr const horizontal_line frame_156_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_156_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_156_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(188, 196),
    };

    constexpr const shape frame_156_shape_group_7_shapes[] = {
        shape(frame_156_shape_group_7_shape_0_horizontal_lines, 56, 10),
        shape(frame_156_shape_group_7_shape_1_horizontal_lines, 60, 12),
        shape(frame_156_shape_group_7_shape_2_horizontal_lines, 63, 5),
        shape(frame_156_shape_group_7_shape_3_horizontal_lines, 68, 8),
        shape(frame_156_shape_group_7_shape_4_horizontal_lines, 71, 4),
        shape(frame_156_shape_group_7_shape_5_horizontal_lines, 73, 9),
    };

    constexpr const horizontal_line frame_156_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_156_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_156_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(179, 186),
    };

    constexpr const shape frame_156_shape_group_8_shapes[] = {
        shape(frame_156_shape_group_8_shape_0_horizontal_lines, 60, 11),
        shape(frame_156_shape_group_8_shape_1_horizontal_lines, 67, 2),
        shape(frame_156_shape_group_8_shape_2_horizontal_lines, 68, 5),
    };

    constexpr const horizontal_line frame_156_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const shape frame_156_shape_group_9_shapes[] = {
        shape(frame_156_shape_group_9_shape_0_horizontal_lines, 68, 2),
    };

    constexpr const shape_group frame_156_shape_groups[] = {
        shape_group(frame_156_shape_group_0_shapes),
        shape_group(frame_156_shape_group_1_shapes),
        shape_group(frame_156_shape_group_2_shapes),
        shape_group(frame_156_shape_group_3_shapes),
        shape_group(frame_156_shape_group_4_shapes),
        shape_group(frame_156_shape_group_5_shapes),
        shape_group(frame_156_shape_group_6_shapes),
        shape_group(frame_156_shape_group_7_shapes),
        shape_group(frame_156_shape_group_8_shapes),
        shape_group(frame_156_shape_group_9_shapes),
    };

    constexpr const frame frame_156_impl(frame_156_colors, frame_156_shape_groups);
} 

const frame& frame_156()
{
    return frame_156_impl;
}

namespace
{
    constexpr const bn::color frame_157_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_157_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(5, 67),
        horizontal_line(8, 70),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(44, 106),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(92, 152),
        horizontal_line(95, 153),
        horizontal_line(98, 154),
        horizontal_line(101, 154),
        horizontal_line(104, 155),
        horizontal_line(107, 156),
        horizontal_line(110, 157),
        horizontal_line(113, 157),
        horizontal_line(116, 158),
        horizontal_line(119, 159),
        horizontal_line(122, 160),
        horizontal_line(125, 172),
        horizontal_line(128, 160),
        horizontal_line(131, 159),
        horizontal_line(134, 158),
        horizontal_line(137, 157),
        horizontal_line(140, 156),
        horizontal_line(143, 155),
        horizontal_line(146, 154),
        horizontal_line(149, 153),
        horizontal_line(152, 152),
        horizontal_line(167, 176),
        horizontal_line(166, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 176),
        horizontal_line(171, 175),
        horizontal_line(170, 172),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_157_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_157_shape_group_0_shapes[] = {
        shape(frame_157_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_157_shape_group_0_shape_1_horizontal_lines, 76, 1),
    };

    constexpr const horizontal_line frame_157_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(67, 129),
        horizontal_line(70, 131),
        horizontal_line(73, 132),
        horizontal_line(76, 132),
        horizontal_line(79, 133),
        horizontal_line(82, 134),
        horizontal_line(85, 135),
        horizontal_line(88, 135),
        horizontal_line(91, 136),
        horizontal_line(94, 137),
        horizontal_line(97, 138),
        horizontal_line(100, 138),
        horizontal_line(103, 139),
        horizontal_line(106, 140),
        horizontal_line(109, 141),
        horizontal_line(112, 141),
        horizontal_line(115, 142),
        horizontal_line(118, 143),
        horizontal_line(121, 144),
        horizontal_line(124, 144),
        horizontal_line(127, 145),
        horizontal_line(130, 146),
        horizontal_line(133, 147),
        horizontal_line(136, 148),
        horizontal_line(139, 148),
        horizontal_line(142, 149),
        horizontal_line(145, 150),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
        horizontal_line(166, 167),
        horizontal_line(166, 168),
        horizontal_line(165, 169),
        horizontal_line(165, 170),
        horizontal_line(165, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
    };

    constexpr const horizontal_line frame_157_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_157_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(162, 171),
        horizontal_line(163, 171),
        horizontal_line(164, 170),
        horizontal_line(165, 170),
        horizontal_line(166, 169),
        horizontal_line(167, 169),
        horizontal_line(169, 169),
        horizontal_line(169, 174),
        horizontal_line(168, 173),
    };

    constexpr const horizontal_line frame_157_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(163, 168),
        horizontal_line(163, 164),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 122),
        horizontal_line(62, 120),
        horizontal_line(62, 118),
        horizontal_line(62, 116),
        horizontal_line(62, 114),
        horizontal_line(62, 112),
        horizontal_line(62, 110),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
        horizontal_line(62, 102),
        horizontal_line(62, 100),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const shape frame_157_shape_group_1_shapes[] = {
        shape(frame_157_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_157_shape_group_1_shape_1_horizontal_lines, 59, 1),
        shape(frame_157_shape_group_1_shape_2_horizontal_lines, 60, 3),
        shape(frame_157_shape_group_1_shape_3_horizontal_lines, 69, 1),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(117, 159),
        horizontal_line(117, 159),
        horizontal_line(118, 159),
        horizontal_line(119, 159),
        horizontal_line(120, 159),
        horizontal_line(120, 159),
        horizontal_line(121, 159),
        horizontal_line(122, 159),
        horizontal_line(123, 160),
        horizontal_line(123, 160),
        horizontal_line(124, 160),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(126, 129),
        horizontal_line(129, 130),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 161),
        horizontal_line(133, 161),
        horizontal_line(133, 161),
        horizontal_line(134, 162),
        horizontal_line(135, 163),
        horizontal_line(136, 164),
        horizontal_line(136, 164),
        horizontal_line(137, 165),
        horizontal_line(138, 165),
        horizontal_line(139, 165),
        horizontal_line(139, 165),
        horizontal_line(140, 165),
        horizontal_line(141, 165),
        horizontal_line(142, 166),
        horizontal_line(142, 166),
        horizontal_line(143, 166),
        horizontal_line(144, 166),
        horizontal_line(145, 166),
        horizontal_line(145, 167),
        horizontal_line(146, 167),
        horizontal_line(147, 167),
        horizontal_line(148, 167),
        horizontal_line(149, 167),
        horizontal_line(149, 168),
        horizontal_line(150, 167),
        horizontal_line(151, 167),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(148, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(153, 165),
        horizontal_line(154, 165),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(156, 164),
        horizontal_line(157, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 162),
        horizontal_line(159, 162),
        horizontal_line(160, 161),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(172, 174),
        horizontal_line(172, 176),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(170, 175),
        horizontal_line(170, 175),
        horizontal_line(170, 175),
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(156, 166),
        horizontal_line(160, 165),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 169),
        horizontal_line(163, 169),
        horizontal_line(170, 185),
        horizontal_line(180, 186),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 149),
        horizontal_line(124, 148),
        horizontal_line(124, 146),
        horizontal_line(124, 144),
        horizontal_line(124, 142),
        horizontal_line(124, 140),
        horizontal_line(124, 138),
        horizontal_line(124, 136),
        horizontal_line(124, 134),
        horizontal_line(124, 132),
        horizontal_line(124, 130),
        horizontal_line(124, 128),
        horizontal_line(124, 126),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_157_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_157_shape_group_2_shapes[] = {
        shape(frame_157_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_157_shape_group_2_shape_1_horizontal_lines, 11, 3),
        shape(frame_157_shape_group_2_shape_2_horizontal_lines, 20, 6),
        shape(frame_157_shape_group_2_shape_3_horizontal_lines, 46, 3),
        shape(frame_157_shape_group_2_shape_4_horizontal_lines, 48, 6),
        shape(frame_157_shape_group_2_shape_5_horizontal_lines, 59, 1),
        shape(frame_157_shape_group_2_shape_6_horizontal_lines, 60, 6),
        shape(frame_157_shape_group_2_shape_7_horizontal_lines, 68, 3),
        shape(frame_157_shape_group_2_shape_8_horizontal_lines, 69, 1),
        shape(frame_157_shape_group_2_shape_9_horizontal_lines, 95, 8),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(160, 184),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 183),
        horizontal_line(160, 182),
        horizontal_line(160, 182),
        horizontal_line(161, 182),
        horizontal_line(161, 182),
        horizontal_line(161, 182),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 160),
        horizontal_line(126, 160),
        horizontal_line(126, 160),
        horizontal_line(127, 160),
        horizontal_line(128, 160),
        horizontal_line(129, 161),
        horizontal_line(129, 161),
        horizontal_line(130, 161),
        horizontal_line(131, 161),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 58),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(152, 166),
        horizontal_line(152, 166),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(176, 176),
        horizontal_line(173, 179),
        horizontal_line(171, 182),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_157_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(158, 167),
        horizontal_line(155, 173),
        horizontal_line(152, 179),
        horizontal_line(150, 184),
        horizontal_line(156, 185),
        horizontal_line(162, 186),
        horizontal_line(168, 187),
        horizontal_line(175, 188),
        horizontal_line(181, 189),
        horizontal_line(187, 190),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
    };

    constexpr const shape frame_157_shape_group_3_shapes[] = {
        shape(frame_157_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_157_shape_group_3_shape_1_horizontal_lines, 11, 6),
        shape(frame_157_shape_group_3_shape_2_horizontal_lines, 20, 1),
        shape(frame_157_shape_group_3_shape_3_horizontal_lines, 46, 6),
        shape(frame_157_shape_group_3_shape_4_horizontal_lines, 48, 1),
        shape(frame_157_shape_group_3_shape_5_horizontal_lines, 60, 6),
        shape(frame_157_shape_group_3_shape_6_horizontal_lines, 61, 1),
        shape(frame_157_shape_group_3_shape_7_horizontal_lines, 68, 6),
        shape(frame_157_shape_group_3_shape_8_horizontal_lines, 69, 1),
        shape(frame_157_shape_group_3_shape_9_horizontal_lines, 78, 8),
    };

    constexpr const horizontal_line frame_157_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(161, 181),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
        horizontal_line(162, 180),
        horizontal_line(162, 180),
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(162, 180),
        horizontal_line(162, 180),
        horizontal_line(162, 179),
        horizontal_line(163, 179),
        horizontal_line(164, 179),
        horizontal_line(165, 179),
        horizontal_line(166, 179),
        horizontal_line(167, 178),
        horizontal_line(168, 178),
        horizontal_line(169, 178),
        horizontal_line(170, 178),
        horizontal_line(171, 178),
        horizontal_line(172, 177),
        horizontal_line(173, 177),
        horizontal_line(174, 177),
        horizontal_line(175, 177),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_157_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 67),
        horizontal_line(62, 70),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
        horizontal_line(62, 82),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 91),
        horizontal_line(62, 94),
        horizontal_line(62, 97),
        horizontal_line(62, 100),
        horizontal_line(62, 103),
        horizontal_line(62, 106),
        horizontal_line(62, 109),
        horizontal_line(62, 112),
        horizontal_line(62, 115),
        horizontal_line(62, 118),
        horizontal_line(62, 121),
    };

    constexpr const horizontal_line frame_157_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(180, 189),
    };

    constexpr const horizontal_line frame_157_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(160, 162),
        horizontal_line(159, 163),
        horizontal_line(158, 164),
        horizontal_line(157, 165),
        horizontal_line(156, 166),
        horizontal_line(155, 168),
        horizontal_line(154, 168),
        horizontal_line(0, 62),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_157_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const shape frame_157_shape_group_4_shapes[] = {
        shape(frame_157_shape_group_4_shape_0_horizontal_lines, 11, 1),
        shape(frame_157_shape_group_4_shape_1_horizontal_lines, 39, 1),
        shape(frame_157_shape_group_4_shape_2_horizontal_lines, 59, 8),
        shape(frame_157_shape_group_4_shape_3_horizontal_lines, 60, 1),
        shape(frame_157_shape_group_4_shape_4_horizontal_lines, 78, 8),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(162, 180),
        horizontal_line(162, 180),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(178, 179),
        horizontal_line(178, 179),
        horizontal_line(178, 180),
        horizontal_line(178, 181),
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(178, 183),
        horizontal_line(178, 184),
        horizontal_line(178, 184),
        horizontal_line(171, 171),
        horizontal_line(171, 172),
        horizontal_line(171, 174),
        horizontal_line(178, 186),
        horizontal_line(172, 172),
        horizontal_line(178, 188),
        horizontal_line(179, 188),
        horizontal_line(179, 189),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(153, 167),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(187, 195),
        horizontal_line(187, 196),
        horizontal_line(188, 196),
        horizontal_line(189, 197),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 150),
        horizontal_line(124, 150),
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_157_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(186, 196),
        horizontal_line(186, 195),
        horizontal_line(185, 195),
        horizontal_line(185, 195),
        horizontal_line(185, 194),
        horizontal_line(186, 194),
        horizontal_line(187, 193),
        horizontal_line(188, 193),
        horizontal_line(189, 193),
        horizontal_line(190, 192),
        horizontal_line(191, 192),
    };

    constexpr const shape frame_157_shape_group_5_shapes[] = {
        shape(frame_157_shape_group_5_shape_0_horizontal_lines, 18, 1),
        shape(frame_157_shape_group_5_shape_1_horizontal_lines, 39, 8),
        shape(frame_157_shape_group_5_shape_2_horizontal_lines, 46, 1),
        shape(frame_157_shape_group_5_shape_3_horizontal_lines, 48, 8),
        shape(frame_157_shape_group_5_shape_4_horizontal_lines, 59, 12),
        shape(frame_157_shape_group_5_shape_5_horizontal_lines, 60, 1),
        shape(frame_157_shape_group_5_shape_6_horizontal_lines, 69, 8),
        shape(frame_157_shape_group_5_shape_7_horizontal_lines, 73, 1),
        shape(frame_157_shape_group_5_shape_8_horizontal_lines, 76, 8),
        shape(frame_157_shape_group_5_shape_9_horizontal_lines, 78, 9),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(178, 182),
        horizontal_line(178, 182),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(178, 185),
        horizontal_line(178, 185),
        horizontal_line(178, 186),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(171, 175),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(178, 187),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 178),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(124, 130),
        horizontal_line(124, 133),
        horizontal_line(124, 136),
        horizontal_line(124, 139),
        horizontal_line(124, 142),
        horizontal_line(124, 145),
        horizontal_line(124, 148),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(178, 186),
        horizontal_line(178, 186),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(213, 239),
        horizontal_line(200, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_157_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(187, 196),
    };

    constexpr const shape frame_157_shape_group_6_shapes[] = {
        shape(frame_157_shape_group_6_shape_0_horizontal_lines, 46, 8),
        shape(frame_157_shape_group_6_shape_1_horizontal_lines, 51, 8),
        shape(frame_157_shape_group_6_shape_2_horizontal_lines, 54, 12),
        shape(frame_157_shape_group_6_shape_3_horizontal_lines, 55, 8),
        shape(frame_157_shape_group_6_shape_4_horizontal_lines, 56, 10),
        shape(frame_157_shape_group_6_shape_5_horizontal_lines, 57, 12),
        shape(frame_157_shape_group_6_shape_6_horizontal_lines, 59, 11),
        shape(frame_157_shape_group_6_shape_7_horizontal_lines, 60, 1),
        shape(frame_157_shape_group_6_shape_8_horizontal_lines, 69, 5),
        shape(frame_157_shape_group_6_shape_9_horizontal_lines, 71, 8),
        shape(frame_157_shape_group_6_shape_10_horizontal_lines, 76, 5),
        shape(frame_157_shape_group_6_shape_11_horizontal_lines, 77, 9),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(181, 191),
        horizontal_line(182, 191),
        horizontal_line(183, 192),
        horizontal_line(183, 192),
        horizontal_line(184, 193),
        horizontal_line(185, 193),
        horizontal_line(185, 194),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(178, 187),
        horizontal_line(179, 187),
        horizontal_line(179, 187),
        horizontal_line(180, 187),
        horizontal_line(183, 186),
    };

    constexpr const horizontal_line frame_157_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(187, 196),
    };

    constexpr const shape frame_157_shape_group_7_shapes[] = {
        shape(frame_157_shape_group_7_shape_0_horizontal_lines, 55, 12),
        shape(frame_157_shape_group_7_shape_1_horizontal_lines, 56, 11),
        shape(frame_157_shape_group_7_shape_2_horizontal_lines, 57, 10),
        shape(frame_157_shape_group_7_shape_3_horizontal_lines, 58, 11),
        shape(frame_157_shape_group_7_shape_4_horizontal_lines, 60, 1),
        shape(frame_157_shape_group_7_shape_5_horizontal_lines, 61, 8),
        shape(frame_157_shape_group_7_shape_6_horizontal_lines, 68, 1),
        shape(frame_157_shape_group_7_shape_7_horizontal_lines, 69, 2),
        shape(frame_157_shape_group_7_shape_8_horizontal_lines, 71, 5),
        shape(frame_157_shape_group_7_shape_9_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(181, 190),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(176, 181),
        horizontal_line(176, 181),
        horizontal_line(176, 180),
        horizontal_line(176, 180),
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(178, 184),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(186, 195),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 178),
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_157_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(188, 197),
        horizontal_line(187, 197),
    };

    constexpr const shape frame_157_shape_group_8_shapes[] = {
        shape(frame_157_shape_group_8_shape_0_horizontal_lines, 55, 10),
        shape(frame_157_shape_group_8_shape_1_horizontal_lines, 57, 11),
        shape(frame_157_shape_group_8_shape_2_horizontal_lines, 60, 8),
        shape(frame_157_shape_group_8_shape_3_horizontal_lines, 61, 11),
        shape(frame_157_shape_group_8_shape_4_horizontal_lines, 67, 5),
        shape(frame_157_shape_group_8_shape_5_horizontal_lines, 68, 8),
        shape(frame_157_shape_group_8_shape_6_horizontal_lines, 71, 2),
        shape(frame_157_shape_group_8_shape_7_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_157_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_157_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(181, 182),
        horizontal_line(181, 183),
        horizontal_line(181, 184),
    };

    constexpr const horizontal_line frame_157_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_157_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_157_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_157_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(188, 198),
    };

    constexpr const shape frame_157_shape_group_9_shapes[] = {
        shape(frame_157_shape_group_9_shape_0_horizontal_lines, 60, 12),
        shape(frame_157_shape_group_9_shape_1_horizontal_lines, 63, 5),
        shape(frame_157_shape_group_9_shape_2_horizontal_lines, 67, 2),
        shape(frame_157_shape_group_9_shape_3_horizontal_lines, 68, 5),
        shape(frame_157_shape_group_9_shape_4_horizontal_lines, 72, 4),
        shape(frame_157_shape_group_9_shape_5_horizontal_lines, 73, 9),
    };

    constexpr const horizontal_line frame_157_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_157_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const shape frame_157_shape_group_10_shapes[] = {
        shape(frame_157_shape_group_10_shape_0_horizontal_lines, 60, 11),
        shape(frame_157_shape_group_10_shape_1_horizontal_lines, 68, 2),
    };

    constexpr const shape_group frame_157_shape_groups[] = {
        shape_group(frame_157_shape_group_0_shapes),
        shape_group(frame_157_shape_group_1_shapes),
        shape_group(frame_157_shape_group_2_shapes),
        shape_group(frame_157_shape_group_3_shapes),
        shape_group(frame_157_shape_group_4_shapes),
        shape_group(frame_157_shape_group_5_shapes),
        shape_group(frame_157_shape_group_6_shapes),
        shape_group(frame_157_shape_group_7_shapes),
        shape_group(frame_157_shape_group_8_shapes),
        shape_group(frame_157_shape_group_9_shapes),
        shape_group(frame_157_shape_group_10_shapes),
    };

    constexpr const frame frame_157_impl(frame_157_colors, frame_157_shape_groups);
} 

const frame& frame_157()
{
    return frame_157_impl;
}

namespace
{
    constexpr const bn::color frame_158_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_158_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(12, 74),
        horizontal_line(16, 78),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(31, 93),
        horizontal_line(35, 97),
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(54, 116),
        horizontal_line(58, 120),
        horizontal_line(62, 124),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(81, 143),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 156),
        horizontal_line(100, 157),
        horizontal_line(104, 166),
        horizontal_line(108, 156),
        horizontal_line(112, 155),
        horizontal_line(116, 154),
        horizontal_line(120, 153),
        horizontal_line(123, 152),
        horizontal_line(127, 151),
        horizontal_line(131, 150),
        horizontal_line(135, 149),
        horizontal_line(139, 148),
        horizontal_line(143, 147),
        horizontal_line(164, 171),
        horizontal_line(163, 170),
        horizontal_line(162, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 173),
        horizontal_line(168, 170),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_158_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
    };

    constexpr const shape frame_158_shape_group_0_shapes[] = {
        shape(frame_158_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_158_shape_group_0_shape_1_horizontal_lines, 77, 1),
    };

    constexpr const horizontal_line frame_158_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 134),
        horizontal_line(78, 135),
        horizontal_line(82, 136),
        horizontal_line(86, 137),
        horizontal_line(89, 138),
        horizontal_line(93, 139),
        horizontal_line(97, 140),
        horizontal_line(101, 141),
        horizontal_line(105, 142),
        horizontal_line(109, 143),
        horizontal_line(164, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(162, 165),
        horizontal_line(162, 166),
        horizontal_line(161, 167),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 169),
        horizontal_line(159, 169),
        horizontal_line(159, 169),
        horizontal_line(166, 170),
        horizontal_line(159, 169),
        horizontal_line(160, 169),
        horizontal_line(161, 168),
        horizontal_line(162, 168),
        horizontal_line(163, 167),
        horizontal_line(164, 167),
        horizontal_line(165, 166),
        horizontal_line(166, 166),
        horizontal_line(166, 172),
        horizontal_line(165, 172),
        horizontal_line(174, 174),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_158_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(161, 166),
        horizontal_line(161, 162),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 121),
        horizontal_line(62, 119),
        horizontal_line(62, 117),
        horizontal_line(62, 115),
        horizontal_line(62, 113),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
        horizontal_line(62, 102),
        horizontal_line(62, 100),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
    };

    constexpr const shape frame_158_shape_group_1_shapes[] = {
        shape(frame_158_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_158_shape_group_1_shape_1_horizontal_lines, 71, 1),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(103, 156),
        horizontal_line(103, 156),
        horizontal_line(104, 156),
        horizontal_line(105, 156),
        horizontal_line(106, 156),
        horizontal_line(107, 156),
        horizontal_line(108, 156),
        horizontal_line(109, 156),
        horizontal_line(110, 156),
        horizontal_line(111, 157),
        horizontal_line(112, 157),
        horizontal_line(113, 157),
        horizontal_line(114, 157),
        horizontal_line(115, 157),
        horizontal_line(116, 157),
        horizontal_line(117, 157),
        horizontal_line(118, 157),
        horizontal_line(119, 158),
        horizontal_line(120, 159),
        horizontal_line(121, 160),
        horizontal_line(122, 161),
        horizontal_line(123, 161),
        horizontal_line(124, 161),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(125, 131),
        horizontal_line(128, 132),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(135, 163),
        horizontal_line(136, 164),
        horizontal_line(137, 164),
        horizontal_line(138, 164),
        horizontal_line(139, 164),
        horizontal_line(140, 165),
        horizontal_line(141, 164),
        horizontal_line(142, 164),
        horizontal_line(143, 163),
        horizontal_line(144, 163),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(112, 144),
        horizontal_line(116, 145),
        horizontal_line(120, 146),
        horizontal_line(124, 147),
        horizontal_line(128, 148),
        horizontal_line(132, 149),
        horizontal_line(136, 150),
        horizontal_line(139, 151),
        horizontal_line(143, 152),
        horizontal_line(147, 153),
        horizontal_line(151, 154),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(170, 171),
        horizontal_line(170, 173),
        horizontal_line(169, 175),
        horizontal_line(169, 174),
        horizontal_line(168, 174),
        horizontal_line(168, 174),
        horizontal_line(167, 173),
        horizontal_line(167, 173),
        horizontal_line(173, 177),
        horizontal_line(173, 175),
        horizontal_line(172, 173),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(168, 185),
        horizontal_line(178, 185),
        horizontal_line(124, 144),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 142),
        horizontal_line(124, 140),
        horizontal_line(124, 138),
        horizontal_line(124, 136),
        horizontal_line(124, 134),
        horizontal_line(124, 132),
        horizontal_line(124, 130),
        horizontal_line(124, 128),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_158_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_158_shape_group_2_shapes[] = {
        shape(frame_158_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_158_shape_group_2_shape_1_horizontal_lines, 23, 3),
        shape(frame_158_shape_group_2_shape_2_horizontal_lines, 34, 6),
        shape(frame_158_shape_group_2_shape_3_horizontal_lines, 44, 3),
        shape(frame_158_shape_group_2_shape_4_horizontal_lines, 56, 6),
        shape(frame_158_shape_group_2_shape_5_horizontal_lines, 58, 1),
        shape(frame_158_shape_group_2_shape_6_horizontal_lines, 59, 6),
        shape(frame_158_shape_group_2_shape_7_horizontal_lines, 71, 1),
        shape(frame_158_shape_group_2_shape_8_horizontal_lines, 94, 8),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(157, 181),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(157, 180),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(158, 179),
        horizontal_line(159, 178),
        horizontal_line(160, 178),
        horizontal_line(161, 178),
        horizontal_line(162, 178),
        horizontal_line(163, 178),
        horizontal_line(164, 178),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 161),
        horizontal_line(126, 161),
        horizontal_line(127, 162),
        horizontal_line(128, 162),
        horizontal_line(129, 162),
        horizontal_line(130, 162),
        horizontal_line(131, 162),
        horizontal_line(131, 163),
        horizontal_line(132, 163),
        horizontal_line(133, 163),
        horizontal_line(134, 163),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 30),
        horizontal_line(0, 34),
        horizontal_line(0, 38),
        horizontal_line(0, 42),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(145, 163),
        horizontal_line(146, 162),
        horizontal_line(147, 162),
        horizontal_line(148, 162),
        horizontal_line(149, 161),
        horizontal_line(150, 161),
        horizontal_line(151, 160),
        horizontal_line(152, 160),
        horizontal_line(153, 160),
        horizontal_line(154, 159),
        horizontal_line(155, 159),
        horizontal_line(156, 159),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(174, 174),
        horizontal_line(171, 178),
        horizontal_line(169, 183),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_158_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(156, 166),
        horizontal_line(153, 172),
        horizontal_line(149, 178),
        horizontal_line(146, 183),
        horizontal_line(144, 184),
        horizontal_line(149, 185),
        horizontal_line(155, 186),
        horizontal_line(161, 187),
        horizontal_line(166, 188),
        horizontal_line(172, 189),
        horizontal_line(178, 190),
        horizontal_line(183, 191),
        horizontal_line(189, 192),
        horizontal_line(194, 239),
    };

    constexpr const shape frame_158_shape_group_3_shapes[] = {
        shape(frame_158_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_158_shape_group_3_shape_1_horizontal_lines, 23, 6),
        shape(frame_158_shape_group_3_shape_2_horizontal_lines, 34, 1),
        shape(frame_158_shape_group_3_shape_3_horizontal_lines, 44, 6),
        shape(frame_158_shape_group_3_shape_4_horizontal_lines, 56, 1),
        shape(frame_158_shape_group_3_shape_5_horizontal_lines, 60, 6),
        shape(frame_158_shape_group_3_shape_6_horizontal_lines, 61, 1),
        shape(frame_158_shape_group_3_shape_7_horizontal_lines, 79, 8),
    };

    constexpr const horizontal_line frame_158_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(165, 178),
        horizontal_line(166, 178),
        horizontal_line(168, 177),
        horizontal_line(169, 177),
        horizontal_line(170, 177),
        horizontal_line(171, 177),
        horizontal_line(172, 177),
        horizontal_line(173, 177),
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_158_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 177),
        horizontal_line(177, 178),
        horizontal_line(177, 178),
        horizontal_line(177, 179),
        horizontal_line(177, 180),
        horizontal_line(177, 180),
        horizontal_line(177, 181),
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_158_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 53),
        horizontal_line(0, 57),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 96),
        horizontal_line(62, 99),
    };

    constexpr const horizontal_line frame_158_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(178, 190),
    };

    constexpr const horizontal_line frame_158_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(0, 62),
        horizontal_line(155, 160),
        horizontal_line(154, 161),
        horizontal_line(153, 162),
        horizontal_line(152, 163),
        horizontal_line(151, 164),
        horizontal_line(150, 165),
        horizontal_line(149, 165),
        horizontal_line(148, 164),
        horizontal_line(62, 124),
        horizontal_line(153, 162),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(124, 145),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
    };

    constexpr const horizontal_line frame_158_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const shape frame_158_shape_group_4_shapes[] = {
        shape(frame_158_shape_group_4_shape_0_horizontal_lines, 23, 1),
        shape(frame_158_shape_group_4_shape_1_horizontal_lines, 35, 8),
        shape(frame_158_shape_group_4_shape_2_horizontal_lines, 44, 1),
        shape(frame_158_shape_group_4_shape_3_horizontal_lines, 58, 8),
        shape(frame_158_shape_group_4_shape_4_horizontal_lines, 59, 1),
        shape(frame_158_shape_group_4_shape_5_horizontal_lines, 79, 8),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(175, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(177, 182),
        horizontal_line(177, 183),
        horizontal_line(177, 183),
        horizontal_line(177, 184),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 69),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 80),
        horizontal_line(62, 84),
        horizontal_line(62, 88),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(177, 189),
        horizontal_line(178, 190),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(62, 107),
        horizontal_line(156, 159),
        horizontal_line(62, 115),
        horizontal_line(62, 119),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 163),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(186, 198),
        horizontal_line(187, 198),
        horizontal_line(188, 199),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 145),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_158_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(185, 198),
        horizontal_line(185, 197),
        horizontal_line(184, 197),
        horizontal_line(184, 197),
        horizontal_line(184, 196),
        horizontal_line(185, 196),
        horizontal_line(186, 195),
        horizontal_line(187, 195),
        horizontal_line(188, 195),
        horizontal_line(189, 194),
        horizontal_line(190, 194),
        horizontal_line(191, 194),
        horizontal_line(192, 193),
        horizontal_line(193, 193),
    };

    constexpr const shape frame_158_shape_group_5_shapes[] = {
        shape(frame_158_shape_group_5_shape_0_horizontal_lines, 31, 1),
        shape(frame_158_shape_group_5_shape_1_horizontal_lines, 44, 8),
        shape(frame_158_shape_group_5_shape_2_horizontal_lines, 48, 1),
        shape(frame_158_shape_group_5_shape_3_horizontal_lines, 56, 8),
        shape(frame_158_shape_group_5_shape_4_horizontal_lines, 58, 12),
        shape(frame_158_shape_group_5_shape_5_horizontal_lines, 59, 1),
        shape(frame_158_shape_group_5_shape_6_horizontal_lines, 71, 8),
        shape(frame_158_shape_group_5_shape_7_horizontal_lines, 74, 1),
        shape(frame_158_shape_group_5_shape_8_horizontal_lines, 77, 8),
        shape(frame_158_shape_group_5_shape_9_horizontal_lines, 79, 9),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(177, 184),
        horizontal_line(177, 185),
        horizontal_line(168, 168),
        horizontal_line(169, 169),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
        horizontal_line(169, 169),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(179, 191),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(62, 111),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(180, 192),
        horizontal_line(181, 192),
        horizontal_line(181, 193),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 130),
        horizontal_line(124, 134),
        horizontal_line(124, 138),
        horizontal_line(124, 142),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(185, 197),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(124, 145),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(177, 185),
        horizontal_line(178, 186),
        horizontal_line(178, 186),
        horizontal_line(178, 186),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_158_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(186, 198),
        horizontal_line(186, 198),
    };

    constexpr const shape frame_158_shape_group_6_shapes[] = {
        shape(frame_158_shape_group_6_shape_0_horizontal_lines, 48, 8),
        shape(frame_158_shape_group_6_shape_1_horizontal_lines, 56, 10),
        shape(frame_158_shape_group_6_shape_2_horizontal_lines, 57, 12),
        shape(frame_158_shape_group_6_shape_3_horizontal_lines, 58, 11),
        shape(frame_158_shape_group_6_shape_4_horizontal_lines, 59, 8),
        shape(frame_158_shape_group_6_shape_5_horizontal_lines, 60, 1),
        shape(frame_158_shape_group_6_shape_6_horizontal_lines, 61, 8),
        shape(frame_158_shape_group_6_shape_7_horizontal_lines, 64, 1),
        shape(frame_158_shape_group_6_shape_8_horizontal_lines, 69, 8),
        shape(frame_158_shape_group_6_shape_9_horizontal_lines, 70, 1),
        shape(frame_158_shape_group_6_shape_10_horizontal_lines, 71, 5),
        shape(frame_158_shape_group_6_shape_11_horizontal_lines, 75, 8),
        shape(frame_158_shape_group_6_shape_12_horizontal_lines, 77, 9),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(177, 185),
        horizontal_line(177, 186),
        horizontal_line(177, 187),
        horizontal_line(177, 187),
        horizontal_line(177, 188),
        horizontal_line(177, 188),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(175, 178),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(180, 191),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(176, 179),
        horizontal_line(175, 179),
        horizontal_line(175, 179),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(182, 194),
        horizontal_line(183, 194),
        horizontal_line(183, 195),
        horizontal_line(184, 195),
        horizontal_line(184, 196),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(177, 184),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(186, 197),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(175, 176),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_158_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(179, 186),
        horizontal_line(184, 185),
    };

    constexpr const shape frame_158_shape_group_7_shapes[] = {
        shape(frame_158_shape_group_7_shape_0_horizontal_lines, 50, 8),
        shape(frame_158_shape_group_7_shape_1_horizontal_lines, 56, 11),
        shape(frame_158_shape_group_7_shape_2_horizontal_lines, 57, 10),
        shape(frame_158_shape_group_7_shape_3_horizontal_lines, 59, 12),
        shape(frame_158_shape_group_7_shape_4_horizontal_lines, 60, 8),
        shape(frame_158_shape_group_7_shape_5_horizontal_lines, 61, 11),
        shape(frame_158_shape_group_7_shape_6_horizontal_lines, 64, 8),
        shape(frame_158_shape_group_7_shape_7_horizontal_lines, 69, 5),
        shape(frame_158_shape_group_7_shape_8_horizontal_lines, 70, 8),
        shape(frame_158_shape_group_7_shape_9_horizontal_lines, 71, 2),
        shape(frame_158_shape_group_7_shape_10_horizontal_lines, 75, 5),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(180, 180),
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(175, 179),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(178, 183),
        horizontal_line(177, 183),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(177, 185),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_158_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(187, 200),
        horizontal_line(187, 199),
        horizontal_line(186, 199),
    };

    constexpr const shape frame_158_shape_group_8_shapes[] = {
        shape(frame_158_shape_group_8_shape_0_horizontal_lines, 53, 12),
        shape(frame_158_shape_group_8_shape_1_horizontal_lines, 55, 10),
        shape(frame_158_shape_group_8_shape_2_horizontal_lines, 57, 11),
        shape(frame_158_shape_group_8_shape_3_horizontal_lines, 59, 11),
        shape(frame_158_shape_group_8_shape_4_horizontal_lines, 60, 12),
        shape(frame_158_shape_group_8_shape_5_horizontal_lines, 62, 5),
        shape(frame_158_shape_group_8_shape_6_horizontal_lines, 64, 11),
        shape(frame_158_shape_group_8_shape_7_horizontal_lines, 67, 5),
        shape(frame_158_shape_group_8_shape_8_horizontal_lines, 69, 2),
        shape(frame_158_shape_group_8_shape_9_horizontal_lines, 70, 5),
        shape(frame_158_shape_group_8_shape_10_horizontal_lines, 73, 4),
        shape(frame_158_shape_group_8_shape_11_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_158_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_158_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(180, 181),
        horizontal_line(180, 182),
        horizontal_line(180, 182),
    };

    constexpr const horizontal_line frame_158_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_158_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(175, 176),
    };

    constexpr const shape frame_158_shape_group_9_shapes[] = {
        shape(frame_158_shape_group_9_shape_0_horizontal_lines, 60, 11),
        shape(frame_158_shape_group_9_shape_1_horizontal_lines, 64, 5),
        shape(frame_158_shape_group_9_shape_2_horizontal_lines, 68, 2),
        shape(frame_158_shape_group_9_shape_3_horizontal_lines, 70, 2),
    };

    constexpr const shape_group frame_158_shape_groups[] = {
        shape_group(frame_158_shape_group_0_shapes),
        shape_group(frame_158_shape_group_1_shapes),
        shape_group(frame_158_shape_group_2_shapes),
        shape_group(frame_158_shape_group_3_shapes),
        shape_group(frame_158_shape_group_4_shapes),
        shape_group(frame_158_shape_group_5_shapes),
        shape_group(frame_158_shape_group_6_shapes),
        shape_group(frame_158_shape_group_7_shapes),
        shape_group(frame_158_shape_group_8_shapes),
        shape_group(frame_158_shape_group_9_shapes),
    };

    constexpr const frame frame_158_impl(frame_158_colors, frame_158_shape_groups);
} 

const frame& frame_158()
{
    return frame_158_impl;
}

namespace
{
    constexpr const bn::color frame_159_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(4, 4, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_159_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(6, 68),
        horizontal_line(11, 73),
        horizontal_line(17, 79),
        horizontal_line(22, 84),
        horizontal_line(27, 89),
        horizontal_line(33, 95),
        horizontal_line(38, 100),
        horizontal_line(43, 105),
        horizontal_line(49, 111),
        horizontal_line(54, 116),
        horizontal_line(59, 121),
        horizontal_line(65, 127),
        horizontal_line(70, 132),
        horizontal_line(75, 137),
        horizontal_line(81, 143),
        horizontal_line(86, 148),
        horizontal_line(91, 148),
        horizontal_line(97, 147),
        horizontal_line(102, 146),
        horizontal_line(107, 145),
        horizontal_line(113, 144),
        horizontal_line(118, 143),
        horizontal_line(123, 142),
        horizontal_line(129, 141),
        horizontal_line(134, 140),
        horizontal_line(161, 167),
        horizontal_line(160, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 171),
        horizontal_line(165, 169),
        horizontal_line(165, 167),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_159_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
    };

    constexpr const shape frame_159_shape_group_0_shapes[] = {
        shape(frame_159_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_159_shape_group_0_shape_1_horizontal_lines, 78, 1),
    };

    constexpr const horizontal_line frame_159_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(159, 159),
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
        horizontal_line(156, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(154, 165),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(132, 166),
        horizontal_line(153, 167),
        horizontal_line(154, 166),
        horizontal_line(155, 166),
        horizontal_line(156, 165),
        horizontal_line(157, 165),
        horizontal_line(158, 164),
        horizontal_line(159, 164),
        horizontal_line(160, 163),
        horizontal_line(161, 163),
        horizontal_line(163, 163),
        horizontal_line(163, 169),
        horizontal_line(162, 168),
        horizontal_line(169, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(158, 163),
        horizontal_line(158, 159),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 120),
        horizontal_line(62, 118),
        horizontal_line(62, 116),
        horizontal_line(62, 114),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 107),
        horizontal_line(62, 105),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 94),
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
    };

    constexpr const shape frame_159_shape_group_1_shapes[] = {
        shape(frame_159_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_159_shape_group_1_shape_1_horizontal_lines, 71, 1),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(90, 152),
        horizontal_line(91, 152),
        horizontal_line(92, 152),
        horizontal_line(93, 152),
        horizontal_line(94, 152),
        horizontal_line(95, 152),
        horizontal_line(96, 152),
        horizontal_line(97, 152),
        horizontal_line(98, 153),
        horizontal_line(99, 154),
        horizontal_line(101, 154),
        horizontal_line(102, 154),
        horizontal_line(103, 154),
        horizontal_line(104, 155),
        horizontal_line(105, 155),
        horizontal_line(106, 155),
        horizontal_line(107, 155),
        horizontal_line(108, 156),
        horizontal_line(109, 156),
        horizontal_line(111, 156),
        horizontal_line(112, 156),
        horizontal_line(113, 156),
        horizontal_line(114, 157),
        horizontal_line(115, 157),
        horizontal_line(116, 157),
        horizontal_line(117, 157),
        horizontal_line(118, 158),
        horizontal_line(119, 158),
        horizontal_line(120, 158),
        horizontal_line(122, 158),
        horizontal_line(123, 159),
        horizontal_line(124, 159),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(68, 130),
        horizontal_line(73, 135),
        horizontal_line(79, 140),
        horizontal_line(84, 142),
        horizontal_line(89, 143),
        horizontal_line(95, 144),
        horizontal_line(100, 145),
        horizontal_line(105, 146),
        horizontal_line(111, 147),
        horizontal_line(116, 148),
        horizontal_line(121, 149),
        horizontal_line(127, 150),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(137, 151),
        horizontal_line(143, 150),
        horizontal_line(148, 149),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(166, 171),
        horizontal_line(166, 171),
        horizontal_line(165, 171),
        horizontal_line(165, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 171),
        horizontal_line(164, 174),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(148, 159),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 165),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(165, 184),
        horizontal_line(177, 184),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 135),
        horizontal_line(124, 133),
        horizontal_line(124, 131),
        horizontal_line(124, 129),
        horizontal_line(124, 127),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_159_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(173, 190),
        horizontal_line(179, 191),
        horizontal_line(185, 192),
        horizontal_line(191, 193),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_159_shape_group_2_shapes[] = {
        shape(frame_159_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_159_shape_group_2_shape_1_horizontal_lines, 32, 3),
        shape(frame_159_shape_group_2_shape_2_horizontal_lines, 57, 1),
        shape(frame_159_shape_group_2_shape_3_horizontal_lines, 58, 3),
        shape(frame_159_shape_group_2_shape_4_horizontal_lines, 61, 6),
        shape(frame_159_shape_group_2_shape_5_horizontal_lines, 69, 3),
        shape(frame_159_shape_group_2_shape_6_horizontal_lines, 70, 6),
        shape(frame_159_shape_group_2_shape_7_horizontal_lines, 71, 1),
        shape(frame_159_shape_group_2_shape_8_horizontal_lines, 94, 8),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(153, 177),
        horizontal_line(154, 177),
        horizontal_line(155, 176),
        horizontal_line(156, 176),
        horizontal_line(157, 176),
        horizontal_line(158, 176),
        horizontal_line(159, 176),
        horizontal_line(161, 176),
        horizontal_line(162, 176),
        horizontal_line(163, 176),
        horizontal_line(164, 176),
        horizontal_line(165, 175),
        horizontal_line(166, 175),
        horizontal_line(168, 175),
        horizontal_line(169, 175),
        horizontal_line(170, 175),
        horizontal_line(171, 175),
        horizontal_line(172, 175),
        horizontal_line(173, 175),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(174, 175),
        horizontal_line(174, 175),
        horizontal_line(174, 176),
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(125, 159),
        horizontal_line(126, 159),
        horizontal_line(127, 160),
        horizontal_line(128, 159),
        horizontal_line(129, 159),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 136),
        horizontal_line(125, 137),
        horizontal_line(130, 138),
        horizontal_line(135, 139),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(141, 155),
        horizontal_line(143, 155),
        horizontal_line(144, 154),
        horizontal_line(145, 154),
        horizontal_line(146, 154),
        horizontal_line(147, 153),
        horizontal_line(148, 153),
        horizontal_line(149, 153),
        horizontal_line(150, 152),
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(167, 169),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(172, 172),
        horizontal_line(170, 175),
        horizontal_line(168, 179),
        horizontal_line(166, 183),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_159_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(157, 157),
        horizontal_line(154, 162),
        horizontal_line(151, 167),
        horizontal_line(149, 172),
        horizontal_line(146, 177),
        horizontal_line(143, 181),
        horizontal_line(141, 182),
        horizontal_line(138, 183),
        horizontal_line(137, 184),
        horizontal_line(143, 185),
        horizontal_line(149, 186),
        horizontal_line(155, 187),
        horizontal_line(161, 188),
        horizontal_line(167, 189),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_159_shape_group_3_shapes[] = {
        shape(frame_159_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_159_shape_group_3_shape_1_horizontal_lines, 1, 1),
        shape(frame_159_shape_group_3_shape_2_horizontal_lines, 27, 8),
        shape(frame_159_shape_group_3_shape_3_horizontal_lines, 32, 6),
        shape(frame_159_shape_group_3_shape_4_horizontal_lines, 37, 3),
        shape(frame_159_shape_group_3_shape_5_horizontal_lines, 47, 6),
        shape(frame_159_shape_group_3_shape_6_horizontal_lines, 57, 1),
        shape(frame_159_shape_group_3_shape_7_horizontal_lines, 59, 6),
        shape(frame_159_shape_group_3_shape_8_horizontal_lines, 61, 1),
        shape(frame_159_shape_group_3_shape_9_horizontal_lines, 69, 6),
        shape(frame_159_shape_group_3_shape_10_horizontal_lines, 70, 1),
        shape(frame_159_shape_group_3_shape_11_horizontal_lines, 80, 8),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(153, 178),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(174, 177),
        horizontal_line(174, 178),
        horizontal_line(174, 178),
        horizontal_line(174, 179),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(130, 158),
        horizontal_line(132, 158),
        horizontal_line(133, 158),
        horizontal_line(134, 157),
        horizontal_line(135, 157),
        horizontal_line(136, 157),
        horizontal_line(137, 156),
        horizontal_line(138, 156),
        horizontal_line(139, 156),
        horizontal_line(140, 155),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 21),
        horizontal_line(0, 26),
        horizontal_line(0, 32),
        horizontal_line(0, 37),
        horizontal_line(0, 42),
        horizontal_line(0, 48),
        horizontal_line(0, 53),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(176, 191),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(149, 155),
        horizontal_line(148, 156),
        horizontal_line(147, 157),
        horizontal_line(146, 158),
        horizontal_line(145, 159),
        horizontal_line(144, 160),
        horizontal_line(143, 162),
        horizontal_line(142, 162),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_159_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(191, 196),
        horizontal_line(192, 196),
        horizontal_line(193, 195),
        horizontal_line(194, 195),
    };

    constexpr const shape frame_159_shape_group_4_shapes[] = {
        shape(frame_159_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_159_shape_group_4_shape_1_horizontal_lines, 32, 8),
        shape(frame_159_shape_group_4_shape_2_horizontal_lines, 37, 6),
        shape(frame_159_shape_group_4_shape_3_horizontal_lines, 47, 1),
        shape(frame_159_shape_group_4_shape_4_horizontal_lines, 57, 8),
        shape(frame_159_shape_group_4_shape_5_horizontal_lines, 58, 1),
        shape(frame_159_shape_group_4_shape_6_horizontal_lines, 60, 6),
        shape(frame_159_shape_group_4_shape_7_horizontal_lines, 61, 1),
        shape(frame_159_shape_group_4_shape_8_horizontal_lines, 80, 8),
        shape(frame_159_shape_group_4_shape_9_horizontal_lines, 94, 9),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(174, 180),
        horizontal_line(174, 180),
        horizontal_line(174, 181),
        horizontal_line(174, 181),
        horizontal_line(174, 182),
        horizontal_line(174, 182),
        horizontal_line(174, 183),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(174, 185),
        horizontal_line(174, 186),
        horizontal_line(165, 166),
        horizontal_line(165, 167),
        horizontal_line(165, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 167),
        horizontal_line(169, 169),
        horizontal_line(174, 189),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(62, 74),
        horizontal_line(151, 153),
        horizontal_line(0, 62),
        horizontal_line(62, 90),
        horizontal_line(62, 96),
        horizontal_line(62, 101),
        horizontal_line(62, 106),
        horizontal_line(62, 112),
        horizontal_line(62, 117),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(141, 161),
        horizontal_line(124, 160),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(186, 198),
        horizontal_line(187, 199),
        horizontal_line(188, 199),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 138),
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(202, 238),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_159_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(184, 201),
        horizontal_line(184, 200),
        horizontal_line(183, 200),
        horizontal_line(183, 200),
        horizontal_line(182, 199),
        horizontal_line(182, 199),
        horizontal_line(183, 199),
        horizontal_line(184, 198),
        horizontal_line(185, 198),
        horizontal_line(186, 198),
        horizontal_line(187, 197),
        horizontal_line(188, 197),
        horizontal_line(189, 197),
        horizontal_line(190, 196),
    };

    constexpr const shape frame_159_shape_group_5_shapes[] = {
        shape(frame_159_shape_group_5_shape_0_horizontal_lines, 37, 8),
        shape(frame_159_shape_group_5_shape_1_horizontal_lines, 44, 1),
        shape(frame_159_shape_group_5_shape_2_horizontal_lines, 47, 8),
        shape(frame_159_shape_group_5_shape_3_horizontal_lines, 56, 1),
        shape(frame_159_shape_group_5_shape_4_horizontal_lines, 57, 12),
        shape(frame_159_shape_group_5_shape_5_horizontal_lines, 58, 1),
        shape(frame_159_shape_group_5_shape_6_horizontal_lines, 71, 8),
        shape(frame_159_shape_group_5_shape_7_horizontal_lines, 74, 1),
        shape(frame_159_shape_group_5_shape_8_horizontal_lines, 78, 8),
        shape(frame_159_shape_group_5_shape_9_horizontal_lines, 80, 9),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(174, 183),
        horizontal_line(174, 184),
        horizontal_line(174, 184),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(174, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(174, 188),
        horizontal_line(174, 189),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(175, 190),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(176, 191),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(179, 193),
        horizontal_line(179, 193),
        horizontal_line(180, 194),
        horizontal_line(181, 194),
        horizontal_line(182, 195),
        horizontal_line(182, 195),
        horizontal_line(183, 196),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(185, 198),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(174, 183),
        horizontal_line(174, 184),
        horizontal_line(175, 184),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(191, 200),
        horizontal_line(195, 200),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_159_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(185, 201),
        horizontal_line(185, 201),
    };

    constexpr const shape frame_159_shape_group_6_shapes[] = {
        shape(frame_159_shape_group_6_shape_0_horizontal_lines, 44, 8),
        shape(frame_159_shape_group_6_shape_1_horizontal_lines, 49, 8),
        shape(frame_159_shape_group_6_shape_2_horizontal_lines, 55, 11),
        shape(frame_159_shape_group_6_shape_3_horizontal_lines, 56, 8),
        shape(frame_159_shape_group_6_shape_4_horizontal_lines, 57, 11),
        shape(frame_159_shape_group_6_shape_5_horizontal_lines, 58, 8),
        shape(frame_159_shape_group_6_shape_6_horizontal_lines, 59, 1),
        shape(frame_159_shape_group_6_shape_7_horizontal_lines, 61, 8),
        shape(frame_159_shape_group_6_shape_8_horizontal_lines, 68, 1),
        shape(frame_159_shape_group_6_shape_9_horizontal_lines, 70, 8),
        shape(frame_159_shape_group_6_shape_10_horizontal_lines, 71, 5),
        shape(frame_159_shape_group_6_shape_11_horizontal_lines, 74, 8),
        shape(frame_159_shape_group_6_shape_12_horizontal_lines, 77, 5),
        shape(frame_159_shape_group_6_shape_13_horizontal_lines, 78, 9),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(168, 171),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(177, 192),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(172, 178),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(184, 197),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(174, 183),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(173, 173),
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(175, 184),
        horizontal_line(176, 184),
        horizontal_line(180, 184),
    };

    constexpr const horizontal_line frame_159_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(185, 185),
    };

    constexpr const shape frame_159_shape_group_7_shapes[] = {
        shape(frame_159_shape_group_7_shape_0_horizontal_lines, 52, 12),
        shape(frame_159_shape_group_7_shape_1_horizontal_lines, 55, 10),
        shape(frame_159_shape_group_7_shape_2_horizontal_lines, 56, 11),
        shape(frame_159_shape_group_7_shape_3_horizontal_lines, 57, 10),
        shape(frame_159_shape_group_7_shape_4_horizontal_lines, 58, 12),
        shape(frame_159_shape_group_7_shape_5_horizontal_lines, 59, 8),
        shape(frame_159_shape_group_7_shape_6_horizontal_lines, 60, 1),
        shape(frame_159_shape_group_7_shape_7_horizontal_lines, 61, 11),
        shape(frame_159_shape_group_7_shape_8_horizontal_lines, 67, 5),
        shape(frame_159_shape_group_7_shape_9_horizontal_lines, 68, 8),
        shape(frame_159_shape_group_7_shape_10_horizontal_lines, 69, 1),
        shape(frame_159_shape_group_7_shape_11_horizontal_lines, 70, 5),
        shape(frame_159_shape_group_7_shape_12_horizontal_lines, 71, 2),
        shape(frame_159_shape_group_7_shape_13_horizontal_lines, 74, 5),
        shape(frame_159_shape_group_7_shape_14_horizontal_lines, 77, 4),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(166, 168),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(168, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(173, 176),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(178, 192),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 179),
        horizontal_line(177, 180),
        horizontal_line(177, 181),
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(174, 183),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(185, 197),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(184, 185),
        horizontal_line(185, 186),
        horizontal_line(185, 187),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(185, 186),
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_159_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(186, 202),
    };

    constexpr const shape frame_159_shape_group_8_shapes[] = {
        shape(frame_159_shape_group_8_shape_0_horizontal_lines, 54, 11),
        shape(frame_159_shape_group_8_shape_1_horizontal_lines, 56, 10),
        shape(frame_159_shape_group_8_shape_2_horizontal_lines, 58, 11),
        shape(frame_159_shape_group_8_shape_3_horizontal_lines, 59, 12),
        shape(frame_159_shape_group_8_shape_4_horizontal_lines, 60, 8),
        shape(frame_159_shape_group_8_shape_5_horizontal_lines, 62, 5),
        shape(frame_159_shape_group_8_shape_6_horizontal_lines, 68, 5),
        shape(frame_159_shape_group_8_shape_7_horizontal_lines, 69, 8),
        shape(frame_159_shape_group_8_shape_8_horizontal_lines, 70, 2),
        shape(frame_159_shape_group_8_shape_9_horizontal_lines, 71, 4),
        shape(frame_159_shape_group_8_shape_10_horizontal_lines, 74, 2),
        shape(frame_159_shape_group_8_shape_11_horizontal_lines, 75, 4),
        shape(frame_159_shape_group_8_shape_12_horizontal_lines, 77, 9),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(174, 183),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_159_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(187, 194),
        horizontal_line(186, 198),
    };

    constexpr const shape frame_159_shape_group_9_shapes[] = {
        shape(frame_159_shape_group_9_shape_0_horizontal_lines, 54, 10),
        shape(frame_159_shape_group_9_shape_1_horizontal_lines, 59, 11),
        shape(frame_159_shape_group_9_shape_2_horizontal_lines, 60, 12),
        shape(frame_159_shape_group_9_shape_3_horizontal_lines, 68, 2),
        shape(frame_159_shape_group_9_shape_4_horizontal_lines, 69, 5),
        shape(frame_159_shape_group_9_shape_5_horizontal_lines, 70, 4),
        shape(frame_159_shape_group_9_shape_6_horizontal_lines, 74, 4),
        shape(frame_159_shape_group_9_shape_7_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_159_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_159_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(187, 190),
    };

    constexpr const shape frame_159_shape_group_10_shapes[] = {
        shape(frame_159_shape_group_10_shape_0_horizontal_lines, 69, 2),
        shape(frame_159_shape_group_10_shape_1_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_159_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const shape frame_159_shape_group_11_shapes[] = {
        shape(frame_159_shape_group_11_shape_0_horizontal_lines, 69, 4),
    };

    constexpr const shape_group frame_159_shape_groups[] = {
        shape_group(frame_159_shape_group_0_shapes),
        shape_group(frame_159_shape_group_1_shapes),
        shape_group(frame_159_shape_group_2_shapes),
        shape_group(frame_159_shape_group_3_shapes),
        shape_group(frame_159_shape_group_4_shapes),
        shape_group(frame_159_shape_group_5_shapes),
        shape_group(frame_159_shape_group_6_shapes),
        shape_group(frame_159_shape_group_7_shapes),
        shape_group(frame_159_shape_group_8_shapes),
        shape_group(frame_159_shape_group_9_shapes),
        shape_group(frame_159_shape_group_10_shapes),
        shape_group(frame_159_shape_group_11_shapes),
    };

    constexpr const frame frame_159_impl(frame_159_colors, frame_159_shape_groups);
} 

const frame& frame_159()
{
    return frame_159_impl;
}

namespace
{
    constexpr const bn::color frame_160_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(0, 0, 0),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_160_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(9, 71),
        horizontal_line(18, 80),
        horizontal_line(26, 88),
        horizontal_line(35, 97),
        horizontal_line(43, 105),
        horizontal_line(52, 114),
        horizontal_line(60, 122),
        horizontal_line(69, 131),
        horizontal_line(77, 134),
        horizontal_line(86, 133),
        horizontal_line(94, 132),
        horizontal_line(103, 131),
        horizontal_line(111, 130),
        horizontal_line(120, 129),
        horizontal_line(158, 165),
        horizontal_line(157, 170),
        horizontal_line(156, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 169),
        horizontal_line(163, 166),
        horizontal_line(162, 164),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_160_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_160_shape_group_0_shapes[] = {
        shape(frame_160_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_160_shape_group_0_shape_1_horizontal_lines, 78, 1),
    };

    constexpr const horizontal_line frame_160_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
        horizontal_line(154, 155),
        horizontal_line(154, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 157),
        horizontal_line(151, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(149, 159),
        horizontal_line(149, 160),
        horizontal_line(149, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 162),
        horizontal_line(147, 162),
        horizontal_line(146, 162),
        horizontal_line(146, 162),
        horizontal_line(63, 125),
        horizontal_line(146, 163),
        horizontal_line(147, 163),
        horizontal_line(148, 164),
        horizontal_line(149, 163),
        horizontal_line(150, 162),
        horizontal_line(152, 162),
        horizontal_line(153, 161),
        horizontal_line(154, 161),
        horizontal_line(155, 160),
        horizontal_line(156, 160),
        horizontal_line(157, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 167),
        horizontal_line(158, 166),
        horizontal_line(167, 170),
    };

    constexpr const horizontal_line frame_160_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(154, 160),
        horizontal_line(154, 158),
        horizontal_line(154, 156),
        horizontal_line(154, 154),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 121),
        horizontal_line(62, 119),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 114),
        horizontal_line(62, 112),
        horizontal_line(62, 110),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 105),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 94),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 80),
        horizontal_line(62, 78),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_160_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_160_shape_group_1_shapes[] = {
        shape(frame_160_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_160_shape_group_1_shape_1_horizontal_lines, 71, 1),
        shape(frame_160_shape_group_1_shape_2_horizontal_lines, 129, 8),
    };

    constexpr const horizontal_line frame_160_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(76, 138),
        horizontal_line(77, 139),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(90, 151),
        horizontal_line(91, 151),
        horizontal_line(92, 151),
        horizontal_line(93, 152),
        horizontal_line(95, 152),
        horizontal_line(96, 152),
        horizontal_line(97, 153),
        horizontal_line(98, 153),
        horizontal_line(100, 153),
        horizontal_line(101, 153),
        horizontal_line(102, 154),
        horizontal_line(104, 154),
        horizontal_line(105, 154),
        horizontal_line(106, 155),
        horizontal_line(107, 155),
        horizontal_line(109, 155),
        horizontal_line(110, 156),
        horizontal_line(111, 155),
        horizontal_line(112, 155),
    };

    constexpr const horizontal_line frame_160_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(125, 163),
        horizontal_line(71, 133),
        horizontal_line(80, 142),
        horizontal_line(88, 141),
        horizontal_line(97, 140),
        horizontal_line(105, 139),
        horizontal_line(114, 138),
        horizontal_line(122, 137),
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_160_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(160, 168),
        horizontal_line(160, 172),
        horizontal_line(168, 170),
    };

    constexpr const horizontal_line frame_160_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_160_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_160_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(137, 156),
        horizontal_line(146, 155),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 162),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(162, 183),
        horizontal_line(170, 182),
        horizontal_line(178, 182),
        horizontal_line(62, 124),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_160_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(132, 186),
        horizontal_line(137, 187),
        horizontal_line(142, 188),
        horizontal_line(147, 188),
        horizontal_line(153, 189),
        horizontal_line(158, 190),
        horizontal_line(163, 191),
        horizontal_line(168, 192),
        horizontal_line(173, 193),
        horizontal_line(179, 194),
        horizontal_line(184, 195),
        horizontal_line(189, 196),
        horizontal_line(194, 197),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
    };

    constexpr const shape frame_160_shape_group_2_shapes[] = {
        shape(frame_160_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_160_shape_group_2_shape_1_horizontal_lines, 30, 3),
        shape(frame_160_shape_group_2_shape_2_horizontal_lines, 64, 6),
        shape(frame_160_shape_group_2_shape_3_horizontal_lines, 69, 3),
        shape(frame_160_shape_group_2_shape_4_horizontal_lines, 70, 6),
        shape(frame_160_shape_group_2_shape_5_horizontal_lines, 71, 1),
        shape(frame_160_shape_group_2_shape_6_horizontal_lines, 94, 8),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(138, 148),
        horizontal_line(139, 148),
        horizontal_line(140, 148),
        horizontal_line(141, 148),
        horizontal_line(143, 149),
        horizontal_line(144, 149),
        horizontal_line(145, 149),
        horizontal_line(146, 150),
        horizontal_line(148, 150),
        horizontal_line(149, 150),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(166, 171),
        horizontal_line(167, 171),
        horizontal_line(168, 171),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(172, 172),
        horizontal_line(172, 173),
        horizontal_line(172, 173),
        horizontal_line(172, 174),
        horizontal_line(172, 175),
        horizontal_line(172, 175),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 177),
        horizontal_line(172, 178),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(114, 154),
        horizontal_line(115, 154),
        horizontal_line(116, 154),
        horizontal_line(118, 153),
        horizontal_line(119, 153),
        horizontal_line(120, 152),
        horizontal_line(121, 152),
        horizontal_line(123, 152),
        horizontal_line(124, 151),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 136),
        horizontal_line(124, 137),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 143),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(133, 143),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(163, 174),
        horizontal_line(163, 169),
        horizontal_line(162, 169),
        horizontal_line(162, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(170, 170),
        horizontal_line(167, 173),
        horizontal_line(165, 177),
        horizontal_line(163, 181),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_160_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(150, 159),
        horizontal_line(148, 166),
        horizontal_line(145, 173),
        horizontal_line(143, 179),
        horizontal_line(140, 179),
        horizontal_line(138, 180),
        horizontal_line(135, 181),
        horizontal_line(133, 182),
        horizontal_line(130, 183),
        horizontal_line(128, 184),
        horizontal_line(127, 185),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
    };

    constexpr const shape frame_160_shape_group_3_shapes[] = {
        shape(frame_160_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_160_shape_group_3_shape_1_horizontal_lines, 11, 1),
        shape(frame_160_shape_group_3_shape_2_horizontal_lines, 19, 8),
        shape(frame_160_shape_group_3_shape_3_horizontal_lines, 30, 6),
        shape(frame_160_shape_group_3_shape_4_horizontal_lines, 39, 3),
        shape(frame_160_shape_group_3_shape_5_horizontal_lines, 55, 1),
        shape(frame_160_shape_group_3_shape_6_horizontal_lines, 56, 3),
        shape(frame_160_shape_group_3_shape_7_horizontal_lines, 58, 1),
        shape(frame_160_shape_group_3_shape_8_horizontal_lines, 59, 6),
        shape(frame_160_shape_group_3_shape_9_horizontal_lines, 64, 1),
        shape(frame_160_shape_group_3_shape_10_horizontal_lines, 69, 6),
        shape(frame_160_shape_group_3_shape_11_horizontal_lines, 70, 1),
        shape(frame_160_shape_group_3_shape_12_horizontal_lines, 82, 8),
    };

    constexpr const horizontal_line frame_160_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(154, 173),
        horizontal_line(155, 172),
        horizontal_line(156, 172),
        horizontal_line(157, 172),
        horizontal_line(158, 172),
        horizontal_line(159, 172),
        horizontal_line(160, 172),
        horizontal_line(161, 172),
        horizontal_line(162, 172),
        horizontal_line(164, 171),
        horizontal_line(165, 171),
    };

    constexpr const horizontal_line frame_160_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(172, 178),
        horizontal_line(172, 179),
        horizontal_line(172, 179),
        horizontal_line(172, 180),
        horizontal_line(172, 180),
        horizontal_line(172, 181),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(172, 183),
    };

    constexpr const horizontal_line frame_160_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(125, 151),
        horizontal_line(126, 150),
        horizontal_line(128, 150),
        horizontal_line(129, 150),
        horizontal_line(130, 149),
        horizontal_line(132, 149),
        horizontal_line(133, 148),
        horizontal_line(134, 148),
        horizontal_line(135, 148),
        horizontal_line(137, 147),
        horizontal_line(138, 147),
        horizontal_line(139, 146),
        horizontal_line(140, 146),
        horizontal_line(142, 146),
        horizontal_line(143, 145),
        horizontal_line(144, 145),
    };

    constexpr const horizontal_line frame_160_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(172, 193),
    };

    constexpr const horizontal_line frame_160_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 17),
        horizontal_line(142, 147),
        horizontal_line(0, 34),
        horizontal_line(0, 42),
        horizontal_line(0, 51),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(135, 154),
        horizontal_line(134, 155),
        horizontal_line(133, 156),
        horizontal_line(132, 158),
        horizontal_line(131, 158),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_160_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(208, 223),
        horizontal_line(208, 238),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_160_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(187, 202),
        horizontal_line(188, 202),
        horizontal_line(189, 202),
        horizontal_line(189, 201),
        horizontal_line(190, 201),
        horizontal_line(191, 200),
        horizontal_line(192, 200),
        horizontal_line(193, 200),
        horizontal_line(194, 199),
        horizontal_line(195, 199),
        horizontal_line(196, 199),
        horizontal_line(197, 198),
        horizontal_line(198, 198),
    };

    constexpr const shape frame_160_shape_group_4_shapes[] = {
        shape(frame_160_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_160_shape_group_4_shape_1_horizontal_lines, 30, 8),
        shape(frame_160_shape_group_4_shape_2_horizontal_lines, 39, 6),
        shape(frame_160_shape_group_4_shape_3_horizontal_lines, 55, 8),
        shape(frame_160_shape_group_4_shape_4_horizontal_lines, 56, 1),
        shape(frame_160_shape_group_4_shape_5_horizontal_lines, 81, 8),
        shape(frame_160_shape_group_4_shape_6_horizontal_lines, 94, 9),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(172, 183),
        horizontal_line(172, 184),
        horizontal_line(172, 185),
        horizontal_line(172, 185),
        horizontal_line(172, 186),
        horizontal_line(172, 186),
        horizontal_line(172, 187),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(162, 163),
        horizontal_line(162, 164),
        horizontal_line(162, 165),
        horizontal_line(163, 167),
        horizontal_line(163, 164),
        horizontal_line(166, 166),
        horizontal_line(172, 192),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(164, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(144, 145),
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(174, 195),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(141, 148),
        horizontal_line(140, 149),
        horizontal_line(139, 151),
        horizontal_line(138, 152),
        horizontal_line(136, 153),
        horizontal_line(62, 76),
        horizontal_line(62, 85),
        horizontal_line(62, 93),
        horizontal_line(62, 102),
        horizontal_line(62, 110),
        horizontal_line(130, 157),
        horizontal_line(124, 157),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(183, 202),
        horizontal_line(184, 203),
        horizontal_line(185, 203),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(201, 206),
        horizontal_line(205, 207),
    };

    constexpr const horizontal_line frame_160_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(183, 208),
        horizontal_line(182, 207),
        horizontal_line(182, 207),
        horizontal_line(181, 206),
        horizontal_line(181, 206),
        horizontal_line(180, 206),
        horizontal_line(180, 205),
        horizontal_line(180, 205),
        horizontal_line(181, 205),
        horizontal_line(182, 204),
        horizontal_line(183, 204),
        horizontal_line(184, 203),
        horizontal_line(185, 203),
        horizontal_line(186, 203),
    };

    constexpr const shape frame_160_shape_group_5_shapes[] = {
        shape(frame_160_shape_group_5_shape_0_horizontal_lines, 39, 8),
        shape(frame_160_shape_group_5_shape_1_horizontal_lines, 55, 11),
        shape(frame_160_shape_group_5_shape_2_horizontal_lines, 56, 1),
        shape(frame_160_shape_group_5_shape_3_horizontal_lines, 58, 8),
        shape(frame_160_shape_group_5_shape_4_horizontal_lines, 59, 1),
        shape(frame_160_shape_group_5_shape_5_horizontal_lines, 71, 8),
        shape(frame_160_shape_group_5_shape_6_horizontal_lines, 74, 1),
        shape(frame_160_shape_group_5_shape_7_horizontal_lines, 78, 8),
        shape(frame_160_shape_group_5_shape_8_horizontal_lines, 80, 9),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(172, 189),
        horizontal_line(172, 189),
        horizontal_line(172, 190),
        horizontal_line(172, 190),
        horizontal_line(172, 191),
        horizontal_line(172, 192),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(163, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(173, 193),
        horizontal_line(174, 194),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(175, 195),
        horizontal_line(176, 196),
        horizontal_line(176, 196),
        horizontal_line(177, 197),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(179, 198),
        horizontal_line(179, 199),
        horizontal_line(180, 199),
        horizontal_line(181, 200),
        horizontal_line(181, 200),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(62, 119),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(183, 202),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(172, 180),
        horizontal_line(172, 180),
        horizontal_line(172, 181),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(186, 204),
        horizontal_line(189, 205),
        horizontal_line(193, 205),
        horizontal_line(197, 206),
    };

    constexpr const horizontal_line frame_160_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(184, 200),
        horizontal_line(183, 204),
    };

    constexpr const shape frame_160_shape_group_6_shapes[] = {
        shape(frame_160_shape_group_6_shape_0_horizontal_lines, 48, 8),
        shape(frame_160_shape_group_6_shape_1_horizontal_lines, 54, 11),
        shape(frame_160_shape_group_6_shape_2_horizontal_lines, 55, 10),
        shape(frame_160_shape_group_6_shape_3_horizontal_lines, 56, 8),
        shape(frame_160_shape_group_6_shape_4_horizontal_lines, 58, 12),
        shape(frame_160_shape_group_6_shape_5_horizontal_lines, 59, 8),
        shape(frame_160_shape_group_6_shape_6_horizontal_lines, 63, 1),
        shape(frame_160_shape_group_6_shape_7_horizontal_lines, 64, 8),
        shape(frame_160_shape_group_6_shape_8_horizontal_lines, 69, 1),
        shape(frame_160_shape_group_6_shape_9_horizontal_lines, 70, 8),
        shape(frame_160_shape_group_6_shape_10_horizontal_lines, 71, 5),
        shape(frame_160_shape_group_6_shape_11_horizontal_lines, 74, 8),
        shape(frame_160_shape_group_6_shape_12_horizontal_lines, 78, 9),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(167, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(164, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(170, 175),
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(178, 198),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(169, 174),
        horizontal_line(169, 174),
        horizontal_line(169, 174),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(173, 180),
        horizontal_line(171, 180),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(182, 201),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(172, 180),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(181, 182),
        horizontal_line(181, 183),
        horizontal_line(182, 184),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(172, 181),
        horizontal_line(174, 181),
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_160_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(183, 183),
    };

    constexpr const shape frame_160_shape_group_7_shapes[] = {
        shape(frame_160_shape_group_7_shape_0_horizontal_lines, 52, 12),
        shape(frame_160_shape_group_7_shape_1_horizontal_lines, 54, 10),
        shape(frame_160_shape_group_7_shape_2_horizontal_lines, 56, 11),
        shape(frame_160_shape_group_7_shape_3_horizontal_lines, 57, 12),
        shape(frame_160_shape_group_7_shape_4_horizontal_lines, 58, 11),
        shape(frame_160_shape_group_7_shape_5_horizontal_lines, 59, 12),
        shape(frame_160_shape_group_7_shape_6_horizontal_lines, 60, 13),
        shape(frame_160_shape_group_7_shape_7_horizontal_lines, 61, 11),
        shape(frame_160_shape_group_7_shape_8_horizontal_lines, 63, 8),
        shape(frame_160_shape_group_7_shape_9_horizontal_lines, 64, 11),
        shape(frame_160_shape_group_7_shape_10_horizontal_lines, 67, 5),
        shape(frame_160_shape_group_7_shape_11_horizontal_lines, 69, 8),
        shape(frame_160_shape_group_7_shape_12_horizontal_lines, 70, 5),
        shape(frame_160_shape_group_7_shape_13_horizontal_lines, 71, 4),
        shape(frame_160_shape_group_7_shape_14_horizontal_lines, 74, 5),
        shape(frame_160_shape_group_7_shape_15_horizontal_lines, 77, 10),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(163, 165),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(164, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(175, 178),
        horizontal_line(175, 179),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(171, 180),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(171, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_160_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(182, 185),
        horizontal_line(182, 184),
        horizontal_line(182, 184),
        horizontal_line(182, 182),
    };

    constexpr const shape frame_160_shape_group_8_shapes[] = {
        shape(frame_160_shape_group_8_shape_0_horizontal_lines, 53, 11),
        shape(frame_160_shape_group_8_shape_1_horizontal_lines, 56, 10),
        shape(frame_160_shape_group_8_shape_2_horizontal_lines, 57, 11),
        shape(frame_160_shape_group_8_shape_3_horizontal_lines, 59, 11),
        shape(frame_160_shape_group_8_shape_4_horizontal_lines, 62, 5),
        shape(frame_160_shape_group_8_shape_5_horizontal_lines, 63, 11),
        shape(frame_160_shape_group_8_shape_6_horizontal_lines, 64, 5),
        shape(frame_160_shape_group_8_shape_7_horizontal_lines, 69, 5),
        shape(frame_160_shape_group_8_shape_8_horizontal_lines, 70, 4),
        shape(frame_160_shape_group_8_shape_9_horizontal_lines, 71, 2),
        shape(frame_160_shape_group_8_shape_10_horizontal_lines, 74, 4),
    };

    constexpr const horizontal_line frame_160_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(175, 177),
    };

    constexpr const horizontal_line frame_160_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_160_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_160_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_160_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(185, 188),
        horizontal_line(185, 192),
        horizontal_line(184, 196),
    };

    constexpr const shape frame_160_shape_group_9_shapes[] = {
        shape(frame_160_shape_group_9_shape_0_horizontal_lines, 63, 5),
        shape(frame_160_shape_group_9_shape_1_horizontal_lines, 69, 4),
        shape(frame_160_shape_group_9_shape_2_horizontal_lines, 70, 2),
        shape(frame_160_shape_group_9_shape_3_horizontal_lines, 74, 2),
        shape(frame_160_shape_group_9_shape_4_horizontal_lines, 75, 9),
    };

    constexpr const shape_group frame_160_shape_groups[] = {
        shape_group(frame_160_shape_group_0_shapes),
        shape_group(frame_160_shape_group_1_shapes),
        shape_group(frame_160_shape_group_2_shapes),
        shape_group(frame_160_shape_group_3_shapes),
        shape_group(frame_160_shape_group_4_shapes),
        shape_group(frame_160_shape_group_5_shapes),
        shape_group(frame_160_shape_group_6_shapes),
        shape_group(frame_160_shape_group_7_shapes),
        shape_group(frame_160_shape_group_8_shapes),
        shape_group(frame_160_shape_group_9_shapes),
    };

    constexpr const frame frame_160_impl(frame_160_colors, frame_160_shape_groups);
} 

const frame& frame_160()
{
    return frame_160_impl;
}

namespace
{
    constexpr const bn::color frame_161_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_161_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 56),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(17, 79),
        horizontal_line(33, 95),
        horizontal_line(49, 111),
        horizontal_line(65, 116),
        horizontal_line(81, 115),
        horizontal_line(97, 114),
        horizontal_line(151, 155),
        horizontal_line(160, 167),
        horizontal_line(160, 166),
        horizontal_line(159, 163),
        horizontal_line(159, 161),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_161_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(198, 214),
        horizontal_line(202, 215),
        horizontal_line(205, 215),
        horizontal_line(208, 216),
        horizontal_line(148, 148),
        horizontal_line(145, 153),
        horizontal_line(143, 158),
        horizontal_line(141, 163),
        horizontal_line(139, 168),
        horizontal_line(137, 173),
        horizontal_line(135, 177),
        horizontal_line(133, 177),
        horizontal_line(131, 178),
        horizontal_line(129, 179),
        horizontal_line(126, 180),
        horizontal_line(124, 181),
        horizontal_line(122, 181),
        horizontal_line(120, 182),
        horizontal_line(118, 180),
        horizontal_line(116, 178),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(115, 177),
        horizontal_line(120, 182),
        horizontal_line(124, 186),
        horizontal_line(129, 190),
        horizontal_line(133, 190),
        horizontal_line(138, 191),
        horizontal_line(142, 192),
        horizontal_line(147, 193),
        horizontal_line(151, 194),
        horizontal_line(156, 195),
        horizontal_line(160, 195),
        horizontal_line(165, 196),
        horizontal_line(169, 197),
        horizontal_line(174, 198),
        horizontal_line(178, 199),
        horizontal_line(183, 199),
        horizontal_line(187, 200),
        horizontal_line(192, 201),
        horizontal_line(196, 202),
        horizontal_line(201, 203),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_161_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
    };

    constexpr const shape frame_161_shape_group_0_shapes[] = {
        shape(frame_161_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_161_shape_group_0_shape_1_horizontal_lines, 79, 8),
        shape(frame_161_shape_group_0_shape_2_horizontal_lines, 153, 1),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 66),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(147, 147),
        horizontal_line(147, 147),
        horizontal_line(146, 147),
        horizontal_line(146, 148),
        horizontal_line(146, 148),
        horizontal_line(145, 148),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(144, 149),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(143, 150),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(139, 154),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(138, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(136, 156),
        horizontal_line(136, 157),
        horizontal_line(136, 157),
        horizontal_line(135, 157),
        horizontal_line(135, 158),
        horizontal_line(62, 124),
        horizontal_line(135, 158),
        horizontal_line(136, 159),
        horizontal_line(138, 159),
        horizontal_line(139, 159),
        horizontal_line(141, 160),
        horizontal_line(142, 159),
        horizontal_line(144, 159),
        horizontal_line(145, 158),
        horizontal_line(147, 158),
        horizontal_line(148, 158),
        horizontal_line(150, 157),
        horizontal_line(151, 157),
        horizontal_line(153, 156),
        horizontal_line(154, 156),
        horizontal_line(156, 156),
        horizontal_line(156, 164),
        horizontal_line(155, 163),
        horizontal_line(154, 162),
        horizontal_line(153, 167),
        horizontal_line(152, 167),
        horizontal_line(160, 167),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(184, 211),
        horizontal_line(185, 212),
        horizontal_line(188, 212),
        horizontal_line(191, 213),
        horizontal_line(195, 214),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(212, 216),
        horizontal_line(215, 217),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(218, 224),
        horizontal_line(218, 231),
        horizontal_line(217, 238),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_161_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
    };

    constexpr const shape frame_161_shape_group_1_shapes[] = {
        shape(frame_161_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_161_shape_group_1_shape_1_horizontal_lines, 4, 3),
        shape(frame_161_shape_group_1_shape_2_horizontal_lines, 74, 8),
        shape(frame_161_shape_group_1_shape_3_horizontal_lines, 79, 1),
        shape(frame_161_shape_group_1_shape_4_horizontal_lines, 83, 8),
        shape(frame_161_shape_group_1_shape_5_horizontal_lines, 85, 1),
        shape(frame_161_shape_group_1_shape_6_horizontal_lines, 86, 8),
        shape(frame_161_shape_group_1_shape_7_horizontal_lines, 122, 1),
    };

    constexpr const horizontal_line frame_161_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(119, 142),
        horizontal_line(120, 142),
        horizontal_line(122, 142),
        horizontal_line(123, 143),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
    };

    constexpr const horizontal_line frame_161_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 158),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(63, 120),
        horizontal_line(79, 119),
        horizontal_line(95, 118),
        horizontal_line(166, 167),
        horizontal_line(164, 167),
    };

    constexpr const horizontal_line frame_161_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(182, 210),
        horizontal_line(183, 210),
        horizontal_line(183, 211),
    };

    constexpr const horizontal_line frame_161_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(149, 157),
        horizontal_line(149, 154),
        horizontal_line(149, 152),
        horizontal_line(149, 149),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 111),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_161_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(182, 182),
        horizontal_line(180, 183),
        horizontal_line(178, 184),
        horizontal_line(176, 185),
        horizontal_line(174, 186),
        horizontal_line(173, 186),
        horizontal_line(177, 187),
        horizontal_line(182, 188),
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_161_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const shape frame_161_shape_group_2_shapes[] = {
        shape(frame_161_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_161_shape_group_2_shape_1_horizontal_lines, 16, 3),
        shape(frame_161_shape_group_2_shape_2_horizontal_lines, 71, 8),
        shape(frame_161_shape_group_2_shape_3_horizontal_lines, 74, 1),
        shape(frame_161_shape_group_2_shape_4_horizontal_lines, 96, 8),
        shape(frame_161_shape_group_2_shape_5_horizontal_lines, 105, 1),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(143, 143),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(125, 143),
        horizontal_line(126, 143),
        horizontal_line(128, 144),
        horizontal_line(129, 144),
        horizontal_line(131, 144),
        horizontal_line(132, 145),
        horizontal_line(134, 145),
        horizontal_line(135, 145),
        horizontal_line(137, 146),
        horizontal_line(138, 146),
        horizontal_line(140, 146),
        horizontal_line(141, 147),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(84, 145),
        horizontal_line(85, 145),
        horizontal_line(87, 145),
        horizontal_line(88, 144),
        horizontal_line(90, 144),
        horizontal_line(91, 144),
        horizontal_line(93, 143),
        horizontal_line(94, 143),
        horizontal_line(96, 143),
        horizontal_line(97, 142),
        horizontal_line(99, 142),
        horizontal_line(100, 142),
        horizontal_line(102, 141),
        horizontal_line(103, 141),
        horizontal_line(105, 141),
        horizontal_line(106, 140),
        horizontal_line(108, 140),
        horizontal_line(109, 139),
        horizontal_line(111, 139),
        horizontal_line(112, 139),
        horizontal_line(114, 138),
        horizontal_line(115, 138),
        horizontal_line(117, 138),
        horizontal_line(118, 137),
        horizontal_line(120, 137),
        horizontal_line(121, 137),
        horizontal_line(123, 136),
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(160, 199),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(157, 165),
        horizontal_line(165, 167),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(111, 117),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(159, 181),
        horizontal_line(167, 181),
        horizontal_line(176, 181),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(180, 218),
    };

    constexpr const horizontal_line frame_161_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 102),
        horizontal_line(62, 100),
        horizontal_line(62, 98),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 93),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
    };

    constexpr const shape frame_161_shape_group_3_shapes[] = {
        shape(frame_161_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_161_shape_group_3_shape_1_horizontal_lines, 3, 8),
        shape(frame_161_shape_group_3_shape_2_horizontal_lines, 4, 6),
        shape(frame_161_shape_group_3_shape_3_horizontal_lines, 46, 3),
        shape(frame_161_shape_group_3_shape_4_horizontal_lines, 52, 8),
        shape(frame_161_shape_group_3_shape_5_horizontal_lines, 53, 3),
        shape(frame_161_shape_group_3_shape_6_horizontal_lines, 63, 6),
        shape(frame_161_shape_group_3_shape_7_horizontal_lines, 69, 3),
        shape(frame_161_shape_group_3_shape_8_horizontal_lines, 70, 6),
        shape(frame_161_shape_group_3_shape_9_horizontal_lines, 71, 1),
        shape(frame_161_shape_group_3_shape_10_horizontal_lines, 85, 9),
        shape(frame_161_shape_group_3_shape_11_horizontal_lines, 86, 1),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(170, 175),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(170, 176),
        horizontal_line(170, 177),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(170, 178),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(143, 146),
        horizontal_line(144, 146),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(170, 180),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(170, 182),
        horizontal_line(170, 182),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(170, 184),
        horizontal_line(170, 184),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(170, 185),
        horizontal_line(170, 186),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(170, 188),
        horizontal_line(170, 188),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(170, 189),
        horizontal_line(170, 190),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_23_horizontal_lines[] = {
        horizontal_line(170, 191),
        horizontal_line(170, 192),
        horizontal_line(155, 155),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(156, 156),
        horizontal_line(156, 157),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_24_horizontal_lines[] = {
        horizontal_line(126, 136),
        horizontal_line(127, 135),
        horizontal_line(129, 135),
        horizontal_line(130, 135),
        horizontal_line(132, 134),
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_25_horizontal_lines[] = {
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_26_horizontal_lines[] = {
        horizontal_line(163, 199),
        horizontal_line(167, 200),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_27_horizontal_lines[] = {
        horizontal_line(167, 170),
        horizontal_line(167, 171),
        horizontal_line(167, 172),
        horizontal_line(160, 162),
        horizontal_line(160, 164),
        horizontal_line(159, 167),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_28_horizontal_lines[] = {
        horizontal_line(177, 205),
        horizontal_line(177, 206),
        horizontal_line(178, 206),
        horizontal_line(179, 207),
        horizontal_line(179, 207),
        horizontal_line(180, 208),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_29_horizontal_lines[] = {
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_30_horizontal_lines[] = {
        horizontal_line(181, 209),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_31_horizontal_lines[] = {
        horizontal_line(116, 152),
        horizontal_line(115, 151),
        horizontal_line(156, 159),
        horizontal_line(62, 112),
        horizontal_line(167, 167),
        horizontal_line(164, 170),
        horizontal_line(162, 174),
        horizontal_line(160, 178),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_32_horizontal_lines[] = {
        horizontal_line(181, 207),
        horizontal_line(181, 211),
        horizontal_line(180, 214),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_33_horizontal_lines[] = {
        horizontal_line(179, 217),
        horizontal_line(179, 217),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(178, 216),
        horizontal_line(179, 215),
        horizontal_line(180, 215),
        horizontal_line(181, 214),
        horizontal_line(182, 214),
        horizontal_line(182, 214),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_34_horizontal_lines[] = {
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 107),
        horizontal_line(62, 105),
        horizontal_line(62, 103),
    };

    constexpr const horizontal_line frame_161_shape_group_4_shape_35_horizontal_lines[] = {
        horizontal_line(191, 210),
        horizontal_line(191, 210),
        horizontal_line(192, 209),
        horizontal_line(193, 209),
        horizontal_line(194, 208),
        horizontal_line(195, 208),
        horizontal_line(196, 208),
        horizontal_line(196, 207),
        horizontal_line(197, 207),
        horizontal_line(198, 207),
        horizontal_line(199, 206),
        horizontal_line(200, 206),
        horizontal_line(200, 205),
        horizontal_line(201, 205),
        horizontal_line(202, 205),
        horizontal_line(203, 204),
        horizontal_line(204, 204),
    };

    constexpr const shape frame_161_shape_group_4_shapes[] = {
        shape(frame_161_shape_group_4_shape_0_horizontal_lines, 1, 8),
        shape(frame_161_shape_group_4_shape_1_horizontal_lines, 4, 7),
        shape(frame_161_shape_group_4_shape_2_horizontal_lines, 6, 8),
        shape(frame_161_shape_group_4_shape_3_horizontal_lines, 7, 7),
        shape(frame_161_shape_group_4_shape_4_horizontal_lines, 9, 8),
        shape(frame_161_shape_group_4_shape_5_horizontal_lines, 10, 7),
        shape(frame_161_shape_group_4_shape_6_horizontal_lines, 12, 8),
        shape(frame_161_shape_group_4_shape_7_horizontal_lines, 14, 7),
        shape(frame_161_shape_group_4_shape_8_horizontal_lines, 15, 8),
        shape(frame_161_shape_group_4_shape_9_horizontal_lines, 16, 6),
        shape(frame_161_shape_group_4_shape_10_horizontal_lines, 18, 7),
        shape(frame_161_shape_group_4_shape_11_horizontal_lines, 19, 8),
        shape(frame_161_shape_group_4_shape_12_horizontal_lines, 20, 7),
        shape(frame_161_shape_group_4_shape_13_horizontal_lines, 22, 8),
        shape(frame_161_shape_group_4_shape_14_horizontal_lines, 24, 7),
        shape(frame_161_shape_group_4_shape_15_horizontal_lines, 25, 8),
        shape(frame_161_shape_group_4_shape_16_horizontal_lines, 27, 7),
        shape(frame_161_shape_group_4_shape_17_horizontal_lines, 28, 8),
        shape(frame_161_shape_group_4_shape_18_horizontal_lines, 30, 7),
        shape(frame_161_shape_group_4_shape_19_horizontal_lines, 32, 8),
        shape(frame_161_shape_group_4_shape_20_horizontal_lines, 34, 7),
        shape(frame_161_shape_group_4_shape_21_horizontal_lines, 35, 8),
        shape(frame_161_shape_group_4_shape_22_horizontal_lines, 37, 7),
        shape(frame_161_shape_group_4_shape_23_horizontal_lines, 38, 8),
        shape(frame_161_shape_group_4_shape_24_horizontal_lines, 46, 6),
        shape(frame_161_shape_group_4_shape_25_horizontal_lines, 52, 11),
        shape(frame_161_shape_group_4_shape_26_horizontal_lines, 53, 8),
        shape(frame_161_shape_group_4_shape_27_horizontal_lines, 55, 6),
        shape(frame_161_shape_group_4_shape_28_horizontal_lines, 63, 8),
        shape(frame_161_shape_group_4_shape_29_horizontal_lines, 69, 6),
        shape(frame_161_shape_group_4_shape_30_horizontal_lines, 70, 8),
        shape(frame_161_shape_group_4_shape_31_horizontal_lines, 71, 1),
        shape(frame_161_shape_group_4_shape_32_horizontal_lines, 82, 9),
        shape(frame_161_shape_group_4_shape_33_horizontal_lines, 86, 9),
        shape(frame_161_shape_group_4_shape_34_horizontal_lines, 96, 1),
        shape(frame_161_shape_group_4_shape_35_horizontal_lines, 105, 9),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(170, 173),
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(170, 175),
        horizontal_line(170, 176),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(170, 177),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(170, 179),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(170, 180),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(170, 181),
        horizontal_line(170, 181),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(170, 183),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(170, 185),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(170, 186),
        horizontal_line(170, 187),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(170, 189),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(170, 190),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(170, 192),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(170, 194),
        horizontal_line(170, 194),
        horizontal_line(170, 195),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(158, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 166),
        horizontal_line(159, 167),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(159, 162),
        horizontal_line(160, 166),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(171, 201),
        horizontal_line(172, 201),
        horizontal_line(173, 202),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(167, 172),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(175, 203),
        horizontal_line(175, 204),
        horizontal_line(176, 205),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(181, 208),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_22_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 80),
        horizontal_line(62, 96),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_23_horizontal_lines[] = {
        horizontal_line(170, 179),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_24_horizontal_lines[] = {
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_25_horizontal_lines[] = {
        horizontal_line(183, 197),
        horizontal_line(182, 201),
        horizontal_line(182, 204),
    };

    constexpr const horizontal_line frame_161_shape_group_5_shape_26_horizontal_lines[] = {
        horizontal_line(183, 213),
        horizontal_line(184, 213),
        horizontal_line(185, 213),
        horizontal_line(186, 212),
        horizontal_line(187, 212),
        horizontal_line(187, 211),
        horizontal_line(188, 211),
        horizontal_line(189, 211),
        horizontal_line(190, 210),
    };

    constexpr const shape frame_161_shape_group_5_shapes[] = {
        shape(frame_161_shape_group_5_shape_0_horizontal_lines, 4, 8),
        shape(frame_161_shape_group_5_shape_1_horizontal_lines, 7, 8),
        shape(frame_161_shape_group_5_shape_2_horizontal_lines, 10, 8),
        shape(frame_161_shape_group_5_shape_3_horizontal_lines, 14, 8),
        shape(frame_161_shape_group_5_shape_4_horizontal_lines, 16, 8),
        shape(frame_161_shape_group_5_shape_5_horizontal_lines, 17, 7),
        shape(frame_161_shape_group_5_shape_6_horizontal_lines, 18, 8),
        shape(frame_161_shape_group_5_shape_7_horizontal_lines, 20, 8),
        shape(frame_161_shape_group_5_shape_8_horizontal_lines, 24, 8),
        shape(frame_161_shape_group_5_shape_9_horizontal_lines, 27, 8),
        shape(frame_161_shape_group_5_shape_10_horizontal_lines, 30, 8),
        shape(frame_161_shape_group_5_shape_11_horizontal_lines, 34, 8),
        shape(frame_161_shape_group_5_shape_12_horizontal_lines, 37, 8),
        shape(frame_161_shape_group_5_shape_13_horizontal_lines, 40, 8),
        shape(frame_161_shape_group_5_shape_14_horizontal_lines, 43, 8),
        shape(frame_161_shape_group_5_shape_15_horizontal_lines, 53, 11),
        shape(frame_161_shape_group_5_shape_16_horizontal_lines, 55, 8),
        shape(frame_161_shape_group_5_shape_17_horizontal_lines, 58, 6),
        shape(frame_161_shape_group_5_shape_18_horizontal_lines, 60, 8),
        shape(frame_161_shape_group_5_shape_19_horizontal_lines, 63, 11),
        shape(frame_161_shape_group_5_shape_20_horizontal_lines, 68, 1),
        shape(frame_161_shape_group_5_shape_21_horizontal_lines, 69, 8),
        shape(frame_161_shape_group_5_shape_22_horizontal_lines, 70, 1),
        shape(frame_161_shape_group_5_shape_23_horizontal_lines, 74, 5),
        shape(frame_161_shape_group_5_shape_24_horizontal_lines, 75, 1),
        shape(frame_161_shape_group_5_shape_25_horizontal_lines, 79, 9),
        shape(frame_161_shape_group_5_shape_26_horizontal_lines, 96, 9),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(170, 179),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(170, 195),
        horizontal_line(170, 196),
        horizontal_line(170, 197),
        horizontal_line(170, 197),
        horizontal_line(170, 198),
        horizontal_line(170, 198),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(161, 166),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(173, 202),
        horizontal_line(174, 203),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(168, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(124, 149),
        horizontal_line(123, 150),
        horizontal_line(122, 152),
        horizontal_line(0, 0),
        horizontal_line(0, 16),
        horizontal_line(119, 155),
        horizontal_line(0, 48),
        horizontal_line(117, 153),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(169, 178),
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(180, 183),
    };

    constexpr const horizontal_line frame_161_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(170, 179),
        horizontal_line(171, 179),
        horizontal_line(175, 179),
        horizontal_line(179, 179),
    };

    constexpr const shape frame_161_shape_group_6_shapes[] = {
        shape(frame_161_shape_group_6_shape_0_horizontal_lines, 17, 8),
        shape(frame_161_shape_group_6_shape_1_horizontal_lines, 46, 8),
        shape(frame_161_shape_group_6_shape_2_horizontal_lines, 53, 1),
        shape(frame_161_shape_group_6_shape_3_horizontal_lines, 55, 11),
        shape(frame_161_shape_group_6_shape_4_horizontal_lines, 58, 8),
        shape(frame_161_shape_group_6_shape_5_horizontal_lines, 60, 11),
        shape(frame_161_shape_group_6_shape_6_horizontal_lines, 63, 1),
        shape(frame_161_shape_group_6_shape_7_horizontal_lines, 71, 5),
        shape(frame_161_shape_group_6_shape_8_horizontal_lines, 73, 1),
        shape(frame_161_shape_group_6_shape_9_horizontal_lines, 74, 4),
        shape(frame_161_shape_group_6_shape_10_horizontal_lines, 75, 5),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(132, 137),
        horizontal_line(131, 138),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(163, 166),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(127, 144),
        horizontal_line(126, 146),
        horizontal_line(125, 147),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(173, 176),
        horizontal_line(173, 176),
        horizontal_line(173, 176),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(121, 153),
        horizontal_line(120, 155),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(169, 177),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(118, 154),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(179, 181),
        horizontal_line(179, 182),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_161_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(180, 183),
        horizontal_line(180, 183),
        horizontal_line(180, 181),
        horizontal_line(180, 180),
    };

    constexpr const shape frame_161_shape_group_7_shapes[] = {
        shape(frame_161_shape_group_7_shape_0_horizontal_lines, 55, 1),
        shape(frame_161_shape_group_7_shape_1_horizontal_lines, 58, 11),
        shape(frame_161_shape_group_7_shape_2_horizontal_lines, 60, 1),
        shape(frame_161_shape_group_7_shape_3_horizontal_lines, 63, 5),
        shape(frame_161_shape_group_7_shape_4_horizontal_lines, 66, 1),
        shape(frame_161_shape_group_7_shape_5_horizontal_lines, 68, 5),
        shape(frame_161_shape_group_7_shape_6_horizontal_lines, 69, 1),
        shape(frame_161_shape_group_7_shape_7_horizontal_lines, 71, 4),
        shape(frame_161_shape_group_7_shape_8_horizontal_lines, 73, 5),
        shape(frame_161_shape_group_7_shape_9_horizontal_lines, 74, 2),
        shape(frame_161_shape_group_7_shape_10_horizontal_lines, 75, 4),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(129, 141),
        horizontal_line(128, 143),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(173, 175),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(173, 177),
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(169, 177),
        horizontal_line(169, 178),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(179, 182),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_161_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(184, 187),
        horizontal_line(184, 190),
        horizontal_line(183, 194),
    };

    constexpr const shape frame_161_shape_group_8_shapes[] = {
        shape(frame_161_shape_group_8_shape_0_horizontal_lines, 58, 1),
        shape(frame_161_shape_group_8_shape_1_horizontal_lines, 60, 14),
        shape(frame_161_shape_group_8_shape_2_horizontal_lines, 61, 13),
        shape(frame_161_shape_group_8_shape_3_horizontal_lines, 62, 5),
        shape(frame_161_shape_group_8_shape_4_horizontal_lines, 65, 4),
        shape(frame_161_shape_group_8_shape_5_horizontal_lines, 66, 5),
        shape(frame_161_shape_group_8_shape_6_horizontal_lines, 68, 4),
        shape(frame_161_shape_group_8_shape_7_horizontal_lines, 69, 5),
        shape(frame_161_shape_group_8_shape_8_horizontal_lines, 71, 2),
        shape(frame_161_shape_group_8_shape_9_horizontal_lines, 73, 4),
        shape(frame_161_shape_group_8_shape_10_horizontal_lines, 75, 2),
        shape(frame_161_shape_group_8_shape_11_horizontal_lines, 76, 9),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(178, 180),
        horizontal_line(179, 180),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_161_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(181, 181),
    };

    constexpr const shape frame_161_shape_group_9_shapes[] = {
        shape(frame_161_shape_group_9_shape_0_horizontal_lines, 59, 14),
        shape(frame_161_shape_group_9_shape_1_horizontal_lines, 60, 13),
        shape(frame_161_shape_group_9_shape_2_horizontal_lines, 66, 4),
        shape(frame_161_shape_group_9_shape_3_horizontal_lines, 68, 2),
        shape(frame_161_shape_group_9_shape_4_horizontal_lines, 69, 4),
        shape(frame_161_shape_group_9_shape_5_horizontal_lines, 73, 2),
        shape(frame_161_shape_group_9_shape_6_horizontal_lines, 77, 15),
        shape(frame_161_shape_group_9_shape_7_horizontal_lines, 78, 10),
    };

    constexpr const horizontal_line frame_161_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(168, 168),
    };

    constexpr const shape frame_161_shape_group_10_shapes[] = {
        shape(frame_161_shape_group_10_shape_0_horizontal_lines, 69, 2),
    };

    constexpr const shape_group frame_161_shape_groups[] = {
        shape_group(frame_161_shape_group_0_shapes),
        shape_group(frame_161_shape_group_1_shapes),
        shape_group(frame_161_shape_group_2_shapes),
        shape_group(frame_161_shape_group_3_shapes),
        shape_group(frame_161_shape_group_4_shapes),
        shape_group(frame_161_shape_group_5_shapes),
        shape_group(frame_161_shape_group_6_shapes),
        shape_group(frame_161_shape_group_7_shapes),
        shape_group(frame_161_shape_group_8_shapes),
        shape_group(frame_161_shape_group_9_shapes),
        shape_group(frame_161_shape_group_10_shapes),
    };

    constexpr const frame frame_161_impl(frame_161_colors, frame_161_shape_groups);
} 

const frame& frame_161()
{
    return frame_161_impl;
}

namespace
{
    constexpr const bn::color frame_162_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_162_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(157, 161),
        horizontal_line(156, 159),
        horizontal_line(156, 157),
    };

    constexpr const horizontal_line frame_162_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(191, 232),
        horizontal_line(194, 233),
        horizontal_line(197, 233),
        horizontal_line(200, 234),
        horizontal_line(203, 234),
        horizontal_line(206, 235),
        horizontal_line(209, 236),
        horizontal_line(143, 143),
        horizontal_line(140, 148),
        horizontal_line(138, 154),
        horizontal_line(136, 159),
        horizontal_line(134, 165),
        horizontal_line(132, 170),
        horizontal_line(130, 175),
        horizontal_line(128, 175),
        horizontal_line(126, 176),
        horizontal_line(124, 177),
        horizontal_line(121, 177),
        horizontal_line(119, 178),
        horizontal_line(117, 179),
        horizontal_line(115, 177),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(100, 162),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(94, 156),
        horizontal_line(98, 160),
        horizontal_line(102, 164),
        horizontal_line(106, 168),
        horizontal_line(110, 172),
        horizontal_line(114, 176),
        horizontal_line(118, 180),
        horizontal_line(122, 184),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(141, 203),
        horizontal_line(145, 203),
        horizontal_line(149, 204),
        horizontal_line(153, 205),
        horizontal_line(157, 206),
        horizontal_line(161, 206),
        horizontal_line(165, 207),
        horizontal_line(169, 208),
        horizontal_line(173, 209),
        horizontal_line(176, 209),
        horizontal_line(180, 210),
        horizontal_line(184, 211),
        horizontal_line(188, 212),
        horizontal_line(192, 212),
        horizontal_line(196, 213),
        horizontal_line(200, 214),
        horizontal_line(204, 215),
        horizontal_line(208, 215),
        horizontal_line(212, 216),
        horizontal_line(216, 217),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_162_shape_group_0_shapes[] = {
        shape(frame_162_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_162_shape_group_0_shape_1_horizontal_lines, 79, 8),
    };

    constexpr const horizontal_line frame_162_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(131, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 137),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(127, 139),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(126, 140),
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
        horizontal_line(125, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(123, 144),
        horizontal_line(123, 144),
        horizontal_line(123, 145),
        horizontal_line(122, 145),
        horizontal_line(122, 145),
        horizontal_line(122, 146),
        horizontal_line(121, 146),
        horizontal_line(121, 146),
        horizontal_line(121, 147),
        horizontal_line(120, 147),
        horizontal_line(120, 148),
        horizontal_line(120, 148),
        horizontal_line(119, 148),
        horizontal_line(119, 149),
        horizontal_line(119, 149),
        horizontal_line(118, 149),
        horizontal_line(118, 150),
        horizontal_line(118, 150),
        horizontal_line(117, 151),
        horizontal_line(117, 151),
        horizontal_line(117, 151),
        horizontal_line(116, 152),
        horizontal_line(116, 152),
        horizontal_line(116, 152),
        horizontal_line(62, 124),
        horizontal_line(116, 153),
        horizontal_line(118, 154),
        horizontal_line(120, 154),
        horizontal_line(122, 154),
        horizontal_line(123, 155),
        horizontal_line(125, 155),
        horizontal_line(127, 155),
        horizontal_line(129, 156),
        horizontal_line(130, 156),
        horizontal_line(132, 157),
        horizontal_line(134, 156),
        horizontal_line(136, 156),
        horizontal_line(137, 155),
        horizontal_line(139, 155),
        horizontal_line(141, 154),
        horizontal_line(143, 154),
        horizontal_line(144, 153),
        horizontal_line(146, 153),
        horizontal_line(148, 152),
        horizontal_line(150, 152),
        horizontal_line(152, 152),
        horizontal_line(152, 161),
        horizontal_line(151, 161),
        horizontal_line(150, 160),
        horizontal_line(149, 159),
        horizontal_line(148, 164),
        horizontal_line(147, 164),
        horizontal_line(157, 164),
        horizontal_line(157, 163),
    };

    constexpr const horizontal_line frame_162_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(183, 230),
        horizontal_line(185, 231),
        horizontal_line(188, 231),
    };

    constexpr const horizontal_line frame_162_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_162_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(212, 236),
        horizontal_line(215, 237),
        horizontal_line(218, 237),
        horizontal_line(221, 238),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_162_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_162_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(177, 180),
        horizontal_line(175, 180),
        horizontal_line(173, 181),
        horizontal_line(171, 182),
        horizontal_line(169, 183),
        horizontal_line(167, 183),
        horizontal_line(165, 184),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_162_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_162_shape_group_1_shapes[] = {
        shape(frame_162_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_162_shape_group_1_shape_1_horizontal_lines, 76, 8),
        shape(frame_162_shape_group_1_shape_2_horizontal_lines, 79, 1),
        shape(frame_162_shape_group_1_shape_3_horizontal_lines, 86, 8),
        shape(frame_162_shape_group_1_shape_4_horizontal_lines, 96, 1),
        shape(frame_162_shape_group_1_shape_5_horizontal_lines, 98, 8),
        shape(frame_162_shape_group_1_shape_6_horizontal_lines, 150, 1),
    };

    constexpr const horizontal_line frame_162_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_162_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(62, 67),
        horizontal_line(62, 69),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 85),
        horizontal_line(62, 87),
        horizontal_line(62, 89),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 96),
        horizontal_line(62, 98),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 109),
        horizontal_line(62, 111),
        horizontal_line(62, 113),
        horizontal_line(124, 153),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(163, 164),
        horizontal_line(161, 164),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
    };

    constexpr const horizontal_line frame_162_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(145, 176),
        horizontal_line(145, 154),
        horizontal_line(144, 152),
        horizontal_line(144, 150),
        horizontal_line(144, 148),
        horizontal_line(144, 146),
        horizontal_line(144, 144),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_162_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(162, 185),
        horizontal_line(160, 186),
        horizontal_line(158, 186),
        horizontal_line(156, 187),
        horizontal_line(154, 188),
        horizontal_line(152, 189),
        horizontal_line(150, 189),
        horizontal_line(148, 190),
        horizontal_line(146, 191),
        horizontal_line(145, 192),
        horizontal_line(148, 192),
        horizontal_line(152, 193),
        horizontal_line(156, 194),
        horizontal_line(160, 195),
        horizontal_line(164, 195),
        horizontal_line(168, 196),
        horizontal_line(172, 197),
        horizontal_line(176, 197),
        horizontal_line(180, 198),
        horizontal_line(184, 199),
        horizontal_line(188, 200),
        horizontal_line(191, 200),
        horizontal_line(195, 201),
        horizontal_line(199, 202),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_162_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
    };

    constexpr const shape frame_162_shape_group_2_shapes[] = {
        shape(frame_162_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_162_shape_group_2_shape_1_horizontal_lines, 17, 3),
        shape(frame_162_shape_group_2_shape_2_horizontal_lines, 76, 1),
        shape(frame_162_shape_group_2_shape_3_horizontal_lines, 106, 8),
        shape(frame_162_shape_group_2_shape_4_horizontal_lines, 131, 1),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(94, 130),
        horizontal_line(95, 129),
        horizontal_line(97, 129),
        horizontal_line(99, 129),
        horizontal_line(101, 128),
        horizontal_line(103, 128),
        horizontal_line(104, 128),
        horizontal_line(106, 127),
        horizontal_line(108, 127),
        horizontal_line(110, 127),
        horizontal_line(112, 126),
        horizontal_line(114, 126),
        horizontal_line(115, 126),
        horizontal_line(117, 125),
        horizontal_line(119, 125),
        horizontal_line(121, 125),
        horizontal_line(123, 124),
        horizontal_line(63, 124),
        horizontal_line(64, 124),
        horizontal_line(66, 123),
        horizontal_line(68, 123),
        horizontal_line(70, 123),
        horizontal_line(72, 122),
        horizontal_line(74, 122),
        horizontal_line(75, 122),
        horizontal_line(77, 121),
        horizontal_line(79, 121),
        horizontal_line(81, 121),
        horizontal_line(83, 120),
        horizontal_line(84, 120),
        horizontal_line(86, 120),
        horizontal_line(88, 119),
        horizontal_line(90, 119),
        horizontal_line(92, 119),
        horizontal_line(94, 118),
        horizontal_line(95, 118),
        horizontal_line(97, 118),
        horizontal_line(99, 117),
        horizontal_line(101, 117),
        horizontal_line(103, 117),
        horizontal_line(105, 116),
        horizontal_line(106, 116),
        horizontal_line(108, 116),
        horizontal_line(110, 115),
        horizontal_line(112, 115),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(154, 159),
        horizontal_line(154, 161),
        horizontal_line(155, 162),
        horizontal_line(155, 164),
        horizontal_line(155, 215),
        horizontal_line(156, 216),
        horizontal_line(158, 216),
        horizontal_line(160, 217),
        horizontal_line(163, 217),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(157, 159),
        horizontal_line(157, 161),
        horizontal_line(156, 170),
        horizontal_line(156, 163),
        horizontal_line(155, 163),
        horizontal_line(155, 163),
        horizontal_line(154, 163),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(162, 166),
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 91),
        horizontal_line(62, 90),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(180, 228),
        horizontal_line(181, 228),
        horizontal_line(181, 229),
        horizontal_line(182, 230),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(145, 156),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(62, 85),
        horizontal_line(156, 179),
        horizontal_line(165, 179),
        horizontal_line(174, 179),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
    };

    constexpr const horizontal_line frame_162_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(204, 227),
        horizontal_line(205, 227),
        horizontal_line(206, 226),
        horizontal_line(207, 226),
        horizontal_line(207, 225),
        horizontal_line(208, 225),
        horizontal_line(209, 224),
        horizontal_line(210, 224),
        horizontal_line(210, 223),
        horizontal_line(211, 223),
        horizontal_line(212, 223),
        horizontal_line(213, 222),
        horizontal_line(213, 222),
        horizontal_line(214, 221),
        horizontal_line(215, 221),
        horizontal_line(216, 220),
        horizontal_line(216, 220),
        horizontal_line(217, 219),
        horizontal_line(218, 219),
    };

    constexpr const shape frame_162_shape_group_3_shapes[] = {
        shape(frame_162_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_162_shape_group_3_shape_1_horizontal_lines, 46, 8),
        shape(frame_162_shape_group_3_shape_2_horizontal_lines, 55, 6),
        shape(frame_162_shape_group_3_shape_3_horizontal_lines, 70, 3),
        shape(frame_162_shape_group_3_shape_4_horizontal_lines, 72, 8),
        shape(frame_162_shape_group_3_shape_5_horizontal_lines, 76, 1),
        shape(frame_162_shape_group_3_shape_6_horizontal_lines, 96, 9),
        shape(frame_162_shape_group_3_shape_7_horizontal_lines, 98, 1),
        shape(frame_162_shape_group_3_shape_8_horizontal_lines, 131, 9),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
        horizontal_line(139, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(142, 143),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
        horizontal_line(143, 143),
        horizontal_line(143, 144),
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(144, 145),
        horizontal_line(145, 145),
        horizontal_line(145, 145),
        horizontal_line(146, 146),
        horizontal_line(146, 146),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(167, 201),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(167, 203),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(167, 204),
        horizontal_line(167, 205),
        horizontal_line(167, 206),
        horizontal_line(167, 206),
        horizontal_line(167, 207),
        horizontal_line(167, 207),
        horizontal_line(167, 208),
        horizontal_line(167, 208),
        horizontal_line(167, 209),
        horizontal_line(167, 210),
        horizontal_line(152, 152),
        horizontal_line(153, 154),
        horizontal_line(153, 156),
        horizontal_line(153, 157),
        horizontal_line(167, 213),
        horizontal_line(167, 213),
        horizontal_line(167, 214),
        horizontal_line(167, 214),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(112, 121),
        horizontal_line(111, 122),
        horizontal_line(110, 124),
        horizontal_line(109, 126),
        horizontal_line(108, 128),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(170, 218),
        horizontal_line(170, 218),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(164, 169),
        horizontal_line(164, 170),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(172, 220),
        horizontal_line(173, 221),
        horizontal_line(173, 221),
        horizontal_line(174, 222),
        horizontal_line(175, 223),
        horizontal_line(175, 223),
        horizontal_line(176, 224),
        horizontal_line(176, 224),
        horizontal_line(177, 225),
        horizontal_line(178, 226),
        horizontal_line(178, 226),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(161, 162),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(90, 147),
        horizontal_line(89, 146),
        horizontal_line(88, 144),
        horizontal_line(87, 114),
        horizontal_line(162, 167),
        horizontal_line(160, 170),
        horizontal_line(158, 173),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(179, 202),
        horizontal_line(179, 205),
        horizontal_line(179, 208),
        horizontal_line(178, 211),
        horizontal_line(178, 214),
        horizontal_line(177, 217),
        horizontal_line(177, 220),
        horizontal_line(176, 223),
        horizontal_line(176, 226),
        horizontal_line(176, 229),
        horizontal_line(176, 232),
        horizontal_line(177, 235),
        horizontal_line(178, 238),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_162_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(201, 229),
        horizontal_line(202, 228),
        horizontal_line(203, 228),
        horizontal_line(204, 227),
    };

    constexpr const shape frame_162_shape_group_4_shapes[] = {
        shape(frame_162_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_162_shape_group_4_shape_1_horizontal_lines, 27, 8),
        shape(frame_162_shape_group_4_shape_2_horizontal_lines, 28, 7),
        shape(frame_162_shape_group_4_shape_3_horizontal_lines, 30, 8),
        shape(frame_162_shape_group_4_shape_4_horizontal_lines, 31, 7),
        shape(frame_162_shape_group_4_shape_5_horizontal_lines, 32, 8),
        shape(frame_162_shape_group_4_shape_6_horizontal_lines, 50, 1),
        shape(frame_162_shape_group_4_shape_7_horizontal_lines, 55, 8),
        shape(frame_162_shape_group_4_shape_8_horizontal_lines, 57, 6),
        shape(frame_162_shape_group_4_shape_9_horizontal_lines, 59, 8),
        shape(frame_162_shape_group_4_shape_10_horizontal_lines, 70, 6),
        shape(frame_162_shape_group_4_shape_11_horizontal_lines, 72, 1),
        shape(frame_162_shape_group_4_shape_12_horizontal_lines, 79, 4),
        shape(frame_162_shape_group_4_shape_13_horizontal_lines, 80, 1),
        shape(frame_162_shape_group_4_shape_14_horizontal_lines, 83, 9),
        shape(frame_162_shape_group_4_shape_15_horizontal_lines, 98, 9),
        shape(frame_162_shape_group_4_shape_16_horizontal_lines, 106, 1),
        shape(frame_162_shape_group_4_shape_17_horizontal_lines, 127, 9),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(167, 186),
        horizontal_line(167, 186),
        horizontal_line(167, 187),
        horizontal_line(167, 187),
        horizontal_line(167, 188),
        horizontal_line(167, 188),
        horizontal_line(167, 189),
        horizontal_line(167, 190),
        horizontal_line(167, 190),
        horizontal_line(167, 191),
        horizontal_line(167, 191),
        horizontal_line(167, 192),
        horizontal_line(167, 193),
        horizontal_line(167, 193),
        horizontal_line(167, 194),
        horizontal_line(167, 194),
        horizontal_line(167, 195),
        horizontal_line(167, 196),
        horizontal_line(167, 196),
        horizontal_line(167, 197),
        horizontal_line(167, 197),
        horizontal_line(167, 198),
        horizontal_line(167, 198),
        horizontal_line(167, 199),
        horizontal_line(167, 200),
        horizontal_line(167, 200),
        horizontal_line(167, 201),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(167, 202),
        horizontal_line(167, 203),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(167, 204),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(167, 210),
        horizontal_line(167, 211),
        horizontal_line(167, 211),
        horizontal_line(167, 212),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(114, 117),
        horizontal_line(113, 119),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(156, 157),
        horizontal_line(156, 159),
        horizontal_line(157, 162),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(107, 129),
        horizontal_line(106, 131),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(171, 219),
        horizontal_line(171, 220),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(103, 136),
        horizontal_line(102, 138),
        horizontal_line(101, 140),
        horizontal_line(100, 142),
        horizontal_line(99, 143),
        horizontal_line(98, 145),
        horizontal_line(97, 147),
        horizontal_line(96, 149),
        horizontal_line(95, 151),
        horizontal_line(94, 151),
        horizontal_line(93, 150),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(179, 227),
        horizontal_line(179, 227),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(167, 175),
        horizontal_line(167, 176),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(181, 190),
        horizontal_line(181, 193),
        horizontal_line(180, 196),
        horizontal_line(180, 199),
    };

    constexpr const horizontal_line frame_162_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(187, 238),
        horizontal_line(187, 237),
        horizontal_line(188, 237),
        horizontal_line(189, 236),
        horizontal_line(190, 236),
        horizontal_line(190, 235),
        horizontal_line(191, 235),
        horizontal_line(192, 235),
        horizontal_line(193, 234),
        horizontal_line(193, 234),
        horizontal_line(194, 233),
        horizontal_line(195, 233),
        horizontal_line(196, 232),
        horizontal_line(196, 232),
        horizontal_line(197, 231),
        horizontal_line(198, 231),
        horizontal_line(198, 231),
        horizontal_line(199, 230),
        horizontal_line(200, 230),
        horizontal_line(201, 229),
    };

    constexpr const shape frame_162_shape_group_5_shapes[] = {
        shape(frame_162_shape_group_5_shape_0_horizontal_lines, 0, 8),
        shape(frame_162_shape_group_5_shape_1_horizontal_lines, 28, 8),
        shape(frame_162_shape_group_5_shape_2_horizontal_lines, 31, 8),
        shape(frame_162_shape_group_5_shape_3_horizontal_lines, 42, 8),
        shape(frame_162_shape_group_5_shape_4_horizontal_lines, 47, 1),
        shape(frame_162_shape_group_5_shape_5_horizontal_lines, 52, 11),
        shape(frame_162_shape_group_5_shape_6_horizontal_lines, 55, 1),
        shape(frame_162_shape_group_5_shape_7_horizontal_lines, 57, 8),
        shape(frame_162_shape_group_5_shape_8_horizontal_lines, 59, 1),
        shape(frame_162_shape_group_5_shape_9_horizontal_lines, 70, 8),
        shape(frame_162_shape_group_5_shape_10_horizontal_lines, 72, 5),
        shape(frame_162_shape_group_5_shape_11_horizontal_lines, 74, 1),
        shape(frame_162_shape_group_5_shape_12_horizontal_lines, 79, 9),
        shape(frame_162_shape_group_5_shape_13_horizontal_lines, 106, 9),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(157, 162),
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(105, 133),
        horizontal_line(104, 135),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(164, 171),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(164, 170),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
        horizontal_line(163, 169),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(167, 175),
        horizontal_line(166, 175),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(92, 149),
        horizontal_line(91, 148),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(176, 179),
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(167, 176),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(168, 176),
        horizontal_line(171, 176),
        horizontal_line(174, 176),
    };

    constexpr const horizontal_line frame_162_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const shape frame_162_shape_group_6_shapes[] = {
        shape(frame_162_shape_group_6_shape_0_horizontal_lines, 55, 11),
        shape(frame_162_shape_group_6_shape_1_horizontal_lines, 57, 1),
        shape(frame_162_shape_group_6_shape_2_horizontal_lines, 59, 14),
        shape(frame_162_shape_group_6_shape_3_horizontal_lines, 60, 11),
        shape(frame_162_shape_group_6_shape_4_horizontal_lines, 68, 5),
        shape(frame_162_shape_group_6_shape_5_horizontal_lines, 70, 1),
        shape(frame_162_shape_group_6_shape_6_horizontal_lines, 72, 4),
        shape(frame_162_shape_group_6_shape_7_horizontal_lines, 74, 5),
        shape(frame_162_shape_group_6_shape_8_horizontal_lines, 75, 1),
        shape(frame_162_shape_group_6_shape_9_horizontal_lines, 76, 5),
        shape(frame_162_shape_group_6_shape_10_horizontal_lines, 79, 10),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(160, 163),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(171, 173),
        horizontal_line(171, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 174),
        horizontal_line(170, 175),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(176, 177),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(166, 175),
        horizontal_line(167, 175),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(165, 166),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(168, 176),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_162_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(177, 180),
    };

    constexpr const shape frame_162_shape_group_7_shapes[] = {
        shape(frame_162_shape_group_7_shape_0_horizontal_lines, 57, 11),
        shape(frame_162_shape_group_7_shape_1_horizontal_lines, 60, 13),
        shape(frame_162_shape_group_7_shape_2_horizontal_lines, 62, 5),
        shape(frame_162_shape_group_7_shape_3_horizontal_lines, 68, 4),
        shape(frame_162_shape_group_7_shape_4_horizontal_lines, 70, 5),
        shape(frame_162_shape_group_7_shape_5_horizontal_lines, 72, 2),
        shape(frame_162_shape_group_7_shape_6_horizontal_lines, 74, 4),
        shape(frame_162_shape_group_7_shape_7_horizontal_lines, 75, 5),
        shape(frame_162_shape_group_7_shape_8_horizontal_lines, 77, 4),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(175, 175),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(176, 178),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(177, 180),
    };

    constexpr const horizontal_line frame_162_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(182, 184),
        horizontal_line(182, 187),
    };

    constexpr const shape frame_162_shape_group_8_shapes[] = {
        shape(frame_162_shape_group_8_shape_0_horizontal_lines, 57, 12),
        shape(frame_162_shape_group_8_shape_1_horizontal_lines, 65, 4),
        shape(frame_162_shape_group_8_shape_2_horizontal_lines, 69, 2),
        shape(frame_162_shape_group_8_shape_3_horizontal_lines, 70, 4),
        shape(frame_162_shape_group_8_shape_4_horizontal_lines, 74, 2),
        shape(frame_162_shape_group_8_shape_5_horizontal_lines, 75, 5),
        shape(frame_162_shape_group_8_shape_6_horizontal_lines, 76, 4),
        shape(frame_162_shape_group_8_shape_7_horizontal_lines, 77, 9),
    };

    constexpr const horizontal_line frame_162_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_162_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(177, 180),
    };

    constexpr const shape frame_162_shape_group_9_shapes[] = {
        shape(frame_162_shape_group_9_shape_0_horizontal_lines, 70, 2),
        shape(frame_162_shape_group_9_shape_1_horizontal_lines, 75, 4),
    };

    constexpr const horizontal_line frame_162_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(165, 167),
    };

    constexpr const shape frame_162_shape_group_10_shapes[] = {
        shape(frame_162_shape_group_10_shape_0_horizontal_lines, 75, 2),
    };

    constexpr const shape_group frame_162_shape_groups[] = {
        shape_group(frame_162_shape_group_0_shapes),
        shape_group(frame_162_shape_group_1_shapes),
        shape_group(frame_162_shape_group_2_shapes),
        shape_group(frame_162_shape_group_3_shapes),
        shape_group(frame_162_shape_group_4_shapes),
        shape_group(frame_162_shape_group_5_shapes),
        shape_group(frame_162_shape_group_6_shapes),
        shape_group(frame_162_shape_group_7_shapes),
        shape_group(frame_162_shape_group_8_shapes),
        shape_group(frame_162_shape_group_9_shapes),
        shape_group(frame_162_shape_group_10_shapes),
    };

    constexpr const frame frame_162_impl(frame_162_colors, frame_162_shape_groups);
} 

const frame& frame_162()
{
    return frame_162_impl;
}

namespace
{
    constexpr const bn::color frame_163_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_163_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 54),
        horizontal_line(0, 57),
        horizontal_line(0, 59),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_163_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 78),
        horizontal_line(16, 76),
        horizontal_line(16, 74),
        horizontal_line(16, 72),
        horizontal_line(16, 70),
        horizontal_line(16, 68),
        horizontal_line(16, 67),
        horizontal_line(16, 65),
        horizontal_line(16, 63),
        horizontal_line(16, 61),
        horizontal_line(16, 59),
        horizontal_line(17, 57),
        horizontal_line(17, 55),
        horizontal_line(17, 53),
        horizontal_line(17, 51),
        horizontal_line(17, 50),
        horizontal_line(17, 48),
        horizontal_line(17, 46),
        horizontal_line(17, 44),
        horizontal_line(17, 42),
        horizontal_line(17, 40),
        horizontal_line(17, 38),
        horizontal_line(17, 36),
        horizontal_line(17, 34),
        horizontal_line(17, 33),
        horizontal_line(17, 31),
        horizontal_line(17, 29),
        horizontal_line(17, 27),
        horizontal_line(17, 25),
        horizontal_line(17, 23),
        horizontal_line(17, 21),
        horizontal_line(17, 19),
        horizontal_line(17, 17),
    };

    constexpr const horizontal_line frame_163_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_163_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(16, 18),
        horizontal_line(14, 21),
        horizontal_line(13, 23),
        horizontal_line(11, 26),
        horizontal_line(10, 28),
        horizontal_line(8, 31),
        horizontal_line(7, 34),
    };

    constexpr const shape frame_163_shape_group_0_shapes[] = {
        shape(frame_163_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_163_shape_group_0_shape_1_horizontal_lines, 86, 7),
        shape(frame_163_shape_group_0_shape_2_horizontal_lines, 152, 1),
        shape(frame_163_shape_group_0_shape_3_horizontal_lines, 153, 7),
    };

    constexpr const horizontal_line frame_163_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(77, 129),
        horizontal_line(76, 129),
        horizontal_line(76, 129),
        horizontal_line(76, 130),
        horizontal_line(75, 130),
        horizontal_line(75, 131),
        horizontal_line(75, 131),
        horizontal_line(75, 132),
        horizontal_line(74, 132),
        horizontal_line(74, 133),
        horizontal_line(74, 133),
        horizontal_line(74, 133),
        horizontal_line(73, 134),
        horizontal_line(73, 134),
        horizontal_line(73, 135),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(71, 133),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(69, 131),
        horizontal_line(62, 124),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(85, 146),
        horizontal_line(87, 146),
        horizontal_line(89, 147),
        horizontal_line(91, 147),
        horizontal_line(93, 148),
        horizontal_line(95, 148),
        horizontal_line(97, 149),
        horizontal_line(100, 149),
        horizontal_line(102, 149),
        horizontal_line(104, 150),
        horizontal_line(106, 150),
        horizontal_line(108, 151),
        horizontal_line(110, 151),
        horizontal_line(112, 152),
        horizontal_line(114, 152),
        horizontal_line(117, 153),
        horizontal_line(119, 152),
        horizontal_line(121, 152),
        horizontal_line(123, 151),
        horizontal_line(125, 151),
        horizontal_line(127, 150),
        horizontal_line(129, 150),
        horizontal_line(132, 150),
        horizontal_line(134, 149),
        horizontal_line(136, 149),
        horizontal_line(138, 148),
        horizontal_line(140, 148),
        horizontal_line(142, 147),
        horizontal_line(144, 147),
        horizontal_line(147, 147),
        horizontal_line(147, 158),
        horizontal_line(146, 157),
        horizontal_line(145, 156),
        horizontal_line(144, 155),
        horizontal_line(143, 161),
        horizontal_line(142, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 160),
        horizontal_line(153, 158),
        horizontal_line(152, 156),
        horizontal_line(152, 154),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_163_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_163_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(52, 114),
        horizontal_line(39, 101),
        horizontal_line(26, 88),
        horizontal_line(15, 77),
        horizontal_line(141, 176),
        horizontal_line(77, 139),
        horizontal_line(139, 175),
        horizontal_line(144, 175),
        horizontal_line(149, 174),
        horizontal_line(154, 174),
        horizontal_line(159, 173),
        horizontal_line(164, 173),
        horizontal_line(169, 172),
        horizontal_line(77, 123),
        horizontal_line(77, 121),
        horizontal_line(77, 119),
        horizontal_line(77, 118),
        horizontal_line(77, 116),
        horizontal_line(77, 114),
        horizontal_line(77, 112),
        horizontal_line(77, 110),
        horizontal_line(77, 108),
        horizontal_line(77, 106),
        horizontal_line(77, 104),
        horizontal_line(77, 102),
        horizontal_line(77, 101),
        horizontal_line(78, 99),
        horizontal_line(78, 97),
        horizontal_line(78, 95),
        horizontal_line(78, 93),
        horizontal_line(78, 91),
        horizontal_line(78, 89),
        horizontal_line(78, 87),
        horizontal_line(78, 85),
        horizontal_line(78, 84),
        horizontal_line(78, 82),
        horizontal_line(78, 80),
        horizontal_line(78, 78),
    };

    constexpr const horizontal_line frame_163_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_163_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_163_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
    };

    constexpr const shape frame_163_shape_group_1_shapes[] = {
        shape(frame_163_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_163_shape_group_1_shape_1_horizontal_lines, 81, 8),
        shape(frame_163_shape_group_1_shape_2_horizontal_lines, 82, 7),
        shape(frame_163_shape_group_1_shape_3_horizontal_lines, 120, 1),
        shape(frame_163_shape_group_1_shape_4_horizontal_lines, 152, 9),
        shape(frame_163_shape_group_1_shape_5_horizontal_lines, 153, 1),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(14, 74),
        horizontal_line(16, 74),
        horizontal_line(18, 73),
        horizontal_line(20, 73),
        horizontal_line(22, 73),
        horizontal_line(25, 73),
        horizontal_line(27, 72),
        horizontal_line(29, 72),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(135, 135),
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(133, 137),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(133, 139),
        horizontal_line(132, 139),
        horizontal_line(132, 140),
        horizontal_line(132, 140),
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(62, 63),
        horizontal_line(62, 65),
        horizontal_line(124, 142),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(144, 145),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(148, 161),
        horizontal_line(149, 161),
        horizontal_line(151, 161),
        horizontal_line(152, 161),
        horizontal_line(154, 161),
        horizontal_line(155, 161),
        horizontal_line(157, 161),
        horizontal_line(158, 161),
        horizontal_line(160, 161),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(51, 105),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(49, 109),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(160, 165),
        horizontal_line(153, 154),
        horizontal_line(153, 156),
        horizontal_line(152, 157),
        horizontal_line(152, 159),
        horizontal_line(151, 167),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(150, 160),
        horizontal_line(150, 160),
        horizontal_line(149, 159),
        horizontal_line(149, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 163),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(160, 161),
        horizontal_line(158, 161),
        horizontal_line(157, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(27, 89),
        horizontal_line(26, 88),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(128, 140),
        horizontal_line(115, 140),
        horizontal_line(102, 140),
        horizontal_line(90, 140),
        horizontal_line(77, 139),
        horizontal_line(64, 126),
        horizontal_line(149, 158),
        horizontal_line(147, 165),
        horizontal_line(145, 172),
        horizontal_line(143, 177),
        horizontal_line(77, 138),
        horizontal_line(139, 176),
        horizontal_line(77, 137),
        horizontal_line(77, 135),
        horizontal_line(77, 133),
        horizontal_line(77, 131),
        horizontal_line(77, 129),
        horizontal_line(77, 127),
        horizontal_line(77, 125),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_163_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_163_shape_group_2_shapes[] = {
        shape(frame_163_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_163_shape_group_2_shape_1_horizontal_lines, 14, 3),
        shape(frame_163_shape_group_2_shape_2_horizontal_lines, 39, 7),
        shape(frame_163_shape_group_2_shape_3_horizontal_lines, 49, 1),
        shape(frame_163_shape_group_2_shape_4_horizontal_lines, 50, 8),
        shape(frame_163_shape_group_2_shape_5_horizontal_lines, 51, 1),
        shape(frame_163_shape_group_2_shape_6_horizontal_lines, 54, 6),
        shape(frame_163_shape_group_2_shape_7_horizontal_lines, 70, 3),
        shape(frame_163_shape_group_2_shape_8_horizontal_lines, 73, 1),
        shape(frame_163_shape_group_2_shape_9_horizontal_lines, 75, 7),
        shape(frame_163_shape_group_2_shape_10_horizontal_lines, 95, 1),
        shape(frame_163_shape_group_2_shape_11_horizontal_lines, 120, 9),
        shape(frame_163_shape_group_2_shape_12_horizontal_lines, 153, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(63, 76),
        horizontal_line(65, 75),
        horizontal_line(67, 75),
        horizontal_line(69, 75),
        horizontal_line(71, 74),
        horizontal_line(73, 74),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(31, 72),
        horizontal_line(33, 72),
        horizontal_line(36, 71),
        horizontal_line(38, 71),
        horizontal_line(40, 71),
        horizontal_line(42, 71),
        horizontal_line(44, 70),
        horizontal_line(47, 70),
        horizontal_line(49, 70),
        horizontal_line(51, 70),
        horizontal_line(53, 69),
        horizontal_line(55, 69),
        horizontal_line(58, 69),
        horizontal_line(60, 69),
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(131, 141),
        horizontal_line(131, 142),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(132, 143),
        horizontal_line(134, 143),
        horizontal_line(136, 144),
        horizontal_line(138, 144),
        horizontal_line(140, 145),
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(147, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(61, 84),
        horizontal_line(60, 86),
        horizontal_line(59, 88),
        horizontal_line(58, 90),
        horizontal_line(57, 92),
        horizontal_line(56, 94),
        horizontal_line(55, 96),
        horizontal_line(54, 99),
        horizontal_line(53, 101),
        horizontal_line(52, 103),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(50, 107),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(152, 154),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(110, 111),
        horizontal_line(109, 113),
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(160, 165),
        horizontal_line(161, 166),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(39, 101),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(158, 159),
        horizontal_line(157, 157),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(89, 142),
        horizontal_line(88, 141),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(180, 180),
        horizontal_line(180, 181),
        horizontal_line(179, 180),
        horizontal_line(179, 179),
        horizontal_line(151, 151),
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(88, 138),
        horizontal_line(77, 138),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_163_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(173, 226),
        horizontal_line(173, 228),
        horizontal_line(174, 231),
        horizontal_line(174, 233),
        horizontal_line(175, 236),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_163_shape_group_3_shapes[] = {
        shape(frame_163_shape_group_3_shape_0_horizontal_lines, 0, 6),
        shape(frame_163_shape_group_3_shape_1_horizontal_lines, 6, 8),
        shape(frame_163_shape_group_3_shape_2_horizontal_lines, 14, 6),
        shape(frame_163_shape_group_3_shape_3_horizontal_lines, 29, 3),
        shape(frame_163_shape_group_3_shape_4_horizontal_lines, 31, 8),
        shape(frame_163_shape_group_3_shape_5_horizontal_lines, 32, 3),
        shape(frame_163_shape_group_3_shape_6_horizontal_lines, 38, 7),
        shape(frame_163_shape_group_3_shape_7_horizontal_lines, 39, 1),
        shape(frame_163_shape_group_3_shape_8_horizontal_lines, 50, 1),
        shape(frame_163_shape_group_3_shape_9_horizontal_lines, 51, 11),
        shape(frame_163_shape_group_3_shape_10_horizontal_lines, 52, 1),
        shape(frame_163_shape_group_3_shape_11_horizontal_lines, 55, 6),
        shape(frame_163_shape_group_3_shape_12_horizontal_lines, 59, 1),
        shape(frame_163_shape_group_3_shape_13_horizontal_lines, 70, 6),
        shape(frame_163_shape_group_3_shape_14_horizontal_lines, 73, 1),
        shape(frame_163_shape_group_3_shape_15_horizontal_lines, 77, 7),
        shape(frame_163_shape_group_3_shape_16_horizontal_lines, 86, 1),
        shape(frame_163_shape_group_3_shape_17_horizontal_lines, 95, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(136, 161),
        horizontal_line(137, 161),
        horizontal_line(137, 161),
        horizontal_line(137, 161),
        horizontal_line(138, 161),
        horizontal_line(138, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(136, 137),
        horizontal_line(136, 138),
        horizontal_line(137, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(138, 139),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(140, 140),
        horizontal_line(140, 141),
        horizontal_line(141, 141),
        horizontal_line(141, 141),
        horizontal_line(142, 142),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(64, 68),
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(144, 161),
        horizontal_line(144, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(145, 161),
        horizontal_line(145, 161),
        horizontal_line(146, 161),
        horizontal_line(146, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(153, 156),
        horizontal_line(153, 159),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(108, 116),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(103, 126),
        horizontal_line(102, 128),
        horizontal_line(101, 131),
        horizontal_line(100, 133),
        horizontal_line(99, 135),
        horizontal_line(98, 137),
        horizontal_line(97, 139),
        horizontal_line(96, 141),
        horizontal_line(95, 143),
        horizontal_line(94, 146),
        horizontal_line(93, 146),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(164, 173),
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(142, 152),
        horizontal_line(141, 152),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(178, 179),
        horizontal_line(114, 139),
        horizontal_line(101, 139),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(16, 25),
        horizontal_line(14, 14),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(177, 205),
        horizontal_line(176, 207),
        horizontal_line(176, 210),
        horizontal_line(175, 213),
        horizontal_line(175, 215),
        horizontal_line(174, 218),
        horizontal_line(174, 220),
        horizontal_line(173, 223),
    };

    constexpr const horizontal_line frame_163_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_163_shape_group_4_shapes[] = {
        shape(frame_163_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_163_shape_group_4_shape_1_horizontal_lines, 6, 7),
        shape(frame_163_shape_group_4_shape_2_horizontal_lines, 14, 8),
        shape(frame_163_shape_group_4_shape_3_horizontal_lines, 29, 6),
        shape(frame_163_shape_group_4_shape_4_horizontal_lines, 31, 7),
        shape(frame_163_shape_group_4_shape_5_horizontal_lines, 33, 8),
        shape(frame_163_shape_group_4_shape_6_horizontal_lines, 34, 7),
        shape(frame_163_shape_group_4_shape_7_horizontal_lines, 38, 1),
        shape(frame_163_shape_group_4_shape_8_horizontal_lines, 52, 11),
        shape(frame_163_shape_group_4_shape_9_horizontal_lines, 54, 1),
        shape(frame_163_shape_group_4_shape_10_horizontal_lines, 73, 5),
        shape(frame_163_shape_group_4_shape_11_horizontal_lines, 75, 1),
        shape(frame_163_shape_group_4_shape_12_horizontal_lines, 80, 7),
        shape(frame_163_shape_group_4_shape_13_horizontal_lines, 84, 1),
        shape(frame_163_shape_group_4_shape_14_horizontal_lines, 87, 9),
        shape(frame_163_shape_group_4_shape_15_horizontal_lines, 100, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(134, 161),
        horizontal_line(134, 161),
        horizontal_line(134, 161),
        horizontal_line(135, 161),
        horizontal_line(135, 161),
        horizontal_line(135, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(138, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(140, 161),
        horizontal_line(141, 161),
        horizontal_line(141, 161),
        horizontal_line(141, 161),
        horizontal_line(142, 161),
        horizontal_line(142, 161),
        horizontal_line(142, 161),
        horizontal_line(143, 161),
        horizontal_line(143, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(68, 69),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(145, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(66, 73),
        horizontal_line(65, 75),
        horizontal_line(64, 77),
        horizontal_line(63, 79),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(154, 159),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(107, 118),
        horizontal_line(106, 120),
        horizontal_line(105, 122),
        horizontal_line(104, 124),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(161, 168),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 166),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(164, 172),
        horizontal_line(163, 173),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(92, 145),
        horizontal_line(91, 144),
        horizontal_line(90, 143),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(174, 177),
        horizontal_line(174, 178),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(87, 140),
        horizontal_line(161, 161),
        horizontal_line(141, 152),
        horizontal_line(141, 151),
        horizontal_line(141, 151),
        horizontal_line(20, 76),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(126, 139),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(18, 51),
        horizontal_line(17, 38),
        horizontal_line(139, 144),
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_163_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(177, 202),
    };

    constexpr const shape frame_163_shape_group_5_shapes[] = {
        shape(frame_163_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_163_shape_group_5_shape_1_horizontal_lines, 14, 7),
        shape(frame_163_shape_group_5_shape_2_horizontal_lines, 29, 8),
        shape(frame_163_shape_group_5_shape_3_horizontal_lines, 32, 1),
        shape(frame_163_shape_group_5_shape_4_horizontal_lines, 33, 7),
        shape(frame_163_shape_group_5_shape_5_horizontal_lines, 34, 1),
        shape(frame_163_shape_group_5_shape_6_horizontal_lines, 54, 11),
        shape(frame_163_shape_group_5_shape_7_horizontal_lines, 55, 1),
        shape(frame_163_shape_group_5_shape_8_horizontal_lines, 59, 13),
        shape(frame_163_shape_group_5_shape_9_horizontal_lines, 60, 11),
        shape(frame_163_shape_group_5_shape_10_horizontal_lines, 68, 5),
        shape(frame_163_shape_group_5_shape_11_horizontal_lines, 70, 1),
        shape(frame_163_shape_group_5_shape_12_horizontal_lines, 73, 4),
        shape(frame_163_shape_group_5_shape_13_horizontal_lines, 75, 1),
        shape(frame_163_shape_group_5_shape_14_horizontal_lines, 81, 7),
        shape(frame_163_shape_group_5_shape_15_horizontal_lines, 82, 1),
        shape(frame_163_shape_group_5_shape_16_horizontal_lines, 86, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(143, 161),
        horizontal_line(144, 161),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(67, 71),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(157, 160),
        horizontal_line(158, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(168, 169),
        horizontal_line(168, 170),
        horizontal_line(168, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(163, 173),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(86, 127),
        horizontal_line(159, 163),
        horizontal_line(157, 166),
        horizontal_line(155, 169),
        horizontal_line(140, 151),
        horizontal_line(19, 63),
        horizontal_line(140, 148),
        horizontal_line(140, 146),
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_163_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(178, 200),
    };

    constexpr const shape frame_163_shape_group_6_shapes[] = {
        shape(frame_163_shape_group_6_shape_0_horizontal_lines, 29, 7),
        shape(frame_163_shape_group_6_shape_1_horizontal_lines, 33, 1),
        shape(frame_163_shape_group_6_shape_2_horizontal_lines, 55, 11),
        shape(frame_163_shape_group_6_shape_3_horizontal_lines, 60, 13),
        shape(frame_163_shape_group_6_shape_4_horizontal_lines, 61, 5),
        shape(frame_163_shape_group_6_shape_5_horizontal_lines, 68, 4),
        shape(frame_163_shape_group_6_shape_6_horizontal_lines, 70, 5),
        shape(frame_163_shape_group_6_shape_7_horizontal_lines, 73, 2),
        shape(frame_163_shape_group_6_shape_8_horizontal_lines, 75, 5),
        shape(frame_163_shape_group_6_shape_9_horizontal_lines, 76, 1),
        shape(frame_163_shape_group_6_shape_10_horizontal_lines, 85, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_163_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_163_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(174, 175),
        horizontal_line(174, 176),
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_163_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(165, 173),
    };

    constexpr const horizontal_line frame_163_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(85, 114),
        horizontal_line(84, 101),
        horizontal_line(83, 89),
        horizontal_line(153, 172),
        horizontal_line(140, 150),
        horizontal_line(159, 177),
        horizontal_line(166, 177),
    };

    constexpr const horizontal_line frame_163_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(178, 197),
    };

    constexpr const shape frame_163_shape_group_7_shapes[] = {
        shape(frame_163_shape_group_7_shape_0_horizontal_lines, 66, 4),
        shape(frame_163_shape_group_7_shape_1_horizontal_lines, 69, 2),
        shape(frame_163_shape_group_7_shape_2_horizontal_lines, 70, 4),
        shape(frame_163_shape_group_7_shape_3_horizontal_lines, 75, 5),
        shape(frame_163_shape_group_7_shape_4_horizontal_lines, 77, 1),
        shape(frame_163_shape_group_7_shape_5_horizontal_lines, 84, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(162, 163),
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_163_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(174, 178),
    };

    constexpr const horizontal_line frame_163_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(165, 173),
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_163_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(170, 178),
    };

    constexpr const horizontal_line frame_163_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_163_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(152, 175),
    };

    constexpr const horizontal_line frame_163_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(179, 192),
        horizontal_line(179, 194),
    };

    constexpr const shape frame_163_shape_group_8_shapes[] = {
        shape(frame_163_shape_group_8_shape_0_horizontal_lines, 70, 2),
        shape(frame_163_shape_group_8_shape_1_horizontal_lines, 75, 4),
        shape(frame_163_shape_group_8_shape_2_horizontal_lines, 76, 5),
        shape(frame_163_shape_group_8_shape_3_horizontal_lines, 79, 4),
        shape(frame_163_shape_group_8_shape_4_horizontal_lines, 80, 9),
        shape(frame_163_shape_group_8_shape_5_horizontal_lines, 81, 1),
        shape(frame_163_shape_group_8_shape_6_horizontal_lines, 82, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(162, 163),
    };

    constexpr const horizontal_line frame_163_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(174, 178),
        horizontal_line(174, 179),
        horizontal_line(174, 179),
    };

    constexpr const horizontal_line frame_163_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(181, 184),
    };

    constexpr const horizontal_line frame_163_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(173, 178),
    };

    constexpr const horizontal_line frame_163_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(180, 189),
    };

    constexpr const shape frame_163_shape_group_9_shapes[] = {
        shape(frame_163_shape_group_9_shape_0_horizontal_lines, 75, 2),
        shape(frame_163_shape_group_9_shape_1_horizontal_lines, 76, 4),
        shape(frame_163_shape_group_9_shape_2_horizontal_lines, 79, 9),
        shape(frame_163_shape_group_9_shape_3_horizontal_lines, 80, 10),
        shape(frame_163_shape_group_9_shape_4_horizontal_lines, 81, 9),
    };

    constexpr const horizontal_line frame_163_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(162, 164),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_163_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(182, 182),
    };

    constexpr const shape frame_163_shape_group_10_shapes[] = {
        shape(frame_163_shape_group_10_shape_0_horizontal_lines, 76, 2),
        shape(frame_163_shape_group_10_shape_1_horizontal_lines, 78, 9),
    };

    constexpr const shape_group frame_163_shape_groups[] = {
        shape_group(frame_163_shape_group_0_shapes),
        shape_group(frame_163_shape_group_1_shapes),
        shape_group(frame_163_shape_group_2_shapes),
        shape_group(frame_163_shape_group_3_shapes),
        shape_group(frame_163_shape_group_4_shapes),
        shape_group(frame_163_shape_group_5_shapes),
        shape_group(frame_163_shape_group_6_shapes),
        shape_group(frame_163_shape_group_7_shapes),
        shape_group(frame_163_shape_group_8_shapes),
        shape_group(frame_163_shape_group_9_shapes),
        shape_group(frame_163_shape_group_10_shapes),
    };

    constexpr const frame frame_163_impl(frame_163_colors, frame_163_shape_groups);
} 

const frame& frame_163()
{
    return frame_163_impl;
}

namespace
{
    constexpr const bn::color frame_164_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(4, 16, 24),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_164_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(6, 68),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(60, 122),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(83, 144),
        horizontal_line(86, 145),
        horizontal_line(89, 145),
        horizontal_line(91, 146),
        horizontal_line(94, 146),
        horizontal_line(97, 147),
        horizontal_line(100, 147),
        horizontal_line(103, 148),
        horizontal_line(106, 147),
        horizontal_line(108, 147),
        horizontal_line(111, 146),
        horizontal_line(114, 146),
        horizontal_line(117, 145),
        horizontal_line(120, 145),
        horizontal_line(123, 145),
        horizontal_line(125, 144),
        horizontal_line(128, 144),
        horizontal_line(131, 143),
        horizontal_line(134, 143),
        horizontal_line(137, 142),
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_164_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_164_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(142, 154),
        horizontal_line(141, 153),
        horizontal_line(140, 152),
        horizontal_line(139, 151),
        horizontal_line(138, 158),
        horizontal_line(137, 158),
        horizontal_line(136, 144),
        horizontal_line(135, 139),
        horizontal_line(148, 157),
        horizontal_line(148, 154),
        horizontal_line(148, 152),
        horizontal_line(147, 149),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_164_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(95, 132),
        horizontal_line(87, 132),
        horizontal_line(79, 132),
        horizontal_line(71, 132),
        horizontal_line(64, 126),
        horizontal_line(56, 118),
        horizontal_line(48, 110),
        horizontal_line(40, 102),
        horizontal_line(32, 94),
        horizontal_line(24, 86),
        horizontal_line(16, 78),
        horizontal_line(8, 70),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
    };

    constexpr const shape frame_164_shape_group_0_shapes[] = {
        shape(frame_164_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_164_shape_group_0_shape_1_horizontal_lines, 68, 1),
        shape(frame_164_shape_group_0_shape_2_horizontal_lines, 69, 3),
        shape(frame_164_shape_group_0_shape_3_horizontal_lines, 82, 7),
    };

    constexpr const horizontal_line frame_164_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(65, 127),
        horizontal_line(68, 130),
        horizontal_line(71, 132),
        horizontal_line(74, 132),
        horizontal_line(77, 133),
        horizontal_line(80, 133),
        horizontal_line(82, 134),
        horizontal_line(85, 134),
        horizontal_line(88, 135),
        horizontal_line(91, 135),
        horizontal_line(94, 135),
        horizontal_line(97, 136),
        horizontal_line(99, 136),
        horizontal_line(102, 137),
        horizontal_line(105, 137),
        horizontal_line(108, 138),
        horizontal_line(111, 138),
        horizontal_line(114, 139),
        horizontal_line(116, 139),
        horizontal_line(119, 140),
        horizontal_line(122, 140),
        horizontal_line(125, 141),
        horizontal_line(128, 141),
        horizontal_line(131, 142),
        horizontal_line(134, 142),
        horizontal_line(136, 143),
        horizontal_line(139, 143),
        horizontal_line(142, 144),
    };

    constexpr const horizontal_line frame_164_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_164_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(155, 158),
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_164_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_164_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_164_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(127, 133),
        horizontal_line(119, 133),
        horizontal_line(111, 133),
        horizontal_line(103, 133),
        horizontal_line(146, 146),
        horizontal_line(144, 154),
        horizontal_line(142, 162),
        horizontal_line(141, 170),
        horizontal_line(139, 177),
        horizontal_line(137, 176),
        horizontal_line(136, 176),
        horizontal_line(134, 175),
        horizontal_line(94, 156),
        horizontal_line(132, 174),
        horizontal_line(136, 174),
        horizontal_line(141, 174),
        horizontal_line(145, 173),
        horizontal_line(150, 173),
        horizontal_line(154, 172),
        horizontal_line(159, 172),
        horizontal_line(163, 171),
        horizontal_line(168, 171),
        horizontal_line(62, 114),
        horizontal_line(62, 113),
        horizontal_line(62, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 106),
        horizontal_line(62, 104),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 99),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 94),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 82),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_164_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
    };

    constexpr const shape frame_164_shape_group_1_shapes[] = {
        shape(frame_164_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_164_shape_group_1_shape_1_horizontal_lines, 47, 1),
        shape(frame_164_shape_group_1_shape_2_horizontal_lines, 70, 3),
        shape(frame_164_shape_group_1_shape_3_horizontal_lines, 73, 1),
        shape(frame_164_shape_group_1_shape_4_horizontal_lines, 75, 3),
        shape(frame_164_shape_group_1_shape_5_horizontal_lines, 77, 7),
        shape(frame_164_shape_group_1_shape_6_horizontal_lines, 132, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_164_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(125, 130),
        horizontal_line(127, 131),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_164_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(133, 135),
        horizontal_line(133, 136),
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_164_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(143, 158),
        horizontal_line(144, 158),
        horizontal_line(146, 158),
        horizontal_line(147, 158),
        horizontal_line(149, 158),
        horizontal_line(150, 158),
        horizontal_line(151, 158),
        horizontal_line(153, 158),
        horizontal_line(154, 158),
        horizontal_line(156, 158),
        horizontal_line(157, 158),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_164_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 85),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(62, 93),
        horizontal_line(62, 96),
        horizontal_line(62, 99),
        horizontal_line(62, 102),
        horizontal_line(62, 105),
        horizontal_line(62, 107),
        horizontal_line(62, 110),
        horizontal_line(62, 113),
        horizontal_line(62, 116),
        horizontal_line(62, 119),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 142),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_164_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(177, 179),
        horizontal_line(176, 179),
        horizontal_line(175, 179),
        horizontal_line(175, 178),
        horizontal_line(175, 178),
        horizontal_line(176, 177),
        horizontal_line(177, 177),
        horizontal_line(126, 132),
        horizontal_line(118, 131),
        horizontal_line(110, 131),
        horizontal_line(102, 131),
        horizontal_line(156, 175),
        horizontal_line(86, 130),
        horizontal_line(78, 128),
        horizontal_line(70, 126),
        horizontal_line(63, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 121),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 116),
    };

    constexpr const horizontal_line frame_164_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(172, 225),
        horizontal_line(172, 227),
        horizontal_line(173, 229),
        horizontal_line(173, 231),
        horizontal_line(174, 233),
        horizontal_line(174, 235),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_164_shape_group_2_shapes[] = {
        shape(frame_164_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_164_shape_group_2_shape_1_horizontal_lines, 5, 3),
        shape(frame_164_shape_group_2_shape_2_horizontal_lines, 21, 8),
        shape(frame_164_shape_group_2_shape_3_horizontal_lines, 35, 7),
        shape(frame_164_shape_group_2_shape_4_horizontal_lines, 47, 1),
        shape(frame_164_shape_group_2_shape_5_horizontal_lines, 78, 7),
        shape(frame_164_shape_group_2_shape_6_horizontal_lines, 100, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(128, 158),
        horizontal_line(128, 158),
        horizontal_line(128, 158),
        horizontal_line(129, 158),
        horizontal_line(129, 158),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(136, 158),
        horizontal_line(137, 158),
        horizontal_line(137, 158),
        horizontal_line(137, 158),
        horizontal_line(138, 158),
        horizontal_line(138, 158),
        horizontal_line(139, 158),
        horizontal_line(139, 158),
        horizontal_line(139, 158),
        horizontal_line(140, 158),
        horizontal_line(140, 158),
        horizontal_line(141, 158),
        horizontal_line(141, 158),
        horizontal_line(142, 158),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(145, 146),
        horizontal_line(146, 148),
        horizontal_line(146, 151),
        horizontal_line(147, 153),
        horizontal_line(147, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(149, 156),
        horizontal_line(151, 157),
        horizontal_line(154, 157),
        horizontal_line(156, 157),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(147, 163),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(158, 164),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 127),
        horizontal_line(124, 130),
        horizontal_line(124, 133),
        horizontal_line(124, 136),
        horizontal_line(124, 139),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(143, 160),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(124, 141),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(145, 148),
        horizontal_line(140, 148),
        horizontal_line(158, 158),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 55),
        horizontal_line(0, 47),
        horizontal_line(0, 39),
        horizontal_line(0, 31),
        horizontal_line(0, 23),
        horizontal_line(0, 15),
        horizontal_line(0, 7),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(174, 214),
        horizontal_line(173, 216),
        horizontal_line(173, 218),
        horizontal_line(172, 220),
        horizontal_line(172, 222),
    };

    constexpr const horizontal_line frame_164_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(237, 238),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_164_shape_group_3_shapes[] = {
        shape(frame_164_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_164_shape_group_3_shape_1_horizontal_lines, 5, 8),
        shape(frame_164_shape_group_3_shape_2_horizontal_lines, 21, 7),
        shape(frame_164_shape_group_3_shape_3_horizontal_lines, 35, 1),
        shape(frame_164_shape_group_3_shape_4_horizontal_lines, 47, 11),
        shape(frame_164_shape_group_3_shape_5_horizontal_lines, 58, 6),
        shape(frame_164_shape_group_3_shape_6_horizontal_lines, 59, 11),
        shape(frame_164_shape_group_3_shape_7_horizontal_lines, 62, 1),
        shape(frame_164_shape_group_3_shape_8_horizontal_lines, 68, 6),
        shape(frame_164_shape_group_3_shape_9_horizontal_lines, 69, 1),
        shape(frame_164_shape_group_3_shape_10_horizontal_lines, 95, 9),
        shape(frame_164_shape_group_3_shape_11_horizontal_lines, 106, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 158),
        horizontal_line(130, 158),
        horizontal_line(130, 158),
        horizontal_line(131, 158),
        horizontal_line(131, 158),
        horizontal_line(132, 158),
        horizontal_line(132, 158),
        horizontal_line(132, 158),
        horizontal_line(133, 158),
        horizontal_line(133, 158),
        horizontal_line(134, 158),
        horizontal_line(134, 158),
        horizontal_line(135, 158),
        horizontal_line(135, 158),
        horizontal_line(135, 158),
        horizontal_line(136, 158),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 68),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 76),
        horizontal_line(62, 79),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(157, 158),
        horizontal_line(157, 160),
        horizontal_line(157, 162),
        horizontal_line(148, 150),
        horizontal_line(148, 153),
        horizontal_line(147, 155),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(164, 166),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(161, 170),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(124, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(160, 171),
        horizontal_line(160, 171),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(133, 145),
        horizontal_line(133, 143),
        horizontal_line(133, 141),
        horizontal_line(133, 140),
        horizontal_line(133, 138),
        horizontal_line(132, 136),
        horizontal_line(132, 135),
        horizontal_line(132, 133),
    };

    constexpr const horizontal_line frame_164_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(176, 203),
        horizontal_line(175, 205),
        horizontal_line(175, 207),
        horizontal_line(175, 210),
        horizontal_line(174, 212),
    };

    constexpr const shape frame_164_shape_group_4_shapes[] = {
        shape(frame_164_shape_group_4_shape_0_horizontal_lines, 5, 7),
        shape(frame_164_shape_group_4_shape_1_horizontal_lines, 21, 1),
        shape(frame_164_shape_group_4_shape_2_horizontal_lines, 40, 1),
        shape(frame_164_shape_group_4_shape_3_horizontal_lines, 52, 6),
        shape(frame_164_shape_group_4_shape_4_horizontal_lines, 58, 14),
        shape(frame_164_shape_group_4_shape_5_horizontal_lines, 59, 6),
        shape(frame_164_shape_group_4_shape_6_horizontal_lines, 62, 11),
        shape(frame_164_shape_group_4_shape_7_horizontal_lines, 68, 5),
        shape(frame_164_shape_group_4_shape_8_horizontal_lines, 69, 6),
        shape(frame_164_shape_group_4_shape_9_horizontal_lines, 70, 1),
        shape(frame_164_shape_group_4_shape_10_horizontal_lines, 73, 5),
        shape(frame_164_shape_group_4_shape_11_horizontal_lines, 75, 1),
        shape(frame_164_shape_group_4_shape_12_horizontal_lines, 90, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(158, 163),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(165, 166),
        horizontal_line(164, 167),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(164, 168),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(145, 157),
        horizontal_line(145, 157),
        horizontal_line(144, 156),
        horizontal_line(144, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(160, 170),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(153, 154),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(175, 176),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 147),
        horizontal_line(155, 161),
        horizontal_line(153, 164),
        horizontal_line(150, 168),
        horizontal_line(148, 171),
        horizontal_line(147, 174),
        horizontal_line(155, 174),
        horizontal_line(163, 175),
        horizontal_line(171, 176),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_164_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(177, 197),
        horizontal_line(177, 199),
        horizontal_line(176, 201),
    };

    constexpr const shape frame_164_shape_group_5_shapes[] = {
        shape(frame_164_shape_group_5_shape_0_horizontal_lines, 18, 1),
        shape(frame_164_shape_group_5_shape_1_horizontal_lines, 52, 10),
        shape(frame_164_shape_group_5_shape_2_horizontal_lines, 54, 12),
        shape(frame_164_shape_group_5_shape_3_horizontal_lines, 55, 6),
        shape(frame_164_shape_group_5_shape_4_horizontal_lines, 59, 13),
        shape(frame_164_shape_group_5_shape_5_horizontal_lines, 61, 5),
        shape(frame_164_shape_group_5_shape_6_horizontal_lines, 62, 6),
        shape(frame_164_shape_group_5_shape_7_horizontal_lines, 68, 4),
        shape(frame_164_shape_group_5_shape_8_horizontal_lines, 69, 5),
        shape(frame_164_shape_group_5_shape_9_horizontal_lines, 70, 6),
        shape(frame_164_shape_group_5_shape_10_horizontal_lines, 73, 5),
        shape(frame_164_shape_group_5_shape_11_horizontal_lines, 75, 1),
        shape(frame_164_shape_group_5_shape_12_horizontal_lines, 87, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(163, 164),
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(164, 168),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 169),
        horizontal_line(164, 170),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(160, 170),
        horizontal_line(160, 170),
        horizontal_line(160, 170),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(172, 174),
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(161, 171),
        horizontal_line(161, 171),
        horizontal_line(161, 171),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 118),
        horizontal_line(62, 110),
        horizontal_line(62, 102),
        horizontal_line(62, 94),
        horizontal_line(62, 86),
        horizontal_line(62, 78),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_164_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(178, 195),
    };

    constexpr const shape frame_164_shape_group_6_shapes[] = {
        shape(frame_164_shape_group_6_shape_0_horizontal_lines, 55, 12),
        shape(frame_164_shape_group_6_shape_1_horizontal_lines, 62, 5),
        shape(frame_164_shape_group_6_shape_2_horizontal_lines, 69, 4),
        shape(frame_164_shape_group_6_shape_3_horizontal_lines, 70, 5),
        shape(frame_164_shape_group_6_shape_4_horizontal_lines, 73, 4),
        shape(frame_164_shape_group_6_shape_5_horizontal_lines, 75, 5),
        shape(frame_164_shape_group_6_shape_6_horizontal_lines, 78, 1),
        shape(frame_164_shape_group_6_shape_7_horizontal_lines, 86, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(170, 170),
        horizontal_line(170, 170),
        horizontal_line(170, 171),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(171, 174),
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(176, 177),
        horizontal_line(176, 178),
        horizontal_line(176, 177),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(165, 171),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(169, 175),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_164_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(179, 186),
        horizontal_line(179, 188),
        horizontal_line(178, 190),
        horizontal_line(178, 192),
    };

    constexpr const shape frame_164_shape_group_7_shapes[] = {
        shape(frame_164_shape_group_7_shape_0_horizontal_lines, 64, 4),
        shape(frame_164_shape_group_7_shape_1_horizontal_lines, 69, 2),
        shape(frame_164_shape_group_7_shape_2_horizontal_lines, 70, 4),
        shape(frame_164_shape_group_7_shape_3_horizontal_lines, 72, 5),
        shape(frame_164_shape_group_7_shape_4_horizontal_lines, 73, 2),
        shape(frame_164_shape_group_7_shape_5_horizontal_lines, 75, 5),
        shape(frame_164_shape_group_7_shape_6_horizontal_lines, 78, 1),
        shape(frame_164_shape_group_7_shape_7_horizontal_lines, 79, 5),
        shape(frame_164_shape_group_7_shape_8_horizontal_lines, 80, 4),
        shape(frame_164_shape_group_7_shape_9_horizontal_lines, 81, 10),
        shape(frame_164_shape_group_7_shape_10_horizontal_lines, 82, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(159, 159),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_164_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_164_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(172, 175),
        horizontal_line(172, 175),
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_164_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(162, 171),
    };

    constexpr const horizontal_line frame_164_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_164_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(180, 182),
        horizontal_line(180, 184),
    };

    constexpr const shape frame_164_shape_group_8_shapes[] = {
        shape(frame_164_shape_group_8_shape_0_horizontal_lines, 70, 2),
        shape(frame_164_shape_group_8_shape_1_horizontal_lines, 72, 4),
        shape(frame_164_shape_group_8_shape_2_horizontal_lines, 75, 4),
        shape(frame_164_shape_group_8_shape_3_horizontal_lines, 78, 5),
        shape(frame_164_shape_group_8_shape_4_horizontal_lines, 79, 4),
        shape(frame_164_shape_group_8_shape_5_horizontal_lines, 80, 9),
    };

    constexpr const horizontal_line frame_164_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_164_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(159, 160),
        horizontal_line(159, 160),
        horizontal_line(159, 160),
    };

    constexpr const horizontal_line frame_164_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(172, 176),
        horizontal_line(180, 180),
    };

    constexpr const shape frame_164_shape_group_9_shapes[] = {
        shape(frame_164_shape_group_9_shape_0_horizontal_lines, 72, 2),
        shape(frame_164_shape_group_9_shape_1_horizontal_lines, 75, 2),
        shape(frame_164_shape_group_9_shape_2_horizontal_lines, 78, 4),
    };

    constexpr const horizontal_line frame_164_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const shape frame_164_shape_group_10_shapes[] = {
        shape(frame_164_shape_group_10_shape_0_horizontal_lines, 78, 15),
    };

    constexpr const shape_group frame_164_shape_groups[] = {
        shape_group(frame_164_shape_group_0_shapes),
        shape_group(frame_164_shape_group_1_shapes),
        shape_group(frame_164_shape_group_2_shapes),
        shape_group(frame_164_shape_group_3_shapes),
        shape_group(frame_164_shape_group_4_shapes),
        shape_group(frame_164_shape_group_5_shapes),
        shape_group(frame_164_shape_group_6_shapes),
        shape_group(frame_164_shape_group_7_shapes),
        shape_group(frame_164_shape_group_8_shapes),
        shape_group(frame_164_shape_group_9_shapes),
        shape_group(frame_164_shape_group_10_shapes),
    };

    constexpr const frame frame_164_impl(frame_164_colors, frame_164_shape_groups);
} 

const frame& frame_164()
{
    return frame_164_impl;
}

namespace
{
    constexpr const bn::color frame_165_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(24, 24, 24),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_165_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(12, 74),
        horizontal_line(16, 78),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(28, 90),
        horizontal_line(32, 94),
        horizontal_line(36, 98),
        horizontal_line(40, 102),
        horizontal_line(44, 106),
        horizontal_line(48, 110),
        horizontal_line(52, 114),
        horizontal_line(56, 118),
        horizontal_line(60, 122),
        horizontal_line(64, 126),
        horizontal_line(68, 130),
        horizontal_line(71, 133),
        horizontal_line(75, 137),
        horizontal_line(79, 140),
        horizontal_line(83, 139),
        horizontal_line(87, 139),
        horizontal_line(91, 138),
        horizontal_line(95, 138),
        horizontal_line(99, 138),
        horizontal_line(103, 137),
        horizontal_line(107, 137),
        horizontal_line(111, 136),
        horizontal_line(115, 136),
        horizontal_line(119, 135),
        horizontal_line(123, 135),
        horizontal_line(127, 134),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_165_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_165_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(134, 149),
        horizontal_line(133, 148),
        horizontal_line(132, 147),
        horizontal_line(131, 146),
        horizontal_line(131, 145),
        horizontal_line(130, 154),
        horizontal_line(129, 139),
        horizontal_line(128, 135),
        horizontal_line(127, 130),
        horizontal_line(144, 151),
        horizontal_line(143, 149),
        horizontal_line(143, 147),
        horizontal_line(143, 145),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_165_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(100, 125),
        horizontal_line(95, 124),
        horizontal_line(90, 124),
    };

    constexpr const horizontal_line frame_165_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(176, 177),
        horizontal_line(176, 177),
        horizontal_line(176, 177),
        horizontal_line(175, 176),
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_165_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(60, 122),
        horizontal_line(55, 117),
        horizontal_line(50, 112),
        horizontal_line(45, 107),
        horizontal_line(40, 102),
        horizontal_line(35, 97),
        horizontal_line(30, 92),
        horizontal_line(25, 87),
        horizontal_line(20, 82),
        horizontal_line(15, 77),
        horizontal_line(10, 72),
        horizontal_line(5, 67),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
    };

    constexpr const shape frame_165_shape_group_0_shapes[] = {
        shape(frame_165_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_165_shape_group_0_shape_1_horizontal_lines, 69, 1),
        shape(frame_165_shape_group_0_shape_2_horizontal_lines, 70, 3),
        shape(frame_165_shape_group_0_shape_3_horizontal_lines, 84, 7),
        shape(frame_165_shape_group_0_shape_4_horizontal_lines, 87, 8),
        shape(frame_165_shape_group_0_shape_5_horizontal_lines, 92, 7),
    };

    constexpr const horizontal_line frame_165_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(74, 134),
        horizontal_line(78, 135),
        horizontal_line(82, 135),
        horizontal_line(86, 136),
        horizontal_line(90, 136),
        horizontal_line(94, 137),
        horizontal_line(98, 138),
        horizontal_line(102, 138),
        horizontal_line(106, 139),
        horizontal_line(110, 139),
        horizontal_line(114, 140),
        horizontal_line(118, 140),
        horizontal_line(122, 141),
        horizontal_line(126, 142),
        horizontal_line(130, 141),
        horizontal_line(133, 141),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_165_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_165_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(153, 154),
        horizontal_line(151, 154),
        horizontal_line(149, 154),
        horizontal_line(147, 154),
    };

    constexpr const horizontal_line frame_165_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_165_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 153),
    };

    constexpr const horizontal_line frame_165_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(120, 125),
        horizontal_line(115, 125),
        horizontal_line(110, 125),
        horizontal_line(105, 125),
        horizontal_line(142, 142),
        horizontal_line(140, 148),
        horizontal_line(138, 155),
        horizontal_line(85, 124),
        horizontal_line(80, 124),
        horizontal_line(75, 124),
        horizontal_line(70, 124),
        horizontal_line(65, 123),
        horizontal_line(129, 174),
        horizontal_line(127, 174),
        horizontal_line(126, 173),
        horizontal_line(107, 169),
        horizontal_line(124, 173),
        horizontal_line(128, 173),
        horizontal_line(133, 172),
        horizontal_line(138, 172),
        horizontal_line(143, 172),
        horizontal_line(148, 172),
        horizontal_line(152, 171),
        horizontal_line(157, 171),
        horizontal_line(162, 170),
        horizontal_line(167, 170),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 103),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_165_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
    };

    constexpr const shape frame_165_shape_group_1_shapes[] = {
        shape(frame_165_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_165_shape_group_1_shape_1_horizontal_lines, 55, 1),
        shape(frame_165_shape_group_1_shape_2_horizontal_lines, 71, 3),
        shape(frame_165_shape_group_1_shape_3_horizontal_lines, 75, 1),
        shape(frame_165_shape_group_1_shape_4_horizontal_lines, 76, 3),
        shape(frame_165_shape_group_1_shape_5_horizontal_lines, 79, 7),
        shape(frame_165_shape_group_1_shape_6_horizontal_lines, 135, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(118, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(120, 126),
        horizontal_line(120, 126),
        horizontal_line(121, 127),
        horizontal_line(121, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_165_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(125, 132),
        horizontal_line(128, 133),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_165_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(148, 155),
        horizontal_line(150, 155),
        horizontal_line(151, 155),
        horizontal_line(153, 155),
        horizontal_line(154, 155),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_165_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 39),
        horizontal_line(0, 43),
        horizontal_line(0, 47),
        horizontal_line(0, 51),
        horizontal_line(0, 55),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 78),
        horizontal_line(62, 82),
        horizontal_line(62, 86),
        horizontal_line(62, 90),
        horizontal_line(62, 94),
        horizontal_line(62, 98),
        horizontal_line(62, 102),
        horizontal_line(62, 106),
        horizontal_line(62, 110),
        horizontal_line(62, 114),
        horizontal_line(62, 118),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 134),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_165_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(176, 176),
        horizontal_line(175, 177),
        horizontal_line(175, 177),
        horizontal_line(174, 177),
        horizontal_line(173, 177),
        horizontal_line(173, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(173, 175),
        horizontal_line(137, 161),
        horizontal_line(135, 168),
        horizontal_line(134, 175),
        horizontal_line(132, 174),
        horizontal_line(130, 174),
        horizontal_line(122, 123),
        horizontal_line(117, 123),
        horizontal_line(112, 123),
        horizontal_line(169, 173),
        horizontal_line(102, 122),
        horizontal_line(97, 120),
        horizontal_line(92, 118),
        horizontal_line(87, 117),
        horizontal_line(82, 115),
        horizontal_line(77, 114),
        horizontal_line(72, 112),
        horizontal_line(67, 111),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
    };

    constexpr const horizontal_line frame_165_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(171, 226),
        horizontal_line(171, 228),
        horizontal_line(172, 230),
        horizontal_line(172, 232),
        horizontal_line(173, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
    };

    constexpr const shape frame_165_shape_group_2_shapes[] = {
        shape(frame_165_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_165_shape_group_2_shape_1_horizontal_lines, 20, 3),
        shape(frame_165_shape_group_2_shape_2_horizontal_lines, 38, 7),
        shape(frame_165_shape_group_2_shape_3_horizontal_lines, 44, 1),
        shape(frame_165_shape_group_2_shape_4_horizontal_lines, 76, 7),
        shape(frame_165_shape_group_2_shape_5_horizontal_lines, 106, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(123, 155),
        horizontal_line(123, 155),
        horizontal_line(123, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(124, 155),
        horizontal_line(125, 155),
        horizontal_line(125, 155),
        horizontal_line(126, 155),
        horizontal_line(126, 155),
        horizontal_line(126, 155),
        horizontal_line(127, 155),
        horizontal_line(127, 155),
        horizontal_line(128, 155),
        horizontal_line(128, 155),
        horizontal_line(128, 155),
        horizontal_line(129, 155),
        horizontal_line(129, 155),
        horizontal_line(130, 155),
        horizontal_line(130, 155),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(125, 129),
        horizontal_line(125, 130),
        horizontal_line(126, 130),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 133),
        horizontal_line(130, 134),
        horizontal_line(131, 135),
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(139, 155),
        horizontal_line(141, 155),
        horizontal_line(142, 155),
        horizontal_line(144, 155),
        horizontal_line(145, 155),
        horizontal_line(147, 155),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 19),
        horizontal_line(0, 23),
        horizontal_line(0, 27),
        horizontal_line(0, 31),
        horizontal_line(155, 155),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(140, 144),
        horizontal_line(141, 146),
        horizontal_line(141, 148),
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 67),
        horizontal_line(62, 70),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(149, 152),
        horizontal_line(151, 153),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(139, 160),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(154, 161),
        horizontal_line(154, 160),
        horizontal_line(154, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 160),
        horizontal_line(153, 159),
        horizontal_line(153, 159),
        horizontal_line(152, 159),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(135, 155),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 129),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(173, 175),
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 54),
        horizontal_line(0, 49),
        horizontal_line(0, 44),
        horizontal_line(0, 39),
        horizontal_line(0, 34),
        horizontal_line(0, 29),
        horizontal_line(0, 24),
        horizontal_line(0, 19),
        horizontal_line(0, 14),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(171, 222),
        horizontal_line(171, 224),
    };

    constexpr const horizontal_line frame_165_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(235, 236),
        horizontal_line(236, 238),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_165_shape_group_3_shapes[] = {
        shape(frame_165_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_165_shape_group_3_shape_1_horizontal_lines, 20, 8),
        shape(frame_165_shape_group_3_shape_2_horizontal_lines, 32, 7),
        shape(frame_165_shape_group_3_shape_3_horizontal_lines, 38, 1),
        shape(frame_165_shape_group_3_shape_4_horizontal_lines, 46, 11),
        shape(frame_165_shape_group_3_shape_5_horizontal_lines, 51, 1),
        shape(frame_165_shape_group_3_shape_6_horizontal_lines, 55, 11),
        shape(frame_165_shape_group_3_shape_7_horizontal_lines, 58, 6),
        shape(frame_165_shape_group_3_shape_8_horizontal_lines, 59, 11),
        shape(frame_165_shape_group_3_shape_9_horizontal_lines, 67, 1),
        shape(frame_165_shape_group_3_shape_10_horizontal_lines, 69, 6),
        shape(frame_165_shape_group_3_shape_11_horizontal_lines, 70, 1),
        shape(frame_165_shape_group_3_shape_12_horizontal_lines, 87, 7),
        shape(frame_165_shape_group_3_shape_13_horizontal_lines, 89, 1),
        shape(frame_165_shape_group_3_shape_14_horizontal_lines, 104, 9),
        shape(frame_165_shape_group_3_shape_15_horizontal_lines, 111, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(130, 155),
        horizontal_line(131, 155),
        horizontal_line(131, 155),
        horizontal_line(132, 155),
        horizontal_line(132, 155),
        horizontal_line(132, 155),
        horizontal_line(133, 155),
        horizontal_line(133, 155),
        horizontal_line(134, 155),
        horizontal_line(135, 155),
        horizontal_line(136, 155),
        horizontal_line(138, 155),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(147, 147),
        horizontal_line(148, 149),
        horizontal_line(150, 150),
        horizontal_line(151, 152),
        horizontal_line(152, 153),
        horizontal_line(154, 155),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(143, 151),
        horizontal_line(144, 151),
        horizontal_line(146, 152),
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(141, 148),
        horizontal_line(140, 150),
        horizontal_line(140, 152),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(139, 153),
        horizontal_line(139, 153),
        horizontal_line(138, 153),
        horizontal_line(138, 152),
        horizontal_line(137, 152),
        horizontal_line(137, 152),
        horizontal_line(136, 152),
        horizontal_line(136, 151),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(152, 159),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(156, 171),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(124, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(157, 171),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(136, 143),
        horizontal_line(131, 143),
        horizontal_line(127, 143),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 142),
        horizontal_line(126, 141),
        horizontal_line(125, 139),
        horizontal_line(125, 137),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(125, 133),
        horizontal_line(125, 131),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_165_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(175, 205),
        horizontal_line(175, 207),
        horizontal_line(174, 209),
        horizontal_line(174, 210),
        horizontal_line(173, 212),
        horizontal_line(173, 214),
        horizontal_line(173, 216),
        horizontal_line(172, 218),
        horizontal_line(172, 220),
    };

    constexpr const shape frame_165_shape_group_4_shapes[] = {
        shape(frame_165_shape_group_4_shape_0_horizontal_lines, 20, 7),
        shape(frame_165_shape_group_4_shape_1_horizontal_lines, 33, 1),
        shape(frame_165_shape_group_4_shape_2_horizontal_lines, 35, 1),
        shape(frame_165_shape_group_4_shape_3_horizontal_lines, 45, 11),
        shape(frame_165_shape_group_4_shape_4_horizontal_lines, 48, 10),
        shape(frame_165_shape_group_4_shape_5_horizontal_lines, 51, 11),
        shape(frame_165_shape_group_4_shape_6_horizontal_lines, 55, 6),
        shape(frame_165_shape_group_4_shape_7_horizontal_lines, 58, 14),
        shape(frame_165_shape_group_4_shape_8_horizontal_lines, 59, 6),
        shape(frame_165_shape_group_4_shape_9_horizontal_lines, 67, 11),
        shape(frame_165_shape_group_4_shape_10_horizontal_lines, 69, 4),
        shape(frame_165_shape_group_4_shape_11_horizontal_lines, 70, 6),
        shape(frame_165_shape_group_4_shape_12_horizontal_lines, 71, 1),
        shape(frame_165_shape_group_4_shape_13_horizontal_lines, 75, 4),
        shape(frame_165_shape_group_4_shape_14_horizontal_lines, 76, 1),
        shape(frame_165_shape_group_4_shape_15_horizontal_lines, 95, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(144, 144),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(159, 160),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(141, 147),
        horizontal_line(153, 159),
        horizontal_line(154, 159),
        horizontal_line(154, 160),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(164, 164),
        horizontal_line(162, 165),
        horizontal_line(161, 165),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(161, 166),
        horizontal_line(161, 167),
        horizontal_line(161, 167),
        horizontal_line(160, 168),
        horizontal_line(160, 169),
        horizontal_line(160, 169),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(135, 151),
        horizontal_line(135, 151),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(156, 171),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(149, 152),
        horizontal_line(148, 150),
        horizontal_line(147, 148),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(154, 154),
        horizontal_line(152, 157),
        horizontal_line(150, 160),
        horizontal_line(148, 163),
        horizontal_line(146, 166),
        horizontal_line(144, 169),
        horizontal_line(143, 171),
        horizontal_line(149, 171),
        horizontal_line(156, 172),
        horizontal_line(125, 136),
        horizontal_line(125, 134),
        horizontal_line(62, 74),
        horizontal_line(62, 69),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_165_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(176, 199),
        horizontal_line(176, 201),
        horizontal_line(176, 203),
    };

    constexpr const shape frame_165_shape_group_5_shapes[] = {
        shape(frame_165_shape_group_5_shape_0_horizontal_lines, 35, 1),
        shape(frame_165_shape_group_5_shape_1_horizontal_lines, 51, 10),
        shape(frame_165_shape_group_5_shape_2_horizontal_lines, 53, 6),
        shape(frame_165_shape_group_5_shape_3_horizontal_lines, 58, 13),
        shape(frame_165_shape_group_5_shape_4_horizontal_lines, 61, 4),
        shape(frame_165_shape_group_5_shape_5_horizontal_lines, 67, 6),
        shape(frame_165_shape_group_5_shape_6_horizontal_lines, 70, 4),
        shape(frame_165_shape_group_5_shape_7_horizontal_lines, 71, 6),
        shape(frame_165_shape_group_5_shape_8_horizontal_lines, 75, 5),
        shape(frame_165_shape_group_5_shape_9_horizontal_lines, 76, 1),
        shape(frame_165_shape_group_5_shape_10_horizontal_lines, 92, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(142, 143),
        horizontal_line(153, 158),
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(160, 162),
        horizontal_line(160, 163),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(160, 170),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(156, 157),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(156, 171),
        horizontal_line(157, 171),
        horizontal_line(157, 171),
        horizontal_line(157, 171),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 119),
        horizontal_line(62, 114),
        horizontal_line(62, 109),
        horizontal_line(62, 104),
        horizontal_line(62, 99),
        horizontal_line(62, 94),
        horizontal_line(62, 89),
        horizontal_line(162, 172),
        horizontal_line(169, 173),
    };

    constexpr const horizontal_line frame_165_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(178, 193),
        horizontal_line(177, 195),
        horizontal_line(177, 197),
    };

    constexpr const shape frame_165_shape_group_6_shapes[] = {
        shape(frame_165_shape_group_6_shape_0_horizontal_lines, 51, 6),
        shape(frame_165_shape_group_6_shape_1_horizontal_lines, 55, 12),
        shape(frame_165_shape_group_6_shape_2_horizontal_lines, 57, 14),
        shape(frame_165_shape_group_6_shape_3_horizontal_lines, 67, 4),
        shape(frame_165_shape_group_6_shape_4_horizontal_lines, 68, 6),
        shape(frame_165_shape_group_6_shape_5_horizontal_lines, 70, 5),
        shape(frame_165_shape_group_6_shape_6_horizontal_lines, 71, 4),
        shape(frame_165_shape_group_6_shape_7_horizontal_lines, 75, 2),
        shape(frame_165_shape_group_6_shape_8_horizontal_lines, 76, 1),
        shape(frame_165_shape_group_6_shape_9_horizontal_lines, 89, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(152, 158),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(159, 161),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(158, 170),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(172, 173),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(157, 171),
        horizontal_line(158, 171),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(166, 172),
        horizontal_line(167, 172),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(170, 171),
        horizontal_line(177, 179),
        horizontal_line(177, 178),
        horizontal_line(176, 178),
    };

    constexpr const horizontal_line frame_165_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(62, 84),
        horizontal_line(62, 79),
    };

    constexpr const shape frame_165_shape_group_7_shapes[] = {
        shape(frame_165_shape_group_7_shape_0_horizontal_lines, 52, 6),
        shape(frame_165_shape_group_7_shape_1_horizontal_lines, 53, 12),
        shape(frame_165_shape_group_7_shape_2_horizontal_lines, 68, 4),
        shape(frame_165_shape_group_7_shape_3_horizontal_lines, 70, 2),
        shape(frame_165_shape_group_7_shape_4_horizontal_lines, 71, 5),
        shape(frame_165_shape_group_7_shape_5_horizontal_lines, 76, 4),
        shape(frame_165_shape_group_7_shape_6_horizontal_lines, 78, 1),
        shape(frame_165_shape_group_7_shape_7_horizontal_lines, 80, 10),
        shape(frame_165_shape_group_7_shape_8_horizontal_lines, 83, 5),
        shape(frame_165_shape_group_7_shape_9_horizontal_lines, 87, 1),
    };

    constexpr const horizontal_line frame_165_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_165_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_165_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(172, 175),
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_165_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(158, 172),
        horizontal_line(158, 174),
        horizontal_line(161, 173),
    };

    constexpr const horizontal_line frame_165_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(177, 179),
    };

    constexpr const horizontal_line frame_165_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(177, 179),
    };

    constexpr const horizontal_line frame_165_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(180, 183),
        horizontal_line(179, 185),
        horizontal_line(179, 187),
        horizontal_line(178, 189),
        horizontal_line(178, 191),
    };

    constexpr const shape frame_165_shape_group_8_shapes[] = {
        shape(frame_165_shape_group_8_shape_0_horizontal_lines, 68, 5),
        shape(frame_165_shape_group_8_shape_1_horizontal_lines, 71, 2),
        shape(frame_165_shape_group_8_shape_2_horizontal_lines, 76, 5),
        shape(frame_165_shape_group_8_shape_3_horizontal_lines, 78, 4),
        shape(frame_165_shape_group_8_shape_4_horizontal_lines, 81, 10),
        shape(frame_165_shape_group_8_shape_5_horizontal_lines, 83, 5),
        shape(frame_165_shape_group_8_shape_6_horizontal_lines, 84, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(155, 157),
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_165_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_165_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(164, 165),
    };

    constexpr const horizontal_line frame_165_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_165_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(180, 181),
    };

    constexpr const shape frame_165_shape_group_9_shapes[] = {
        shape(frame_165_shape_group_9_shape_0_horizontal_lines, 76, 2),
        shape(frame_165_shape_group_9_shape_1_horizontal_lines, 79, 4),
        shape(frame_165_shape_group_9_shape_2_horizontal_lines, 81, 4),
        shape(frame_165_shape_group_9_shape_3_horizontal_lines, 82, 5),
        shape(frame_165_shape_group_9_shape_4_horizontal_lines, 83, 9),
    };

    constexpr const horizontal_line frame_165_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(173, 174),
    };

    constexpr const shape frame_165_shape_group_10_shapes[] = {
        shape(frame_165_shape_group_10_shape_0_horizontal_lines, 78, 15),
    };

    constexpr const shape_group frame_165_shape_groups[] = {
        shape_group(frame_165_shape_group_0_shapes),
        shape_group(frame_165_shape_group_1_shapes),
        shape_group(frame_165_shape_group_2_shapes),
        shape_group(frame_165_shape_group_3_shapes),
        shape_group(frame_165_shape_group_4_shapes),
        shape_group(frame_165_shape_group_5_shapes),
        shape_group(frame_165_shape_group_6_shapes),
        shape_group(frame_165_shape_group_7_shapes),
        shape_group(frame_165_shape_group_8_shapes),
        shape_group(frame_165_shape_group_9_shapes),
        shape_group(frame_165_shape_group_10_shapes),
    };

    constexpr const frame frame_165_impl(frame_165_colors, frame_165_shape_groups);
} 

const frame& frame_165()
{
    return frame_165_impl;
}

namespace
{
    constexpr const bn::color frame_166_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_166_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(7, 69),
        horizontal_line(14, 76),
        horizontal_line(20, 82),
        horizontal_line(27, 89),
        horizontal_line(34, 96),
        horizontal_line(40, 102),
        horizontal_line(47, 109),
        horizontal_line(54, 116),
        horizontal_line(60, 122),
        horizontal_line(67, 129),
        horizontal_line(73, 129),
        horizontal_line(80, 129),
        horizontal_line(87, 128),
        horizontal_line(93, 128),
        horizontal_line(100, 127),
        horizontal_line(107, 127),
        horizontal_line(113, 126),
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_166_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_166_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(126, 144),
        horizontal_line(125, 143),
        horizontal_line(124, 142),
        horizontal_line(123, 141),
        horizontal_line(122, 150),
        horizontal_line(121, 150),
        horizontal_line(120, 135),
        horizontal_line(119, 131),
        horizontal_line(118, 127),
        horizontal_line(117, 123),
        horizontal_line(116, 119),
        horizontal_line(138, 143),
        horizontal_line(137, 141),
        horizontal_line(137, 139),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_166_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(99, 114),
        horizontal_line(95, 114),
        horizontal_line(92, 114),
        horizontal_line(88, 114),
        horizontal_line(84, 113),
        horizontal_line(80, 113),
        horizontal_line(76, 113),
        horizontal_line(72, 113),
        horizontal_line(69, 113),
        horizontal_line(65, 113),
        horizontal_line(61, 113),
        horizontal_line(57, 112),
        horizontal_line(53, 112),
        horizontal_line(49, 111),
        horizontal_line(46, 108),
        horizontal_line(42, 104),
        horizontal_line(38, 100),
        horizontal_line(34, 96),
        horizontal_line(30, 92),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(19, 81),
        horizontal_line(15, 77),
        horizontal_line(11, 73),
        horizontal_line(7, 69),
        horizontal_line(3, 65),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
    };

    constexpr const shape frame_166_shape_group_0_shapes[] = {
        shape(frame_166_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_166_shape_group_0_shape_1_horizontal_lines, 70, 7),
        shape(frame_166_shape_group_0_shape_2_horizontal_lines, 71, 3),
        shape(frame_166_shape_group_0_shape_3_horizontal_lines, 86, 7),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(69, 131),
        horizontal_line(76, 133),
        horizontal_line(82, 132),
        horizontal_line(89, 132),
        horizontal_line(96, 132),
        horizontal_line(102, 131),
        horizontal_line(109, 131),
        horizontal_line(116, 130),
        horizontal_line(122, 130),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(169, 169),
        horizontal_line(170, 170),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(149, 150),
        horizontal_line(147, 150),
        horizontal_line(145, 150),
        horizontal_line(143, 150),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(173, 174),
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(139, 150),
        horizontal_line(139, 150),
        horizontal_line(139, 149),
        horizontal_line(138, 147),
        horizontal_line(138, 145),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(111, 114),
        horizontal_line(107, 114),
        horizontal_line(103, 114),
        horizontal_line(136, 136),
        horizontal_line(134, 142),
        horizontal_line(133, 148),
        horizontal_line(131, 155),
        horizontal_line(130, 161),
        horizontal_line(128, 167),
        horizontal_line(127, 173),
        horizontal_line(126, 172),
        horizontal_line(124, 172),
        horizontal_line(123, 172),
        horizontal_line(121, 172),
        horizontal_line(120, 172),
        horizontal_line(119, 172),
        horizontal_line(117, 171),
        horizontal_line(116, 171),
        horizontal_line(114, 171),
        horizontal_line(100, 162),
        horizontal_line(113, 171),
        horizontal_line(117, 171),
        horizontal_line(121, 170),
        horizontal_line(125, 170),
        horizontal_line(129, 170),
        horizontal_line(133, 170),
        horizontal_line(137, 170),
        horizontal_line(142, 170),
        horizontal_line(146, 169),
        horizontal_line(150, 169),
        horizontal_line(154, 169),
        horizontal_line(158, 169),
        horizontal_line(162, 169),
        horizontal_line(166, 169),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_166_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_166_shape_group_1_shapes[] = {
        shape(frame_166_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_166_shape_group_1_shape_1_horizontal_lines, 62, 1),
        shape(frame_166_shape_group_1_shape_2_horizontal_lines, 65, 7),
        shape(frame_166_shape_group_1_shape_3_horizontal_lines, 66, 1),
        shape(frame_166_shape_group_1_shape_4_horizontal_lines, 67, 7),
        shape(frame_166_shape_group_1_shape_5_horizontal_lines, 70, 1),
        shape(frame_166_shape_group_1_shape_6_horizontal_lines, 71, 3),
        shape(frame_166_shape_group_1_shape_7_horizontal_lines, 75, 7),
        shape(frame_166_shape_group_1_shape_8_horizontal_lines, 77, 3),
        shape(frame_166_shape_group_1_shape_9_horizontal_lines, 82, 7),
        shape(frame_166_shape_group_1_shape_10_horizontal_lines, 139, 9),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(106, 115),
        horizontal_line(106, 115),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 119),
        horizontal_line(111, 119),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(114, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(118, 125),
        horizontal_line(118, 126),
        horizontal_line(119, 127),
        horizontal_line(120, 128),
        horizontal_line(120, 129),
        horizontal_line(121, 130),
        horizontal_line(121, 131),
        horizontal_line(122, 133),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(136, 151),
        horizontal_line(138, 151),
        horizontal_line(139, 151),
        horizontal_line(141, 151),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(124, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 135),
        horizontal_line(124, 134),
        horizontal_line(125, 134),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 19),
        horizontal_line(0, 26),
        horizontal_line(0, 33),
        horizontal_line(0, 39),
        horizontal_line(0, 46),
        horizontal_line(0, 53),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(62, 72),
        horizontal_line(62, 79),
        horizontal_line(62, 86),
        horizontal_line(0, 62),
        horizontal_line(62, 99),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(171, 172),
        horizontal_line(172, 172),
        horizontal_line(172, 173),
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(174, 176),
        horizontal_line(174, 176),
        horizontal_line(174, 177),
        horizontal_line(173, 178),
        horizontal_line(173, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 173),
        horizontal_line(172, 173),
        horizontal_line(172, 173),
        horizontal_line(173, 173),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 56),
        horizontal_line(0, 52),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(108, 112),
        horizontal_line(104, 112),
        horizontal_line(162, 171),
        horizontal_line(96, 111),
        horizontal_line(92, 109),
        horizontal_line(88, 108),
        horizontal_line(85, 106),
        horizontal_line(81, 105),
        horizontal_line(77, 104),
        horizontal_line(73, 102),
        horizontal_line(69, 101),
        horizontal_line(65, 100),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_166_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const shape frame_166_shape_group_2_shapes[] = {
        shape(frame_166_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_166_shape_group_2_shape_1_horizontal_lines, 28, 7),
        shape(frame_166_shape_group_2_shape_2_horizontal_lines, 32, 3),
        shape(frame_166_shape_group_2_shape_3_horizontal_lines, 53, 1),
        shape(frame_166_shape_group_2_shape_4_horizontal_lines, 71, 7),
        shape(frame_166_shape_group_2_shape_5_horizontal_lines, 75, 1),
        shape(frame_166_shape_group_2_shape_6_horizontal_lines, 77, 7),
        shape(frame_166_shape_group_2_shape_7_horizontal_lines, 92, 1),
        shape(frame_166_shape_group_2_shape_8_horizontal_lines, 99, 7),
        shape(frame_166_shape_group_2_shape_9_horizontal_lines, 117, 9),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(116, 151),
        horizontal_line(116, 151),
        horizontal_line(117, 151),
        horizontal_line(117, 151),
        horizontal_line(118, 151),
        horizontal_line(118, 151),
        horizontal_line(119, 151),
        horizontal_line(119, 151),
        horizontal_line(120, 151),
        horizontal_line(120, 151),
        horizontal_line(121, 151),
        horizontal_line(121, 151),
        horizontal_line(122, 151),
        horizontal_line(122, 151),
        horizontal_line(123, 151),
        horizontal_line(123, 151),
        horizontal_line(124, 151),
        horizontal_line(124, 151),
        horizontal_line(125, 151),
        horizontal_line(125, 151),
        horizontal_line(126, 151),
        horizontal_line(127, 151),
        horizontal_line(128, 151),
        horizontal_line(130, 151),
        horizontal_line(131, 151),
        horizontal_line(132, 151),
        horizontal_line(134, 151),
        horizontal_line(135, 151),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(135, 135),
        horizontal_line(136, 137),
        horizontal_line(137, 138),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(143, 151),
        horizontal_line(145, 151),
        horizontal_line(146, 151),
        horizontal_line(147, 151),
        horizontal_line(149, 151),
        horizontal_line(150, 151),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(150, 152),
        horizontal_line(151, 152),
        horizontal_line(152, 153),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(133, 140),
        horizontal_line(134, 142),
        horizontal_line(134, 144),
        horizontal_line(135, 146),
        horizontal_line(136, 146),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(143, 147),
        horizontal_line(144, 148),
        horizontal_line(146, 148),
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(132, 157),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(148, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 156),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(147, 156),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(62, 106),
        horizontal_line(62, 112),
        horizontal_line(62, 119),
        horizontal_line(124, 126),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(177, 178),
        horizontal_line(178, 179),
        horizontal_line(179, 180),
        horizontal_line(180, 180),
        horizontal_line(181, 181),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(114, 126),
        horizontal_line(114, 125),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(114, 120),
        horizontal_line(113, 119),
        horizontal_line(113, 118),
        horizontal_line(0, 48),
        horizontal_line(0, 45),
        horizontal_line(0, 41),
        horizontal_line(0, 37),
        horizontal_line(0, 33),
        horizontal_line(0, 29),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 18),
        horizontal_line(0, 14),
        horizontal_line(0, 10),
        horizontal_line(0, 6),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_166_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(172, 226),
        horizontal_line(171, 227),
        horizontal_line(171, 229),
        horizontal_line(170, 231),
        horizontal_line(170, 232),
        horizontal_line(232, 234),
        horizontal_line(232, 236),
        horizontal_line(232, 238),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_166_shape_group_3_shapes[] = {
        shape(frame_166_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_166_shape_group_3_shape_1_horizontal_lines, 28, 1),
        shape(frame_166_shape_group_3_shape_2_horizontal_lines, 32, 7),
        shape(frame_166_shape_group_3_shape_3_horizontal_lines, 40, 1),
        shape(frame_166_shape_group_3_shape_4_horizontal_lines, 45, 11),
        shape(frame_166_shape_group_3_shape_5_horizontal_lines, 51, 1),
        shape(frame_166_shape_group_3_shape_6_horizontal_lines, 53, 11),
        shape(frame_166_shape_group_3_shape_7_horizontal_lines, 57, 6),
        shape(frame_166_shape_group_3_shape_8_horizontal_lines, 58, 11),
        shape(frame_166_shape_group_3_shape_9_horizontal_lines, 61, 1),
        shape(frame_166_shape_group_3_shape_10_horizontal_lines, 62, 11),
        shape(frame_166_shape_group_3_shape_11_horizontal_lines, 65, 1),
        shape(frame_166_shape_group_3_shape_12_horizontal_lines, 66, 11),
        shape(frame_166_shape_group_3_shape_13_horizontal_lines, 67, 1),
        shape(frame_166_shape_group_3_shape_14_horizontal_lines, 81, 7),
        shape(frame_166_shape_group_3_shape_15_horizontal_lines, 86, 1),
        shape(frame_166_shape_group_3_shape_16_horizontal_lines, 112, 9),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(130, 130),
        horizontal_line(131, 131),
        horizontal_line(132, 133),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(140, 142),
        horizontal_line(142, 144),
        horizontal_line(143, 145),
        horizontal_line(144, 146),
        horizontal_line(145, 148),
        horizontal_line(146, 149),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(130, 130),
        horizontal_line(131, 132),
        horizontal_line(131, 134),
        horizontal_line(132, 136),
        horizontal_line(132, 138),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(155, 156),
        horizontal_line(155, 157),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(139, 147),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(156, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(158, 161),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(132, 148),
        horizontal_line(131, 148),
        horizontal_line(131, 148),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(130, 147),
        horizontal_line(130, 147),
        horizontal_line(129, 147),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(148, 156),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(147, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(132, 138),
        horizontal_line(128, 138),
        horizontal_line(124, 137),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(115, 135),
        horizontal_line(115, 133),
        horizontal_line(115, 132),
        horizontal_line(115, 130),
        horizontal_line(114, 129),
        horizontal_line(114, 127),
        horizontal_line(62, 75),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(178, 198),
        horizontal_line(178, 200),
        horizontal_line(177, 202),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(176, 209),
        horizontal_line(175, 210),
        horizontal_line(175, 212),
        horizontal_line(175, 214),
        horizontal_line(174, 215),
        horizontal_line(174, 217),
        horizontal_line(173, 219),
        horizontal_line(173, 221),
        horizontal_line(172, 222),
        horizontal_line(172, 224),
    };

    constexpr const horizontal_line frame_166_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(232, 232),
    };

    constexpr const shape frame_166_shape_group_4_shapes[] = {
        shape(frame_166_shape_group_4_shape_0_horizontal_lines, 23, 1),
        shape(frame_166_shape_group_4_shape_1_horizontal_lines, 32, 1),
        shape(frame_166_shape_group_4_shape_2_horizontal_lines, 40, 11),
        shape(frame_166_shape_group_4_shape_3_horizontal_lines, 45, 12),
        shape(frame_166_shape_group_4_shape_4_horizontal_lines, 47, 10),
        shape(frame_166_shape_group_4_shape_5_horizontal_lines, 51, 11),
        shape(frame_166_shape_group_4_shape_6_horizontal_lines, 53, 12),
        shape(frame_166_shape_group_4_shape_7_horizontal_lines, 57, 14),
        shape(frame_166_shape_group_4_shape_8_horizontal_lines, 58, 6),
        shape(frame_166_shape_group_4_shape_9_horizontal_lines, 61, 11),
        shape(frame_166_shape_group_4_shape_10_horizontal_lines, 62, 6),
        shape(frame_166_shape_group_4_shape_11_horizontal_lines, 65, 11),
        shape(frame_166_shape_group_4_shape_12_horizontal_lines, 66, 6),
        shape(frame_166_shape_group_4_shape_13_horizontal_lines, 67, 11),
        shape(frame_166_shape_group_4_shape_14_horizontal_lines, 71, 1),
        shape(frame_166_shape_group_4_shape_15_horizontal_lines, 75, 11),
        shape(frame_166_shape_group_4_shape_16_horizontal_lines, 77, 1),
        shape(frame_166_shape_group_4_shape_17_horizontal_lines, 96, 9),
        shape(frame_166_shape_group_4_shape_18_horizontal_lines, 99, 1),
        shape(frame_166_shape_group_4_shape_19_horizontal_lines, 102, 9),
        shape(frame_166_shape_group_4_shape_20_horizontal_lines, 116, 9),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(147, 149),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(156, 158),
        horizontal_line(156, 159),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(134, 142),
        horizontal_line(133, 143),
        horizontal_line(133, 145),
        horizontal_line(133, 147),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(162, 162),
        horizontal_line(159, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 161),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(130, 148),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(158, 166),
        horizontal_line(158, 166),
        horizontal_line(157, 166),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(129, 147),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(157, 167),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(127, 146),
        horizontal_line(127, 146),
        horizontal_line(127, 150),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(153, 169),
        horizontal_line(153, 169),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(150, 150),
        horizontal_line(148, 153),
        horizontal_line(120, 137),
        horizontal_line(116, 137),
        horizontal_line(115, 136),
        horizontal_line(115, 136),
        horizontal_line(115, 136),
        horizontal_line(137, 170),
        horizontal_line(143, 170),
        horizontal_line(149, 171),
        horizontal_line(156, 171),
        horizontal_line(162, 172),
        horizontal_line(168, 172),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(180, 192),
        horizontal_line(180, 193),
        horizontal_line(179, 195),
        horizontal_line(179, 197),
    };

    constexpr const horizontal_line frame_166_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(177, 204),
        horizontal_line(177, 205),
        horizontal_line(176, 207),
    };

    constexpr const shape frame_166_shape_group_5_shapes[] = {
        shape(frame_166_shape_group_5_shape_0_horizontal_lines, 46, 10),
        shape(frame_166_shape_group_5_shape_1_horizontal_lines, 49, 6),
        shape(frame_166_shape_group_5_shape_2_horizontal_lines, 51, 12),
        shape(frame_166_shape_group_5_shape_3_horizontal_lines, 53, 6),
        shape(frame_166_shape_group_5_shape_4_horizontal_lines, 57, 13),
        shape(frame_166_shape_group_5_shape_5_horizontal_lines, 61, 6),
        shape(frame_166_shape_group_5_shape_6_horizontal_lines, 62, 4),
        shape(frame_166_shape_group_5_shape_7_horizontal_lines, 65, 6),
        shape(frame_166_shape_group_5_shape_8_horizontal_lines, 66, 4),
        shape(frame_166_shape_group_5_shape_9_horizontal_lines, 67, 6),
        shape(frame_166_shape_group_5_shape_10_horizontal_lines, 71, 1),
        shape(frame_166_shape_group_5_shape_11_horizontal_lines, 73, 11),
        shape(frame_166_shape_group_5_shape_12_horizontal_lines, 75, 4),
        shape(frame_166_shape_group_5_shape_13_horizontal_lines, 77, 1),
        shape(frame_166_shape_group_5_shape_14_horizontal_lines, 92, 9),
        shape(frame_166_shape_group_5_shape_15_horizontal_lines, 99, 9),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(147, 152),
        horizontal_line(135, 138),
        horizontal_line(134, 140),
        horizontal_line(148, 155),
        horizontal_line(149, 156),
        horizontal_line(149, 156),
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(158, 165),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(157, 167),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(157, 167),
        horizontal_line(157, 167),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(152, 153),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(152, 168),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(143, 144),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(170, 172),
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(151, 153),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_166_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(146, 156),
        horizontal_line(144, 159),
        horizontal_line(142, 162),
        horizontal_line(140, 165),
        horizontal_line(138, 168),
        horizontal_line(62, 98),
        horizontal_line(62, 94),
        horizontal_line(62, 91),
        horizontal_line(62, 87),
        horizontal_line(62, 83),
        horizontal_line(62, 79),
    };

    constexpr const shape frame_166_shape_group_6_shapes[] = {
        shape(frame_166_shape_group_6_shape_0_horizontal_lines, 50, 6),
        shape(frame_166_shape_group_6_shape_1_horizontal_lines, 60, 2),
        shape(frame_166_shape_group_6_shape_2_horizontal_lines, 61, 4),
        shape(frame_166_shape_group_6_shape_3_horizontal_lines, 64, 5),
        shape(frame_166_shape_group_6_shape_4_horizontal_lines, 65, 4),
        shape(frame_166_shape_group_6_shape_5_horizontal_lines, 66, 5),
        shape(frame_166_shape_group_6_shape_6_horizontal_lines, 67, 4),
        shape(frame_166_shape_group_6_shape_7_horizontal_lines, 69, 6),
        shape(frame_166_shape_group_6_shape_8_horizontal_lines, 70, 4),
        shape(frame_166_shape_group_6_shape_9_horizontal_lines, 71, 11),
        shape(frame_166_shape_group_6_shape_10_horizontal_lines, 73, 6),
        shape(frame_166_shape_group_6_shape_11_horizontal_lines, 75, 5),
        shape(frame_166_shape_group_6_shape_12_horizontal_lines, 77, 11),
        shape(frame_166_shape_group_6_shape_13_horizontal_lines, 79, 1),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(148, 155),
        horizontal_line(148, 155),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(168, 169),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(154, 168),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(145, 148),
        horizontal_line(144, 146),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(153, 168),
        horizontal_line(153, 169),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(154, 169),
        horizontal_line(154, 170),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(154, 172),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(62, 115),
        horizontal_line(62, 114),
        horizontal_line(62, 110),
        horizontal_line(62, 106),
        horizontal_line(62, 102),
    };

    constexpr const horizontal_line frame_166_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(182, 183),
        horizontal_line(182, 185),
        horizontal_line(181, 187),
        horizontal_line(181, 188),
        horizontal_line(180, 190),
    };

    constexpr const shape frame_166_shape_group_7_shapes[] = {
        shape(frame_166_shape_group_7_shape_0_horizontal_lines, 51, 6),
        shape(frame_166_shape_group_7_shape_1_horizontal_lines, 56, 14),
        shape(frame_166_shape_group_7_shape_2_horizontal_lines, 67, 5),
        shape(frame_166_shape_group_7_shape_3_horizontal_lines, 69, 4),
        shape(frame_166_shape_group_7_shape_4_horizontal_lines, 70, 5),
        shape(frame_166_shape_group_7_shape_5_horizontal_lines, 71, 6),
        shape(frame_166_shape_group_7_shape_6_horizontal_lines, 73, 4),
        shape(frame_166_shape_group_7_shape_7_horizontal_lines, 77, 4),
        shape(frame_166_shape_group_7_shape_8_horizontal_lines, 79, 11),
        shape(frame_166_shape_group_7_shape_9_horizontal_lines, 80, 4),
        shape(frame_166_shape_group_7_shape_10_horizontal_lines, 81, 1),
        shape(frame_166_shape_group_7_shape_11_horizontal_lines, 87, 9),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(153, 168),
        horizontal_line(153, 168),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(169, 171),
        horizontal_line(170, 172),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(171, 173),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(154, 167),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(157, 172),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_166_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(169, 170),
    };

    constexpr const shape frame_166_shape_group_8_shapes[] = {
        shape(frame_166_shape_group_8_shape_0_horizontal_lines, 69, 5),
        shape(frame_166_shape_group_8_shape_1_horizontal_lines, 71, 4),
        shape(frame_166_shape_group_8_shape_2_horizontal_lines, 73, 5),
        shape(frame_166_shape_group_8_shape_3_horizontal_lines, 77, 5),
        shape(frame_166_shape_group_8_shape_4_horizontal_lines, 78, 15),
        shape(frame_166_shape_group_8_shape_5_horizontal_lines, 79, 4),
        shape(frame_166_shape_group_8_shape_6_horizontal_lines, 81, 4),
        shape(frame_166_shape_group_8_shape_7_horizontal_lines, 82, 10),
        shape(frame_166_shape_group_8_shape_8_horizontal_lines, 85, 5),
    };

    constexpr const horizontal_line frame_166_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(169, 170),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_166_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(168, 173),
    };

    constexpr const horizontal_line frame_166_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_166_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const shape frame_166_shape_group_9_shapes[] = {
        shape(frame_166_shape_group_9_shape_0_horizontal_lines, 71, 5),
        shape(frame_166_shape_group_9_shape_1_horizontal_lines, 79, 15),
        shape(frame_166_shape_group_9_shape_2_horizontal_lines, 82, 4),
        shape(frame_166_shape_group_9_shape_3_horizontal_lines, 84, 5),
    };

    constexpr const shape_group frame_166_shape_groups[] = {
        shape_group(frame_166_shape_group_0_shapes),
        shape_group(frame_166_shape_group_1_shapes),
        shape_group(frame_166_shape_group_2_shapes),
        shape_group(frame_166_shape_group_3_shapes),
        shape_group(frame_166_shape_group_4_shapes),
        shape_group(frame_166_shape_group_5_shapes),
        shape_group(frame_166_shape_group_6_shapes),
        shape_group(frame_166_shape_group_7_shapes),
        shape_group(frame_166_shape_group_8_shapes),
        shape_group(frame_166_shape_group_9_shapes),
    };

    constexpr const frame frame_166_impl(frame_166_colors, frame_166_shape_groups);
} 

const frame& frame_166()
{
    return frame_166_impl;
}

namespace
{
    constexpr const bn::color frame_167_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_167_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(19, 81),
        horizontal_line(38, 100),
        horizontal_line(57, 114),
        horizontal_line(76, 113),
        horizontal_line(95, 113),
        horizontal_line(114, 139),
        horizontal_line(113, 138),
        horizontal_line(112, 137),
        horizontal_line(111, 136),
        horizontal_line(111, 135),
        horizontal_line(110, 145),
        horizontal_line(109, 145),
        horizontal_line(108, 129),
        horizontal_line(108, 126),
        horizontal_line(107, 123),
        horizontal_line(106, 120),
        horizontal_line(105, 117),
        horizontal_line(105, 113),
        horizontal_line(104, 110),
        horizontal_line(103, 107),
        horizontal_line(102, 104),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_167_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(97, 100),
        horizontal_line(94, 100),
        horizontal_line(91, 100),
        horizontal_line(88, 100),
        horizontal_line(85, 100),
        horizontal_line(82, 100),
        horizontal_line(78, 99),
        horizontal_line(75, 99),
        horizontal_line(72, 99),
        horizontal_line(69, 99),
        horizontal_line(66, 99),
        horizontal_line(63, 99),
        horizontal_line(59, 99),
        horizontal_line(56, 98),
        horizontal_line(53, 98),
        horizontal_line(50, 98),
        horizontal_line(47, 98),
        horizontal_line(44, 98),
        horizontal_line(41, 98),
        horizontal_line(37, 97),
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
    };

    constexpr const shape frame_167_shape_group_0_shapes[] = {
        shape(frame_167_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_167_shape_group_0_shape_1_horizontal_lines, 89, 7),
    };

    constexpr const horizontal_line frame_167_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 120),
        horizontal_line(62, 120),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 119),
        horizontal_line(62, 118),
        horizontal_line(62, 118),
        horizontal_line(62, 117),
        horizontal_line(62, 117),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(62, 116),
        horizontal_line(63, 115),
        horizontal_line(81, 115),
        horizontal_line(100, 114),
    };

    constexpr const horizontal_line frame_167_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(167, 170),
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_167_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(128, 140),
        horizontal_line(143, 145),
        horizontal_line(141, 145),
        horizontal_line(140, 145),
        horizontal_line(138, 145),
        horizontal_line(137, 145),
    };

    constexpr const horizontal_line frame_167_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(171, 175),
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_167_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(133, 145),
        horizontal_line(133, 144),
        horizontal_line(133, 142),
        horizontal_line(132, 140),
        horizontal_line(132, 139),
        horizontal_line(132, 137),
        horizontal_line(131, 136),
        horizontal_line(131, 134),
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_167_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(168, 172),
        horizontal_line(129, 129),
        horizontal_line(127, 136),
        horizontal_line(126, 143),
        horizontal_line(125, 150),
        horizontal_line(123, 157),
        horizontal_line(122, 164),
        horizontal_line(121, 171),
        horizontal_line(119, 171),
        horizontal_line(118, 171),
        horizontal_line(117, 171),
        horizontal_line(115, 171),
        horizontal_line(114, 171),
        horizontal_line(113, 171),
        horizontal_line(111, 171),
        horizontal_line(110, 171),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(84, 146),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(113, 171),
        horizontal_line(116, 171),
        horizontal_line(120, 171),
        horizontal_line(124, 171),
        horizontal_line(128, 171),
        horizontal_line(131, 171),
        horizontal_line(135, 171),
        horizontal_line(139, 171),
        horizontal_line(143, 171),
        horizontal_line(146, 171),
        horizontal_line(150, 171),
        horizontal_line(154, 171),
        horizontal_line(158, 171),
        horizontal_line(161, 171),
        horizontal_line(165, 171),
        horizontal_line(169, 171),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_167_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
    };

    constexpr const shape frame_167_shape_group_1_shapes[] = {
        shape(frame_167_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_167_shape_group_1_shape_1_horizontal_lines, 69, 7),
        shape(frame_167_shape_group_1_shape_2_horizontal_lines, 71, 3),
        shape(frame_167_shape_group_1_shape_3_horizontal_lines, 77, 7),
        shape(frame_167_shape_group_1_shape_4_horizontal_lines, 79, 3),
        shape(frame_167_shape_group_1_shape_5_horizontal_lines, 88, 7),
        shape(frame_167_shape_group_1_shape_6_horizontal_lines, 141, 9),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(96, 109),
        horizontal_line(96, 109),
        horizontal_line(97, 109),
        horizontal_line(98, 110),
        horizontal_line(98, 110),
        horizontal_line(99, 111),
        horizontal_line(100, 111),
        horizontal_line(100, 112),
        horizontal_line(101, 113),
        horizontal_line(102, 114),
        horizontal_line(102, 115),
        horizontal_line(103, 116),
        horizontal_line(104, 117),
        horizontal_line(104, 118),
        horizontal_line(105, 119),
        horizontal_line(106, 120),
        horizontal_line(106, 121),
        horizontal_line(107, 122),
        horizontal_line(108, 123),
        horizontal_line(108, 124),
        horizontal_line(109, 125),
        horizontal_line(110, 126),
        horizontal_line(111, 127),
        horizontal_line(111, 128),
        horizontal_line(124, 129),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(138, 146),
        horizontal_line(139, 146),
        horizontal_line(141, 146),
        horizontal_line(142, 146),
        horizontal_line(144, 146),
        horizontal_line(145, 146),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(138, 146),
        horizontal_line(139, 147),
        horizontal_line(140, 147),
        horizontal_line(141, 148),
        horizontal_line(142, 149),
        horizontal_line(144, 149),
        horizontal_line(145, 150),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(147, 151),
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(133, 142),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(158, 159),
        horizontal_line(159, 159),
        horizontal_line(159, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 161),
        horizontal_line(161, 162),
        horizontal_line(161, 162),
        horizontal_line(162, 163),
        horizontal_line(162, 164),
        horizontal_line(163, 164),
        horizontal_line(163, 165),
        horizontal_line(164, 166),
        horizontal_line(164, 166),
        horizontal_line(165, 167),
        horizontal_line(165, 168),
        horizontal_line(166, 168),
        horizontal_line(166, 169),
        horizontal_line(167, 170),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 56),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(144, 145),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(169, 172),
        horizontal_line(169, 173),
        horizontal_line(170, 173),
        horizontal_line(170, 174),
        horizontal_line(171, 175),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(171, 178),
        horizontal_line(171, 173),
        horizontal_line(170, 172),
        horizontal_line(170, 172),
        horizontal_line(169, 172),
        horizontal_line(169, 172),
        horizontal_line(168, 172),
        horizontal_line(168, 172),
        horizontal_line(183, 183),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(170, 171),
        horizontal_line(171, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
        horizontal_line(0, 55),
        horizontal_line(0, 52),
        horizontal_line(0, 49),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(169, 171),
        horizontal_line(168, 171),
        horizontal_line(167, 171),
        horizontal_line(96, 97),
        horizontal_line(93, 97),
        horizontal_line(90, 97),
        horizontal_line(87, 97),
        horizontal_line(146, 171),
        horizontal_line(80, 96),
        horizontal_line(77, 94),
        horizontal_line(74, 93),
        horizontal_line(71, 92),
        horizontal_line(68, 90),
        horizontal_line(65, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_167_shape_group_2_shape_17_horizontal_lines[] = {
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_167_shape_group_2_shapes[] = {
        shape(frame_167_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_167_shape_group_2_shape_1_horizontal_lines, 25, 7),
        shape(frame_167_shape_group_2_shape_2_horizontal_lines, 32, 1),
        shape(frame_167_shape_group_2_shape_3_horizontal_lines, 39, 7),
        shape(frame_167_shape_group_2_shape_4_horizontal_lines, 40, 1),
        shape(frame_167_shape_group_2_shape_5_horizontal_lines, 42, 7),
        shape(frame_167_shape_group_2_shape_6_horizontal_lines, 43, 3),
        shape(frame_167_shape_group_2_shape_7_horizontal_lines, 47, 7),
        shape(frame_167_shape_group_2_shape_8_horizontal_lines, 49, 11),
        shape(frame_167_shape_group_2_shape_9_horizontal_lines, 50, 7),
        shape(frame_167_shape_group_2_shape_10_horizontal_lines, 69, 1),
        shape(frame_167_shape_group_2_shape_11_horizontal_lines, 71, 3),
        shape(frame_167_shape_group_2_shape_12_horizontal_lines, 72, 7),
        shape(frame_167_shape_group_2_shape_13_horizontal_lines, 77, 1),
        shape(frame_167_shape_group_2_shape_14_horizontal_lines, 79, 7),
        shape(frame_167_shape_group_2_shape_15_horizontal_lines, 96, 1),
        shape(frame_167_shape_group_2_shape_16_horizontal_lines, 105, 7),
        shape(frame_167_shape_group_2_shape_17_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(110, 146),
        horizontal_line(110, 146),
        horizontal_line(110, 146),
        horizontal_line(111, 146),
        horizontal_line(111, 146),
        horizontal_line(112, 146),
        horizontal_line(112, 146),
        horizontal_line(113, 146),
        horizontal_line(114, 146),
        horizontal_line(115, 146),
        horizontal_line(117, 146),
        horizontal_line(118, 146),
        horizontal_line(120, 146),
        horizontal_line(121, 146),
        horizontal_line(122, 146),
        horizontal_line(124, 146),
        horizontal_line(125, 146),
        horizontal_line(127, 146),
        horizontal_line(128, 146),
        horizontal_line(130, 146),
        horizontal_line(131, 146),
        horizontal_line(132, 146),
        horizontal_line(134, 146),
        horizontal_line(135, 146),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(131, 137),
        horizontal_line(132, 138),
        horizontal_line(133, 140),
        horizontal_line(134, 141),
        horizontal_line(135, 143),
        horizontal_line(136, 144),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 121),
        horizontal_line(120, 123),
        horizontal_line(121, 125),
        horizontal_line(121, 127),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(123, 130),
        horizontal_line(123, 132),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(149, 152),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(154, 155),
        horizontal_line(155, 155),
        horizontal_line(156, 156),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(156, 157),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(135, 142),
        horizontal_line(137, 143),
        horizontal_line(138, 143),
        horizontal_line(140, 143),
        horizontal_line(141, 143),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(120, 152),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(144, 148),
        horizontal_line(144, 153),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 18),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(168, 172),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(175, 179),
        horizontal_line(176, 179),
        horizontal_line(177, 180),
        horizontal_line(178, 181),
        horizontal_line(179, 181),
        horizontal_line(180, 182),
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(100, 120),
        horizontal_line(100, 118),
        horizontal_line(100, 117),
        horizontal_line(100, 116),
        horizontal_line(100, 114),
        horizontal_line(100, 113),
        horizontal_line(99, 112),
        horizontal_line(99, 110),
        horizontal_line(99, 109),
        horizontal_line(0, 46),
        horizontal_line(0, 43),
        horizontal_line(0, 40),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(165, 171),
        horizontal_line(164, 171),
        horizontal_line(163, 171),
        horizontal_line(161, 171),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_22_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_23_horizontal_lines[] = {
        horizontal_line(160, 171),
        horizontal_line(163, 171),
        horizontal_line(167, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_24_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_167_shape_group_3_shape_25_horizontal_lines[] = {
        horizontal_line(177, 228),
        horizontal_line(177, 230),
        horizontal_line(176, 231),
        horizontal_line(176, 233),
        horizontal_line(176, 234),
        horizontal_line(175, 236),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_167_shape_group_3_shapes[] = {
        shape(frame_167_shape_group_3_shape_0_horizontal_lines, 0, 7),
        shape(frame_167_shape_group_3_shape_1_horizontal_lines, 25, 1),
        shape(frame_167_shape_group_3_shape_2_horizontal_lines, 34, 11),
        shape(frame_167_shape_group_3_shape_3_horizontal_lines, 39, 1),
        shape(frame_167_shape_group_3_shape_4_horizontal_lines, 40, 11),
        shape(frame_167_shape_group_3_shape_5_horizontal_lines, 42, 1),
        shape(frame_167_shape_group_3_shape_6_horizontal_lines, 44, 7),
        shape(frame_167_shape_group_3_shape_7_horizontal_lines, 46, 1),
        shape(frame_167_shape_group_3_shape_8_horizontal_lines, 49, 12),
        shape(frame_167_shape_group_3_shape_9_horizontal_lines, 50, 11),
        shape(frame_167_shape_group_3_shape_10_horizontal_lines, 56, 6),
        shape(frame_167_shape_group_3_shape_11_horizontal_lines, 57, 11),
        shape(frame_167_shape_group_3_shape_12_horizontal_lines, 66, 1),
        shape(frame_167_shape_group_3_shape_13_horizontal_lines, 69, 11),
        shape(frame_167_shape_group_3_shape_14_horizontal_lines, 70, 1),
        shape(frame_167_shape_group_3_shape_15_horizontal_lines, 71, 7),
        shape(frame_167_shape_group_3_shape_16_horizontal_lines, 72, 1),
        shape(frame_167_shape_group_3_shape_17_horizontal_lines, 82, 7),
        shape(frame_167_shape_group_3_shape_18_horizontal_lines, 89, 1),
        shape(frame_167_shape_group_3_shape_19_horizontal_lines, 90, 7),
        shape(frame_167_shape_group_3_shape_20_horizontal_lines, 92, 1),
        shape(frame_167_shape_group_3_shape_21_horizontal_lines, 109, 7),
        shape(frame_167_shape_group_3_shape_22_horizontal_lines, 113, 1),
        shape(frame_167_shape_group_3_shape_23_horizontal_lines, 114, 7),
        shape(frame_167_shape_group_3_shape_24_horizontal_lines, 118, 1),
        shape(frame_167_shape_group_3_shape_25_horizontal_lines, 120, 9),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(117, 117),
        horizontal_line(118, 119),
        horizontal_line(119, 120),
        horizontal_line(120, 121),
        horizontal_line(121, 123),
        horizontal_line(122, 124),
        horizontal_line(123, 126),
        horizontal_line(124, 127),
        horizontal_line(125, 129),
        horizontal_line(126, 130),
        horizontal_line(127, 131),
        horizontal_line(128, 133),
        horizontal_line(129, 134),
        horizontal_line(130, 136),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(122, 129),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(124, 134),
        horizontal_line(125, 136),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(152, 153),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(129, 142),
        horizontal_line(130, 142),
        horizontal_line(132, 142),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(123, 132),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(153, 159),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(153, 160),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(120, 143),
        horizontal_line(120, 143),
        horizontal_line(119, 143),
        horizontal_line(119, 143),
        horizontal_line(118, 143),
        horizontal_line(118, 143),
        horizontal_line(117, 143),
        horizontal_line(117, 142),
        horizontal_line(117, 142),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(143, 151),
        horizontal_line(143, 151),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(115, 142),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(146, 148),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(127, 132),
        horizontal_line(124, 132),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(101, 163),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(101, 125),
        horizontal_line(101, 124),
        horizontal_line(101, 122),
        horizontal_line(100, 121),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 65),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(185, 198),
        horizontal_line(184, 199),
        horizontal_line(184, 201),
        horizontal_line(184, 202),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(99, 108),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(180, 217),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(178, 225),
        horizontal_line(178, 226),
    };

    constexpr const horizontal_line frame_167_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(237, 238),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_167_shape_group_4_shapes[] = {
        shape(frame_167_shape_group_4_shape_0_horizontal_lines, 10, 1),
        shape(frame_167_shape_group_4_shape_1_horizontal_lines, 39, 11),
        shape(frame_167_shape_group_4_shape_2_horizontal_lines, 42, 11),
        shape(frame_167_shape_group_4_shape_3_horizontal_lines, 44, 1),
        shape(frame_167_shape_group_4_shape_4_horizontal_lines, 46, 11),
        shape(frame_167_shape_group_4_shape_5_horizontal_lines, 49, 6),
        shape(frame_167_shape_group_4_shape_6_horizontal_lines, 50, 12),
        shape(frame_167_shape_group_4_shape_7_horizontal_lines, 56, 14),
        shape(frame_167_shape_group_4_shape_8_horizontal_lines, 57, 6),
        shape(frame_167_shape_group_4_shape_9_horizontal_lines, 66, 11),
        shape(frame_167_shape_group_4_shape_10_horizontal_lines, 69, 6),
        shape(frame_167_shape_group_4_shape_11_horizontal_lines, 70, 11),
        shape(frame_167_shape_group_4_shape_12_horizontal_lines, 71, 1),
        shape(frame_167_shape_group_4_shape_13_horizontal_lines, 77, 11),
        shape(frame_167_shape_group_4_shape_14_horizontal_lines, 79, 1),
        shape(frame_167_shape_group_4_shape_15_horizontal_lines, 101, 9),
        shape(frame_167_shape_group_4_shape_16_horizontal_lines, 105, 1),
        shape(frame_167_shape_group_4_shape_17_horizontal_lines, 113, 9),
        shape(frame_167_shape_group_4_shape_18_horizontal_lines, 114, 1),
        shape(frame_167_shape_group_4_shape_19_horizontal_lines, 118, 9),
        shape(frame_167_shape_group_4_shape_20_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(126, 138),
        horizontal_line(127, 140),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 131),
        horizontal_line(143, 148),
        horizontal_line(123, 134),
        horizontal_line(123, 136),
        horizontal_line(122, 137),
        horizontal_line(122, 139),
        horizontal_line(121, 140),
        horizontal_line(121, 142),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(149, 152),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(154, 161),
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(152, 163),
        horizontal_line(152, 163),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(116, 142),
        horizontal_line(116, 142),
        horizontal_line(115, 142),
        horizontal_line(147, 148),
        horizontal_line(114, 145),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(146, 147),
        horizontal_line(146, 147),
        horizontal_line(146, 148),
        horizontal_line(146, 148),
        horizontal_line(146, 148),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(149, 165),
        horizontal_line(149, 165),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(62, 107),
        horizontal_line(145, 145),
        horizontal_line(143, 147),
        horizontal_line(121, 131),
        horizontal_line(118, 131),
        horizontal_line(114, 131),
        horizontal_line(111, 130),
        horizontal_line(108, 130),
        horizontal_line(105, 130),
        horizontal_line(102, 129),
        horizontal_line(62, 96),
        horizontal_line(101, 128),
        horizontal_line(101, 126),
        horizontal_line(144, 169),
        horizontal_line(151, 169),
        horizontal_line(158, 170),
        horizontal_line(165, 170),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(187, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(185, 196),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(183, 204),
        horizontal_line(183, 206),
        horizontal_line(182, 207),
        horizontal_line(182, 209),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(98, 102),
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_167_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(180, 218),
        horizontal_line(179, 220),
        horizontal_line(179, 222),
        horizontal_line(178, 223),
    };

    constexpr const shape frame_167_shape_group_5_shapes[] = {
        shape(frame_167_shape_group_5_shape_0_horizontal_lines, 43, 12),
        shape(frame_167_shape_group_5_shape_1_horizontal_lines, 44, 11),
        shape(frame_167_shape_group_5_shape_2_horizontal_lines, 46, 6),
        shape(frame_167_shape_group_5_shape_3_horizontal_lines, 57, 6),
        shape(frame_167_shape_group_5_shape_4_horizontal_lines, 58, 13),
        shape(frame_167_shape_group_5_shape_5_horizontal_lines, 60, 4),
        shape(frame_167_shape_group_5_shape_6_horizontal_lines, 66, 6),
        shape(frame_167_shape_group_5_shape_7_horizontal_lines, 71, 1),
        shape(frame_167_shape_group_5_shape_8_horizontal_lines, 72, 11),
        shape(frame_167_shape_group_5_shape_9_horizontal_lines, 77, 4),
        shape(frame_167_shape_group_5_shape_10_horizontal_lines, 79, 1),
        shape(frame_167_shape_group_5_shape_11_horizontal_lines, 96, 9),
        shape(frame_167_shape_group_5_shape_12_horizontal_lines, 105, 9),
        shape(frame_167_shape_group_5_shape_13_horizontal_lines, 109, 1),
        shape(frame_167_shape_group_5_shape_14_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(150, 152),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(143, 144),
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(143, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 152),
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(163, 163),
        horizontal_line(164, 164),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(152, 163),
        horizontal_line(152, 163),
        horizontal_line(152, 163),
        horizontal_line(149, 164),
        horizontal_line(148, 164),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(139, 140),
        horizontal_line(138, 139),
        horizontal_line(137, 137),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(146, 149),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(141, 150),
        horizontal_line(140, 153),
        horizontal_line(138, 156),
        horizontal_line(137, 159),
        horizontal_line(135, 162),
        horizontal_line(133, 165),
        horizontal_line(132, 167),
        horizontal_line(163, 167),
        horizontal_line(130, 168),
        horizontal_line(137, 168),
        horizontal_line(62, 87),
        horizontal_line(62, 84),
        horizontal_line(62, 81),
        horizontal_line(62, 77),
    };

    constexpr const horizontal_line frame_167_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(182, 210),
        horizontal_line(181, 212),
        horizontal_line(181, 214),
        horizontal_line(180, 215),
    };

    constexpr const shape frame_167_shape_group_6_shapes[] = {
        shape(frame_167_shape_group_6_shape_0_horizontal_lines, 44, 12),
        shape(frame_167_shape_group_6_shape_1_horizontal_lines, 45, 6),
        shape(frame_167_shape_group_6_shape_2_horizontal_lines, 46, 10),
        shape(frame_167_shape_group_6_shape_3_horizontal_lines, 47, 6),
        shape(frame_167_shape_group_6_shape_4_horizontal_lines, 49, 10),
        shape(frame_167_shape_group_6_shape_5_horizontal_lines, 50, 6),
        shape(frame_167_shape_group_6_shape_6_horizontal_lines, 57, 14),
        shape(frame_167_shape_group_6_shape_7_horizontal_lines, 59, 2),
        shape(frame_167_shape_group_6_shape_8_horizontal_lines, 62, 5),
        shape(frame_167_shape_group_6_shape_9_horizontal_lines, 66, 4),
        shape(frame_167_shape_group_6_shape_10_horizontal_lines, 71, 11),
        shape(frame_167_shape_group_6_shape_11_horizontal_lines, 72, 6),
        shape(frame_167_shape_group_6_shape_12_horizontal_lines, 77, 5),
        shape(frame_167_shape_group_6_shape_13_horizontal_lines, 78, 4),
        shape(frame_167_shape_group_6_shape_14_horizontal_lines, 79, 11),
        shape(frame_167_shape_group_6_shape_15_horizontal_lines, 80, 1),
        shape(frame_167_shape_group_6_shape_16_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(150, 151),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(151, 154),
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(157, 159),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(157, 160),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(164, 165),
        horizontal_line(164, 165),
        horizontal_line(164, 166),
        horizontal_line(165, 166),
        horizontal_line(165, 167),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(114, 127),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(148, 164),
        horizontal_line(148, 164),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(150, 166),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(146, 149),
        horizontal_line(148, 149),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(62, 93),
        horizontal_line(62, 90),
    };

    constexpr const horizontal_line frame_167_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const shape frame_167_shape_group_7_shapes[] = {
        shape(frame_167_shape_group_7_shape_0_horizontal_lines, 45, 10),
        shape(frame_167_shape_group_7_shape_1_horizontal_lines, 47, 10),
        shape(frame_167_shape_group_7_shape_2_horizontal_lines, 55, 14),
        shape(frame_167_shape_group_7_shape_3_horizontal_lines, 57, 13),
        shape(frame_167_shape_group_7_shape_4_horizontal_lines, 66, 5),
        shape(frame_167_shape_group_7_shape_5_horizontal_lines, 71, 6),
        shape(frame_167_shape_group_7_shape_6_horizontal_lines, 72, 4),
        shape(frame_167_shape_group_7_shape_7_horizontal_lines, 78, 5),
        shape(frame_167_shape_group_7_shape_8_horizontal_lines, 79, 4),
        shape(frame_167_shape_group_7_shape_9_horizontal_lines, 80, 11),
        shape(frame_167_shape_group_7_shape_10_horizontal_lines, 82, 1),
        shape(frame_167_shape_group_7_shape_11_horizontal_lines, 90, 1),
        shape(frame_167_shape_group_7_shape_12_horizontal_lines, 95, 9),
    };

    constexpr const horizontal_line frame_167_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_167_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(165, 168),
        horizontal_line(166, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 170),
    };

    constexpr const horizontal_line frame_167_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_167_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(150, 163),
        horizontal_line(150, 170),
        horizontal_line(151, 170),
    };

    constexpr const horizontal_line frame_167_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(164, 169),
        horizontal_line(157, 169),
    };

    constexpr const horizontal_line frame_167_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(160, 168),
        horizontal_line(163, 168),
        horizontal_line(166, 167),
    };

    constexpr const shape frame_167_shape_group_8_shapes[] = {
        shape(frame_167_shape_group_8_shape_0_horizontal_lines, 71, 6),
        shape(frame_167_shape_group_8_shape_1_horizontal_lines, 72, 5),
        shape(frame_167_shape_group_8_shape_2_horizontal_lines, 79, 15),
        shape(frame_167_shape_group_8_shape_3_horizontal_lines, 80, 4),
        shape(frame_167_shape_group_8_shape_4_horizontal_lines, 83, 10),
        shape(frame_167_shape_group_8_shape_5_horizontal_lines, 85, 5),
    };

    constexpr const horizontal_line frame_167_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(148, 164),
    };

    constexpr const horizontal_line frame_167_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_167_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(154, 163),
    };

    constexpr const shape frame_167_shape_group_9_shapes[] = {
        shape(frame_167_shape_group_9_shape_0_horizontal_lines, 71, 4),
        shape(frame_167_shape_group_9_shape_1_horizontal_lines, 80, 15),
        shape(frame_167_shape_group_9_shape_2_horizontal_lines, 83, 4),
    };

    constexpr const horizontal_line frame_167_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(165, 167),
    };

    constexpr const shape frame_167_shape_group_10_shapes[] = {
        shape(frame_167_shape_group_10_shape_0_horizontal_lines, 71, 5),
    };

    constexpr const shape_group frame_167_shape_groups[] = {
        shape_group(frame_167_shape_group_0_shapes),
        shape_group(frame_167_shape_group_1_shapes),
        shape_group(frame_167_shape_group_2_shapes),
        shape_group(frame_167_shape_group_3_shapes),
        shape_group(frame_167_shape_group_4_shapes),
        shape_group(frame_167_shape_group_5_shapes),
        shape_group(frame_167_shape_group_6_shapes),
        shape_group(frame_167_shape_group_7_shapes),
        shape_group(frame_167_shape_group_8_shapes),
        shape_group(frame_167_shape_group_9_shapes),
        shape_group(frame_167_shape_group_10_shapes),
    };

    constexpr const frame frame_167_impl(frame_167_colors, frame_167_shape_groups);
} 

const frame& frame_167()
{
    return frame_167_impl;
}

namespace
{
    constexpr const bn::color frame_168_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_168_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 30),
        horizontal_line(93, 128),
        horizontal_line(93, 140),
        horizontal_line(92, 140),
        horizontal_line(91, 123),
        horizontal_line(90, 120),
        horizontal_line(90, 118),
        horizontal_line(89, 115),
        horizontal_line(88, 112),
        horizontal_line(87, 110),
        horizontal_line(87, 107),
        horizontal_line(86, 104),
        horizontal_line(85, 102),
        horizontal_line(84, 99),
        horizontal_line(84, 96),
        horizontal_line(83, 94),
        horizontal_line(82, 91),
        horizontal_line(81, 88),
        horizontal_line(81, 86),
        horizontal_line(80, 83),
        horizontal_line(79, 80),
    };

    constexpr const horizontal_line frame_168_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 57),
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 43),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 35),
        horizontal_line(0, 32),
        horizontal_line(0, 29),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(73, 80),
        horizontal_line(73, 78),
        horizontal_line(73, 77),
        horizontal_line(72, 76),
        horizontal_line(72, 75),
        horizontal_line(72, 73),
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_168_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
    };

    constexpr const shape frame_168_shape_group_0_shapes[] = {
        shape(frame_168_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_168_shape_group_0_shape_1_horizontal_lines, 98, 1),
        shape(frame_168_shape_group_0_shape_2_horizontal_lines, 133, 7),
    };

    constexpr const horizontal_line frame_168_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 109),
        horizontal_line(62, 108),
        horizontal_line(62, 108),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(62, 104),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 103),
        horizontal_line(62, 102),
        horizontal_line(62, 102),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 101),
        horizontal_line(62, 100),
        horizontal_line(62, 100),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 99),
        horizontal_line(62, 98),
        horizontal_line(62, 98),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(126, 134),
        horizontal_line(116, 133),
        horizontal_line(106, 132),
        horizontal_line(96, 131),
        horizontal_line(95, 130),
        horizontal_line(94, 129),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_168_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_168_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(126, 140),
        horizontal_line(126, 139),
        horizontal_line(126, 137),
        horizontal_line(125, 136),
        horizontal_line(125, 134),
        horizontal_line(125, 133),
        horizontal_line(125, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 128),
        horizontal_line(124, 127),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_168_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(79, 115),
        horizontal_line(78, 114),
        horizontal_line(78, 113),
        horizontal_line(78, 112),
        horizontal_line(78, 110),
        horizontal_line(78, 109),
        horizontal_line(77, 108),
        horizontal_line(77, 106),
        horizontal_line(77, 105),
        horizontal_line(77, 104),
        horizontal_line(77, 103),
        horizontal_line(76, 101),
        horizontal_line(76, 100),
        horizontal_line(76, 99),
        horizontal_line(76, 98),
        horizontal_line(76, 96),
        horizontal_line(75, 95),
        horizontal_line(75, 94),
        horizontal_line(75, 92),
        horizontal_line(75, 91),
        horizontal_line(75, 90),
        horizontal_line(74, 89),
        horizontal_line(74, 87),
        horizontal_line(74, 86),
        horizontal_line(74, 85),
        horizontal_line(74, 84),
        horizontal_line(73, 82),
        horizontal_line(73, 81),
    };

    constexpr const horizontal_line frame_168_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 175),
        horizontal_line(117, 175),
        horizontal_line(120, 175),
        horizontal_line(124, 175),
        horizontal_line(127, 175),
        horizontal_line(130, 175),
        horizontal_line(133, 175),
        horizontal_line(136, 175),
        horizontal_line(139, 175),
        horizontal_line(142, 175),
        horizontal_line(145, 175),
        horizontal_line(149, 176),
    };

    constexpr const shape frame_168_shape_group_1_shapes[] = {
        shape(frame_168_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_168_shape_group_1_shape_1_horizontal_lines, 79, 1),
        shape(frame_168_shape_group_1_shape_2_horizontal_lines, 81, 3),
        shape(frame_168_shape_group_1_shape_3_horizontal_lines, 93, 1),
        shape(frame_168_shape_group_1_shape_4_horizontal_lines, 126, 7),
    };

    constexpr const horizontal_line frame_168_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(84, 109),
        horizontal_line(85, 110),
        horizontal_line(86, 111),
        horizontal_line(87, 112),
        horizontal_line(87, 113),
        horizontal_line(88, 114),
        horizontal_line(89, 115),
        horizontal_line(90, 116),
        horizontal_line(91, 117),
        horizontal_line(92, 118),
        horizontal_line(92, 118),
        horizontal_line(93, 119),
        horizontal_line(94, 120),
        horizontal_line(96, 121),
        horizontal_line(97, 122),
        horizontal_line(99, 123),
        horizontal_line(110, 124),
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_168_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(127, 142),
        horizontal_line(128, 142),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(130, 144),
        horizontal_line(131, 144),
        horizontal_line(132, 145),
        horizontal_line(133, 145),
        horizontal_line(134, 145),
        horizontal_line(135, 146),
        horizontal_line(136, 146),
        horizontal_line(137, 147),
        horizontal_line(138, 147),
        horizontal_line(139, 148),
        horizontal_line(140, 148),
        horizontal_line(141, 149),
        horizontal_line(142, 149),
        horizontal_line(143, 149),
        horizontal_line(145, 150),
        horizontal_line(146, 150),
        horizontal_line(147, 151),
        horizontal_line(148, 151),
        horizontal_line(150, 152),
        horizontal_line(151, 152),
        horizontal_line(152, 153),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_168_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(155, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 162),
        horizontal_line(157, 163),
        horizontal_line(157, 163),
        horizontal_line(158, 164),
        horizontal_line(158, 164),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(162, 169),
        horizontal_line(162, 170),
        horizontal_line(163, 170),
        horizontal_line(163, 171),
        horizontal_line(164, 172),
        horizontal_line(164, 172),
        horizontal_line(165, 173),
        horizontal_line(165, 174),
        horizontal_line(166, 174),
        horizontal_line(166, 175),
        horizontal_line(167, 176),
    };

    constexpr const horizontal_line frame_168_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(137, 140),
        horizontal_line(136, 140),
        horizontal_line(134, 140),
        horizontal_line(133, 140),
        horizontal_line(131, 140),
    };

    constexpr const horizontal_line frame_168_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(92, 154),
        horizontal_line(89, 121),
        horizontal_line(87, 119),
        horizontal_line(84, 118),
        horizontal_line(81, 117),
        horizontal_line(151, 169),
        horizontal_line(158, 169),
        horizontal_line(165, 170),
        horizontal_line(62, 68),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_168_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(61, 76),
        horizontal_line(58, 76),
        horizontal_line(55, 76),
        horizontal_line(52, 76),
        horizontal_line(50, 76),
        horizontal_line(47, 75),
        horizontal_line(44, 75),
        horizontal_line(41, 75),
        horizontal_line(39, 75),
        horizontal_line(36, 75),
        horizontal_line(33, 74),
        horizontal_line(30, 74),
        horizontal_line(27, 74),
        horizontal_line(25, 74),
        horizontal_line(22, 74),
        horizontal_line(19, 73),
        horizontal_line(16, 73),
        horizontal_line(13, 73),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(124, 173),
        horizontal_line(124, 173),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 62),
        horizontal_line(157, 174),
        horizontal_line(161, 174),
        horizontal_line(164, 174),
        horizontal_line(167, 174),
        horizontal_line(170, 174),
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_168_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
    };

    constexpr const shape frame_168_shape_group_2_shapes[] = {
        shape(frame_168_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_168_shape_group_2_shape_1_horizontal_lines, 20, 1),
        shape(frame_168_shape_group_2_shape_2_horizontal_lines, 46, 7),
        shape(frame_168_shape_group_2_shape_3_horizontal_lines, 72, 3),
        shape(frame_168_shape_group_2_shape_4_horizontal_lines, 78, 1),
        shape(frame_168_shape_group_2_shape_5_horizontal_lines, 104, 7),
        shape(frame_168_shape_group_2_shape_6_horizontal_lines, 148, 9),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(109, 117),
        horizontal_line(109, 118),
        horizontal_line(110, 119),
        horizontal_line(111, 121),
        horizontal_line(112, 122),
        horizontal_line(113, 124),
        horizontal_line(114, 125),
        horizontal_line(115, 127),
        horizontal_line(116, 128),
        horizontal_line(117, 130),
        horizontal_line(118, 131),
        horizontal_line(119, 133),
        horizontal_line(119, 134),
        horizontal_line(120, 136),
        horizontal_line(121, 137),
        horizontal_line(122, 139),
        horizontal_line(123, 140),
        horizontal_line(124, 141),
        horizontal_line(125, 141),
        horizontal_line(126, 141),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(144, 144),
        horizontal_line(144, 144),
        horizontal_line(145, 145),
        horizontal_line(145, 146),
        horizontal_line(146, 146),
        horizontal_line(146, 147),
        horizontal_line(146, 148),
        horizontal_line(147, 148),
        horizontal_line(147, 149),
        horizontal_line(148, 150),
        horizontal_line(148, 150),
        horizontal_line(149, 151),
        horizontal_line(149, 152),
        horizontal_line(150, 152),
        horizontal_line(150, 153),
        horizontal_line(150, 153),
        horizontal_line(151, 154),
        horizontal_line(151, 155),
        horizontal_line(152, 155),
        horizontal_line(152, 156),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(154, 158),
        horizontal_line(154, 159),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(128, 137),
        horizontal_line(130, 137),
        horizontal_line(131, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 138),
        horizontal_line(135, 138),
        horizontal_line(137, 138),
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(104, 148),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(139, 144),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 148),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 147),
        horizontal_line(137, 141),
        horizontal_line(141, 142),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(171, 181),
        horizontal_line(170, 181),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(124, 125),
        horizontal_line(121, 125),
        horizontal_line(119, 125),
        horizontal_line(116, 124),
        horizontal_line(113, 124),
        horizontal_line(111, 124),
        horizontal_line(108, 124),
        horizontal_line(105, 123),
        horizontal_line(103, 123),
        horizontal_line(100, 123),
        horizontal_line(97, 122),
        horizontal_line(95, 122),
        horizontal_line(62, 81),
        horizontal_line(123, 166),
        horizontal_line(130, 167),
        horizontal_line(137, 167),
        horizontal_line(144, 168),
        horizontal_line(62, 77),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(69, 77),
        horizontal_line(66, 77),
        horizontal_line(64, 77),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 164),
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(191, 238),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(136, 173),
        horizontal_line(139, 174),
        horizontal_line(142, 174),
        horizontal_line(145, 174),
        horizontal_line(148, 174),
        horizontal_line(151, 174),
        horizontal_line(154, 174),
    };

    constexpr const horizontal_line frame_168_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_168_shape_group_3_shapes[] = {
        shape(frame_168_shape_group_3_shape_0_horizontal_lines, 0, 1),
        shape(frame_168_shape_group_3_shape_1_horizontal_lines, 20, 11),
        shape(frame_168_shape_group_3_shape_2_horizontal_lines, 21, 7),
        shape(frame_168_shape_group_3_shape_3_horizontal_lines, 46, 11),
        shape(frame_168_shape_group_3_shape_4_horizontal_lines, 55, 6),
        shape(frame_168_shape_group_3_shape_5_horizontal_lines, 56, 11),
        shape(frame_168_shape_group_3_shape_6_horizontal_lines, 72, 3),
        shape(frame_168_shape_group_3_shape_7_horizontal_lines, 77, 1),
        shape(frame_168_shape_group_3_shape_8_horizontal_lines, 79, 7),
        shape(frame_168_shape_group_3_shape_9_horizontal_lines, 81, 1),
        shape(frame_168_shape_group_3_shape_10_horizontal_lines, 101, 7),
        shape(frame_168_shape_group_3_shape_11_horizontal_lines, 133, 9),
        shape(frame_168_shape_group_3_shape_12_horizontal_lines, 135, 7),
        shape(frame_168_shape_group_3_shape_13_horizontal_lines, 142, 9),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(118, 140),
        horizontal_line(119, 140),
        horizontal_line(120, 140),
        horizontal_line(122, 140),
        horizontal_line(123, 140),
        horizontal_line(125, 140),
        horizontal_line(126, 140),
        horizontal_line(128, 140),
        horizontal_line(129, 140),
        horizontal_line(131, 140),
        horizontal_line(132, 140),
        horizontal_line(134, 140),
        horizontal_line(135, 140),
        horizontal_line(137, 140),
        horizontal_line(138, 140),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(101, 102),
        horizontal_line(102, 104),
        horizontal_line(102, 105),
        horizontal_line(103, 107),
        horizontal_line(104, 108),
        horizontal_line(105, 110),
        horizontal_line(106, 112),
        horizontal_line(107, 113),
        horizontal_line(107, 115),
        horizontal_line(108, 116),
        horizontal_line(109, 118),
        horizontal_line(110, 120),
        horizontal_line(111, 121),
        horizontal_line(112, 123),
        horizontal_line(113, 124),
        horizontal_line(114, 126),
        horizontal_line(116, 128),
        horizontal_line(117, 129),
        horizontal_line(119, 131),
        horizontal_line(120, 132),
        horizontal_line(121, 134),
        horizontal_line(123, 136),
        horizontal_line(124, 136),
        horizontal_line(126, 136),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(107, 126),
        horizontal_line(107, 127),
        horizontal_line(106, 129),
        horizontal_line(106, 130),
        horizontal_line(106, 132),
        horizontal_line(105, 133),
        horizontal_line(105, 134),
        horizontal_line(104, 136),
        horizontal_line(104, 137),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(103, 138),
        horizontal_line(103, 138),
        horizontal_line(102, 138),
        horizontal_line(102, 138),
        horizontal_line(102, 138),
        horizontal_line(101, 137),
        horizontal_line(101, 137),
        horizontal_line(100, 137),
        horizontal_line(100, 137),
        horizontal_line(100, 137),
        horizontal_line(99, 136),
        horizontal_line(99, 136),
        horizontal_line(98, 136),
        horizontal_line(98, 136),
        horizontal_line(98, 136),
        horizontal_line(97, 140),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(167, 176),
        horizontal_line(168, 177),
        horizontal_line(168, 177),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(63, 94),
        horizontal_line(93, 93),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(170, 180),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(62, 90),
        horizontal_line(140, 140),
        horizontal_line(138, 143),
        horizontal_line(137, 146),
        horizontal_line(135, 149),
        horizontal_line(134, 152),
        horizontal_line(132, 155),
        horizontal_line(131, 158),
        horizontal_line(129, 161),
        horizontal_line(128, 164),
        horizontal_line(126, 164),
        horizontal_line(125, 165),
        horizontal_line(154, 165),
        horizontal_line(62, 80),
        horizontal_line(62, 80),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(78, 78),
        horizontal_line(75, 77),
        horizontal_line(72, 77),
        horizontal_line(113, 171),
        horizontal_line(111, 171),
        horizontal_line(110, 171),
        horizontal_line(197, 197),
        horizontal_line(198, 198),
        horizontal_line(168, 171),
        horizontal_line(167, 171),
        horizontal_line(166, 171),
        horizontal_line(164, 171),
        horizontal_line(163, 171),
        horizontal_line(162, 171),
        horizontal_line(161, 171),
        horizontal_line(159, 172),
        horizontal_line(158, 172),
        horizontal_line(157, 172),
        horizontal_line(155, 172),
        horizontal_line(154, 172),
        horizontal_line(153, 172),
        horizontal_line(152, 172),
        horizontal_line(150, 172),
        horizontal_line(149, 172),
        horizontal_line(73, 73),
        horizontal_line(70, 73),
        horizontal_line(67, 72),
        horizontal_line(64, 72),
        horizontal_line(143, 173),
        horizontal_line(141, 173),
        horizontal_line(140, 173),
        horizontal_line(139, 173),
        horizontal_line(138, 173),
        horizontal_line(136, 173),
        horizontal_line(135, 173),
    };

    constexpr const horizontal_line frame_168_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_168_shape_group_4_shapes[] = {
        shape(frame_168_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_168_shape_group_4_shape_1_horizontal_lines, 19, 7),
        shape(frame_168_shape_group_4_shape_2_horizontal_lines, 21, 11),
        shape(frame_168_shape_group_4_shape_3_horizontal_lines, 46, 6),
        shape(frame_168_shape_group_4_shape_4_horizontal_lines, 55, 14),
        shape(frame_168_shape_group_4_shape_5_horizontal_lines, 56, 6),
        shape(frame_168_shape_group_4_shape_6_horizontal_lines, 72, 7),
        shape(frame_168_shape_group_4_shape_7_horizontal_lines, 75, 1),
        shape(frame_168_shape_group_4_shape_8_horizontal_lines, 78, 7),
        shape(frame_168_shape_group_4_shape_9_horizontal_lines, 79, 11),
        shape(frame_168_shape_group_4_shape_10_horizontal_lines, 81, 1),
        shape(frame_168_shape_group_4_shape_11_horizontal_lines, 98, 7),
        shape(frame_168_shape_group_4_shape_12_horizontal_lines, 135, 9),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(111, 113),
        horizontal_line(110, 115),
        horizontal_line(110, 116),
        horizontal_line(110, 118),
        horizontal_line(109, 119),
        horizontal_line(109, 120),
        horizontal_line(108, 122),
        horizontal_line(108, 123),
        horizontal_line(108, 125),
        horizontal_line(137, 141),
        horizontal_line(138, 142),
        horizontal_line(138, 144),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
        horizontal_line(139, 147),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(142, 148),
        horizontal_line(145, 148),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(148, 157),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
        horizontal_line(148, 158),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(142, 143),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(143, 159),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(169, 178),
        horizontal_line(169, 179),
        horizontal_line(170, 179),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(145, 160),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(162, 169),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(170, 182),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 86),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 83),
        horizontal_line(62, 83),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(166, 172),
        horizontal_line(122, 122),
        horizontal_line(120, 129),
        horizontal_line(119, 136),
        horizontal_line(118, 143),
        horizontal_line(116, 150),
        horizontal_line(115, 157),
        horizontal_line(114, 164),
        horizontal_line(193, 195),
        horizontal_line(194, 196),
        horizontal_line(196, 196),
        horizontal_line(171, 171),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(200, 201),
        horizontal_line(200, 203),
        horizontal_line(199, 204),
        horizontal_line(199, 206),
        horizontal_line(199, 207),
        horizontal_line(198, 209),
        horizontal_line(198, 210),
        horizontal_line(198, 212),
        horizontal_line(197, 213),
        horizontal_line(197, 215),
        horizontal_line(196, 216),
        horizontal_line(196, 218),
        horizontal_line(196, 219),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(148, 172),
        horizontal_line(147, 172),
        horizontal_line(145, 172),
        horizontal_line(144, 173),
    };

    constexpr const horizontal_line frame_168_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(194, 227),
        horizontal_line(193, 228),
        horizontal_line(193, 230),
        horizontal_line(193, 231),
        horizontal_line(192, 233),
        horizontal_line(192, 234),
        horizontal_line(192, 236),
    };

    constexpr const shape frame_168_shape_group_5_shapes[] = {
        shape(frame_168_shape_group_5_shape_0_horizontal_lines, 36, 6),
        shape(frame_168_shape_group_5_shape_1_horizontal_lines, 56, 6),
        shape(frame_168_shape_group_5_shape_2_horizontal_lines, 59, 13),
        shape(frame_168_shape_group_5_shape_3_horizontal_lines, 60, 4),
        shape(frame_168_shape_group_5_shape_4_horizontal_lines, 70, 6),
        shape(frame_168_shape_group_5_shape_5_horizontal_lines, 71, 4),
        shape(frame_168_shape_group_5_shape_6_horizontal_lines, 72, 11),
        shape(frame_168_shape_group_5_shape_7_horizontal_lines, 75, 7),
        shape(frame_168_shape_group_5_shape_8_horizontal_lines, 78, 11),
        shape(frame_168_shape_group_5_shape_9_horizontal_lines, 79, 4),
        shape(frame_168_shape_group_5_shape_10_horizontal_lines, 80, 15),
        shape(frame_168_shape_group_5_shape_11_horizontal_lines, 81, 7),
        shape(frame_168_shape_group_5_shape_12_horizontal_lines, 82, 1),
        shape(frame_168_shape_group_5_shape_13_horizontal_lines, 93, 7),
        shape(frame_168_shape_group_5_shape_14_horizontal_lines, 109, 9),
        shape(frame_168_shape_group_5_shape_15_horizontal_lines, 122, 7),
        shape(frame_168_shape_group_5_shape_16_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(145, 146),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(146, 151),
        horizontal_line(146, 152),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(149, 154),
        horizontal_line(147, 155),
        horizontal_line(147, 155),
        horizontal_line(147, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 155),
        horizontal_line(148, 150),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(149, 154),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(150, 157),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 165),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(144, 159),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(160, 166),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(97, 125),
        horizontal_line(96, 115),
        horizontal_line(96, 105),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(166, 169),
        horizontal_line(145, 161),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(169, 183),
        horizontal_line(169, 183),
        horizontal_line(168, 184),
        horizontal_line(167, 173),
        horizontal_line(167, 172),
        horizontal_line(166, 172),
        horizontal_line(166, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(165, 172),
        horizontal_line(166, 172),
        horizontal_line(184, 190),
        horizontal_line(167, 171),
        horizontal_line(168, 171),
        horizontal_line(168, 171),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(170, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_168_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(195, 221),
        horizontal_line(195, 222),
        horizontal_line(195, 224),
        horizontal_line(194, 225),
    };

    constexpr const shape frame_168_shape_group_6_shapes[] = {
        shape(frame_168_shape_group_6_shape_0_horizontal_lines, 42, 12),
        shape(frame_168_shape_group_6_shape_1_horizontal_lines, 43, 10),
        shape(frame_168_shape_group_6_shape_2_horizontal_lines, 44, 6),
        shape(frame_168_shape_group_6_shape_3_horizontal_lines, 46, 10),
        shape(frame_168_shape_group_6_shape_4_horizontal_lines, 48, 12),
        shape(frame_168_shape_group_6_shape_5_horizontal_lines, 56, 14),
        shape(frame_168_shape_group_6_shape_6_horizontal_lines, 58, 13),
        shape(frame_168_shape_group_6_shape_7_horizontal_lines, 59, 2),
        shape(frame_168_shape_group_6_shape_8_horizontal_lines, 60, 5),
        shape(frame_168_shape_group_6_shape_9_horizontal_lines, 70, 4),
        shape(frame_168_shape_group_6_shape_10_horizontal_lines, 71, 5),
        shape(frame_168_shape_group_6_shape_11_horizontal_lines, 72, 6),
        shape(frame_168_shape_group_6_shape_12_horizontal_lines, 75, 11),
        shape(frame_168_shape_group_6_shape_13_horizontal_lines, 78, 6),
        shape(frame_168_shape_group_6_shape_14_horizontal_lines, 79, 4),
        shape(frame_168_shape_group_6_shape_15_horizontal_lines, 81, 11),
        shape(frame_168_shape_group_6_shape_16_horizontal_lines, 82, 7),
        shape(frame_168_shape_group_6_shape_17_horizontal_lines, 122, 9),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(145, 148),
        horizontal_line(146, 149),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(146, 148),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(156, 157),
        horizontal_line(151, 157),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(155, 158),
        horizontal_line(150, 159),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(159, 160),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(135, 138),
        horizontal_line(134, 136),
        horizontal_line(133, 135),
        horizontal_line(132, 133),
        horizontal_line(131, 132),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(144, 160),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(161, 165),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(159, 169),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(147, 167),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(175, 185),
        horizontal_line(176, 185),
        horizontal_line(177, 186),
        horizontal_line(178, 187),
        horizontal_line(179, 187),
        horizontal_line(180, 188),
        horizontal_line(182, 188),
        horizontal_line(183, 189),
    };

    constexpr const horizontal_line frame_168_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(185, 190),
        horizontal_line(186, 191),
        horizontal_line(187, 192),
        horizontal_line(189, 192),
        horizontal_line(190, 193),
        horizontal_line(191, 194),
        horizontal_line(192, 194),
    };

    constexpr const shape frame_168_shape_group_7_shapes[] = {
        shape(frame_168_shape_group_7_shape_0_horizontal_lines, 44, 10),
        shape(frame_168_shape_group_7_shape_1_horizontal_lines, 48, 10),
        shape(frame_168_shape_group_7_shape_2_horizontal_lines, 53, 14),
        shape(frame_168_shape_group_7_shape_3_horizontal_lines, 56, 13),
        shape(frame_168_shape_group_7_shape_4_horizontal_lines, 58, 2),
        shape(frame_168_shape_group_7_shape_5_horizontal_lines, 59, 15),
        shape(frame_168_shape_group_7_shape_6_horizontal_lines, 70, 5),
        shape(frame_168_shape_group_7_shape_7_horizontal_lines, 72, 6),
        shape(frame_168_shape_group_7_shape_8_horizontal_lines, 78, 4),
        shape(frame_168_shape_group_7_shape_9_horizontal_lines, 79, 5),
        shape(frame_168_shape_group_7_shape_10_horizontal_lines, 81, 15),
        shape(frame_168_shape_group_7_shape_11_horizontal_lines, 82, 11),
        shape(frame_168_shape_group_7_shape_12_horizontal_lines, 84, 4),
        shape(frame_168_shape_group_7_shape_13_horizontal_lines, 85, 7),
        shape(frame_168_shape_group_7_shape_14_horizontal_lines, 94, 7),
    };

    constexpr const horizontal_line frame_168_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(143, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 160),
        horizontal_line(144, 160),
        horizontal_line(144, 160),
    };

    constexpr const horizontal_line frame_168_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(161, 169),
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_168_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(145, 158),
        horizontal_line(145, 168),
        horizontal_line(145, 168),
    };

    constexpr const horizontal_line frame_168_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(156, 166),
        horizontal_line(153, 166),
    };

    constexpr const horizontal_line frame_168_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(156, 165),
        horizontal_line(159, 165),
        horizontal_line(162, 164),
    };

    constexpr const shape frame_168_shape_group_8_shapes[] = {
        shape(frame_168_shape_group_8_shape_0_horizontal_lines, 72, 4),
        shape(frame_168_shape_group_8_shape_1_horizontal_lines, 78, 5),
        shape(frame_168_shape_group_8_shape_2_horizontal_lines, 81, 4),
        shape(frame_168_shape_group_8_shape_3_horizontal_lines, 85, 10),
        shape(frame_168_shape_group_8_shape_4_horizontal_lines, 87, 5),
    };

    constexpr const horizontal_line frame_168_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(160, 166),
        horizontal_line(160, 167),
        horizontal_line(160, 167),
        horizontal_line(161, 168),
        horizontal_line(161, 168),
        horizontal_line(161, 169),
    };

    constexpr const horizontal_line frame_168_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(150, 155),
    };

    constexpr const shape frame_168_shape_group_9_shapes[] = {
        shape(frame_168_shape_group_9_shape_0_horizontal_lines, 72, 5),
        shape(frame_168_shape_group_9_shape_1_horizontal_lines, 85, 4),
    };

    constexpr const shape_group frame_168_shape_groups[] = {
        shape_group(frame_168_shape_group_0_shapes),
        shape_group(frame_168_shape_group_1_shapes),
        shape_group(frame_168_shape_group_2_shapes),
        shape_group(frame_168_shape_group_3_shapes),
        shape_group(frame_168_shape_group_4_shapes),
        shape_group(frame_168_shape_group_5_shapes),
        shape_group(frame_168_shape_group_6_shapes),
        shape_group(frame_168_shape_group_7_shapes),
        shape_group(frame_168_shape_group_8_shapes),
        shape_group(frame_168_shape_group_9_shapes),
    };

    constexpr const frame frame_168_impl(frame_168_colors, frame_168_shape_groups);
} 

const frame& frame_168()
{
    return frame_168_impl;
}

namespace
{
    constexpr const bn::color frame_169_colors[] = {
        bn::color(12, 4, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(0, 0, 0),
        bn::color(8, 0, 0),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_169_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 40),
        horizontal_line(0, 30),
        horizontal_line(0, 19),
        horizontal_line(0, 9),
        horizontal_line(49, 104),
        horizontal_line(48, 102),
        horizontal_line(48, 99),
        horizontal_line(47, 97),
        horizontal_line(46, 94),
        horizontal_line(46, 92),
        horizontal_line(45, 89),
        horizontal_line(44, 87),
        horizontal_line(43, 84),
        horizontal_line(43, 82),
        horizontal_line(42, 79),
        horizontal_line(41, 77),
        horizontal_line(41, 74),
        horizontal_line(40, 72),
        horizontal_line(39, 69),
        horizontal_line(39, 67),
        horizontal_line(38, 64),
        horizontal_line(37, 62),
        horizontal_line(37, 59),
        horizontal_line(36, 57),
        horizontal_line(35, 54),
        horizontal_line(34, 52),
        horizontal_line(34, 49),
        horizontal_line(33, 47),
        horizontal_line(32, 44),
        horizontal_line(32, 42),
        horizontal_line(31, 39),
        horizontal_line(30, 37),
        horizontal_line(30, 34),
        horizontal_line(29, 32),
        horizontal_line(28, 29),
    };

    constexpr const horizontal_line frame_169_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(24, 73),
        horizontal_line(24, 72),
        horizontal_line(24, 71),
        horizontal_line(23, 70),
        horizontal_line(23, 68),
        horizontal_line(23, 67),
        horizontal_line(23, 66),
        horizontal_line(23, 65),
        horizontal_line(22, 64),
        horizontal_line(22, 63),
        horizontal_line(22, 61),
        horizontal_line(22, 60),
        horizontal_line(22, 59),
        horizontal_line(21, 58),
        horizontal_line(21, 57),
        horizontal_line(21, 56),
        horizontal_line(21, 54),
        horizontal_line(21, 53),
        horizontal_line(20, 52),
        horizontal_line(20, 51),
        horizontal_line(20, 50),
        horizontal_line(20, 49),
        horizontal_line(20, 47),
        horizontal_line(19, 46),
        horizontal_line(19, 45),
        horizontal_line(19, 44),
        horizontal_line(19, 43),
        horizontal_line(19, 42),
        horizontal_line(19, 41),
    };

    constexpr const shape frame_169_shape_group_0_shapes[] = {
        shape(frame_169_shape_group_0_shape_0_horizontal_lines, 0, 3),
        shape(frame_169_shape_group_0_shape_1_horizontal_lines, 118, 1),
    };

    constexpr const horizontal_line frame_169_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 74),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_169_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 142),
        horizontal_line(130, 137),
        horizontal_line(130, 133),
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_169_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(122, 127),
        horizontal_line(114, 126),
        horizontal_line(106, 125),
        horizontal_line(99, 124),
        horizontal_line(91, 123),
        horizontal_line(83, 121),
        horizontal_line(76, 120),
        horizontal_line(68, 119),
        horizontal_line(60, 122),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 112),
        horizontal_line(50, 109),
        horizontal_line(50, 107),
        horizontal_line(116, 129),
        horizontal_line(116, 127),
        horizontal_line(116, 126),
        horizontal_line(116, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 121),
        horizontal_line(115, 119),
        horizontal_line(115, 118),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
    };

    constexpr const horizontal_line frame_169_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(62, 88),
        horizontal_line(26, 87),
        horizontal_line(26, 86),
        horizontal_line(26, 85),
        horizontal_line(26, 84),
        horizontal_line(26, 82),
        horizontal_line(25, 81),
        horizontal_line(25, 80),
        horizontal_line(25, 79),
        horizontal_line(25, 78),
        horizontal_line(25, 77),
        horizontal_line(24, 75),
        horizontal_line(24, 74),
    };

    constexpr const horizontal_line frame_169_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const shape frame_169_shape_group_1_shapes[] = {
        shape(frame_169_shape_group_1_shape_0_horizontal_lines, 0, 3),
        shape(frame_169_shape_group_1_shape_1_horizontal_lines, 57, 11),
        shape(frame_169_shape_group_1_shape_2_horizontal_lines, 73, 3),
        shape(frame_169_shape_group_1_shape_3_horizontal_lines, 97, 1),
        shape(frame_169_shape_group_1_shape_4_horizontal_lines, 131, 7),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(69, 74),
        horizontal_line(69, 75),
        horizontal_line(70, 76),
        horizontal_line(71, 78),
        horizontal_line(72, 79),
        horizontal_line(73, 81),
        horizontal_line(74, 82),
        horizontal_line(75, 83),
        horizontal_line(76, 85),
        horizontal_line(77, 86),
        horizontal_line(78, 88),
        horizontal_line(79, 89),
        horizontal_line(80, 91),
        horizontal_line(81, 92),
        horizontal_line(82, 93),
        horizontal_line(83, 95),
        horizontal_line(85, 96),
        horizontal_line(86, 98),
        horizontal_line(87, 99),
        horizontal_line(89, 101),
        horizontal_line(90, 102),
        horizontal_line(91, 103),
        horizontal_line(92, 105),
        horizontal_line(94, 106),
        horizontal_line(95, 108),
        horizontal_line(96, 109),
        horizontal_line(98, 110),
        horizontal_line(99, 112),
        horizontal_line(100, 113),
        horizontal_line(101, 115),
        horizontal_line(103, 116),
        horizontal_line(104, 118),
        horizontal_line(105, 119),
        horizontal_line(107, 120),
        horizontal_line(108, 122),
        horizontal_line(109, 123),
        horizontal_line(111, 125),
        horizontal_line(112, 126),
        horizontal_line(113, 128),
        horizontal_line(114, 128),
        horizontal_line(116, 128),
        horizontal_line(117, 128),
        horizontal_line(118, 129),
        horizontal_line(120, 129),
        horizontal_line(121, 129),
        horizontal_line(122, 129),
        horizontal_line(123, 130),
        horizontal_line(125, 130),
        horizontal_line(126, 130),
        horizontal_line(127, 130),
        horizontal_line(129, 131),
        horizontal_line(130, 131),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(156, 181),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(132, 139),
        horizontal_line(132, 143),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(158, 184),
        horizontal_line(158, 185),
        horizontal_line(159, 185),
        horizontal_line(159, 186),
        horizontal_line(160, 187),
        horizontal_line(160, 187),
        horizontal_line(161, 188),
        horizontal_line(161, 189),
        horizontal_line(162, 189),
        horizontal_line(162, 190),
        horizontal_line(163, 191),
        horizontal_line(163, 191),
        horizontal_line(164, 192),
        horizontal_line(164, 193),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(165, 194),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(133, 134),
        horizontal_line(131, 134),
        horizontal_line(129, 134),
        horizontal_line(128, 134),
        horizontal_line(126, 134),
        horizontal_line(124, 134),
        horizontal_line(123, 134),
        horizontal_line(121, 134),
        horizontal_line(122, 134),
        horizontal_line(115, 134),
        horizontal_line(117, 134),
        horizontal_line(117, 134),
        horizontal_line(117, 132),
        horizontal_line(117, 130),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(80, 142),
        horizontal_line(78, 112),
        horizontal_line(75, 110),
        horizontal_line(73, 109),
        horizontal_line(70, 108),
        horizontal_line(68, 107),
        horizontal_line(65, 106),
        horizontal_line(63, 105),
        horizontal_line(60, 103),
        horizontal_line(58, 102),
        horizontal_line(55, 101),
        horizontal_line(53, 100),
        horizontal_line(50, 99),
        horizontal_line(48, 98),
        horizontal_line(45, 96),
        horizontal_line(43, 95),
        horizontal_line(40, 94),
        horizontal_line(38, 93),
        horizontal_line(35, 92),
        horizontal_line(33, 91),
        horizontal_line(30, 89),
    };

    constexpr const horizontal_line frame_169_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(89, 151),
        horizontal_line(25, 25),
        horizontal_line(23, 25),
        horizontal_line(21, 25),
        horizontal_line(19, 25),
        horizontal_line(16, 25),
        horizontal_line(14, 24),
        horizontal_line(12, 24),
        horizontal_line(10, 24),
        horizontal_line(7, 24),
        horizontal_line(5, 24),
        horizontal_line(3, 23),
        horizontal_line(1, 23),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(52, 114),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
    };

    constexpr const shape frame_169_shape_group_2_shapes[] = {
        shape(frame_169_shape_group_2_shape_0_horizontal_lines, 0, 11),
        shape(frame_169_shape_group_2_shape_1_horizontal_lines, 53, 7),
        shape(frame_169_shape_group_2_shape_2_horizontal_lines, 54, 11),
        shape(frame_169_shape_group_2_shape_3_horizontal_lines, 57, 7),
        shape(frame_169_shape_group_2_shape_4_horizontal_lines, 71, 11),
        shape(frame_169_shape_group_2_shape_5_horizontal_lines, 72, 7),
        shape(frame_169_shape_group_2_shape_6_horizontal_lines, 73, 3),
        shape(frame_169_shape_group_2_shape_7_horizontal_lines, 87, 1),
        shape(frame_169_shape_group_2_shape_8_horizontal_lines, 118, 7),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(75, 111),
        horizontal_line(76, 111),
        horizontal_line(77, 112),
        horizontal_line(79, 113),
        horizontal_line(80, 114),
        horizontal_line(82, 114),
        horizontal_line(83, 115),
        horizontal_line(84, 116),
        horizontal_line(86, 117),
        horizontal_line(87, 118),
        horizontal_line(92, 118),
        horizontal_line(99, 119),
        horizontal_line(106, 120),
        horizontal_line(112, 121),
        horizontal_line(119, 121),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(123, 142),
        horizontal_line(124, 142),
        horizontal_line(125, 142),
        horizontal_line(126, 143),
        horizontal_line(126, 143),
        horizontal_line(127, 143),
        horizontal_line(128, 143),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(130, 144),
        horizontal_line(131, 144),
        horizontal_line(132, 145),
        horizontal_line(133, 145),
        horizontal_line(134, 145),
        horizontal_line(135, 146),
        horizontal_line(136, 146),
        horizontal_line(137, 146),
        horizontal_line(138, 146),
        horizontal_line(139, 147),
        horizontal_line(140, 147),
        horizontal_line(142, 147),
        horizontal_line(143, 148),
        horizontal_line(144, 148),
        horizontal_line(145, 148),
        horizontal_line(146, 148),
        horizontal_line(147, 149),
        horizontal_line(148, 149),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(151, 174),
        horizontal_line(151, 175),
        horizontal_line(152, 176),
        horizontal_line(152, 177),
        horizontal_line(153, 177),
        horizontal_line(153, 178),
        horizontal_line(154, 179),
        horizontal_line(154, 179),
        horizontal_line(155, 180),
        horizontal_line(155, 181),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(64, 126),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(156, 182),
        horizontal_line(157, 183),
        horizontal_line(157, 183),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(61, 123),
        horizontal_line(60, 122),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(165, 193),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(56, 118),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(136, 140),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(10, 49),
        horizontal_line(105, 115),
        horizontal_line(103, 115),
        horizontal_line(100, 115),
        horizontal_line(98, 115),
        horizontal_line(95, 114),
        horizontal_line(93, 114),
        horizontal_line(90, 114),
        horizontal_line(88, 114),
        horizontal_line(85, 113),
        horizontal_line(83, 113),
        horizontal_line(142, 163),
        horizontal_line(114, 163),
        horizontal_line(119, 164),
        horizontal_line(125, 165),
        horizontal_line(131, 166),
        horizontal_line(137, 166),
        horizontal_line(143, 167),
        horizontal_line(149, 168),
        horizontal_line(155, 168),
        horizontal_line(161, 169),
        horizontal_line(167, 170),
    };

    constexpr const horizontal_line frame_169_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(101, 163),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(211, 225),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(227, 234),
        horizontal_line(228, 234),
        horizontal_line(230, 235),
        horizontal_line(231, 236),
        horizontal_line(232, 236),
        horizontal_line(233, 237),
        horizontal_line(235, 238),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(124, 177),
        horizontal_line(123, 177),
        horizontal_line(122, 177),
        horizontal_line(121, 178),
        horizontal_line(120, 178),
        horizontal_line(119, 178),
        horizontal_line(117, 178),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(110, 172),
        horizontal_line(109, 171),
        horizontal_line(108, 170),
        horizontal_line(107, 169),
        horizontal_line(106, 168),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
    };

    constexpr const shape frame_169_shape_group_3_shapes[] = {
        shape(frame_169_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_169_shape_group_3_shape_1_horizontal_lines, 15, 1),
        shape(frame_169_shape_group_3_shape_2_horizontal_lines, 43, 7),
        shape(frame_169_shape_group_3_shape_3_horizontal_lines, 53, 6),
        shape(frame_169_shape_group_3_shape_4_horizontal_lines, 54, 7),
        shape(frame_169_shape_group_3_shape_5_horizontal_lines, 57, 6),
        shape(frame_169_shape_group_3_shape_6_horizontal_lines, 71, 7),
        shape(frame_169_shape_group_3_shape_7_horizontal_lines, 72, 6),
        shape(frame_169_shape_group_3_shape_8_horizontal_lines, 73, 11),
        shape(frame_169_shape_group_3_shape_9_horizontal_lines, 83, 3),
        shape(frame_169_shape_group_3_shape_10_horizontal_lines, 84, 11),
        shape(frame_169_shape_group_3_shape_11_horizontal_lines, 86, 1),
        shape(frame_169_shape_group_3_shape_12_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(112, 138),
        horizontal_line(112, 138),
        horizontal_line(113, 138),
        horizontal_line(114, 138),
        horizontal_line(115, 139),
        horizontal_line(115, 139),
        horizontal_line(116, 139),
        horizontal_line(117, 139),
        horizontal_line(118, 140),
        horizontal_line(119, 140),
        horizontal_line(119, 140),
        horizontal_line(120, 141),
        horizontal_line(121, 141),
        horizontal_line(122, 141),
        horizontal_line(122, 141),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(143, 157),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 159),
        horizontal_line(144, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 161),
        horizontal_line(145, 162),
        horizontal_line(145, 162),
        horizontal_line(146, 163),
        horizontal_line(146, 164),
        horizontal_line(146, 164),
        horizontal_line(147, 165),
        horizontal_line(147, 166),
        horizontal_line(147, 166),
        horizontal_line(147, 167),
        horizontal_line(148, 168),
        horizontal_line(148, 168),
        horizontal_line(148, 169),
        horizontal_line(149, 170),
        horizontal_line(149, 170),
        horizontal_line(149, 171),
        horizontal_line(149, 172),
        horizontal_line(150, 172),
        horizontal_line(150, 173),
        horizontal_line(150, 174),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(68, 119),
        horizontal_line(67, 120),
        horizontal_line(67, 121),
        horizontal_line(66, 122),
        horizontal_line(66, 124),
        horizontal_line(66, 125),
        horizontal_line(65, 126),
        horizontal_line(65, 127),
        horizontal_line(64, 126),
        horizontal_line(64, 126),
        horizontal_line(126, 143),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(124, 131),
        horizontal_line(124, 131),
        horizontal_line(123, 131),
        horizontal_line(123, 130),
        horizontal_line(123, 130),
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(138, 139),
        horizontal_line(57, 119),
        horizontal_line(118, 134),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(166, 195),
        horizontal_line(166, 195),
        horizontal_line(167, 196),
        horizontal_line(167, 197),
        horizontal_line(168, 197),
        horizontal_line(168, 198),
        horizontal_line(169, 199),
        horizontal_line(169, 199),
        horizontal_line(169, 200),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(31, 50),
        horizontal_line(20, 49),
        horizontal_line(108, 116),
        horizontal_line(130, 143),
        horizontal_line(128, 145),
        horizontal_line(127, 148),
        horizontal_line(125, 151),
        horizontal_line(124, 153),
        horizontal_line(122, 156),
        horizontal_line(120, 159),
        horizontal_line(119, 161),
        horizontal_line(117, 161),
        horizontal_line(116, 162),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(164, 172),
        horizontal_line(113, 113),
        horizontal_line(111, 118),
        horizontal_line(110, 124),
        horizontal_line(109, 130),
        horizontal_line(108, 136),
        horizontal_line(107, 142),
        horizontal_line(106, 148),
        horizontal_line(104, 154),
        horizontal_line(103, 160),
        horizontal_line(102, 164),
        horizontal_line(199, 218),
        horizontal_line(200, 219),
        horizontal_line(201, 220),
        horizontal_line(203, 220),
        horizontal_line(204, 221),
        horizontal_line(205, 222),
        horizontal_line(206, 222),
        horizontal_line(208, 223),
        horizontal_line(209, 224),
        horizontal_line(210, 224),
        horizontal_line(151, 172),
        horizontal_line(213, 226),
        horizontal_line(214, 226),
        horizontal_line(215, 227),
        horizontal_line(216, 228),
        horizontal_line(217, 228),
        horizontal_line(219, 229),
        horizontal_line(220, 230),
        horizontal_line(221, 230),
        horizontal_line(222, 231),
        horizontal_line(224, 232),
        horizontal_line(225, 232),
        horizontal_line(226, 233),
        horizontal_line(136, 175),
        horizontal_line(135, 175),
        horizontal_line(134, 175),
        horizontal_line(133, 176),
        horizontal_line(131, 176),
        horizontal_line(130, 176),
        horizontal_line(129, 176),
        horizontal_line(128, 176),
        horizontal_line(127, 177),
        horizontal_line(126, 177),
    };

    constexpr const horizontal_line frame_169_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(177, 179),
        horizontal_line(176, 179),
        horizontal_line(175, 179),
        horizontal_line(174, 179),
        horizontal_line(172, 179),
        horizontal_line(171, 180),
        horizontal_line(170, 180),
        horizontal_line(169, 180),
        horizontal_line(168, 180),
        horizontal_line(167, 180),
        horizontal_line(166, 181),
    };

    constexpr const shape frame_169_shape_group_4_shapes[] = {
        shape(frame_169_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_169_shape_group_4_shape_1_horizontal_lines, 15, 7),
        shape(frame_169_shape_group_4_shape_2_horizontal_lines, 43, 6),
        shape(frame_169_shape_group_4_shape_3_horizontal_lines, 73, 7),
        shape(frame_169_shape_group_4_shape_4_horizontal_lines, 82, 1),
        shape(frame_169_shape_group_4_shape_5_horizontal_lines, 83, 11),
        shape(frame_169_shape_group_4_shape_6_horizontal_lines, 84, 1),
        shape(frame_169_shape_group_4_shape_7_horizontal_lines, 97, 7),
        shape(frame_169_shape_group_4_shape_8_horizontal_lines, 148, 7),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(139, 146),
        horizontal_line(139, 146),
        horizontal_line(139, 147),
        horizontal_line(139, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 149),
        horizontal_line(140, 150),
        horizontal_line(140, 150),
        horizontal_line(141, 151),
        horizontal_line(141, 152),
        horizontal_line(141, 152),
        horizontal_line(142, 153),
        horizontal_line(142, 154),
        horizontal_line(142, 154),
        horizontal_line(142, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(78, 82),
        horizontal_line(78, 84),
        horizontal_line(78, 85),
        horizontal_line(77, 86),
        horizontal_line(77, 88),
        horizontal_line(76, 89),
        horizontal_line(76, 90),
        horizontal_line(76, 91),
        horizontal_line(75, 93),
        horizontal_line(75, 94),
        horizontal_line(74, 95),
        horizontal_line(74, 97),
        horizontal_line(74, 98),
        horizontal_line(73, 99),
        horizontal_line(73, 100),
        horizontal_line(73, 102),
        horizontal_line(72, 103),
        horizontal_line(72, 104),
        horizontal_line(71, 106),
        horizontal_line(71, 107),
        horizontal_line(71, 108),
        horizontal_line(70, 110),
        horizontal_line(70, 111),
        horizontal_line(69, 112),
        horizontal_line(69, 113),
        horizontal_line(69, 115),
        horizontal_line(68, 116),
        horizontal_line(68, 117),
        horizontal_line(130, 136),
        horizontal_line(130, 138),
        horizontal_line(130, 140),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(132, 142),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(144, 149),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(136, 143),
        horizontal_line(140, 143),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(144, 157),
        horizontal_line(144, 152),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(144, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 154),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
        horizontal_line(143, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(119, 129),
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(138, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(56, 113),
        horizontal_line(55, 105),
        horizontal_line(55, 98),
        horizontal_line(54, 90),
        horizontal_line(54, 82),
        horizontal_line(54, 75),
        horizontal_line(53, 67),
        horizontal_line(53, 59),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(169, 201),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(41, 51),
        horizontal_line(113, 116),
        horizontal_line(110, 116),
        horizontal_line(131, 140),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(166, 204),
        horizontal_line(165, 173),
        horizontal_line(165, 172),
        horizontal_line(164, 172),
        horizontal_line(163, 172),
        horizontal_line(163, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(162, 172),
        horizontal_line(163, 172),
        horizontal_line(186, 211),
        horizontal_line(164, 172),
        horizontal_line(165, 171),
        horizontal_line(166, 171),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(168, 171),
        horizontal_line(169, 171),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(171, 171),
        horizontal_line(163, 171),
        horizontal_line(162, 171),
        horizontal_line(161, 171),
        horizontal_line(159, 171),
        horizontal_line(158, 171),
        horizontal_line(157, 171),
        horizontal_line(156, 172),
        horizontal_line(155, 172),
        horizontal_line(154, 172),
        horizontal_line(152, 172),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(150, 173),
        horizontal_line(149, 173),
        horizontal_line(148, 173),
        horizontal_line(147, 173),
        horizontal_line(145, 173),
        horizontal_line(144, 174),
        horizontal_line(143, 174),
        horizontal_line(142, 174),
        horizontal_line(141, 174),
        horizontal_line(140, 174),
        horizontal_line(138, 175),
        horizontal_line(137, 175),
    };

    constexpr const horizontal_line frame_169_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_169_shape_group_5_shapes[] = {
        shape(frame_169_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_169_shape_group_5_shape_1_horizontal_lines, 15, 6),
        shape(frame_169_shape_group_5_shape_2_horizontal_lines, 53, 12),
        shape(frame_169_shape_group_5_shape_3_horizontal_lines, 54, 6),
        shape(frame_169_shape_group_5_shape_4_horizontal_lines, 57, 13),
        shape(frame_169_shape_group_5_shape_5_horizontal_lines, 60, 4),
        shape(frame_169_shape_group_5_shape_6_horizontal_lines, 70, 6),
        shape(frame_169_shape_group_5_shape_7_horizontal_lines, 72, 4),
        shape(frame_169_shape_group_5_shape_8_horizontal_lines, 73, 6),
        shape(frame_169_shape_group_5_shape_9_horizontal_lines, 82, 7),
        shape(frame_169_shape_group_5_shape_10_horizontal_lines, 83, 1),
        shape(frame_169_shape_group_5_shape_11_horizontal_lines, 87, 7),
        shape(frame_169_shape_group_5_shape_12_horizontal_lines, 119, 7),
        shape(frame_169_shape_group_5_shape_13_horizontal_lines, 155, 9),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(79, 80),
        horizontal_line(79, 81),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 131),
        horizontal_line(129, 133),
        horizontal_line(130, 135),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(142, 146),
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(148, 149),
        horizontal_line(144, 150),
        horizontal_line(143, 151),
        horizontal_line(143, 152),
        horizontal_line(143, 153),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(150, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(153, 157),
        horizontal_line(149, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(155, 158),
        horizontal_line(155, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 160),
        horizontal_line(155, 160),
        horizontal_line(155, 161),
        horizontal_line(155, 161),
        horizontal_line(156, 162),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(140, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(119, 129),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(156, 164),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(128, 132),
        horizontal_line(127, 130),
        horizontal_line(126, 128),
        horizontal_line(125, 127),
        horizontal_line(124, 125),
        horizontal_line(122, 123),
        horizontal_line(121, 122),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(158, 168),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(141, 168),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(115, 116),
        horizontal_line(135, 135),
        horizontal_line(133, 137),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(166, 203),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(144, 165),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(175, 205),
        horizontal_line(176, 205),
        horizontal_line(177, 206),
        horizontal_line(178, 207),
        horizontal_line(179, 208),
        horizontal_line(181, 208),
        horizontal_line(182, 209),
        horizontal_line(183, 210),
        horizontal_line(184, 210),
    };

    constexpr const horizontal_line frame_169_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(187, 212),
        horizontal_line(188, 212),
        horizontal_line(189, 213),
        horizontal_line(190, 214),
        horizontal_line(192, 214),
        horizontal_line(193, 215),
        horizontal_line(194, 216),
        horizontal_line(195, 216),
        horizontal_line(197, 217),
        horizontal_line(198, 218),
    };

    constexpr const shape frame_169_shape_group_6_shapes[] = {
        shape(frame_169_shape_group_6_shape_0_horizontal_lines, 13, 6),
        shape(frame_169_shape_group_6_shape_1_horizontal_lines, 38, 12),
        shape(frame_169_shape_group_6_shape_2_horizontal_lines, 39, 6),
        shape(frame_169_shape_group_6_shape_3_horizontal_lines, 43, 10),
        shape(frame_169_shape_group_6_shape_4_horizontal_lines, 45, 12),
        shape(frame_169_shape_group_6_shape_5_horizontal_lines, 50, 6),
        shape(frame_169_shape_group_6_shape_6_horizontal_lines, 53, 14),
        shape(frame_169_shape_group_6_shape_7_horizontal_lines, 54, 6),
        shape(frame_169_shape_group_6_shape_8_horizontal_lines, 58, 2),
        shape(frame_169_shape_group_6_shape_9_horizontal_lines, 60, 5),
        shape(frame_169_shape_group_6_shape_10_horizontal_lines, 70, 4),
        shape(frame_169_shape_group_6_shape_11_horizontal_lines, 71, 6),
        shape(frame_169_shape_group_6_shape_12_horizontal_lines, 72, 5),
        shape(frame_169_shape_group_6_shape_13_horizontal_lines, 73, 6),
        shape(frame_169_shape_group_6_shape_14_horizontal_lines, 81, 15),
        shape(frame_169_shape_group_6_shape_15_horizontal_lines, 82, 4),
        shape(frame_169_shape_group_6_shape_16_horizontal_lines, 83, 1),
        shape(frame_169_shape_group_6_shape_17_horizontal_lines, 86, 7),
        shape(frame_169_shape_group_6_shape_18_horizontal_lines, 87, 10),
        shape(frame_169_shape_group_6_shape_19_horizontal_lines, 88, 7),
        shape(frame_169_shape_group_6_shape_20_horizontal_lines, 98, 7),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(142, 147),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(143, 153),
        horizontal_line(144, 154),
        horizontal_line(144, 153),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(144, 152),
        horizontal_line(145, 148),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(156, 158),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(138, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(118, 121),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(139, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 156),
        horizontal_line(140, 157),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(168, 201),
        horizontal_line(168, 202),
        horizontal_line(167, 203),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(152, 165),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(146, 164),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(149, 164),
        horizontal_line(152, 163),
        horizontal_line(154, 162),
        horizontal_line(157, 162),
        horizontal_line(160, 161),
    };

    constexpr const horizontal_line frame_169_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(164, 166),
    };

    constexpr const shape frame_169_shape_group_7_shapes[] = {
        shape(frame_169_shape_group_7_shape_0_horizontal_lines, 39, 12),
        shape(frame_169_shape_group_7_shape_1_horizontal_lines, 40, 10),
        shape(frame_169_shape_group_7_shape_2_horizontal_lines, 45, 10),
        shape(frame_169_shape_group_7_shape_3_horizontal_lines, 50, 12),
        shape(frame_169_shape_group_7_shape_4_horizontal_lines, 54, 12),
        shape(frame_169_shape_group_7_shape_5_horizontal_lines, 55, 14),
        shape(frame_169_shape_group_7_shape_6_horizontal_lines, 59, 15),
        shape(frame_169_shape_group_7_shape_7_horizontal_lines, 70, 5),
        shape(frame_169_shape_group_7_shape_8_horizontal_lines, 71, 4),
        shape(frame_169_shape_group_7_shape_9_horizontal_lines, 73, 6),
        shape(frame_169_shape_group_7_shape_10_horizontal_lines, 74, 4),
        shape(frame_169_shape_group_7_shape_11_horizontal_lines, 83, 7),
        shape(frame_169_shape_group_7_shape_12_horizontal_lines, 86, 10),
        shape(frame_169_shape_group_7_shape_13_horizontal_lines, 88, 10),
        shape(frame_169_shape_group_7_shape_14_horizontal_lines, 89, 5),
        shape(frame_169_shape_group_7_shape_15_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(145, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(153, 156),
        horizontal_line(149, 156),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(156, 164),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(139, 155),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(157, 165),
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(157, 167),
        horizontal_line(157, 167),
        horizontal_line(157, 168),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(162, 165),
    };

    constexpr const horizontal_line frame_169_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(141, 167),
        horizontal_line(141, 167),
        horizontal_line(141, 166),
        horizontal_line(141, 151),
    };

    constexpr const shape frame_169_shape_group_8_shapes[] = {
        shape(frame_169_shape_group_8_shape_0_horizontal_lines, 52, 14),
        shape(frame_169_shape_group_8_shape_1_horizontal_lines, 54, 14),
        shape(frame_169_shape_group_8_shape_2_horizontal_lines, 55, 13),
        shape(frame_169_shape_group_8_shape_3_horizontal_lines, 71, 5),
        shape(frame_169_shape_group_8_shape_4_horizontal_lines, 73, 4),
        shape(frame_169_shape_group_8_shape_5_horizontal_lines, 74, 5),
        shape(frame_169_shape_group_8_shape_6_horizontal_lines, 80, 4),
        shape(frame_169_shape_group_8_shape_7_horizontal_lines, 83, 4),
    };

    constexpr const horizontal_line frame_169_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(156, 165),
    };

    constexpr const horizontal_line frame_169_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(157, 161),
    };

    constexpr const horizontal_line frame_169_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const shape frame_169_shape_group_9_shapes[] = {
        shape(frame_169_shape_group_9_shape_0_horizontal_lines, 73, 5),
        shape(frame_169_shape_group_9_shape_1_horizontal_lines, 80, 5),
        shape(frame_169_shape_group_9_shape_2_horizontal_lines, 83, 5),
    };

    constexpr const horizontal_line frame_169_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(166, 168),
    };

    constexpr const shape frame_169_shape_group_10_shapes[] = {
        shape(frame_169_shape_group_10_shape_0_horizontal_lines, 80, 5),
    };

    constexpr const shape_group frame_169_shape_groups[] = {
        shape_group(frame_169_shape_group_0_shapes),
        shape_group(frame_169_shape_group_1_shapes),
        shape_group(frame_169_shape_group_2_shapes),
        shape_group(frame_169_shape_group_3_shapes),
        shape_group(frame_169_shape_group_4_shapes),
        shape_group(frame_169_shape_group_5_shapes),
        shape_group(frame_169_shape_group_6_shapes),
        shape_group(frame_169_shape_group_7_shapes),
        shape_group(frame_169_shape_group_8_shapes),
        shape_group(frame_169_shape_group_9_shapes),
        shape_group(frame_169_shape_group_10_shapes),
    };

    constexpr const frame frame_169_impl(frame_169_colors, frame_169_shape_groups);
} 

const frame& frame_169()
{
    return frame_169_impl;
}

namespace
{
    constexpr const bn::color frame_170_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_170_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 56),
        horizontal_line(0, 49),
        horizontal_line(0, 42),
        horizontal_line(0, 35),
        horizontal_line(0, 28),
        horizontal_line(0, 21),
        horizontal_line(0, 14),
        horizontal_line(0, 7),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_170_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(94, 105),
        horizontal_line(92, 105),
    };

    constexpr const horizontal_line frame_170_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(175, 177),
        horizontal_line(175, 178),
        horizontal_line(175, 179),
        horizontal_line(175, 181),
        horizontal_line(175, 182),
        horizontal_line(175, 183),
        horizontal_line(175, 185),
        horizontal_line(175, 186),
        horizontal_line(174, 187),
        horizontal_line(174, 188),
        horizontal_line(174, 190),
        horizontal_line(174, 191),
        horizontal_line(174, 192),
        horizontal_line(174, 194),
        horizontal_line(174, 195),
        horizontal_line(174, 196),
        horizontal_line(173, 197),
        horizontal_line(173, 199),
        horizontal_line(173, 200),
        horizontal_line(173, 201),
        horizontal_line(173, 203),
        horizontal_line(173, 204),
        horizontal_line(173, 205),
        horizontal_line(173, 206),
        horizontal_line(174, 208),
        horizontal_line(174, 209),
        horizontal_line(174, 210),
        horizontal_line(174, 212),
        horizontal_line(175, 213),
        horizontal_line(175, 214),
        horizontal_line(175, 215),
        horizontal_line(176, 217),
        horizontal_line(176, 218),
        horizontal_line(176, 219),
        horizontal_line(177, 221),
        horizontal_line(177, 222),
        horizontal_line(177, 223),
        horizontal_line(178, 224),
        horizontal_line(178, 226),
        horizontal_line(178, 227),
        horizontal_line(179, 228),
        horizontal_line(179, 230),
        horizontal_line(179, 231),
        horizontal_line(180, 232),
        horizontal_line(180, 233),
        horizontal_line(180, 235),
        horizontal_line(180, 236),
        horizontal_line(181, 237),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
    };

    constexpr const shape frame_170_shape_group_0_shapes[] = {
        shape(frame_170_shape_group_0_shape_0_horizontal_lines, 0, 6),
        shape(frame_170_shape_group_0_shape_1_horizontal_lines, 91, 1),
        shape(frame_170_shape_group_0_shape_2_horizontal_lines, 93, 8),
    };

    constexpr const horizontal_line frame_170_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(121, 121),
        horizontal_line(121, 122),
        horizontal_line(121, 124),
        horizontal_line(122, 125),
        horizontal_line(122, 126),
        horizontal_line(122, 128),
        horizontal_line(122, 129),
        horizontal_line(123, 130),
        horizontal_line(123, 132),
        horizontal_line(123, 133),
        horizontal_line(124, 134),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(124, 136),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(125, 137),
        horizontal_line(62, 124),
        horizontal_line(128, 138),
        horizontal_line(131, 138),
        horizontal_line(134, 139),
        horizontal_line(137, 139),
        horizontal_line(140, 140),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 123),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 122),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(132, 134),
        horizontal_line(127, 131),
        horizontal_line(62, 124),
        horizontal_line(120, 126),
        horizontal_line(119, 124),
        horizontal_line(118, 123),
        horizontal_line(117, 121),
        horizontal_line(116, 119),
        horizontal_line(115, 118),
        horizontal_line(114, 116),
        horizontal_line(113, 115),
        horizontal_line(112, 113),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_170_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_170_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(104, 106),
        horizontal_line(102, 106),
        horizontal_line(99, 106),
        horizontal_line(97, 105),
        horizontal_line(122, 139),
        horizontal_line(120, 142),
        horizontal_line(89, 105),
        horizontal_line(87, 104),
        horizontal_line(85, 104),
        horizontal_line(82, 104),
        horizontal_line(80, 104),
        horizontal_line(77, 103),
        horizontal_line(75, 103),
        horizontal_line(72, 103),
        horizontal_line(70, 103),
        horizontal_line(68, 102),
        horizontal_line(65, 102),
        horizontal_line(63, 125),
        horizontal_line(60, 101),
        horizontal_line(58, 99),
        horizontal_line(55, 98),
        horizontal_line(53, 97),
        horizontal_line(51, 96),
        horizontal_line(48, 95),
        horizontal_line(46, 94),
        horizontal_line(43, 93),
        horizontal_line(41, 91),
        horizontal_line(38, 90),
        horizontal_line(36, 89),
        horizontal_line(34, 88),
        horizontal_line(31, 87),
        horizontal_line(29, 86),
        horizontal_line(26, 85),
        horizontal_line(24, 84),
        horizontal_line(21, 82),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
    };

    constexpr const shape frame_170_shape_group_1_shapes[] = {
        shape(frame_170_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_170_shape_group_1_shape_1_horizontal_lines, 85, 9),
        shape(frame_170_shape_group_1_shape_2_horizontal_lines, 86, 1),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(67, 81),
        horizontal_line(68, 82),
        horizontal_line(69, 83),
        horizontal_line(70, 84),
        horizontal_line(71, 85),
        horizontal_line(72, 87),
        horizontal_line(74, 88),
        horizontal_line(75, 89),
        horizontal_line(76, 90),
        horizontal_line(77, 91),
        horizontal_line(78, 93),
        horizontal_line(79, 94),
        horizontal_line(81, 95),
        horizontal_line(82, 96),
        horizontal_line(83, 98),
        horizontal_line(84, 99),
        horizontal_line(85, 100),
        horizontal_line(87, 101),
        horizontal_line(88, 102),
        horizontal_line(89, 104),
        horizontal_line(90, 105),
        horizontal_line(91, 106),
        horizontal_line(92, 107),
        horizontal_line(94, 109),
        horizontal_line(95, 110),
        horizontal_line(96, 111),
        horizontal_line(97, 112),
        horizontal_line(98, 113),
        horizontal_line(100, 115),
        horizontal_line(101, 116),
        horizontal_line(102, 117),
        horizontal_line(103, 118),
        horizontal_line(104, 120),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 104),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 112),
        horizontal_line(62, 113),
        horizontal_line(62, 114),
        horizontal_line(62, 115),
        horizontal_line(62, 116),
        horizontal_line(62, 117),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(62, 121),
        horizontal_line(62, 122),
        horizontal_line(62, 123),
        horizontal_line(124, 138),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 137),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 121),
        horizontal_line(62, 121),
        horizontal_line(124, 128),
        horizontal_line(62, 113),
        horizontal_line(62, 106),
        horizontal_line(62, 99),
        horizontal_line(62, 92),
        horizontal_line(62, 85),
        horizontal_line(62, 78),
        horizontal_line(62, 71),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(154, 167),
        horizontal_line(151, 166),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(135, 165),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(128, 128),
        horizontal_line(126, 130),
        horizontal_line(125, 133),
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(140, 157),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(119, 144),
        horizontal_line(117, 147),
        horizontal_line(116, 150),
        horizontal_line(115, 153),
        horizontal_line(113, 156),
        horizontal_line(112, 158),
        horizontal_line(110, 158),
        horizontal_line(109, 159),
        horizontal_line(107, 160),
        horizontal_line(106, 160),
        horizontal_line(104, 161),
        horizontal_line(125, 162),
        horizontal_line(103, 162),
        horizontal_line(108, 163),
        horizontal_line(113, 164),
        horizontal_line(119, 165),
        horizontal_line(124, 165),
        horizontal_line(130, 166),
        horizontal_line(135, 167),
        horizontal_line(141, 167),
        horizontal_line(146, 168),
        horizontal_line(152, 169),
        horizontal_line(157, 169),
        horizontal_line(163, 170),
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_170_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(81, 81),
        horizontal_line(79, 80),
        horizontal_line(76, 79),
        horizontal_line(74, 78),
        horizontal_line(71, 77),
        horizontal_line(69, 76),
        horizontal_line(66, 75),
        horizontal_line(64, 73),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_170_shape_group_2_shapes[] = {
        shape(frame_170_shape_group_2_shape_0_horizontal_lines, 0, 11),
        shape(frame_170_shape_group_2_shape_1_horizontal_lines, 33, 6),
        shape(frame_170_shape_group_2_shape_2_horizontal_lines, 56, 11),
        shape(frame_170_shape_group_2_shape_3_horizontal_lines, 71, 6),
        shape(frame_170_shape_group_2_shape_4_horizontal_lines, 82, 15),
        shape(frame_170_shape_group_2_shape_5_horizontal_lines, 84, 9),
        shape(frame_170_shape_group_2_shape_6_horizontal_lines, 85, 4),
        shape(frame_170_shape_group_2_shape_7_horizontal_lines, 86, 9),
        shape(frame_170_shape_group_2_shape_8_horizontal_lines, 87, 1),
        shape(frame_170_shape_group_2_shape_9_horizontal_lines, 91, 10),
        shape(frame_170_shape_group_2_shape_10_horizontal_lines, 92, 3),
        shape(frame_170_shape_group_2_shape_11_horizontal_lines, 93, 1),
        shape(frame_170_shape_group_2_shape_12_horizontal_lines, 118, 3),
        shape(frame_170_shape_group_2_shape_13_horizontal_lines, 122, 1),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(83, 86),
        horizontal_line(84, 90),
        horizontal_line(85, 95),
        horizontal_line(86, 99),
        horizontal_line(88, 103),
        horizontal_line(89, 108),
        horizontal_line(90, 112),
        horizontal_line(91, 117),
        horizontal_line(92, 118),
        horizontal_line(94, 118),
        horizontal_line(95, 119),
        horizontal_line(96, 120),
        horizontal_line(97, 121),
        horizontal_line(99, 121),
        horizontal_line(100, 122),
        horizontal_line(101, 123),
        horizontal_line(102, 124),
        horizontal_line(103, 125),
        horizontal_line(105, 126),
        horizontal_line(106, 127),
        horizontal_line(107, 128),
        horizontal_line(108, 129),
        horizontal_line(110, 130),
        horizontal_line(111, 131),
        horizontal_line(112, 132),
        horizontal_line(113, 133),
        horizontal_line(114, 134),
        horizontal_line(116, 135),
        horizontal_line(117, 136),
        horizontal_line(118, 131),
        horizontal_line(119, 132),
        horizontal_line(121, 132),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(105, 120),
        horizontal_line(107, 120),
        horizontal_line(108, 120),
        horizontal_line(109, 121),
        horizontal_line(110, 121),
        horizontal_line(111, 121),
        horizontal_line(113, 121),
        horizontal_line(114, 122),
        horizontal_line(115, 122),
        horizontal_line(116, 122),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(120, 123),
        horizontal_line(121, 123),
        horizontal_line(122, 124),
        horizontal_line(123, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(155, 156),
        horizontal_line(156, 156),
        horizontal_line(157, 157),
        horizontal_line(157, 157),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(162, 162),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(151, 162),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(122, 131),
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(166, 166),
        horizontal_line(166, 166),
        horizontal_line(167, 167),
        horizontal_line(167, 167),
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(166, 168),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(129, 133),
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(135, 166),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(36, 98),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(135, 165),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(130, 134),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(157, 163),
        horizontal_line(144, 163),
        horizontal_line(137, 162),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(106, 119),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 59),
        horizontal_line(0, 57),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_170_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const shape frame_170_shape_group_3_shapes[] = {
        shape(frame_170_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_170_shape_group_3_shape_1_horizontal_lines, 33, 11),
        shape(frame_170_shape_group_3_shape_2_horizontal_lines, 50, 1),
        shape(frame_170_shape_group_3_shape_3_horizontal_lines, 51, 6),
        shape(frame_170_shape_group_3_shape_4_horizontal_lines, 56, 1),
        shape(frame_170_shape_group_3_shape_5_horizontal_lines, 70, 9),
        shape(frame_170_shape_group_3_shape_6_horizontal_lines, 71, 11),
        shape(frame_170_shape_group_3_shape_7_horizontal_lines, 73, 1),
        shape(frame_170_shape_group_3_shape_8_horizontal_lines, 74, 9),
        shape(frame_170_shape_group_3_shape_9_horizontal_lines, 75, 1),
        shape(frame_170_shape_group_3_shape_10_horizontal_lines, 81, 15),
        shape(frame_170_shape_group_3_shape_11_horizontal_lines, 82, 9),
        shape(frame_170_shape_group_3_shape_12_horizontal_lines, 84, 4),
        shape(frame_170_shape_group_3_shape_13_horizontal_lines, 85, 3),
        shape(frame_170_shape_group_3_shape_14_horizontal_lines, 86, 4),
        shape(frame_170_shape_group_3_shape_15_horizontal_lines, 87, 9),
        shape(frame_170_shape_group_3_shape_16_horizontal_lines, 88, 10),
        shape(frame_170_shape_group_3_shape_17_horizontal_lines, 91, 3),
        shape(frame_170_shape_group_3_shape_18_horizontal_lines, 122, 3),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(83, 111),
        horizontal_line(87, 111),
        horizontal_line(91, 112),
        horizontal_line(96, 113),
        horizontal_line(100, 114),
        horizontal_line(104, 114),
        horizontal_line(109, 115),
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(118, 142),
        horizontal_line(119, 142),
        horizontal_line(119, 142),
        horizontal_line(120, 142),
        horizontal_line(121, 142),
        horizontal_line(122, 142),
        horizontal_line(122, 142),
        horizontal_line(123, 142),
        horizontal_line(124, 143),
        horizontal_line(125, 143),
        horizontal_line(126, 143),
        horizontal_line(127, 143),
        horizontal_line(128, 143),
        horizontal_line(129, 143),
        horizontal_line(130, 143),
        horizontal_line(131, 144),
        horizontal_line(132, 144),
        horizontal_line(133, 144),
        horizontal_line(134, 144),
        horizontal_line(135, 144),
        horizontal_line(136, 144),
        horizontal_line(137, 144),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(133, 137),
        horizontal_line(134, 138),
        horizontal_line(134, 139),
        horizontal_line(122, 132),
        horizontal_line(123, 133),
        horizontal_line(125, 133),
        horizontal_line(126, 133),
        horizontal_line(127, 133),
        horizontal_line(129, 134),
        horizontal_line(130, 134),
        horizontal_line(131, 134),
        horizontal_line(133, 135),
        horizontal_line(134, 135),
        horizontal_line(135, 135),
        horizontal_line(147, 149),
        horizontal_line(148, 149),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(151, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(125, 130),
        horizontal_line(125, 133),
        horizontal_line(125, 136),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(140, 154),
        horizontal_line(140, 152),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(150, 156),
        horizontal_line(150, 157),
        horizontal_line(150, 157),
        horizontal_line(150, 158),
        horizontal_line(150, 158),
        horizontal_line(151, 159),
        horizontal_line(151, 159),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(151, 161),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(152, 163),
        horizontal_line(129, 131),
        horizontal_line(152, 164),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(134, 152),
        horizontal_line(134, 150),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(43, 105),
        horizontal_line(98, 128),
        horizontal_line(29, 91),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(150, 164),
        horizontal_line(131, 133),
        horizontal_line(134, 143),
    };

    constexpr const horizontal_line frame_170_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(106, 121),
        horizontal_line(62, 91),
        horizontal_line(106, 118),
        horizontal_line(105, 116),
        horizontal_line(105, 115),
        horizontal_line(105, 114),
        horizontal_line(105, 112),
        horizontal_line(104, 111),
        horizontal_line(104, 109),
        horizontal_line(104, 108),
        horizontal_line(104, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 103),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_170_shape_group_4_shapes[] = {
        shape(frame_170_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_170_shape_group_4_shape_1_horizontal_lines, 8, 1),
        shape(frame_170_shape_group_4_shape_2_horizontal_lines, 30, 8),
        shape(frame_170_shape_group_4_shape_3_horizontal_lines, 47, 1),
        shape(frame_170_shape_group_4_shape_4_horizontal_lines, 50, 12),
        shape(frame_170_shape_group_4_shape_5_horizontal_lines, 51, 11),
        shape(frame_170_shape_group_4_shape_6_horizontal_lines, 56, 13),
        shape(frame_170_shape_group_4_shape_7_horizontal_lines, 58, 12),
        shape(frame_170_shape_group_4_shape_8_horizontal_lines, 59, 13),
        shape(frame_170_shape_group_4_shape_9_horizontal_lines, 60, 9),
        shape(frame_170_shape_group_4_shape_10_horizontal_lines, 70, 4),
        shape(frame_170_shape_group_4_shape_11_horizontal_lines, 71, 1),
        shape(frame_170_shape_group_4_shape_12_horizontal_lines, 72, 9),
        shape(frame_170_shape_group_4_shape_13_horizontal_lines, 82, 4),
        shape(frame_170_shape_group_4_shape_14_horizontal_lines, 84, 3),
        shape(frame_170_shape_group_4_shape_15_horizontal_lines, 87, 9),
        shape(frame_170_shape_group_4_shape_16_horizontal_lines, 90, 3),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(112, 141),
        horizontal_line(112, 141),
        horizontal_line(113, 141),
        horizontal_line(114, 141),
        horizontal_line(115, 141),
        horizontal_line(115, 141),
        horizontal_line(116, 141),
        horizontal_line(117, 141),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(138, 144),
        horizontal_line(139, 145),
        horizontal_line(140, 145),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(136, 141),
        horizontal_line(137, 142),
        horizontal_line(138, 143),
        horizontal_line(139, 144),
        horizontal_line(140, 146),
        horizontal_line(141, 146),
        horizontal_line(143, 147),
        horizontal_line(144, 147),
        horizontal_line(145, 148),
        horizontal_line(146, 148),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(137, 146),
        horizontal_line(137, 147),
        horizontal_line(137, 149),
        horizontal_line(138, 149),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(153, 153),
        horizontal_line(153, 153),
        horizontal_line(154, 154),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(140, 147),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(144, 150),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(140, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
        horizontal_line(139, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(152, 162),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(132, 151),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(152, 163),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(133, 151),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(152, 164),
        horizontal_line(152, 165),
        horizontal_line(153, 165),
        horizontal_line(153, 166),
        horizontal_line(153, 165),
        horizontal_line(153, 161),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(57, 111),
        horizontal_line(50, 110),
        horizontal_line(111, 128),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(108, 128),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(135, 149),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(135, 156),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(8, 70),
        horizontal_line(106, 122),
        horizontal_line(62, 93),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(143, 161),
    };

    constexpr const horizontal_line frame_170_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 86),
        horizontal_line(62, 84),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 64),
    };

    constexpr const shape frame_170_shape_group_5_shapes[] = {
        shape(frame_170_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_170_shape_group_5_shape_1_horizontal_lines, 30, 1),
        shape(frame_170_shape_group_5_shape_2_horizontal_lines, 33, 8),
        shape(frame_170_shape_group_5_shape_3_horizontal_lines, 44, 12),
        shape(frame_170_shape_group_5_shape_4_horizontal_lines, 51, 1),
        shape(frame_170_shape_group_5_shape_5_horizontal_lines, 57, 2),
        shape(frame_170_shape_group_5_shape_6_horizontal_lines, 58, 13),
        shape(frame_170_shape_group_5_shape_7_horizontal_lines, 59, 2),
        shape(frame_170_shape_group_5_shape_8_horizontal_lines, 60, 4),
        shape(frame_170_shape_group_5_shape_9_horizontal_lines, 71, 9),
        shape(frame_170_shape_group_5_shape_10_horizontal_lines, 72, 4),
        shape(frame_170_shape_group_5_shape_11_horizontal_lines, 73, 9),
        shape(frame_170_shape_group_5_shape_12_horizontal_lines, 74, 4),
        shape(frame_170_shape_group_5_shape_13_horizontal_lines, 75, 9),
        shape(frame_170_shape_group_5_shape_14_horizontal_lines, 82, 3),
        shape(frame_170_shape_group_5_shape_15_horizontal_lines, 85, 5),
        shape(frame_170_shape_group_5_shape_16_horizontal_lines, 86, 3),
        shape(frame_170_shape_group_5_shape_17_horizontal_lines, 87, 4),
        shape(frame_170_shape_group_5_shape_18_horizontal_lines, 88, 9),
        shape(frame_170_shape_group_5_shape_19_horizontal_lines, 89, 3),
        shape(frame_170_shape_group_5_shape_20_horizontal_lines, 92, 5),
        shape(frame_170_shape_group_5_shape_21_horizontal_lines, 93, 3),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(132, 132),
        horizontal_line(133, 133),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(142, 145),
        horizontal_line(143, 145),
        horizontal_line(144, 145),
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(135, 139),
        horizontal_line(135, 140),
        horizontal_line(135, 142),
        horizontal_line(136, 143),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(139, 150),
        horizontal_line(139, 146),
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(140, 148),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(148, 154),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(151, 154),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(135, 151),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(132, 151),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(114, 119),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(133, 151),
        horizontal_line(133, 151),
        horizontal_line(133, 152),
        horizontal_line(133, 152),
        horizontal_line(134, 152),
        horizontal_line(134, 152),
        horizontal_line(134, 152),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(114, 128),
        horizontal_line(112, 128),
        horizontal_line(105, 109),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(91, 106),
        horizontal_line(22, 84),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(107, 124),
        horizontal_line(63, 96),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_170_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(145, 160),
        horizontal_line(148, 160),
        horizontal_line(151, 159),
        horizontal_line(154, 159),
        horizontal_line(157, 158),
    };

    constexpr const shape frame_170_shape_group_6_shapes[] = {
        shape(frame_170_shape_group_6_shape_0_horizontal_lines, 30, 12),
        shape(frame_170_shape_group_6_shape_1_horizontal_lines, 33, 1),
        shape(frame_170_shape_group_6_shape_2_horizontal_lines, 38, 10),
        shape(frame_170_shape_group_6_shape_3_horizontal_lines, 42, 12),
        shape(frame_170_shape_group_6_shape_4_horizontal_lines, 51, 12),
        shape(frame_170_shape_group_6_shape_5_horizontal_lines, 54, 14),
        shape(frame_170_shape_group_6_shape_6_horizontal_lines, 58, 2),
        shape(frame_170_shape_group_6_shape_7_horizontal_lines, 59, 15),
        shape(frame_170_shape_group_6_shape_8_horizontal_lines, 71, 4),
        shape(frame_170_shape_group_6_shape_9_horizontal_lines, 73, 4),
        shape(frame_170_shape_group_6_shape_10_horizontal_lines, 74, 3),
        shape(frame_170_shape_group_6_shape_11_horizontal_lines, 75, 4),
        shape(frame_170_shape_group_6_shape_12_horizontal_lines, 82, 3),
        shape(frame_170_shape_group_6_shape_13_horizontal_lines, 86, 3),
        shape(frame_170_shape_group_6_shape_14_horizontal_lines, 88, 4),
        shape(frame_170_shape_group_6_shape_15_horizontal_lines, 89, 3),
        shape(frame_170_shape_group_6_shape_16_horizontal_lines, 91, 5),
        shape(frame_170_shape_group_6_shape_17_horizontal_lines, 93, 5),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(133, 134),
        horizontal_line(134, 135),
        horizontal_line(134, 136),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(136, 143),
        horizontal_line(136, 138),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(147, 152),
        horizontal_line(142, 152),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(149, 153),
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(107, 118),
        horizontal_line(100, 117),
        horizontal_line(93, 116),
        horizontal_line(86, 115),
        horizontal_line(79, 114),
        horizontal_line(72, 113),
        horizontal_line(65, 112),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_170_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(107, 127),
        horizontal_line(15, 77),
        horizontal_line(70, 98),
    };

    constexpr const shape frame_170_shape_group_7_shapes[] = {
        shape(frame_170_shape_group_7_shape_0_horizontal_lines, 33, 12),
        shape(frame_170_shape_group_7_shape_1_horizontal_lines, 37, 10),
        shape(frame_170_shape_group_7_shape_2_horizontal_lines, 42, 10),
        shape(frame_170_shape_group_7_shape_3_horizontal_lines, 51, 14),
        shape(frame_170_shape_group_7_shape_4_horizontal_lines, 54, 13),
        shape(frame_170_shape_group_7_shape_5_horizontal_lines, 59, 9),
        shape(frame_170_shape_group_7_shape_6_horizontal_lines, 74, 3),
        shape(frame_170_shape_group_7_shape_7_horizontal_lines, 82, 5),
        shape(frame_170_shape_group_7_shape_8_horizontal_lines, 84, 5),
        shape(frame_170_shape_group_7_shape_9_horizontal_lines, 86, 5),
        shape(frame_170_shape_group_7_shape_10_horizontal_lines, 87, 3),
    };

    constexpr const horizontal_line frame_170_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_170_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(124, 128),
        horizontal_line(122, 128),
        horizontal_line(120, 128),
        horizontal_line(119, 128),
        horizontal_line(117, 128),
        horizontal_line(116, 128),
    };

    constexpr const horizontal_line frame_170_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(84, 103),
        horizontal_line(107, 125),
    };

    constexpr const shape frame_170_shape_group_8_shapes[] = {
        shape(frame_170_shape_group_8_shape_0_horizontal_lines, 36, 10),
        shape(frame_170_shape_group_8_shape_1_horizontal_lines, 75, 3),
        shape(frame_170_shape_group_8_shape_2_horizontal_lines, 87, 3),
    };

    constexpr const horizontal_line frame_170_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(166, 166),
        horizontal_line(162, 167),
        horizontal_line(157, 165),
    };

    constexpr const horizontal_line frame_170_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_170_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(77, 101),
    };

    constexpr const shape frame_170_shape_group_9_shapes[] = {
        shape(frame_170_shape_group_9_shape_0_horizontal_lines, 79, 5),
        shape(frame_170_shape_group_9_shape_1_horizontal_lines, 87, 5),
        shape(frame_170_shape_group_9_shape_2_horizontal_lines, 88, 3),
    };

    constexpr const shape_group frame_170_shape_groups[] = {
        shape_group(frame_170_shape_group_0_shapes),
        shape_group(frame_170_shape_group_1_shapes),
        shape_group(frame_170_shape_group_2_shapes),
        shape_group(frame_170_shape_group_3_shapes),
        shape_group(frame_170_shape_group_4_shapes),
        shape_group(frame_170_shape_group_5_shapes),
        shape_group(frame_170_shape_group_6_shapes),
        shape_group(frame_170_shape_group_7_shapes),
        shape_group(frame_170_shape_group_8_shapes),
        shape_group(frame_170_shape_group_9_shapes),
    };

    constexpr const frame frame_170_impl(frame_170_colors, frame_170_shape_groups);
} 

const frame& frame_170()
{
    return frame_170_impl;
}

namespace
{
    constexpr const bn::color frame_171_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(0, 8, 16),
    };

    constexpr const horizontal_line frame_171_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 54),
        horizontal_line(0, 46),
        horizontal_line(0, 38),
        horizontal_line(0, 30),
        horizontal_line(0, 22),
        horizontal_line(0, 14),
        horizontal_line(0, 6),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_171_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(172, 173),
        horizontal_line(93, 93),
        horizontal_line(90, 92),
        horizontal_line(88, 92),
        horizontal_line(85, 92),
        horizontal_line(83, 92),
        horizontal_line(81, 91),
        horizontal_line(78, 91),
        horizontal_line(76, 91),
        horizontal_line(73, 91),
        horizontal_line(71, 90),
        horizontal_line(69, 90),
    };

    constexpr const horizontal_line frame_171_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(179, 180),
        horizontal_line(179, 181),
        horizontal_line(179, 183),
        horizontal_line(179, 184),
        horizontal_line(179, 185),
        horizontal_line(179, 187),
        horizontal_line(179, 188),
        horizontal_line(179, 189),
        horizontal_line(179, 191),
        horizontal_line(179, 192),
        horizontal_line(178, 193),
        horizontal_line(178, 195),
        horizontal_line(178, 196),
        horizontal_line(178, 197),
        horizontal_line(178, 199),
        horizontal_line(178, 200),
        horizontal_line(178, 201),
        horizontal_line(178, 203),
        horizontal_line(178, 204),
        horizontal_line(178, 205),
        horizontal_line(178, 207),
        horizontal_line(177, 208),
        horizontal_line(177, 209),
        horizontal_line(177, 211),
        horizontal_line(177, 212),
        horizontal_line(177, 213),
        horizontal_line(177, 215),
        horizontal_line(177, 216),
        horizontal_line(177, 217),
        horizontal_line(177, 219),
        horizontal_line(177, 220),
        horizontal_line(177, 221),
        horizontal_line(177, 223),
        horizontal_line(177, 224),
        horizontal_line(178, 225),
        horizontal_line(178, 227),
        horizontal_line(178, 228),
        horizontal_line(179, 229),
        horizontal_line(179, 231),
        horizontal_line(179, 232),
        horizontal_line(180, 233),
        horizontal_line(180, 235),
        horizontal_line(181, 236),
        horizontal_line(181, 238),
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
    };

    constexpr const shape frame_171_shape_group_0_shapes[] = {
        shape(frame_171_shape_group_0_shape_0_horizontal_lines, 0, 6),
        shape(frame_171_shape_group_0_shape_1_horizontal_lines, 89, 1),
        shape(frame_171_shape_group_0_shape_2_horizontal_lines, 101, 8),
    };

    constexpr const horizontal_line frame_171_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 90),
        horizontal_line(109, 109),
        horizontal_line(109, 110),
        horizontal_line(109, 111),
        horizontal_line(110, 112),
        horizontal_line(110, 113),
        horizontal_line(110, 115),
        horizontal_line(110, 116),
        horizontal_line(111, 117),
        horizontal_line(111, 118),
        horizontal_line(111, 119),
        horizontal_line(112, 120),
        horizontal_line(112, 122),
        horizontal_line(112, 123),
        horizontal_line(112, 124),
        horizontal_line(113, 125),
        horizontal_line(113, 126),
        horizontal_line(113, 127),
        horizontal_line(113, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 130),
        horizontal_line(62, 124),
        horizontal_line(116, 130),
        horizontal_line(118, 131),
        horizontal_line(120, 131),
        horizontal_line(122, 132),
        horizontal_line(125, 132),
        horizontal_line(127, 132),
        horizontal_line(129, 133),
        horizontal_line(131, 133),
        horizontal_line(134, 134),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 111),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(126, 128),
        horizontal_line(121, 126),
        horizontal_line(116, 123),
        horizontal_line(111, 121),
        horizontal_line(109, 119),
        horizontal_line(108, 117),
        horizontal_line(107, 115),
        horizontal_line(106, 114),
        horizontal_line(105, 112),
        horizontal_line(104, 110),
        horizontal_line(103, 108),
        horizontal_line(102, 107),
        horizontal_line(101, 105),
        horizontal_line(100, 103),
        horizontal_line(99, 101),
        horizontal_line(98, 100),
        horizontal_line(97, 98),
    };

    constexpr const horizontal_line frame_171_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_171_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(161, 163),
    };

    constexpr const horizontal_line frame_171_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(119, 124),
        horizontal_line(118, 127),
        horizontal_line(116, 130),
        horizontal_line(115, 133),
        horizontal_line(113, 136),
        horizontal_line(112, 139),
        horizontal_line(111, 142),
        horizontal_line(109, 145),
        horizontal_line(108, 148),
        horizontal_line(106, 151),
        horizontal_line(66, 90),
        horizontal_line(64, 90),
        horizontal_line(62, 89),
        horizontal_line(59, 89),
        horizontal_line(57, 89),
        horizontal_line(54, 89),
        horizontal_line(52, 88),
        horizontal_line(50, 88),
        horizontal_line(47, 88),
        horizontal_line(45, 88),
        horizontal_line(42, 87),
        horizontal_line(40, 87),
        horizontal_line(38, 100),
        horizontal_line(35, 86),
        horizontal_line(33, 84),
        horizontal_line(31, 83),
        horizontal_line(28, 82),
        horizontal_line(26, 81),
        horizontal_line(23, 80),
        horizontal_line(21, 79),
        horizontal_line(19, 78),
        horizontal_line(16, 76),
        horizontal_line(14, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
    };

    constexpr const shape frame_171_shape_group_1_shapes[] = {
        shape(frame_171_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_171_shape_group_1_shape_1_horizontal_lines, 88, 1),
        shape(frame_171_shape_group_1_shape_2_horizontal_lines, 89, 10),
        shape(frame_171_shape_group_1_shape_3_horizontal_lines, 90, 1),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(67, 85),
        horizontal_line(68, 86),
        horizontal_line(69, 87),
        horizontal_line(70, 88),
        horizontal_line(71, 89),
        horizontal_line(72, 90),
        horizontal_line(73, 91),
        horizontal_line(74, 92),
        horizontal_line(75, 93),
        horizontal_line(76, 94),
        horizontal_line(77, 95),
        horizontal_line(79, 96),
        horizontal_line(80, 97),
        horizontal_line(81, 98),
        horizontal_line(82, 99),
        horizontal_line(83, 100),
        horizontal_line(84, 101),
        horizontal_line(85, 102),
        horizontal_line(86, 103),
        horizontal_line(87, 104),
        horizontal_line(88, 105),
        horizontal_line(89, 106),
        horizontal_line(91, 108),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 108),
        horizontal_line(62, 109),
        horizontal_line(62, 110),
        horizontal_line(62, 111),
        horizontal_line(62, 112),
        horizontal_line(124, 130),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 113),
        horizontal_line(62, 112),
        horizontal_line(62, 112),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(113, 133),
        horizontal_line(113, 133),
        horizontal_line(113, 133),
        horizontal_line(113, 133),
        horizontal_line(113, 133),
        horizontal_line(113, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 131),
        horizontal_line(112, 131),
        horizontal_line(111, 131),
        horizontal_line(111, 131),
        horizontal_line(111, 131),
        horizontal_line(111, 131),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 110),
        horizontal_line(62, 109),
        horizontal_line(62, 101),
        horizontal_line(62, 93),
        horizontal_line(62, 85),
        horizontal_line(62, 77),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(165, 169),
        horizontal_line(166, 169),
        horizontal_line(168, 170),
        horizontal_line(168, 170),
        horizontal_line(169, 171),
        horizontal_line(170, 171),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(125, 128),
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(174, 174),
        horizontal_line(174, 174),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_171_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(105, 154),
        horizontal_line(104, 157),
        horizontal_line(102, 157),
        horizontal_line(101, 158),
        horizontal_line(99, 158),
        horizontal_line(98, 159),
        horizontal_line(96, 158),
        horizontal_line(95, 157),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(100, 162),
        horizontal_line(88, 150),
        horizontal_line(93, 155),
        horizontal_line(98, 160),
        horizontal_line(103, 165),
        horizontal_line(108, 167),
        horizontal_line(113, 167),
        horizontal_line(118, 168),
        horizontal_line(123, 169),
        horizontal_line(128, 169),
        horizontal_line(133, 170),
        horizontal_line(138, 170),
        horizontal_line(143, 171),
        horizontal_line(148, 172),
        horizontal_line(153, 172),
        horizontal_line(158, 173),
        horizontal_line(163, 174),
        horizontal_line(168, 174),
        horizontal_line(173, 175),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
    };

    constexpr const shape frame_171_shape_group_2_shapes[] = {
        shape(frame_171_shape_group_2_shape_0_horizontal_lines, 0, 11),
        shape(frame_171_shape_group_2_shape_1_horizontal_lines, 23, 6),
        shape(frame_171_shape_group_2_shape_2_horizontal_lines, 54, 11),
        shape(frame_171_shape_group_2_shape_3_horizontal_lines, 71, 6),
        shape(frame_171_shape_group_2_shape_4_horizontal_lines, 80, 1),
        shape(frame_171_shape_group_2_shape_5_horizontal_lines, 88, 9),
        shape(frame_171_shape_group_2_shape_6_horizontal_lines, 90, 1),
        shape(frame_171_shape_group_2_shape_7_horizontal_lines, 94, 10),
        shape(frame_171_shape_group_2_shape_8_horizontal_lines, 95, 3),
        shape(frame_171_shape_group_2_shape_9_horizontal_lines, 101, 1),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(86, 108),
        horizontal_line(87, 109),
        horizontal_line(88, 110),
        horizontal_line(89, 111),
        horizontal_line(90, 112),
        horizontal_line(91, 113),
        horizontal_line(92, 114),
        horizontal_line(93, 117),
        horizontal_line(94, 118),
        horizontal_line(95, 119),
        horizontal_line(96, 121),
        horizontal_line(97, 122),
        horizontal_line(98, 123),
        horizontal_line(99, 124),
        horizontal_line(100, 125),
        horizontal_line(101, 126),
        horizontal_line(102, 128),
        horizontal_line(103, 129),
        horizontal_line(104, 130),
        horizontal_line(105, 131),
        horizontal_line(106, 132),
        horizontal_line(107, 133),
        horizontal_line(109, 135),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(92, 108),
        horizontal_line(93, 108),
        horizontal_line(94, 108),
        horizontal_line(95, 109),
        horizontal_line(96, 109),
        horizontal_line(97, 109),
        horizontal_line(98, 109),
        horizontal_line(99, 110),
        horizontal_line(100, 110),
        horizontal_line(101, 110),
        horizontal_line(103, 111),
        horizontal_line(104, 111),
        horizontal_line(105, 111),
        horizontal_line(106, 111),
        horizontal_line(107, 112),
        horizontal_line(108, 112),
        horizontal_line(109, 112),
        horizontal_line(110, 112),
        horizontal_line(111, 113),
        horizontal_line(112, 113),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(147, 150),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(114, 117),
        horizontal_line(114, 119),
        horizontal_line(114, 121),
        horizontal_line(114, 124),
        horizontal_line(114, 126),
        horizontal_line(114, 128),
        horizontal_line(113, 130),
        horizontal_line(113, 133),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(152, 155),
        horizontal_line(152, 155),
        horizontal_line(153, 156),
        horizontal_line(153, 156),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(158, 161),
        horizontal_line(158, 162),
        horizontal_line(159, 162),
        horizontal_line(159, 163),
        horizontal_line(160, 163),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(111, 125),
        horizontal_line(111, 120),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(162, 166),
        horizontal_line(163, 166),
        horizontal_line(163, 167),
        horizontal_line(164, 167),
        horizontal_line(164, 168),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(149, 166),
        horizontal_line(146, 164),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(125, 128),
        horizontal_line(162, 163),
        horizontal_line(145, 160),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(143, 162),
        horizontal_line(126, 162),
        horizontal_line(128, 161),
        horizontal_line(131, 153),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(92, 112),
        horizontal_line(92, 111),
        horizontal_line(92, 110),
        horizontal_line(92, 108),
        horizontal_line(91, 107),
        horizontal_line(91, 105),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 58),
        horizontal_line(0, 56),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(157, 160),
        horizontal_line(156, 161),
        horizontal_line(154, 162),
        horizontal_line(153, 162),
        horizontal_line(151, 163),
        horizontal_line(162, 163),
        horizontal_line(150, 164),
        horizontal_line(155, 165),
        horizontal_line(160, 165),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_171_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(73, 74),
        horizontal_line(71, 73),
        horizontal_line(69, 72),
        horizontal_line(66, 71),
        horizontal_line(64, 70),
        horizontal_line(62, 69),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
    };

    constexpr const shape frame_171_shape_group_3_shapes[] = {
        shape(frame_171_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_171_shape_group_3_shape_1_horizontal_lines, 23, 11),
        shape(frame_171_shape_group_3_shape_2_horizontal_lines, 44, 1),
        shape(frame_171_shape_group_3_shape_3_horizontal_lines, 45, 11),
        shape(frame_171_shape_group_3_shape_4_horizontal_lines, 54, 1),
        shape(frame_171_shape_group_3_shape_5_horizontal_lines, 71, 11),
        shape(frame_171_shape_group_3_shape_6_horizontal_lines, 74, 1),
        shape(frame_171_shape_group_3_shape_7_horizontal_lines, 80, 9),
        shape(frame_171_shape_group_3_shape_8_horizontal_lines, 83, 15),
        shape(frame_171_shape_group_3_shape_9_horizontal_lines, 85, 9),
        shape(frame_171_shape_group_3_shape_10_horizontal_lines, 90, 10),
        shape(frame_171_shape_group_3_shape_11_horizontal_lines, 94, 3),
        shape(frame_171_shape_group_3_shape_12_horizontal_lines, 107, 1),
        shape(frame_171_shape_group_3_shape_13_horizontal_lines, 118, 3),
        shape(frame_171_shape_group_3_shape_14_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(109, 111),
        horizontal_line(110, 111),
        horizontal_line(111, 112),
        horizontal_line(112, 113),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(118, 141),
        horizontal_line(119, 141),
        horizontal_line(120, 141),
        horizontal_line(122, 141),
        horizontal_line(123, 141),
        horizontal_line(124, 141),
        horizontal_line(125, 141),
        horizontal_line(126, 142),
        horizontal_line(127, 142),
        horizontal_line(129, 142),
        horizontal_line(130, 142),
        horizontal_line(131, 142),
        horizontal_line(132, 142),
        horizontal_line(133, 142),
        horizontal_line(134, 142),
        horizontal_line(136, 142),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(110, 136),
        horizontal_line(111, 137),
        horizontal_line(112, 138),
        horizontal_line(113, 139),
        horizontal_line(114, 140),
        horizontal_line(116, 142),
        horizontal_line(117, 126),
        horizontal_line(118, 126),
        horizontal_line(119, 126),
        horizontal_line(120, 127),
        horizontal_line(121, 127),
        horizontal_line(123, 127),
        horizontal_line(124, 127),
        horizontal_line(125, 128),
        horizontal_line(126, 128),
        horizontal_line(127, 128),
        horizontal_line(128, 128),
        horizontal_line(143, 145),
        horizontal_line(144, 145),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(146, 149),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(131, 146),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(147, 150),
        horizontal_line(148, 151),
        horizontal_line(148, 151),
        horizontal_line(149, 152),
        horizontal_line(149, 152),
        horizontal_line(150, 153),
        horizontal_line(150, 153),
        horizontal_line(151, 154),
        horizontal_line(151, 154),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(141, 147),
        horizontal_line(137, 142),
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(134, 146),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(150, 153),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(133, 138),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(145, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
        horizontal_line(146, 159),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(161, 164),
        horizontal_line(161, 165),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(148, 161),
        horizontal_line(148, 157),
        horizontal_line(148, 152),
        horizontal_line(124, 127),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(129, 165),
        horizontal_line(129, 164),
        horizontal_line(129, 164),
        horizontal_line(129, 161),
        horizontal_line(129, 144),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(93, 114),
        horizontal_line(62, 80),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 72),
        horizontal_line(62, 70),
        horizontal_line(62, 68),
        horizontal_line(91, 104),
        horizontal_line(91, 103),
        horizontal_line(90, 101),
        horizontal_line(90, 100),
        horizontal_line(90, 98),
        horizontal_line(90, 97),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_171_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const shape frame_171_shape_group_4_shapes[] = {
        shape(frame_171_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_171_shape_group_4_shape_1_horizontal_lines, 5, 8),
        shape(frame_171_shape_group_4_shape_2_horizontal_lines, 7, 1),
        shape(frame_171_shape_group_4_shape_3_horizontal_lines, 23, 8),
        shape(frame_171_shape_group_4_shape_4_horizontal_lines, 43, 1),
        shape(frame_171_shape_group_4_shape_5_horizontal_lines, 44, 12),
        shape(frame_171_shape_group_4_shape_6_horizontal_lines, 45, 1),
        shape(frame_171_shape_group_4_shape_7_horizontal_lines, 54, 10),
        shape(frame_171_shape_group_4_shape_8_horizontal_lines, 57, 13),
        shape(frame_171_shape_group_4_shape_9_horizontal_lines, 58, 12),
        shape(frame_171_shape_group_4_shape_10_horizontal_lines, 59, 13),
        shape(frame_171_shape_group_4_shape_11_horizontal_lines, 60, 9),
        shape(frame_171_shape_group_4_shape_12_horizontal_lines, 71, 1),
        shape(frame_171_shape_group_4_shape_13_horizontal_lines, 74, 9),
        shape(frame_171_shape_group_4_shape_14_horizontal_lines, 85, 4),
        shape(frame_171_shape_group_4_shape_15_horizontal_lines, 90, 9),
        shape(frame_171_shape_group_4_shape_16_horizontal_lines, 91, 4),
        shape(frame_171_shape_group_4_shape_17_horizontal_lines, 92, 3),
        shape(frame_171_shape_group_4_shape_18_horizontal_lines, 124, 3),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(112, 141),
        horizontal_line(112, 141),
        horizontal_line(113, 141),
        horizontal_line(114, 141),
        horizontal_line(115, 141),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(137, 142),
        horizontal_line(138, 142),
        horizontal_line(139, 142),
        horizontal_line(140, 142),
        horizontal_line(141, 142),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(128, 142),
        horizontal_line(129, 143),
        horizontal_line(130, 143),
        horizontal_line(131, 143),
        horizontal_line(133, 144),
        horizontal_line(134, 144),
        horizontal_line(136, 144),
        horizontal_line(137, 144),
        horizontal_line(138, 144),
        horizontal_line(140, 145),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(146, 148),
        horizontal_line(147, 149),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(131, 145),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(131, 146),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 144),
        horizontal_line(134, 140),
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(145, 150),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(134, 140),
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(138, 151),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(134, 142),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(147, 159),
        horizontal_line(147, 160),
        horizontal_line(124, 126),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 162),
        horizontal_line(148, 162),
        horizontal_line(148, 163),
        horizontal_line(148, 163),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(128, 147),
        horizontal_line(128, 147),
        horizontal_line(128, 147),
        horizontal_line(128, 148),
        horizontal_line(129, 145),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(23, 85),
        horizontal_line(15, 77),
        horizontal_line(7, 69),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(129, 142),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(93, 117),
        horizontal_line(93, 115),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(137, 160),
        horizontal_line(140, 159),
        horizontal_line(143, 159),
        horizontal_line(146, 158),
        horizontal_line(149, 158),
        horizontal_line(152, 157),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_171_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(89, 95),
        horizontal_line(89, 94),
        horizontal_line(89, 93),
        horizontal_line(89, 91),
        horizontal_line(88, 90),
        horizontal_line(88, 88),
    };

    constexpr const shape frame_171_shape_group_5_shapes[] = {
        shape(frame_171_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_171_shape_group_5_shape_1_horizontal_lines, 5, 7),
        shape(frame_171_shape_group_5_shape_2_horizontal_lines, 23, 1),
        shape(frame_171_shape_group_5_shape_3_horizontal_lines, 29, 8),
        shape(frame_171_shape_group_5_shape_4_horizontal_lines, 40, 1),
        shape(frame_171_shape_group_5_shape_5_horizontal_lines, 43, 12),
        shape(frame_171_shape_group_5_shape_6_horizontal_lines, 45, 12),
        shape(frame_171_shape_group_5_shape_7_horizontal_lines, 53, 10),
        shape(frame_171_shape_group_5_shape_8_horizontal_lines, 54, 14),
        shape(frame_171_shape_group_5_shape_9_horizontal_lines, 56, 13),
        shape(frame_171_shape_group_5_shape_10_horizontal_lines, 57, 2),
        shape(frame_171_shape_group_5_shape_11_horizontal_lines, 58, 13),
        shape(frame_171_shape_group_5_shape_12_horizontal_lines, 59, 2),
        shape(frame_171_shape_group_5_shape_13_horizontal_lines, 60, 4),
        shape(frame_171_shape_group_5_shape_14_horizontal_lines, 71, 9),
        shape(frame_171_shape_group_5_shape_15_horizontal_lines, 80, 4),
        shape(frame_171_shape_group_5_shape_16_horizontal_lines, 85, 3),
        shape(frame_171_shape_group_5_shape_17_horizontal_lines, 90, 9),
        shape(frame_171_shape_group_5_shape_18_horizontal_lines, 91, 3),
        shape(frame_171_shape_group_5_shape_19_horizontal_lines, 95, 5),
        shape(frame_171_shape_group_5_shape_20_horizontal_lines, 101, 3),
        shape(frame_171_shape_group_5_shape_21_horizontal_lines, 107, 3),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(116, 141),
        horizontal_line(117, 141),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 128),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(128, 132),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(145, 145),
        horizontal_line(145, 146),
        horizontal_line(145, 146),
        horizontal_line(146, 147),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(130, 142),
        horizontal_line(130, 143),
        horizontal_line(130, 145),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(145, 149),
        horizontal_line(141, 149),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(135, 144),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(148, 151),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(146, 149),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(129, 146),
        horizontal_line(127, 146),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(147, 160),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(127, 146),
        horizontal_line(127, 146),
        horizontal_line(127, 146),
        horizontal_line(127, 147),
        horizontal_line(128, 147),
        horizontal_line(128, 147),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(62, 103),
        horizontal_line(55, 102),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(39, 100),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(102, 121),
        horizontal_line(101, 121),
        horizontal_line(99, 121),
        horizontal_line(97, 121),
        horizontal_line(62, 121),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_21_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_22_horizontal_lines[] = {
        horizontal_line(93, 118),
        horizontal_line(62, 87),
        horizontal_line(62, 84),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_23_horizontal_lines[] = {
        horizontal_line(135, 160),
    };

    constexpr const horizontal_line frame_171_shape_group_6_shape_24_horizontal_lines[] = {
        horizontal_line(155, 157),
    };

    constexpr const shape frame_171_shape_group_6_shapes[] = {
        shape(frame_171_shape_group_6_shape_0_horizontal_lines, 5, 1),
        shape(frame_171_shape_group_6_shape_1_horizontal_lines, 29, 12),
        shape(frame_171_shape_group_6_shape_2_horizontal_lines, 32, 1),
        shape(frame_171_shape_group_6_shape_3_horizontal_lines, 33, 10),
        shape(frame_171_shape_group_6_shape_4_horizontal_lines, 34, 1),
        shape(frame_171_shape_group_6_shape_5_horizontal_lines, 40, 12),
        shape(frame_171_shape_group_6_shape_6_horizontal_lines, 50, 14),
        shape(frame_171_shape_group_6_shape_7_horizontal_lines, 52, 10),
        shape(frame_171_shape_group_6_shape_8_horizontal_lines, 53, 14),
        shape(frame_171_shape_group_6_shape_9_horizontal_lines, 54, 13),
        shape(frame_171_shape_group_6_shape_10_horizontal_lines, 56, 2),
        shape(frame_171_shape_group_6_shape_11_horizontal_lines, 58, 2),
        shape(frame_171_shape_group_6_shape_12_horizontal_lines, 59, 15),
        shape(frame_171_shape_group_6_shape_13_horizontal_lines, 71, 4),
        shape(frame_171_shape_group_6_shape_14_horizontal_lines, 73, 9),
        shape(frame_171_shape_group_6_shape_15_horizontal_lines, 74, 4),
        shape(frame_171_shape_group_6_shape_16_horizontal_lines, 80, 3),
        shape(frame_171_shape_group_6_shape_17_horizontal_lines, 82, 4),
        shape(frame_171_shape_group_6_shape_18_horizontal_lines, 83, 3),
        shape(frame_171_shape_group_6_shape_19_horizontal_lines, 84, 4),
        shape(frame_171_shape_group_6_shape_20_horizontal_lines, 85, 3),
        shape(frame_171_shape_group_6_shape_21_horizontal_lines, 90, 4),
        shape(frame_171_shape_group_6_shape_22_horizontal_lines, 91, 3),
        shape(frame_171_shape_group_6_shape_23_horizontal_lines, 94, 5),
        shape(frame_171_shape_group_6_shape_24_horizontal_lines, 101, 5),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(128, 133),
        horizontal_line(128, 135),
        horizontal_line(129, 136),
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(136, 149),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(150, 153),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(127, 146),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(102, 108),
        horizontal_line(94, 107),
        horizontal_line(86, 106),
        horizontal_line(78, 105),
        horizontal_line(70, 104),
        horizontal_line(111, 121),
        horizontal_line(109, 121),
        horizontal_line(47, 101),
        horizontal_line(106, 121),
        horizontal_line(31, 93),
        horizontal_line(85, 98),
        horizontal_line(77, 97),
        horizontal_line(69, 96),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 89),
    };

    constexpr const horizontal_line frame_171_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(154, 161),
    };

    constexpr const shape frame_171_shape_group_7_shapes[] = {
        shape(frame_171_shape_group_7_shape_0_horizontal_lines, 32, 10),
        shape(frame_171_shape_group_7_shape_1_horizontal_lines, 34, 10),
        shape(frame_171_shape_group_7_shape_2_horizontal_lines, 38, 12),
        shape(frame_171_shape_group_7_shape_3_horizontal_lines, 52, 14),
        shape(frame_171_shape_group_7_shape_4_horizontal_lines, 59, 9),
        shape(frame_171_shape_group_7_shape_5_horizontal_lines, 73, 4),
        shape(frame_171_shape_group_7_shape_6_horizontal_lines, 74, 3),
        shape(frame_171_shape_group_7_shape_7_horizontal_lines, 89, 5),
        shape(frame_171_shape_group_7_shape_8_horizontal_lines, 90, 3),
        shape(frame_171_shape_group_7_shape_9_horizontal_lines, 93, 5),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(129, 138),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(120, 121),
        horizontal_line(118, 121),
        horizontal_line(116, 121),
        horizontal_line(115, 121),
        horizontal_line(113, 121),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(108, 121),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(104, 121),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(122, 123),
        horizontal_line(122, 123),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_171_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(94, 120),
    };

    constexpr const shape frame_171_shape_group_8_shapes[] = {
        shape(frame_171_shape_group_8_shape_0_horizontal_lines, 38, 10),
        shape(frame_171_shape_group_8_shape_1_horizontal_lines, 75, 3),
        shape(frame_171_shape_group_8_shape_2_horizontal_lines, 80, 5),
        shape(frame_171_shape_group_8_shape_3_horizontal_lines, 82, 3),
        shape(frame_171_shape_group_8_shape_4_horizontal_lines, 83, 5),
        shape(frame_171_shape_group_8_shape_5_horizontal_lines, 84, 3),
        shape(frame_171_shape_group_8_shape_6_horizontal_lines, 85, 5),
        shape(frame_171_shape_group_8_shape_7_horizontal_lines, 90, 3),
    };

    constexpr const horizontal_line frame_171_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 122),
        horizontal_line(162, 164),
        horizontal_line(158, 164),
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_171_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(93, 99),
    };

    constexpr const horizontal_line frame_171_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(62, 92),
    };

    constexpr const shape frame_171_shape_group_9_shapes[] = {
        shape(frame_171_shape_group_9_shape_0_horizontal_lines, 78, 5),
        shape(frame_171_shape_group_9_shape_1_horizontal_lines, 84, 3),
        shape(frame_171_shape_group_9_shape_2_horizontal_lines, 90, 3),
    };

    constexpr const horizontal_line frame_171_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(155, 165),
    };

    constexpr const horizontal_line frame_171_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_171_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const shape frame_171_shape_group_10_shapes[] = {
        shape(frame_171_shape_group_10_shape_0_horizontal_lines, 82, 5),
        shape(frame_171_shape_group_10_shape_1_horizontal_lines, 84, 5),
        shape(frame_171_shape_group_10_shape_2_horizontal_lines, 90, 5),
    };

    constexpr const shape_group frame_171_shape_groups[] = {
        shape_group(frame_171_shape_group_0_shapes),
        shape_group(frame_171_shape_group_1_shapes),
        shape_group(frame_171_shape_group_2_shapes),
        shape_group(frame_171_shape_group_3_shapes),
        shape_group(frame_171_shape_group_4_shapes),
        shape_group(frame_171_shape_group_5_shapes),
        shape_group(frame_171_shape_group_6_shapes),
        shape_group(frame_171_shape_group_7_shapes),
        shape_group(frame_171_shape_group_8_shapes),
        shape_group(frame_171_shape_group_9_shapes),
        shape_group(frame_171_shape_group_10_shapes),
    };

    constexpr const frame frame_171_impl(frame_171_colors, frame_171_shape_groups);
} 

const frame& frame_171()
{
    return frame_171_impl;
}

namespace
{
    constexpr const bn::color frame_172_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_172_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 45),
        horizontal_line(0, 30),
        horizontal_line(0, 14),
        horizontal_line(87, 100),
        horizontal_line(86, 98),
        horizontal_line(85, 96),
        horizontal_line(84, 94),
        horizontal_line(83, 92),
        horizontal_line(82, 90),
        horizontal_line(80, 88),
        horizontal_line(79, 86),
        horizontal_line(78, 84),
        horizontal_line(77, 82),
        horizontal_line(76, 80),
        horizontal_line(75, 78),
        horizontal_line(74, 76),
        horizontal_line(73, 74),
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_172_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(109, 118),
        horizontal_line(69, 69),
        horizontal_line(66, 68),
        horizontal_line(63, 68),
        horizontal_line(61, 68),
        horizontal_line(58, 68),
        horizontal_line(55, 68),
        horizontal_line(53, 67),
        horizontal_line(50, 67),
        horizontal_line(47, 67),
        horizontal_line(45, 67),
        horizontal_line(42, 67),
        horizontal_line(39, 67),
        horizontal_line(37, 66),
        horizontal_line(34, 66),
    };

    constexpr const horizontal_line frame_172_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(187, 188),
        horizontal_line(187, 189),
        horizontal_line(187, 191),
        horizontal_line(187, 192),
        horizontal_line(187, 194),
        horizontal_line(187, 195),
        horizontal_line(187, 196),
        horizontal_line(187, 198),
        horizontal_line(187, 199),
        horizontal_line(187, 201),
        horizontal_line(187, 202),
        horizontal_line(187, 204),
        horizontal_line(187, 205),
        horizontal_line(187, 206),
        horizontal_line(187, 208),
        horizontal_line(187, 209),
        horizontal_line(187, 211),
        horizontal_line(187, 212),
        horizontal_line(187, 213),
        horizontal_line(187, 215),
        horizontal_line(187, 216),
        horizontal_line(187, 218),
        horizontal_line(187, 219),
        horizontal_line(186, 221),
        horizontal_line(186, 222),
        horizontal_line(186, 223),
        horizontal_line(186, 225),
        horizontal_line(186, 226),
        horizontal_line(186, 228),
        horizontal_line(186, 229),
        horizontal_line(186, 230),
        horizontal_line(186, 232),
        horizontal_line(186, 233),
        horizontal_line(186, 235),
        horizontal_line(186, 236),
        horizontal_line(186, 238),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
    };

    constexpr const shape frame_172_shape_group_0_shapes[] = {
        shape(frame_172_shape_group_0_shape_0_horizontal_lines, 0, 6),
        shape(frame_172_shape_group_0_shape_1_horizontal_lines, 95, 1),
        shape(frame_172_shape_group_0_shape_2_horizontal_lines, 110, 8),
    };

    constexpr const horizontal_line frame_172_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 67),
        horizontal_line(62, 68),
        horizontal_line(91, 91),
        horizontal_line(91, 92),
        horizontal_line(92, 93),
        horizontal_line(92, 94),
        horizontal_line(92, 95),
        horizontal_line(92, 96),
        horizontal_line(93, 97),
        horizontal_line(93, 98),
        horizontal_line(93, 99),
        horizontal_line(93, 100),
        horizontal_line(94, 101),
        horizontal_line(94, 102),
        horizontal_line(94, 103),
        horizontal_line(94, 104),
        horizontal_line(95, 105),
        horizontal_line(95, 106),
        horizontal_line(95, 107),
        horizontal_line(95, 108),
        horizontal_line(96, 109),
        horizontal_line(96, 110),
        horizontal_line(96, 111),
        horizontal_line(96, 112),
        horizontal_line(97, 113),
        horizontal_line(97, 114),
        horizontal_line(97, 115),
        horizontal_line(97, 116),
        horizontal_line(98, 117),
        horizontal_line(98, 118),
        horizontal_line(62, 119),
        horizontal_line(62, 120),
        horizontal_line(99, 121),
        horizontal_line(101, 122),
        horizontal_line(102, 122),
        horizontal_line(104, 122),
        horizontal_line(106, 122),
        horizontal_line(107, 123),
        horizontal_line(109, 123),
        horizontal_line(110, 123),
        horizontal_line(112, 124),
        horizontal_line(114, 124),
        horizontal_line(115, 124),
        horizontal_line(117, 125),
        horizontal_line(118, 125),
        horizontal_line(120, 125),
        horizontal_line(122, 126),
        horizontal_line(123, 126),
        horizontal_line(125, 126),
        horizontal_line(127, 127),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(117, 121),
        horizontal_line(109, 118),
        horizontal_line(101, 115),
        horizontal_line(94, 112),
        horizontal_line(92, 110),
        horizontal_line(91, 108),
        horizontal_line(90, 106),
        horizontal_line(89, 104),
        horizontal_line(88, 102),
    };

    constexpr const horizontal_line frame_172_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(163, 172),
        horizontal_line(164, 173),
        horizontal_line(164, 173),
        horizontal_line(165, 174),
        horizontal_line(165, 174),
        horizontal_line(167, 175),
        horizontal_line(167, 175),
        horizontal_line(168, 176),
        horizontal_line(169, 176),
        horizontal_line(170, 177),
        horizontal_line(171, 177),
        horizontal_line(172, 178),
        horizontal_line(173, 178),
        horizontal_line(112, 112),
        horizontal_line(110, 115),
        horizontal_line(176, 180),
        horizontal_line(107, 121),
        horizontal_line(106, 124),
        horizontal_line(105, 127),
        horizontal_line(103, 130),
        horizontal_line(102, 133),
        horizontal_line(101, 136),
        horizontal_line(99, 139),
        horizontal_line(98, 142),
        horizontal_line(97, 145),
        horizontal_line(95, 148),
        horizontal_line(94, 151),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(31, 66),
        horizontal_line(29, 66),
        horizontal_line(26, 66),
        horizontal_line(23, 65),
        horizontal_line(21, 65),
        horizontal_line(18, 65),
        horizontal_line(15, 65),
        horizontal_line(13, 65),
        horizontal_line(10, 65),
        horizontal_line(7, 64),
        horizontal_line(5, 64),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
    };

    constexpr const shape frame_172_shape_group_1_shapes[] = {
        shape(frame_172_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_172_shape_group_1_shape_1_horizontal_lines, 80, 1),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(67, 89),
        horizontal_line(68, 90),
        horizontal_line(69, 90),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 70),
        horizontal_line(62, 71),
        horizontal_line(62, 72),
        horizontal_line(62, 73),
        horizontal_line(62, 74),
        horizontal_line(62, 75),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(120, 121),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 95),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(96, 126),
        horizontal_line(96, 126),
        horizontal_line(96, 126),
        horizontal_line(96, 126),
        horizontal_line(96, 126),
        horizontal_line(96, 126),
        horizontal_line(96, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 125),
        horizontal_line(95, 124),
        horizontal_line(95, 124),
        horizontal_line(94, 124),
        horizontal_line(94, 124),
        horizontal_line(94, 124),
        horizontal_line(94, 124),
        horizontal_line(94, 124),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 93),
        horizontal_line(62, 92),
        horizontal_line(62, 76),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(161, 170),
        horizontal_line(162, 171),
        horizontal_line(162, 171),
        horizontal_line(163, 172),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(122, 142),
        horizontal_line(122, 142),
        horizontal_line(123, 142),
        horizontal_line(123, 142),
        horizontal_line(123, 164),
        horizontal_line(123, 165),
        horizontal_line(123, 164),
        horizontal_line(124, 164),
        horizontal_line(124, 163),
        horizontal_line(124, 158),
        horizontal_line(124, 140),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(124, 162),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(174, 179),
        horizontal_line(175, 179),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(119, 160),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(177, 180),
        horizontal_line(178, 181),
        horizontal_line(178, 181),
        horizontal_line(179, 182),
        horizontal_line(180, 182),
        horizontal_line(181, 183),
        horizontal_line(182, 183),
        horizontal_line(183, 184),
        horizontal_line(184, 184),
        horizontal_line(185, 185),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_172_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(153, 154),
        horizontal_line(152, 155),
        horizontal_line(88, 150),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(68, 130),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(68, 130),
        horizontal_line(73, 135),
        horizontal_line(78, 140),
        horizontal_line(82, 144),
        horizontal_line(87, 149),
        horizontal_line(92, 154),
        horizontal_line(97, 159),
        horizontal_line(101, 163),
        horizontal_line(106, 168),
        horizontal_line(111, 173),
        horizontal_line(116, 175),
        horizontal_line(120, 175),
        horizontal_line(125, 176),
        horizontal_line(130, 177),
        horizontal_line(134, 177),
        horizontal_line(139, 178),
        horizontal_line(144, 179),
        horizontal_line(149, 179),
        horizontal_line(153, 180),
        horizontal_line(158, 181),
        horizontal_line(163, 181),
        horizontal_line(168, 182),
        horizontal_line(172, 183),
        horizontal_line(177, 183),
        horizontal_line(182, 184),
    };

    constexpr const shape frame_172_shape_group_2_shapes[] = {
        shape(frame_172_shape_group_2_shape_0_horizontal_lines, 0, 11),
        shape(frame_172_shape_group_2_shape_1_horizontal_lines, 3, 6),
        shape(frame_172_shape_group_2_shape_2_horizontal_lines, 31, 8),
        shape(frame_172_shape_group_2_shape_3_horizontal_lines, 33, 6),
        shape(frame_172_shape_group_2_shape_4_horizontal_lines, 51, 11),
        shape(frame_172_shape_group_2_shape_5_horizontal_lines, 71, 6),
        shape(frame_172_shape_group_2_shape_6_horizontal_lines, 76, 1),
        shape(frame_172_shape_group_2_shape_7_horizontal_lines, 80, 4),
        shape(frame_172_shape_group_2_shape_8_horizontal_lines, 91, 9),
        shape(frame_172_shape_group_2_shape_9_horizontal_lines, 92, 10),
        shape(frame_172_shape_group_2_shape_10_horizontal_lines, 93, 1),
        shape(frame_172_shape_group_2_shape_11_horizontal_lines, 95, 10),
        shape(frame_172_shape_group_2_shape_12_horizontal_lines, 96, 1),
        shape(frame_172_shape_group_2_shape_13_horizontal_lines, 106, 3),
        shape(frame_172_shape_group_2_shape_14_horizontal_lines, 107, 1),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(90, 126),
        horizontal_line(91, 127),
        horizontal_line(91, 128),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(70, 90),
        horizontal_line(71, 90),
        horizontal_line(72, 91),
        horizontal_line(73, 91),
        horizontal_line(74, 91),
        horizontal_line(75, 91),
        horizontal_line(76, 92),
        horizontal_line(77, 92),
        horizontal_line(78, 92),
        horizontal_line(79, 92),
        horizontal_line(80, 93),
        horizontal_line(81, 93),
        horizontal_line(82, 93),
        horizontal_line(83, 93),
        horizontal_line(84, 94),
        horizontal_line(85, 94),
        horizontal_line(86, 94),
        horizontal_line(87, 94),
        horizontal_line(88, 95),
        horizontal_line(89, 95),
        horizontal_line(90, 95),
        horizontal_line(91, 95),
        horizontal_line(92, 96),
        horizontal_line(93, 96),
        horizontal_line(94, 96),
        horizontal_line(95, 96),
        horizontal_line(96, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(133, 141),
        horizontal_line(135, 141),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(98, 100),
        horizontal_line(98, 101),
        horizontal_line(98, 103),
        horizontal_line(98, 105),
        horizontal_line(98, 106),
        horizontal_line(98, 108),
        horizontal_line(98, 109),
        horizontal_line(97, 111),
        horizontal_line(97, 113),
        horizontal_line(97, 114),
        horizontal_line(97, 116),
        horizontal_line(97, 117),
        horizontal_line(97, 119),
        horizontal_line(97, 121),
        horizontal_line(97, 122),
        horizontal_line(96, 124),
        horizontal_line(96, 126),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(149, 158),
        horizontal_line(150, 159),
        horizontal_line(150, 159),
        horizontal_line(151, 160),
        horizontal_line(151, 160),
        horizontal_line(152, 161),
        horizontal_line(152, 161),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
        horizontal_line(155, 164),
        horizontal_line(155, 164),
        horizontal_line(156, 165),
        horizontal_line(156, 165),
        horizontal_line(157, 166),
        horizontal_line(157, 166),
        horizontal_line(158, 167),
        horizontal_line(158, 167),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(94, 116),
        horizontal_line(94, 108),
        horizontal_line(94, 100),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(160, 169),
        horizontal_line(161, 170),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(121, 141),
        horizontal_line(122, 141),
        horizontal_line(122, 142),
        horizontal_line(122, 142),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(143, 160),
        horizontal_line(143, 156),
        horizontal_line(143, 152),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(148, 149),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(159, 163),
        horizontal_line(141, 162),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(134, 161),
        horizontal_line(119, 160),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(122, 143),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 60),
        horizontal_line(0, 57),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(68, 93),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_172_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(150, 155),
        horizontal_line(149, 156),
        horizontal_line(148, 157),
        horizontal_line(146, 157),
        horizontal_line(145, 158),
        horizontal_line(144, 159),
        horizontal_line(142, 159),
        horizontal_line(141, 160),
        horizontal_line(139, 161),
        horizontal_line(138, 161),
        horizontal_line(137, 162),
        horizontal_line(64, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(124, 167),
        horizontal_line(62, 62),
        horizontal_line(130, 168),
        horizontal_line(135, 169),
        horizontal_line(140, 170),
        horizontal_line(144, 170),
        horizontal_line(149, 171),
        horizontal_line(154, 172),
        horizontal_line(159, 172),
        horizontal_line(163, 173),
        horizontal_line(168, 174),
        horizontal_line(173, 174),
    };

    constexpr const shape frame_172_shape_group_3_shapes[] = {
        shape(frame_172_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_172_shape_group_3_shape_1_horizontal_lines, 3, 11),
        shape(frame_172_shape_group_3_shape_2_horizontal_lines, 31, 8),
        shape(frame_172_shape_group_3_shape_3_horizontal_lines, 33, 11),
        shape(frame_172_shape_group_3_shape_4_horizontal_lines, 51, 1),
        shape(frame_172_shape_group_3_shape_5_horizontal_lines, 71, 11),
        shape(frame_172_shape_group_3_shape_6_horizontal_lines, 74, 1),
        shape(frame_172_shape_group_3_shape_7_horizontal_lines, 76, 4),
        shape(frame_172_shape_group_3_shape_8_horizontal_lines, 80, 9),
        shape(frame_172_shape_group_3_shape_9_horizontal_lines, 83, 4),
        shape(frame_172_shape_group_3_shape_10_horizontal_lines, 84, 15),
        shape(frame_172_shape_group_3_shape_11_horizontal_lines, 89, 9),
        shape(frame_172_shape_group_3_shape_12_horizontal_lines, 91, 15),
        shape(frame_172_shape_group_3_shape_13_horizontal_lines, 92, 4),
        shape(frame_172_shape_group_3_shape_14_horizontal_lines, 93, 10),
        shape(frame_172_shape_group_3_shape_15_horizontal_lines, 95, 3),
        shape(frame_172_shape_group_3_shape_16_horizontal_lines, 96, 10),
        shape(frame_172_shape_group_3_shape_17_horizontal_lines, 98, 3),
        shape(frame_172_shape_group_3_shape_18_horizontal_lines, 110, 1),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(127, 137),
        horizontal_line(128, 137),
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(92, 129),
        horizontal_line(93, 131),
        horizontal_line(94, 132),
        horizontal_line(95, 133),
        horizontal_line(96, 135),
        horizontal_line(97, 136),
        horizontal_line(98, 137),
        horizontal_line(99, 138),
        horizontal_line(100, 138),
        horizontal_line(101, 138),
        horizontal_line(102, 139),
        horizontal_line(103, 139),
        horizontal_line(104, 139),
        horizontal_line(105, 116),
        horizontal_line(106, 116),
        horizontal_line(107, 117),
        horizontal_line(108, 117),
        horizontal_line(109, 117),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(115, 119),
        horizontal_line(116, 119),
        horizontal_line(117, 120),
        horizontal_line(118, 120),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(142, 148),
        horizontal_line(142, 148),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(136, 141),
        horizontal_line(137, 141),
        horizontal_line(139, 141),
        horizontal_line(140, 141),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(143, 152),
        horizontal_line(143, 152),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(146, 155),
        horizontal_line(146, 155),
        horizontal_line(147, 156),
        horizontal_line(147, 156),
        horizontal_line(148, 157),
        horizontal_line(148, 157),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(139, 143),
        horizontal_line(135, 139),
        horizontal_line(130, 134),
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(127, 144),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(145, 151),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 139),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(159, 168),
        horizontal_line(159, 168),
        horizontal_line(160, 169),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(121, 141),
        horizontal_line(121, 141),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(142, 160),
        horizontal_line(142, 160),
        horizontal_line(143, 160),
        horizontal_line(143, 160),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(118, 123),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(122, 148),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(118, 119),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(62, 108),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(69, 104),
        horizontal_line(69, 102),
        horizontal_line(69, 101),
        horizontal_line(69, 100),
        horizontal_line(68, 98),
        horizontal_line(68, 97),
        horizontal_line(68, 96),
        horizontal_line(68, 94),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(152, 154),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_23_horizontal_lines[] = {
        horizontal_line(68, 91),
        horizontal_line(67, 90),
        horizontal_line(67, 89),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_24_horizontal_lines[] = {
        horizontal_line(135, 163),
        horizontal_line(134, 163),
        horizontal_line(133, 164),
        horizontal_line(131, 164),
        horizontal_line(130, 165),
        horizontal_line(129, 166),
        horizontal_line(127, 166),
    };

    constexpr const horizontal_line frame_172_shape_group_4_shape_25_horizontal_lines[] = {
        horizontal_line(126, 168),
    };

    constexpr const shape frame_172_shape_group_4_shapes[] = {
        shape(frame_172_shape_group_4_shape_0_horizontal_lines, 0, 1),
        shape(frame_172_shape_group_4_shape_1_horizontal_lines, 3, 8),
        shape(frame_172_shape_group_4_shape_2_horizontal_lines, 31, 1),
        shape(frame_172_shape_group_4_shape_3_horizontal_lines, 33, 8),
        shape(frame_172_shape_group_4_shape_4_horizontal_lines, 38, 1),
        shape(frame_172_shape_group_4_shape_5_horizontal_lines, 51, 12),
        shape(frame_172_shape_group_4_shape_6_horizontal_lines, 52, 10),
        shape(frame_172_shape_group_4_shape_7_horizontal_lines, 56, 13),
        shape(frame_172_shape_group_4_shape_8_horizontal_lines, 57, 12),
        shape(frame_172_shape_group_4_shape_9_horizontal_lines, 59, 13),
        shape(frame_172_shape_group_4_shape_10_horizontal_lines, 60, 4),
        shape(frame_172_shape_group_4_shape_11_horizontal_lines, 71, 1),
        shape(frame_172_shape_group_4_shape_12_horizontal_lines, 74, 4),
        shape(frame_172_shape_group_4_shape_13_horizontal_lines, 76, 9),
        shape(frame_172_shape_group_4_shape_14_horizontal_lines, 80, 15),
        shape(frame_172_shape_group_4_shape_15_horizontal_lines, 83, 4),
        shape(frame_172_shape_group_4_shape_16_horizontal_lines, 84, 3),
        shape(frame_172_shape_group_4_shape_17_horizontal_lines, 89, 15),
        shape(frame_172_shape_group_4_shape_18_horizontal_lines, 91, 3),
        shape(frame_172_shape_group_4_shape_19_horizontal_lines, 92, 9),
        shape(frame_172_shape_group_4_shape_20_horizontal_lines, 93, 4),
        shape(frame_172_shape_group_4_shape_21_horizontal_lines, 95, 3),
        shape(frame_172_shape_group_4_shape_22_horizontal_lines, 106, 5),
        shape(frame_172_shape_group_4_shape_23_horizontal_lines, 107, 3),
        shape(frame_172_shape_group_4_shape_24_horizontal_lines, 121, 1),
        shape(frame_172_shape_group_4_shape_25_horizontal_lines, 129, 1),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(130, 137),
        horizontal_line(132, 137),
        horizontal_line(133, 137),
        horizontal_line(134, 137),
        horizontal_line(136, 137),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(118, 139),
        horizontal_line(118, 139),
        horizontal_line(119, 139),
        horizontal_line(119, 140),
        horizontal_line(120, 140),
        horizontal_line(120, 140),
        horizontal_line(121, 140),
        horizontal_line(122, 140),
        horizontal_line(123, 140),
        horizontal_line(125, 140),
        horizontal_line(126, 140),
        horizontal_line(128, 140),
        horizontal_line(129, 141),
        horizontal_line(130, 141),
        horizontal_line(132, 141),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(122, 132),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(142, 149),
        horizontal_line(142, 149),
        horizontal_line(142, 150),
        horizontal_line(142, 150),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(124, 141),
        horizontal_line(124, 142),
        horizontal_line(124, 142),
        horizontal_line(125, 143),
        horizontal_line(125, 143),
        horizontal_line(125, 144),
        horizontal_line(126, 144),
        horizontal_line(126, 145),
        horizontal_line(126, 145),
        horizontal_line(127, 145),
        horizontal_line(127, 141),
        horizontal_line(127, 137),
        horizontal_line(128, 133),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(127, 138),
        horizontal_line(127, 134),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(131, 148),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(145, 150),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(126, 140),
        horizontal_line(126, 136),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(133, 140),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(140, 152),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 157),
        horizontal_line(141, 157),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(122, 140),
        horizontal_line(120, 141),
        horizontal_line(121, 141),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(142, 159),
        horizontal_line(142, 160),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(93, 112),
        horizontal_line(91, 112),
        horizontal_line(89, 112),
        horizontal_line(87, 112),
        horizontal_line(85, 112),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(79, 112),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(120, 133),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_22_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_23_horizontal_lines[] = {
        horizontal_line(70, 106),
        horizontal_line(69, 105),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_24_horizontal_lines[] = {
        horizontal_line(131, 158),
        horizontal_line(134, 157),
        horizontal_line(137, 157),
        horizontal_line(140, 156),
        horizontal_line(143, 156),
        horizontal_line(146, 155),
        horizontal_line(149, 155),
    };

    constexpr const horizontal_line frame_172_shape_group_5_shape_25_horizontal_lines[] = {
        horizontal_line(67, 87),
        horizontal_line(67, 86),
        horizontal_line(67, 85),
        horizontal_line(66, 83),
        horizontal_line(66, 82),
        horizontal_line(66, 81),
        horizontal_line(66, 79),
        horizontal_line(66, 78),
        horizontal_line(66, 76),
        horizontal_line(65, 75),
        horizontal_line(65, 74),
        horizontal_line(0, 1),
        horizontal_line(65, 71),
        horizontal_line(65, 70),
        horizontal_line(64, 68),
        horizontal_line(64, 67),
        horizontal_line(64, 66),
        horizontal_line(64, 64),
    };

    constexpr const shape frame_172_shape_group_5_shapes[] = {
        shape(frame_172_shape_group_5_shape_0_horizontal_lines, 3, 1),
        shape(frame_172_shape_group_5_shape_1_horizontal_lines, 15, 1),
        shape(frame_172_shape_group_5_shape_2_horizontal_lines, 16, 8),
        shape(frame_172_shape_group_5_shape_3_horizontal_lines, 31, 10),
        shape(frame_172_shape_group_5_shape_4_horizontal_lines, 32, 12),
        shape(frame_172_shape_group_5_shape_5_horizontal_lines, 33, 1),
        shape(frame_172_shape_group_5_shape_6_horizontal_lines, 38, 12),
        shape(frame_172_shape_group_5_shape_7_horizontal_lines, 51, 10),
        shape(frame_172_shape_group_5_shape_8_horizontal_lines, 52, 14),
        shape(frame_172_shape_group_5_shape_9_horizontal_lines, 55, 13),
        shape(frame_172_shape_group_5_shape_10_horizontal_lines, 56, 2),
        shape(frame_172_shape_group_5_shape_11_horizontal_lines, 57, 13),
        shape(frame_172_shape_group_5_shape_12_horizontal_lines, 59, 2),
        shape(frame_172_shape_group_5_shape_13_horizontal_lines, 60, 9),
        shape(frame_172_shape_group_5_shape_14_horizontal_lines, 71, 4),
        shape(frame_172_shape_group_5_shape_15_horizontal_lines, 74, 9),
        shape(frame_172_shape_group_5_shape_16_horizontal_lines, 76, 15),
        shape(frame_172_shape_group_5_shape_17_horizontal_lines, 80, 3),
        shape(frame_172_shape_group_5_shape_18_horizontal_lines, 83, 9),
        shape(frame_172_shape_group_5_shape_19_horizontal_lines, 84, 3),
        shape(frame_172_shape_group_5_shape_20_horizontal_lines, 92, 15),
        shape(frame_172_shape_group_5_shape_21_horizontal_lines, 93, 9),
        shape(frame_172_shape_group_5_shape_22_horizontal_lines, 94, 3),
        shape(frame_172_shape_group_5_shape_23_horizontal_lines, 96, 3),
        shape(frame_172_shape_group_5_shape_24_horizontal_lines, 99, 5),
        shape(frame_172_shape_group_5_shape_25_horizontal_lines, 110, 3),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 147),
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(122, 130),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(126, 135),
        horizontal_line(123, 136),
        horizontal_line(123, 138),
        horizontal_line(123, 139),
        horizontal_line(123, 141),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(142, 146),
        horizontal_line(138, 147),
        horizontal_line(134, 147),
        horizontal_line(130, 143),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(144, 148),
        horizontal_line(140, 149),
        horizontal_line(135, 149),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(149, 150),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(141, 148),
        horizontal_line(137, 144),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(126, 131),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(141, 158),
        horizontal_line(142, 158),
        horizontal_line(142, 159),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(115, 120),
        horizontal_line(115, 120),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(62, 90),
        horizontal_line(46, 89),
        horizontal_line(31, 88),
        horizontal_line(15, 77),
        horizontal_line(101, 112),
        horizontal_line(99, 112),
        horizontal_line(97, 112),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 81),
        horizontal_line(62, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(83, 112),
        horizontal_line(81, 112),
        horizontal_line(62, 74),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(73, 109),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 65),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(128, 158),
    };

    constexpr const horizontal_line frame_172_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(65, 72),
    };

    constexpr const shape frame_172_shape_group_6_shapes[] = {
        shape(frame_172_shape_group_6_shape_0_horizontal_lines, 16, 1),
        shape(frame_172_shape_group_6_shape_1_horizontal_lines, 32, 10),
        shape(frame_172_shape_group_6_shape_2_horizontal_lines, 33, 12),
        shape(frame_172_shape_group_6_shape_3_horizontal_lines, 47, 14),
        shape(frame_172_shape_group_6_shape_4_horizontal_lines, 52, 13),
        shape(frame_172_shape_group_6_shape_5_horizontal_lines, 55, 2),
        shape(frame_172_shape_group_6_shape_6_horizontal_lines, 57, 2),
        shape(frame_172_shape_group_6_shape_7_horizontal_lines, 59, 4),
        shape(frame_172_shape_group_6_shape_8_horizontal_lines, 71, 9),
        shape(frame_172_shape_group_6_shape_9_horizontal_lines, 74, 15),
        shape(frame_172_shape_group_6_shape_10_horizontal_lines, 76, 3),
        shape(frame_172_shape_group_6_shape_11_horizontal_lines, 83, 15),
        shape(frame_172_shape_group_6_shape_12_horizontal_lines, 84, 3),
        shape(frame_172_shape_group_6_shape_13_horizontal_lines, 96, 3),
        shape(frame_172_shape_group_6_shape_14_horizontal_lines, 98, 5),
        shape(frame_172_shape_group_6_shape_15_horizontal_lines, 121, 3),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
        horizontal_line(118, 119),
        horizontal_line(119, 119),
        horizontal_line(119, 120),
        horizontal_line(119, 121),
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(120, 124),
        horizontal_line(120, 125),
        horizontal_line(120, 127),
        horizontal_line(121, 128),
        horizontal_line(121, 129),
        horizontal_line(121, 131),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(93, 93),
        horizontal_line(77, 91),
        horizontal_line(109, 112),
        horizontal_line(107, 112),
        horizontal_line(105, 112),
        horizontal_line(103, 112),
        horizontal_line(62, 86),
        horizontal_line(62, 85),
        horizontal_line(62, 84),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 75),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(113, 117),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(77, 112),
        horizontal_line(75, 111),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_172_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(144, 159),
        horizontal_line(127, 159),
    };

    constexpr const shape frame_172_shape_group_7_shapes[] = {
        shape(frame_172_shape_group_7_shape_0_horizontal_lines, 16, 12),
        shape(frame_172_shape_group_7_shape_1_horizontal_lines, 25, 10),
        shape(frame_172_shape_group_7_shape_2_horizontal_lines, 33, 10),
        shape(frame_172_shape_group_7_shape_3_horizontal_lines, 59, 4),
        shape(frame_172_shape_group_7_shape_4_horizontal_lines, 72, 15),
        shape(frame_172_shape_group_7_shape_5_horizontal_lines, 74, 3),
        shape(frame_172_shape_group_7_shape_6_horizontal_lines, 84, 5),
        shape(frame_172_shape_group_7_shape_7_horizontal_lines, 89, 3),
        shape(frame_172_shape_group_7_shape_8_horizontal_lines, 91, 5),
        shape(frame_172_shape_group_7_shape_9_horizontal_lines, 92, 3),
        shape(frame_172_shape_group_7_shape_10_horizontal_lines, 96, 5),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(77, 87),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(95, 112),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(113, 117),
        horizontal_line(113, 117),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_172_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(117, 118),
    };

    constexpr const shape frame_172_shape_group_8_shapes[] = {
        shape(frame_172_shape_group_8_shape_0_horizontal_lines, 59, 9),
        shape(frame_172_shape_group_8_shape_1_horizontal_lines, 74, 5),
        shape(frame_172_shape_group_8_shape_2_horizontal_lines, 75, 3),
        shape(frame_172_shape_group_8_shape_3_horizontal_lines, 76, 5),
        shape(frame_172_shape_group_8_shape_4_horizontal_lines, 79, 3),
        shape(frame_172_shape_group_8_shape_5_horizontal_lines, 80, 5),
        shape(frame_172_shape_group_8_shape_6_horizontal_lines, 83, 3),
        shape(frame_172_shape_group_8_shape_7_horizontal_lines, 89, 5),
        shape(frame_172_shape_group_8_shape_8_horizontal_lines, 92, 3),
        shape(frame_172_shape_group_8_shape_9_horizontal_lines, 94, 5),
    };

    constexpr const horizontal_line frame_172_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_172_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(161, 161),
        horizontal_line(113, 115),
        horizontal_line(161, 162),
        horizontal_line(157, 163),
        horizontal_line(153, 163),
    };

    constexpr const horizontal_line frame_172_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(62, 83),
    };

    constexpr const horizontal_line frame_172_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(113, 117),
        horizontal_line(113, 117),
    };

    constexpr const shape frame_172_shape_group_9_shapes[] = {
        shape(frame_172_shape_group_9_shape_0_horizontal_lines, 75, 5),
        shape(frame_172_shape_group_9_shape_1_horizontal_lines, 77, 5),
        shape(frame_172_shape_group_9_shape_2_horizontal_lines, 83, 3),
        shape(frame_172_shape_group_9_shape_3_horizontal_lines, 92, 5),
    };

    constexpr const horizontal_line frame_172_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(161, 162),
    };

    constexpr const horizontal_line frame_172_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(113, 115),
    };

    constexpr const shape frame_172_shape_group_10_shapes[] = {
        shape(frame_172_shape_group_10_shape_0_horizontal_lines, 79, 5),
        shape(frame_172_shape_group_10_shape_1_horizontal_lines, 83, 5),
    };

    constexpr const horizontal_line frame_172_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(150, 161),
    };

    constexpr const shape frame_172_shape_group_11_shapes[] = {
        shape(frame_172_shape_group_11_shape_0_horizontal_lines, 83, 5),
    };

    constexpr const shape_group frame_172_shape_groups[] = {
        shape_group(frame_172_shape_group_0_shapes),
        shape_group(frame_172_shape_group_1_shapes),
        shape_group(frame_172_shape_group_2_shapes),
        shape_group(frame_172_shape_group_3_shapes),
        shape_group(frame_172_shape_group_4_shapes),
        shape_group(frame_172_shape_group_5_shapes),
        shape_group(frame_172_shape_group_6_shapes),
        shape_group(frame_172_shape_group_7_shapes),
        shape_group(frame_172_shape_group_8_shapes),
        shape_group(frame_172_shape_group_9_shapes),
        shape_group(frame_172_shape_group_10_shapes),
        shape_group(frame_172_shape_group_11_shapes),
    };

    constexpr const frame frame_172_impl(frame_172_colors, frame_172_shape_groups);
} 

const frame& frame_172()
{
    return frame_172_impl;
}

namespace
{
    constexpr const bn::color frame_173_colors[] = {
        bn::color(16, 8, 0),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(0, 0, 0),
        bn::color(12, 4, 0),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_173_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(32, 63),
        horizontal_line(64, 108),
        horizontal_line(62, 105),
        horizontal_line(61, 102),
        horizontal_line(60, 99),
        horizontal_line(59, 96),
        horizontal_line(58, 94),
        horizontal_line(57, 91),
        horizontal_line(56, 89),
        horizontal_line(55, 87),
        horizontal_line(54, 84),
        horizontal_line(53, 82),
        horizontal_line(52, 80),
        horizontal_line(50, 77),
        horizontal_line(49, 75),
        horizontal_line(48, 73),
        horizontal_line(47, 70),
        horizontal_line(46, 68),
        horizontal_line(45, 66),
        horizontal_line(44, 63),
        horizontal_line(43, 61),
        horizontal_line(42, 59),
        horizontal_line(41, 56),
        horizontal_line(40, 54),
        horizontal_line(39, 52),
        horizontal_line(37, 49),
        horizontal_line(36, 47),
        horizontal_line(35, 45),
        horizontal_line(34, 42),
        horizontal_line(33, 40),
        horizontal_line(32, 38),
        horizontal_line(31, 35),
        horizontal_line(30, 33),
        horizontal_line(29, 31),
        horizontal_line(28, 28),
    };

    constexpr const horizontal_line frame_173_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(89, 123),
        horizontal_line(25, 25),
        horizontal_line(21, 24),
        horizontal_line(18, 24),
        horizontal_line(15, 24),
        horizontal_line(12, 24),
        horizontal_line(9, 24),
        horizontal_line(6, 24),
        horizontal_line(3, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_173_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(209, 209),
        horizontal_line(209, 210),
        horizontal_line(209, 212),
        horizontal_line(209, 213),
        horizontal_line(209, 215),
        horizontal_line(209, 216),
        horizontal_line(209, 218),
        horizontal_line(209, 220),
        horizontal_line(209, 221),
        horizontal_line(209, 223),
        horizontal_line(209, 224),
        horizontal_line(209, 226),
        horizontal_line(209, 227),
        horizontal_line(209, 229),
        horizontal_line(209, 231),
        horizontal_line(209, 232),
        horizontal_line(209, 234),
        horizontal_line(209, 235),
        horizontal_line(209, 237),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const shape frame_173_shape_group_0_shapes[] = {
        shape(frame_173_shape_group_0_shape_0_horizontal_lines, 0, 6),
        shape(frame_173_shape_group_0_shape_1_horizontal_lines, 104, 1),
        shape(frame_173_shape_group_0_shape_2_horizontal_lines, 124, 8),
    };

    constexpr const horizontal_line frame_173_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(69, 92),
        horizontal_line(69, 92),
        horizontal_line(62, 93),
        horizontal_line(69, 94),
        horizontal_line(70, 95),
        horizontal_line(71, 96),
        horizontal_line(72, 96),
        horizontal_line(74, 97),
        horizontal_line(75, 98),
        horizontal_line(76, 99),
        horizontal_line(77, 100),
        horizontal_line(78, 100),
        horizontal_line(80, 101),
        horizontal_line(81, 102),
        horizontal_line(82, 103),
        horizontal_line(83, 104),
        horizontal_line(85, 104),
        horizontal_line(86, 105),
        horizontal_line(87, 106),
        horizontal_line(88, 107),
        horizontal_line(89, 108),
        horizontal_line(91, 108),
        horizontal_line(92, 109),
        horizontal_line(93, 110),
        horizontal_line(94, 111),
        horizontal_line(96, 112),
        horizontal_line(97, 112),
        horizontal_line(98, 112),
        horizontal_line(99, 113),
        horizontal_line(100, 113),
        horizontal_line(102, 113),
        horizontal_line(103, 114),
        horizontal_line(104, 114),
        horizontal_line(105, 114),
        horizontal_line(107, 115),
        horizontal_line(108, 115),
        horizontal_line(109, 115),
        horizontal_line(110, 116),
        horizontal_line(111, 116),
        horizontal_line(113, 116),
        horizontal_line(114, 117),
        horizontal_line(115, 117),
        horizontal_line(116, 117),
        horizontal_line(118, 118),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(63, 63),
        horizontal_line(89, 111),
    };

    constexpr const horizontal_line frame_173_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(157, 182),
        horizontal_line(158, 182),
        horizontal_line(158, 183),
        horizontal_line(159, 183),
        horizontal_line(159, 184),
        horizontal_line(160, 184),
        horizontal_line(160, 185),
        horizontal_line(161, 185),
        horizontal_line(161, 186),
        horizontal_line(162, 186),
        horizontal_line(162, 187),
        horizontal_line(163, 187),
        horizontal_line(163, 188),
        horizontal_line(164, 188),
        horizontal_line(164, 189),
        horizontal_line(165, 189),
        horizontal_line(167, 190),
        horizontal_line(168, 190),
        horizontal_line(169, 191),
        horizontal_line(170, 191),
        horizontal_line(171, 192),
        horizontal_line(172, 192),
        horizontal_line(173, 193),
        horizontal_line(174, 193),
        horizontal_line(176, 194),
        horizontal_line(177, 194),
        horizontal_line(101, 101),
        horizontal_line(99, 103),
        horizontal_line(98, 106),
        horizontal_line(96, 109),
        horizontal_line(95, 112),
        horizontal_line(93, 115),
        horizontal_line(92, 118),
        horizontal_line(90, 120),
        horizontal_line(187, 199),
        horizontal_line(87, 126),
        horizontal_line(86, 129),
        horizontal_line(85, 132),
        horizontal_line(83, 135),
        horizontal_line(82, 137),
        horizontal_line(80, 140),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(63, 125),
        horizontal_line(61, 123),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
    };

    constexpr const shape frame_173_shape_group_1_shapes[] = {
        shape(frame_173_shape_group_1_shape_0_horizontal_lines, 0, 6),
        shape(frame_173_shape_group_1_shape_1_horizontal_lines, 70, 1),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 66),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(94, 106),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(65, 117),
        horizontal_line(65, 117),
        horizontal_line(65, 117),
        horizontal_line(65, 117),
        horizontal_line(65, 117),
        horizontal_line(65, 117),
        horizontal_line(65, 116),
        horizontal_line(65, 116),
        horizontal_line(65, 116),
        horizontal_line(65, 116),
        horizontal_line(65, 116),
        horizontal_line(65, 116),
        horizontal_line(65, 115),
        horizontal_line(64, 115),
        horizontal_line(64, 115),
        horizontal_line(64, 115),
        horizontal_line(64, 115),
        horizontal_line(64, 115),
        horizontal_line(64, 114),
        horizontal_line(64, 114),
        horizontal_line(64, 114),
        horizontal_line(64, 114),
        horizontal_line(64, 114),
        horizontal_line(64, 114),
        horizontal_line(64, 114),
        horizontal_line(64, 88),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(112, 135),
        horizontal_line(112, 135),
        horizontal_line(112, 135),
        horizontal_line(112, 135),
        horizontal_line(113, 135),
        horizontal_line(113, 136),
        horizontal_line(113, 136),
        horizontal_line(113, 136),
        horizontal_line(113, 136),
        horizontal_line(114, 136),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(114, 137),
        horizontal_line(114, 137),
        horizontal_line(114, 137),
        horizontal_line(115, 137),
        horizontal_line(115, 164),
        horizontal_line(115, 165),
        horizontal_line(115, 164),
        horizontal_line(115, 164),
        horizontal_line(116, 163),
        horizontal_line(116, 163),
        horizontal_line(116, 154),
        horizontal_line(116, 141),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(153, 161),
        horizontal_line(139, 161),
        horizontal_line(125, 160),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(178, 195),
        horizontal_line(179, 195),
        horizontal_line(180, 196),
        horizontal_line(181, 196),
        horizontal_line(182, 197),
        horizontal_line(183, 197),
        horizontal_line(185, 198),
        horizontal_line(186, 198),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(124, 156),
    };

    constexpr const horizontal_line frame_173_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(188, 199),
        horizontal_line(189, 200),
        horizontal_line(190, 200),
        horizontal_line(191, 201),
        horizontal_line(193, 201),
        horizontal_line(194, 202),
        horizontal_line(195, 202),
        horizontal_line(196, 203),
        horizontal_line(197, 203),
        horizontal_line(198, 204),
        horizontal_line(199, 204),
        horizontal_line(200, 205),
        horizontal_line(202, 205),
        horizontal_line(203, 206),
        horizontal_line(204, 206),
        horizontal_line(205, 207),
        horizontal_line(206, 207),
        horizontal_line(207, 208),
        horizontal_line(208, 208),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(53, 115),
        horizontal_line(51, 113),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(20, 82),
        horizontal_line(24, 86),
        horizontal_line(27, 89),
        horizontal_line(31, 93),
        horizontal_line(35, 97),
    };

    constexpr const shape frame_173_shape_group_2_shapes[] = {
        shape(frame_173_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_173_shape_group_2_shape_1_horizontal_lines, 2, 8),
        shape(frame_173_shape_group_2_shape_2_horizontal_lines, 3, 6),
        shape(frame_173_shape_group_2_shape_3_horizontal_lines, 44, 11),
        shape(frame_173_shape_group_2_shape_4_horizontal_lines, 70, 4),
        shape(frame_173_shape_group_2_shape_5_horizontal_lines, 80, 10),
        shape(frame_173_shape_group_2_shape_6_horizontal_lines, 81, 4),
        shape(frame_173_shape_group_2_shape_7_horizontal_lines, 93, 10),
        shape(frame_173_shape_group_2_shape_8_horizontal_lines, 96, 1),
        shape(frame_173_shape_group_2_shape_9_horizontal_lines, 104, 5),
        shape(frame_173_shape_group_2_shape_10_horizontal_lines, 105, 1),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(67, 68),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(108, 133),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(68, 68),
        horizontal_line(68, 69),
        horizontal_line(68, 70),
        horizontal_line(68, 71),
        horizontal_line(68, 73),
        horizontal_line(68, 74),
        horizontal_line(68, 75),
        horizontal_line(68, 76),
        horizontal_line(68, 77),
        horizontal_line(68, 79),
        horizontal_line(68, 80),
        horizontal_line(68, 81),
        horizontal_line(68, 82),
        horizontal_line(67, 84),
        horizontal_line(67, 85),
        horizontal_line(67, 86),
        horizontal_line(67, 87),
        horizontal_line(67, 88),
        horizontal_line(67, 90),
        horizontal_line(67, 91),
        horizontal_line(67, 92),
        horizontal_line(67, 93),
        horizontal_line(67, 95),
        horizontal_line(67, 96),
        horizontal_line(67, 97),
        horizontal_line(67, 98),
        horizontal_line(67, 99),
        horizontal_line(66, 101),
        horizontal_line(66, 102),
        horizontal_line(66, 103),
        horizontal_line(66, 104),
        horizontal_line(66, 106),
        horizontal_line(66, 107),
        horizontal_line(66, 108),
        horizontal_line(66, 109),
        horizontal_line(66, 110),
        horizontal_line(66, 112),
        horizontal_line(66, 113),
        horizontal_line(66, 114),
        horizontal_line(66, 115),
        horizontal_line(65, 117),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(144, 169),
        horizontal_line(144, 170),
        horizontal_line(145, 170),
        horizontal_line(145, 171),
        horizontal_line(146, 171),
        horizontal_line(146, 172),
        horizontal_line(147, 172),
        horizontal_line(147, 173),
        horizontal_line(148, 173),
        horizontal_line(148, 174),
        horizontal_line(149, 174),
        horizontal_line(149, 175),
        horizontal_line(150, 175),
        horizontal_line(151, 176),
        horizontal_line(151, 176),
        horizontal_line(152, 177),
        horizontal_line(152, 177),
        horizontal_line(153, 178),
        horizontal_line(153, 178),
        horizontal_line(154, 178),
        horizontal_line(154, 179),
        horizontal_line(155, 179),
        horizontal_line(155, 180),
        horizontal_line(156, 180),
        horizontal_line(156, 181),
        horizontal_line(157, 181),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(136, 154),
        horizontal_line(136, 154),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(136, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 155),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
        horizontal_line(137, 156),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(114, 137),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(138, 156),
        horizontal_line(138, 152),
        horizontal_line(138, 148),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(143, 144),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(101, 109),
        horizontal_line(101, 109),
        horizontal_line(101, 109),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
        horizontal_line(101, 110),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(155, 162),
        horizontal_line(142, 162),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(116, 128),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(116, 138),
        horizontal_line(114, 124),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(112, 160),
        horizontal_line(109, 156),
        horizontal_line(107, 137),
        horizontal_line(110, 118),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(113, 158),
        horizontal_line(116, 157),
        horizontal_line(119, 157),
        horizontal_line(121, 156),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(127, 155),
        horizontal_line(130, 155),
        horizontal_line(133, 154),
        horizontal_line(136, 154),
        horizontal_line(138, 153),
        horizontal_line(141, 153),
    };

    constexpr const horizontal_line frame_173_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(139, 146),
        horizontal_line(138, 149),
        horizontal_line(136, 151),
        horizontal_line(135, 151),
        horizontal_line(134, 152),
        horizontal_line(132, 153),
        horizontal_line(131, 153),
        horizontal_line(129, 154),
        horizontal_line(128, 155),
        horizontal_line(126, 155),
        horizontal_line(125, 156),
        horizontal_line(123, 157),
        horizontal_line(122, 157),
        horizontal_line(121, 158),
        horizontal_line(119, 159),
        horizontal_line(118, 159),
        horizontal_line(116, 160),
        horizontal_line(115, 161),
        horizontal_line(113, 161),
        horizontal_line(112, 162),
        horizontal_line(110, 163),
        horizontal_line(109, 163),
        horizontal_line(107, 164),
        horizontal_line(106, 165),
        horizontal_line(105, 165),
        horizontal_line(103, 165),
        horizontal_line(102, 164),
        horizontal_line(100, 162),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(124, 177),
        horizontal_line(124, 177),
        horizontal_line(82, 144),
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(93, 155),
        horizontal_line(97, 159),
    };

    constexpr const shape frame_173_shape_group_3_shapes[] = {
        shape(frame_173_shape_group_3_shape_0_horizontal_lines, 0, 11),
        shape(frame_173_shape_group_3_shape_1_horizontal_lines, 2, 8),
        shape(frame_173_shape_group_3_shape_2_horizontal_lines, 3, 11),
        shape(frame_173_shape_group_3_shape_3_horizontal_lines, 44, 1),
        shape(frame_173_shape_group_3_shape_4_horizontal_lines, 70, 9),
        shape(frame_173_shape_group_3_shape_5_horizontal_lines, 80, 4),
        shape(frame_173_shape_group_3_shape_6_horizontal_lines, 81, 9),
        shape(frame_173_shape_group_3_shape_7_horizontal_lines, 84, 4),
        shape(frame_173_shape_group_3_shape_8_horizontal_lines, 85, 5),
        shape(frame_173_shape_group_3_shape_9_horizontal_lines, 91, 9),
        shape(frame_173_shape_group_3_shape_10_horizontal_lines, 93, 4),
        shape(frame_173_shape_group_3_shape_11_horizontal_lines, 94, 9),
        shape(frame_173_shape_group_3_shape_12_horizontal_lines, 96, 10),
        shape(frame_173_shape_group_3_shape_13_horizontal_lines, 100, 5),
        shape(frame_173_shape_group_3_shape_14_horizontal_lines, 104, 3),
        shape(frame_173_shape_group_3_shape_15_horizontal_lines, 105, 5),
        shape(frame_173_shape_group_3_shape_16_horizontal_lines, 111, 1),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(93, 133),
        horizontal_line(93, 133),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(134, 148),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(95, 106),
        horizontal_line(96, 106),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(98, 107),
        horizontal_line(99, 107),
        horizontal_line(100, 108),
        horizontal_line(101, 108),
        horizontal_line(101, 108),
        horizontal_line(102, 108),
        horizontal_line(103, 109),
        horizontal_line(104, 109),
        horizontal_line(105, 109),
        horizontal_line(105, 109),
        horizontal_line(106, 110),
        horizontal_line(107, 110),
        horizontal_line(108, 110),
        horizontal_line(109, 110),
        horizontal_line(109, 111),
        horizontal_line(110, 111),
        horizontal_line(111, 111),
        horizontal_line(130, 134),
        horizontal_line(132, 134),
        horizontal_line(133, 134),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(136, 161),
        horizontal_line(136, 162),
        horizontal_line(137, 162),
        horizontal_line(137, 163),
        horizontal_line(138, 163),
        horizontal_line(138, 164),
        horizontal_line(139, 164),
        horizontal_line(139, 165),
        horizontal_line(140, 165),
        horizontal_line(140, 166),
        horizontal_line(141, 166),
        horizontal_line(141, 167),
        horizontal_line(142, 167),
        horizontal_line(142, 168),
        horizontal_line(143, 168),
        horizontal_line(143, 169),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(118, 140),
        horizontal_line(118, 136),
        horizontal_line(118, 132),
        horizontal_line(118, 128),
        horizontal_line(118, 123),
        horizontal_line(118, 119),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(134, 143),
        horizontal_line(130, 138),
        horizontal_line(125, 134),
        horizontal_line(121, 130),
        horizontal_line(117, 126),
        horizontal_line(117, 121),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(147, 149),
        horizontal_line(143, 150),
        horizontal_line(139, 150),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(116, 133),
        horizontal_line(116, 133),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
        horizontal_line(115, 134),
        horizontal_line(115, 134),
        horizontal_line(115, 134),
        horizontal_line(115, 134),
        horizontal_line(112, 134),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(106, 106),
        horizontal_line(103, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 108),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(138, 156),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(101, 108),
        horizontal_line(101, 108),
        horizontal_line(101, 109),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(157, 163),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(101, 110),
        horizontal_line(101, 111),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(129, 152),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(101, 111),
        horizontal_line(101, 111),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(104, 108),
        horizontal_line(138, 159),
        horizontal_line(119, 158),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(62, 88),
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(144, 152),
        horizontal_line(147, 152),
        horizontal_line(150, 151),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(24, 73),
        horizontal_line(24, 72),
        horizontal_line(24, 71),
        horizontal_line(24, 69),
        horizontal_line(23, 68),
        horizontal_line(23, 66),
        horizontal_line(23, 65),
        horizontal_line(23, 63),
        horizontal_line(23, 62),
        horizontal_line(23, 60),
        horizontal_line(22, 59),
        horizontal_line(22, 58),
        horizontal_line(22, 56),
        horizontal_line(22, 55),
        horizontal_line(22, 53),
        horizontal_line(22, 52),
        horizontal_line(21, 50),
        horizontal_line(21, 49),
        horizontal_line(21, 47),
        horizontal_line(21, 46),
        horizontal_line(21, 44),
        horizontal_line(21, 43),
        horizontal_line(20, 42),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(165, 166),
        horizontal_line(164, 167),
        horizontal_line(162, 167),
        horizontal_line(161, 168),
        horizontal_line(159, 169),
        horizontal_line(158, 169),
        horizontal_line(156, 170),
        horizontal_line(155, 171),
        horizontal_line(154, 171),
        horizontal_line(152, 172),
        horizontal_line(151, 173),
        horizontal_line(149, 173),
        horizontal_line(148, 174),
        horizontal_line(146, 175),
        horizontal_line(145, 175),
        horizontal_line(143, 176),
    };

    constexpr const horizontal_line frame_173_shape_group_4_shape_23_horizontal_lines[] = {
        horizontal_line(144, 178),
        horizontal_line(148, 179),
        horizontal_line(151, 179),
        horizontal_line(155, 180),
        horizontal_line(159, 181),
    };

    constexpr const shape frame_173_shape_group_4_shapes[] = {
        shape(frame_173_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_173_shape_group_4_shape_1_horizontal_lines, 2, 1),
        shape(frame_173_shape_group_4_shape_2_horizontal_lines, 3, 8),
        shape(frame_173_shape_group_4_shape_3_horizontal_lines, 28, 1),
        shape(frame_173_shape_group_4_shape_4_horizontal_lines, 44, 12),
        shape(frame_173_shape_group_4_shape_5_horizontal_lines, 50, 10),
        shape(frame_173_shape_group_4_shape_6_horizontal_lines, 56, 12),
        shape(frame_173_shape_group_4_shape_7_horizontal_lines, 59, 13),
        shape(frame_173_shape_group_4_shape_8_horizontal_lines, 60, 4),
        shape(frame_173_shape_group_4_shape_9_horizontal_lines, 70, 5),
        shape(frame_173_shape_group_4_shape_10_horizontal_lines, 80, 9),
        shape(frame_173_shape_group_4_shape_11_horizontal_lines, 81, 5),
        shape(frame_173_shape_group_4_shape_12_horizontal_lines, 84, 4),
        shape(frame_173_shape_group_4_shape_13_horizontal_lines, 85, 3),
        shape(frame_173_shape_group_4_shape_14_horizontal_lines, 91, 5),
        shape(frame_173_shape_group_4_shape_15_horizontal_lines, 93, 9),
        shape(frame_173_shape_group_4_shape_16_horizontal_lines, 94, 5),
        shape(frame_173_shape_group_4_shape_17_horizontal_lines, 96, 4),
        shape(frame_173_shape_group_4_shape_18_horizontal_lines, 97, 5),
        shape(frame_173_shape_group_4_shape_19_horizontal_lines, 100, 3),
        shape(frame_173_shape_group_4_shape_20_horizontal_lines, 111, 5),
        shape(frame_173_shape_group_4_shape_21_horizontal_lines, 114, 3),
        shape(frame_173_shape_group_4_shape_22_horizontal_lines, 137, 1),
        shape(frame_173_shape_group_4_shape_23_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(134, 148),
        horizontal_line(134, 148),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(108, 133),
        horizontal_line(109, 133),
        horizontal_line(109, 133),
        horizontal_line(110, 133),
        horizontal_line(110, 133),
        horizontal_line(111, 133),
        horizontal_line(112, 133),
        horizontal_line(113, 133),
        horizontal_line(114, 133),
        horizontal_line(115, 133),
        horizontal_line(117, 133),
        horizontal_line(118, 134),
        horizontal_line(119, 134),
        horizontal_line(120, 134),
        horizontal_line(122, 134),
        horizontal_line(123, 134),
        horizontal_line(124, 134),
        horizontal_line(125, 134),
        horizontal_line(127, 134),
        horizontal_line(128, 134),
        horizontal_line(129, 134),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(135, 159),
        horizontal_line(135, 160),
        horizontal_line(135, 160),
        horizontal_line(135, 161),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(114, 135),
        horizontal_line(114, 135),
        horizontal_line(114, 136),
        horizontal_line(115, 136),
        horizontal_line(115, 137),
        horizontal_line(115, 137),
        horizontal_line(116, 138),
        horizontal_line(116, 138),
        horizontal_line(116, 139),
        horizontal_line(117, 139),
        horizontal_line(117, 140),
        horizontal_line(117, 140),
        horizontal_line(118, 141),
        horizontal_line(118, 141),
        horizontal_line(118, 142),
        horizontal_line(119, 142),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(137, 143),
        horizontal_line(133, 144),
        horizontal_line(129, 144),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(143, 145),
        horizontal_line(138, 145),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(117, 133),
        horizontal_line(117, 129),
        horizontal_line(117, 124),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(127, 147),
        horizontal_line(122, 143),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(116, 117),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(116, 135),
        horizontal_line(116, 131),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(128, 134),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(134, 151),
        horizontal_line(134, 152),
        horizontal_line(134, 152),
        horizontal_line(134, 153),
        horizontal_line(134, 153),
        horizontal_line(135, 153),
        horizontal_line(135, 153),
        horizontal_line(135, 153),
        horizontal_line(135, 154),
        horizontal_line(135, 154),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(155, 157),
        horizontal_line(156, 157),
        horizontal_line(156, 158),
        horizontal_line(156, 158),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(157, 161),
        horizontal_line(101, 108),
        horizontal_line(157, 162),
        horizontal_line(153, 162),
        horizontal_line(149, 163),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(71, 100),
        horizontal_line(69, 100),
        horizontal_line(67, 100),
        horizontal_line(64, 100),
        horizontal_line(62, 100),
        horizontal_line(60, 100),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(101, 111),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(102, 110),
        horizontal_line(157, 159),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(36, 94),
        horizontal_line(34, 92),
        horizontal_line(32, 91),
        horizontal_line(29, 89),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(26, 86),
        horizontal_line(25, 85),
        horizontal_line(25, 84),
        horizontal_line(25, 82),
        horizontal_line(25, 81),
        horizontal_line(25, 79),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(24, 75),
    };

    constexpr const horizontal_line frame_173_shape_group_5_shape_22_horizontal_lines[] = {
        horizontal_line(20, 40),
        horizontal_line(20, 39),
        horizontal_line(20, 37),
        horizontal_line(20, 36),
        horizontal_line(20, 34),
        horizontal_line(19, 33),
        horizontal_line(19, 31),
        horizontal_line(19, 30),
        horizontal_line(19, 29),
        horizontal_line(19, 27),
        horizontal_line(19, 26),
        horizontal_line(18, 24),
        horizontal_line(18, 23),
        horizontal_line(18, 21),
        horizontal_line(18, 20),
        horizontal_line(18, 18),
    };

    constexpr const shape frame_173_shape_group_5_shapes[] = {
        shape(frame_173_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_173_shape_group_5_shape_1_horizontal_lines, 2, 12),
        shape(frame_173_shape_group_5_shape_2_horizontal_lines, 3, 8),
        shape(frame_173_shape_group_5_shape_3_horizontal_lines, 24, 1),
        shape(frame_173_shape_group_5_shape_4_horizontal_lines, 28, 12),
        shape(frame_173_shape_group_5_shape_5_horizontal_lines, 44, 14),
        shape(frame_173_shape_group_5_shape_6_horizontal_lines, 48, 10),
        shape(frame_173_shape_group_5_shape_7_horizontal_lines, 50, 14),
        shape(frame_173_shape_group_5_shape_8_horizontal_lines, 54, 13),
        shape(frame_173_shape_group_5_shape_9_horizontal_lines, 56, 10),
        shape(frame_173_shape_group_5_shape_10_horizontal_lines, 57, 13),
        shape(frame_173_shape_group_5_shape_11_horizontal_lines, 59, 2),
        shape(frame_173_shape_group_5_shape_12_horizontal_lines, 60, 9),
        shape(frame_173_shape_group_5_shape_13_horizontal_lines, 70, 3),
        shape(frame_173_shape_group_5_shape_14_horizontal_lines, 71, 5),
        shape(frame_173_shape_group_5_shape_15_horizontal_lines, 84, 9),
        shape(frame_173_shape_group_5_shape_16_horizontal_lines, 85, 3),
        shape(frame_173_shape_group_5_shape_17_horizontal_lines, 93, 5),
        shape(frame_173_shape_group_5_shape_18_horizontal_lines, 94, 3),
        shape(frame_173_shape_group_5_shape_19_horizontal_lines, 96, 5),
        shape(frame_173_shape_group_5_shape_20_horizontal_lines, 98, 3),
        shape(frame_173_shape_group_5_shape_21_horizontal_lines, 105, 3),
        shape(frame_173_shape_group_5_shape_22_horizontal_lines, 137, 3),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 150),
        horizontal_line(134, 150),
        horizontal_line(134, 151),
        horizontal_line(134, 151),
        horizontal_line(134, 152),
        horizontal_line(134, 152),
        horizontal_line(134, 153),
        horizontal_line(134, 153),
        horizontal_line(134, 154),
        horizontal_line(135, 154),
        horizontal_line(135, 155),
        horizontal_line(135, 155),
        horizontal_line(135, 156),
        horizontal_line(135, 156),
        horizontal_line(135, 157),
        horizontal_line(135, 157),
        horizontal_line(135, 158),
        horizontal_line(135, 158),
        horizontal_line(135, 159),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(116, 129),
        horizontal_line(113, 131),
        horizontal_line(113, 132),
        horizontal_line(113, 133),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(124, 142),
        horizontal_line(120, 137),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(144, 146),
        horizontal_line(139, 146),
        horizontal_line(135, 147),
        horizontal_line(131, 147),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(118, 139),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(136, 142),
        horizontal_line(132, 138),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(116, 126),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(154, 154),
        horizontal_line(154, 155),
        horizontal_line(155, 155),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(101, 109),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(110, 114),
        horizontal_line(110, 114),
        horizontal_line(110, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(57, 100),
        horizontal_line(55, 100),
        horizontal_line(0, 38),
        horizontal_line(50, 100),
        horizontal_line(48, 100),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(41, 97),
        horizontal_line(39, 95),
    };

    constexpr const horizontal_line frame_173_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(25, 78),
        horizontal_line(24, 76),
    };

    constexpr const shape frame_173_shape_group_6_shapes[] = {
        shape(frame_173_shape_group_6_shape_0_horizontal_lines, 3, 1),
        shape(frame_173_shape_group_6_shape_1_horizontal_lines, 24, 12),
        shape(frame_173_shape_group_6_shape_2_horizontal_lines, 48, 14),
        shape(frame_173_shape_group_6_shape_3_horizontal_lines, 50, 13),
        shape(frame_173_shape_group_6_shape_4_horizontal_lines, 54, 2),
        shape(frame_173_shape_group_6_shape_5_horizontal_lines, 56, 13),
        shape(frame_173_shape_group_6_shape_6_horizontal_lines, 57, 2),
        shape(frame_173_shape_group_6_shape_7_horizontal_lines, 59, 4),
        shape(frame_173_shape_group_6_shape_8_horizontal_lines, 65, 5),
        shape(frame_173_shape_group_6_shape_9_horizontal_lines, 70, 3),
        shape(frame_173_shape_group_6_shape_10_horizontal_lines, 80, 5),
        shape(frame_173_shape_group_6_shape_11_horizontal_lines, 81, 3),
        shape(frame_173_shape_group_6_shape_12_horizontal_lines, 84, 5),
        shape(frame_173_shape_group_6_shape_13_horizontal_lines, 85, 15),
        shape(frame_173_shape_group_6_shape_14_horizontal_lines, 91, 3),
        shape(frame_173_shape_group_6_shape_15_horizontal_lines, 111, 3),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(107, 108),
        horizontal_line(108, 108),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 110),
        horizontal_line(109, 111),
        horizontal_line(109, 112),
        horizontal_line(109, 113),
        horizontal_line(109, 114),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(110, 117),
        horizontal_line(110, 118),
        horizontal_line(110, 119),
        horizontal_line(111, 121),
        horizontal_line(111, 122),
        horizontal_line(111, 123),
        horizontal_line(111, 124),
        horizontal_line(112, 126),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(120, 128),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(140, 146),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(109, 111),
        horizontal_line(107, 111),
        horizontal_line(107, 111),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(97, 100),
        horizontal_line(95, 100),
        horizontal_line(92, 100),
        horizontal_line(90, 100),
        horizontal_line(88, 100),
        horizontal_line(85, 100),
        horizontal_line(0, 52),
        horizontal_line(81, 100),
        horizontal_line(78, 100),
        horizontal_line(76, 100),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(145, 156),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(111, 115),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(53, 100),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(112, 115),
        horizontal_line(112, 113),
    };

    constexpr const horizontal_line frame_173_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(46, 100),
        horizontal_line(43, 98),
    };

    constexpr const shape frame_173_shape_group_7_shapes[] = {
        shape(frame_173_shape_group_7_shape_0_horizontal_lines, 3, 12),
        shape(frame_173_shape_group_7_shape_1_horizontal_lines, 14, 10),
        shape(frame_173_shape_group_7_shape_2_horizontal_lines, 22, 12),
        shape(frame_173_shape_group_7_shape_3_horizontal_lines, 24, 10),
        shape(frame_173_shape_group_7_shape_4_horizontal_lines, 56, 2),
        shape(frame_173_shape_group_7_shape_5_horizontal_lines, 59, 4),
        shape(frame_173_shape_group_7_shape_6_horizontal_lines, 68, 3),
        shape(frame_173_shape_group_7_shape_7_horizontal_lines, 70, 15),
        shape(frame_173_shape_group_7_shape_8_horizontal_lines, 73, 3),
        shape(frame_173_shape_group_7_shape_9_horizontal_lines, 84, 5),
        shape(frame_173_shape_group_7_shape_10_horizontal_lines, 91, 15),
        shape(frame_173_shape_group_7_shape_11_horizontal_lines, 93, 3),
        shape(frame_173_shape_group_7_shape_12_horizontal_lines, 94, 15),
        shape(frame_173_shape_group_7_shape_13_horizontal_lines, 96, 3),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(111, 116),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(112, 124),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(107, 111),
        horizontal_line(107, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(83, 100),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 47),
    };

    constexpr const horizontal_line frame_173_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(112, 115),
    };

    constexpr const shape frame_173_shape_group_8_shapes[] = {
        shape(frame_173_shape_group_8_shape_0_horizontal_lines, 13, 10),
        shape(frame_173_shape_group_8_shape_1_horizontal_lines, 22, 10),
        shape(frame_173_shape_group_8_shape_2_horizontal_lines, 59, 9),
        shape(frame_173_shape_group_8_shape_3_horizontal_lines, 73, 15),
        shape(frame_173_shape_group_8_shape_4_horizontal_lines, 80, 3),
        shape(frame_173_shape_group_8_shape_5_horizontal_lines, 81, 15),
        shape(frame_173_shape_group_8_shape_6_horizontal_lines, 84, 3),
        shape(frame_173_shape_group_8_shape_7_horizontal_lines, 93, 15),
    };

    constexpr const horizontal_line frame_173_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_173_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(74, 100),
    };

    constexpr const shape frame_173_shape_group_9_shapes[] = {
        shape(frame_173_shape_group_9_shape_0_horizontal_lines, 80, 15),
        shape(frame_173_shape_group_9_shape_1_horizontal_lines, 84, 3),
    };

    constexpr const horizontal_line frame_173_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(110, 114),
    };

    constexpr const shape frame_173_shape_group_10_shapes[] = {
        shape(frame_173_shape_group_10_shape_0_horizontal_lines, 84, 15),
    };

    constexpr const shape_group frame_173_shape_groups[] = {
        shape_group(frame_173_shape_group_0_shapes),
        shape_group(frame_173_shape_group_1_shapes),
        shape_group(frame_173_shape_group_2_shapes),
        shape_group(frame_173_shape_group_3_shapes),
        shape_group(frame_173_shape_group_4_shapes),
        shape_group(frame_173_shape_group_5_shapes),
        shape_group(frame_173_shape_group_6_shapes),
        shape_group(frame_173_shape_group_7_shapes),
        shape_group(frame_173_shape_group_8_shapes),
        shape_group(frame_173_shape_group_9_shapes),
        shape_group(frame_173_shape_group_10_shapes),
    };

    constexpr const frame frame_173_impl(frame_173_colors, frame_173_shape_groups);
} 

const frame& frame_173()
{
    return frame_173_impl;
}

namespace
{
    constexpr const bn::color frame_174_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(12, 4, 0),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_174_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(11, 73),
        horizontal_line(21, 83),
        horizontal_line(31, 93),
        horizontal_line(42, 104),
        horizontal_line(52, 103),
        horizontal_line(62, 103),
        horizontal_line(73, 103),
        horizontal_line(83, 103),
        horizontal_line(93, 103),
    };

    constexpr const horizontal_line frame_174_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 57),
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 40),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 23),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_174_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(128, 161),
        horizontal_line(115, 161),
        horizontal_line(102, 160),
        horizontal_line(99, 143),
        horizontal_line(96, 125),
        horizontal_line(93, 107),
    };

    constexpr const horizontal_line frame_174_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(159, 190),
        horizontal_line(159, 192),
        horizontal_line(158, 193),
        horizontal_line(158, 195),
        horizontal_line(157, 196),
        horizontal_line(157, 198),
        horizontal_line(156, 199),
        horizontal_line(156, 201),
        horizontal_line(155, 202),
        horizontal_line(155, 203),
        horizontal_line(154, 205),
        horizontal_line(154, 206),
        horizontal_line(153, 208),
        horizontal_line(153, 209),
        horizontal_line(152, 211),
        horizontal_line(152, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
    };

    constexpr const shape frame_174_shape_group_0_shapes[] = {
        shape(frame_174_shape_group_0_shape_0_horizontal_lines, 0, 11),
        shape(frame_174_shape_group_0_shape_1_horizontal_lines, 63, 6),
        shape(frame_174_shape_group_0_shape_2_horizontal_lines, 96, 10),
        shape(frame_174_shape_group_0_shape_3_horizontal_lines, 102, 7),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(62, 77),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 80),
        horizontal_line(62, 81),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 93),
        horizontal_line(62, 94),
        horizontal_line(62, 95),
        horizontal_line(62, 96),
        horizontal_line(62, 97),
        horizontal_line(62, 98),
        horizontal_line(62, 99),
        horizontal_line(62, 100),
        horizontal_line(62, 101),
        horizontal_line(62, 102),
        horizontal_line(62, 103),
        horizontal_line(62, 104),
        horizontal_line(62, 105),
        horizontal_line(62, 106),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 107),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 106),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 105),
        horizontal_line(62, 104),
        horizontal_line(63, 104),
        horizontal_line(73, 104),
        horizontal_line(83, 104),
        horizontal_line(93, 104),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 103),
        horizontal_line(62, 100),
        horizontal_line(62, 97),
        horizontal_line(62, 95),
        horizontal_line(62, 92),
        horizontal_line(62, 90),
        horizontal_line(62, 87),
        horizontal_line(62, 85),
        horizontal_line(62, 81),
        horizontal_line(62, 78),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 68),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(105, 130),
        horizontal_line(106, 130),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(157, 163),
        horizontal_line(155, 163),
        horizontal_line(153, 164),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(107, 131),
        horizontal_line(107, 131),
        horizontal_line(107, 131),
        horizontal_line(107, 131),
        horizontal_line(107, 167),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(167, 168),
        horizontal_line(166, 169),
        horizontal_line(166, 171),
        horizontal_line(165, 172),
        horizontal_line(165, 174),
        horizontal_line(164, 175),
        horizontal_line(164, 177),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(155, 162),
        horizontal_line(141, 162),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(162, 181),
        horizontal_line(162, 183),
        horizontal_line(161, 184),
        horizontal_line(161, 186),
        horizontal_line(160, 187),
        horizontal_line(160, 189),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(95, 157),
        horizontal_line(98, 158),
        horizontal_line(101, 157),
        horizontal_line(104, 157),
        horizontal_line(107, 156),
        horizontal_line(110, 156),
        horizontal_line(113, 155),
        horizontal_line(116, 155),
        horizontal_line(119, 154),
        horizontal_line(121, 154),
        horizontal_line(124, 153),
        horizontal_line(127, 153),
        horizontal_line(130, 152),
        horizontal_line(133, 152),
        horizontal_line(136, 151),
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_174_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(213, 214),
        horizontal_line(213, 215),
        horizontal_line(212, 217),
        horizontal_line(213, 218),
        horizontal_line(213, 220),
        horizontal_line(214, 221),
        horizontal_line(214, 223),
        horizontal_line(215, 224),
        horizontal_line(216, 226),
        horizontal_line(216, 227),
        horizontal_line(217, 229),
        horizontal_line(218, 230),
        horizontal_line(218, 232),
        horizontal_line(219, 233),
        horizontal_line(219, 235),
        horizontal_line(220, 236),
        horizontal_line(221, 238),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_174_shape_group_1_shapes[] = {
        shape(frame_174_shape_group_1_shape_0_horizontal_lines, 0, 11),
        shape(frame_174_shape_group_1_shape_1_horizontal_lines, 58, 6),
        shape(frame_174_shape_group_1_shape_2_horizontal_lines, 77, 4),
        shape(frame_174_shape_group_1_shape_3_horizontal_lines, 79, 10),
        shape(frame_174_shape_group_1_shape_4_horizontal_lines, 82, 4),
        shape(frame_174_shape_group_1_shape_5_horizontal_lines, 87, 7),
        shape(frame_174_shape_group_1_shape_6_horizontal_lines, 94, 10),
        shape(frame_174_shape_group_1_shape_7_horizontal_lines, 96, 7),
        shape(frame_174_shape_group_1_shape_8_horizontal_lines, 102, 5),
        shape(frame_174_shape_group_1_shape_9_horizontal_lines, 118, 7),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(77, 92),
        horizontal_line(77, 92),
        horizontal_line(78, 93),
        horizontal_line(79, 94),
        horizontal_line(80, 94),
        horizontal_line(81, 95),
        horizontal_line(82, 96),
        horizontal_line(83, 96),
        horizontal_line(84, 97),
        horizontal_line(85, 98),
        horizontal_line(86, 99),
        horizontal_line(87, 99),
        horizontal_line(88, 100),
        horizontal_line(89, 100),
        horizontal_line(90, 100),
        horizontal_line(91, 101),
        horizontal_line(92, 101),
        horizontal_line(92, 102),
        horizontal_line(93, 102),
        horizontal_line(94, 102),
        horizontal_line(95, 103),
        horizontal_line(96, 103),
        horizontal_line(97, 103),
        horizontal_line(98, 104),
        horizontal_line(99, 104),
        horizontal_line(100, 105),
        horizontal_line(101, 105),
        horizontal_line(102, 105),
        horizontal_line(103, 106),
        horizontal_line(104, 106),
        horizontal_line(105, 106),
        horizontal_line(106, 107),
        horizontal_line(107, 107),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(140, 144),
        horizontal_line(136, 144),
        horizontal_line(132, 145),
        horizontal_line(128, 142),
        horizontal_line(123, 137),
        horizontal_line(119, 133),
        horizontal_line(115, 129),
        horizontal_line(111, 125),
        horizontal_line(107, 121),
        horizontal_line(105, 116),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 10),
        horizontal_line(0, 20),
        horizontal_line(0, 30),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(129, 146),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(104, 127),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 82),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(104, 127),
        horizontal_line(102, 128),
        horizontal_line(103, 128),
        horizontal_line(103, 128),
        horizontal_line(103, 128),
        horizontal_line(103, 128),
        horizontal_line(104, 128),
        horizontal_line(104, 129),
        horizontal_line(104, 129),
        horizontal_line(104, 129),
        horizontal_line(104, 129),
        horizontal_line(105, 129),
        horizontal_line(105, 130),
        horizontal_line(105, 130),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(131, 150),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(106, 130),
        horizontal_line(106, 130),
        horizontal_line(106, 131),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(86, 86),
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(162, 165),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(86, 87),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(108, 166),
        horizontal_line(108, 165),
        horizontal_line(108, 165),
        horizontal_line(108, 164),
        horizontal_line(109, 164),
        horizontal_line(109, 150),
        horizontal_line(109, 136),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(163, 178),
        horizontal_line(163, 180),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(102, 103),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(87, 90),
        horizontal_line(89, 90),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_17_horizontal_lines[] = {
        horizontal_line(92, 92),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_18_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_19_horizontal_lines[] = {
        horizontal_line(142, 150),
        horizontal_line(145, 150),
        horizontal_line(148, 149),
    };

    constexpr const horizontal_line frame_174_shape_group_2_shape_20_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_174_shape_group_2_shapes[] = {
        shape(frame_174_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_174_shape_group_2_shape_1_horizontal_lines, 34, 7),
        shape(frame_174_shape_group_2_shape_2_horizontal_lines, 43, 10),
        shape(frame_174_shape_group_2_shape_3_horizontal_lines, 53, 6),
        shape(frame_174_shape_group_2_shape_4_horizontal_lines, 58, 12),
        shape(frame_174_shape_group_2_shape_5_horizontal_lines, 59, 4),
        shape(frame_174_shape_group_2_shape_6_horizontal_lines, 60, 6),
        shape(frame_174_shape_group_2_shape_7_horizontal_lines, 63, 4),
        shape(frame_174_shape_group_2_shape_8_horizontal_lines, 78, 9),
        shape(frame_174_shape_group_2_shape_9_horizontal_lines, 79, 4),
        shape(frame_174_shape_group_2_shape_10_horizontal_lines, 82, 9),
        shape(frame_174_shape_group_2_shape_11_horizontal_lines, 84, 4),
        shape(frame_174_shape_group_2_shape_12_horizontal_lines, 86, 9),
        shape(frame_174_shape_group_2_shape_13_horizontal_lines, 87, 4),
        shape(frame_174_shape_group_2_shape_14_horizontal_lines, 94, 7),
        shape(frame_174_shape_group_2_shape_15_horizontal_lines, 96, 4),
        shape(frame_174_shape_group_2_shape_16_horizontal_lines, 99, 9),
        shape(frame_174_shape_group_2_shape_17_horizontal_lines, 101, 5),
        shape(frame_174_shape_group_2_shape_18_horizontal_lines, 103, 3),
        shape(frame_174_shape_group_2_shape_19_horizontal_lines, 118, 5),
        shape(frame_174_shape_group_2_shape_20_horizontal_lines, 121, 3),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(94, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(96, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(98, 98),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(108, 139),
        horizontal_line(108, 139),
        horizontal_line(108, 140),
        horizontal_line(108, 140),
        horizontal_line(108, 141),
        horizontal_line(108, 137),
        horizontal_line(107, 133),
        horizontal_line(107, 129),
        horizontal_line(107, 126),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(117, 142),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(105, 112),
        horizontal_line(105, 108),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(141, 150),
        horizontal_line(137, 150),
        horizontal_line(133, 149),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(104, 127),
        horizontal_line(104, 127),
        horizontal_line(104, 127),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(128, 147),
        horizontal_line(129, 147),
        horizontal_line(129, 147),
        horizontal_line(129, 147),
        horizontal_line(129, 147),
        horizontal_line(129, 148),
        horizontal_line(129, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 148),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(160, 161),
        horizontal_line(160, 161),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(131, 149),
        horizontal_line(160, 162),
        horizontal_line(131, 150),
        horizontal_line(131, 150),
        horizontal_line(86, 86),
        horizontal_line(132, 150),
        horizontal_line(132, 146),
        horizontal_line(86, 86),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(147, 166),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(88, 99),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(86, 87),
        horizontal_line(86, 87),
        horizontal_line(86, 88),
        horizontal_line(86, 88),
        horizontal_line(86, 88),
        horizontal_line(86, 88),
        horizontal_line(86, 88),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(109, 122),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(86, 90),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(91, 98),
        horizontal_line(91, 95),
        horizontal_line(108, 159),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(62, 75),
        horizontal_line(62, 74),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 68),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_174_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 52),
    };

    constexpr const shape frame_174_shape_group_3_shapes[] = {
        shape(frame_174_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_174_shape_group_3_shape_1_horizontal_lines, 10, 7),
        shape(frame_174_shape_group_3_shape_2_horizontal_lines, 34, 12),
        shape(frame_174_shape_group_3_shape_3_horizontal_lines, 43, 7),
        shape(frame_174_shape_group_3_shape_4_horizontal_lines, 52, 13),
        shape(frame_174_shape_group_3_shape_5_horizontal_lines, 53, 10),
        shape(frame_174_shape_group_3_shape_6_horizontal_lines, 55, 12),
        shape(frame_174_shape_group_3_shape_7_horizontal_lines, 58, 14),
        shape(frame_174_shape_group_3_shape_8_horizontal_lines, 59, 9),
        shape(frame_174_shape_group_3_shape_9_horizontal_lines, 60, 4),
        shape(frame_174_shape_group_3_shape_10_horizontal_lines, 63, 9),
        shape(frame_174_shape_group_3_shape_11_horizontal_lines, 73, 4),
        shape(frame_174_shape_group_3_shape_12_horizontal_lines, 77, 9),
        shape(frame_174_shape_group_3_shape_13_horizontal_lines, 85, 4),
        shape(frame_174_shape_group_3_shape_14_horizontal_lines, 86, 5),
        shape(frame_174_shape_group_3_shape_15_horizontal_lines, 87, 9),
        shape(frame_174_shape_group_3_shape_16_horizontal_lines, 94, 4),
        shape(frame_174_shape_group_3_shape_17_horizontal_lines, 96, 9),
        shape(frame_174_shape_group_3_shape_18_horizontal_lines, 99, 5),
        shape(frame_174_shape_group_3_shape_19_horizontal_lines, 102, 3),
        shape(frame_174_shape_group_3_shape_20_horizontal_lines, 118, 3),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(98, 127),
        horizontal_line(98, 127),
        horizontal_line(98, 127),
        horizontal_line(98, 123),
        horizontal_line(98, 119),
        horizontal_line(99, 115),
        horizontal_line(99, 111),
        horizontal_line(99, 107),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(100, 127),
        horizontal_line(100, 127),
        horizontal_line(101, 127),
        horizontal_line(101, 128),
        horizontal_line(101, 128),
        horizontal_line(102, 129),
        horizontal_line(102, 129),
        horizontal_line(103, 130),
        horizontal_line(103, 130),
        horizontal_line(103, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 132),
        horizontal_line(104, 132),
        horizontal_line(105, 133),
        horizontal_line(105, 133),
        horizontal_line(106, 134),
        horizontal_line(106, 134),
        horizontal_line(106, 135),
        horizontal_line(107, 136),
        horizontal_line(107, 136),
        horizontal_line(107, 137),
        horizontal_line(108, 137),
        horizontal_line(108, 138),
        horizontal_line(109, 138),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(134, 142),
        horizontal_line(130, 142),
        horizontal_line(127, 143),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(107, 122),
        horizontal_line(107, 118),
        horizontal_line(107, 114),
        horizontal_line(106, 110),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(106, 118),
        horizontal_line(106, 114),
        horizontal_line(106, 110),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(143, 148),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(145, 149),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(105, 131),
        horizontal_line(105, 127),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(150, 151),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 146),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(96, 96),
        horizontal_line(93, 96),
        horizontal_line(91, 96),
        horizontal_line(88, 96),
        horizontal_line(86, 96),
        horizontal_line(86, 97),
        horizontal_line(86, 97),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(130, 149),
        horizontal_line(130, 149),
        horizontal_line(131, 149),
        horizontal_line(131, 149),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(86, 98),
        horizontal_line(86, 98),
        horizontal_line(86, 98),
        horizontal_line(86, 98),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(132, 150),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(87, 99),
        horizontal_line(87, 99),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(132, 142),
        horizontal_line(86, 87),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(88, 100),
        horizontal_line(88, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(151, 163),
        horizontal_line(137, 163),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(106, 127),
        horizontal_line(104, 114),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(91, 99),
        horizontal_line(144, 160),
        horizontal_line(126, 159),
    };

    constexpr const horizontal_line frame_174_shape_group_4_shape_23_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 80),
    };

    constexpr const shape frame_174_shape_group_4_shapes[] = {
        shape(frame_174_shape_group_4_shape_0_horizontal_lines, 0, 10),
        shape(frame_174_shape_group_4_shape_1_horizontal_lines, 9, 7),
        shape(frame_174_shape_group_4_shape_2_horizontal_lines, 10, 12),
        shape(frame_174_shape_group_4_shape_3_horizontal_lines, 39, 14),
        shape(frame_174_shape_group_4_shape_4_horizontal_lines, 43, 12),
        shape(frame_174_shape_group_4_shape_5_horizontal_lines, 48, 14),
        shape(frame_174_shape_group_4_shape_6_horizontal_lines, 52, 2),
        shape(frame_174_shape_group_4_shape_7_horizontal_lines, 53, 12),
        shape(frame_174_shape_group_4_shape_8_horizontal_lines, 55, 13),
        shape(frame_174_shape_group_4_shape_9_horizontal_lines, 57, 14),
        shape(frame_174_shape_group_4_shape_10_horizontal_lines, 58, 13),
        shape(frame_174_shape_group_4_shape_11_horizontal_lines, 59, 5),
        shape(frame_174_shape_group_4_shape_12_horizontal_lines, 60, 9),
        shape(frame_174_shape_group_4_shape_13_horizontal_lines, 63, 5),
        shape(frame_174_shape_group_4_shape_14_horizontal_lines, 73, 9),
        shape(frame_174_shape_group_4_shape_15_horizontal_lines, 77, 5),
        shape(frame_174_shape_group_4_shape_16_horizontal_lines, 81, 9),
        shape(frame_174_shape_group_4_shape_17_horizontal_lines, 82, 5),
        shape(frame_174_shape_group_4_shape_18_horizontal_lines, 84, 9),
        shape(frame_174_shape_group_4_shape_19_horizontal_lines, 86, 15),
        shape(frame_174_shape_group_4_shape_20_horizontal_lines, 87, 5),
        shape(frame_174_shape_group_4_shape_21_horizontal_lines, 92, 9),
        shape(frame_174_shape_group_4_shape_22_horizontal_lines, 98, 5),
        shape(frame_174_shape_group_4_shape_23_horizontal_lines, 101, 3),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(100, 127),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(123, 139),
        horizontal_line(119, 135),
        horizontal_line(115, 131),
        horizontal_line(111, 127),
        horizontal_line(107, 122),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(134, 146),
        horizontal_line(130, 147),
        horizontal_line(126, 147),
        horizontal_line(122, 146),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(113, 139),
        horizontal_line(109, 135),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(132, 140),
        horizontal_line(128, 136),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(110, 123),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(121, 128),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(147, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(153, 154),
        horizontal_line(101, 101),
        horizontal_line(98, 102),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(148, 153),
        horizontal_line(148, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(86, 97),
        horizontal_line(86, 97),
        horizontal_line(86, 97),
        horizontal_line(86, 98),
        horizontal_line(150, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 156),
        horizontal_line(151, 154),
        horizontal_line(87, 98),
        horizontal_line(151, 164),
        horizontal_line(147, 165),
        horizontal_line(87, 99),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(31, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 108),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(89, 100),
        horizontal_line(89, 101),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(123, 154),
        horizontal_line(109, 140),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(90, 101),
        horizontal_line(90, 101),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_174_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 81),
    };

    constexpr const shape frame_174_shape_group_5_shapes[] = {
        shape(frame_174_shape_group_5_shape_0_horizontal_lines, 0, 7),
        shape(frame_174_shape_group_5_shape_1_horizontal_lines, 9, 12),
        shape(frame_174_shape_group_5_shape_2_horizontal_lines, 43, 14),
        shape(frame_174_shape_group_5_shape_3_horizontal_lines, 48, 13),
        shape(frame_174_shape_group_5_shape_4_horizontal_lines, 53, 13),
        shape(frame_174_shape_group_5_shape_5_horizontal_lines, 55, 2),
        shape(frame_174_shape_group_5_shape_6_horizontal_lines, 57, 13),
        shape(frame_174_shape_group_5_shape_7_horizontal_lines, 58, 2),
        shape(frame_174_shape_group_5_shape_8_horizontal_lines, 60, 5),
        shape(frame_174_shape_group_5_shape_9_horizontal_lines, 63, 15),
        shape(frame_174_shape_group_5_shape_10_horizontal_lines, 66, 5),
        shape(frame_174_shape_group_5_shape_11_horizontal_lines, 85, 9),
        shape(frame_174_shape_group_5_shape_12_horizontal_lines, 86, 3),
        shape(frame_174_shape_group_5_shape_13_horizontal_lines, 87, 15),
        shape(frame_174_shape_group_5_shape_14_horizontal_lines, 92, 5),
        shape(frame_174_shape_group_5_shape_15_horizontal_lines, 94, 9),
        shape(frame_174_shape_group_5_shape_16_horizontal_lines, 96, 5),
        shape(frame_174_shape_group_5_shape_17_horizontal_lines, 99, 3),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(120, 127),
        horizontal_line(116, 127),
        horizontal_line(112, 127),
        horizontal_line(108, 127),
        horizontal_line(104, 127),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(143, 145),
        horizontal_line(138, 146),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(147, 148),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(140, 148),
        horizontal_line(136, 144),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(104, 119),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(153, 153),
        horizontal_line(153, 154),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(154, 155),
        horizontal_line(154, 155),
        horizontal_line(97, 102),
        horizontal_line(97, 102),
        horizontal_line(97, 102),
        horizontal_line(97, 103),
        horizontal_line(97, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(150, 154),
        horizontal_line(150, 155),
        horizontal_line(150, 155),
        horizontal_line(150, 155),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(99, 104),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(143, 161),
        horizontal_line(88, 99),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(28, 85),
        horizontal_line(24, 85),
        horizontal_line(21, 83),
        horizontal_line(18, 80),
        horizontal_line(14, 76),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(101, 108),
        horizontal_line(102, 108),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(90, 101),
        horizontal_line(90, 101),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(102, 104),
    };

    constexpr const horizontal_line frame_174_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 85),
        horizontal_line(62, 83),
    };

    constexpr const shape frame_174_shape_group_6_shapes[] = {
        shape(frame_174_shape_group_6_shape_0_horizontal_lines, 3, 12),
        shape(frame_174_shape_group_6_shape_1_horizontal_lines, 46, 13),
        shape(frame_174_shape_group_6_shape_2_horizontal_lines, 51, 2),
        shape(frame_174_shape_group_6_shape_3_horizontal_lines, 53, 2),
        shape(frame_174_shape_group_6_shape_4_horizontal_lines, 57, 2),
        shape(frame_174_shape_group_6_shape_5_horizontal_lines, 58, 4),
        shape(frame_174_shape_group_6_shape_6_horizontal_lines, 60, 15),
        shape(frame_174_shape_group_6_shape_7_horizontal_lines, 64, 15),
        shape(frame_174_shape_group_6_shape_8_horizontal_lines, 73, 5),
        shape(frame_174_shape_group_6_shape_9_horizontal_lines, 77, 15),
        shape(frame_174_shape_group_6_shape_10_horizontal_lines, 81, 5),
        shape(frame_174_shape_group_6_shape_11_horizontal_lines, 82, 15),
        shape(frame_174_shape_group_6_shape_12_horizontal_lines, 84, 5),
        shape(frame_174_shape_group_6_shape_13_horizontal_lines, 87, 3),
        shape(frame_174_shape_group_6_shape_14_horizontal_lines, 92, 15),
        shape(frame_174_shape_group_6_shape_15_horizontal_lines, 94, 5),
        shape(frame_174_shape_group_6_shape_16_horizontal_lines, 96, 15),
        shape(frame_174_shape_group_6_shape_17_horizontal_lines, 97, 3),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(105, 109),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(154, 156),
        horizontal_line(154, 156),
        horizontal_line(154, 157),
        horizontal_line(155, 157),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 159),
        horizontal_line(98, 103),
        horizontal_line(98, 104),
        horizontal_line(98, 104),
        horizontal_line(99, 104),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(55, 85),
        horizontal_line(52, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(45, 85),
        horizontal_line(41, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(83, 85),
        horizontal_line(80, 85),
        horizontal_line(76, 85),
        horizontal_line(11, 73),
        horizontal_line(7, 69),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(102, 108),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_174_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 85),
        horizontal_line(62, 85),
    };

    constexpr const shape frame_174_shape_group_7_shapes[] = {
        shape(frame_174_shape_group_7_shape_0_horizontal_lines, 57, 4),
        shape(frame_174_shape_group_7_shape_1_horizontal_lines, 66, 15),
        shape(frame_174_shape_group_7_shape_2_horizontal_lines, 79, 3),
        shape(frame_174_shape_group_7_shape_3_horizontal_lines, 81, 15),
        shape(frame_174_shape_group_7_shape_4_horizontal_lines, 82, 3),
        shape(frame_174_shape_group_7_shape_5_horizontal_lines, 84, 15),
        shape(frame_174_shape_group_7_shape_6_horizontal_lines, 85, 5),
        shape(frame_174_shape_group_7_shape_7_horizontal_lines, 89, 3),
        shape(frame_174_shape_group_7_shape_8_horizontal_lines, 94, 15),
        shape(frame_174_shape_group_7_shape_9_horizontal_lines, 96, 3),
    };

    constexpr const horizontal_line frame_174_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(82, 85),
        horizontal_line(79, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
    };

    constexpr const horizontal_line frame_174_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(62, 85),
        horizontal_line(58, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(48, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(38, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_174_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(73, 85),
        horizontal_line(69, 85),
        horizontal_line(4, 66),
        horizontal_line(1, 63),
        horizontal_line(62, 85),
    };

    constexpr const shape frame_174_shape_group_8_shapes[] = {
        shape(frame_174_shape_group_8_shape_0_horizontal_lines, 71, 3),
        shape(frame_174_shape_group_8_shape_1_horizontal_lines, 73, 15),
        shape(frame_174_shape_group_8_shape_2_horizontal_lines, 77, 3),
        shape(frame_174_shape_group_8_shape_3_horizontal_lines, 81, 3),
        shape(frame_174_shape_group_8_shape_4_horizontal_lines, 84, 3),
        shape(frame_174_shape_group_8_shape_5_horizontal_lines, 85, 15),
        shape(frame_174_shape_group_8_shape_6_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_174_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(75, 85),
        horizontal_line(72, 85),
        horizontal_line(69, 85),
        horizontal_line(65, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(35, 85),
    };

    constexpr const horizontal_line frame_174_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(66, 85),
        horizontal_line(63, 85),
    };

    constexpr const shape frame_174_shape_group_9_shapes[] = {
        shape(frame_174_shape_group_9_shape_0_horizontal_lines, 73, 3),
        shape(frame_174_shape_group_9_shape_1_horizontal_lines, 85, 3),
        shape(frame_174_shape_group_9_shape_2_horizontal_lines, 94, 3),
    };

    constexpr const shape_group frame_174_shape_groups[] = {
        shape_group(frame_174_shape_group_0_shapes),
        shape_group(frame_174_shape_group_1_shapes),
        shape_group(frame_174_shape_group_2_shapes),
        shape_group(frame_174_shape_group_3_shapes),
        shape_group(frame_174_shape_group_4_shapes),
        shape_group(frame_174_shape_group_5_shapes),
        shape_group(frame_174_shape_group_6_shapes),
        shape_group(frame_174_shape_group_7_shapes),
        shape_group(frame_174_shape_group_8_shapes),
        shape_group(frame_174_shape_group_9_shapes),
    };

    constexpr const frame frame_174_impl(frame_174_colors, frame_174_shape_groups);
} 

const frame& frame_174()
{
    return frame_174_impl;
}

namespace
{
    constexpr const bn::color frame_175_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(4, 16, 24),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_175_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(4, 66),
        horizontal_line(8, 70),
        horizontal_line(11, 73),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(22, 84),
        horizontal_line(26, 88),
        horizontal_line(29, 88),
        horizontal_line(33, 88),
        horizontal_line(36, 88),
        horizontal_line(40, 87),
        horizontal_line(44, 87),
        horizontal_line(47, 87),
        horizontal_line(51, 87),
        horizontal_line(54, 87),
        horizontal_line(58, 87),
        horizontal_line(61, 87),
        horizontal_line(65, 86),
        horizontal_line(69, 86),
        horizontal_line(72, 86),
        horizontal_line(76, 86),
        horizontal_line(79, 86),
        horizontal_line(83, 86),
    };

    constexpr const horizontal_line frame_175_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 52),
        horizontal_line(0, 43),
        horizontal_line(0, 34),
        horizontal_line(0, 25),
        horizontal_line(0, 16),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(162, 168),
        horizontal_line(151, 168),
        horizontal_line(148, 159),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(157, 167),
        horizontal_line(144, 167),
        horizontal_line(131, 166),
        horizontal_line(118, 166),
        horizontal_line(105, 165),
        horizontal_line(93, 155),
        horizontal_line(90, 147),
        horizontal_line(88, 133),
        horizontal_line(86, 119),
        horizontal_line(83, 105),
        horizontal_line(81, 91),
    };

    constexpr const horizontal_line frame_175_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(98, 157),
        horizontal_line(101, 157),
        horizontal_line(104, 156),
        horizontal_line(108, 156),
        horizontal_line(111, 155),
        horizontal_line(114, 155),
        horizontal_line(117, 154),
        horizontal_line(120, 154),
        horizontal_line(123, 153),
        horizontal_line(126, 153),
        horizontal_line(129, 152),
        horizontal_line(132, 152),
        horizontal_line(135, 151),
        horizontal_line(138, 151),
        horizontal_line(141, 150),
        horizontal_line(144, 150),
        horizontal_line(147, 149),
    };

    constexpr const horizontal_line frame_175_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_175_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(159, 221),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(162, 224),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 229),
    };

    constexpr const shape frame_175_shape_group_0_shapes[] = {
        shape(frame_175_shape_group_0_shape_0_horizontal_lines, 0, 11),
        shape(frame_175_shape_group_0_shape_1_horizontal_lines, 54, 6),
        shape(frame_175_shape_group_0_shape_2_horizontal_lines, 71, 10),
        shape(frame_175_shape_group_0_shape_3_horizontal_lines, 106, 5),
        shape(frame_175_shape_group_0_shape_4_horizontal_lines, 132, 3),
        shape(frame_175_shape_group_0_shape_5_horizontal_lines, 139, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 82),
        horizontal_line(62, 82),
        horizontal_line(62, 83),
        horizontal_line(62, 84),
        horizontal_line(62, 85),
        horizontal_line(62, 86),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(62, 88),
        horizontal_line(62, 89),
        horizontal_line(62, 90),
        horizontal_line(62, 91),
        horizontal_line(62, 92),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 91),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(63, 89),
        horizontal_line(66, 89),
        horizontal_line(70, 89),
        horizontal_line(73, 89),
        horizontal_line(77, 88),
        horizontal_line(80, 88),
        horizontal_line(84, 88),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 39),
        horizontal_line(0, 43),
        horizontal_line(0, 46),
        horizontal_line(0, 50),
        horizontal_line(0, 53),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 86),
        horizontal_line(62, 83),
        horizontal_line(62, 81),
        horizontal_line(62, 78),
        horizontal_line(62, 76),
        horizontal_line(62, 74),
        horizontal_line(62, 71),
        horizontal_line(62, 69),
        horizontal_line(62, 66),
        horizontal_line(62, 64),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(87, 94),
        horizontal_line(87, 94),
        horizontal_line(87, 95),
        horizontal_line(88, 95),
        horizontal_line(88, 95),
        horizontal_line(88, 95),
        horizontal_line(88, 95),
        horizontal_line(89, 96),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(89, 96),
        horizontal_line(90, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 97),
        horizontal_line(91, 97),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(92, 98),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(79, 85),
        horizontal_line(79, 82),
        horizontal_line(79, 80),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_175_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
    };

    constexpr const shape frame_175_shape_group_1_shapes[] = {
        shape(frame_175_shape_group_1_shape_0_horizontal_lines, 0, 11),
        shape(frame_175_shape_group_1_shape_1_horizontal_lines, 38, 6),
        shape(frame_175_shape_group_1_shape_2_horizontal_lines, 64, 10),
        shape(frame_175_shape_group_1_shape_3_horizontal_lines, 71, 15),
        shape(frame_175_shape_group_1_shape_4_horizontal_lines, 79, 10),
        shape(frame_175_shape_group_1_shape_5_horizontal_lines, 82, 15),
        shape(frame_175_shape_group_1_shape_6_horizontal_lines, 95, 10),
        shape(frame_175_shape_group_1_shape_7_horizontal_lines, 103, 5),
        shape(frame_175_shape_group_1_shape_8_horizontal_lines, 115, 3),
        shape(frame_175_shape_group_1_shape_9_horizontal_lines, 132, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(83, 87),
        horizontal_line(83, 87),
        horizontal_line(84, 87),
        horizontal_line(85, 88),
        horizontal_line(86, 88),
        horizontal_line(87, 89),
        horizontal_line(88, 89),
        horizontal_line(88, 89),
        horizontal_line(89, 90),
        horizontal_line(90, 90),
        horizontal_line(91, 91),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(90, 152),
        horizontal_line(90, 151),
        horizontal_line(90, 147),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(89, 113),
        horizontal_line(89, 109),
        horizontal_line(89, 105),
        horizontal_line(88, 101),
        horizontal_line(88, 97),
        horizontal_line(88, 93),
        horizontal_line(88, 90),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(107, 122),
        horizontal_line(103, 118),
        horizontal_line(99, 114),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 68),
        horizontal_line(62, 71),
        horizontal_line(62, 75),
        horizontal_line(62, 78),
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(137, 155),
        horizontal_line(133, 152),
        horizontal_line(129, 148),
        horizontal_line(125, 144),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(85, 93),
        horizontal_line(86, 93),
        horizontal_line(86, 93),
        horizontal_line(86, 93),
        horizontal_line(86, 94),
        horizontal_line(87, 94),
        horizontal_line(87, 94),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(89, 96),
        horizontal_line(89, 96),
        horizontal_line(89, 96),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(97, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 117),
        horizontal_line(98, 118),
        horizontal_line(98, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 118),
        horizontal_line(99, 115),
        horizontal_line(99, 112),
        horizontal_line(100, 110),
        horizontal_line(100, 107),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(92, 99),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(93, 96),
        horizontal_line(93, 94),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(155, 161),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(78, 89),
        horizontal_line(79, 87),
        horizontal_line(120, 163),
        horizontal_line(106, 163),
        horizontal_line(92, 154),
        horizontal_line(141, 162),
        horizontal_line(139, 161),
        horizontal_line(139, 161),
        horizontal_line(142, 160),
        horizontal_line(145, 160),
        horizontal_line(148, 159),
        horizontal_line(151, 159),
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_175_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(150, 212),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const shape frame_175_shape_group_2_shapes[] = {
        shape(frame_175_shape_group_2_shape_0_horizontal_lines, 0, 6),
        shape(frame_175_shape_group_2_shape_1_horizontal_lines, 11, 12),
        shape(frame_175_shape_group_2_shape_2_horizontal_lines, 30, 6),
        shape(frame_175_shape_group_2_shape_3_horizontal_lines, 38, 12),
        shape(frame_175_shape_group_2_shape_4_horizontal_lines, 45, 10),
        shape(frame_175_shape_group_2_shape_5_horizontal_lines, 48, 6),
        shape(frame_175_shape_group_2_shape_6_horizontal_lines, 54, 12),
        shape(frame_175_shape_group_2_shape_7_horizontal_lines, 59, 10),
        shape(frame_175_shape_group_2_shape_8_horizontal_lines, 64, 15),
        shape(frame_175_shape_group_2_shape_9_horizontal_lines, 82, 8),
        shape(frame_175_shape_group_2_shape_10_horizontal_lines, 95, 15),
        shape(frame_175_shape_group_2_shape_11_horizontal_lines, 100, 10),
        shape(frame_175_shape_group_2_shape_12_horizontal_lines, 101, 5),
        shape(frame_175_shape_group_2_shape_13_horizontal_lines, 114, 3),
        shape(frame_175_shape_group_2_shape_14_horizontal_lines, 115, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(88, 150),
        horizontal_line(88, 150),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(154, 207),
        horizontal_line(155, 206),
        horizontal_line(154, 205),
        horizontal_line(154, 204),
        horizontal_line(154, 201),
        horizontal_line(154, 197),
        horizontal_line(154, 193),
        horizontal_line(154, 189),
        horizontal_line(154, 185),
        horizontal_line(153, 182),
        horizontal_line(153, 178),
        horizontal_line(153, 174),
        horizontal_line(153, 170),
        horizontal_line(153, 166),
        horizontal_line(153, 162),
        horizontal_line(153, 159),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(90, 143),
        horizontal_line(90, 139),
        horizontal_line(90, 136),
        horizontal_line(90, 132),
        horizontal_line(89, 128),
        horizontal_line(89, 124),
        horizontal_line(89, 120),
        horizontal_line(89, 116),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(136, 146),
        horizontal_line(131, 146),
        horizontal_line(127, 142),
        horizontal_line(123, 138),
        horizontal_line(119, 134),
        horizontal_line(115, 130),
        horizontal_line(111, 126),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(95, 110),
        horizontal_line(91, 106),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(152, 153),
        horizontal_line(148, 153),
        horizontal_line(144, 154),
        horizontal_line(141, 154),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(122, 141),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(84, 92),
        horizontal_line(85, 92),
        horizontal_line(85, 92),
        horizontal_line(85, 92),
        horizontal_line(85, 93),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(95, 114),
        horizontal_line(95, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 115),
        horizontal_line(96, 116),
        horizontal_line(96, 116),
        horizontal_line(97, 116),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(97, 116),
        horizontal_line(97, 117),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(75, 89),
        horizontal_line(75, 90),
        horizontal_line(76, 90),
        horizontal_line(76, 90),
        horizontal_line(76, 90),
        horizontal_line(76, 90),
        horizontal_line(77, 91),
        horizontal_line(77, 91),
        horizontal_line(77, 91),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(100, 104),
        horizontal_line(100, 102),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(78, 92),
        horizontal_line(78, 92),
        horizontal_line(78, 92),
        horizontal_line(78, 91),
        horizontal_line(148, 164),
        horizontal_line(134, 164),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(71, 78),
        horizontal_line(74, 76),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 50),
        horizontal_line(0, 48),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_175_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const shape frame_175_shape_group_3_shapes[] = {
        shape(frame_175_shape_group_3_shape_0_horizontal_lines, 0, 12),
        shape(frame_175_shape_group_3_shape_1_horizontal_lines, 28, 10),
        shape(frame_175_shape_group_3_shape_2_horizontal_lines, 30, 12),
        shape(frame_175_shape_group_3_shape_3_horizontal_lines, 38, 10),
        shape(frame_175_shape_group_3_shape_4_horizontal_lines, 50, 12),
        shape(frame_175_shape_group_3_shape_5_horizontal_lines, 54, 10),
        shape(frame_175_shape_group_3_shape_6_horizontal_lines, 58, 12),
        shape(frame_175_shape_group_3_shape_7_horizontal_lines, 59, 15),
        shape(frame_175_shape_group_3_shape_8_horizontal_lines, 71, 8),
        shape(frame_175_shape_group_3_shape_9_horizontal_lines, 79, 15),
        shape(frame_175_shape_group_3_shape_10_horizontal_lines, 80, 8),
        shape(frame_175_shape_group_3_shape_11_horizontal_lines, 86, 5),
        shape(frame_175_shape_group_3_shape_12_horizontal_lines, 95, 8),
        shape(frame_175_shape_group_3_shape_13_horizontal_lines, 97, 5),
        shape(frame_175_shape_group_3_shape_14_horizontal_lines, 106, 9),
        shape(frame_175_shape_group_3_shape_15_horizontal_lines, 108, 3),
        shape(frame_175_shape_group_3_shape_16_horizontal_lines, 114, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(152, 213),
        horizontal_line(152, 212),
        horizontal_line(153, 210),
        horizontal_line(153, 209),
        horizontal_line(154, 208),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(144, 145),
        horizontal_line(140, 146),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(88, 106),
        horizontal_line(88, 102),
        horizontal_line(88, 98),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(87, 102),
        horizontal_line(87, 98),
        horizontal_line(87, 94),
        horizontal_line(91, 91),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(88, 123),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(153, 155),
        horizontal_line(149, 154),
        horizontal_line(145, 150),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(148, 151),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(94, 113),
        horizontal_line(94, 113),
        horizontal_line(94, 113),
        horizontal_line(94, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(95, 114),
        horizontal_line(123, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(97, 116),
        horizontal_line(125, 129),
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(74, 88),
        horizontal_line(75, 89),
        horizontal_line(75, 89),
        horizontal_line(75, 89),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(119, 172),
        horizontal_line(119, 171),
        horizontal_line(119, 171),
        horizontal_line(119, 170),
        horizontal_line(119, 170),
        horizontal_line(116, 169),
        horizontal_line(113, 164),
        horizontal_line(111, 151),
        horizontal_line(108, 138),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(77, 91),
        horizontal_line(77, 92),
        horizontal_line(204, 220),
        horizontal_line(202, 224),
        horizontal_line(204, 227),
        horizontal_line(162, 165),
        horizontal_line(209, 234),
        horizontal_line(211, 238),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(64, 78),
        horizontal_line(65, 78),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(154, 162),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(0, 57),
    };

    constexpr const horizontal_line frame_175_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(221, 239),
    };

    constexpr const shape frame_175_shape_group_4_shapes[] = {
        shape(frame_175_shape_group_4_shape_0_horizontal_lines, 0, 12),
        shape(frame_175_shape_group_4_shape_1_horizontal_lines, 11, 10),
        shape(frame_175_shape_group_4_shape_2_horizontal_lines, 30, 10),
        shape(frame_175_shape_group_4_shape_3_horizontal_lines, 45, 14),
        shape(frame_175_shape_group_4_shape_4_horizontal_lines, 48, 10),
        shape(frame_175_shape_group_4_shape_5_horizontal_lines, 54, 13),
        shape(frame_175_shape_group_4_shape_6_horizontal_lines, 55, 14),
        shape(frame_175_shape_group_4_shape_7_horizontal_lines, 58, 10),
        shape(frame_175_shape_group_4_shape_8_horizontal_lines, 59, 15),
        shape(frame_175_shape_group_4_shape_9_horizontal_lines, 64, 8),
        shape(frame_175_shape_group_4_shape_10_horizontal_lines, 82, 5),
        shape(frame_175_shape_group_4_shape_11_horizontal_lines, 86, 4),
        shape(frame_175_shape_group_4_shape_12_horizontal_lines, 95, 5),
        shape(frame_175_shape_group_4_shape_13_horizontal_lines, 103, 9),
        shape(frame_175_shape_group_4_shape_14_horizontal_lines, 105, 5),
        shape(frame_175_shape_group_4_shape_15_horizontal_lines, 106, 3),
        shape(frame_175_shape_group_4_shape_16_horizontal_lines, 108, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(212, 220),
        horizontal_line(212, 218),
        horizontal_line(212, 217),
        horizontal_line(213, 216),
        horizontal_line(213, 215),
        horizontal_line(214, 214),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(137, 143),
        horizontal_line(133, 144),
        horizontal_line(129, 144),
        horizontal_line(125, 145),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(114, 135),
        horizontal_line(110, 130),
        horizontal_line(106, 126),
        horizontal_line(102, 122),
        horizontal_line(98, 118),
        horizontal_line(94, 114),
        horizontal_line(91, 110),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(123, 150),
        horizontal_line(119, 151),
        horizontal_line(115, 150),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(87, 94),
        horizontal_line(87, 90),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(124, 136),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(96, 119),
        horizontal_line(104, 115),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 112),
        horizontal_line(93, 113),
        horizontal_line(94, 113),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 128),
        horizontal_line(154, 164),
        horizontal_line(154, 164),
        horizontal_line(154, 165),
        horizontal_line(155, 165),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 167),
        horizontal_line(155, 163),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(145, 169),
        horizontal_line(141, 170),
        horizontal_line(138, 157),
        horizontal_line(135, 141),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(64, 75),
        horizontal_line(64, 75),
        horizontal_line(64, 75),
        horizontal_line(64, 75),
        horizontal_line(64, 76),
        horizontal_line(64, 76),
        horizontal_line(64, 76),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(105, 125),
        horizontal_line(103, 112),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(64, 77),
        horizontal_line(64, 77),
        horizontal_line(64, 77),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(207, 231),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(64, 77),
        horizontal_line(64, 78),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(68, 78),
    };

    constexpr const horizontal_line frame_175_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(163, 220),
        horizontal_line(162, 222),
        horizontal_line(224, 224),
        horizontal_line(223, 227),
        horizontal_line(223, 229),
        horizontal_line(222, 231),
        horizontal_line(222, 234),
        horizontal_line(221, 236),
    };

    constexpr const shape frame_175_shape_group_5_shapes[] = {
        shape(frame_175_shape_group_5_shape_0_horizontal_lines, 0, 12),
        shape(frame_175_shape_group_5_shape_1_horizontal_lines, 6, 10),
        shape(frame_175_shape_group_5_shape_2_horizontal_lines, 31, 14),
        shape(frame_175_shape_group_5_shape_3_horizontal_lines, 36, 10),
        shape(frame_175_shape_group_5_shape_4_horizontal_lines, 38, 14),
        shape(frame_175_shape_group_5_shape_5_horizontal_lines, 45, 13),
        shape(frame_175_shape_group_5_shape_6_horizontal_lines, 48, 14),
        shape(frame_175_shape_group_5_shape_7_horizontal_lines, 50, 10),
        shape(frame_175_shape_group_5_shape_8_horizontal_lines, 54, 2),
        shape(frame_175_shape_group_5_shape_9_horizontal_lines, 55, 13),
        shape(frame_175_shape_group_5_shape_10_horizontal_lines, 58, 10),
        shape(frame_175_shape_group_5_shape_11_horizontal_lines, 59, 8),
        shape(frame_175_shape_group_5_shape_12_horizontal_lines, 80, 5),
        shape(frame_175_shape_group_5_shape_13_horizontal_lines, 86, 9),
        shape(frame_175_shape_group_5_shape_14_horizontal_lines, 95, 4),
        shape(frame_175_shape_group_5_shape_15_horizontal_lines, 97, 9),
        shape(frame_175_shape_group_5_shape_16_horizontal_lines, 100, 5),
        shape(frame_175_shape_group_5_shape_17_horizontal_lines, 101, 9),
        shape(frame_175_shape_group_5_shape_18_horizontal_lines, 103, 3),
        shape(frame_175_shape_group_5_shape_19_horizontal_lines, 105, 9),
        shape(frame_175_shape_group_5_shape_20_horizontal_lines, 106, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(121, 143),
        horizontal_line(117, 139),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(143, 147),
        horizontal_line(139, 148),
        horizontal_line(135, 148),
        horizontal_line(131, 149),
        horizontal_line(127, 150),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(111, 146),
        horizontal_line(107, 142),
        horizontal_line(103, 139),
        horizontal_line(99, 135),
        horizontal_line(95, 131),
        horizontal_line(87, 90),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(120, 132),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(121, 126),
        horizontal_line(122, 126),
        horizontal_line(153, 160),
        horizontal_line(153, 161),
        horizontal_line(153, 161),
        horizontal_line(153, 162),
        horizontal_line(153, 162),
        horizontal_line(154, 163),
        horizontal_line(154, 163),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(145, 150),
        horizontal_line(145, 147),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
        horizontal_line(118, 125),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(165, 169),
        horizontal_line(152, 168),
        horizontal_line(139, 168),
        horizontal_line(64, 76),
        horizontal_line(64, 76),
        horizontal_line(100, 130),
        horizontal_line(97, 117),
        horizontal_line(95, 104),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(92, 92),
    };

    constexpr const horizontal_line frame_175_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(0, 61),
    };

    constexpr const shape frame_175_shape_group_6_shapes[] = {
        shape(frame_175_shape_group_6_shape_0_horizontal_lines, 0, 10),
        shape(frame_175_shape_group_6_shape_1_horizontal_lines, 36, 14),
        shape(frame_175_shape_group_6_shape_2_horizontal_lines, 39, 13),
        shape(frame_175_shape_group_6_shape_3_horizontal_lines, 47, 2),
        shape(frame_175_shape_group_6_shape_4_horizontal_lines, 48, 13),
        shape(frame_175_shape_group_6_shape_5_horizontal_lines, 54, 15),
        shape(frame_175_shape_group_6_shape_6_horizontal_lines, 55, 2),
        shape(frame_175_shape_group_6_shape_7_horizontal_lines, 56, 13),
        shape(frame_175_shape_group_6_shape_8_horizontal_lines, 58, 14),
        shape(frame_175_shape_group_6_shape_9_horizontal_lines, 59, 8),
        shape(frame_175_shape_group_6_shape_10_horizontal_lines, 71, 5),
        shape(frame_175_shape_group_6_shape_11_horizontal_lines, 82, 4),
        shape(frame_175_shape_group_6_shape_12_horizontal_lines, 86, 3),
        shape(frame_175_shape_group_6_shape_13_horizontal_lines, 92, 9),
        shape(frame_175_shape_group_6_shape_14_horizontal_lines, 100, 4),
        shape(frame_175_shape_group_6_shape_15_horizontal_lines, 101, 3),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(147, 152),
        horizontal_line(143, 152),
        horizontal_line(140, 151),
        horizontal_line(136, 147),
        horizontal_line(132, 143),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(92, 127),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(84, 91),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(116, 128),
        horizontal_line(113, 124),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(152, 157),
        horizontal_line(152, 158),
        horizontal_line(152, 158),
        horizontal_line(152, 159),
        horizontal_line(152, 159),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(71, 84),
        horizontal_line(71, 85),
        horizontal_line(71, 85),
        horizontal_line(71, 85),
        horizontal_line(71, 85),
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(117, 124),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(160, 169),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(63, 73),
        horizontal_line(63, 74),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(158, 170),
        horizontal_line(142, 171),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(126, 156),
        horizontal_line(113, 143),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(64, 77),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_175_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(164, 213),
        horizontal_line(164, 215),
        horizontal_line(163, 217),
    };

    constexpr const shape frame_175_shape_group_7_shapes[] = {
        shape(frame_175_shape_group_7_shape_0_horizontal_lines, 48, 2),
        shape(frame_175_shape_group_7_shape_1_horizontal_lines, 53, 13),
        shape(frame_175_shape_group_7_shape_2_horizontal_lines, 55, 15),
        shape(frame_175_shape_group_7_shape_3_horizontal_lines, 56, 2),
        shape(frame_175_shape_group_7_shape_4_horizontal_lines, 59, 8),
        shape(frame_175_shape_group_7_shape_5_horizontal_lines, 64, 5),
        shape(frame_175_shape_group_7_shape_6_horizontal_lines, 80, 4),
        shape(frame_175_shape_group_7_shape_7_horizontal_lines, 81, 5),
        shape(frame_175_shape_group_7_shape_8_horizontal_lines, 82, 9),
        shape(frame_175_shape_group_7_shape_9_horizontal_lines, 84, 4),
        shape(frame_175_shape_group_7_shape_10_horizontal_lines, 86, 3),
        shape(frame_175_shape_group_7_shape_11_horizontal_lines, 95, 9),
        shape(frame_175_shape_group_7_shape_12_horizontal_lines, 97, 3),
        shape(frame_175_shape_group_7_shape_13_horizontal_lines, 100, 9),
        shape(frame_175_shape_group_7_shape_14_horizontal_lines, 101, 3),
        shape(frame_175_shape_group_7_shape_15_horizontal_lines, 103, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(128, 140),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(92, 95),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(84, 91),
        horizontal_line(84, 91),
        horizontal_line(84, 92),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(75, 83),
        horizontal_line(72, 84),
        horizontal_line(70, 84),
        horizontal_line(70, 84),
        horizontal_line(70, 84),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 148),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(115, 122),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(116, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
        horizontal_line(117, 124),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(63, 73),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(131, 144),
        horizontal_line(131, 140),
        horizontal_line(64, 74),
        horizontal_line(64, 74),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(172, 175),
        horizontal_line(172, 177),
        horizontal_line(171, 180),
        horizontal_line(171, 182),
        horizontal_line(170, 184),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(165, 208),
        horizontal_line(165, 210),
    };

    constexpr const shape frame_175_shape_group_8_shapes[] = {
        shape(frame_175_shape_group_8_shape_0_horizontal_lines, 53, 2),
        shape(frame_175_shape_group_8_shape_1_horizontal_lines, 55, 8),
        shape(frame_175_shape_group_8_shape_2_horizontal_lines, 56, 15),
        shape(frame_175_shape_group_8_shape_3_horizontal_lines, 59, 5),
        shape(frame_175_shape_group_8_shape_4_horizontal_lines, 71, 4),
        shape(frame_175_shape_group_8_shape_5_horizontal_lines, 80, 9),
        shape(frame_175_shape_group_8_shape_6_horizontal_lines, 81, 4),
        shape(frame_175_shape_group_8_shape_7_horizontal_lines, 82, 9),
        shape(frame_175_shape_group_8_shape_8_horizontal_lines, 86, 7),
        shape(frame_175_shape_group_8_shape_9_horizontal_lines, 92, 3),
        shape(frame_175_shape_group_8_shape_10_horizontal_lines, 101, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(92, 103),
        horizontal_line(92, 111),
        horizontal_line(93, 112),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(114, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(63, 71),
        horizontal_line(63, 71),
        horizontal_line(63, 71),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
        horizontal_line(63, 72),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(130, 144),
        horizontal_line(63, 73),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(131, 137),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(170, 187),
        horizontal_line(169, 189),
        horizontal_line(169, 191),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(167, 198),
        horizontal_line(167, 201),
        horizontal_line(166, 203),
    };

    constexpr const horizontal_line frame_175_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(62, 63),
    };

    constexpr const shape frame_175_shape_group_9_shapes[] = {
        shape(frame_175_shape_group_9_shape_0_horizontal_lines, 56, 8),
        shape(frame_175_shape_group_9_shape_1_horizontal_lines, 59, 5),
        shape(frame_175_shape_group_9_shape_2_horizontal_lines, 64, 4),
        shape(frame_175_shape_group_9_shape_3_horizontal_lines, 71, 9),
        shape(frame_175_shape_group_9_shape_4_horizontal_lines, 78, 4),
        shape(frame_175_shape_group_9_shape_5_horizontal_lines, 80, 9),
        shape(frame_175_shape_group_9_shape_6_horizontal_lines, 82, 3),
        shape(frame_175_shape_group_9_shape_7_horizontal_lines, 84, 9),
        shape(frame_175_shape_group_9_shape_8_horizontal_lines, 92, 7),
        shape(frame_175_shape_group_9_shape_9_horizontal_lines, 95, 3),
        shape(frame_175_shape_group_9_shape_10_horizontal_lines, 97, 7),
        shape(frame_175_shape_group_9_shape_11_horizontal_lines, 100, 3),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(82, 83),
        horizontal_line(79, 83),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(152, 157),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(113, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 121),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 70),
        horizontal_line(63, 71),
        horizontal_line(63, 71),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(63, 73),
        horizontal_line(63, 73),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(131, 144),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(168, 194),
        horizontal_line(168, 196),
    };

    constexpr const horizontal_line frame_175_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(166, 206),
    };

    constexpr const shape frame_175_shape_group_10_shapes[] = {
        shape(frame_175_shape_group_10_shape_0_horizontal_lines, 56, 5),
        shape(frame_175_shape_group_10_shape_1_horizontal_lines, 58, 8),
        shape(frame_175_shape_group_10_shape_2_horizontal_lines, 59, 4),
        shape(frame_175_shape_group_10_shape_3_horizontal_lines, 64, 9),
        shape(frame_175_shape_group_10_shape_4_horizontal_lines, 80, 3),
        shape(frame_175_shape_group_10_shape_5_horizontal_lines, 81, 9),
        shape(frame_175_shape_group_10_shape_6_horizontal_lines, 82, 3),
        shape(frame_175_shape_group_10_shape_7_horizontal_lines, 95, 7),
        shape(frame_175_shape_group_10_shape_8_horizontal_lines, 100, 7),
    };

    constexpr const horizontal_line frame_175_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(77, 83),
    };

    constexpr const horizontal_line frame_175_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(67, 69),
        horizontal_line(65, 69),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(129, 143),
    };

    constexpr const horizontal_line frame_175_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(130, 144),
        horizontal_line(130, 144),
    };

    constexpr const horizontal_line frame_175_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 63),
    };

    constexpr const shape frame_175_shape_group_11_shapes[] = {
        shape(frame_175_shape_group_11_shape_0_horizontal_lines, 58, 5),
        shape(frame_175_shape_group_11_shape_1_horizontal_lines, 59, 9),
        shape(frame_175_shape_group_11_shape_2_horizontal_lines, 71, 3),
        shape(frame_175_shape_group_11_shape_3_horizontal_lines, 78, 9),
        shape(frame_175_shape_group_11_shape_4_horizontal_lines, 80, 3),
        shape(frame_175_shape_group_11_shape_5_horizontal_lines, 84, 3),
    };

    constexpr const horizontal_line frame_175_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(113, 118),
    };

    constexpr const horizontal_line frame_175_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(127, 141),
        horizontal_line(127, 141),
    };

    constexpr const horizontal_line frame_175_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(53, 62),
        horizontal_line(44, 62),
        horizontal_line(35, 62),
        horizontal_line(26, 62),
        horizontal_line(17, 62),
        horizontal_line(8, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_175_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_175_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const shape frame_175_shape_group_12_shapes[] = {
        shape(frame_175_shape_group_12_shape_0_horizontal_lines, 58, 4),
        shape(frame_175_shape_group_12_shape_1_horizontal_lines, 62, 9),
        shape(frame_175_shape_group_12_shape_2_horizontal_lines, 64, 3),
        shape(frame_175_shape_group_12_shape_3_horizontal_lines, 79, 9),
        shape(frame_175_shape_group_12_shape_4_horizontal_lines, 81, 3),
    };

    constexpr const horizontal_line frame_175_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_175_shape_group_13_shapes[] = {
        shape(frame_175_shape_group_13_shape_0_horizontal_lines, 78, 3),
    };

    constexpr const horizontal_line frame_175_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
    };

    constexpr const shape frame_175_shape_group_14_shapes[] = {
        shape(frame_175_shape_group_14_shape_0_horizontal_lines, 79, 3),
    };

    constexpr const shape_group frame_175_shape_groups[] = {
        shape_group(frame_175_shape_group_0_shapes),
        shape_group(frame_175_shape_group_1_shapes),
        shape_group(frame_175_shape_group_2_shapes),
        shape_group(frame_175_shape_group_3_shapes),
        shape_group(frame_175_shape_group_4_shapes),
        shape_group(frame_175_shape_group_5_shapes),
        shape_group(frame_175_shape_group_6_shapes),
        shape_group(frame_175_shape_group_7_shapes),
        shape_group(frame_175_shape_group_8_shapes),
        shape_group(frame_175_shape_group_9_shapes),
        shape_group(frame_175_shape_group_10_shapes),
        shape_group(frame_175_shape_group_11_shapes),
        shape_group(frame_175_shape_group_12_shapes),
        shape_group(frame_175_shape_group_13_shapes),
        shape_group(frame_175_shape_group_14_shapes),
    };

    constexpr const frame frame_175_impl(frame_175_colors, frame_175_shape_groups);
} 

const frame& frame_175()
{
    return frame_175_impl;
}

namespace
{
    constexpr const bn::color frame_176_colors[] = {
        bn::color(20, 12, 4),
        bn::color(0, 0, 0),
        bn::color(0, 0, 8),
        bn::color(24, 16, 8),
        bn::color(0, 12, 20),
        bn::color(16, 16, 16),
        bn::color(28, 20, 12),
        bn::color(16, 8, 0),
        bn::color(4, 16, 24),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_176_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(1, 57),
        horizontal_line(3, 57),
        horizontal_line(5, 57),
        horizontal_line(7, 57),
        horizontal_line(9, 57),
        horizontal_line(11, 57),
        horizontal_line(13, 56),
        horizontal_line(15, 56),
        horizontal_line(17, 56),
        horizontal_line(19, 56),
        horizontal_line(21, 56),
        horizontal_line(23, 56),
        horizontal_line(25, 56),
        horizontal_line(28, 55),
        horizontal_line(30, 55),
        horizontal_line(32, 55),
        horizontal_line(34, 55),
        horizontal_line(36, 55),
        horizontal_line(38, 55),
        horizontal_line(40, 55),
        horizontal_line(42, 54),
        horizontal_line(44, 54),
        horizontal_line(46, 54),
        horizontal_line(48, 54),
        horizontal_line(50, 54),
        horizontal_line(52, 54),
    };

    constexpr const horizontal_line frame_176_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(55, 91),
        horizontal_line(52, 87),
        horizontal_line(50, 84),
        horizontal_line(47, 80),
        horizontal_line(45, 76),
        horizontal_line(43, 72),
        horizontal_line(40, 68),
        horizontal_line(38, 65),
        horizontal_line(40, 61),
        horizontal_line(43, 57),
        horizontal_line(46, 53),
        horizontal_line(50, 50),
        horizontal_line(161, 170),
        horizontal_line(157, 171),
        horizontal_line(153, 170),
        horizontal_line(150, 166),
        horizontal_line(146, 163),
        horizontal_line(142, 159),
        horizontal_line(138, 155),
        horizontal_line(135, 152),
        horizontal_line(131, 148),
        horizontal_line(127, 144),
        horizontal_line(123, 141),
        horizontal_line(123, 137),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_176_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(183, 184),
        horizontal_line(173, 184),
        horizontal_line(164, 184),
        horizontal_line(154, 170),
        horizontal_line(145, 154),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
        horizontal_line(174, 183),
        horizontal_line(162, 182),
        horizontal_line(151, 182),
        horizontal_line(139, 181),
        horizontal_line(127, 181),
        horizontal_line(116, 178),
        horizontal_line(104, 166),
        horizontal_line(92, 154),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(77, 137),
        horizontal_line(75, 125),
        horizontal_line(73, 112),
        horizontal_line(71, 100),
        horizontal_line(69, 88),
        horizontal_line(67, 76),
    };

    constexpr const horizontal_line frame_176_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(21, 64),
        horizontal_line(21, 61),
        horizontal_line(22, 59),
        horizontal_line(25, 57),
        horizontal_line(28, 55),
        horizontal_line(31, 53),
        horizontal_line(34, 51),
        horizontal_line(37, 49),
        horizontal_line(41, 47),
        horizontal_line(44, 45),
    };

    constexpr const horizontal_line frame_176_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(57, 119),
        horizontal_line(60, 122),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(79, 141),
        horizontal_line(82, 144),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(101, 162),
        horizontal_line(104, 161),
        horizontal_line(108, 161),
        horizontal_line(111, 160),
        horizontal_line(114, 160),
        horizontal_line(117, 159),
        horizontal_line(120, 159),
        horizontal_line(124, 158),
        horizontal_line(127, 158),
        horizontal_line(130, 157),
        horizontal_line(133, 157),
        horizontal_line(136, 156),
        horizontal_line(140, 156),
        horizontal_line(143, 155),
        horizontal_line(146, 155),
        horizontal_line(149, 154),
        horizontal_line(152, 154),
    };

    constexpr const horizontal_line frame_176_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(158, 220),
    };

    constexpr const shape frame_176_shape_group_0_shapes[] = {
        shape(frame_176_shape_group_0_shape_0_horizontal_lines, 0, 11),
        shape(frame_176_shape_group_0_shape_1_horizontal_lines, 34, 12),
        shape(frame_176_shape_group_0_shape_2_horizontal_lines, 59, 10),
        shape(frame_176_shape_group_0_shape_3_horizontal_lines, 110, 9),
        shape(frame_176_shape_group_0_shape_4_horizontal_lines, 120, 5),
        shape(frame_176_shape_group_0_shape_5_horizontal_lines, 154, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(58, 120),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(57, 119),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(56, 118),
        horizontal_line(55, 114),
        horizontal_line(55, 110),
        horizontal_line(55, 106),
        horizontal_line(55, 103),
        horizontal_line(55, 99),
        horizontal_line(55, 95),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(119, 141),
        horizontal_line(114, 137),
        horizontal_line(110, 133),
        horizontal_line(106, 130),
        horizontal_line(102, 126),
        horizontal_line(98, 122),
        horizontal_line(94, 118),
        horizontal_line(89, 114),
        horizontal_line(85, 110),
        horizontal_line(81, 106),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(168, 169),
        horizontal_line(165, 170),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(69, 94),
        horizontal_line(70, 90),
        horizontal_line(73, 86),
        horizontal_line(76, 82),
        horizontal_line(79, 79),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(19, 53),
        horizontal_line(19, 53),
        horizontal_line(19, 53),
        horizontal_line(19, 53),
        horizontal_line(19, 54),
        horizontal_line(19, 54),
        horizontal_line(19, 54),
        horizontal_line(19, 54),
        horizontal_line(19, 55),
        horizontal_line(19, 55),
        horizontal_line(19, 55),
        horizontal_line(20, 55),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(183, 183),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(20, 56),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(184, 184),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(20, 58),
        horizontal_line(20, 59),
        horizontal_line(20, 59),
        horizontal_line(20, 59),
        horizontal_line(20, 59),
        horizontal_line(20, 59),
        horizontal_line(20, 60),
        horizontal_line(20, 60),
        horizontal_line(21, 60),
        horizontal_line(21, 60),
        horizontal_line(21, 61),
        horizontal_line(21, 61),
        horizontal_line(21, 61),
        horizontal_line(21, 61),
        horizontal_line(21, 62),
        horizontal_line(21, 62),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(178, 180),
        horizontal_line(166, 180),
        horizontal_line(154, 174),
        horizontal_line(143, 161),
        horizontal_line(141, 149),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(21, 63),
        horizontal_line(21, 63),
        horizontal_line(21, 64),
        horizontal_line(21, 64),
        horizontal_line(21, 64),
        horizontal_line(21, 64),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_15_horizontal_lines[] = {
        horizontal_line(65, 127),
        horizontal_line(62, 124),
        horizontal_line(60, 122),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(54, 116),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(48, 110),
        horizontal_line(46, 108),
        horizontal_line(109, 170),
        horizontal_line(112, 170),
        horizontal_line(115, 169),
        horizontal_line(119, 169),
        horizontal_line(122, 168),
        horizontal_line(125, 168),
        horizontal_line(128, 167),
        horizontal_line(131, 167),
        horizontal_line(135, 166),
        horizontal_line(138, 166),
        horizontal_line(141, 165),
        horizontal_line(144, 165),
        horizontal_line(147, 164),
        horizontal_line(151, 164),
        horizontal_line(154, 163),
        horizontal_line(157, 163),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_176_shape_group_1_shape_16_horizontal_lines[] = {
        horizontal_line(163, 225),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_176_shape_group_1_shapes[] = {
        shape(frame_176_shape_group_1_shape_0_horizontal_lines, 0, 12),
        shape(frame_176_shape_group_1_shape_1_horizontal_lines, 34, 10),
        shape(frame_176_shape_group_1_shape_2_horizontal_lines, 44, 12),
        shape(frame_176_shape_group_1_shape_3_horizontal_lines, 46, 10),
        shape(frame_176_shape_group_1_shape_4_horizontal_lines, 55, 12),
        shape(frame_176_shape_group_1_shape_5_horizontal_lines, 56, 10),
        shape(frame_176_shape_group_1_shape_6_horizontal_lines, 59, 9),
        shape(frame_176_shape_group_1_shape_7_horizontal_lines, 71, 13),
        shape(frame_176_shape_group_1_shape_8_horizontal_lines, 72, 9),
        shape(frame_176_shape_group_1_shape_9_horizontal_lines, 73, 13),
        shape(frame_176_shape_group_1_shape_10_horizontal_lines, 77, 10),
        shape(frame_176_shape_group_1_shape_11_horizontal_lines, 82, 13),
        shape(frame_176_shape_group_1_shape_12_horizontal_lines, 83, 9),
        shape(frame_176_shape_group_1_shape_13_horizontal_lines, 99, 10),
        shape(frame_176_shape_group_1_shape_14_horizontal_lines, 104, 9),
        shape(frame_176_shape_group_1_shape_15_horizontal_lines, 110, 5),
        shape(frame_176_shape_group_1_shape_16_horizontal_lines, 137, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(120, 178),
        horizontal_line(120, 174),
        horizontal_line(120, 171),
        horizontal_line(119, 167),
        horizontal_line(119, 163),
        horizontal_line(119, 159),
        horizontal_line(119, 156),
        horizontal_line(119, 152),
        horizontal_line(119, 148),
        horizontal_line(119, 144),
        horizontal_line(118, 140),
        horizontal_line(118, 137),
        horizontal_line(118, 133),
        horizontal_line(118, 129),
        horizontal_line(118, 125),
        horizontal_line(118, 121),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(144, 161),
        horizontal_line(140, 161),
        horizontal_line(135, 157),
        horizontal_line(131, 153),
        horizontal_line(127, 149),
        horizontal_line(123, 145),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(77, 102),
        horizontal_line(73, 98),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(160, 168),
        horizontal_line(156, 164),
        horizontal_line(153, 160),
        horizontal_line(149, 156),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(142, 148),
        horizontal_line(138, 144),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(121, 135),
        horizontal_line(121, 135),
        horizontal_line(121, 135),
        horizontal_line(121, 135),
        horizontal_line(121, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(122, 137),
        horizontal_line(20, 56),
        horizontal_line(123, 137),
        horizontal_line(20, 56),
        horizontal_line(20, 56),
        horizontal_line(20, 56),
        horizontal_line(20, 57),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(185, 186),
        horizontal_line(185, 186),
        horizontal_line(185, 187),
        horizontal_line(185, 187),
        horizontal_line(185, 188),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(20, 58),
        horizontal_line(125, 135),
        horizontal_line(125, 132),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(112, 118),
        horizontal_line(112, 174),
        horizontal_line(112, 174),
        horizontal_line(112, 174),
        horizontal_line(112, 174),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(180, 184),
        horizontal_line(167, 184),
        horizontal_line(154, 183),
        horizontal_line(141, 173),
        horizontal_line(128, 161),
        horizontal_line(115, 150),
        horizontal_line(102, 138),
        horizontal_line(90, 126),
        horizontal_line(21, 62),
        horizontal_line(21, 62),
        horizontal_line(21, 62),
        horizontal_line(21, 63),
        horizontal_line(21, 63),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(64, 76),
        horizontal_line(64, 74),
        horizontal_line(65, 72),
        horizontal_line(65, 70),
        horizontal_line(65, 68),
        horizontal_line(65, 66),
        horizontal_line(127, 175),
        horizontal_line(124, 174),
        horizontal_line(122, 174),
        horizontal_line(120, 173),
        horizontal_line(118, 173),
        horizontal_line(116, 172),
        horizontal_line(114, 172),
        horizontal_line(112, 171),
        horizontal_line(110, 171),
        horizontal_line(108, 170),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_176_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const shape frame_176_shape_group_2_shapes[] = {
        shape(frame_176_shape_group_2_shape_0_horizontal_lines, 0, 12),
        shape(frame_176_shape_group_2_shape_1_horizontal_lines, 28, 10),
        shape(frame_176_shape_group_2_shape_2_horizontal_lines, 51, 14),
        shape(frame_176_shape_group_2_shape_3_horizontal_lines, 55, 10),
        shape(frame_176_shape_group_2_shape_4_horizontal_lines, 56, 14),
        shape(frame_176_shape_group_2_shape_5_horizontal_lines, 58, 10),
        shape(frame_176_shape_group_2_shape_6_horizontal_lines, 59, 9),
        shape(frame_176_shape_group_2_shape_7_horizontal_lines, 77, 13),
        shape(frame_176_shape_group_2_shape_8_horizontal_lines, 82, 9),
        shape(frame_176_shape_group_2_shape_9_horizontal_lines, 86, 4),
        shape(frame_176_shape_group_2_shape_10_horizontal_lines, 91, 9),
        shape(frame_176_shape_group_2_shape_11_horizontal_lines, 104, 5),
        shape(frame_176_shape_group_2_shape_12_horizontal_lines, 120, 3),
        shape(frame_176_shape_group_2_shape_13_horizontal_lines, 122, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(184, 212),
        horizontal_line(183, 210),
        horizontal_line(183, 209),
        horizontal_line(183, 208),
        horizontal_line(183, 205),
        horizontal_line(183, 201),
        horizontal_line(183, 197),
        horizontal_line(182, 193),
        horizontal_line(182, 190),
        horizontal_line(182, 186),
        horizontal_line(182, 182),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(156, 159),
        horizontal_line(152, 160),
        horizontal_line(148, 160),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 51),
        horizontal_line(0, 49),
        horizontal_line(0, 46),
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(1, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(167, 172),
        horizontal_line(164, 172),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(77, 122),
        horizontal_line(82, 118),
        horizontal_line(88, 115),
        horizontal_line(93, 111),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(145, 152),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(145, 159),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(135, 141),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(170, 177),
        horizontal_line(170, 177),
        horizontal_line(170, 178),
        horizontal_line(170, 178),
        horizontal_line(171, 179),
        horizontal_line(171, 179),
        horizontal_line(171, 180),
        horizontal_line(171, 180),
        horizontal_line(171, 181),
        horizontal_line(171, 181),
        horizontal_line(172, 182),
        horizontal_line(172, 182),
        horizontal_line(122, 137),
        horizontal_line(172, 183),
        horizontal_line(123, 137),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(20, 57),
        horizontal_line(20, 57),
        horizontal_line(20, 57),
        horizontal_line(20, 58),
        horizontal_line(20, 58),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(133, 187),
        horizontal_line(174, 186),
        horizontal_line(174, 186),
        horizontal_line(174, 185),
        horizontal_line(174, 185),
        horizontal_line(109, 171),
        horizontal_line(106, 166),
        horizontal_line(104, 153),
        horizontal_line(101, 140),
        horizontal_line(99, 127),
        horizontal_line(96, 114),
        horizontal_line(94, 101),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(63, 80),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(87, 115),
        horizontal_line(85, 103),
        horizontal_line(83, 91),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(64, 80),
        horizontal_line(64, 78),
        horizontal_line(138, 178),
        horizontal_line(126, 177),
        horizontal_line(113, 175),
        horizontal_line(101, 163),
        horizontal_line(89, 151),
        horizontal_line(77, 139),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_176_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
    };

    constexpr const shape frame_176_shape_group_3_shapes[] = {
        shape(frame_176_shape_group_3_shape_0_horizontal_lines, 0, 12),
        shape(frame_176_shape_group_3_shape_1_horizontal_lines, 11, 10),
        shape(frame_176_shape_group_3_shape_2_horizontal_lines, 34, 6),
        shape(frame_176_shape_group_3_shape_3_horizontal_lines, 44, 10),
        shape(frame_176_shape_group_3_shape_4_horizontal_lines, 46, 6),
        shape(frame_176_shape_group_3_shape_5_horizontal_lines, 49, 14),
        shape(frame_176_shape_group_3_shape_6_horizontal_lines, 51, 13),
        shape(frame_176_shape_group_3_shape_7_horizontal_lines, 55, 14),
        shape(frame_176_shape_group_3_shape_8_horizontal_lines, 56, 13),
        shape(frame_176_shape_group_3_shape_9_horizontal_lines, 58, 14),
        shape(frame_176_shape_group_3_shape_10_horizontal_lines, 59, 9),
        shape(frame_176_shape_group_3_shape_11_horizontal_lines, 83, 4),
        shape(frame_176_shape_group_3_shape_12_horizontal_lines, 98, 5),
        shape(frame_176_shape_group_3_shape_13_horizontal_lines, 99, 9),
        shape(frame_176_shape_group_3_shape_14_horizontal_lines, 102, 5),
        shape(frame_176_shape_group_3_shape_15_horizontal_lines, 110, 3),
        shape(frame_176_shape_group_3_shape_16_horizontal_lines, 119, 5),
        shape(frame_176_shape_group_3_shape_17_horizontal_lines, 120, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(92, 118),
        horizontal_line(88, 113),
        horizontal_line(85, 109),
        horizontal_line(81, 105),
        horizontal_line(77, 101),
        horizontal_line(73, 97),
        horizontal_line(69, 93),
        horizontal_line(66, 88),
        horizontal_line(62, 84),
        horizontal_line(58, 80),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(91, 137),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(67, 75),
        horizontal_line(72, 78),
        horizontal_line(169, 173),
        horizontal_line(165, 173),
        horizontal_line(161, 173),
        horizontal_line(157, 169),
        horizontal_line(98, 107),
        horizontal_line(149, 162),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(19, 53),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(172, 182),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(172, 183),
        horizontal_line(172, 181),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(124, 138),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(111, 117),
        horizontal_line(172, 188),
        horizontal_line(159, 188),
        horizontal_line(146, 187),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(60, 77),
        horizontal_line(60, 77),
        horizontal_line(60, 77),
        horizontal_line(61, 77),
        horizontal_line(61, 78),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(171, 179),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(61, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(62, 79),
        horizontal_line(63, 79),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(81, 89),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_23_horizontal_lines[] = {
        horizontal_line(63, 80),
        horizontal_line(63, 80),
        horizontal_line(63, 80),
        horizontal_line(162, 179),
        horizontal_line(150, 178),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_24_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_25_horizontal_lines[] = {
        horizontal_line(175, 177),
        horizontal_line(163, 176),
        horizontal_line(151, 176),
        horizontal_line(139, 175),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_26_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_27_horizontal_lines[] = {
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_176_shape_group_4_shape_28_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_176_shape_group_4_shapes[] = {
        shape(frame_176_shape_group_4_shape_0_horizontal_lines, 0, 10),
        shape(frame_176_shape_group_4_shape_1_horizontal_lines, 11, 6),
        shape(frame_176_shape_group_4_shape_2_horizontal_lines, 25, 10),
        shape(frame_176_shape_group_4_shape_3_horizontal_lines, 28, 6),
        shape(frame_176_shape_group_4_shape_4_horizontal_lines, 34, 14),
        shape(frame_176_shape_group_4_shape_5_horizontal_lines, 44, 6),
        shape(frame_176_shape_group_4_shape_6_horizontal_lines, 46, 14),
        shape(frame_176_shape_group_4_shape_7_horizontal_lines, 47, 13),
        shape(frame_176_shape_group_4_shape_8_horizontal_lines, 48, 14),
        shape(frame_176_shape_group_4_shape_9_horizontal_lines, 49, 13),
        shape(frame_176_shape_group_4_shape_10_horizontal_lines, 57, 2),
        shape(frame_176_shape_group_4_shape_11_horizontal_lines, 58, 9),
        shape(frame_176_shape_group_4_shape_12_horizontal_lines, 59, 4),
        shape(frame_176_shape_group_4_shape_13_horizontal_lines, 71, 9),
        shape(frame_176_shape_group_4_shape_14_horizontal_lines, 72, 4),
        shape(frame_176_shape_group_4_shape_15_horizontal_lines, 73, 9),
        shape(frame_176_shape_group_4_shape_16_horizontal_lines, 75, 4),
        shape(frame_176_shape_group_4_shape_17_horizontal_lines, 76, 9),
        shape(frame_176_shape_group_4_shape_18_horizontal_lines, 82, 4),
        shape(frame_176_shape_group_4_shape_19_horizontal_lines, 86, 5),
        shape(frame_176_shape_group_4_shape_20_horizontal_lines, 91, 4),
        shape(frame_176_shape_group_4_shape_21_horizontal_lines, 92, 5),
        shape(frame_176_shape_group_4_shape_22_horizontal_lines, 98, 15),
        shape(frame_176_shape_group_4_shape_23_horizontal_lines, 99, 5),
        shape(frame_176_shape_group_4_shape_24_horizontal_lines, 104, 3),
        shape(frame_176_shape_group_4_shape_25_horizontal_lines, 106, 5),
        shape(frame_176_shape_group_4_shape_26_horizontal_lines, 110, 7),
        shape(frame_176_shape_group_4_shape_27_horizontal_lines, 119, 3),
        shape(frame_176_shape_group_4_shape_28_horizontal_lines, 120, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(153, 156),
        horizontal_line(149, 156),
        horizontal_line(145, 157),
        horizontal_line(141, 157),
        horizontal_line(138, 158),
        horizontal_line(134, 158),
        horizontal_line(130, 159),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(115, 143),
        horizontal_line(111, 139),
        horizontal_line(107, 134),
        horizontal_line(104, 130),
        horizontal_line(100, 126),
        horizontal_line(96, 122),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(142, 164),
        horizontal_line(138, 164),
        horizontal_line(134, 165),
        horizontal_line(131, 165),
        horizontal_line(127, 166),
        horizontal_line(123, 166),
        horizontal_line(119, 163),
        horizontal_line(115, 160),
        horizontal_line(111, 156),
        horizontal_line(107, 152),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(54, 76),
        horizontal_line(51, 72),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(95, 141),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(138, 147),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(70, 72),
        horizontal_line(83, 130),
        horizontal_line(80, 126),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(123, 132),
        horizontal_line(119, 128),
        horizontal_line(116, 124),
        horizontal_line(112, 120),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(153, 166),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(105, 113),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(19, 52),
        horizontal_line(120, 133),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(162, 166),
        horizontal_line(108, 115),
        horizontal_line(162, 167),
        horizontal_line(109, 115),
        horizontal_line(109, 116),
        horizontal_line(163, 183),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(172, 175),
        horizontal_line(160, 162),
        horizontal_line(149, 157),
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(59, 76),
        horizontal_line(59, 76),
        horizontal_line(60, 76),
        horizontal_line(60, 77),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(78, 87),
        horizontal_line(78, 87),
        horizontal_line(78, 87),
        horizontal_line(78, 87),
        horizontal_line(79, 88),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(61, 78),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(79, 88),
        horizontal_line(79, 88),
        horizontal_line(80, 89),
        horizontal_line(80, 89),
        horizontal_line(80, 89),
        horizontal_line(80, 89),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(81, 86),
        horizontal_line(81, 84),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_22_horizontal_lines[] = {
        horizontal_line(175, 179),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_23_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_24_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_25_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_5_shape_26_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(172, 234),
    };

    constexpr const shape frame_176_shape_group_5_shapes[] = {
        shape(frame_176_shape_group_5_shape_0_horizontal_lines, 8, 6),
        shape(frame_176_shape_group_5_shape_1_horizontal_lines, 18, 14),
        shape(frame_176_shape_group_5_shape_2_horizontal_lines, 25, 6),
        shape(frame_176_shape_group_5_shape_3_horizontal_lines, 28, 14),
        shape(frame_176_shape_group_5_shape_4_horizontal_lines, 34, 13),
        shape(frame_176_shape_group_5_shape_5_horizontal_lines, 44, 14),
        shape(frame_176_shape_group_5_shape_6_horizontal_lines, 46, 13),
        shape(frame_176_shape_group_5_shape_7_horizontal_lines, 47, 2),
        shape(frame_176_shape_group_5_shape_8_horizontal_lines, 48, 13),
        shape(frame_176_shape_group_5_shape_9_horizontal_lines, 51, 2),
        shape(frame_176_shape_group_5_shape_10_horizontal_lines, 55, 13),
        shape(frame_176_shape_group_5_shape_11_horizontal_lines, 56, 2),
        shape(frame_176_shape_group_5_shape_12_horizontal_lines, 57, 9),
        shape(frame_176_shape_group_5_shape_13_horizontal_lines, 59, 4),
        shape(frame_176_shape_group_5_shape_14_horizontal_lines, 77, 9),
        shape(frame_176_shape_group_5_shape_15_horizontal_lines, 81, 4),
        shape(frame_176_shape_group_5_shape_16_horizontal_lines, 82, 5),
        shape(frame_176_shape_group_5_shape_17_horizontal_lines, 86, 15),
        shape(frame_176_shape_group_5_shape_18_horizontal_lines, 91, 5),
        shape(frame_176_shape_group_5_shape_19_horizontal_lines, 92, 15),
        shape(frame_176_shape_group_5_shape_20_horizontal_lines, 98, 3),
        shape(frame_176_shape_group_5_shape_21_horizontal_lines, 99, 15),
        shape(frame_176_shape_group_5_shape_22_horizontal_lines, 101, 5),
        shape(frame_176_shape_group_5_shape_23_horizontal_lines, 102, 3),
        shape(frame_176_shape_group_5_shape_24_horizontal_lines, 104, 7),
        shape(frame_176_shape_group_5_shape_25_horizontal_lines, 106, 3),
        shape(frame_176_shape_group_5_shape_26_horizontal_lines, 110, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(126, 155),
        horizontal_line(122, 151),
        horizontal_line(119, 147),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(158, 162),
        horizontal_line(154, 162),
        horizontal_line(150, 163),
        horizontal_line(146, 163),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(164, 167),
        horizontal_line(161, 168),
        horizontal_line(157, 166),
        horizontal_line(153, 162),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(103, 148),
        horizontal_line(99, 145),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(23, 50),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(87, 133),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(131, 139),
        horizontal_line(127, 135),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(19, 51),
        horizontal_line(19, 51),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(170, 174),
        horizontal_line(108, 116),
        horizontal_line(163, 168),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(170, 176),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(54, 71),
        horizontal_line(54, 71),
        horizontal_line(54, 71),
        horizontal_line(54, 71),
        horizontal_line(55, 71),
        horizontal_line(55, 72),
        horizontal_line(55, 72),
        horizontal_line(55, 72),
        horizontal_line(56, 72),
        horizontal_line(56, 73),
        horizontal_line(56, 73),
        horizontal_line(56, 73),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(162, 167),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(57, 74),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(163, 167),
        horizontal_line(163, 167),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(57, 74),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(163, 182),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(59, 76),
        horizontal_line(140, 173),
        horizontal_line(136, 161),
        horizontal_line(133, 148),
        horizontal_line(130, 136),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(79, 88),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_21_horizontal_lines[] = {
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_22_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_23_horizontal_lines[] = {
        horizontal_line(81, 82),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_24_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_25_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_176_shape_group_6_shape_26_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const shape frame_176_shape_group_6_shapes[] = {
        shape(frame_176_shape_group_6_shape_0_horizontal_lines, 25, 14),
        shape(frame_176_shape_group_6_shape_1_horizontal_lines, 30, 13),
        shape(frame_176_shape_group_6_shape_2_horizontal_lines, 40, 2),
        shape(frame_176_shape_group_6_shape_3_horizontal_lines, 44, 13),
        shape(frame_176_shape_group_6_shape_4_horizontal_lines, 46, 2),
        shape(frame_176_shape_group_6_shape_5_horizontal_lines, 47, 9),
        shape(frame_176_shape_group_6_shape_6_horizontal_lines, 48, 13),
        shape(frame_176_shape_group_6_shape_7_horizontal_lines, 49, 2),
        shape(frame_176_shape_group_6_shape_8_horizontal_lines, 51, 9),
        shape(frame_176_shape_group_6_shape_9_horizontal_lines, 53, 2),
        shape(frame_176_shape_group_6_shape_10_horizontal_lines, 57, 9),
        shape(frame_176_shape_group_6_shape_11_horizontal_lines, 59, 5),
        shape(frame_176_shape_group_6_shape_12_horizontal_lines, 71, 4),
        shape(frame_176_shape_group_6_shape_13_horizontal_lines, 72, 5),
        shape(frame_176_shape_group_6_shape_14_horizontal_lines, 73, 4),
        shape(frame_176_shape_group_6_shape_15_horizontal_lines, 75, 5),
        shape(frame_176_shape_group_6_shape_16_horizontal_lines, 76, 4),
        shape(frame_176_shape_group_6_shape_17_horizontal_lines, 81, 5),
        shape(frame_176_shape_group_6_shape_18_horizontal_lines, 86, 3),
        shape(frame_176_shape_group_6_shape_19_horizontal_lines, 91, 15),
        shape(frame_176_shape_group_6_shape_20_horizontal_lines, 92, 3),
        shape(frame_176_shape_group_6_shape_21_horizontal_lines, 98, 7),
        shape(frame_176_shape_group_6_shape_22_horizontal_lines, 99, 3),
        shape(frame_176_shape_group_6_shape_23_horizontal_lines, 101, 15),
        shape(frame_176_shape_group_6_shape_24_horizontal_lines, 102, 7),
        shape(frame_176_shape_group_6_shape_25_horizontal_lines, 106, 7),
        shape(frame_176_shape_group_6_shape_26_horizontal_lines, 119, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(35, 39),
        horizontal_line(33, 42),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(149, 158),
        horizontal_line(146, 155),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(26, 50),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(148, 156),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(134, 143),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(19, 50),
        horizontal_line(19, 51),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(133, 141),
        horizontal_line(129, 137),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(19, 51),
        horizontal_line(19, 52),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(167, 171),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(19, 52),
        horizontal_line(170, 176),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(105, 112),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(135, 140),
        horizontal_line(135, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(138, 142),
        horizontal_line(57, 73),
        horizontal_line(138, 142),
        horizontal_line(57, 74),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(182, 183),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(139, 142),
        horizontal_line(58, 74),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(163, 171),
        horizontal_line(163, 172),
        horizontal_line(158, 163),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(77, 86),
        horizontal_line(77, 86),
        horizontal_line(77, 86),
        horizontal_line(78, 87),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 111),
        horizontal_line(89, 111),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(89, 105),
        horizontal_line(89, 103),
        horizontal_line(90, 100),
        horizontal_line(90, 98),
        horizontal_line(90, 95),
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_21_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_176_shape_group_7_shape_22_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_176_shape_group_7_shapes[] = {
        shape(frame_176_shape_group_7_shape_0_horizontal_lines, 42, 9),
        shape(frame_176_shape_group_7_shape_1_horizontal_lines, 44, 2),
        shape(frame_176_shape_group_7_shape_2_horizontal_lines, 46, 9),
        shape(frame_176_shape_group_7_shape_3_horizontal_lines, 47, 4),
        shape(frame_176_shape_group_7_shape_4_horizontal_lines, 48, 2),
        shape(frame_176_shape_group_7_shape_5_horizontal_lines, 49, 9),
        shape(frame_176_shape_group_7_shape_6_horizontal_lines, 51, 4),
        shape(frame_176_shape_group_7_shape_7_horizontal_lines, 53, 9),
        shape(frame_176_shape_group_7_shape_8_horizontal_lines, 55, 2),
        shape(frame_176_shape_group_7_shape_9_horizontal_lines, 56, 9),
        shape(frame_176_shape_group_7_shape_10_horizontal_lines, 58, 4),
        shape(frame_176_shape_group_7_shape_11_horizontal_lines, 59, 5),
        shape(frame_176_shape_group_7_shape_12_horizontal_lines, 74, 4),
        shape(frame_176_shape_group_7_shape_13_horizontal_lines, 75, 5),
        shape(frame_176_shape_group_7_shape_14_horizontal_lines, 77, 4),
        shape(frame_176_shape_group_7_shape_15_horizontal_lines, 81, 5),
        shape(frame_176_shape_group_7_shape_16_horizontal_lines, 82, 15),
        shape(frame_176_shape_group_7_shape_17_horizontal_lines, 86, 8),
        shape(frame_176_shape_group_7_shape_18_horizontal_lines, 91, 3),
        shape(frame_176_shape_group_7_shape_19_horizontal_lines, 92, 8),
        shape(frame_176_shape_group_7_shape_20_horizontal_lines, 99, 7),
        shape(frame_176_shape_group_7_shape_21_horizontal_lines, 101, 3),
        shape(frame_176_shape_group_7_shape_22_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(167, 168),
        horizontal_line(163, 169),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(31, 45),
        horizontal_line(28, 49),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(152, 160),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(51, 68),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(21, 50),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(140, 149),
        horizontal_line(136, 145),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(52, 69),
        horizontal_line(52, 69),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(125, 134),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(19, 52),
        horizontal_line(170, 175),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(105, 112),
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(72, 81),
        horizontal_line(72, 81),
        horizontal_line(72, 81),
        horizontal_line(72, 81),
        horizontal_line(72, 81),
        horizontal_line(73, 82),
        horizontal_line(73, 82),
        horizontal_line(73, 82),
        horizontal_line(73, 82),
        horizontal_line(74, 83),
        horizontal_line(74, 83),
        horizontal_line(74, 83),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(75, 84),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(138, 142),
        horizontal_line(57, 74),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(75, 84),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(176, 182),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(58, 75),
        horizontal_line(58, 75),
        horizontal_line(59, 75),
        horizontal_line(155, 184),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(187, 210),
        horizontal_line(187, 214),
        horizontal_line(186, 218),
        horizontal_line(186, 222),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_21_horizontal_lines[] = {
        horizontal_line(89, 108),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_22_horizontal_lines[] = {
        horizontal_line(185, 230),
        horizontal_line(184, 234),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_176_shape_group_8_shape_23_horizontal_lines[] = {
        horizontal_line(180, 239),
    };

    constexpr const shape frame_176_shape_group_8_shapes[] = {
        shape(frame_176_shape_group_8_shape_0_horizontal_lines, 42, 4),
        shape(frame_176_shape_group_8_shape_1_horizontal_lines, 44, 9),
        shape(frame_176_shape_group_8_shape_2_horizontal_lines, 46, 4),
        shape(frame_176_shape_group_8_shape_3_horizontal_lines, 47, 5),
        shape(frame_176_shape_group_8_shape_4_horizontal_lines, 48, 9),
        shape(frame_176_shape_group_8_shape_5_horizontal_lines, 49, 4),
        shape(frame_176_shape_group_8_shape_6_horizontal_lines, 51, 5),
        shape(frame_176_shape_group_8_shape_7_horizontal_lines, 53, 4),
        shape(frame_176_shape_group_8_shape_8_horizontal_lines, 55, 9),
        shape(frame_176_shape_group_8_shape_9_horizontal_lines, 57, 4),
        shape(frame_176_shape_group_8_shape_10_horizontal_lines, 59, 15),
        shape(frame_176_shape_group_8_shape_11_horizontal_lines, 71, 5),
        shape(frame_176_shape_group_8_shape_12_horizontal_lines, 72, 15),
        shape(frame_176_shape_group_8_shape_13_horizontal_lines, 73, 5),
        shape(frame_176_shape_group_8_shape_14_horizontal_lines, 75, 15),
        shape(frame_176_shape_group_8_shape_15_horizontal_lines, 76, 5),
        shape(frame_176_shape_group_8_shape_16_horizontal_lines, 77, 4),
        shape(frame_176_shape_group_8_shape_17_horizontal_lines, 78, 5),
        shape(frame_176_shape_group_8_shape_18_horizontal_lines, 82, 3),
        shape(frame_176_shape_group_8_shape_19_horizontal_lines, 86, 8),
        shape(frame_176_shape_group_8_shape_20_horizontal_lines, 87, 7),
        shape(frame_176_shape_group_8_shape_21_horizontal_lines, 91, 8),
        shape(frame_176_shape_group_8_shape_22_horizontal_lines, 92, 7),
        shape(frame_176_shape_group_8_shape_23_horizontal_lines, 101, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(159, 167),
        horizontal_line(156, 164),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(51, 67),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(51, 66),
        horizontal_line(52, 68),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(70, 76),
        horizontal_line(70, 79),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(52, 69),
        horizontal_line(53, 69),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(114, 122),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(54, 70),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 147),
        horizontal_line(143, 147),
        horizontal_line(74, 83),
        horizontal_line(143, 147),
        horizontal_line(75, 84),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(143, 148),
        horizontal_line(75, 84),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(58, 75),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(77, 86),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(88, 110),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(188, 206),
    };

    constexpr const horizontal_line frame_176_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(185, 226),
    };

    constexpr const shape frame_176_shape_group_9_shapes[] = {
        shape(frame_176_shape_group_9_shape_0_horizontal_lines, 44, 4),
        shape(frame_176_shape_group_9_shape_1_horizontal_lines, 46, 5),
        shape(frame_176_shape_group_9_shape_2_horizontal_lines, 47, 15),
        shape(frame_176_shape_group_9_shape_3_horizontal_lines, 48, 4),
        shape(frame_176_shape_group_9_shape_4_horizontal_lines, 49, 5),
        shape(frame_176_shape_group_9_shape_5_horizontal_lines, 51, 15),
        shape(frame_176_shape_group_9_shape_6_horizontal_lines, 53, 5),
        shape(frame_176_shape_group_9_shape_7_horizontal_lines, 55, 9),
        shape(frame_176_shape_group_9_shape_8_horizontal_lines, 56, 4),
        shape(frame_176_shape_group_9_shape_9_horizontal_lines, 58, 5),
        shape(frame_176_shape_group_9_shape_10_horizontal_lines, 59, 15),
        shape(frame_176_shape_group_9_shape_11_horizontal_lines, 74, 5),
        shape(frame_176_shape_group_9_shape_12_horizontal_lines, 75, 15),
        shape(frame_176_shape_group_9_shape_13_horizontal_lines, 77, 5),
        shape(frame_176_shape_group_9_shape_14_horizontal_lines, 81, 15),
        shape(frame_176_shape_group_9_shape_15_horizontal_lines, 82, 8),
        shape(frame_176_shape_group_9_shape_16_horizontal_lines, 86, 7),
        shape(frame_176_shape_group_9_shape_17_horizontal_lines, 91, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(51, 68),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(70, 79),
        horizontal_line(70, 79),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(117, 126),
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(53, 70),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(71, 80),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(143, 147),
        horizontal_line(75, 84),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(76, 85),
        horizontal_line(76, 85),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(171, 184),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_17_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_10_shape_18_horizontal_lines[] = {
        horizontal_line(118, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
    };

    constexpr const shape frame_176_shape_group_10_shapes[] = {
        shape(frame_176_shape_group_10_shape_0_horizontal_lines, 48, 5),
        shape(frame_176_shape_group_10_shape_1_horizontal_lines, 49, 3),
        shape(frame_176_shape_group_10_shape_2_horizontal_lines, 50, 15),
        shape(frame_176_shape_group_10_shape_3_horizontal_lines, 51, 3),
        shape(frame_176_shape_group_10_shape_4_horizontal_lines, 53, 15),
        shape(frame_176_shape_group_10_shape_5_horizontal_lines, 55, 4),
        shape(frame_176_shape_group_10_shape_6_horizontal_lines, 57, 5),
        shape(frame_176_shape_group_10_shape_7_horizontal_lines, 58, 15),
        shape(frame_176_shape_group_10_shape_8_horizontal_lines, 59, 3),
        shape(frame_176_shape_group_10_shape_9_horizontal_lines, 71, 15),
        shape(frame_176_shape_group_10_shape_10_horizontal_lines, 72, 3),
        shape(frame_176_shape_group_10_shape_11_horizontal_lines, 73, 15),
        shape(frame_176_shape_group_10_shape_12_horizontal_lines, 75, 3),
        shape(frame_176_shape_group_10_shape_13_horizontal_lines, 76, 15),
        shape(frame_176_shape_group_10_shape_14_horizontal_lines, 77, 5),
        shape(frame_176_shape_group_10_shape_15_horizontal_lines, 78, 15),
        shape(frame_176_shape_group_10_shape_16_horizontal_lines, 80, 5),
        shape(frame_176_shape_group_10_shape_17_horizontal_lines, 81, 3),
        shape(frame_176_shape_group_10_shape_18_horizontal_lines, 82, 8),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(80, 81),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(53, 70),
        horizontal_line(53, 70),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(71, 80),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(82, 104),
        horizontal_line(82, 104),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(82, 105),
        horizontal_line(83, 105),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(84, 106),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(85, 107),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(143, 148),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(85, 108),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_13_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_14_horizontal_lines[] = {
        horizontal_line(76, 85),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(76, 85),
    };

    constexpr const horizontal_line frame_176_shape_group_11_shape_15_horizontal_lines[] = {
        horizontal_line(87, 109),
        horizontal_line(174, 185),
        horizontal_line(162, 171),
        horizontal_line(149, 158),
        horizontal_line(137, 145),
    };

    constexpr const shape frame_176_shape_group_11_shapes[] = {
        shape(frame_176_shape_group_11_shape_0_horizontal_lines, 48, 15),
        shape(frame_176_shape_group_11_shape_1_horizontal_lines, 50, 3),
        shape(frame_176_shape_group_11_shape_2_horizontal_lines, 52, 8),
        shape(frame_176_shape_group_11_shape_3_horizontal_lines, 53, 3),
        shape(frame_176_shape_group_11_shape_4_horizontal_lines, 55, 5),
        shape(frame_176_shape_group_11_shape_5_horizontal_lines, 57, 15),
        shape(frame_176_shape_group_11_shape_6_horizontal_lines, 58, 3),
        shape(frame_176_shape_group_11_shape_7_horizontal_lines, 59, 8),
        shape(frame_176_shape_group_11_shape_8_horizontal_lines, 71, 3),
        shape(frame_176_shape_group_11_shape_9_horizontal_lines, 72, 8),
        shape(frame_176_shape_group_11_shape_10_horizontal_lines, 73, 3),
        shape(frame_176_shape_group_11_shape_11_horizontal_lines, 74, 15),
        shape(frame_176_shape_group_11_shape_12_horizontal_lines, 75, 8),
        shape(frame_176_shape_group_11_shape_13_horizontal_lines, 76, 3),
        shape(frame_176_shape_group_11_shape_14_horizontal_lines, 77, 15),
        shape(frame_176_shape_group_11_shape_15_horizontal_lines, 81, 8),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(80, 87),
        horizontal_line(80, 92),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(71, 80),
        horizontal_line(71, 80),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(81, 104),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(114, 119),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(116, 121),
        horizontal_line(84, 107),
        horizontal_line(116, 122),
        horizontal_line(85, 108),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(117, 122),
        horizontal_line(85, 108),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_9_horizontal_lines[] = {
        horizontal_line(144, 146),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_10_horizontal_lines[] = {
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_176_shape_group_12_shape_11_horizontal_lines[] = {
        horizontal_line(190, 190),
        horizontal_line(189, 194),
        horizontal_line(189, 198),
        horizontal_line(188, 202),
    };

    constexpr const shape frame_176_shape_group_12_shapes[] = {
        shape(frame_176_shape_group_12_shape_0_horizontal_lines, 48, 3),
        shape(frame_176_shape_group_12_shape_1_horizontal_lines, 53, 8),
        shape(frame_176_shape_group_12_shape_2_horizontal_lines, 55, 15),
        shape(frame_176_shape_group_12_shape_3_horizontal_lines, 57, 3),
        shape(frame_176_shape_group_12_shape_4_horizontal_lines, 58, 8),
        shape(frame_176_shape_group_12_shape_5_horizontal_lines, 74, 3),
        shape(frame_176_shape_group_12_shape_6_horizontal_lines, 75, 8),
        shape(frame_176_shape_group_12_shape_7_horizontal_lines, 77, 15),
        shape(frame_176_shape_group_12_shape_8_horizontal_lines, 78, 3),
        shape(frame_176_shape_group_12_shape_9_horizontal_lines, 80, 15),
        shape(frame_176_shape_group_12_shape_10_horizontal_lines, 81, 8),
        shape(frame_176_shape_group_12_shape_11_horizontal_lines, 82, 7),
    };

    constexpr const horizontal_line frame_176_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_176_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(81, 104),
        horizontal_line(113, 119),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 159),
        horizontal_line(146, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 160),
        horizontal_line(147, 161),
        horizontal_line(148, 161),
        horizontal_line(148, 161),
        horizontal_line(116, 121),
        horizontal_line(148, 161),
        horizontal_line(116, 122),
        horizontal_line(85, 108),
        horizontal_line(149, 162),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_176_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_176_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(86, 109),
        horizontal_line(86, 109),
    };

    constexpr const horizontal_line frame_176_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const shape frame_176_shape_group_13_shapes[] = {
        shape(frame_176_shape_group_13_shape_0_horizontal_lines, 55, 3),
        shape(frame_176_shape_group_13_shape_1_horizontal_lines, 57, 8),
        shape(frame_176_shape_group_13_shape_2_horizontal_lines, 77, 3),
        shape(frame_176_shape_group_13_shape_3_horizontal_lines, 78, 8),
        shape(frame_176_shape_group_13_shape_4_horizontal_lines, 80, 3),
    };

    constexpr const horizontal_line frame_176_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(81, 97),
        horizontal_line(81, 103),
        horizontal_line(113, 118),
        horizontal_line(146, 159),
        horizontal_line(165, 169),
        horizontal_line(165, 169),
        horizontal_line(165, 169),
        horizontal_line(166, 169),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(166, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 170),
        horizontal_line(167, 171),
        horizontal_line(167, 171),
        horizontal_line(148, 161),
        horizontal_line(168, 171),
        horizontal_line(148, 162),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_176_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(149, 162),
        horizontal_line(86, 108),
        horizontal_line(117, 123),
        horizontal_line(118, 123),
        horizontal_line(86, 109),
    };

    constexpr const shape frame_176_shape_group_14_shapes[] = {
        shape(frame_176_shape_group_14_shape_0_horizontal_lines, 55, 8),
        shape(frame_176_shape_group_14_shape_1_horizontal_lines, 76, 8),
    };

    constexpr const horizontal_line frame_176_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(166, 169),
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_176_shape_group_15_shape_1_horizontal_lines[] = {
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_176_shape_group_15_shape_2_horizontal_lines[] = {
        horizontal_line(168, 171),
        horizontal_line(149, 162),
    };

    constexpr const horizontal_line frame_176_shape_group_15_shape_3_horizontal_lines[] = {
        horizontal_line(117, 123),
        horizontal_line(149, 159),
    };

    constexpr const horizontal_line frame_176_shape_group_15_shape_4_horizontal_lines[] = {
        horizontal_line(118, 123),
    };

    constexpr const shape frame_176_shape_group_15_shapes[] = {
        shape(frame_176_shape_group_15_shape_0_horizontal_lines, 57, 8),
        shape(frame_176_shape_group_15_shape_1_horizontal_lines, 71, 8),
        shape(frame_176_shape_group_15_shape_2_horizontal_lines, 73, 8),
        shape(frame_176_shape_group_15_shape_3_horizontal_lines, 77, 8),
        shape(frame_176_shape_group_15_shape_4_horizontal_lines, 80, 8),
    };

    constexpr const horizontal_line frame_176_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_176_shape_group_16_shape_1_horizontal_lines[] = {
        horizontal_line(149, 162),
    };

    constexpr const shape frame_176_shape_group_16_shapes[] = {
        shape(frame_176_shape_group_16_shape_0_horizontal_lines, 74, 8),
        shape(frame_176_shape_group_16_shape_1_horizontal_lines, 77, 8),
    };

    constexpr const shape_group frame_176_shape_groups[] = {
        shape_group(frame_176_shape_group_0_shapes),
        shape_group(frame_176_shape_group_1_shapes),
        shape_group(frame_176_shape_group_2_shapes),
        shape_group(frame_176_shape_group_3_shapes),
        shape_group(frame_176_shape_group_4_shapes),
        shape_group(frame_176_shape_group_5_shapes),
        shape_group(frame_176_shape_group_6_shapes),
        shape_group(frame_176_shape_group_7_shapes),
        shape_group(frame_176_shape_group_8_shapes),
        shape_group(frame_176_shape_group_9_shapes),
        shape_group(frame_176_shape_group_10_shapes),
        shape_group(frame_176_shape_group_11_shapes),
        shape_group(frame_176_shape_group_12_shapes),
        shape_group(frame_176_shape_group_13_shapes),
        shape_group(frame_176_shape_group_14_shapes),
        shape_group(frame_176_shape_group_15_shapes),
        shape_group(frame_176_shape_group_16_shapes),
    };

    constexpr const frame frame_176_impl(frame_176_colors, frame_176_shape_groups);
} 

const frame& frame_176()
{
    return frame_176_impl;
}

namespace
{
    constexpr const bn::color frame_177_colors[] = {
        bn::color(16, 16, 16),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(0, 8, 16),
        bn::color(0, 12, 20),
        bn::color(0, 0, 0),
        bn::color(8, 20, 28),
        bn::color(16, 8, 0),
        bn::color(4, 16, 24),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_177_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(7, 63),
        horizontal_line(9, 59),
        horizontal_line(12, 55),
        horizontal_line(14, 51),
        horizontal_line(16, 47),
        horizontal_line(19, 44),
        horizontal_line(21, 40),
        horizontal_line(24, 36),
        horizontal_line(26, 32),
        horizontal_line(29, 29),
        horizontal_line(173, 174),
        horizontal_line(169, 174),
        horizontal_line(165, 174),
        horizontal_line(161, 175),
        horizontal_line(158, 175),
        horizontal_line(154, 174),
        horizontal_line(150, 170),
        horizontal_line(146, 167),
        horizontal_line(143, 163),
        horizontal_line(139, 160),
        horizontal_line(135, 156),
        horizontal_line(131, 152),
        horizontal_line(128, 149),
        horizontal_line(124, 145),
        horizontal_line(120, 142),
        horizontal_line(116, 138),
        horizontal_line(104, 111),
        horizontal_line(116, 131),
        horizontal_line(128, 128),
        horizontal_line(196, 226),
        horizontal_line(196, 227),
        horizontal_line(196, 227),
        horizontal_line(196, 227),
        horizontal_line(196, 227),
        horizontal_line(196, 227),
        horizontal_line(197, 227),
        horizontal_line(197, 228),
        horizontal_line(197, 228),
        horizontal_line(197, 228),
        horizontal_line(197, 228),
        horizontal_line(197, 228),
        horizontal_line(198, 228),
        horizontal_line(198, 228),
        horizontal_line(198, 229),
        horizontal_line(198, 229),
        horizontal_line(198, 229),
        horizontal_line(199, 229),
        horizontal_line(199, 229),
        horizontal_line(199, 229),
        horizontal_line(199, 230),
        horizontal_line(199, 230),
        horizontal_line(199, 230),
        horizontal_line(200, 230),
        horizontal_line(200, 230),
        horizontal_line(200, 230),
        horizontal_line(200, 230),
        horizontal_line(200, 231),
        horizontal_line(200, 231),
        horizontal_line(201, 231),
        horizontal_line(201, 231),
        horizontal_line(201, 231),
        horizontal_line(201, 231),
        horizontal_line(201, 232),
        horizontal_line(202, 232),
        horizontal_line(208, 232),
        horizontal_line(214, 232),
        horizontal_line(220, 232),
        horizontal_line(226, 232),
    };

    constexpr const horizontal_line frame_177_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(153, 215),
        horizontal_line(144, 206),
        horizontal_line(134, 196),
        horizontal_line(124, 186),
        horizontal_line(115, 177),
        horizontal_line(105, 167),
        horizontal_line(95, 157),
        horizontal_line(86, 148),
        horizontal_line(76, 138),
        horizontal_line(67, 129),
        horizontal_line(64, 122),
        horizontal_line(62, 111),
        horizontal_line(59, 100),
        horizontal_line(57, 89),
        horizontal_line(54, 78),
        horizontal_line(52, 67),
        horizontal_line(49, 56),
    };

    constexpr const horizontal_line frame_177_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 43),
        horizontal_line(0, 41),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_177_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const shape frame_177_shape_group_0_shapes[] = {
        shape(frame_177_shape_group_0_shape_0_horizontal_lines, 0, 12),
        shape(frame_177_shape_group_0_shape_1_horizontal_lines, 97, 10),
        shape(frame_177_shape_group_0_shape_2_horizontal_lines, 114, 9),
        shape(frame_177_shape_group_0_shape_3_horizontal_lines, 137, 7),
    };

    constexpr const horizontal_line frame_177_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(197, 218),
        horizontal_line(195, 218),
        horizontal_line(193, 218),
        horizontal_line(192, 218),
        horizontal_line(190, 218),
        horizontal_line(188, 218),
        horizontal_line(187, 218),
        horizontal_line(187, 219),
        horizontal_line(187, 219),
        horizontal_line(187, 219),
        horizontal_line(187, 219),
        horizontal_line(187, 219),
        horizontal_line(188, 219),
        horizontal_line(188, 220),
        horizontal_line(188, 220),
        horizontal_line(188, 220),
        horizontal_line(188, 220),
        horizontal_line(188, 220),
        horizontal_line(189, 220),
        horizontal_line(189, 220),
        horizontal_line(189, 221),
        horizontal_line(189, 221),
        horizontal_line(189, 221),
        horizontal_line(189, 221),
        horizontal_line(190, 221),
        horizontal_line(190, 221),
        horizontal_line(190, 222),
        horizontal_line(190, 222),
        horizontal_line(190, 222),
        horizontal_line(191, 222),
        horizontal_line(191, 222),
        horizontal_line(191, 222),
        horizontal_line(191, 222),
        horizontal_line(191, 223),
        horizontal_line(191, 223),
        horizontal_line(192, 223),
        horizontal_line(192, 223),
        horizontal_line(192, 223),
        horizontal_line(192, 223),
        horizontal_line(192, 224),
        horizontal_line(192, 224),
        horizontal_line(193, 224),
        horizontal_line(193, 224),
        horizontal_line(193, 224),
        horizontal_line(193, 224),
        horizontal_line(193, 224),
        horizontal_line(193, 225),
        horizontal_line(194, 225),
        horizontal_line(194, 225),
        horizontal_line(194, 225),
        horizontal_line(194, 225),
        horizontal_line(194, 225),
        horizontal_line(177, 177),
        horizontal_line(173, 177),
        horizontal_line(169, 177),
        horizontal_line(113, 135),
        horizontal_line(162, 164),
        horizontal_line(195, 226),
    };

    constexpr const horizontal_line frame_177_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(139, 139),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(179, 182),
        horizontal_line(169, 182),
        horizontal_line(159, 182),
        horizontal_line(149, 171),
        horizontal_line(140, 158),
        horizontal_line(136, 145),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(192, 207),
        horizontal_line(182, 213),
        horizontal_line(173, 219),
        horizontal_line(163, 225),
        horizontal_line(234, 239),
        horizontal_line(206, 221),
        horizontal_line(196, 210),
        horizontal_line(186, 199),
        horizontal_line(177, 188),
        horizontal_line(167, 177),
        horizontal_line(157, 166),
        horizontal_line(148, 155),
        horizontal_line(138, 144),
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_177_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_177_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
    };

    constexpr const shape frame_177_shape_group_1_shapes[] = {
        shape(frame_177_shape_group_1_shape_0_horizontal_lines, 0, 12),
        shape(frame_177_shape_group_1_shape_1_horizontal_lines, 58, 10),
        shape(frame_177_shape_group_1_shape_2_horizontal_lines, 107, 9),
        shape(frame_177_shape_group_1_shape_3_horizontal_lines, 114, 7),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 123),
        horizontal_line(62, 119),
        horizontal_line(62, 116),
        horizontal_line(62, 112),
        horizontal_line(62, 108),
        horizontal_line(62, 104),
        horizontal_line(62, 101),
        horizontal_line(62, 97),
        horizontal_line(62, 93),
        horizontal_line(62, 89),
        horizontal_line(62, 85),
        horizontal_line(62, 82),
        horizontal_line(62, 78),
        horizontal_line(62, 74),
        horizontal_line(64, 70),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(64, 95),
        horizontal_line(60, 91),
        horizontal_line(56, 87),
        horizontal_line(52, 83),
        horizontal_line(48, 79),
        horizontal_line(45, 75),
        horizontal_line(41, 71),
        horizontal_line(37, 67),
        horizontal_line(33, 63),
        horizontal_line(30, 59),
        horizontal_line(40, 55),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(54, 80),
        horizontal_line(57, 76),
        horizontal_line(59, 72),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(171, 175),
        horizontal_line(168, 175),
        horizontal_line(164, 172),
        horizontal_line(161, 168),
        horizontal_line(157, 165),
        horizontal_line(153, 161),
        horizontal_line(150, 157),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(195, 226),
        horizontal_line(195, 226),
        horizontal_line(195, 226),
        horizontal_line(166, 170),
        horizontal_line(195, 226),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(129, 135),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(179, 188),
        horizontal_line(179, 188),
        horizontal_line(179, 188),
        horizontal_line(180, 189),
        horizontal_line(180, 189),
        horizontal_line(180, 189),
        horizontal_line(180, 189),
        horizontal_line(180, 189),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(181, 190),
        horizontal_line(182, 190),
        horizontal_line(182, 191),
        horizontal_line(182, 191),
        horizontal_line(182, 191),
        horizontal_line(182, 191),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(215, 232),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_177_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_177_shape_group_2_shapes[] = {
        shape(frame_177_shape_group_2_shape_0_horizontal_lines, 0, 12),
        shape(frame_177_shape_group_2_shape_1_horizontal_lines, 29, 14),
        shape(frame_177_shape_group_2_shape_2_horizontal_lines, 41, 10),
        shape(frame_177_shape_group_2_shape_3_horizontal_lines, 44, 14),
        shape(frame_177_shape_group_2_shape_4_horizontal_lines, 52, 12),
        shape(frame_177_shape_group_2_shape_5_horizontal_lines, 57, 14),
        shape(frame_177_shape_group_2_shape_6_horizontal_lines, 58, 10),
        shape(frame_177_shape_group_2_shape_7_horizontal_lines, 59, 13),
        shape(frame_177_shape_group_2_shape_8_horizontal_lines, 77, 10),
        shape(frame_177_shape_group_2_shape_9_horizontal_lines, 83, 13),
        shape(frame_177_shape_group_2_shape_10_horizontal_lines, 84, 9),
        shape(frame_177_shape_group_2_shape_11_horizontal_lines, 93, 10),
        shape(frame_177_shape_group_2_shape_12_horizontal_lines, 98, 9),
        shape(frame_177_shape_group_2_shape_13_horizontal_lines, 107, 7),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(124, 173),
        horizontal_line(124, 169),
        horizontal_line(124, 165),
        horizontal_line(124, 161),
        horizontal_line(124, 157),
        horizontal_line(124, 154),
        horizontal_line(124, 150),
        horizontal_line(124, 146),
        horizontal_line(124, 142),
        horizontal_line(124, 138),
        horizontal_line(124, 135),
        horizontal_line(124, 131),
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(124, 159),
        horizontal_line(120, 155),
        horizontal_line(117, 151),
        horizontal_line(113, 147),
        horizontal_line(109, 143),
        horizontal_line(105, 139),
        horizontal_line(102, 135),
        horizontal_line(98, 131),
        horizontal_line(94, 127),
        horizontal_line(90, 123),
        horizontal_line(86, 119),
        horizontal_line(83, 115),
        horizontal_line(79, 111),
        horizontal_line(75, 107),
        horizontal_line(71, 103),
        horizontal_line(67, 99),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(62, 68),
        horizontal_line(65, 65),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(146, 153),
        horizontal_line(143, 150),
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(195, 226),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(132, 138),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(179, 188),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(183, 191),
        horizontal_line(183, 191),
        horizontal_line(183, 192),
        horizontal_line(183, 192),
        horizontal_line(183, 192),
        horizontal_line(184, 192),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(118, 128),
        horizontal_line(118, 125),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(136, 173),
        horizontal_line(124, 161),
        horizontal_line(112, 150),
        horizontal_line(110, 138),
        horizontal_line(108, 126),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(184, 197),
        horizontal_line(173, 201),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(225, 225),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(109, 143),
        horizontal_line(99, 133),
        horizontal_line(88, 123),
        horizontal_line(78, 114),
        horizontal_line(75, 104),
        horizontal_line(73, 94),
        horizontal_line(71, 85),
        horizontal_line(69, 75),
    };

    constexpr const horizontal_line frame_177_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const shape frame_177_shape_group_3_shapes[] = {
        shape(frame_177_shape_group_3_shape_0_horizontal_lines, 0, 12),
        shape(frame_177_shape_group_3_shape_1_horizontal_lines, 13, 14),
        shape(frame_177_shape_group_3_shape_2_horizontal_lines, 29, 1),
        shape(frame_177_shape_group_3_shape_3_horizontal_lines, 41, 10),
        shape(frame_177_shape_group_3_shape_4_horizontal_lines, 52, 14),
        shape(frame_177_shape_group_3_shape_5_horizontal_lines, 55, 12),
        shape(frame_177_shape_group_3_shape_6_horizontal_lines, 56, 14),
        shape(frame_177_shape_group_3_shape_7_horizontal_lines, 57, 10),
        shape(frame_177_shape_group_3_shape_8_horizontal_lines, 58, 13),
        shape(frame_177_shape_group_3_shape_9_horizontal_lines, 59, 9),
        shape(frame_177_shape_group_3_shape_10_horizontal_lines, 77, 13),
        shape(frame_177_shape_group_3_shape_11_horizontal_lines, 83, 9),
        shape(frame_177_shape_group_3_shape_12_horizontal_lines, 86, 3),
        shape(frame_177_shape_group_3_shape_13_horizontal_lines, 91, 9),
        shape(frame_177_shape_group_3_shape_14_horizontal_lines, 96, 10),
        shape(frame_177_shape_group_3_shape_15_horizontal_lines, 97, 9),
        shape(frame_177_shape_group_3_shape_16_horizontal_lines, 106, 7),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(174, 196),
        horizontal_line(170, 194),
        horizontal_line(166, 192),
        horizontal_line(162, 191),
        horizontal_line(158, 189),
        horizontal_line(155, 187),
        horizontal_line(151, 186),
        horizontal_line(147, 183),
        horizontal_line(143, 179),
        horizontal_line(139, 175),
        horizontal_line(136, 171),
        horizontal_line(132, 167),
        horizontal_line(128, 163),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(96, 127),
        horizontal_line(92, 123),
        horizontal_line(88, 119),
        horizontal_line(84, 115),
        horizontal_line(80, 111),
        horizontal_line(76, 107),
        horizontal_line(72, 104),
        horizontal_line(68, 100),
        horizontal_line(64, 96),
        horizontal_line(60, 92),
        horizontal_line(56, 88),
        horizontal_line(53, 84),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(81, 143),
        horizontal_line(54, 56),
        horizontal_line(51, 58),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(67, 121),
        horizontal_line(71, 118),
        horizontal_line(75, 114),
        horizontal_line(79, 110),
        horizontal_line(83, 107),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(136, 142),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(136, 153),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(113, 128),
        horizontal_line(113, 128),
        horizontal_line(114, 128),
        horizontal_line(114, 128),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(116, 130),
        horizontal_line(116, 130),
        horizontal_line(116, 131),
        horizontal_line(116, 131),
        horizontal_line(116, 131),
        horizontal_line(117, 131),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(118, 132),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(160, 192),
        horizontal_line(148, 185),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(63, 74),
        horizontal_line(63, 74),
        horizontal_line(63, 74),
        horizontal_line(64, 75),
        horizontal_line(64, 75),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(106, 114),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(64, 75),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(163, 191),
        horizontal_line(152, 181),
        horizontal_line(141, 172),
        horizontal_line(0, 42),
        horizontal_line(120, 152),
    };

    constexpr const horizontal_line frame_177_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(66, 77),
        horizontal_line(66, 77),
        horizontal_line(66, 77),
        horizontal_line(66, 77),
        horizontal_line(67, 74),
        horizontal_line(67, 72),
        horizontal_line(67, 70),
        horizontal_line(67, 68),
    };

    constexpr const shape frame_177_shape_group_4_shapes[] = {
        shape(frame_177_shape_group_4_shape_0_horizontal_lines, 0, 14),
        shape(frame_177_shape_group_4_shape_1_horizontal_lines, 13, 1),
        shape(frame_177_shape_group_4_shape_2_horizontal_lines, 29, 10),
        shape(frame_177_shape_group_4_shape_3_horizontal_lines, 41, 13),
        shape(frame_177_shape_group_4_shape_4_horizontal_lines, 44, 10),
        shape(frame_177_shape_group_4_shape_5_horizontal_lines, 46, 13),
        shape(frame_177_shape_group_4_shape_6_horizontal_lines, 52, 10),
        shape(frame_177_shape_group_4_shape_7_horizontal_lines, 55, 14),
        shape(frame_177_shape_group_4_shape_8_horizontal_lines, 56, 10),
        shape(frame_177_shape_group_4_shape_9_horizontal_lines, 57, 13),
        shape(frame_177_shape_group_4_shape_10_horizontal_lines, 58, 9),
        shape(frame_177_shape_group_4_shape_11_horizontal_lines, 84, 3),
        shape(frame_177_shape_group_4_shape_12_horizontal_lines, 86, 15),
        shape(frame_177_shape_group_4_shape_13_horizontal_lines, 91, 3),
        shape(frame_177_shape_group_4_shape_14_horizontal_lines, 92, 15),
        shape(frame_177_shape_group_4_shape_15_horizontal_lines, 93, 9),
        shape(frame_177_shape_group_4_shape_16_horizontal_lines, 98, 15),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(160, 182),
        horizontal_line(156, 181),
        horizontal_line(152, 181),
        horizontal_line(148, 178),
        horizontal_line(144, 174),
        horizontal_line(140, 170),
        horizontal_line(136, 166),
        horizontal_line(132, 162),
        horizontal_line(128, 158),
        horizontal_line(124, 154),
        horizontal_line(120, 150),
        horizontal_line(116, 146),
        horizontal_line(112, 143),
        horizontal_line(108, 139),
        horizontal_line(104, 135),
        horizontal_line(100, 131),
        horizontal_line(223, 232),
        horizontal_line(223, 233),
        horizontal_line(223, 233),
        horizontal_line(223, 234),
        horizontal_line(224, 234),
        horizontal_line(224, 235),
        horizontal_line(224, 235),
        horizontal_line(224, 236),
        horizontal_line(224, 236),
        horizontal_line(224, 237),
        horizontal_line(225, 237),
        horizontal_line(225, 238),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(175, 185),
        horizontal_line(77, 139),
        horizontal_line(73, 135),
        horizontal_line(55, 61),
        horizontal_line(59, 64),
        horizontal_line(176, 186),
        horizontal_line(173, 186),
        horizontal_line(169, 186),
        horizontal_line(166, 186),
        horizontal_line(162, 187),
        horizontal_line(158, 173),
        horizontal_line(87, 103),
        horizontal_line(91, 99),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(139, 156),
        horizontal_line(179, 188),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(113, 128),
        horizontal_line(164, 178),
        horizontal_line(164, 178),
        horizontal_line(164, 178),
        horizontal_line(164, 178),
        horizontal_line(165, 178),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(165, 179),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 180),
        horizontal_line(166, 178),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(172, 181),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(117, 131),
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(118, 132),
        horizontal_line(118, 132),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(172, 190),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(63, 74),
        horizontal_line(63, 74),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(75, 102),
        horizontal_line(75, 102),
        horizontal_line(75, 103),
        horizontal_line(76, 103),
        horizontal_line(76, 103),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(64, 75),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(76, 103),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(65, 76),
        horizontal_line(65, 76),
        horizontal_line(65, 76),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(131, 162),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(65, 77),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(78, 87),
        horizontal_line(78, 84),
        horizontal_line(78, 82),
    };

    constexpr const horizontal_line frame_177_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
    };

    constexpr const shape frame_177_shape_group_5_shapes[] = {
        shape(frame_177_shape_group_5_shape_0_horizontal_lines, 0, 1),
        shape(frame_177_shape_group_5_shape_1_horizontal_lines, 13, 10),
        shape(frame_177_shape_group_5_shape_2_horizontal_lines, 41, 13),
        shape(frame_177_shape_group_5_shape_3_horizontal_lines, 55, 10),
        shape(frame_177_shape_group_5_shape_4_horizontal_lines, 56, 13),
        shape(frame_177_shape_group_5_shape_5_horizontal_lines, 58, 9),
        shape(frame_177_shape_group_5_shape_6_horizontal_lines, 75, 3),
        shape(frame_177_shape_group_5_shape_7_horizontal_lines, 76, 9),
        shape(frame_177_shape_group_5_shape_8_horizontal_lines, 83, 3),
        shape(frame_177_shape_group_5_shape_9_horizontal_lines, 84, 15),
        shape(frame_177_shape_group_5_shape_10_horizontal_lines, 86, 8),
        shape(frame_177_shape_group_5_shape_11_horizontal_lines, 91, 15),
        shape(frame_177_shape_group_5_shape_12_horizontal_lines, 92, 8),
        shape(frame_177_shape_group_5_shape_13_horizontal_lines, 93, 15),
        shape(frame_177_shape_group_5_shape_14_horizontal_lines, 96, 9),
        shape(frame_177_shape_group_5_shape_15_horizontal_lines, 97, 15),
        shape(frame_177_shape_group_5_shape_16_horizontal_lines, 98, 8),
        shape(frame_177_shape_group_5_shape_17_horizontal_lines, 101, 7),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(219, 219),
        horizontal_line(219, 219),
        horizontal_line(219, 220),
        horizontal_line(219, 220),
        horizontal_line(219, 221),
        horizontal_line(184, 185),
        horizontal_line(180, 184),
        horizontal_line(176, 184),
        horizontal_line(172, 183),
        horizontal_line(168, 183),
        horizontal_line(164, 182),
        horizontal_line(221, 224),
        horizontal_line(221, 225),
        horizontal_line(221, 225),
        horizontal_line(221, 226),
        horizontal_line(221, 226),
        horizontal_line(221, 227),
        horizontal_line(221, 227),
        horizontal_line(222, 228),
        horizontal_line(222, 228),
        horizontal_line(222, 229),
        horizontal_line(222, 229),
        horizontal_line(222, 230),
        horizontal_line(222, 230),
        horizontal_line(223, 231),
        horizontal_line(223, 231),
        horizontal_line(223, 232),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(128, 183),
        horizontal_line(124, 183),
        horizontal_line(120, 180),
        horizontal_line(116, 176),
        horizontal_line(112, 173),
        horizontal_line(108, 169),
        horizontal_line(105, 165),
        horizontal_line(101, 162),
        horizontal_line(97, 158),
        horizontal_line(93, 154),
        horizontal_line(89, 151),
        horizontal_line(85, 147),
        horizontal_line(143, 143),
        horizontal_line(176, 185),
        horizontal_line(176, 185),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(177, 187),
        horizontal_line(154, 170),
        horizontal_line(151, 166),
        horizontal_line(147, 163),
        horizontal_line(143, 159),
        horizontal_line(178, 188),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(164, 177),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(57, 68),
        horizontal_line(57, 68),
        horizontal_line(57, 68),
        horizontal_line(58, 68),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(59, 70),
        horizontal_line(60, 71),
        horizontal_line(60, 71),
        horizontal_line(60, 71),
        horizontal_line(60, 71),
        horizontal_line(60, 71),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(162, 180),
        horizontal_line(160, 170),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(61, 72),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(62, 73),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(75, 102),
        horizontal_line(75, 102),
        horizontal_line(118, 135),
        horizontal_line(115, 123),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(104, 111),
        horizontal_line(104, 109),
        horizontal_line(104, 107),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(76, 103),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(104, 166),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(77, 100),
        horizontal_line(77, 97),
        horizontal_line(77, 95),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(65, 76),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(78, 90),
    };

    constexpr const horizontal_line frame_177_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(88, 108),
        horizontal_line(85, 98),
        horizontal_line(83, 87),
    };

    constexpr const shape frame_177_shape_group_6_shapes[] = {
        shape(frame_177_shape_group_6_shape_0_horizontal_lines, 2, 10),
        shape(frame_177_shape_group_6_shape_1_horizontal_lines, 29, 13),
        shape(frame_177_shape_group_6_shape_2_horizontal_lines, 47, 9),
        shape(frame_177_shape_group_6_shape_3_horizontal_lines, 51, 13),
        shape(frame_177_shape_group_6_shape_4_horizontal_lines, 57, 9),
        shape(frame_177_shape_group_6_shape_5_horizontal_lines, 59, 15),
        shape(frame_177_shape_group_6_shape_6_horizontal_lines, 76, 3),
        shape(frame_177_shape_group_6_shape_7_horizontal_lines, 78, 15),
        shape(frame_177_shape_group_6_shape_8_horizontal_lines, 79, 9),
        shape(frame_177_shape_group_6_shape_9_horizontal_lines, 81, 15),
        shape(frame_177_shape_group_6_shape_10_horizontal_lines, 84, 8),
        shape(frame_177_shape_group_6_shape_11_horizontal_lines, 88, 4),
        shape(frame_177_shape_group_6_shape_12_horizontal_lines, 91, 8),
        shape(frame_177_shape_group_6_shape_13_horizontal_lines, 92, 4),
        shape(frame_177_shape_group_6_shape_14_horizontal_lines, 93, 8),
        shape(frame_177_shape_group_6_shape_15_horizontal_lines, 96, 15),
        shape(frame_177_shape_group_6_shape_16_horizontal_lines, 97, 8),
        shape(frame_177_shape_group_6_shape_17_horizontal_lines, 98, 4),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(220, 221),
        horizontal_line(220, 222),
        horizontal_line(220, 222),
        horizontal_line(220, 223),
        horizontal_line(220, 223),
        horizontal_line(220, 224),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(179, 181),
        horizontal_line(175, 181),
        horizontal_line(171, 181),
        horizontal_line(167, 181),
        horizontal_line(163, 181),
        horizontal_line(159, 182),
        horizontal_line(155, 182),
        horizontal_line(151, 182),
        horizontal_line(147, 182),
        horizontal_line(144, 182),
        horizontal_line(140, 182),
        horizontal_line(136, 183),
        horizontal_line(132, 183),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(182, 183),
        horizontal_line(180, 184),
        horizontal_line(178, 184),
        horizontal_line(176, 184),
        horizontal_line(175, 184),
        horizontal_line(175, 184),
        horizontal_line(175, 184),
        horizontal_line(175, 185),
        horizontal_line(175, 185),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(135, 136),
        horizontal_line(176, 186),
        horizontal_line(176, 186),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(122, 132),
        horizontal_line(119, 129),
        horizontal_line(115, 125),
        horizontal_line(111, 121),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(178, 187),
        horizontal_line(178, 187),
        horizontal_line(178, 187),
        horizontal_line(178, 187),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(113, 127),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(57, 68),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(137, 140),
        horizontal_line(137, 140),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 142),
        horizontal_line(61, 72),
        horizontal_line(61, 72),
        horizontal_line(139, 142),
        horizontal_line(61, 72),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(74, 101),
        horizontal_line(74, 101),
        horizontal_line(74, 102),
        horizontal_line(144, 159),
        horizontal_line(131, 147),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(151, 193),
        horizontal_line(139, 193),
        horizontal_line(127, 189),
        horizontal_line(104, 105),
        horizontal_line(166, 172),
        horizontal_line(101, 162),
        horizontal_line(98, 151),
        horizontal_line(96, 140),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(77, 92),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(91, 119),
    };

    constexpr const horizontal_line frame_177_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_177_shape_group_7_shapes[] = {
        shape(frame_177_shape_group_7_shape_0_horizontal_lines, 7, 10),
        shape(frame_177_shape_group_7_shape_1_horizontal_lines, 16, 13),
        shape(frame_177_shape_group_7_shape_2_horizontal_lines, 29, 9),
        shape(frame_177_shape_group_7_shape_3_horizontal_lines, 32, 13),
        shape(frame_177_shape_group_7_shape_4_horizontal_lines, 41, 9),
        shape(frame_177_shape_group_7_shape_5_horizontal_lines, 42, 13),
        shape(frame_177_shape_group_7_shape_6_horizontal_lines, 46, 9),
        shape(frame_177_shape_group_7_shape_7_horizontal_lines, 47, 2),
        shape(frame_177_shape_group_7_shape_8_horizontal_lines, 51, 9),
        shape(frame_177_shape_group_7_shape_9_horizontal_lines, 52, 13),
        shape(frame_177_shape_group_7_shape_10_horizontal_lines, 56, 9),
        shape(frame_177_shape_group_7_shape_11_horizontal_lines, 58, 15),
        shape(frame_177_shape_group_7_shape_12_horizontal_lines, 81, 8),
        shape(frame_177_shape_group_7_shape_13_horizontal_lines, 86, 4),
        shape(frame_177_shape_group_7_shape_14_horizontal_lines, 96, 8),
        shape(frame_177_shape_group_7_shape_15_horizontal_lines, 97, 4),
        shape(frame_177_shape_group_7_shape_16_horizontal_lines, 98, 7),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(144, 155),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(131, 132),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(126, 136),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(133, 142),
        horizontal_line(130, 138),
        horizontal_line(126, 134),
        horizontal_line(122, 130),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(108, 117),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(113, 115),
        horizontal_line(164, 177),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(69, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 97),
        horizontal_line(70, 97),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(72, 99),
        horizontal_line(72, 99),
        horizontal_line(72, 100),
        horizontal_line(72, 100),
        horizontal_line(72, 100),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(138, 142),
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(73, 101),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(139, 142),
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(102, 109),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(170, 183),
        horizontal_line(157, 171),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(174, 193),
        horizontal_line(162, 193),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(189, 194),
        horizontal_line(115, 177),
    };

    constexpr const horizontal_line frame_177_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(93, 130),
    };

    constexpr const shape frame_177_shape_group_8_shapes[] = {
        shape(frame_177_shape_group_8_shape_0_horizontal_lines, 27, 9),
        shape(frame_177_shape_group_8_shape_1_horizontal_lines, 31, 2),
        shape(frame_177_shape_group_8_shape_2_horizontal_lines, 32, 9),
        shape(frame_177_shape_group_8_shape_3_horizontal_lines, 39, 13),
        shape(frame_177_shape_group_8_shape_4_horizontal_lines, 41, 2),
        shape(frame_177_shape_group_8_shape_5_horizontal_lines, 42, 9),
        shape(frame_177_shape_group_8_shape_6_horizontal_lines, 44, 13),
        shape(frame_177_shape_group_8_shape_7_horizontal_lines, 46, 2),
        shape(frame_177_shape_group_8_shape_8_horizontal_lines, 47, 3),
        shape(frame_177_shape_group_8_shape_9_horizontal_lines, 51, 2),
        shape(frame_177_shape_group_8_shape_10_horizontal_lines, 52, 9),
        shape(frame_177_shape_group_8_shape_11_horizontal_lines, 58, 15),
        shape(frame_177_shape_group_8_shape_12_horizontal_lines, 59, 8),
        shape(frame_177_shape_group_8_shape_13_horizontal_lines, 76, 15),
        shape(frame_177_shape_group_8_shape_14_horizontal_lines, 78, 8),
        shape(frame_177_shape_group_8_shape_15_horizontal_lines, 79, 15),
        shape(frame_177_shape_group_8_shape_16_horizontal_lines, 81, 4),
        shape(frame_177_shape_group_8_shape_17_horizontal_lines, 82, 8),
        shape(frame_177_shape_group_8_shape_18_horizontal_lines, 84, 4),
        shape(frame_177_shape_group_8_shape_19_horizontal_lines, 90, 4),
        shape(frame_177_shape_group_8_shape_20_horizontal_lines, 96, 4),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(177, 181),
        horizontal_line(174, 179),
        horizontal_line(170, 177),
        horizontal_line(166, 175),
        horizontal_line(163, 174),
        horizontal_line(159, 171),
        horizontal_line(155, 167),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(156, 164),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(141, 152),
        horizontal_line(137, 148),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(137, 145),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(54, 65),
        horizontal_line(54, 65),
        horizontal_line(55, 65),
        horizontal_line(55, 66),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(174, 176),
        horizontal_line(104, 113),
        horizontal_line(100, 109),
        horizontal_line(97, 106),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(171, 177),
        horizontal_line(167, 177),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(69, 96),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 154),
        horizontal_line(140, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 157),
        horizontal_line(143, 157),
        horizontal_line(73, 100),
        horizontal_line(73, 100),
        horizontal_line(143, 157),
        horizontal_line(73, 101),
        horizontal_line(74, 101),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(110, 117),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(102, 109),
        horizontal_line(103, 110),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(111, 117),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(186, 193),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(111, 117),
        horizontal_line(111, 114),
    };

    constexpr const horizontal_line frame_177_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(177, 183),
    };

    constexpr const shape frame_177_shape_group_9_shapes[] = {
        shape(frame_177_shape_group_9_shape_0_horizontal_lines, 32, 2),
        shape(frame_177_shape_group_9_shape_1_horizontal_lines, 39, 9),
        shape(frame_177_shape_group_9_shape_2_horizontal_lines, 41, 3),
        shape(frame_177_shape_group_9_shape_3_horizontal_lines, 42, 2),
        shape(frame_177_shape_group_9_shape_4_horizontal_lines, 44, 9),
        shape(frame_177_shape_group_9_shape_5_horizontal_lines, 46, 3),
        shape(frame_177_shape_group_9_shape_6_horizontal_lines, 47, 15),
        shape(frame_177_shape_group_9_shape_7_horizontal_lines, 51, 2),
        shape(frame_177_shape_group_9_shape_8_horizontal_lines, 55, 9),
        shape(frame_177_shape_group_9_shape_9_horizontal_lines, 57, 2),
        shape(frame_177_shape_group_9_shape_10_horizontal_lines, 58, 8),
        shape(frame_177_shape_group_9_shape_11_horizontal_lines, 81, 6),
        shape(frame_177_shape_group_9_shape_12_horizontal_lines, 82, 4),
        shape(frame_177_shape_group_9_shape_13_horizontal_lines, 84, 6),
        shape(frame_177_shape_group_9_shape_14_horizontal_lines, 85, 4),
        shape(frame_177_shape_group_9_shape_15_horizontal_lines, 86, 6),
        shape(frame_177_shape_group_9_shape_16_horizontal_lines, 91, 4),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(172, 174),
        horizontal_line(168, 174),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(152, 163),
        horizontal_line(148, 159),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(153, 160),
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(133, 144),
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(54, 62),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(66, 66),
        horizontal_line(66, 70),
        horizontal_line(66, 74),
        horizontal_line(67, 78),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(118, 127),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(171, 176),
        horizontal_line(167, 172),
        horizontal_line(164, 168),
        horizontal_line(160, 165),
        horizontal_line(157, 161),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(159, 163),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(140, 153),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(98, 105),
        horizontal_line(98, 106),
        horizontal_line(98, 106),
        horizontal_line(98, 106),
        horizontal_line(98, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 107),
        horizontal_line(99, 107),
        horizontal_line(99, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 108),
        horizontal_line(100, 108),
        horizontal_line(101, 108),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(179, 180),
        horizontal_line(166, 171),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(102, 109),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(102, 109),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(110, 117),
        horizontal_line(111, 117),
    };

    constexpr const horizontal_line frame_177_shape_group_10_shape_17_horizontal_lines[] = {
        horizontal_line(111, 117),
    };

    constexpr const shape frame_177_shape_group_10_shapes[] = {
        shape(frame_177_shape_group_10_shape_0_horizontal_lines, 37, 3),
        shape(frame_177_shape_group_10_shape_1_horizontal_lines, 39, 2),
        shape(frame_177_shape_group_10_shape_2_horizontal_lines, 41, 15),
        shape(frame_177_shape_group_10_shape_3_horizontal_lines, 42, 3),
        shape(frame_177_shape_group_10_shape_4_horizontal_lines, 44, 2),
        shape(frame_177_shape_group_10_shape_5_horizontal_lines, 46, 15),
        shape(frame_177_shape_group_10_shape_6_horizontal_lines, 47, 8),
        shape(frame_177_shape_group_10_shape_7_horizontal_lines, 51, 3),
        shape(frame_177_shape_group_10_shape_8_horizontal_lines, 52, 2),
        shape(frame_177_shape_group_10_shape_9_horizontal_lines, 57, 3),
        shape(frame_177_shape_group_10_shape_10_horizontal_lines, 58, 8),
        shape(frame_177_shape_group_10_shape_11_horizontal_lines, 59, 4),
        shape(frame_177_shape_group_10_shape_12_horizontal_lines, 74, 8),
        shape(frame_177_shape_group_10_shape_13_horizontal_lines, 78, 4),
        shape(frame_177_shape_group_10_shape_14_horizontal_lines, 79, 8),
        shape(frame_177_shape_group_10_shape_15_horizontal_lines, 80, 4),
        shape(frame_177_shape_group_10_shape_16_horizontal_lines, 82, 6),
        shape(frame_177_shape_group_10_shape_17_horizontal_lines, 85, 6),
    };

    constexpr const horizontal_line frame_177_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(164, 172),
        horizontal_line(160, 168),
    };

    constexpr const horizontal_line frame_177_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_177_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(145, 153),
        horizontal_line(141, 149),
    };

    constexpr const horizontal_line frame_177_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(55, 66),
    };

    constexpr const horizontal_line frame_177_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(114, 123),
        horizontal_line(110, 119),
        horizontal_line(107, 115),
        horizontal_line(112, 112),
        horizontal_line(165, 166),
    };

    constexpr const horizontal_line frame_177_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(56, 67),
    };

    constexpr const horizontal_line frame_177_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(97, 105),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(154, 157),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(156, 158),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 159),
        horizontal_line(157, 160),
        horizontal_line(157, 160),
        horizontal_line(101, 108),
        horizontal_line(101, 108),
        horizontal_line(101, 108),
        horizontal_line(101, 109),
        horizontal_line(158, 168),
        horizontal_line(102, 109),
        horizontal_line(148, 148),
    };

    constexpr const shape frame_177_shape_group_11_shapes[] = {
        shape(frame_177_shape_group_11_shape_0_horizontal_lines, 39, 3),
        shape(frame_177_shape_group_11_shape_1_horizontal_lines, 42, 15),
        shape(frame_177_shape_group_11_shape_2_horizontal_lines, 44, 3),
        shape(frame_177_shape_group_11_shape_3_horizontal_lines, 51, 15),
        shape(frame_177_shape_group_11_shape_4_horizontal_lines, 52, 3),
        shape(frame_177_shape_group_11_shape_5_horizontal_lines, 57, 15),
        shape(frame_177_shape_group_11_shape_6_horizontal_lines, 58, 4),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(53, 54),
        horizontal_line(54, 58),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(67, 82),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(55, 66),
        horizontal_line(55, 66),
        horizontal_line(56, 67),
        horizontal_line(56, 67),
        horizontal_line(56, 67),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(68, 96),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(106, 112),
        horizontal_line(107, 112),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(158, 160),
        horizontal_line(158, 161),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_177_shape_group_12_shape_9_horizontal_lines[] = {
        horizontal_line(110, 116),
    };

    constexpr const shape frame_177_shape_group_12_shapes[] = {
        shape(frame_177_shape_group_12_shape_0_horizontal_lines, 44, 15),
        shape(frame_177_shape_group_12_shape_1_horizontal_lines, 51, 8),
        shape(frame_177_shape_group_12_shape_2_horizontal_lines, 52, 15),
        shape(frame_177_shape_group_12_shape_3_horizontal_lines, 57, 8),
        shape(frame_177_shape_group_12_shape_4_horizontal_lines, 58, 4),
        shape(frame_177_shape_group_12_shape_5_horizontal_lines, 59, 6),
        shape(frame_177_shape_group_12_shape_6_horizontal_lines, 74, 4),
        shape(frame_177_shape_group_12_shape_7_horizontal_lines, 78, 6),
        shape(frame_177_shape_group_12_shape_8_horizontal_lines, 79, 4),
        shape(frame_177_shape_group_12_shape_9_horizontal_lines, 80, 6),
    };

    constexpr const horizontal_line frame_177_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(67, 86),
        horizontal_line(67, 90),
        horizontal_line(68, 95),
        horizontal_line(68, 96),
        horizontal_line(68, 96),
    };

    constexpr const horizontal_line frame_177_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(97, 105),
    };

    constexpr const horizontal_line frame_177_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(106, 112),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(158, 163),
        horizontal_line(159, 163),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(159, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 164),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(160, 165),
        horizontal_line(161, 165),
        horizontal_line(161, 165),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_177_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(171, 178),
    };

    constexpr const horizontal_line frame_177_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(110, 116),
    };

    constexpr const shape frame_177_shape_group_13_shapes[] = {
        shape(frame_177_shape_group_13_shape_0_horizontal_lines, 52, 8),
        shape(frame_177_shape_group_13_shape_1_horizontal_lines, 57, 4),
        shape(frame_177_shape_group_13_shape_2_horizontal_lines, 58, 6),
        shape(frame_177_shape_group_13_shape_3_horizontal_lines, 77, 4),
        shape(frame_177_shape_group_13_shape_4_horizontal_lines, 79, 6),
    };

    constexpr const horizontal_line frame_177_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(97, 103),
        horizontal_line(97, 105),
    };

    constexpr const horizontal_line frame_177_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(106, 112),
        horizontal_line(158, 163),
    };

    constexpr const horizontal_line frame_177_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(161, 165),
        horizontal_line(161, 165),
    };

    constexpr const horizontal_line frame_177_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(110, 116),
    };

    constexpr const shape frame_177_shape_group_14_shapes[] = {
        shape(frame_177_shape_group_14_shape_0_horizontal_lines, 55, 4),
        shape(frame_177_shape_group_14_shape_1_horizontal_lines, 57, 6),
        shape(frame_177_shape_group_14_shape_2_horizontal_lines, 74, 6),
        shape(frame_177_shape_group_14_shape_3_horizontal_lines, 77, 6),
    };

    constexpr const horizontal_line frame_177_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(106, 112),
    };

    constexpr const shape frame_177_shape_group_15_shapes[] = {
        shape(frame_177_shape_group_15_shape_0_horizontal_lines, 56, 6),
    };

    constexpr const shape_group frame_177_shape_groups[] = {
        shape_group(frame_177_shape_group_0_shapes),
        shape_group(frame_177_shape_group_1_shapes),
        shape_group(frame_177_shape_group_2_shapes),
        shape_group(frame_177_shape_group_3_shapes),
        shape_group(frame_177_shape_group_4_shapes),
        shape_group(frame_177_shape_group_5_shapes),
        shape_group(frame_177_shape_group_6_shapes),
        shape_group(frame_177_shape_group_7_shapes),
        shape_group(frame_177_shape_group_8_shapes),
        shape_group(frame_177_shape_group_9_shapes),
        shape_group(frame_177_shape_group_10_shapes),
        shape_group(frame_177_shape_group_11_shapes),
        shape_group(frame_177_shape_group_12_shapes),
        shape_group(frame_177_shape_group_13_shapes),
        shape_group(frame_177_shape_group_14_shapes),
        shape_group(frame_177_shape_group_15_shapes),
    };

    constexpr const frame frame_177_impl(frame_177_colors, frame_177_shape_groups);
} 

const frame& frame_177()
{
    return frame_177_impl;
}

namespace
{
    constexpr const bn::color frame_178_colors[] = {
        bn::color(16, 16, 16),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(0, 8, 16),
        bn::color(0, 12, 20),
        bn::color(0, 0, 0),
        bn::color(8, 20, 28),
        bn::color(16, 8, 0),
        bn::color(4, 16, 24),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_178_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
        horizontal_line(0, 54),
        horizontal_line(0, 50),
        horizontal_line(0, 46),
        horizontal_line(0, 42),
        horizontal_line(0, 38),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 27),
        horizontal_line(0, 23),
        horizontal_line(0, 19),
        horizontal_line(0, 15),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(197, 236),
        horizontal_line(198, 236),
        horizontal_line(198, 236),
        horizontal_line(198, 236),
        horizontal_line(198, 237),
        horizontal_line(198, 237),
        horizontal_line(199, 237),
        horizontal_line(199, 237),
        horizontal_line(199, 237),
        horizontal_line(169, 171),
        horizontal_line(165, 171),
        horizontal_line(162, 171),
        horizontal_line(158, 171),
        horizontal_line(155, 171),
        horizontal_line(151, 172),
        horizontal_line(147, 172),
        horizontal_line(144, 170),
        horizontal_line(140, 166),
        horizontal_line(137, 163),
        horizontal_line(133, 159),
        horizontal_line(130, 156),
        horizontal_line(126, 152),
        horizontal_line(122, 149),
        horizontal_line(119, 145),
        horizontal_line(115, 142),
        horizontal_line(112, 138),
        horizontal_line(108, 135),
        horizontal_line(96, 103),
        horizontal_line(104, 128),
        horizontal_line(112, 124),
        horizontal_line(121, 121),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(217, 239),
        horizontal_line(224, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(164, 226),
        horizontal_line(155, 217),
        horizontal_line(146, 208),
        horizontal_line(137, 199),
        horizontal_line(128, 190),
        horizontal_line(119, 181),
        horizontal_line(110, 172),
        horizontal_line(101, 163),
        horizontal_line(92, 154),
        horizontal_line(83, 145),
        horizontal_line(74, 136),
        horizontal_line(65, 127),
        horizontal_line(56, 118),
        horizontal_line(47, 109),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(40, 96),
        horizontal_line(37, 87),
        horizontal_line(35, 77),
        horizontal_line(33, 68),
        horizontal_line(31, 58),
        horizontal_line(28, 49),
        horizontal_line(26, 39),
        horizontal_line(24, 30),
    };

    constexpr const horizontal_line frame_178_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_178_shape_group_0_shapes[] = {
        shape(frame_178_shape_group_0_shape_0_horizontal_lines, 0, 12),
        shape(frame_178_shape_group_0_shape_1_horizontal_lines, 98, 10),
        shape(frame_178_shape_group_0_shape_2_horizontal_lines, 122, 9),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(193, 231),
        horizontal_line(193, 231),
        horizontal_line(193, 231),
        horizontal_line(193, 231),
        horizontal_line(193, 231),
        horizontal_line(193, 231),
        horizontal_line(194, 232),
        horizontal_line(194, 232),
        horizontal_line(194, 232),
        horizontal_line(194, 232),
        horizontal_line(194, 232),
        horizontal_line(195, 233),
        horizontal_line(195, 233),
        horizontal_line(195, 233),
        horizontal_line(195, 233),
        horizontal_line(195, 233),
        horizontal_line(195, 234),
        horizontal_line(196, 234),
        horizontal_line(196, 234),
        horizontal_line(196, 234),
        horizontal_line(196, 234),
        horizontal_line(196, 235),
        horizontal_line(197, 235),
        horizontal_line(197, 235),
        horizontal_line(197, 235),
        horizontal_line(197, 235),
        horizontal_line(197, 236),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(7, 40),
        horizontal_line(14, 36),
        horizontal_line(21, 32),
        horizontal_line(28, 28),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(30, 75),
        horizontal_line(33, 71),
        horizontal_line(35, 67),
        horizontal_line(38, 63),
        horizontal_line(40, 59),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(199, 238),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(172, 174),
        horizontal_line(168, 174),
        horizontal_line(105, 131),
        horizontal_line(161, 172),
        horizontal_line(157, 162),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(177, 192),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 193),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 194),
        horizontal_line(180, 194),
        horizontal_line(180, 195),
        horizontal_line(180, 195),
        horizontal_line(180, 195),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(177, 179),
        horizontal_line(168, 179),
        horizontal_line(160, 179),
        horizontal_line(151, 171),
        horizontal_line(142, 160),
        horizontal_line(134, 148),
        horizontal_line(130, 137),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(162, 197),
        horizontal_line(153, 186),
        horizontal_line(143, 176),
        horizontal_line(133, 166),
        horizontal_line(124, 156),
        horizontal_line(114, 146),
        horizontal_line(105, 135),
        horizontal_line(102, 125),
        horizontal_line(100, 115),
        horizontal_line(98, 105),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(200, 216),
        horizontal_line(191, 223),
        horizontal_line(182, 230),
        horizontal_line(173, 235),
        horizontal_line(226, 239),
        horizontal_line(217, 238),
        horizontal_line(208, 228),
        horizontal_line(199, 219),
        horizontal_line(190, 209),
        horizontal_line(181, 200),
        horizontal_line(172, 190),
        horizontal_line(163, 181),
        horizontal_line(154, 171),
        horizontal_line(145, 162),
        horizontal_line(136, 153),
        horizontal_line(127, 143),
        horizontal_line(118, 134),
        horizontal_line(109, 124),
        horizontal_line(106, 115),
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_178_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const shape frame_178_shape_group_1_shapes[] = {
        shape(frame_178_shape_group_1_shape_0_horizontal_lines, 0, 12),
        shape(frame_178_shape_group_1_shape_1_horizontal_lines, 27, 14),
        shape(frame_178_shape_group_1_shape_2_horizontal_lines, 31, 10),
        shape(frame_178_shape_group_1_shape_3_horizontal_lines, 36, 12),
        shape(frame_178_shape_group_1_shape_4_horizontal_lines, 58, 13),
        shape(frame_178_shape_group_1_shape_5_horizontal_lines, 77, 10),
        shape(frame_178_shape_group_1_shape_6_horizontal_lines, 84, 3),
        shape(frame_178_shape_group_1_shape_7_horizontal_lines, 94, 10),
        shape(frame_178_shape_group_1_shape_8_horizontal_lines, 114, 9),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 101),
        horizontal_line(62, 97),
        horizontal_line(62, 93),
        horizontal_line(62, 89),
        horizontal_line(62, 85),
        horizontal_line(62, 81),
        horizontal_line(62, 77),
        horizontal_line(62, 73),
        horizontal_line(62, 69),
        horizontal_line(62, 66),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(59, 106),
        horizontal_line(55, 102),
        horizontal_line(51, 98),
        horizontal_line(47, 94),
        horizontal_line(43, 90),
        horizontal_line(39, 85),
        horizontal_line(35, 81),
        horizontal_line(32, 77),
        horizontal_line(28, 73),
        horizontal_line(24, 69),
        horizontal_line(20, 65),
        horizontal_line(16, 61),
        horizontal_line(12, 56),
        horizontal_line(8, 52),
        horizontal_line(4, 48),
        horizontal_line(1, 44),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(41, 90),
        horizontal_line(37, 86),
        horizontal_line(33, 82),
        horizontal_line(29, 79),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(43, 55),
        horizontal_line(45, 51),
        horizontal_line(48, 48),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(50, 112),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(171, 172),
        horizontal_line(167, 172),
        horizontal_line(164, 171),
        horizontal_line(160, 168),
        horizontal_line(157, 164),
        horizontal_line(153, 160),
        horizontal_line(150, 157),
        horizontal_line(146, 153),
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(164, 174),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(122, 128),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(193, 193),
        horizontal_line(193, 193),
        horizontal_line(193, 193),
        horizontal_line(193, 193),
        horizontal_line(193, 193),
        horizontal_line(194, 194),
        horizontal_line(194, 194),
        horizontal_line(194, 194),
        horizontal_line(194, 194),
        horizontal_line(194, 194),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(195, 195),
        horizontal_line(195, 195),
        horizontal_line(195, 195),
        horizontal_line(195, 195),
        horizontal_line(195, 195),
        horizontal_line(196, 196),
        horizontal_line(177, 178),
        horizontal_line(167, 176),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(180, 195),
        horizontal_line(181, 195),
        horizontal_line(181, 196),
        horizontal_line(181, 196),
        horizontal_line(181, 196),
        horizontal_line(182, 196),
        horizontal_line(190, 196),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(235, 238),
    };

    constexpr const horizontal_line frame_178_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const shape frame_178_shape_group_2_shapes[] = {
        shape(frame_178_shape_group_2_shape_0_horizontal_lines, 0, 12),
        shape(frame_178_shape_group_2_shape_1_horizontal_lines, 11, 14),
        shape(frame_178_shape_group_2_shape_2_horizontal_lines, 27, 10),
        shape(frame_178_shape_group_2_shape_3_horizontal_lines, 39, 13),
        shape(frame_178_shape_group_2_shape_4_horizontal_lines, 43, 14),
        shape(frame_178_shape_group_2_shape_5_horizontal_lines, 52, 12),
        shape(frame_178_shape_group_2_shape_6_horizontal_lines, 57, 14),
        shape(frame_178_shape_group_2_shape_7_horizontal_lines, 58, 3),
        shape(frame_178_shape_group_2_shape_8_horizontal_lines, 68, 9),
        shape(frame_178_shape_group_2_shape_9_horizontal_lines, 69, 3),
        shape(frame_178_shape_group_2_shape_10_horizontal_lines, 77, 13),
        shape(frame_178_shape_group_2_shape_11_horizontal_lines, 84, 9),
        shape(frame_178_shape_group_2_shape_12_horizontal_lines, 97, 10),
        shape(frame_178_shape_group_2_shape_13_horizontal_lines, 98, 9),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(102, 152),
        horizontal_line(98, 147),
        horizontal_line(94, 143),
        horizontal_line(90, 139),
        horizontal_line(86, 135),
        horizontal_line(82, 131),
        horizontal_line(78, 127),
        horizontal_line(74, 123),
        horizontal_line(70, 118),
        horizontal_line(67, 114),
        horizontal_line(63, 110),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(107, 152),
        horizontal_line(103, 149),
        horizontal_line(99, 145),
        horizontal_line(95, 141),
        horizontal_line(91, 137),
        horizontal_line(86, 133),
        horizontal_line(82, 129),
        horizontal_line(78, 125),
        horizontal_line(74, 121),
        horizontal_line(70, 117),
        horizontal_line(66, 114),
        horizontal_line(62, 110),
        horizontal_line(57, 106),
        horizontal_line(53, 102),
        horizontal_line(49, 98),
        horizontal_line(45, 94),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(76, 138),
        horizontal_line(72, 134),
        horizontal_line(68, 130),
        horizontal_line(36, 37),
        horizontal_line(32, 39),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(32, 44),
        horizontal_line(36, 47),
        horizontal_line(173, 188),
        horizontal_line(173, 188),
        horizontal_line(173, 189),
        horizontal_line(173, 189),
        horizontal_line(53, 115),
        horizontal_line(57, 114),
        horizontal_line(61, 111),
        horizontal_line(64, 107),
        horizontal_line(68, 104),
        horizontal_line(71, 100),
        horizontal_line(75, 96),
        horizontal_line(78, 93),
        horizontal_line(82, 89),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(139, 146),
        horizontal_line(136, 142),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(129, 135),
        horizontal_line(125, 131),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(129, 147),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(107, 123),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(196, 196),
        horizontal_line(157, 163),
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(197, 197),
        horizontal_line(197, 197),
        horizontal_line(197, 197),
        horizontal_line(172, 189),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(111, 126),
        horizontal_line(111, 122),
        horizontal_line(111, 119),
        horizontal_line(111, 115),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(42, 59),
        horizontal_line(42, 59),
        horizontal_line(43, 59),
    };

    constexpr const horizontal_line frame_178_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(190, 202),
        horizontal_line(181, 205),
        horizontal_line(172, 209),
        horizontal_line(163, 199),
        horizontal_line(154, 190),
        horizontal_line(145, 181),
        horizontal_line(0, 16),
        horizontal_line(126, 163),
        horizontal_line(117, 154),
        horizontal_line(108, 145),
        horizontal_line(99, 136),
        horizontal_line(90, 127),
        horizontal_line(81, 118),
        horizontal_line(72, 109),
        horizontal_line(63, 100),
        horizontal_line(60, 91),
        horizontal_line(57, 82),
        horizontal_line(55, 73),
        horizontal_line(52, 64),
        horizontal_line(49, 55),
    };

    constexpr const shape frame_178_shape_group_3_shapes[] = {
        shape(frame_178_shape_group_3_shape_0_horizontal_lines, 0, 14),
        shape(frame_178_shape_group_3_shape_1_horizontal_lines, 11, 10),
        shape(frame_178_shape_group_3_shape_2_horizontal_lines, 31, 13),
        shape(frame_178_shape_group_3_shape_3_horizontal_lines, 36, 10),
        shape(frame_178_shape_group_3_shape_4_horizontal_lines, 37, 13),
        shape(frame_178_shape_group_3_shape_5_horizontal_lines, 52, 14),
        shape(frame_178_shape_group_3_shape_6_horizontal_lines, 54, 12),
        shape(frame_178_shape_group_3_shape_7_horizontal_lines, 55, 14),
        shape(frame_178_shape_group_3_shape_8_horizontal_lines, 57, 13),
        shape(frame_178_shape_group_3_shape_9_horizontal_lines, 58, 9),
        shape(frame_178_shape_group_3_shape_10_horizontal_lines, 75, 3),
        shape(frame_178_shape_group_3_shape_11_horizontal_lines, 79, 9),
        shape(frame_178_shape_group_3_shape_12_horizontal_lines, 80, 3),
        shape(frame_178_shape_group_3_shape_13_horizontal_lines, 84, 9),
        shape(frame_178_shape_group_3_shape_14_horizontal_lines, 88, 15),
        shape(frame_178_shape_group_3_shape_15_horizontal_lines, 91, 9),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(153, 185),
        horizontal_line(148, 184),
        horizontal_line(144, 183),
        horizontal_line(140, 183),
        horizontal_line(136, 180),
        horizontal_line(132, 176),
        horizontal_line(128, 172),
        horizontal_line(124, 168),
        horizontal_line(119, 164),
        horizontal_line(115, 160),
        horizontal_line(111, 156),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(91, 153),
        horizontal_line(87, 149),
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(175, 187),
        horizontal_line(173, 187),
        horizontal_line(172, 187),
        horizontal_line(64, 126),
        horizontal_line(60, 122),
        horizontal_line(29, 42),
        horizontal_line(52, 114),
        horizontal_line(49, 111),
        horizontal_line(101, 132),
        horizontal_line(105, 129),
        horizontal_line(108, 125),
        horizontal_line(112, 122),
        horizontal_line(174, 189),
        horizontal_line(174, 189),
        horizontal_line(172, 172),
        horizontal_line(169, 190),
        horizontal_line(165, 190),
        horizontal_line(161, 173),
        horizontal_line(158, 173),
        horizontal_line(154, 171),
        horizontal_line(150, 167),
        horizontal_line(86, 86),
        horizontal_line(143, 160),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(132, 138),
        horizontal_line(173, 174),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(132, 150),
        horizontal_line(176, 192),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(105, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 123),
        horizontal_line(107, 123),
        horizontal_line(159, 173),
        horizontal_line(108, 123),
        horizontal_line(108, 123),
        horizontal_line(108, 124),
        horizontal_line(108, 124),
        horizontal_line(108, 124),
        horizontal_line(109, 124),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(110, 125),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(197, 197),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(41, 58),
        horizontal_line(41, 58),
        horizontal_line(42, 58),
        horizontal_line(42, 58),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(96, 104),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(43, 59),
        horizontal_line(43, 60),
        horizontal_line(43, 60),
        horizontal_line(44, 60),
        horizontal_line(44, 60),
        horizontal_line(44, 60),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(136, 172),
    };

    constexpr const horizontal_line frame_178_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(44, 61),
        horizontal_line(45, 61),
        horizontal_line(45, 61),
        horizontal_line(45, 62),
        horizontal_line(45, 62),
        horizontal_line(46, 62),
        horizontal_line(46, 62),
        horizontal_line(46, 62),
        horizontal_line(46, 59),
        horizontal_line(47, 56),
        horizontal_line(47, 54),
        horizontal_line(47, 51),
        horizontal_line(47, 48),
    };

    constexpr const shape frame_178_shape_group_4_shapes[] = {
        shape(frame_178_shape_group_4_shape_0_horizontal_lines, 0, 10),
        shape(frame_178_shape_group_4_shape_1_horizontal_lines, 27, 13),
        shape(frame_178_shape_group_4_shape_2_horizontal_lines, 54, 14),
        shape(frame_178_shape_group_4_shape_3_horizontal_lines, 56, 13),
        shape(frame_178_shape_group_4_shape_4_horizontal_lines, 58, 9),
        shape(frame_178_shape_group_4_shape_5_horizontal_lines, 77, 3),
        shape(frame_178_shape_group_4_shape_6_horizontal_lines, 78, 9),
        shape(frame_178_shape_group_4_shape_7_horizontal_lines, 83, 3),
        shape(frame_178_shape_group_4_shape_8_horizontal_lines, 84, 15),
        shape(frame_178_shape_group_4_shape_9_horizontal_lines, 88, 4),
        shape(frame_178_shape_group_4_shape_10_horizontal_lines, 91, 15),
        shape(frame_178_shape_group_4_shape_11_horizontal_lines, 97, 9),
        shape(frame_178_shape_group_4_shape_12_horizontal_lines, 98, 15),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(153, 184),
        horizontal_line(150, 184),
        horizontal_line(146, 184),
        horizontal_line(142, 185),
        horizontal_line(138, 185),
        horizontal_line(134, 185),
        horizontal_line(130, 185),
        horizontal_line(126, 185),
        horizontal_line(122, 184),
        horizontal_line(118, 180),
        horizontal_line(115, 177),
        horizontal_line(111, 173),
        horizontal_line(107, 169),
        horizontal_line(103, 165),
        horizontal_line(99, 161),
        horizontal_line(95, 157),
        horizontal_line(182, 186),
        horizontal_line(180, 186),
        horizontal_line(178, 186),
        horizontal_line(177, 187),
        horizontal_line(138, 161),
        horizontal_line(134, 158),
        horizontal_line(130, 154),
        horizontal_line(172, 187),
        horizontal_line(172, 188),
        horizontal_line(56, 118),
        horizontal_line(172, 188),
        horizontal_line(173, 188),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(133, 149),
        horizontal_line(130, 146),
        horizontal_line(126, 142),
        horizontal_line(123, 138),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(115, 131),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(174, 189),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(108, 123),
        horizontal_line(105, 120),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(175, 190),
        horizontal_line(147, 164),
        horizontal_line(176, 191),
        horizontal_line(139, 157),
        horizontal_line(136, 153),
        horizontal_line(176, 191),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(148, 153),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(158, 172),
        horizontal_line(159, 172),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
        horizontal_line(159, 173),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(37, 54),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(159, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(160, 173),
        horizontal_line(109, 125),
        horizontal_line(109, 125),
        horizontal_line(0, 11),
        horizontal_line(109, 125),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(40, 57),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(94, 103),
        horizontal_line(94, 104),
        horizontal_line(95, 104),
        horizontal_line(95, 104),
        horizontal_line(157, 198),
        horizontal_line(147, 198),
        horizontal_line(136, 198),
        horizontal_line(96, 101),
        horizontal_line(96, 99),
        horizontal_line(96, 97),
        horizontal_line(96, 158),
        horizontal_line(93, 153),
        horizontal_line(90, 144),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(44, 61),
    };

    constexpr const horizontal_line frame_178_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(84, 125),
        horizontal_line(81, 116),
        horizontal_line(78, 107),
        horizontal_line(75, 98),
        horizontal_line(72, 89),
        horizontal_line(70, 80),
        horizontal_line(67, 71),
    };

    constexpr const shape frame_178_shape_group_5_shapes[] = {
        shape(frame_178_shape_group_5_shape_0_horizontal_lines, 0, 10),
        shape(frame_178_shape_group_5_shape_1_horizontal_lines, 11, 13),
        shape(frame_178_shape_group_5_shape_2_horizontal_lines, 39, 2),
        shape(frame_178_shape_group_5_shape_3_horizontal_lines, 43, 13),
        shape(frame_178_shape_group_5_shape_4_horizontal_lines, 44, 2),
        shape(frame_178_shape_group_5_shape_5_horizontal_lines, 45, 13),
        shape(frame_178_shape_group_5_shape_6_horizontal_lines, 46, 2),
        shape(frame_178_shape_group_5_shape_7_horizontal_lines, 48, 13),
        shape(frame_178_shape_group_5_shape_8_horizontal_lines, 57, 2),
        shape(frame_178_shape_group_5_shape_9_horizontal_lines, 58, 9),
        shape(frame_178_shape_group_5_shape_10_horizontal_lines, 68, 15),
        shape(frame_178_shape_group_5_shape_11_horizontal_lines, 69, 9),
        shape(frame_178_shape_group_5_shape_12_horizontal_lines, 79, 15),
        shape(frame_178_shape_group_5_shape_13_horizontal_lines, 80, 9),
        shape(frame_178_shape_group_5_shape_14_horizontal_lines, 84, 4),
        shape(frame_178_shape_group_5_shape_15_horizontal_lines, 97, 15),
        shape(frame_178_shape_group_5_shape_16_horizontal_lines, 98, 4),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(181, 183),
        horizontal_line(177, 183),
        horizontal_line(173, 183),
        horizontal_line(169, 183),
        horizontal_line(165, 183),
        horizontal_line(161, 184),
        horizontal_line(157, 184),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(184, 185),
        horizontal_line(180, 186),
        horizontal_line(177, 186),
        horizontal_line(173, 186),
        horizontal_line(169, 186),
        horizontal_line(165, 186),
        horizontal_line(185, 186),
        horizontal_line(183, 186),
        horizontal_line(153, 176),
        horizontal_line(149, 172),
        horizontal_line(145, 168),
        horizontal_line(142, 165),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(162, 174),
        horizontal_line(159, 172),
        horizontal_line(155, 171),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(126, 150),
        horizontal_line(122, 147),
        horizontal_line(172, 188),
        horizontal_line(114, 140),
        horizontal_line(111, 136),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(150, 157),
        horizontal_line(147, 154),
        horizontal_line(143, 150),
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(119, 135),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(132, 139),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(112, 127),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(121, 129),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(101, 116),
        horizontal_line(97, 112),
        horizontal_line(94, 109),
        horizontal_line(90, 105),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(175, 191),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(176, 191),
        horizontal_line(176, 191),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(35, 52),
        horizontal_line(35, 52),
        horizontal_line(36, 52),
        horizontal_line(36, 53),
        horizontal_line(36, 53),
        horizontal_line(36, 53),
        horizontal_line(36, 53),
        horizontal_line(37, 54),
        horizontal_line(37, 54),
        horizontal_line(37, 54),
        horizontal_line(130, 135),
        horizontal_line(38, 54),
        horizontal_line(38, 55),
        horizontal_line(38, 55),
        horizontal_line(38, 55),
        horizontal_line(39, 55),
        horizontal_line(39, 56),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(160, 168),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(39, 56),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(109, 125),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(40, 56),
        horizontal_line(133, 137),
        horizontal_line(40, 57),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_21_horizontal_lines[] = {
        horizontal_line(41, 57),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_22_horizontal_lines[] = {
        horizontal_line(110, 126),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_23_horizontal_lines[] = {
        horizontal_line(59, 93),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_24_horizontal_lines[] = {
        horizontal_line(187, 198),
        horizontal_line(177, 198),
        horizontal_line(167, 198),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_25_horizontal_lines[] = {
        horizontal_line(60, 94),
        horizontal_line(60, 94),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_26_horizontal_lines[] = {
        horizontal_line(198, 199),
        horizontal_line(126, 188),
        horizontal_line(116, 178),
        horizontal_line(106, 168),
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_27_horizontal_lines[] = {
        horizontal_line(61, 92),
        horizontal_line(61, 89),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_28_horizontal_lines[] = {
        horizontal_line(87, 135),
    };

    constexpr const horizontal_line frame_178_shape_group_6_shape_29_horizontal_lines[] = {
        horizontal_line(62, 83),
        horizontal_line(62, 80),
        horizontal_line(62, 77),
        horizontal_line(63, 74),
        horizontal_line(63, 71),
        horizontal_line(63, 69),
        horizontal_line(63, 66),
    };

    constexpr const shape frame_178_shape_group_6_shapes[] = {
        shape(frame_178_shape_group_6_shape_0_horizontal_lines, 4, 13),
        shape(frame_178_shape_group_6_shape_1_horizontal_lines, 19, 13),
        shape(frame_178_shape_group_6_shape_2_horizontal_lines, 31, 2),
        shape(frame_178_shape_group_6_shape_3_horizontal_lines, 34, 13),
        shape(frame_178_shape_group_6_shape_4_horizontal_lines, 39, 3),
        shape(frame_178_shape_group_6_shape_5_horizontal_lines, 43, 2),
        shape(frame_178_shape_group_6_shape_6_horizontal_lines, 44, 3),
        shape(frame_178_shape_group_6_shape_7_horizontal_lines, 45, 2),
        shape(frame_178_shape_group_6_shape_8_horizontal_lines, 46, 3),
        shape(frame_178_shape_group_6_shape_9_horizontal_lines, 48, 2),
        shape(frame_178_shape_group_6_shape_10_horizontal_lines, 52, 13),
        shape(frame_178_shape_group_6_shape_11_horizontal_lines, 53, 2),
        shape(frame_178_shape_group_6_shape_12_horizontal_lines, 54, 13),
        shape(frame_178_shape_group_6_shape_13_horizontal_lines, 56, 2),
        shape(frame_178_shape_group_6_shape_14_horizontal_lines, 57, 3),
        shape(frame_178_shape_group_6_shape_15_horizontal_lines, 58, 15),
        shape(frame_178_shape_group_6_shape_16_horizontal_lines, 75, 9),
        shape(frame_178_shape_group_6_shape_17_horizontal_lines, 76, 15),
        shape(frame_178_shape_group_6_shape_18_horizontal_lines, 77, 9),
        shape(frame_178_shape_group_6_shape_19_horizontal_lines, 78, 15),
        shape(frame_178_shape_group_6_shape_20_horizontal_lines, 81, 9),
        shape(frame_178_shape_group_6_shape_21_horizontal_lines, 82, 15),
        shape(frame_178_shape_group_6_shape_22_horizontal_lines, 83, 9),
        shape(frame_178_shape_group_6_shape_23_horizontal_lines, 84, 8),
        shape(frame_178_shape_group_6_shape_24_horizontal_lines, 85, 4),
        shape(frame_178_shape_group_6_shape_25_horizontal_lines, 88, 8),
        shape(frame_178_shape_group_6_shape_26_horizontal_lines, 90, 4),
        shape(frame_178_shape_group_6_shape_27_horizontal_lines, 95, 8),
        shape(frame_178_shape_group_6_shape_28_horizontal_lines, 97, 4),
        shape(frame_178_shape_group_6_shape_29_horizontal_lines, 98, 8),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(161, 183),
        horizontal_line(157, 179),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(177, 181),
        horizontal_line(173, 179),
        horizontal_line(169, 177),
        horizontal_line(166, 176),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(188, 188),
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(151, 168),
        horizontal_line(148, 164),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(118, 143),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(141, 157),
        horizontal_line(137, 153),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(189, 189),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(190, 190),
        horizontal_line(136, 143),
        horizontal_line(190, 190),
        horizontal_line(128, 136),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(191, 191),
        horizontal_line(117, 125),
        horizontal_line(113, 121),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(172, 173),
        horizontal_line(168, 174),
        horizontal_line(87, 101),
        horizontal_line(161, 167),
        horizontal_line(158, 163),
        horizontal_line(154, 160),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 135),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(90, 100),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(130, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(132, 136),
        horizontal_line(39, 56),
        horizontal_line(132, 136),
        horizontal_line(40, 56),
        horizontal_line(133, 137),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(93, 102),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(133, 137),
        horizontal_line(40, 57),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(94, 103),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(41, 58),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_21_horizontal_lines[] = {
        horizontal_line(151, 161),
        horizontal_line(59, 93),
        horizontal_line(59, 94),
        horizontal_line(59, 94),
        horizontal_line(111, 123),
        horizontal_line(108, 113),
        horizontal_line(60, 95),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_22_horizontal_lines[] = {
        horizontal_line(188, 189),
        horizontal_line(178, 180),
        horizontal_line(168, 171),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_23_horizontal_lines[] = {
        horizontal_line(61, 95),
    };

    constexpr const horizontal_line frame_178_shape_group_7_shape_24_horizontal_lines[] = {
        horizontal_line(62, 86),
    };

    constexpr const shape frame_178_shape_group_7_shapes[] = {
        shape(frame_178_shape_group_7_shape_0_horizontal_lines, 25, 13),
        shape(frame_178_shape_group_7_shape_1_horizontal_lines, 27, 2),
        shape(frame_178_shape_group_7_shape_2_horizontal_lines, 31, 3),
        shape(frame_178_shape_group_7_shape_3_horizontal_lines, 34, 2),
        shape(frame_178_shape_group_7_shape_4_horizontal_lines, 36, 13),
        shape(frame_178_shape_group_7_shape_5_horizontal_lines, 37, 2),
        shape(frame_178_shape_group_7_shape_6_horizontal_lines, 39, 3),
        shape(frame_178_shape_group_7_shape_7_horizontal_lines, 41, 9),
        shape(frame_178_shape_group_7_shape_8_horizontal_lines, 42, 3),
        shape(frame_178_shape_group_7_shape_9_horizontal_lines, 46, 9),
        shape(frame_178_shape_group_7_shape_10_horizontal_lines, 47, 3),
        shape(frame_178_shape_group_7_shape_11_horizontal_lines, 50, 2),
        shape(frame_178_shape_group_7_shape_12_horizontal_lines, 56, 3),
        shape(frame_178_shape_group_7_shape_13_horizontal_lines, 57, 9),
        shape(frame_178_shape_group_7_shape_14_horizontal_lines, 58, 15),
        shape(frame_178_shape_group_7_shape_15_horizontal_lines, 68, 4),
        shape(frame_178_shape_group_7_shape_16_horizontal_lines, 69, 15),
        shape(frame_178_shape_group_7_shape_17_horizontal_lines, 79, 4),
        shape(frame_178_shape_group_7_shape_18_horizontal_lines, 80, 15),
        shape(frame_178_shape_group_7_shape_19_horizontal_lines, 82, 4),
        shape(frame_178_shape_group_7_shape_20_horizontal_lines, 83, 15),
        shape(frame_178_shape_group_7_shape_21_horizontal_lines, 84, 8),
        shape(frame_178_shape_group_7_shape_22_horizontal_lines, 91, 4),
        shape(frame_178_shape_group_7_shape_23_horizontal_lines, 94, 8),
        shape(frame_178_shape_group_7_shape_24_horizontal_lines, 97, 8),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(180, 182),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(187, 187),
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(169, 171),
        horizontal_line(165, 171),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(144, 160),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(158, 164),
        horizontal_line(154, 161),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(31, 45),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(32, 49),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(191, 191),
        horizontal_line(191, 191),
        horizontal_line(110, 118),
        horizontal_line(106, 114),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(165, 171),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(99, 107),
        horizontal_line(104, 104),
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(105, 120),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(88, 98),
        horizontal_line(88, 99),
        horizontal_line(88, 99),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(89, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(150, 154),
        horizontal_line(91, 101),
        horizontal_line(91, 101),
        horizontal_line(91, 101),
        horizontal_line(91, 101),
        horizontal_line(92, 101),
        horizontal_line(92, 101),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(92, 102),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_21_horizontal_lines[] = {
        horizontal_line(132, 137),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_22_horizontal_lines[] = {
        horizontal_line(93, 102),
        horizontal_line(147, 159),
        horizontal_line(93, 103),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_23_horizontal_lines[] = {
        horizontal_line(133, 137),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_24_horizontal_lines[] = {
        horizontal_line(58, 93),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_25_horizontal_lines[] = {
        horizontal_line(94, 103),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_26_horizontal_lines[] = {
        horizontal_line(104, 110),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_27_horizontal_lines[] = {
        horizontal_line(141, 152),
        horizontal_line(131, 142),
        horizontal_line(121, 132),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_28_horizontal_lines[] = {
        horizontal_line(105, 110),
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_178_shape_group_8_shape_29_horizontal_lines[] = {
        horizontal_line(60, 95),
        horizontal_line(61, 95),
        horizontal_line(61, 95),
    };

    constexpr const shape frame_178_shape_group_8_shapes[] = {
        shape(frame_178_shape_group_8_shape_0_horizontal_lines, 25, 2),
        shape(frame_178_shape_group_8_shape_1_horizontal_lines, 27, 3),
        shape(frame_178_shape_group_8_shape_2_horizontal_lines, 30, 9),
        shape(frame_178_shape_group_8_shape_3_horizontal_lines, 34, 3),
        shape(frame_178_shape_group_8_shape_4_horizontal_lines, 36, 2),
        shape(frame_178_shape_group_8_shape_5_horizontal_lines, 37, 3),
        shape(frame_178_shape_group_8_shape_6_horizontal_lines, 39, 9),
        shape(frame_178_shape_group_8_shape_7_horizontal_lines, 41, 15),
        shape(frame_178_shape_group_8_shape_8_horizontal_lines, 42, 9),
        shape(frame_178_shape_group_8_shape_9_horizontal_lines, 43, 3),
        shape(frame_178_shape_group_8_shape_10_horizontal_lines, 44, 9),
        shape(frame_178_shape_group_8_shape_11_horizontal_lines, 45, 3),
        shape(frame_178_shape_group_8_shape_12_horizontal_lines, 46, 15),
        shape(frame_178_shape_group_8_shape_13_horizontal_lines, 47, 9),
        shape(frame_178_shape_group_8_shape_14_horizontal_lines, 48, 3),
        shape(frame_178_shape_group_8_shape_15_horizontal_lines, 52, 2),
        shape(frame_178_shape_group_8_shape_16_horizontal_lines, 53, 3),
        shape(frame_178_shape_group_8_shape_17_horizontal_lines, 56, 9),
        shape(frame_178_shape_group_8_shape_18_horizontal_lines, 58, 4),
        shape(frame_178_shape_group_8_shape_19_horizontal_lines, 75, 15),
        shape(frame_178_shape_group_8_shape_20_horizontal_lines, 76, 4),
        shape(frame_178_shape_group_8_shape_21_horizontal_lines, 77, 15),
        shape(frame_178_shape_group_8_shape_22_horizontal_lines, 78, 4),
        shape(frame_178_shape_group_8_shape_23_horizontal_lines, 81, 15),
        shape(frame_178_shape_group_8_shape_24_horizontal_lines, 82, 8),
        shape(frame_178_shape_group_8_shape_25_horizontal_lines, 83, 4),
        shape(frame_178_shape_group_8_shape_26_horizontal_lines, 84, 6),
        shape(frame_178_shape_group_8_shape_27_horizontal_lines, 85, 8),
        shape(frame_178_shape_group_8_shape_28_horizontal_lines, 88, 6),
        shape(frame_178_shape_group_8_shape_29_horizontal_lines, 91, 8),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(187, 187),
        horizontal_line(187, 187),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(29, 29),
        horizontal_line(29, 32),
        horizontal_line(29, 34),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(161, 168),
        horizontal_line(189, 189),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(31, 38),
        horizontal_line(31, 42),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(31, 48),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(32, 49),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(50, 63),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(32, 50),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(191, 191),
        horizontal_line(191, 191),
        horizontal_line(102, 111),
        horizontal_line(192, 192),
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(105, 111),
        horizontal_line(158, 172),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 154),
        horizontal_line(178, 178),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(92, 102),
        horizontal_line(151, 155),
        horizontal_line(92, 102),
        horizontal_line(151, 167),
        horizontal_line(180, 180),
        horizontal_line(143, 150),
        horizontal_line(93, 103),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(171, 181),
        horizontal_line(59, 93),
    };

    constexpr const horizontal_line frame_178_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(105, 110),
        horizontal_line(105, 110),
        horizontal_line(105, 110),
    };

    constexpr const shape frame_178_shape_group_9_shapes[] = {
        shape(frame_178_shape_group_9_shape_0_horizontal_lines, 25, 3),
        shape(frame_178_shape_group_9_shape_1_horizontal_lines, 31, 15),
        shape(frame_178_shape_group_9_shape_2_horizontal_lines, 34, 3),
        shape(frame_178_shape_group_9_shape_3_horizontal_lines, 35, 9),
        shape(frame_178_shape_group_9_shape_4_horizontal_lines, 36, 3),
        shape(frame_178_shape_group_9_shape_5_horizontal_lines, 39, 15),
        shape(frame_178_shape_group_9_shape_6_horizontal_lines, 42, 15),
        shape(frame_178_shape_group_9_shape_7_horizontal_lines, 43, 9),
        shape(frame_178_shape_group_9_shape_8_horizontal_lines, 44, 15),
        shape(frame_178_shape_group_9_shape_9_horizontal_lines, 45, 9),
        shape(frame_178_shape_group_9_shape_10_horizontal_lines, 46, 8),
        shape(frame_178_shape_group_9_shape_11_horizontal_lines, 47, 15),
        shape(frame_178_shape_group_9_shape_12_horizontal_lines, 48, 9),
        shape(frame_178_shape_group_9_shape_13_horizontal_lines, 50, 3),
        shape(frame_178_shape_group_9_shape_14_horizontal_lines, 55, 9),
        shape(frame_178_shape_group_9_shape_15_horizontal_lines, 58, 4),
        shape(frame_178_shape_group_9_shape_16_horizontal_lines, 82, 8),
        shape(frame_178_shape_group_9_shape_17_horizontal_lines, 85, 6),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(30, 31),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(32, 49),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(32, 49),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(51, 67),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(33, 50),
        horizontal_line(33, 50),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(192, 192),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(34, 51),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(163, 172),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(35, 52),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_17_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(176, 176),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_18_horizontal_lines[] = {
        horizontal_line(54, 88),
        horizontal_line(54, 88),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_19_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_20_horizontal_lines[] = {
        horizontal_line(55, 89),
        horizontal_line(55, 89),
        horizontal_line(55, 89),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_21_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_22_horizontal_lines[] = {
        horizontal_line(56, 90),
        horizontal_line(56, 90),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_23_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(179, 179),
        horizontal_line(151, 155),
        horizontal_line(177, 179),
        horizontal_line(151, 156),
        horizontal_line(180, 180),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_24_horizontal_lines[] = {
        horizontal_line(58, 92),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_25_horizontal_lines[] = {
        horizontal_line(180, 180),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_26_horizontal_lines[] = {
        horizontal_line(104, 109),
    };

    constexpr const horizontal_line frame_178_shape_group_10_shape_27_horizontal_lines[] = {
        horizontal_line(161, 171),
    };

    constexpr const shape frame_178_shape_group_10_shapes[] = {
        shape(frame_178_shape_group_10_shape_0_horizontal_lines, 34, 9),
        shape(frame_178_shape_group_10_shape_1_horizontal_lines, 35, 15),
        shape(frame_178_shape_group_10_shape_2_horizontal_lines, 36, 3),
        shape(frame_178_shape_group_10_shape_3_horizontal_lines, 37, 9),
        shape(frame_178_shape_group_10_shape_4_horizontal_lines, 39, 4),
        shape(frame_178_shape_group_10_shape_5_horizontal_lines, 42, 8),
        shape(frame_178_shape_group_10_shape_6_horizontal_lines, 43, 15),
        shape(frame_178_shape_group_10_shape_7_horizontal_lines, 44, 4),
        shape(frame_178_shape_group_10_shape_8_horizontal_lines, 45, 15),
        shape(frame_178_shape_group_10_shape_9_horizontal_lines, 47, 8),
        shape(frame_178_shape_group_10_shape_10_horizontal_lines, 48, 15),
        shape(frame_178_shape_group_10_shape_11_horizontal_lines, 50, 9),
        shape(frame_178_shape_group_10_shape_12_horizontal_lines, 52, 3),
        shape(frame_178_shape_group_10_shape_13_horizontal_lines, 53, 9),
        shape(frame_178_shape_group_10_shape_14_horizontal_lines, 55, 15),
        shape(frame_178_shape_group_10_shape_15_horizontal_lines, 56, 9),
        shape(frame_178_shape_group_10_shape_16_horizontal_lines, 57, 15),
        shape(frame_178_shape_group_10_shape_17_horizontal_lines, 58, 4),
        shape(frame_178_shape_group_10_shape_18_horizontal_lines, 61, 8),
        shape(frame_178_shape_group_10_shape_19_horizontal_lines, 63, 4),
        shape(frame_178_shape_group_10_shape_20_horizontal_lines, 66, 8),
        shape(frame_178_shape_group_10_shape_21_horizontal_lines, 69, 4),
        shape(frame_178_shape_group_10_shape_22_horizontal_lines, 71, 8),
        shape(frame_178_shape_group_10_shape_23_horizontal_lines, 73, 4),
        shape(frame_178_shape_group_10_shape_24_horizontal_lines, 79, 8),
        shape(frame_178_shape_group_10_shape_25_horizontal_lines, 80, 4),
        shape(frame_178_shape_group_10_shape_26_horizontal_lines, 82, 6),
        shape(frame_178_shape_group_10_shape_27_horizontal_lines, 83, 8),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(29, 35),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(30, 31),
        horizontal_line(30, 35),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(50, 56),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(33, 50),
        horizontal_line(33, 50),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(34, 51),
        horizontal_line(34, 51),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(87, 98),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(35, 52),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(88, 98),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_13_horizontal_lines[] = {
        horizontal_line(53, 87),
        horizontal_line(53, 87),
        horizontal_line(53, 87),
        horizontal_line(134, 147),
        horizontal_line(135, 147),
        horizontal_line(54, 88),
        horizontal_line(54, 88),
        horizontal_line(55, 89),
        horizontal_line(135, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 149),
        horizontal_line(55, 90),
        horizontal_line(56, 90),
        horizontal_line(136, 149),
        horizontal_line(137, 149),
        horizontal_line(56, 91),
        horizontal_line(57, 91),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_14_horizontal_lines[] = {
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_15_horizontal_lines[] = {
        horizontal_line(57, 91),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_16_horizontal_lines[] = {
        horizontal_line(164, 176),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_17_horizontal_lines[] = {
        horizontal_line(57, 92),
        horizontal_line(138, 146),
        horizontal_line(58, 92),
        horizontal_line(58, 92),
    };

    constexpr const horizontal_line frame_178_shape_group_11_shape_18_horizontal_lines[] = {
        horizontal_line(104, 109),
    };

    constexpr const shape frame_178_shape_group_11_shapes[] = {
        shape(frame_178_shape_group_11_shape_0_horizontal_lines, 34, 15),
        shape(frame_178_shape_group_11_shape_1_horizontal_lines, 36, 9),
        shape(frame_178_shape_group_11_shape_2_horizontal_lines, 37, 15),
        shape(frame_178_shape_group_11_shape_3_horizontal_lines, 43, 4),
        shape(frame_178_shape_group_11_shape_4_horizontal_lines, 44, 8),
        shape(frame_178_shape_group_11_shape_5_horizontal_lines, 45, 4),
        shape(frame_178_shape_group_11_shape_6_horizontal_lines, 48, 4),
        shape(frame_178_shape_group_11_shape_7_horizontal_lines, 50, 15),
        shape(frame_178_shape_group_11_shape_8_horizontal_lines, 52, 9),
        shape(frame_178_shape_group_11_shape_9_horizontal_lines, 53, 15),
        shape(frame_178_shape_group_11_shape_10_horizontal_lines, 55, 4),
        shape(frame_178_shape_group_11_shape_11_horizontal_lines, 56, 15),
        shape(frame_178_shape_group_11_shape_12_horizontal_lines, 57, 4),
        shape(frame_178_shape_group_11_shape_13_horizontal_lines, 58, 8),
        shape(frame_178_shape_group_11_shape_14_horizontal_lines, 75, 4),
        shape(frame_178_shape_group_11_shape_15_horizontal_lines, 76, 8),
        shape(frame_178_shape_group_11_shape_16_horizontal_lines, 77, 4),
        shape(frame_178_shape_group_11_shape_17_horizontal_lines, 78, 8),
        shape(frame_178_shape_group_11_shape_18_horizontal_lines, 83, 6),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(50, 52),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(50, 60),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(51, 70),
        horizontal_line(51, 74),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(51, 81),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(34, 51),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(87, 97),
        horizontal_line(87, 95),
        horizontal_line(175, 175),
        horizontal_line(87, 98),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(53, 87),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_9_horizontal_lines[] = {
        horizontal_line(100, 105),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_10_horizontal_lines[] = {
        horizontal_line(135, 148),
        horizontal_line(135, 148),
        horizontal_line(135, 148),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_11_horizontal_lines[] = {
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_12_horizontal_lines[] = {
        horizontal_line(136, 149),
        horizontal_line(136, 149),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_13_horizontal_lines[] = {
        horizontal_line(102, 107),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_14_horizontal_lines[] = {
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(57, 91),
        horizontal_line(137, 150),
        horizontal_line(57, 91),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_15_horizontal_lines[] = {
        horizontal_line(103, 109),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_16_horizontal_lines[] = {
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_178_shape_group_12_shape_17_horizontal_lines[] = {
        horizontal_line(104, 109),
    };

    constexpr const shape frame_178_shape_group_12_shapes[] = {
        shape(frame_178_shape_group_12_shape_0_horizontal_lines, 38, 4),
        shape(frame_178_shape_group_12_shape_1_horizontal_lines, 43, 8),
        shape(frame_178_shape_group_12_shape_2_horizontal_lines, 45, 8),
        shape(frame_178_shape_group_12_shape_3_horizontal_lines, 48, 8),
        shape(frame_178_shape_group_12_shape_4_horizontal_lines, 50, 4),
        shape(frame_178_shape_group_12_shape_5_horizontal_lines, 51, 8),
        shape(frame_178_shape_group_12_shape_6_horizontal_lines, 52, 15),
        shape(frame_178_shape_group_12_shape_7_horizontal_lines, 53, 4),
        shape(frame_178_shape_group_12_shape_8_horizontal_lines, 57, 8),
        shape(frame_178_shape_group_12_shape_9_horizontal_lines, 61, 6),
        shape(frame_178_shape_group_12_shape_10_horizontal_lines, 63, 8),
        shape(frame_178_shape_group_12_shape_11_horizontal_lines, 66, 6),
        shape(frame_178_shape_group_12_shape_12_horizontal_lines, 69, 8),
        shape(frame_178_shape_group_12_shape_13_horizontal_lines, 71, 6),
        shape(frame_178_shape_group_12_shape_14_horizontal_lines, 73, 8),
        shape(frame_178_shape_group_12_shape_15_horizontal_lines, 79, 6),
        shape(frame_178_shape_group_12_shape_16_horizontal_lines, 80, 8),
        shape(frame_178_shape_group_12_shape_17_horizontal_lines, 81, 6),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(51, 77),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(52, 85),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(52, 86),
        horizontal_line(53, 86),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(100, 105),
        horizontal_line(100, 105),
        horizontal_line(153, 157),
        horizontal_line(154, 157),
        horizontal_line(100, 105),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(154, 158),
        horizontal_line(155, 158),
        horizontal_line(155, 158),
        horizontal_line(102, 107),
        horizontal_line(102, 107),
        horizontal_line(155, 159),
        horizontal_line(156, 159),
        horizontal_line(102, 107),
        horizontal_line(102, 108),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(137, 150),
        horizontal_line(160, 164),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_6_horizontal_lines[] = {
        horizontal_line(103, 108),
    };

    constexpr const horizontal_line frame_178_shape_group_13_shape_7_horizontal_lines[] = {
        horizontal_line(104, 109),
    };

    constexpr const shape frame_178_shape_group_13_shapes[] = {
        shape(frame_178_shape_group_13_shape_0_horizontal_lines, 50, 8),
        shape(frame_178_shape_group_13_shape_1_horizontal_lines, 52, 8),
        shape(frame_178_shape_group_13_shape_2_horizontal_lines, 53, 4),
        shape(frame_178_shape_group_13_shape_3_horizontal_lines, 55, 8),
        shape(frame_178_shape_group_13_shape_4_horizontal_lines, 57, 6),
        shape(frame_178_shape_group_13_shape_5_horizontal_lines, 75, 8),
        shape(frame_178_shape_group_13_shape_6_horizontal_lines, 78, 6),
        shape(frame_178_shape_group_13_shape_7_horizontal_lines, 80, 6),
    };

    constexpr const horizontal_line frame_178_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(52, 86),
        horizontal_line(52, 86),
    };

    constexpr const horizontal_line frame_178_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(99, 103),
        horizontal_line(99, 104),
    };

    constexpr const horizontal_line frame_178_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
    };

    constexpr const horizontal_line frame_178_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(154, 157),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_178_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(155, 158),
        horizontal_line(155, 159),
    };

    constexpr const horizontal_line frame_178_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(156, 159),
        horizontal_line(156, 159),
        horizontal_line(103, 108),
        horizontal_line(103, 108),
        horizontal_line(103, 108),
    };

    constexpr const shape frame_178_shape_group_14_shapes[] = {
        shape(frame_178_shape_group_14_shape_0_horizontal_lines, 53, 8),
        shape(frame_178_shape_group_14_shape_1_horizontal_lines, 55, 6),
        shape(frame_178_shape_group_14_shape_2_horizontal_lines, 58, 6),
        shape(frame_178_shape_group_14_shape_3_horizontal_lines, 63, 6),
        shape(frame_178_shape_group_14_shape_4_horizontal_lines, 69, 6),
        shape(frame_178_shape_group_14_shape_5_horizontal_lines, 73, 6),
    };

    constexpr const horizontal_line frame_178_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(156, 159),
        horizontal_line(156, 159),
    };

    constexpr const shape frame_178_shape_group_15_shapes[] = {
        shape(frame_178_shape_group_15_shape_0_horizontal_lines, 75, 6),
    };

    constexpr const shape_group frame_178_shape_groups[] = {
        shape_group(frame_178_shape_group_0_shapes),
        shape_group(frame_178_shape_group_1_shapes),
        shape_group(frame_178_shape_group_2_shapes),
        shape_group(frame_178_shape_group_3_shapes),
        shape_group(frame_178_shape_group_4_shapes),
        shape_group(frame_178_shape_group_5_shapes),
        shape_group(frame_178_shape_group_6_shapes),
        shape_group(frame_178_shape_group_7_shapes),
        shape_group(frame_178_shape_group_8_shapes),
        shape_group(frame_178_shape_group_9_shapes),
        shape_group(frame_178_shape_group_10_shapes),
        shape_group(frame_178_shape_group_11_shapes),
        shape_group(frame_178_shape_group_12_shapes),
        shape_group(frame_178_shape_group_13_shapes),
        shape_group(frame_178_shape_group_14_shapes),
        shape_group(frame_178_shape_group_15_shapes),
    };

    constexpr const frame frame_178_impl(frame_178_colors, frame_178_shape_groups);
} 

const frame& frame_178()
{
    return frame_178_impl;
}

namespace
{
    constexpr const bn::color frame_179_colors[] = {
        bn::color(16, 16, 16),
        bn::color(20, 12, 4),
        bn::color(0, 0, 8),
        bn::color(0, 8, 16),
        bn::color(0, 12, 20),
        bn::color(0, 0, 0),
        bn::color(8, 20, 28),
        bn::color(16, 8, 0),
        bn::color(4, 16, 24),
        bn::color(20, 20, 20),
        bn::color(12, 12, 12),
        bn::color(28, 24, 16),
        bn::color(8, 8, 8),
        bn::color(0, 4, 12),
        bn::color(4, 4, 4),
        bn::color(24, 24, 24),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 60),
        horizontal_line(0, 55),
        horizontal_line(0, 51),
        horizontal_line(0, 47),
        horizontal_line(0, 42),
        horizontal_line(0, 38),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 25),
        horizontal_line(0, 21),
        horizontal_line(0, 17),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 62),
        horizontal_line(4, 57),
        horizontal_line(7, 53),
        horizontal_line(9, 49),
        horizontal_line(12, 45),
        horizontal_line(14, 40),
        horizontal_line(16, 36),
        horizontal_line(19, 32),
        horizontal_line(21, 28),
        horizontal_line(24, 24),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(10, 72),
        horizontal_line(14, 76),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
        horizontal_line(23, 85),
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(168, 171),
        horizontal_line(164, 171),
        horizontal_line(161, 171),
        horizontal_line(157, 167),
        horizontal_line(154, 163),
        horizontal_line(150, 159),
        horizontal_line(146, 156),
        horizontal_line(143, 152),
        horizontal_line(139, 148),
        horizontal_line(136, 144),
        horizontal_line(132, 140),
        horizontal_line(129, 137),
        horizontal_line(125, 133),
        horizontal_line(122, 129),
        horizontal_line(118, 125),
        horizontal_line(115, 122),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(176, 192),
        horizontal_line(176, 192),
        horizontal_line(176, 192),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(177, 193),
        horizontal_line(178, 193),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(178, 194),
        horizontal_line(179, 194),
        horizontal_line(179, 195),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(173, 177),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(179, 195),
        horizontal_line(179, 195),
        horizontal_line(180, 195),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(171, 178),
        horizontal_line(160, 178),
        horizontal_line(149, 173),
        horizontal_line(138, 164),
        horizontal_line(128, 155),
        horizontal_line(126, 146),
        horizontal_line(124, 137),
        horizontal_line(122, 128),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_9_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_0_shape_10_horizontal_lines[] = {
        horizontal_line(225, 225),
        horizontal_line(216, 232),
        horizontal_line(208, 239),
        horizontal_line(200, 239),
        horizontal_line(192, 239),
        horizontal_line(184, 239),
        horizontal_line(175, 237),
        horizontal_line(167, 229),
        horizontal_line(159, 221),
        horizontal_line(151, 213),
        horizontal_line(143, 205),
        horizontal_line(134, 196),
        horizontal_line(126, 188),
        horizontal_line(118, 180),
        horizontal_line(110, 172),
        horizontal_line(102, 164),
        horizontal_line(93, 155),
        horizontal_line(85, 147),
        horizontal_line(77, 139),
        horizontal_line(69, 131),
        horizontal_line(61, 123),
        horizontal_line(52, 114),
        horizontal_line(44, 106),
        horizontal_line(36, 98),
        horizontal_line(28, 90),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 58),
        horizontal_line(0, 50),
        horizontal_line(0, 41),
        horizontal_line(0, 33),
        horizontal_line(0, 24),
        horizontal_line(0, 16),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_179_shape_group_0_shapes[] = {
        shape(frame_179_shape_group_0_shape_0_horizontal_lines, 0, 14),
        shape(frame_179_shape_group_0_shape_1_horizontal_lines, 15, 10),
        shape(frame_179_shape_group_0_shape_2_horizontal_lines, 28, 13),
        shape(frame_179_shape_group_0_shape_3_horizontal_lines, 40, 14),
        shape(frame_179_shape_group_0_shape_4_horizontal_lines, 57, 10),
        shape(frame_179_shape_group_0_shape_5_horizontal_lines, 58, 13),
        shape(frame_179_shape_group_0_shape_6_horizontal_lines, 74, 10),
        shape(frame_179_shape_group_0_shape_7_horizontal_lines, 75, 13),
        shape(frame_179_shape_group_0_shape_8_horizontal_lines, 78, 10),
        shape(frame_179_shape_group_0_shape_9_horizontal_lines, 86, 12),
        shape(frame_179_shape_group_0_shape_10_horizontal_lines, 94, 10),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(61, 123),
        horizontal_line(56, 118),
        horizontal_line(52, 114),
        horizontal_line(48, 110),
        horizontal_line(43, 105),
        horizontal_line(39, 101),
        horizontal_line(35, 97),
        horizontal_line(31, 93),
        horizontal_line(26, 88),
        horizontal_line(22, 84),
        horizontal_line(18, 80),
        horizontal_line(13, 75),
        horizontal_line(9, 71),
        horizontal_line(5, 67),
        horizontal_line(1, 63),
        horizontal_line(62, 74),
        horizontal_line(62, 70),
        horizontal_line(62, 66),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(58, 120),
        horizontal_line(54, 116),
        horizontal_line(50, 112),
        horizontal_line(46, 108),
        horizontal_line(12, 13),
        horizontal_line(8, 15),
        horizontal_line(4, 18),
        horizontal_line(1, 20),
        horizontal_line(4, 23),
        horizontal_line(171, 187),
        horizontal_line(171, 187),
        horizontal_line(171, 187),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(171, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 188),
        horizontal_line(172, 189),
        horizontal_line(172, 189),
        horizontal_line(173, 189),
        horizontal_line(46, 108),
        horizontal_line(49, 105),
        horizontal_line(53, 101),
        horizontal_line(56, 98),
        horizontal_line(59, 94),
        horizontal_line(62, 90),
        horizontal_line(66, 87),
        horizontal_line(69, 83),
        horizontal_line(72, 79),
        horizontal_line(76, 76),
        horizontal_line(145, 166),
        horizontal_line(141, 162),
        horizontal_line(138, 159),
        horizontal_line(134, 155),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(172, 174),
        horizontal_line(169, 174),
        horizontal_line(166, 171),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(179, 195),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(180, 195),
        horizontal_line(180, 196),
        horizontal_line(180, 196),
        horizontal_line(180, 196),
        horizontal_line(181, 196),
        horizontal_line(189, 196),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(144, 176),
        horizontal_line(134, 166),
        horizontal_line(125, 156),
        horizontal_line(116, 146),
        horizontal_line(107, 135),
        horizontal_line(98, 125),
        horizontal_line(95, 115),
        horizontal_line(92, 105),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(15, 39),
        horizontal_line(15, 40),
        horizontal_line(16, 40),
        horizontal_line(16, 40),
    };

    constexpr const horizontal_line frame_179_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(229, 239),
        horizontal_line(221, 239),
        horizontal_line(213, 239),
        horizontal_line(205, 239),
        horizontal_line(196, 238),
        horizontal_line(188, 229),
        horizontal_line(180, 220),
        horizontal_line(172, 212),
        horizontal_line(164, 203),
        horizontal_line(155, 195),
        horizontal_line(147, 186),
        horizontal_line(139, 178),
        horizontal_line(131, 169),
        horizontal_line(123, 161),
        horizontal_line(114, 152),
        horizontal_line(106, 144),
        horizontal_line(98, 135),
        horizontal_line(90, 127),
        horizontal_line(82, 118),
        horizontal_line(79, 109),
        horizontal_line(77, 101),
        horizontal_line(74, 92),
        horizontal_line(72, 84),
        horizontal_line(69, 75),
        horizontal_line(67, 67),
    };

    constexpr const shape frame_179_shape_group_1_shapes[] = {
        shape(frame_179_shape_group_1_shape_0_horizontal_lines, 0, 10),
        shape(frame_179_shape_group_1_shape_1_horizontal_lines, 18, 13),
        shape(frame_179_shape_group_1_shape_2_horizontal_lines, 54, 14),
        shape(frame_179_shape_group_1_shape_3_horizontal_lines, 57, 13),
        shape(frame_179_shape_group_1_shape_4_horizontal_lines, 58, 12),
        shape(frame_179_shape_group_1_shape_5_horizontal_lines, 74, 13),
        shape(frame_179_shape_group_1_shape_6_horizontal_lines, 75, 12),
        shape(frame_179_shape_group_1_shape_7_horizontal_lines, 78, 13),
        shape(frame_179_shape_group_1_shape_8_horizontal_lines, 84, 12),
        shape(frame_179_shape_group_1_shape_9_horizontal_lines, 86, 3),
        shape(frame_179_shape_group_1_shape_10_horizontal_lines, 94, 12),
        shape(frame_179_shape_group_1_shape_11_horizontal_lines, 96, 15),
        shape(frame_179_shape_group_1_shape_12_horizontal_lines, 100, 10),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(123, 138),
        horizontal_line(118, 133),
        horizontal_line(114, 129),
        horizontal_line(110, 125),
        horizontal_line(105, 121),
        horizontal_line(101, 116),
        horizontal_line(97, 112),
        horizontal_line(93, 108),
        horizontal_line(88, 104),
        horizontal_line(84, 100),
        horizontal_line(80, 95),
        horizontal_line(75, 91),
        horizontal_line(71, 87),
        horizontal_line(67, 83),
        horizontal_line(63, 78),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(75, 137),
        horizontal_line(71, 133),
        horizontal_line(67, 129),
        horizontal_line(125, 186),
        horizontal_line(120, 182),
        horizontal_line(185, 186),
        horizontal_line(183, 186),
        horizontal_line(181, 186),
        horizontal_line(41, 103),
        horizontal_line(37, 99),
        horizontal_line(33, 95),
        horizontal_line(29, 91),
        horizontal_line(25, 87),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(76, 138),
        horizontal_line(79, 141),
        horizontal_line(82, 138),
        horizontal_line(85, 135),
        horizontal_line(89, 131),
        horizontal_line(92, 127),
        horizontal_line(95, 124),
        horizontal_line(98, 120),
        horizontal_line(102, 116),
        horizontal_line(105, 113),
        horizontal_line(173, 189),
        horizontal_line(173, 189),
        horizontal_line(173, 189),
        horizontal_line(172, 190),
        horizontal_line(168, 190),
        horizontal_line(164, 172),
        horizontal_line(160, 172),
        horizontal_line(157, 172),
        horizontal_line(153, 172),
        horizontal_line(149, 169),
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(175, 191),
        horizontal_line(130, 152),
        horizontal_line(126, 148),
        horizontal_line(123, 145),
        horizontal_line(176, 192),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(193, 200),
        horizontal_line(193, 201),
        horizontal_line(193, 201),
        horizontal_line(194, 201),
        horizontal_line(194, 201),
        horizontal_line(194, 201),
        horizontal_line(194, 202),
        horizontal_line(194, 202),
        horizontal_line(194, 202),
        horizontal_line(195, 202),
        horizontal_line(195, 202),
        horizontal_line(195, 203),
        horizontal_line(195, 203),
        horizontal_line(195, 203),
        horizontal_line(195, 203),
        horizontal_line(196, 203),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(176, 177),
        horizontal_line(167, 177),
        horizontal_line(159, 166),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(162, 205),
        horizontal_line(153, 186),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(13, 37),
        horizontal_line(13, 37),
        horizontal_line(13, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 39),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(89, 95),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(15, 39),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(40, 82),
        horizontal_line(41, 79),
        horizontal_line(41, 76),
        horizontal_line(41, 73),
    };

    constexpr const horizontal_line frame_179_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(16, 40),
        horizontal_line(16, 40),
        horizontal_line(17, 41),
        horizontal_line(17, 41),
        horizontal_line(17, 41),
        horizontal_line(17, 41),
        horizontal_line(17, 42),
        horizontal_line(18, 42),
        horizontal_line(18, 42),
        horizontal_line(18, 42),
        horizontal_line(18, 42),
        horizontal_line(19, 39),
        horizontal_line(19, 36),
        horizontal_line(19, 34),
        horizontal_line(19, 31),
        horizontal_line(20, 29),
        horizontal_line(20, 26),
        horizontal_line(20, 23),
        horizontal_line(20, 21),
    };

    constexpr const shape frame_179_shape_group_2_shapes[] = {
        shape(frame_179_shape_group_2_shape_0_horizontal_lines, 0, 10),
        shape(frame_179_shape_group_2_shape_1_horizontal_lines, 15, 13),
        shape(frame_179_shape_group_2_shape_2_horizontal_lines, 58, 3),
        shape(frame_179_shape_group_2_shape_3_horizontal_lines, 74, 12),
        shape(frame_179_shape_group_2_shape_4_horizontal_lines, 75, 3),
        shape(frame_179_shape_group_2_shape_5_horizontal_lines, 78, 12),
        shape(frame_179_shape_group_2_shape_6_horizontal_lines, 84, 3),
        shape(frame_179_shape_group_2_shape_7_horizontal_lines, 87, 15),
        shape(frame_179_shape_group_2_shape_8_horizontal_lines, 94, 3),
        shape(frame_179_shape_group_2_shape_9_horizontal_lines, 95, 15),
        shape(frame_179_shape_group_2_shape_10_horizontal_lines, 96, 8),
        shape(frame_179_shape_group_2_shape_11_horizontal_lines, 100, 15),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(139, 190),
        horizontal_line(134, 190),
        horizontal_line(130, 190),
        horizontal_line(126, 188),
        horizontal_line(122, 184),
        horizontal_line(117, 179),
        horizontal_line(113, 175),
        horizontal_line(109, 171),
        horizontal_line(105, 167),
        horizontal_line(101, 163),
        horizontal_line(96, 158),
        horizontal_line(92, 154),
        horizontal_line(88, 150),
        horizontal_line(84, 146),
        horizontal_line(79, 141),
        horizontal_line(137, 188),
        horizontal_line(133, 188),
        horizontal_line(129, 187),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(182, 186),
        horizontal_line(116, 178),
        horizontal_line(112, 174),
        horizontal_line(108, 170),
        horizontal_line(179, 186),
        horizontal_line(178, 186),
        horizontal_line(176, 187),
        horizontal_line(174, 187),
        horizontal_line(172, 187),
        horizontal_line(131, 153),
        horizontal_line(134, 150),
        horizontal_line(138, 146),
        horizontal_line(141, 142),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(168, 170),
        horizontal_line(164, 170),
        horizontal_line(160, 170),
        horizontal_line(157, 170),
        horizontal_line(153, 170),
        horizontal_line(149, 171),
        horizontal_line(145, 171),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(138, 167),
        horizontal_line(134, 163),
        horizontal_line(130, 160),
        horizontal_line(127, 156),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 190),
        horizontal_line(174, 191),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(104, 135),
        horizontal_line(86, 91),
        horizontal_line(91, 95),
        horizontal_line(97, 124),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(175, 191),
        horizontal_line(176, 192),
        horizontal_line(176, 192),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(6, 31),
        horizontal_line(6, 31),
        horizontal_line(7, 31),
        horizontal_line(7, 31),
        horizontal_line(7, 32),
        horizontal_line(7, 32),
        horizontal_line(8, 32),
        horizontal_line(8, 32),
        horizontal_line(8, 32),
        horizontal_line(8, 33),
        horizontal_line(9, 33),
        horizontal_line(9, 33),
        horizontal_line(9, 33),
        horizontal_line(9, 34),
        horizontal_line(9, 34),
        horizontal_line(10, 34),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(196, 203),
        horizontal_line(196, 204),
        horizontal_line(196, 204),
        horizontal_line(196, 204),
        horizontal_line(151, 155),
        horizontal_line(197, 204),
        horizontal_line(197, 205),
        horizontal_line(197, 205),
        horizontal_line(197, 205),
        horizontal_line(171, 188),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(12, 37),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(202, 206),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(13, 37),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(38, 84),
        horizontal_line(38, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 84),
        horizontal_line(39, 85),
        horizontal_line(39, 85),
        horizontal_line(40, 85),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(15, 39),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(40, 85),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_18_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(74, 132),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_19_horizontal_lines[] = {
        horizontal_line(41, 71),
        horizontal_line(41, 68),
        horizontal_line(42, 65),
        horizontal_line(42, 62),
        horizontal_line(42, 59),
        horizontal_line(42, 57),
        horizontal_line(43, 54),
        horizontal_line(43, 51),
        horizontal_line(43, 48),
        horizontal_line(43, 46),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_20_horizontal_lines[] = {
        horizontal_line(43, 92),
        horizontal_line(40, 84),
        horizontal_line(37, 76),
        horizontal_line(35, 68),
        horizontal_line(32, 60),
        horizontal_line(30, 51),
        horizontal_line(27, 43),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_21_horizontal_lines[] = {
        horizontal_line(24, 24),
    };

    constexpr const horizontal_line frame_179_shape_group_3_shape_22_horizontal_lines[] = {
        horizontal_line(22, 27),
    };

    constexpr const shape frame_179_shape_group_3_shapes[] = {
        shape(frame_179_shape_group_3_shape_0_horizontal_lines, 0, 13),
        shape(frame_179_shape_group_3_shape_1_horizontal_lines, 18, 12),
        shape(frame_179_shape_group_3_shape_2_horizontal_lines, 19, 13),
        shape(frame_179_shape_group_3_shape_3_horizontal_lines, 32, 12),
        shape(frame_179_shape_group_3_shape_4_horizontal_lines, 40, 13),
        shape(frame_179_shape_group_3_shape_5_horizontal_lines, 41, 12),
        shape(frame_179_shape_group_3_shape_6_horizontal_lines, 45, 13),
        shape(frame_179_shape_group_3_shape_7_horizontal_lines, 50, 12),
        shape(frame_179_shape_group_3_shape_8_horizontal_lines, 54, 13),
        shape(frame_179_shape_group_3_shape_9_horizontal_lines, 57, 12),
        shape(frame_179_shape_group_3_shape_10_horizontal_lines, 58, 15),
        shape(frame_179_shape_group_3_shape_11_horizontal_lines, 74, 3),
        shape(frame_179_shape_group_3_shape_12_horizontal_lines, 84, 15),
        shape(frame_179_shape_group_3_shape_13_horizontal_lines, 85, 3),
        shape(frame_179_shape_group_3_shape_14_horizontal_lines, 86, 15),
        shape(frame_179_shape_group_3_shape_15_horizontal_lines, 87, 8),
        shape(frame_179_shape_group_3_shape_16_horizontal_lines, 94, 15),
        shape(frame_179_shape_group_3_shape_17_horizontal_lines, 95, 8),
        shape(frame_179_shape_group_3_shape_18_horizontal_lines, 96, 4),
        shape(frame_179_shape_group_3_shape_19_horizontal_lines, 100, 8),
        shape(frame_179_shape_group_3_shape_20_horizontal_lines, 110, 9),
        shape(frame_179_shape_group_3_shape_21_horizontal_lines, 117, 4),
        shape(frame_179_shape_group_3_shape_22_horizontal_lines, 118, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(188, 190),
        horizontal_line(184, 190),
        horizontal_line(179, 190),
        horizontal_line(175, 191),
        horizontal_line(171, 191),
        horizontal_line(167, 191),
        horizontal_line(163, 191),
        horizontal_line(158, 191),
        horizontal_line(154, 191),
        horizontal_line(150, 190),
        horizontal_line(146, 190),
        horizontal_line(141, 189),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(187, 193),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(178, 183),
        horizontal_line(174, 179),
        horizontal_line(170, 175),
        horizontal_line(103, 165),
        horizontal_line(99, 161),
        horizontal_line(95, 157),
        horizontal_line(91, 153),
        horizontal_line(87, 149),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(156, 170),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(142, 170),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(123, 153),
        horizontal_line(119, 149),
        horizontal_line(115, 145),
        horizontal_line(112, 142),
        horizontal_line(108, 138),
        horizontal_line(217, 239),
        horizontal_line(100, 131),
        horizontal_line(97, 128),
        horizontal_line(162, 173),
        horizontal_line(102, 121),
        horizontal_line(108, 117),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(148, 151),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 127),
        horizontal_line(123, 127),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(123, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(124, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(125, 130),
        horizontal_line(125, 130),
        horizontal_line(10, 34),
        horizontal_line(10, 34),
        horizontal_line(10, 35),
        horizontal_line(11, 35),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(196, 204),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(11, 35),
        horizontal_line(11, 36),
        horizontal_line(12, 36),
        horizontal_line(12, 36),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(197, 205),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(38, 83),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(13, 37),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(38, 84),
        horizontal_line(122, 133),
        horizontal_line(112, 124),
        horizontal_line(103, 115),
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(86, 97),
        horizontal_line(86, 94),
        horizontal_line(86, 91),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(40, 85),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_19_horizontal_lines[] = {
        horizontal_line(86, 148),
        horizontal_line(145, 157),
        horizontal_line(142, 149),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_20_horizontal_lines[] = {
        horizontal_line(133, 183),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_21_horizontal_lines[] = {
        horizontal_line(72, 124),
        horizontal_line(69, 116),
        horizontal_line(66, 108),
        horizontal_line(63, 99),
        horizontal_line(60, 91),
        horizontal_line(58, 83),
        horizontal_line(55, 75),
        horizontal_line(52, 66),
        horizontal_line(49, 58),
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_179_shape_group_4_shape_22_horizontal_lines[] = {
        horizontal_line(25, 35),
    };

    constexpr const shape frame_179_shape_group_4_shapes[] = {
        shape(frame_179_shape_group_4_shape_0_horizontal_lines, 0, 12),
        shape(frame_179_shape_group_4_shape_1_horizontal_lines, 3, 13),
        shape(frame_179_shape_group_4_shape_2_horizontal_lines, 15, 12),
        shape(frame_179_shape_group_4_shape_3_horizontal_lines, 18, 3),
        shape(frame_179_shape_group_4_shape_4_horizontal_lines, 19, 12),
        shape(frame_179_shape_group_4_shape_5_horizontal_lines, 20, 13),
        shape(frame_179_shape_group_4_shape_6_horizontal_lines, 28, 12),
        shape(frame_179_shape_group_4_shape_7_horizontal_lines, 32, 3),
        shape(frame_179_shape_group_4_shape_8_horizontal_lines, 33, 12),
        shape(frame_179_shape_group_4_shape_9_horizontal_lines, 57, 3),
        shape(frame_179_shape_group_4_shape_10_horizontal_lines, 58, 15),
        shape(frame_179_shape_group_4_shape_11_horizontal_lines, 78, 3),
        shape(frame_179_shape_group_4_shape_12_horizontal_lines, 79, 15),
        shape(frame_179_shape_group_4_shape_13_horizontal_lines, 83, 3),
        shape(frame_179_shape_group_4_shape_14_horizontal_lines, 84, 8),
        shape(frame_179_shape_group_4_shape_15_horizontal_lines, 85, 15),
        shape(frame_179_shape_group_4_shape_16_horizontal_lines, 86, 8),
        shape(frame_179_shape_group_4_shape_17_horizontal_lines, 91, 4),
        shape(frame_179_shape_group_4_shape_18_horizontal_lines, 94, 8),
        shape(frame_179_shape_group_4_shape_19_horizontal_lines, 95, 4),
        shape(frame_179_shape_group_4_shape_20_horizontal_lines, 99, 9),
        shape(frame_179_shape_group_4_shape_21_horizontal_lines, 100, 4),
        shape(frame_179_shape_group_4_shape_22_horizontal_lines, 117, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(189, 192),
        horizontal_line(189, 193),
        horizontal_line(188, 193),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(187, 193),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(165, 172),
        horizontal_line(161, 168),
        horizontal_line(157, 164),
        horizontal_line(153, 161),
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(188, 195),
        horizontal_line(168, 170),
        horizontal_line(164, 170),
        horizontal_line(160, 170),
        horizontal_line(189, 196),
        horizontal_line(153, 167),
        horizontal_line(149, 163),
        horizontal_line(145, 159),
        horizontal_line(141, 156),
        horizontal_line(138, 152),
        horizontal_line(134, 148),
        horizontal_line(130, 144),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(122, 137),
        horizontal_line(119, 133),
        horizontal_line(115, 129),
        horizontal_line(111, 126),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(89, 103),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(170, 173),
        horizontal_line(166, 173),
        horizontal_line(217, 239),
        horizontal_line(159, 171),
        horizontal_line(155, 168),
        horizontal_line(151, 165),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(193, 200),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(171, 174),
        horizontal_line(171, 174),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(171, 175),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 176),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(172, 177),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(126, 131),
        horizontal_line(11, 35),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(37, 83),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(12, 36),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(151, 161),
        horizontal_line(38, 83),
        horizontal_line(131, 143),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(85, 97),
        horizontal_line(85, 97),
        horizontal_line(85, 97),
        horizontal_line(85, 97),
        horizontal_line(126, 188),
        horizontal_line(116, 178),
        horizontal_line(106, 168),
        horizontal_line(86, 88),
        horizontal_line(148, 165),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(158, 207),
        horizontal_line(150, 199),
        horizontal_line(142, 191),
    };

    constexpr const horizontal_line frame_179_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(125, 174),
        horizontal_line(117, 166),
        horizontal_line(109, 158),
        horizontal_line(100, 150),
        horizontal_line(92, 142),
        horizontal_line(84, 133),
        horizontal_line(76, 125),
        horizontal_line(67, 117),
        horizontal_line(59, 109),
        horizontal_line(51, 101),
    };

    constexpr const shape frame_179_shape_group_5_shapes[] = {
        shape(frame_179_shape_group_5_shape_0_horizontal_lines, 3, 12),
        shape(frame_179_shape_group_5_shape_1_horizontal_lines, 15, 3),
        shape(frame_179_shape_group_5_shape_2_horizontal_lines, 18, 15),
        shape(frame_179_shape_group_5_shape_3_horizontal_lines, 19, 3),
        shape(frame_179_shape_group_5_shape_4_horizontal_lines, 20, 12),
        shape(frame_179_shape_group_5_shape_5_horizontal_lines, 23, 13),
        shape(frame_179_shape_group_5_shape_6_horizontal_lines, 28, 3),
        shape(frame_179_shape_group_5_shape_7_horizontal_lines, 40, 12),
        shape(frame_179_shape_group_5_shape_8_horizontal_lines, 41, 3),
        shape(frame_179_shape_group_5_shape_9_horizontal_lines, 45, 12),
        shape(frame_179_shape_group_5_shape_10_horizontal_lines, 50, 3),
        shape(frame_179_shape_group_5_shape_11_horizontal_lines, 51, 12),
        shape(frame_179_shape_group_5_shape_12_horizontal_lines, 57, 3),
        shape(frame_179_shape_group_5_shape_13_horizontal_lines, 58, 15),
        shape(frame_179_shape_group_5_shape_14_horizontal_lines, 82, 8),
        shape(frame_179_shape_group_5_shape_15_horizontal_lines, 83, 15),
        shape(frame_179_shape_group_5_shape_16_horizontal_lines, 84, 8),
        shape(frame_179_shape_group_5_shape_17_horizontal_lines, 87, 4),
        shape(frame_179_shape_group_5_shape_18_horizontal_lines, 96, 9),
        shape(frame_179_shape_group_5_shape_19_horizontal_lines, 100, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(192, 192),
        horizontal_line(191, 192),
        horizontal_line(191, 192),
        horizontal_line(190, 192),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(187, 193),
        horizontal_line(187, 193),
        horizontal_line(187, 194),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(188, 195),
        horizontal_line(188, 195),
        horizontal_line(189, 195),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(189, 196),
        horizontal_line(189, 196),
        horizontal_line(189, 196),
        horizontal_line(189, 196),
        horizontal_line(190, 196),
        horizontal_line(190, 197),
        horizontal_line(190, 197),
        horizontal_line(126, 141),
        horizontal_line(190, 197),
        horizontal_line(190, 197),
        horizontal_line(191, 198),
        horizontal_line(191, 198),
        horizontal_line(107, 122),
        horizontal_line(104, 118),
        horizontal_line(100, 114),
        horizontal_line(96, 111),
        horizontal_line(92, 107),
        horizontal_line(192, 199),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(192, 200),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(6, 30),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(32, 77),
        horizontal_line(32, 78),
        horizontal_line(32, 78),
        horizontal_line(32, 78),
        horizontal_line(33, 78),
        horizontal_line(33, 79),
        horizontal_line(33, 79),
        horizontal_line(33, 79),
        horizontal_line(33, 79),
        horizontal_line(34, 79),
        horizontal_line(34, 80),
        horizontal_line(34, 80),
        horizontal_line(34, 80),
        horizontal_line(35, 80),
        horizontal_line(35, 81),
        horizontal_line(35, 81),
        horizontal_line(35, 81),
        horizontal_line(35, 81),
        horizontal_line(36, 81),
        horizontal_line(36, 82),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(36, 82),
        horizontal_line(37, 82),
        horizontal_line(37, 82),
        horizontal_line(170, 180),
        horizontal_line(37, 83),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(84, 96),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(141, 152),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(85, 96),
        horizontal_line(167, 206),
        horizontal_line(157, 206),
        horizontal_line(147, 206),
        horizontal_line(136, 198),
        horizontal_line(188, 198),
        horizontal_line(178, 190),
        horizontal_line(168, 182),
        horizontal_line(96, 158),
    };

    constexpr const horizontal_line frame_179_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(166, 215),
    };

    constexpr const shape frame_179_shape_group_6_shapes[] = {
        shape(frame_179_shape_group_6_shape_0_horizontal_lines, 11, 3),
        shape(frame_179_shape_group_6_shape_1_horizontal_lines, 19, 15),
        shape(frame_179_shape_group_6_shape_2_horizontal_lines, 20, 3),
        shape(frame_179_shape_group_6_shape_3_horizontal_lines, 23, 12),
        shape(frame_179_shape_group_6_shape_4_horizontal_lines, 28, 15),
        shape(frame_179_shape_group_6_shape_5_horizontal_lines, 29, 3),
        shape(frame_179_shape_group_6_shape_6_horizontal_lines, 32, 15),
        shape(frame_179_shape_group_6_shape_7_horizontal_lines, 33, 3),
        shape(frame_179_shape_group_6_shape_8_horizontal_lines, 51, 12),
        shape(frame_179_shape_group_6_shape_9_horizontal_lines, 53, 3),
        shape(frame_179_shape_group_6_shape_10_horizontal_lines, 54, 12),
        shape(frame_179_shape_group_6_shape_11_horizontal_lines, 57, 15),
        shape(frame_179_shape_group_6_shape_12_horizontal_lines, 58, 8),
        shape(frame_179_shape_group_6_shape_13_horizontal_lines, 78, 15),
        shape(frame_179_shape_group_6_shape_14_horizontal_lines, 79, 8),
        shape(frame_179_shape_group_6_shape_15_horizontal_lines, 84, 4),
        shape(frame_179_shape_group_6_shape_16_horizontal_lines, 85, 8),
        shape(frame_179_shape_group_6_shape_17_horizontal_lines, 86, 4),
        shape(frame_179_shape_group_6_shape_18_horizontal_lines, 95, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(187, 194),
        horizontal_line(187, 194),
        horizontal_line(188, 194),
        horizontal_line(188, 194),
        horizontal_line(188, 195),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(154, 170),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(139, 155),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(1, 25),
        horizontal_line(1, 25),
        horizontal_line(1, 26),
        horizontal_line(1, 26),
        horizontal_line(1, 26),
        horizontal_line(2, 26),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(190, 197),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(2, 27),
        horizontal_line(2, 27),
        horizontal_line(3, 27),
        horizontal_line(3, 27),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(191, 198),
        horizontal_line(191, 198),
        horizontal_line(191, 198),
        horizontal_line(191, 199),
        horizontal_line(192, 199),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(4, 29),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(92, 99),
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(5, 29),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(192, 200),
        horizontal_line(193, 200),
        horizontal_line(193, 200),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(122, 126),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 143),
        horizontal_line(129, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(130, 143),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 144),
        horizontal_line(132, 144),
        horizontal_line(36, 82),
        horizontal_line(132, 144),
        horizontal_line(132, 140),
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(84, 95),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(160, 170),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(84, 96),
        horizontal_line(177, 205),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(198, 207),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_21_horizontal_lines[] = {
        horizontal_line(199, 211),
        horizontal_line(191, 215),
        horizontal_line(183, 219),
    };

    constexpr const horizontal_line frame_179_shape_group_7_shape_22_horizontal_lines[] = {
        horizontal_line(158, 174),
    };

    constexpr const shape frame_179_shape_group_7_shapes[] = {
        shape(frame_179_shape_group_7_shape_0_horizontal_lines, 20, 15),
        shape(frame_179_shape_group_7_shape_1_horizontal_lines, 23, 3),
        shape(frame_179_shape_group_7_shape_2_horizontal_lines, 28, 2),
        shape(frame_179_shape_group_7_shape_3_horizontal_lines, 29, 15),
        shape(frame_179_shape_group_7_shape_4_horizontal_lines, 32, 2),
        shape(frame_179_shape_group_7_shape_5_horizontal_lines, 33, 15),
        shape(frame_179_shape_group_7_shape_6_horizontal_lines, 40, 3),
        shape(frame_179_shape_group_7_shape_7_horizontal_lines, 41, 15),
        shape(frame_179_shape_group_7_shape_8_horizontal_lines, 45, 3),
        shape(frame_179_shape_group_7_shape_9_horizontal_lines, 50, 15),
        shape(frame_179_shape_group_7_shape_10_horizontal_lines, 51, 3),
        shape(frame_179_shape_group_7_shape_11_horizontal_lines, 53, 15),
        shape(frame_179_shape_group_7_shape_12_horizontal_lines, 54, 3),
        shape(frame_179_shape_group_7_shape_13_horizontal_lines, 57, 15),
        shape(frame_179_shape_group_7_shape_14_horizontal_lines, 58, 8),
        shape(frame_179_shape_group_7_shape_15_horizontal_lines, 82, 4),
        shape(frame_179_shape_group_7_shape_16_horizontal_lines, 83, 8),
        shape(frame_179_shape_group_7_shape_17_horizontal_lines, 84, 6),
        shape(frame_179_shape_group_7_shape_18_horizontal_lines, 85, 4),
        shape(frame_179_shape_group_7_shape_19_horizontal_lines, 87, 6),
        shape(frame_179_shape_group_7_shape_20_horizontal_lines, 90, 4),
        shape(frame_179_shape_group_7_shape_21_horizontal_lines, 91, 9),
        shape(frame_179_shape_group_7_shape_22_horizontal_lines, 94, 4),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(180, 182),
        horizontal_line(176, 180),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(151, 167),
        horizontal_line(147, 163),
        horizontal_line(143, 159),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(136, 152),
        horizontal_line(132, 148),
        horizontal_line(128, 144),
        horizontal_line(125, 140),
        horizontal_line(121, 137),
        horizontal_line(117, 133),
        horizontal_line(114, 129),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(2, 26),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(106, 121),
        horizontal_line(102, 118),
        horizontal_line(99, 114),
        horizontal_line(95, 110),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(3, 28),
        horizontal_line(3, 28),
        horizontal_line(4, 28),
        horizontal_line(4, 28),
        horizontal_line(4, 29),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(192, 199),
        horizontal_line(192, 199),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(156, 161),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(5, 30),
        horizontal_line(5, 30),
        horizontal_line(6, 30),
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(78, 89),
        horizontal_line(79, 90),
        horizontal_line(79, 90),
        horizontal_line(79, 90),
        horizontal_line(79, 90),
        horizontal_line(80, 91),
        horizontal_line(80, 91),
        horizontal_line(80, 91),
        horizontal_line(80, 91),
        horizontal_line(80, 92),
        horizontal_line(81, 92),
        horizontal_line(81, 92),
        horizontal_line(81, 92),
        horizontal_line(81, 93),
        horizontal_line(82, 93),
        horizontal_line(82, 93),
        horizontal_line(82, 93),
        horizontal_line(82, 94),
        horizontal_line(82, 94),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(132, 144),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(83, 95),
        horizontal_line(83, 95),
        horizontal_line(83, 95),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(96, 101),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(84, 96),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(103, 120),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(187, 201),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(103, 116),
        horizontal_line(103, 111),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(98, 99),
    };

    constexpr const horizontal_line frame_179_shape_group_8_shape_21_horizontal_lines[] = {
        horizontal_line(175, 224),
    };

    constexpr const shape frame_179_shape_group_8_shapes[] = {
        shape(frame_179_shape_group_8_shape_0_horizontal_lines, 20, 2),
        shape(frame_179_shape_group_8_shape_1_horizontal_lines, 23, 15),
        shape(frame_179_shape_group_8_shape_2_horizontal_lines, 29, 2),
        shape(frame_179_shape_group_8_shape_3_horizontal_lines, 33, 2),
        shape(frame_179_shape_group_8_shape_4_horizontal_lines, 40, 15),
        shape(frame_179_shape_group_8_shape_5_horizontal_lines, 41, 2),
        shape(frame_179_shape_group_8_shape_6_horizontal_lines, 45, 15),
        shape(frame_179_shape_group_8_shape_7_horizontal_lines, 50, 2),
        shape(frame_179_shape_group_8_shape_8_horizontal_lines, 51, 3),
        shape(frame_179_shape_group_8_shape_9_horizontal_lines, 53, 2),
        shape(frame_179_shape_group_8_shape_10_horizontal_lines, 54, 15),
        shape(frame_179_shape_group_8_shape_11_horizontal_lines, 58, 4),
        shape(frame_179_shape_group_8_shape_12_horizontal_lines, 77, 8),
        shape(frame_179_shape_group_8_shape_13_horizontal_lines, 79, 4),
        shape(frame_179_shape_group_8_shape_14_horizontal_lines, 82, 6),
        shape(frame_179_shape_group_8_shape_15_horizontal_lines, 83, 4),
        shape(frame_179_shape_group_8_shape_16_horizontal_lines, 84, 9),
        shape(frame_179_shape_group_8_shape_17_horizontal_lines, 85, 4),
        shape(frame_179_shape_group_8_shape_18_horizontal_lines, 86, 6),
        shape(frame_179_shape_group_8_shape_19_horizontal_lines, 87, 9),
        shape(frame_179_shape_group_8_shape_20_horizontal_lines, 90, 6),
        shape(frame_179_shape_group_8_shape_21_horizontal_lines, 94, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(173, 178),
        horizontal_line(169, 177),
        horizontal_line(165, 175),
        horizontal_line(162, 173),
        horizontal_line(158, 171),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(26, 26),
        horizontal_line(26, 29),
        horizontal_line(27, 32),
        horizontal_line(27, 35),
        horizontal_line(27, 39),
        horizontal_line(27, 42),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(110, 125),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(28, 48),
        horizontal_line(28, 52),
        horizontal_line(28, 55),
        horizontal_line(28, 58),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(91, 106),
        horizontal_line(88, 103),
        horizontal_line(84, 99),
        horizontal_line(80, 95),
        horizontal_line(77, 91),
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(5, 29),
        horizontal_line(5, 29),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(30, 76),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(153, 158),
        horizontal_line(149, 154),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(145, 148),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(83, 94),
        horizontal_line(83, 94),
        horizontal_line(145, 159),
        horizontal_line(141, 148),
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(102, 120),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(97, 101),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_179_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(103, 120),
    };

    constexpr const shape frame_179_shape_group_9_shapes[] = {
        shape(frame_179_shape_group_9_shape_0_horizontal_lines, 23, 2),
        shape(frame_179_shape_group_9_shape_1_horizontal_lines, 34, 8),
        shape(frame_179_shape_group_9_shape_2_horizontal_lines, 40, 2),
        shape(frame_179_shape_group_9_shape_3_horizontal_lines, 41, 8),
        shape(frame_179_shape_group_9_shape_4_horizontal_lines, 45, 2),
        shape(frame_179_shape_group_9_shape_5_horizontal_lines, 51, 15),
        shape(frame_179_shape_group_9_shape_6_horizontal_lines, 53, 8),
        shape(frame_179_shape_group_9_shape_7_horizontal_lines, 54, 2),
        shape(frame_179_shape_group_9_shape_8_horizontal_lines, 56, 15),
        shape(frame_179_shape_group_9_shape_9_horizontal_lines, 57, 2),
        shape(frame_179_shape_group_9_shape_10_horizontal_lines, 58, 4),
        shape(frame_179_shape_group_9_shape_11_horizontal_lines, 82, 9),
        shape(frame_179_shape_group_9_shape_12_horizontal_lines, 83, 6),
        shape(frame_179_shape_group_9_shape_13_horizontal_lines, 85, 6),
        shape(frame_179_shape_group_9_shape_14_horizontal_lines, 86, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(171, 171),
        horizontal_line(171, 171),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(27, 45),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(29, 61),
        horizontal_line(29, 65),
        horizontal_line(29, 68),
        horizontal_line(29, 71),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(30, 76),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(163, 169),
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(77, 88),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(31, 77),
        horizontal_line(31, 77),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(31, 77),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(91, 97),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(176, 176),
        horizontal_line(176, 176),
        horizontal_line(176, 176),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(92, 98),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(177, 177),
        horizontal_line(177, 177),
        horizontal_line(177, 177),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_17_horizontal_lines[] = {
        horizontal_line(94, 99),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_18_horizontal_lines[] = {
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(178, 178),
        horizontal_line(145, 149),
        horizontal_line(145, 150),
        horizontal_line(179, 179),
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_19_horizontal_lines[] = {
        horizontal_line(96, 101),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_20_horizontal_lines[] = {
        horizontal_line(102, 120),
    };

    constexpr const horizontal_line frame_179_shape_group_10_shape_21_horizontal_lines[] = {
        horizontal_line(103, 120),
    };

    constexpr const shape frame_179_shape_group_10_shapes[] = {
        shape(frame_179_shape_group_10_shape_0_horizontal_lines, 34, 4),
        shape(frame_179_shape_group_10_shape_1_horizontal_lines, 39, 4),
        shape(frame_179_shape_group_10_shape_2_horizontal_lines, 40, 8),
        shape(frame_179_shape_group_10_shape_3_horizontal_lines, 41, 4),
        shape(frame_179_shape_group_10_shape_4_horizontal_lines, 45, 8),
        shape(frame_179_shape_group_10_shape_5_horizontal_lines, 49, 2),
        shape(frame_179_shape_group_10_shape_6_horizontal_lines, 50, 8),
        shape(frame_179_shape_group_10_shape_7_horizontal_lines, 51, 2),
        shape(frame_179_shape_group_10_shape_8_horizontal_lines, 53, 4),
        shape(frame_179_shape_group_10_shape_9_horizontal_lines, 54, 8),
        shape(frame_179_shape_group_10_shape_10_horizontal_lines, 56, 2),
        shape(frame_179_shape_group_10_shape_11_horizontal_lines, 57, 8),
        shape(frame_179_shape_group_10_shape_12_horizontal_lines, 58, 4),
        shape(frame_179_shape_group_10_shape_13_horizontal_lines, 60, 6),
        shape(frame_179_shape_group_10_shape_14_horizontal_lines, 61, 4),
        shape(frame_179_shape_group_10_shape_15_horizontal_lines, 65, 6),
        shape(frame_179_shape_group_10_shape_16_horizontal_lines, 66, 4),
        shape(frame_179_shape_group_10_shape_17_horizontal_lines, 71, 6),
        shape(frame_179_shape_group_10_shape_18_horizontal_lines, 72, 4),
        shape(frame_179_shape_group_10_shape_19_horizontal_lines, 81, 6),
        shape(frame_179_shape_group_10_shape_20_horizontal_lines, 83, 9),
        shape(frame_179_shape_group_10_shape_21_horizontal_lines, 85, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(173, 173),
        horizontal_line(173, 173),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(30, 75),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(77, 87),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(30, 76),
        horizontal_line(30, 76),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(78, 88),
        horizontal_line(78, 89),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(31, 77),
        horizontal_line(128, 141),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(90, 97),
        horizontal_line(91, 97),
        horizontal_line(147, 151),
        horizontal_line(91, 97),
        horizontal_line(91, 97),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(148, 152),
        horizontal_line(92, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(149, 153),
        horizontal_line(94, 99),
        horizontal_line(94, 99),
        horizontal_line(94, 100),
        horizontal_line(95, 100),
        horizontal_line(95, 100),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(167, 179),
        horizontal_line(156, 170),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(96, 101),
        horizontal_line(96, 101),
    };

    constexpr const horizontal_line frame_179_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(102, 119),
    };

    constexpr const shape frame_179_shape_group_11_shapes[] = {
        shape(frame_179_shape_group_11_shape_0_horizontal_lines, 40, 4),
        shape(frame_179_shape_group_11_shape_1_horizontal_lines, 45, 4),
        shape(frame_179_shape_group_11_shape_2_horizontal_lines, 49, 8),
        shape(frame_179_shape_group_11_shape_3_horizontal_lines, 50, 4),
        shape(frame_179_shape_group_11_shape_4_horizontal_lines, 51, 8),
        shape(frame_179_shape_group_11_shape_5_horizontal_lines, 53, 4),
        shape(frame_179_shape_group_11_shape_6_horizontal_lines, 56, 8),
        shape(frame_179_shape_group_11_shape_7_horizontal_lines, 58, 6),
        shape(frame_179_shape_group_11_shape_8_horizontal_lines, 77, 4),
        shape(frame_179_shape_group_11_shape_9_horizontal_lines, 79, 6),
        shape(frame_179_shape_group_11_shape_10_horizontal_lines, 81, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(77, 85),
        horizontal_line(77, 88),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(89, 96),
        horizontal_line(89, 96),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(78, 89),
        horizontal_line(78, 89),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(147, 151),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(98, 114),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(147, 151),
        horizontal_line(147, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(99, 116),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(148, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(100, 117),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_9_horizontal_lines[] = {
        horizontal_line(149, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(95, 100),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_10_horizontal_lines[] = {
        horizontal_line(179, 179),
    };

    constexpr const horizontal_line frame_179_shape_group_12_shape_11_horizontal_lines[] = {
        horizontal_line(102, 119),
        horizontal_line(102, 119),
    };

    constexpr const shape frame_179_shape_group_12_shapes[] = {
        shape(frame_179_shape_group_12_shape_0_horizontal_lines, 50, 4),
        shape(frame_179_shape_group_12_shape_1_horizontal_lines, 53, 6),
        shape(frame_179_shape_group_12_shape_2_horizontal_lines, 55, 4),
        shape(frame_179_shape_group_12_shape_3_horizontal_lines, 58, 6),
        shape(frame_179_shape_group_12_shape_4_horizontal_lines, 60, 9),
        shape(frame_179_shape_group_12_shape_5_horizontal_lines, 61, 6),
        shape(frame_179_shape_group_12_shape_6_horizontal_lines, 65, 9),
        shape(frame_179_shape_group_12_shape_7_horizontal_lines, 66, 6),
        shape(frame_179_shape_group_12_shape_8_horizontal_lines, 71, 9),
        shape(frame_179_shape_group_12_shape_9_horizontal_lines, 72, 6),
        shape(frame_179_shape_group_12_shape_10_horizontal_lines, 78, 4),
        shape(frame_179_shape_group_12_shape_11_horizontal_lines, 79, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_179_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(97, 101),
    };

    constexpr const horizontal_line frame_179_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(90, 96),
    };

    constexpr const horizontal_line frame_179_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(175, 175),
        horizontal_line(175, 175),
    };

    constexpr const horizontal_line frame_179_shape_group_13_shape_4_horizontal_lines[] = {
        horizontal_line(98, 114),
        horizontal_line(98, 114),
        horizontal_line(152, 165),
        horizontal_line(98, 115),
        horizontal_line(98, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(153, 166),
        horizontal_line(99, 116),
        horizontal_line(99, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(154, 168),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(101, 118),
        horizontal_line(101, 118),
        horizontal_line(101, 118),
    };

    constexpr const horizontal_line frame_179_shape_group_13_shape_5_horizontal_lines[] = {
        horizontal_line(150, 154),
        horizontal_line(95, 100),
    };

    constexpr const shape frame_179_shape_group_13_shapes[] = {
        shape(frame_179_shape_group_13_shape_0_horizontal_lines, 51, 4),
        shape(frame_179_shape_group_13_shape_1_horizontal_lines, 54, 9),
        shape(frame_179_shape_group_13_shape_2_horizontal_lines, 55, 6),
        shape(frame_179_shape_group_13_shape_3_horizontal_lines, 56, 4),
        shape(frame_179_shape_group_13_shape_4_horizontal_lines, 58, 9),
        shape(frame_179_shape_group_13_shape_5_horizontal_lines, 77, 6),
    };

    constexpr const horizontal_line frame_179_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(89, 90),
    };

    constexpr const horizontal_line frame_179_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(97, 107),
    };

    constexpr const horizontal_line frame_179_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(90, 96),
        horizontal_line(90, 96),
    };

    constexpr const horizontal_line frame_179_shape_group_14_shape_3_horizontal_lines[] = {
        horizontal_line(152, 165),
        horizontal_line(152, 165),
    };

    constexpr const horizontal_line frame_179_shape_group_14_shape_4_horizontal_lines[] = {
        horizontal_line(152, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
        horizontal_line(153, 166),
    };

    constexpr const horizontal_line frame_179_shape_group_14_shape_5_horizontal_lines[] = {
        horizontal_line(153, 167),
        horizontal_line(154, 167),
        horizontal_line(154, 167),
        horizontal_line(154, 167),
        horizontal_line(154, 167),
    };

    constexpr const horizontal_line frame_179_shape_group_14_shape_6_horizontal_lines[] = {
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 168),
        horizontal_line(155, 162),
        horizontal_line(101, 118),
        horizontal_line(101, 119),
    };

    constexpr const shape frame_179_shape_group_14_shapes[] = {
        shape(frame_179_shape_group_14_shape_0_horizontal_lines, 52, 6),
        shape(frame_179_shape_group_14_shape_1_horizontal_lines, 55, 9),
        shape(frame_179_shape_group_14_shape_2_horizontal_lines, 56, 6),
        shape(frame_179_shape_group_14_shape_3_horizontal_lines, 58, 9),
        shape(frame_179_shape_group_14_shape_4_horizontal_lines, 61, 9),
        shape(frame_179_shape_group_14_shape_5_horizontal_lines, 66, 9),
        shape(frame_179_shape_group_14_shape_6_horizontal_lines, 72, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(97, 113),
        horizontal_line(97, 114),
    };

    constexpr const shape frame_179_shape_group_15_shapes[] = {
        shape(frame_179_shape_group_15_shape_0_horizontal_lines, 56, 9),
    };

    constexpr const horizontal_line frame_179_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(152, 165),
    };

    constexpr const shape frame_179_shape_group_16_shapes[] = {
        shape(frame_179_shape_group_16_shape_0_horizontal_lines, 57, 9),
    };

    constexpr const shape_group frame_179_shape_groups[] = {
        shape_group(frame_179_shape_group_0_shapes),
        shape_group(frame_179_shape_group_1_shapes),
        shape_group(frame_179_shape_group_2_shapes),
        shape_group(frame_179_shape_group_3_shapes),
        shape_group(frame_179_shape_group_4_shapes),
        shape_group(frame_179_shape_group_5_shapes),
        shape_group(frame_179_shape_group_6_shapes),
        shape_group(frame_179_shape_group_7_shapes),
        shape_group(frame_179_shape_group_8_shapes),
        shape_group(frame_179_shape_group_9_shapes),
        shape_group(frame_179_shape_group_10_shapes),
        shape_group(frame_179_shape_group_11_shapes),
        shape_group(frame_179_shape_group_12_shapes),
        shape_group(frame_179_shape_group_13_shapes),
        shape_group(frame_179_shape_group_14_shapes),
        shape_group(frame_179_shape_group_15_shapes),
        shape_group(frame_179_shape_group_16_shapes),
    };

    constexpr const frame frame_179_impl(frame_179_colors, frame_179_shape_groups);
} 

const frame& frame_179()
{
    return frame_179_impl;
}

