#include "frames_5_data.h"

#include "data.h"

namespace
{
    constexpr const bn::color frame_300_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_300_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(16, 78),
        horizontal_line(31, 93),
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_300_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(44, 45),
        horizontal_line(42, 46),
        horizontal_line(41, 47),
        horizontal_line(39, 48),
        horizontal_line(37, 49),
        horizontal_line(36, 50),
        horizontal_line(34, 51),
        horizontal_line(0, 0),
        horizontal_line(0, 53),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_300_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(71, 102),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_300_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_300_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(103, 106),
        horizontal_line(103, 108),
        horizontal_line(102, 110),
        horizontal_line(103, 112),
        horizontal_line(108, 114),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_300_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 16),
        horizontal_line(0, 10),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_300_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 37),
        horizontal_line(0, 33),
        horizontal_line(0, 29),
        horizontal_line(0, 24),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 11),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(42, 104),
        horizontal_line(28, 90),
        horizontal_line(14, 76),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_300_shape_group_0_shapes[] = {
        shape(frame_300_shape_group_0_shape_0_horizontal_lines, 31, 15),
        shape(frame_300_shape_group_0_shape_1_horizontal_lines, 35, 13),
        shape(frame_300_shape_group_0_shape_2_horizontal_lines, 78, 15),
        shape(frame_300_shape_group_0_shape_3_horizontal_lines, 80, 13),
        shape(frame_300_shape_group_0_shape_4_horizontal_lines, 90, 15),
        shape(frame_300_shape_group_0_shape_5_horizontal_lines, 97, 13),
        shape(frame_300_shape_group_0_shape_6_horizontal_lines, 110, 11),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(78, 140),
        horizontal_line(93, 155),
        horizontal_line(108, 170),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(230, 239),
        horizontal_line(228, 239),
        horizontal_line(32, 52),
        horizontal_line(224, 239),
        horizontal_line(32, 54),
        horizontal_line(33, 52),
        horizontal_line(35, 50),
        horizontal_line(36, 48),
        horizontal_line(37, 46),
        horizontal_line(39, 44),
        horizontal_line(40, 42),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(30, 41),
        horizontal_line(30, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(29, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 40),
        horizontal_line(28, 39),
        horizontal_line(27, 39),
        horizontal_line(27, 39),
        horizontal_line(27, 39),
        horizontal_line(27, 39),
        horizontal_line(27, 39),
        horizontal_line(27, 39),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(122, 129),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(97, 97),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(127, 131),
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(25, 38),
        horizontal_line(24, 38),
        horizontal_line(24, 38),
        horizontal_line(24, 38),
        horizontal_line(24, 38),
        horizontal_line(24, 38),
        horizontal_line(24, 38),
        horizontal_line(24, 38),
        horizontal_line(24, 38),
        horizontal_line(23, 23),
        horizontal_line(17, 23),
        horizontal_line(11, 24),
        horizontal_line(5, 25),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(57, 119),
        horizontal_line(56, 107),
        horizontal_line(55, 93),
        horizontal_line(54, 79),
        horizontal_line(53, 65),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(47, 51),
        horizontal_line(47, 48),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(33, 47),
        horizontal_line(34, 48),
        horizontal_line(35, 49),
        horizontal_line(36, 50),
        horizontal_line(37, 51),
        horizontal_line(37, 52),
        horizontal_line(38, 53),
        horizontal_line(39, 53),
    };

    constexpr const horizontal_line frame_300_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(224, 239),
        horizontal_line(210, 239),
        horizontal_line(196, 239),
        horizontal_line(182, 239),
        horizontal_line(168, 230),
        horizontal_line(154, 216),
        horizontal_line(140, 202),
        horizontal_line(126, 188),
        horizontal_line(112, 174),
        horizontal_line(98, 160),
        horizontal_line(84, 146),
        horizontal_line(70, 132),
        horizontal_line(56, 118),
        horizontal_line(104, 166),
        horizontal_line(90, 152),
        horizontal_line(76, 138),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_300_shape_group_1_shapes[] = {
        shape(frame_300_shape_group_1_shape_0_horizontal_lines, 31, 15),
        shape(frame_300_shape_group_1_shape_1_horizontal_lines, 36, 13),
        shape(frame_300_shape_group_1_shape_2_horizontal_lines, 51, 11),
        shape(frame_300_shape_group_1_shape_3_horizontal_lines, 77, 13),
        shape(frame_300_shape_group_1_shape_4_horizontal_lines, 94, 15),
        shape(frame_300_shape_group_1_shape_5_horizontal_lines, 97, 11),
        shape(frame_300_shape_group_1_shape_6_horizontal_lines, 110, 9),
        shape(frame_300_shape_group_1_shape_7_horizontal_lines, 115, 7),
        shape(frame_300_shape_group_1_shape_8_horizontal_lines, 117, 10),
        shape(frame_300_shape_group_1_shape_9_horizontal_lines, 125, 11),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(125, 187),
        horizontal_line(140, 202),
        horizontal_line(155, 217),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 238),
        horizontal_line(226, 236),
        horizontal_line(227, 234),
        horizontal_line(229, 232),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(30, 39),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(27, 39),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(104, 130),
        horizontal_line(95, 97),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(26, 39),
        horizontal_line(26, 39),
        horizontal_line(26, 39),
        horizontal_line(26, 39),
        horizontal_line(26, 39),
        horizontal_line(26, 39),
        horizontal_line(26, 39),
        horizontal_line(26, 38),
        horizontal_line(25, 38),
        horizontal_line(25, 38),
        horizontal_line(25, 38),
        horizontal_line(25, 38),
        horizontal_line(25, 38),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(71, 118),
        horizontal_line(71, 105),
        horizontal_line(72, 93),
        horizontal_line(73, 81),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(39, 51),
        horizontal_line(39, 49),
        horizontal_line(39, 47),
        horizontal_line(39, 45),
        horizontal_line(39, 43),
        horizontal_line(60, 64),
        horizontal_line(60, 122),
        horizontal_line(59, 121),
        horizontal_line(58, 120),
        horizontal_line(119, 121),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(28, 42),
        horizontal_line(29, 43),
        horizontal_line(30, 44),
        horizontal_line(30, 45),
        horizontal_line(31, 46),
        horizontal_line(32, 46),
        horizontal_line(239, 239),
        horizontal_line(222, 239),
        horizontal_line(206, 239),
        horizontal_line(190, 239),
        horizontal_line(173, 235),
        horizontal_line(157, 219),
        horizontal_line(141, 203),
        horizontal_line(124, 186),
        horizontal_line(40, 50),
        horizontal_line(41, 48),
        horizontal_line(42, 46),
        horizontal_line(43, 44),
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_300_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(216, 239),
        horizontal_line(202, 239),
        horizontal_line(188, 239),
        horizontal_line(174, 236),
        horizontal_line(160, 222),
        horizontal_line(146, 208),
        horizontal_line(132, 194),
        horizontal_line(118, 180),
        horizontal_line(166, 228),
        horizontal_line(152, 214),
        horizontal_line(138, 200),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_300_shape_group_2_shapes[] = {
        shape(frame_300_shape_group_2_shape_0_horizontal_lines, 31, 15),
        shape(frame_300_shape_group_2_shape_1_horizontal_lines, 42, 13),
        shape(frame_300_shape_group_2_shape_2_horizontal_lines, 44, 13),
        shape(frame_300_shape_group_2_shape_3_horizontal_lines, 50, 11),
        shape(frame_300_shape_group_2_shape_4_horizontal_lines, 78, 13),
        shape(frame_300_shape_group_2_shape_5_horizontal_lines, 81, 11),
        shape(frame_300_shape_group_2_shape_6_horizontal_lines, 94, 13),
        shape(frame_300_shape_group_2_shape_7_horizontal_lines, 97, 11),
        shape(frame_300_shape_group_2_shape_8_horizontal_lines, 101, 9),
        shape(frame_300_shape_group_2_shape_9_horizontal_lines, 111, 10),
        shape(frame_300_shape_group_2_shape_10_horizontal_lines, 130, 11),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(202, 239),
        horizontal_line(217, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(30, 31),
        horizontal_line(30, 32),
        horizontal_line(30, 34),
        horizontal_line(30, 35),
        horizontal_line(30, 36),
        horizontal_line(30, 38),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(51, 113),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(55, 117),
        horizontal_line(57, 119),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(58, 75),
        horizontal_line(56, 73),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(27, 39),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(103, 123),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(26, 39),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(96, 102),
        horizontal_line(97, 101),
        horizontal_line(25, 38),
        horizontal_line(25, 38),
        horizontal_line(25, 38),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 62),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(39, 72),
        horizontal_line(55, 74),
        horizontal_line(56, 75),
        horizontal_line(57, 77),
        horizontal_line(58, 72),
        horizontal_line(59, 68),
        horizontal_line(73, 135),
        horizontal_line(122, 163),
        horizontal_line(121, 149),
        horizontal_line(120, 135),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(27, 41),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(44, 54),
        horizontal_line(45, 53),
        horizontal_line(46, 52),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(174, 236),
        horizontal_line(159, 221),
        horizontal_line(144, 206),
        horizontal_line(129, 191),
        horizontal_line(114, 176),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(219, 239),
        horizontal_line(203, 239),
        horizontal_line(186, 239),
        horizontal_line(108, 170),
        horizontal_line(92, 154),
        horizontal_line(75, 137),
        horizontal_line(59, 121),
        horizontal_line(105, 167),
        horizontal_line(38, 100),
        horizontal_line(34, 96),
        horizontal_line(30, 92),
        horizontal_line(25, 87),
    };

    constexpr const horizontal_line frame_300_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(222, 239),
        horizontal_line(208, 239),
        horizontal_line(194, 239),
        horizontal_line(180, 239),
        horizontal_line(228, 239),
        horizontal_line(214, 239),
        horizontal_line(200, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_300_shape_group_3_shapes[] = {
        shape(frame_300_shape_group_3_shape_0_horizontal_lines, 31, 15),
        shape(frame_300_shape_group_3_shape_1_horizontal_lines, 44, 11),
        shape(frame_300_shape_group_3_shape_2_horizontal_lines, 51, 2),
        shape(frame_300_shape_group_3_shape_3_horizontal_lines, 77, 11),
        shape(frame_300_shape_group_3_shape_4_horizontal_lines, 79, 13),
        shape(frame_300_shape_group_3_shape_5_horizontal_lines, 80, 11),
        shape(frame_300_shape_group_3_shape_6_horizontal_lines, 97, 14),
        shape(frame_300_shape_group_3_shape_7_horizontal_lines, 100, 9),
        shape(frame_300_shape_group_3_shape_8_horizontal_lines, 110, 10),
        shape(frame_300_shape_group_3_shape_9_horizontal_lines, 112, 1),
        shape(frame_300_shape_group_3_shape_10_horizontal_lines, 115, 3),
        shape(frame_300_shape_group_3_shape_11_horizontal_lines, 121, 10),
        shape(frame_300_shape_group_3_shape_12_horizontal_lines, 134, 11),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(53, 115),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(43, 105),
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(103, 165),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(107, 169),
        horizontal_line(108, 170),
        horizontal_line(110, 171),
        horizontal_line(111, 167),
        horizontal_line(113, 164),
        horizontal_line(114, 161),
        horizontal_line(116, 158),
        horizontal_line(117, 154),
        horizontal_line(119, 151),
        horizontal_line(120, 148),
        horizontal_line(122, 145),
        horizontal_line(142, 142),
        horizontal_line(140, 142),
        horizontal_line(55, 71),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(27, 39),
        horizontal_line(105, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(104, 131),
        horizontal_line(105, 131),
        horizontal_line(110, 131),
        horizontal_line(116, 131),
        horizontal_line(122, 131),
        horizontal_line(102, 102),
        horizontal_line(89, 107),
        horizontal_line(77, 113),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(141, 142),
        horizontal_line(143, 143),
        horizontal_line(129, 150),
        horizontal_line(115, 157),
        horizontal_line(101, 163),
        horizontal_line(87, 149),
        horizontal_line(135, 178),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(230, 236),
        horizontal_line(235, 236),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(26, 40),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(43, 55),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(219, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(52, 114),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(221, 238),
        horizontal_line(206, 221),
        horizontal_line(191, 205),
        horizontal_line(176, 189),
        horizontal_line(99, 161),
        horizontal_line(84, 146),
        horizontal_line(69, 131),
        horizontal_line(54, 116),
    };

    constexpr const horizontal_line frame_300_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(154, 216),
        horizontal_line(137, 199),
        horizontal_line(121, 183),
        horizontal_line(167, 181),
        horizontal_line(100, 162),
        horizontal_line(96, 153),
        horizontal_line(92, 139),
        horizontal_line(87, 125),
        horizontal_line(21, 83),
        horizontal_line(17, 79),
        horizontal_line(12, 74),
        horizontal_line(8, 69),
        horizontal_line(4, 55),
        horizontal_line(0, 41),
        horizontal_line(0, 27),
        horizontal_line(0, 13),
    };

    constexpr const shape frame_300_shape_group_4_shapes[] = {
        shape(frame_300_shape_group_4_shape_0_horizontal_lines, 45, 2),
        shape(frame_300_shape_group_4_shape_1_horizontal_lines, 46, 11),
        shape(frame_300_shape_group_4_shape_2_horizontal_lines, 50, 2),
        shape(frame_300_shape_group_4_shape_3_horizontal_lines, 78, 11),
        shape(frame_300_shape_group_4_shape_4_horizontal_lines, 97, 9),
        shape(frame_300_shape_group_4_shape_5_horizontal_lines, 107, 7),
        shape(frame_300_shape_group_4_shape_6_horizontal_lines, 109, 10),
        shape(frame_300_shape_group_4_shape_7_horizontal_lines, 111, 1),
        shape(frame_300_shape_group_4_shape_8_horizontal_lines, 112, 3),
        shape(frame_300_shape_group_4_shape_9_horizontal_lines, 115, 5),
        shape(frame_300_shape_group_4_shape_10_horizontal_lines, 116, 3),
        shape(frame_300_shape_group_4_shape_11_horizontal_lines, 125, 10),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(115, 177),
        horizontal_line(51, 113),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(105, 167),
        horizontal_line(166, 219),
        horizontal_line(165, 216),
        horizontal_line(165, 213),
        horizontal_line(165, 209),
        horizontal_line(165, 206),
        horizontal_line(165, 203),
        horizontal_line(165, 200),
        horizontal_line(165, 196),
        horizontal_line(165, 193),
        horizontal_line(165, 190),
        horizontal_line(165, 187),
        horizontal_line(166, 184),
        horizontal_line(168, 180),
        horizontal_line(169, 177),
        horizontal_line(170, 174),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(41, 47),
        horizontal_line(41, 48),
        horizontal_line(41, 50),
        horizontal_line(41, 51),
        horizontal_line(40, 53),
        horizontal_line(42, 54),
        horizontal_line(44, 56),
        horizontal_line(46, 57),
        horizontal_line(48, 59),
        horizontal_line(50, 57),
        horizontal_line(52, 55),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(55, 70),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
        horizontal_line(55, 70),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(134, 143),
        horizontal_line(133, 143),
        horizontal_line(63, 71),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(143, 162),
        horizontal_line(52, 54),
        horizontal_line(50, 55),
        horizontal_line(48, 56),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(149, 171),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(52, 59),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(24, 38),
        horizontal_line(25, 39),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(42, 56),
        horizontal_line(230, 234),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(94, 156),
        horizontal_line(80, 142),
        horizontal_line(66, 128),
        horizontal_line(114, 176),
        horizontal_line(49, 111),
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 113),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(161, 172),
        horizontal_line(146, 156),
        horizontal_line(131, 140),
        horizontal_line(116, 123),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(232, 238),
        horizontal_line(216, 223),
        horizontal_line(199, 209),
        horizontal_line(183, 195),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(162, 167),
    };

    constexpr const horizontal_line frame_300_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(83, 111),
        horizontal_line(79, 97),
        horizontal_line(74, 83),
    };

    constexpr const shape frame_300_shape_group_5_shapes[] = {
        shape(frame_300_shape_group_5_shape_0_horizontal_lines, 45, 2),
        shape(frame_300_shape_group_5_shape_1_horizontal_lines, 66, 14),
        shape(frame_300_shape_group_5_shape_2_horizontal_lines, 77, 2),
        shape(frame_300_shape_group_5_shape_3_horizontal_lines, 78, 14),
        shape(frame_300_shape_group_5_shape_4_horizontal_lines, 79, 11),
        shape(frame_300_shape_group_5_shape_5_horizontal_lines, 80, 14),
        shape(frame_300_shape_group_5_shape_6_horizontal_lines, 97, 9),
        shape(frame_300_shape_group_5_shape_7_horizontal_lines, 100, 7),
        shape(frame_300_shape_group_5_shape_8_horizontal_lines, 104, 9),
        shape(frame_300_shape_group_5_shape_9_horizontal_lines, 106, 7),
        shape(frame_300_shape_group_5_shape_10_horizontal_lines, 107, 10),
        shape(frame_300_shape_group_5_shape_11_horizontal_lines, 110, 1),
        shape(frame_300_shape_group_5_shape_12_horizontal_lines, 112, 5),
        shape(frame_300_shape_group_5_shape_13_horizontal_lines, 121, 3),
        shape(frame_300_shape_group_5_shape_14_horizontal_lines, 125, 10),
        shape(frame_300_shape_group_5_shape_15_horizontal_lines, 130, 10),
        shape(frame_300_shape_group_5_shape_16_horizontal_lines, 134, 10),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(177, 221),
        horizontal_line(113, 175),
        horizontal_line(111, 173),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(167, 222),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(220, 230),
        horizontal_line(217, 230),
        horizontal_line(214, 230),
        horizontal_line(210, 231),
        horizontal_line(207, 230),
        horizontal_line(204, 226),
        horizontal_line(201, 222),
        horizontal_line(197, 219),
        horizontal_line(194, 215),
        horizontal_line(191, 211),
        horizontal_line(188, 207),
        horizontal_line(41, 41),
        horizontal_line(41, 43),
        horizontal_line(41, 44),
        horizontal_line(41, 45),
        horizontal_line(172, 189),
        horizontal_line(168, 185),
        horizontal_line(165, 181),
        horizontal_line(162, 177),
        horizontal_line(159, 174),
        horizontal_line(155, 170),
        horizontal_line(152, 166),
        horizontal_line(149, 162),
        horizontal_line(146, 159),
        horizontal_line(143, 155),
        horizontal_line(74, 75),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(134, 143),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(131, 144),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
        horizontal_line(136, 144),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(144, 154),
        horizontal_line(144, 157),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(134, 142),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(144, 165),
        horizontal_line(151, 168),
        horizontal_line(158, 170),
        horizontal_line(46, 57),
        horizontal_line(44, 58),
        horizontal_line(225, 237),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(41, 57),
        horizontal_line(220, 235),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(108, 170),
        horizontal_line(156, 218),
        horizontal_line(142, 204),
        horizontal_line(128, 190),
        horizontal_line(176, 188),
        horizontal_line(111, 173),
        horizontal_line(110, 158),
        horizontal_line(111, 143),
        horizontal_line(112, 128),
        horizontal_line(113, 113),
        horizontal_line(52, 98),
        horizontal_line(53, 83),
        horizontal_line(54, 68),
    };

    constexpr const horizontal_line frame_300_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(51, 107),
        horizontal_line(49, 91),
        horizontal_line(47, 74),
        horizontal_line(45, 58),
    };

    constexpr const shape frame_300_shape_group_6_shapes[] = {
        shape(frame_300_shape_group_6_shape_0_horizontal_lines, 45, 2),
        shape(frame_300_shape_group_6_shape_1_horizontal_lines, 51, 14),
        shape(frame_300_shape_group_6_shape_2_horizontal_lines, 77, 2),
        shape(frame_300_shape_group_6_shape_3_horizontal_lines, 78, 14),
        shape(frame_300_shape_group_6_shape_4_horizontal_lines, 79, 11),
        shape(frame_300_shape_group_6_shape_5_horizontal_lines, 80, 14),
        shape(frame_300_shape_group_6_shape_6_horizontal_lines, 94, 9),
        shape(frame_300_shape_group_6_shape_7_horizontal_lines, 97, 7),
        shape(frame_300_shape_group_6_shape_8_horizontal_lines, 99, 9),
        shape(frame_300_shape_group_6_shape_9_horizontal_lines, 100, 7),
        shape(frame_300_shape_group_6_shape_10_horizontal_lines, 107, 10),
        shape(frame_300_shape_group_6_shape_11_horizontal_lines, 109, 1),
        shape(frame_300_shape_group_6_shape_12_horizontal_lines, 111, 5),
        shape(frame_300_shape_group_6_shape_13_horizontal_lines, 125, 3),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(175, 223),
        horizontal_line(173, 225),
        horizontal_line(171, 226),
        horizontal_line(169, 226),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(223, 230),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(231, 231),
        horizontal_line(227, 231),
        horizontal_line(223, 231),
        horizontal_line(220, 232),
        horizontal_line(216, 232),
        horizontal_line(212, 232),
        horizontal_line(208, 233),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(185, 204),
        horizontal_line(181, 200),
        horizontal_line(178, 196),
        horizontal_line(175, 192),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(190, 234),
        horizontal_line(186, 234),
        horizontal_line(182, 234),
        horizontal_line(178, 235),
        horizontal_line(175, 235),
        horizontal_line(40, 41),
        horizontal_line(40, 43),
        horizontal_line(40, 45),
        horizontal_line(40, 47),
        horizontal_line(40, 49),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(143, 151),
        horizontal_line(54, 54),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(40, 54),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(55, 70),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(137, 145),
        horizontal_line(136, 144),
        horizontal_line(135, 144),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(187, 239),
        horizontal_line(143, 159),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(82, 118),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(211, 239),
        horizontal_line(165, 173),
        horizontal_line(172, 176),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(24, 38),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(39, 59),
        horizontal_line(40, 58),
        horizontal_line(210, 235),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(122, 184),
        horizontal_line(170, 229),
        horizontal_line(218, 234),
        horizontal_line(204, 218),
        horizontal_line(190, 203),
    };

    constexpr const horizontal_line frame_300_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(173, 173),
    };

    constexpr const shape frame_300_shape_group_7_shapes[] = {
        shape(frame_300_shape_group_7_shape_0_horizontal_lines, 46, 2),
        shape(frame_300_shape_group_7_shape_1_horizontal_lines, 50, 14),
        shape(frame_300_shape_group_7_shape_2_horizontal_lines, 55, 9),
        shape(frame_300_shape_group_7_shape_3_horizontal_lines, 62, 14),
        shape(frame_300_shape_group_7_shape_4_horizontal_lines, 66, 9),
        shape(frame_300_shape_group_7_shape_5_horizontal_lines, 76, 14),
        shape(frame_300_shape_group_7_shape_6_horizontal_lines, 78, 9),
        shape(frame_300_shape_group_7_shape_7_horizontal_lines, 79, 14),
        shape(frame_300_shape_group_7_shape_8_horizontal_lines, 80, 9),
        shape(frame_300_shape_group_7_shape_9_horizontal_lines, 97, 7),
        shape(frame_300_shape_group_7_shape_10_horizontal_lines, 100, 10),
        shape(frame_300_shape_group_7_shape_11_horizontal_lines, 101, 7),
        shape(frame_300_shape_group_7_shape_12_horizontal_lines, 106, 10),
        shape(frame_300_shape_group_7_shape_13_horizontal_lines, 107, 1),
        shape(frame_300_shape_group_7_shape_14_horizontal_lines, 110, 5),
        shape(frame_300_shape_group_7_shape_15_horizontal_lines, 116, 5),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(227, 228),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(205, 233),
        horizontal_line(201, 233),
        horizontal_line(197, 233),
        horizontal_line(193, 234),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(171, 233),
        horizontal_line(167, 229),
        horizontal_line(163, 225),
        horizontal_line(160, 222),
        horizontal_line(156, 218),
        horizontal_line(40, 51),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(72, 72),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(145, 207),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(136, 144),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(147, 209),
        horizontal_line(159, 221),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(106, 126),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(75, 104),
        horizontal_line(76, 90),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(171, 210),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(221, 238),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(190, 229),
        horizontal_line(200, 234),
    };

    constexpr const horizontal_line frame_300_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(184, 219),
    };

    constexpr const shape frame_300_shape_group_8_shapes[] = {
        shape(frame_300_shape_group_8_shape_0_horizontal_lines, 49, 14),
        shape(frame_300_shape_group_8_shape_1_horizontal_lines, 62, 9),
        shape(frame_300_shape_group_8_shape_2_horizontal_lines, 71, 9),
        shape(frame_300_shape_group_8_shape_3_horizontal_lines, 77, 14),
        shape(frame_300_shape_group_8_shape_4_horizontal_lines, 78, 9),
        shape(frame_300_shape_group_8_shape_5_horizontal_lines, 79, 14),
        shape(frame_300_shape_group_8_shape_6_horizontal_lines, 80, 9),
        shape(frame_300_shape_group_8_shape_7_horizontal_lines, 97, 10),
        shape(frame_300_shape_group_8_shape_8_horizontal_lines, 99, 7),
        shape(frame_300_shape_group_8_shape_9_horizontal_lines, 100, 10),
        shape(frame_300_shape_group_8_shape_10_horizontal_lines, 103, 1),
        shape(frame_300_shape_group_8_shape_11_horizontal_lines, 104, 7),
        shape(frame_300_shape_group_8_shape_12_horizontal_lines, 106, 10),
        shape(frame_300_shape_group_8_shape_13_horizontal_lines, 107, 1),
        shape(frame_300_shape_group_8_shape_14_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(233, 235),
        horizontal_line(229, 236),
        horizontal_line(225, 236),
        horizontal_line(222, 236),
        horizontal_line(218, 236),
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(144, 147),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(207, 237),
        horizontal_line(40, 54),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(209, 239),
        horizontal_line(221, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(120, 129),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(94, 132),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(163, 196),
        horizontal_line(166, 201),
        horizontal_line(169, 205),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(78, 114),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(174, 215),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(39, 51),
    };

    constexpr const horizontal_line frame_300_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(164, 189),
        horizontal_line(150, 199),
        horizontal_line(198, 209),
    };

    constexpr const shape frame_300_shape_group_9_shapes[] = {
        shape(frame_300_shape_group_9_shape_0_horizontal_lines, 71, 9),
        shape(frame_300_shape_group_9_shape_1_horizontal_lines, 77, 14),
        shape(frame_300_shape_group_9_shape_2_horizontal_lines, 78, 9),
        shape(frame_300_shape_group_9_shape_3_horizontal_lines, 97, 1),
        shape(frame_300_shape_group_9_shape_4_horizontal_lines, 99, 10),
        shape(frame_300_shape_group_9_shape_5_horizontal_lines, 100, 1),
        shape(frame_300_shape_group_9_shape_6_horizontal_lines, 103, 5),
        shape(frame_300_shape_group_9_shape_7_horizontal_lines, 104, 1),
        shape(frame_300_shape_group_9_shape_8_horizontal_lines, 105, 10),
        shape(frame_300_shape_group_9_shape_9_horizontal_lines, 106, 1),
        shape(frame_300_shape_group_9_shape_10_horizontal_lines, 107, 5),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(76, 138),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(214, 237),
        horizontal_line(40, 53),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(146, 146),
        horizontal_line(145, 148),
        horizontal_line(145, 151),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(155, 182),
        horizontal_line(158, 186),
        horizontal_line(160, 191),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(119, 138),
        horizontal_line(105, 142),
        horizontal_line(91, 128),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(73, 100),
    };

    constexpr const horizontal_line frame_300_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(177, 220),
        horizontal_line(180, 224),
    };

    constexpr const shape frame_300_shape_group_10_shapes[] = {
        shape(frame_300_shape_group_10_shape_0_horizontal_lines, 75, 7),
        shape(frame_300_shape_group_10_shape_1_horizontal_lines, 76, 9),
        shape(frame_300_shape_group_10_shape_2_horizontal_lines, 79, 9),
        shape(frame_300_shape_group_10_shape_3_horizontal_lines, 94, 7),
        shape(frame_300_shape_group_10_shape_4_horizontal_lines, 97, 1),
        shape(frame_300_shape_group_10_shape_5_horizontal_lines, 100, 5),
        shape(frame_300_shape_group_10_shape_6_horizontal_lines, 104, 5),
        shape(frame_300_shape_group_10_shape_7_horizontal_lines, 105, 1),
    };

    constexpr const horizontal_line frame_300_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(104, 137),
    };

    constexpr const horizontal_line frame_300_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(148, 210),
    };

    constexpr const horizontal_line frame_300_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(145, 207),
    };

    constexpr const horizontal_line frame_300_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(71, 96),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(71, 94),
        horizontal_line(71, 93),
        horizontal_line(71, 93),
        horizontal_line(71, 76),
    };

    constexpr const horizontal_line frame_300_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(71, 88),
        horizontal_line(71, 76),
    };

    constexpr const horizontal_line frame_300_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(130, 133),
        horizontal_line(131, 132),
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_300_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(69, 86),
        horizontal_line(65, 72),
    };

    constexpr const shape frame_300_shape_group_11_shapes[] = {
        shape(frame_300_shape_group_11_shape_0_horizontal_lines, 75, 7),
        shape(frame_300_shape_group_11_shape_1_horizontal_lines, 77, 9),
        shape(frame_300_shape_group_11_shape_2_horizontal_lines, 79, 9),
        shape(frame_300_shape_group_11_shape_3_horizontal_lines, 80, 8),
        shape(frame_300_shape_group_11_shape_4_horizontal_lines, 95, 10),
        shape(frame_300_shape_group_11_shape_5_horizontal_lines, 97, 5),
        shape(frame_300_shape_group_11_shape_6_horizontal_lines, 105, 5),
    };

    constexpr const horizontal_line frame_300_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(210, 237),
    };

    constexpr const horizontal_line frame_300_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(207, 238),
    };

    constexpr const horizontal_line frame_300_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(95, 96),
        horizontal_line(94, 95),
        horizontal_line(96, 96),
        horizontal_line(79, 101),
    };

    constexpr const horizontal_line frame_300_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(115, 126),
        horizontal_line(117, 129),
    };

    constexpr const horizontal_line frame_300_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_300_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(179, 179),
    };

    constexpr const shape frame_300_shape_group_12_shapes[] = {
        shape(frame_300_shape_group_12_shape_0_horizontal_lines, 77, 9),
        shape(frame_300_shape_group_12_shape_1_horizontal_lines, 79, 9),
        shape(frame_300_shape_group_12_shape_2_horizontal_lines, 90, 10),
        shape(frame_300_shape_group_12_shape_3_horizontal_lines, 95, 1),
        shape(frame_300_shape_group_12_shape_4_horizontal_lines, 98, 12),
        shape(frame_300_shape_group_12_shape_5_horizontal_lines, 106, 5),
    };

    constexpr const horizontal_line frame_300_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_300_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(71, 94),
    };

    constexpr const horizontal_line frame_300_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(109, 115),
        horizontal_line(111, 121),
        horizontal_line(113, 123),
        horizontal_line(149, 158),
        horizontal_line(152, 170),
    };

    constexpr const shape frame_300_shape_group_13_shapes[] = {
        shape(frame_300_shape_group_13_shape_0_horizontal_lines, 77, 7),
        shape(frame_300_shape_group_13_shape_1_horizontal_lines, 79, 8),
        shape(frame_300_shape_group_13_shape_2_horizontal_lines, 91, 1),
    };

    constexpr const horizontal_line frame_300_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(94, 95),
        horizontal_line(77, 78),
    };

    constexpr const horizontal_line frame_300_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(131, 134),
    };

    constexpr const shape frame_300_shape_group_14_shapes[] = {
        shape(frame_300_shape_group_14_shape_0_horizontal_lines, 93, 3),
        shape(frame_300_shape_group_14_shape_1_horizontal_lines, 95, 5),
    };

    constexpr const horizontal_line frame_300_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(133, 136),
    };

    constexpr const shape frame_300_shape_group_15_shapes[] = {
        shape(frame_300_shape_group_15_shape_0_horizontal_lines, 94, 5),
    };

    constexpr const shape_group frame_300_shape_groups[] = {
        shape_group(frame_300_shape_group_0_shapes),
        shape_group(frame_300_shape_group_1_shapes),
        shape_group(frame_300_shape_group_2_shapes),
        shape_group(frame_300_shape_group_3_shapes),
        shape_group(frame_300_shape_group_4_shapes),
        shape_group(frame_300_shape_group_5_shapes),
        shape_group(frame_300_shape_group_6_shapes),
        shape_group(frame_300_shape_group_7_shapes),
        shape_group(frame_300_shape_group_8_shapes),
        shape_group(frame_300_shape_group_9_shapes),
        shape_group(frame_300_shape_group_10_shapes),
        shape_group(frame_300_shape_group_11_shapes),
        shape_group(frame_300_shape_group_12_shapes),
        shape_group(frame_300_shape_group_13_shapes),
        shape_group(frame_300_shape_group_14_shapes),
        shape_group(frame_300_shape_group_15_shapes),
    };

    constexpr const frame frame_300_impl(frame_300_colors, frame_300_shape_groups);
} 

const frame& frame_300()
{
    return frame_300_impl;
}

namespace
{
    constexpr const bn::color frame_301_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_301_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(17, 79),
        horizontal_line(34, 96),
    };

    constexpr const horizontal_line frame_301_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(32, 34),
        horizontal_line(30, 35),
        horizontal_line(28, 36),
        horizontal_line(26, 37),
        horizontal_line(24, 38),
        horizontal_line(22, 39),
        horizontal_line(20, 40),
        horizontal_line(18, 41),
        horizontal_line(0, 0),
        horizontal_line(0, 43),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_301_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(70, 102),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_301_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_301_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(103, 106),
        horizontal_line(103, 108),
        horizontal_line(102, 110),
        horizontal_line(103, 113),
        horizontal_line(109, 115),
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_301_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_301_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 20),
        horizontal_line(0, 16),
        horizontal_line(0, 12),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(104, 166),
        horizontal_line(89, 151),
        horizontal_line(74, 136),
        horizontal_line(59, 121),
        horizontal_line(44, 106),
        horizontal_line(29, 91),
        horizontal_line(14, 76),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_301_shape_group_0_shapes[] = {
        shape(frame_301_shape_group_0_shape_0_horizontal_lines, 21, 15),
        shape(frame_301_shape_group_0_shape_1_horizontal_lines, 25, 13),
        shape(frame_301_shape_group_0_shape_2_horizontal_lines, 78, 15),
        shape(frame_301_shape_group_0_shape_3_horizontal_lines, 80, 13),
        shape(frame_301_shape_group_0_shape_4_horizontal_lines, 90, 15),
        shape(frame_301_shape_group_0_shape_5_horizontal_lines, 97, 13),
        shape(frame_301_shape_group_0_shape_6_horizontal_lines, 110, 11),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(79, 141),
        horizontal_line(96, 158),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(16, 42),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(16, 44),
        horizontal_line(17, 45),
        horizontal_line(19, 43),
        horizontal_line(20, 41),
        horizontal_line(22, 40),
        horizontal_line(23, 38),
        horizontal_line(25, 36),
        horizontal_line(26, 35),
        horizontal_line(28, 33),
        horizontal_line(29, 31),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(13, 30),
        horizontal_line(13, 29),
        horizontal_line(13, 29),
        horizontal_line(13, 29),
        horizontal_line(13, 29),
        horizontal_line(12, 29),
        horizontal_line(12, 29),
        horizontal_line(12, 29),
        horizontal_line(12, 29),
        horizontal_line(12, 28),
        horizontal_line(12, 28),
        horizontal_line(12, 28),
        horizontal_line(11, 28),
        horizontal_line(11, 28),
        horizontal_line(11, 28),
        horizontal_line(11, 28),
        horizontal_line(11, 28),
        horizontal_line(11, 28),
        horizontal_line(11, 27),
        horizontal_line(11, 27),
        horizontal_line(10, 27),
        horizontal_line(10, 27),
        horizontal_line(10, 27),
        horizontal_line(10, 27),
        horizontal_line(10, 27),
        horizontal_line(10, 27),
        horizontal_line(10, 27),
        horizontal_line(10, 26),
        horizontal_line(9, 26),
        horizontal_line(9, 26),
        horizontal_line(9, 26),
        horizontal_line(9, 26),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(123, 130),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(97, 97),
        horizontal_line(100, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(125, 132),
        horizontal_line(127, 132),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(6, 24),
        horizontal_line(6, 24),
        horizontal_line(6, 23),
        horizontal_line(6, 23),
        horizontal_line(6, 23),
        horizontal_line(6, 23),
        horizontal_line(5, 23),
        horizontal_line(5, 23),
        horizontal_line(5, 23),
        horizontal_line(5, 23),
        horizontal_line(5, 22),
        horizontal_line(5, 15),
        horizontal_line(5, 9),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(55, 117),
        horizontal_line(54, 116),
        horizontal_line(53, 114),
        horizontal_line(52, 100),
        horizontal_line(51, 87),
        horizontal_line(50, 73),
        horizontal_line(49, 59),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(33, 46),
        horizontal_line(34, 43),
        horizontal_line(34, 41),
        horizontal_line(35, 38),
        horizontal_line(36, 36),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(14, 36),
        horizontal_line(15, 37),
        horizontal_line(16, 38),
        horizontal_line(17, 39),
        horizontal_line(18, 40),
        horizontal_line(18, 41),
        horizontal_line(19, 42),
        horizontal_line(20, 42),
        horizontal_line(21, 39),
        horizontal_line(22, 37),
        horizontal_line(22, 35),
        horizontal_line(23, 33),
    };

    constexpr const horizontal_line frame_301_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(224, 239),
        horizontal_line(209, 239),
        horizontal_line(194, 239),
        horizontal_line(179, 239),
        horizontal_line(164, 226),
        horizontal_line(149, 211),
        horizontal_line(134, 196),
        horizontal_line(119, 181),
        horizontal_line(166, 228),
        horizontal_line(151, 213),
        horizontal_line(136, 198),
        horizontal_line(121, 183),
        horizontal_line(106, 168),
        horizontal_line(91, 153),
        horizontal_line(76, 138),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_301_shape_group_1_shapes[] = {
        shape(frame_301_shape_group_1_shape_0_horizontal_lines, 21, 15),
        shape(frame_301_shape_group_1_shape_1_horizontal_lines, 33, 13),
        shape(frame_301_shape_group_1_shape_2_horizontal_lines, 35, 13),
        shape(frame_301_shape_group_1_shape_3_horizontal_lines, 45, 11),
        shape(frame_301_shape_group_1_shape_4_horizontal_lines, 77, 13),
        shape(frame_301_shape_group_1_shape_5_horizontal_lines, 94, 15),
        shape(frame_301_shape_group_1_shape_6_horizontal_lines, 97, 11),
        shape(frame_301_shape_group_1_shape_7_horizontal_lines, 110, 9),
        shape(frame_301_shape_group_1_shape_8_horizontal_lines, 117, 7),
        shape(frame_301_shape_group_1_shape_9_horizontal_lines, 122, 10),
        shape(frame_301_shape_group_1_shape_10_horizontal_lines, 134, 11),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(141, 203),
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(14, 15),
        horizontal_line(14, 16),
        horizontal_line(14, 18),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(14, 22),
        horizontal_line(14, 24),
        horizontal_line(13, 25),
        horizontal_line(13, 27),
        horizontal_line(13, 28),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(37, 99),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(56, 118),
        horizontal_line(58, 120),
        horizontal_line(56, 74),
        horizontal_line(54, 72),
        horizontal_line(53, 71),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(9, 26),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(104, 131),
        horizontal_line(95, 97),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(8, 25),
        horizontal_line(8, 25),
        horizontal_line(8, 25),
        horizontal_line(8, 25),
        horizontal_line(8, 25),
        horizontal_line(8, 25),
        horizontal_line(8, 25),
        horizontal_line(7, 25),
        horizontal_line(7, 25),
        horizontal_line(7, 24),
        horizontal_line(7, 24),
        horizontal_line(7, 24),
        horizontal_line(7, 24),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(70, 119),
        horizontal_line(70, 106),
        horizontal_line(71, 93),
        horizontal_line(72, 80),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(24, 72),
        horizontal_line(24, 49),
        horizontal_line(24, 46),
        horizontal_line(24, 43),
        horizontal_line(24, 40),
        horizontal_line(24, 38),
        horizontal_line(24, 30),
        horizontal_line(58, 120),
        horizontal_line(56, 118),
        horizontal_line(117, 141),
        horizontal_line(116, 128),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(6, 27),
        horizontal_line(7, 28),
        horizontal_line(8, 29),
        horizontal_line(9, 30),
        horizontal_line(9, 31),
        horizontal_line(10, 32),
        horizontal_line(11, 33),
        horizontal_line(12, 33),
        horizontal_line(13, 34),
        horizontal_line(13, 35),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(157, 219),
        horizontal_line(141, 203),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(222, 239),
        horizontal_line(206, 239),
        horizontal_line(189, 239),
        horizontal_line(173, 235),
        horizontal_line(157, 219),
        horizontal_line(140, 202),
        horizontal_line(124, 186),
        horizontal_line(107, 169),
        horizontal_line(91, 153),
        horizontal_line(24, 31),
        horizontal_line(25, 29),
        horizontal_line(26, 27),
        horizontal_line(26, 88),
        horizontal_line(21, 83),
    };

    constexpr const horizontal_line frame_301_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(211, 239),
        horizontal_line(196, 239),
        horizontal_line(181, 239),
        horizontal_line(228, 239),
        horizontal_line(213, 239),
        horizontal_line(198, 239),
        horizontal_line(183, 239),
        horizontal_line(168, 230),
        horizontal_line(153, 215),
        horizontal_line(138, 200),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_301_shape_group_2_shapes[] = {
        shape(frame_301_shape_group_2_shape_0_horizontal_lines, 21, 15),
        shape(frame_301_shape_group_2_shape_1_horizontal_lines, 35, 11),
        shape(frame_301_shape_group_2_shape_2_horizontal_lines, 38, 13),
        shape(frame_301_shape_group_2_shape_3_horizontal_lines, 40, 11),
        shape(frame_301_shape_group_2_shape_4_horizontal_lines, 45, 2),
        shape(frame_301_shape_group_2_shape_5_horizontal_lines, 77, 11),
        shape(frame_301_shape_group_2_shape_6_horizontal_lines, 78, 13),
        shape(frame_301_shape_group_2_shape_7_horizontal_lines, 81, 11),
        shape(frame_301_shape_group_2_shape_8_horizontal_lines, 94, 13),
        shape(frame_301_shape_group_2_shape_9_horizontal_lines, 97, 11),
        shape(frame_301_shape_group_2_shape_10_horizontal_lines, 101, 9),
        shape(frame_301_shape_group_2_shape_11_horizontal_lines, 112, 10),
        shape(frame_301_shape_group_2_shape_12_horizontal_lines, 122, 3),
        shape(frame_301_shape_group_2_shape_13_horizontal_lines, 124, 10),
        shape(frame_301_shape_group_2_shape_14_horizontal_lines, 139, 11),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(187, 239),
        horizontal_line(203, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(44, 106),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(14, 19),
        horizontal_line(14, 21),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(93, 155),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(99, 161),
        horizontal_line(101, 163),
        horizontal_line(102, 164),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(109, 171),
        horizontal_line(111, 169),
        horizontal_line(112, 166),
        horizontal_line(114, 163),
        horizontal_line(115, 159),
        horizontal_line(117, 156),
        horizontal_line(118, 153),
        horizontal_line(120, 150),
        horizontal_line(100, 147),
        horizontal_line(100, 103),
        horizontal_line(142, 144),
        horizontal_line(61, 70),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(9, 26),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(104, 123),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(8, 26),
        horizontal_line(97, 98),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(97, 102),
        horizontal_line(97, 101),
        horizontal_line(7, 24),
        horizontal_line(6, 24),
        horizontal_line(6, 24),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 63),
        horizontal_line(53, 57),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(142, 144),
        horizontal_line(53, 73),
        horizontal_line(54, 74),
        horizontal_line(55, 75),
        horizontal_line(55, 70),
        horizontal_line(56, 66),
        horizontal_line(57, 61),
        horizontal_line(120, 169),
        horizontal_line(118, 155),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(5, 25),
        horizontal_line(5, 26),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(28, 52),
        horizontal_line(29, 51),
        horizontal_line(30, 50),
        horizontal_line(31, 49),
        horizontal_line(32, 48),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(222, 239),
        horizontal_line(206, 239),
        horizontal_line(190, 239),
        horizontal_line(173, 235),
        horizontal_line(219, 239),
        horizontal_line(203, 239),
        horizontal_line(124, 186),
        horizontal_line(108, 170),
        horizontal_line(92, 154),
        horizontal_line(75, 137),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(219, 239),
        horizontal_line(202, 239),
        horizontal_line(186, 239),
        horizontal_line(169, 231),
        horizontal_line(153, 215),
        horizontal_line(75, 137),
        horizontal_line(58, 120),
        horizontal_line(42, 104),
        horizontal_line(88, 150),
        horizontal_line(83, 145),
        horizontal_line(17, 79),
        horizontal_line(13, 75),
        horizontal_line(8, 70),
        horizontal_line(4, 66),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
    };

    constexpr const horizontal_line frame_301_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(215, 239),
        horizontal_line(200, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_301_shape_group_3_shapes[] = {
        shape(frame_301_shape_group_3_shape_0_horizontal_lines, 21, 15),
        shape(frame_301_shape_group_3_shape_1_horizontal_lines, 37, 2),
        shape(frame_301_shape_group_3_shape_2_horizontal_lines, 38, 11),
        shape(frame_301_shape_group_3_shape_3_horizontal_lines, 40, 2),
        shape(frame_301_shape_group_3_shape_4_horizontal_lines, 78, 11),
        shape(frame_301_shape_group_3_shape_5_horizontal_lines, 79, 13),
        shape(frame_301_shape_group_3_shape_6_horizontal_lines, 80, 11),
        shape(frame_301_shape_group_3_shape_7_horizontal_lines, 97, 14),
        shape(frame_301_shape_group_3_shape_8_horizontal_lines, 101, 9),
        shape(frame_301_shape_group_3_shape_9_horizontal_lines, 110, 10),
        shape(frame_301_shape_group_3_shape_10_horizontal_lines, 112, 1),
        shape(frame_301_shape_group_3_shape_11_horizontal_lines, 117, 3),
        shape(frame_301_shape_group_3_shape_12_horizontal_lines, 128, 10),
        shape(frame_301_shape_group_3_shape_13_horizontal_lines, 147, 11),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(106, 139),
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 213),
        horizontal_line(154, 210),
        horizontal_line(155, 207),
        horizontal_line(157, 204),
        horizontal_line(158, 201),
        horizontal_line(160, 197),
        horizontal_line(161, 194),
        horizontal_line(163, 191),
        horizontal_line(164, 188),
        horizontal_line(165, 185),
        horizontal_line(167, 182),
        horizontal_line(168, 178),
        horizontal_line(170, 175),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(34, 48),
        horizontal_line(36, 49),
        horizontal_line(38, 51),
        horizontal_line(40, 52),
        horizontal_line(42, 54),
        horizontal_line(44, 55),
        horizontal_line(46, 57),
        horizontal_line(48, 55),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(53, 69),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(9, 26),
        horizontal_line(106, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(104, 133),
        horizontal_line(105, 133),
        horizontal_line(111, 133),
        horizontal_line(117, 133),
        horizontal_line(123, 133),
        horizontal_line(102, 102),
        horizontal_line(89, 108),
        horizontal_line(76, 114),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(145, 166),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(130, 152),
        horizontal_line(115, 160),
        horizontal_line(101, 163),
        horizontal_line(86, 148),
        horizontal_line(71, 133),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(10, 24),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(26, 54),
        horizontal_line(27, 53),
        horizontal_line(224, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(88, 150),
        horizontal_line(74, 136),
        horizontal_line(60, 122),
        horizontal_line(47, 109),
        horizontal_line(44, 106),
        horizontal_line(42, 104),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(38, 100),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(170, 221),
        horizontal_line(154, 205),
        horizontal_line(137, 188),
        horizontal_line(59, 121),
        horizontal_line(43, 105),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(215, 239),
        horizontal_line(137, 199),
        horizontal_line(120, 182),
        horizontal_line(104, 166),
        horizontal_line(150, 193),
        horizontal_line(145, 178),
        horizontal_line(79, 141),
        horizontal_line(75, 137),
        horizontal_line(70, 132),
        horizontal_line(66, 118),
        horizontal_line(62, 103),
        horizontal_line(62, 88),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_301_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 28),
        horizontal_line(0, 13),
    };

    constexpr const shape frame_301_shape_group_4_shapes[] = {
        shape(frame_301_shape_group_4_shape_0_horizontal_lines, 37, 2),
        shape(frame_301_shape_group_4_shape_1_horizontal_lines, 67, 14),
        shape(frame_301_shape_group_4_shape_2_horizontal_lines, 75, 2),
        shape(frame_301_shape_group_4_shape_3_horizontal_lines, 76, 14),
        shape(frame_301_shape_group_4_shape_4_horizontal_lines, 77, 2),
        shape(frame_301_shape_group_4_shape_5_horizontal_lines, 78, 14),
        shape(frame_301_shape_group_4_shape_6_horizontal_lines, 79, 11),
        shape(frame_301_shape_group_4_shape_7_horizontal_lines, 97, 9),
        shape(frame_301_shape_group_4_shape_8_horizontal_lines, 101, 7),
        shape(frame_301_shape_group_4_shape_9_horizontal_lines, 102, 9),
        shape(frame_301_shape_group_4_shape_10_horizontal_lines, 108, 7),
        shape(frame_301_shape_group_4_shape_11_horizontal_lines, 109, 10),
        shape(frame_301_shape_group_4_shape_12_horizontal_lines, 110, 1),
        shape(frame_301_shape_group_4_shape_13_horizontal_lines, 114, 5),
        shape(frame_301_shape_group_4_shape_14_horizontal_lines, 121, 3),
        shape(frame_301_shape_group_4_shape_15_horizontal_lines, 122, 5),
        shape(frame_301_shape_group_4_shape_16_horizontal_lines, 124, 3),
        shape(frame_301_shape_group_4_shape_17_horizontal_lines, 132, 10),
        shape(frame_301_shape_group_4_shape_18_horizontal_lines, 147, 10),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(104, 166),
        horizontal_line(103, 165),
        horizontal_line(163, 225),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(156, 218),
        horizontal_line(217, 239),
        horizontal_line(216, 235),
        horizontal_line(216, 232),
        horizontal_line(216, 229),
        horizontal_line(216, 226),
        horizontal_line(216, 223),
        horizontal_line(216, 220),
        horizontal_line(216, 216),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(29, 29),
        horizontal_line(29, 30),
        horizontal_line(29, 32),
        horizontal_line(29, 33),
        horizontal_line(29, 35),
        horizontal_line(29, 36),
        horizontal_line(29, 38),
        horizontal_line(29, 39),
        horizontal_line(29, 40),
        horizontal_line(28, 42),
        horizontal_line(28, 43),
        horizontal_line(30, 45),
        horizontal_line(32, 46),
        horizontal_line(170, 188),
        horizontal_line(167, 184),
        horizontal_line(164, 180),
        horizontal_line(160, 176),
        horizontal_line(157, 172),
        horizontal_line(154, 169),
        horizontal_line(151, 165),
        horizontal_line(148, 161),
        horizontal_line(50, 53),
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(136, 145),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(132, 146),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(53, 69),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(53, 69),
        horizontal_line(53, 69),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(136, 146),
        horizontal_line(136, 145),
        horizontal_line(64, 70),
        horizontal_line(58, 71),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(50, 52),
        horizontal_line(47, 53),
        horizontal_line(44, 54),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(163, 168),
        horizontal_line(148, 176),
        horizontal_line(133, 183),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(16, 23),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(25, 55),
        horizontal_line(208, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(115, 177),
        horizontal_line(101, 163),
        horizontal_line(150, 212),
        horizontal_line(136, 198),
        horizontal_line(122, 184),
        horizontal_line(109, 171),
        horizontal_line(106, 168),
        horizontal_line(104, 166),
        horizontal_line(101, 163),
        horizontal_line(37, 99),
        horizontal_line(99, 156),
        horizontal_line(100, 140),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 91),
        horizontal_line(42, 74),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(121, 172),
        horizontal_line(105, 156),
        horizontal_line(102, 139),
        horizontal_line(100, 123),
        horizontal_line(36, 98),
        horizontal_line(34, 90),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(199, 238),
        horizontal_line(182, 223),
        horizontal_line(166, 208),
    };

    constexpr const horizontal_line frame_301_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(141, 163),
        horizontal_line(137, 148),
        horizontal_line(132, 133),
    };

    constexpr const shape frame_301_shape_group_5_shapes[] = {
        shape(frame_301_shape_group_5_shape_0_horizontal_lines, 38, 2),
        shape(frame_301_shape_group_5_shape_1_horizontal_lines, 53, 14),
        shape(frame_301_shape_group_5_shape_2_horizontal_lines, 77, 2),
        shape(frame_301_shape_group_5_shape_3_horizontal_lines, 78, 14),
        shape(frame_301_shape_group_5_shape_4_horizontal_lines, 79, 11),
        shape(frame_301_shape_group_5_shape_5_horizontal_lines, 80, 14),
        shape(frame_301_shape_group_5_shape_6_horizontal_lines, 94, 11),
        shape(frame_301_shape_group_5_shape_7_horizontal_lines, 95, 14),
        shape(frame_301_shape_group_5_shape_8_horizontal_lines, 97, 9),
        shape(frame_301_shape_group_5_shape_9_horizontal_lines, 101, 7),
        shape(frame_301_shape_group_5_shape_10_horizontal_lines, 105, 9),
        shape(frame_301_shape_group_5_shape_11_horizontal_lines, 108, 10),
        shape(frame_301_shape_group_5_shape_12_horizontal_lines, 109, 1),
        shape(frame_301_shape_group_5_shape_13_horizontal_lines, 112, 5),
        shape(frame_301_shape_group_5_shape_14_horizontal_lines, 128, 3),
        shape(frame_301_shape_group_5_shape_15_horizontal_lines, 134, 10),
        shape(frame_301_shape_group_5_shape_16_horizontal_lines, 139, 10),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(211, 238),
        horizontal_line(208, 234),
        horizontal_line(205, 230),
        horizontal_line(202, 226),
        horizontal_line(198, 222),
        horizontal_line(195, 218),
        horizontal_line(192, 215),
        horizontal_line(189, 211),
        horizontal_line(186, 207),
        horizontal_line(183, 203),
        horizontal_line(179, 199),
        horizontal_line(176, 195),
        horizontal_line(173, 192),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(28, 33),
        horizontal_line(28, 35),
        horizontal_line(28, 37),
        horizontal_line(28, 39),
        horizontal_line(28, 41),
        horizontal_line(27, 43),
        horizontal_line(27, 45),
        horizontal_line(27, 47),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(27, 51),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(53, 60),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(27, 52),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(53, 69),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(138, 146),
        horizontal_line(53, 69),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(175, 237),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(146, 157),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(135, 145),
        horizontal_line(136, 144),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(73, 119),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(146, 169),
        horizontal_line(153, 172),
        horizontal_line(161, 175),
        horizontal_line(41, 54),
        horizontal_line(39, 55),
        horizontal_line(48, 56),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(24, 57),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(129, 191),
        horizontal_line(177, 223),
        horizontal_line(163, 225),
        horizontal_line(212, 239),
        horizontal_line(198, 239),
        horizontal_line(184, 239),
        horizontal_line(171, 233),
        horizontal_line(168, 221),
        horizontal_line(166, 205),
        horizontal_line(163, 189),
        horizontal_line(99, 161),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(101, 123),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(43, 58),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(98, 106),
    };

    constexpr const horizontal_line frame_301_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(32, 74),
        horizontal_line(30, 57),
        horizontal_line(28, 41),
    };

    constexpr const shape frame_301_shape_group_6_shapes[] = {
        shape(frame_301_shape_group_6_shape_0_horizontal_lines, 38, 2),
        shape(frame_301_shape_group_6_shape_1_horizontal_lines, 46, 14),
        shape(frame_301_shape_group_6_shape_2_horizontal_lines, 54, 14),
        shape(frame_301_shape_group_6_shape_3_horizontal_lines, 67, 9),
        shape(frame_301_shape_group_6_shape_4_horizontal_lines, 75, 14),
        shape(frame_301_shape_group_6_shape_5_horizontal_lines, 76, 9),
        shape(frame_301_shape_group_6_shape_6_horizontal_lines, 77, 14),
        shape(frame_301_shape_group_6_shape_7_horizontal_lines, 78, 9),
        shape(frame_301_shape_group_6_shape_8_horizontal_lines, 79, 14),
        shape(frame_301_shape_group_6_shape_9_horizontal_lines, 95, 9),
        shape(frame_301_shape_group_6_shape_10_horizontal_lines, 98, 7),
        shape(frame_301_shape_group_6_shape_11_horizontal_lines, 99, 9),
        shape(frame_301_shape_group_6_shape_12_horizontal_lines, 101, 10),
        shape(frame_301_shape_group_6_shape_13_horizontal_lines, 102, 7),
        shape(frame_301_shape_group_6_shape_14_horizontal_lines, 108, 1),
        shape(frame_301_shape_group_6_shape_15_horizontal_lines, 110, 5),
        shape(frame_301_shape_group_6_shape_16_horizontal_lines, 124, 5),
        shape(frame_301_shape_group_6_shape_17_horizontal_lines, 128, 5),
        shape(frame_301_shape_group_6_shape_18_horizontal_lines, 132, 3),
        shape(frame_301_shape_group_6_shape_19_horizontal_lines, 134, 3),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(228, 235),
        horizontal_line(227, 238),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(204, 239),
        horizontal_line(200, 239),
        horizontal_line(28, 29),
        horizontal_line(28, 31),
        horizontal_line(189, 239),
        horizontal_line(185, 239),
        horizontal_line(181, 239),
        horizontal_line(177, 239),
        horizontal_line(173, 235),
        horizontal_line(170, 232),
        horizontal_line(166, 228),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(145, 157),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(154, 216),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(138, 146),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(27, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(26, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(137, 147),
        horizontal_line(137, 146),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(146, 160),
        horizontal_line(145, 163),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(211, 239),
        horizontal_line(216, 239),
        horizontal_line(169, 178),
        horizontal_line(177, 181),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(192, 234),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(156, 199),
        horizontal_line(204, 207),
        horizontal_line(191, 215),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(225, 231),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(233, 238),
    };

    constexpr const horizontal_line frame_301_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(161, 172),
    };

    constexpr const shape frame_301_shape_group_7_shapes[] = {
        shape(frame_301_shape_group_7_shape_0_horizontal_lines, 38, 2),
        shape(frame_301_shape_group_7_shape_1_horizontal_lines, 54, 9),
        shape(frame_301_shape_group_7_shape_2_horizontal_lines, 75, 14),
        shape(frame_301_shape_group_7_shape_3_horizontal_lines, 76, 9),
        shape(frame_301_shape_group_7_shape_4_horizontal_lines, 77, 14),
        shape(frame_301_shape_group_7_shape_5_horizontal_lines, 78, 9),
        shape(frame_301_shape_group_7_shape_6_horizontal_lines, 79, 14),
        shape(frame_301_shape_group_7_shape_7_horizontal_lines, 80, 9),
        shape(frame_301_shape_group_7_shape_8_horizontal_lines, 94, 14),
        shape(frame_301_shape_group_7_shape_9_horizontal_lines, 95, 9),
        shape(frame_301_shape_group_7_shape_10_horizontal_lines, 98, 7),
        shape(frame_301_shape_group_7_shape_11_horizontal_lines, 101, 10),
        shape(frame_301_shape_group_7_shape_12_horizontal_lines, 102, 7),
        shape(frame_301_shape_group_7_shape_13_horizontal_lines, 108, 1),
        shape(frame_301_shape_group_7_shape_14_horizontal_lines, 109, 5),
        shape(frame_301_shape_group_7_shape_15_horizontal_lines, 113, 5),
        shape(frame_301_shape_group_7_shape_16_horizontal_lines, 117, 5),
        shape(frame_301_shape_group_7_shape_17_horizontal_lines, 121, 5),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(27, 49),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(146, 149),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(27, 52),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(25, 52),
        horizontal_line(149, 211),
        horizontal_line(162, 224),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(147, 154),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(107, 125),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(167, 201),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(74, 104),
        horizontal_line(76, 89),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(176, 215),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(23, 23),
    };

    constexpr const horizontal_line frame_301_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(170, 191),
    };

    constexpr const shape frame_301_shape_group_8_shapes[] = {
        shape(frame_301_shape_group_8_shape_0_horizontal_lines, 65, 9),
        shape(frame_301_shape_group_8_shape_1_horizontal_lines, 70, 9),
        shape(frame_301_shape_group_8_shape_2_horizontal_lines, 77, 14),
        shape(frame_301_shape_group_8_shape_3_horizontal_lines, 78, 9),
        shape(frame_301_shape_group_8_shape_4_horizontal_lines, 97, 7),
        shape(frame_301_shape_group_8_shape_5_horizontal_lines, 98, 10),
        shape(frame_301_shape_group_8_shape_6_horizontal_lines, 99, 7),
        shape(frame_301_shape_group_8_shape_7_horizontal_lines, 101, 1),
        shape(frame_301_shape_group_8_shape_8_horizontal_lines, 102, 10),
        shape(frame_301_shape_group_8_shape_9_horizontal_lines, 104, 1),
        shape(frame_301_shape_group_8_shape_10_horizontal_lines, 105, 7),
        shape(frame_301_shape_group_8_shape_11_horizontal_lines, 107, 10),
        shape(frame_301_shape_group_8_shape_12_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(75, 99),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(158, 220),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(27, 52),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(134, 137),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(138, 138),
        horizontal_line(211, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(126, 130),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(94, 130),
        horizontal_line(81, 134),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(120, 140),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(170, 205),
        horizontal_line(173, 210),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(76, 114),
    };

    constexpr const horizontal_line frame_301_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(179, 220),
        horizontal_line(182, 224),
        horizontal_line(31, 47),
    };

    constexpr const shape frame_301_shape_group_9_shapes[] = {
        shape(frame_301_shape_group_9_shape_0_horizontal_lines, 74, 7),
        shape(frame_301_shape_group_9_shape_1_horizontal_lines, 75, 9),
        shape(frame_301_shape_group_9_shape_2_horizontal_lines, 76, 7),
        shape(frame_301_shape_group_9_shape_3_horizontal_lines, 77, 9),
        shape(frame_301_shape_group_9_shape_4_horizontal_lines, 79, 9),
        shape(frame_301_shape_group_9_shape_5_horizontal_lines, 97, 10),
        shape(frame_301_shape_group_9_shape_6_horizontal_lines, 98, 1),
        shape(frame_301_shape_group_9_shape_7_horizontal_lines, 99, 10),
        shape(frame_301_shape_group_9_shape_8_horizontal_lines, 101, 5),
        shape(frame_301_shape_group_9_shape_9_horizontal_lines, 102, 1),
        shape(frame_301_shape_group_9_shape_10_horizontal_lines, 104, 5),
        shape(frame_301_shape_group_9_shape_11_horizontal_lines, 105, 1),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(147, 209),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(147, 209),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(148, 148),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(121, 131),
        horizontal_line(158, 187),
        horizontal_line(161, 191),
        horizontal_line(164, 196),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(105, 144),
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(71, 100),
        horizontal_line(67, 85),
    };

    constexpr const horizontal_line frame_301_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(185, 229),
    };

    constexpr const shape frame_301_shape_group_10_shapes[] = {
        shape(frame_301_shape_group_10_shape_0_horizontal_lines, 75, 9),
        shape(frame_301_shape_group_10_shape_1_horizontal_lines, 77, 9),
        shape(frame_301_shape_group_10_shape_2_horizontal_lines, 79, 9),
        shape(frame_301_shape_group_10_shape_3_horizontal_lines, 95, 7),
        shape(frame_301_shape_group_10_shape_4_horizontal_lines, 97, 1),
        shape(frame_301_shape_group_10_shape_5_horizontal_lines, 102, 5),
        shape(frame_301_shape_group_10_shape_6_horizontal_lines, 105, 5),
        shape(frame_301_shape_group_10_shape_7_horizontal_lines, 107, 1),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(104, 143),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 96),
        horizontal_line(70, 95),
        horizontal_line(70, 94),
        horizontal_line(70, 93),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(79, 88),
        horizontal_line(70, 75),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(155, 174),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(131, 135),
        horizontal_line(131, 134),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(90, 129),
    };

    constexpr const horizontal_line frame_301_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(62, 70),
    };

    constexpr const shape frame_301_shape_group_11_shapes[] = {
        shape(frame_301_shape_group_11_shape_0_horizontal_lines, 75, 7),
        shape(frame_301_shape_group_11_shape_1_horizontal_lines, 77, 9),
        shape(frame_301_shape_group_11_shape_2_horizontal_lines, 79, 9),
        shape(frame_301_shape_group_11_shape_3_horizontal_lines, 80, 8),
        shape(frame_301_shape_group_11_shape_4_horizontal_lines, 94, 9),
        shape(frame_301_shape_group_11_shape_5_horizontal_lines, 95, 10),
        shape(frame_301_shape_group_11_shape_6_horizontal_lines, 97, 1),
        shape(frame_301_shape_group_11_shape_7_horizontal_lines, 98, 5),
        shape(frame_301_shape_group_11_shape_8_horizontal_lines, 103, 5),
        shape(frame_301_shape_group_11_shape_9_horizontal_lines, 107, 5),
    };

    constexpr const horizontal_line frame_301_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(70, 94),
    };

    constexpr const horizontal_line frame_301_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(96, 96),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
    };

    constexpr const horizontal_line frame_301_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(70, 75),
    };

    constexpr const horizontal_line frame_301_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(116, 126),
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_301_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_301_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const shape frame_301_shape_group_12_shapes[] = {
        shape(frame_301_shape_group_12_shape_0_horizontal_lines, 79, 8),
        shape(frame_301_shape_group_12_shape_1_horizontal_lines, 90, 10),
        shape(frame_301_shape_group_12_shape_2_horizontal_lines, 94, 8),
        shape(frame_301_shape_group_12_shape_3_horizontal_lines, 95, 1),
        shape(frame_301_shape_group_12_shape_4_horizontal_lines, 97, 5),
        shape(frame_301_shape_group_12_shape_5_horizontal_lines, 107, 5),
    };

    constexpr const horizontal_line frame_301_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(109, 116),
        horizontal_line(111, 122),
    };

    constexpr const horizontal_line frame_301_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(97, 101),
    };

    constexpr const horizontal_line frame_301_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(70, 78),
    };

    constexpr const horizontal_line frame_301_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(152, 161),
    };

    constexpr const shape frame_301_shape_group_13_shapes[] = {
        shape(frame_301_shape_group_13_shape_0_horizontal_lines, 91, 1),
        shape(frame_301_shape_group_13_shape_1_horizontal_lines, 94, 10),
        shape(frame_301_shape_group_13_shape_2_horizontal_lines, 95, 3),
        shape(frame_301_shape_group_13_shape_3_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_301_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_301_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(114, 124),
    };

    constexpr const horizontal_line frame_301_shape_group_14_shape_2_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(132, 136),
    };

    constexpr const shape frame_301_shape_group_14_shapes[] = {
        shape(frame_301_shape_group_14_shape_0_horizontal_lines, 93, 3),
        shape(frame_301_shape_group_14_shape_1_horizontal_lines, 94, 1),
        shape(frame_301_shape_group_14_shape_2_horizontal_lines, 95, 5),
    };

    constexpr const horizontal_line frame_301_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(76, 96),
    };

    constexpr const shape frame_301_shape_group_15_shapes[] = {
        shape(frame_301_shape_group_15_shape_0_horizontal_lines, 94, 3),
    };

    constexpr const horizontal_line frame_301_shape_group_16_shape_0_horizontal_lines[] = {
        horizontal_line(134, 137),
    };

    constexpr const shape frame_301_shape_group_16_shapes[] = {
        shape(frame_301_shape_group_16_shape_0_horizontal_lines, 94, 5),
    };

    constexpr const shape_group frame_301_shape_groups[] = {
        shape_group(frame_301_shape_group_0_shapes),
        shape_group(frame_301_shape_group_1_shapes),
        shape_group(frame_301_shape_group_2_shapes),
        shape_group(frame_301_shape_group_3_shapes),
        shape_group(frame_301_shape_group_4_shapes),
        shape_group(frame_301_shape_group_5_shapes),
        shape_group(frame_301_shape_group_6_shapes),
        shape_group(frame_301_shape_group_7_shapes),
        shape_group(frame_301_shape_group_8_shapes),
        shape_group(frame_301_shape_group_9_shapes),
        shape_group(frame_301_shape_group_10_shapes),
        shape_group(frame_301_shape_group_11_shapes),
        shape_group(frame_301_shape_group_12_shapes),
        shape_group(frame_301_shape_group_13_shapes),
        shape_group(frame_301_shape_group_14_shapes),
        shape_group(frame_301_shape_group_15_shapes),
        shape_group(frame_301_shape_group_16_shapes),
    };

    constexpr const frame frame_301_impl(frame_301_colors, frame_301_shape_groups);
} 

const frame& frame_301()
{
    return frame_301_impl;
}

namespace
{
    constexpr const bn::color frame_302_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(59, 121),
        horizontal_line(119, 181),
        horizontal_line(0, 0),
        horizontal_line(0, 7),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(26, 88),
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(85, 147),
        horizontal_line(136, 198),
        horizontal_line(187, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(9, 25),
        horizontal_line(11, 23),
        horizontal_line(12, 21),
        horizontal_line(14, 19),
        horizontal_line(15, 17),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(72, 103),
        horizontal_line(71, 133),
        horizontal_line(76, 123),
        horizontal_line(104, 104),
        horizontal_line(99, 103),
        horizontal_line(98, 104),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(104, 107),
        horizontal_line(104, 109),
        horizontal_line(103, 111),
        horizontal_line(104, 113),
        horizontal_line(108, 115),
        horizontal_line(113, 117),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(6, 6),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 98),
        horizontal_line(44, 83),
        horizontal_line(43, 68),
        horizontal_line(41, 53),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_9_horizontal_lines[] = {
        horizontal_line(14, 36),
        horizontal_line(14, 34),
        horizontal_line(15, 31),
        horizontal_line(16, 29),
        horizontal_line(17, 26),
        horizontal_line(18, 24),
        horizontal_line(19, 21),
        horizontal_line(19, 19),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_10_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_302_shape_group_0_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(225, 239),
        horizontal_line(211, 239),
        horizontal_line(197, 239),
        horizontal_line(183, 239),
        horizontal_line(169, 231),
        horizontal_line(155, 217),
        horizontal_line(141, 203),
        horizontal_line(127, 189),
        horizontal_line(113, 175),
        horizontal_line(99, 161),
        horizontal_line(85, 147),
    };

    constexpr const shape frame_302_shape_group_0_shapes[] = {
        shape(frame_302_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_302_shape_group_0_shape_1_horizontal_lines, 31, 13),
        shape(frame_302_shape_group_0_shape_2_horizontal_lines, 36, 11),
        shape(frame_302_shape_group_0_shape_3_horizontal_lines, 75, 8),
        shape(frame_302_shape_group_0_shape_4_horizontal_lines, 82, 13),
        shape(frame_302_shape_group_0_shape_5_horizontal_lines, 90, 15),
        shape(frame_302_shape_group_0_shape_6_horizontal_lines, 98, 11),
        shape(frame_302_shape_group_0_shape_7_horizontal_lines, 110, 9),
        shape(frame_302_shape_group_0_shape_8_horizontal_lines, 119, 10),
        shape(frame_302_shape_group_0_shape_9_horizontal_lines, 120, 7),
        shape(frame_302_shape_group_0_shape_10_horizontal_lines, 128, 10),
        shape(frame_302_shape_group_0_shape_11_horizontal_lines, 148, 11),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(121, 183),
        horizontal_line(181, 239),
        horizontal_line(179, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(17, 79),
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(88, 150),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(94, 156),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(147, 209),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(6, 28),
        horizontal_line(8, 26),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(15, 15),
        horizontal_line(15, 16),
        horizontal_line(15, 18),
        horizontal_line(15, 19),
        horizontal_line(14, 21),
        horizontal_line(14, 22),
        horizontal_line(14, 24),
        horizontal_line(14, 25),
        horizontal_line(14, 27),
        horizontal_line(14, 28),
        horizontal_line(14, 30),
        horizontal_line(13, 31),
        horizontal_line(13, 33),
        horizontal_line(15, 34),
        horizontal_line(17, 36),
        horizontal_line(19, 37),
        horizontal_line(21, 39),
        horizontal_line(23, 40),
        horizontal_line(26, 42),
        horizontal_line(28, 43),
        horizontal_line(30, 45),
        horizontal_line(32, 46),
        horizontal_line(34, 48),
        horizontal_line(36, 49),
        horizontal_line(39, 51),
        horizontal_line(41, 52),
        horizontal_line(43, 54),
        horizontal_line(45, 52),
        horizontal_line(47, 51),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(70, 75),
        horizontal_line(69, 103),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(100, 104),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(126, 134),
        horizontal_line(128, 134),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(69, 120),
        horizontal_line(69, 103),
        horizontal_line(70, 86),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_13_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(7, 45),
        horizontal_line(7, 41),
        horizontal_line(6, 38),
        horizontal_line(6, 34),
        horizontal_line(6, 31),
        horizontal_line(6, 24),
        horizontal_line(6, 18),
        horizontal_line(6, 12),
        horizontal_line(53, 115),
        horizontal_line(114, 158),
        horizontal_line(112, 143),
        horizontal_line(111, 128),
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_14_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_15_horizontal_lines[] = {
        horizontal_line(13, 39),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_16_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_17_horizontal_lines[] = {
        horizontal_line(173, 235),
        horizontal_line(157, 219),
        horizontal_line(141, 203),
        horizontal_line(124, 186),
        horizontal_line(108, 170),
        horizontal_line(92, 154),
        horizontal_line(75, 137),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_18_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(221, 239),
        horizontal_line(204, 239),
        horizontal_line(187, 239),
        horizontal_line(170, 232),
        horizontal_line(153, 215),
        horizontal_line(136, 198),
        horizontal_line(119, 181),
        horizontal_line(102, 164),
        horizontal_line(85, 147),
        horizontal_line(68, 130),
        horizontal_line(51, 113),
        horizontal_line(34, 96),
        horizontal_line(0, 1),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_302_shape_group_1_shape_19_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(217, 239),
        horizontal_line(203, 239),
        horizontal_line(189, 239),
        horizontal_line(175, 237),
        horizontal_line(161, 223),
        horizontal_line(147, 209),
    };

    constexpr const shape frame_302_shape_group_1_shapes[] = {
        shape(frame_302_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_302_shape_group_1_shape_1_horizontal_lines, 9, 15),
        shape(frame_302_shape_group_1_shape_2_horizontal_lines, 10, 8),
        shape(frame_302_shape_group_1_shape_3_horizontal_lines, 29, 13),
        shape(frame_302_shape_group_1_shape_4_horizontal_lines, 31, 11),
        shape(frame_302_shape_group_1_shape_5_horizontal_lines, 46, 14),
        shape(frame_302_shape_group_1_shape_6_horizontal_lines, 75, 11),
        shape(frame_302_shape_group_1_shape_7_horizontal_lines, 76, 8),
        shape(frame_302_shape_group_1_shape_8_horizontal_lines, 77, 15),
        shape(frame_302_shape_group_1_shape_9_horizontal_lines, 80, 13),
        shape(frame_302_shape_group_1_shape_10_horizontal_lines, 82, 11),
        shape(frame_302_shape_group_1_shape_11_horizontal_lines, 95, 15),
        shape(frame_302_shape_group_1_shape_12_horizontal_lines, 98, 11),
        shape(frame_302_shape_group_1_shape_13_horizontal_lines, 101, 9),
        shape(frame_302_shape_group_1_shape_14_horizontal_lines, 115, 10),
        shape(frame_302_shape_group_1_shape_15_horizontal_lines, 119, 1),
        shape(frame_302_shape_group_1_shape_16_horizontal_lines, 120, 10),
        shape(frame_302_shape_group_1_shape_17_horizontal_lines, 128, 3),
        shape(frame_302_shape_group_1_shape_18_horizontal_lines, 135, 10),
        shape(frame_302_shape_group_1_shape_19_horizontal_lines, 153, 11),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(8, 70),
        horizontal_line(78, 140),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(79, 127),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(85, 147),
        horizontal_line(86, 148),
        horizontal_line(150, 212),
        horizontal_line(151, 213),
        horizontal_line(152, 214),
        horizontal_line(153, 215),
        horizontal_line(154, 216),
        horizontal_line(155, 217),
        horizontal_line(156, 218),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(5, 30),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(215, 239),
        horizontal_line(212, 238),
        horizontal_line(209, 234),
        horizontal_line(206, 230),
        horizontal_line(203, 226),
        horizontal_line(200, 223),
        horizontal_line(197, 219),
        horizontal_line(194, 215),
        horizontal_line(190, 211),
        horizontal_line(187, 208),
        horizontal_line(184, 204),
        horizontal_line(181, 200),
        horizontal_line(178, 196),
        horizontal_line(175, 193),
        horizontal_line(172, 189),
        horizontal_line(169, 185),
        horizontal_line(166, 181),
        horizontal_line(163, 178),
        horizontal_line(160, 174),
        horizontal_line(157, 170),
        horizontal_line(154, 166),
        horizontal_line(151, 163),
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(133, 136),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(124, 132),
        horizontal_line(105, 133),
        horizontal_line(96, 97),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(99, 104),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(103, 103),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(50, 68),
        horizontal_line(50, 61),
        horizontal_line(50, 55),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(138, 146),
        horizontal_line(50, 71),
        horizontal_line(51, 72),
        horizontal_line(52, 73),
        horizontal_line(53, 74),
        horizontal_line(53, 69),
        horizontal_line(54, 64),
        horizontal_line(55, 59),
        horizontal_line(55, 117),
        horizontal_line(115, 173),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(10, 45),
        horizontal_line(10, 43),
        horizontal_line(11, 42),
        horizontal_line(12, 40),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(40, 102),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(222, 239),
        horizontal_line(206, 239),
        horizontal_line(190, 239),
        horizontal_line(235, 239),
        horizontal_line(219, 239),
        horizontal_line(203, 239),
        horizontal_line(186, 239),
        horizontal_line(170, 232),
        horizontal_line(154, 216),
        horizontal_line(137, 199),
        horizontal_line(59, 121),
        horizontal_line(43, 105),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_15_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(215, 239),
        horizontal_line(198, 239),
        horizontal_line(181, 239),
        horizontal_line(164, 226),
        horizontal_line(147, 209),
        horizontal_line(130, 192),
        horizontal_line(113, 175),
        horizontal_line(96, 158),
        horizontal_line(17, 79),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_302_shape_group_2_shape_16_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(223, 239),
        horizontal_line(209, 239),
    };

    constexpr const shape frame_302_shape_group_2_shapes[] = {
        shape(frame_302_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_302_shape_group_2_shape_1_horizontal_lines, 6, 15),
        shape(frame_302_shape_group_2_shape_2_horizontal_lines, 10, 8),
        shape(frame_302_shape_group_2_shape_3_horizontal_lines, 28, 13),
        shape(frame_302_shape_group_2_shape_4_horizontal_lines, 29, 11),
        shape(frame_302_shape_group_2_shape_5_horizontal_lines, 46, 14),
        shape(frame_302_shape_group_2_shape_6_horizontal_lines, 76, 8),
        shape(frame_302_shape_group_2_shape_7_horizontal_lines, 77, 13),
        shape(frame_302_shape_group_2_shape_8_horizontal_lines, 81, 11),
        shape(frame_302_shape_group_2_shape_9_horizontal_lines, 98, 14),
        shape(frame_302_shape_group_2_shape_10_horizontal_lines, 101, 9),
        shape(frame_302_shape_group_2_shape_11_horizontal_lines, 111, 10),
        shape(frame_302_shape_group_2_shape_12_horizontal_lines, 115, 1),
        shape(frame_302_shape_group_2_shape_13_horizontal_lines, 119, 5),
        shape(frame_302_shape_group_2_shape_14_horizontal_lines, 124, 3),
        shape(frame_302_shape_group_2_shape_15_horizontal_lines, 139, 10),
        shape(frame_302_shape_group_2_shape_16_horizontal_lines, 157, 11),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 58),
        horizontal_line(62, 118),
        horizontal_line(63, 125),
        horizontal_line(70, 132),
        horizontal_line(140, 202),
        horizontal_line(128, 190),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(142, 204),
        horizontal_line(143, 205),
        horizontal_line(144, 206),
        horizontal_line(145, 207),
        horizontal_line(146, 208),
        horizontal_line(147, 209),
        horizontal_line(148, 210),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(3, 32),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(13, 14),
        horizontal_line(13, 16),
        horizontal_line(13, 18),
        horizontal_line(13, 20),
        horizontal_line(12, 22),
        horizontal_line(12, 25),
        horizontal_line(12, 27),
        horizontal_line(12, 29),
        horizontal_line(12, 31),
        horizontal_line(12, 33),
        horizontal_line(12, 35),
        horizontal_line(11, 38),
        horizontal_line(11, 40),
        horizontal_line(11, 42),
        horizontal_line(11, 44),
        horizontal_line(11, 46),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(104, 124),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(97, 98),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(105, 135),
        horizontal_line(106, 135),
        horizontal_line(110, 135),
        horizontal_line(115, 135),
        horizontal_line(119, 135),
        horizontal_line(124, 135),
        horizontal_line(89, 107),
        horizontal_line(76, 112),
        horizontal_line(69, 116),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(7, 49),
        horizontal_line(7, 49),
        horizontal_line(7, 49),
        horizontal_line(69, 70),
        horizontal_line(147, 147),
        horizontal_line(133, 153),
        horizontal_line(120, 159),
        horizontal_line(107, 165),
        horizontal_line(94, 156),
        horizontal_line(81, 143),
        horizontal_line(68, 130),
        horizontal_line(117, 179),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(6, 51),
        horizontal_line(7, 49),
        horizontal_line(8, 48),
        horizontal_line(9, 46),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(99, 161),
        horizontal_line(84, 146),
        horizontal_line(69, 131),
        horizontal_line(54, 116),
        horizontal_line(102, 164),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(216, 239),
        horizontal_line(199, 239),
        horizontal_line(121, 183),
        horizontal_line(105, 167),
        horizontal_line(89, 151),
        horizontal_line(86, 148),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
    };

    constexpr const horizontal_line frame_302_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(209, 239),
        horizontal_line(192, 239),
        horizontal_line(175, 237),
        horizontal_line(158, 220),
        horizontal_line(79, 141),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 182),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_302_shape_group_3_shapes[] = {
        shape(frame_302_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_302_shape_group_3_shape_1_horizontal_lines, 5, 15),
        shape(frame_302_shape_group_3_shape_2_horizontal_lines, 11, 8),
        shape(frame_302_shape_group_3_shape_3_horizontal_lines, 27, 13),
        shape(frame_302_shape_group_3_shape_4_horizontal_lines, 28, 11),
        shape(frame_302_shape_group_3_shape_5_horizontal_lines, 54, 9),
        shape(frame_302_shape_group_3_shape_6_horizontal_lines, 75, 14),
        shape(frame_302_shape_group_3_shape_7_horizontal_lines, 76, 11),
        shape(frame_302_shape_group_3_shape_8_horizontal_lines, 79, 13),
        shape(frame_302_shape_group_3_shape_9_horizontal_lines, 80, 11),
        shape(frame_302_shape_group_3_shape_10_horizontal_lines, 98, 9),
        shape(frame_302_shape_group_3_shape_11_horizontal_lines, 110, 10),
        shape(frame_302_shape_group_3_shape_12_horizontal_lines, 111, 1),
        shape(frame_302_shape_group_3_shape_13_horizontal_lines, 115, 5),
        shape(frame_302_shape_group_3_shape_14_horizontal_lines, 132, 3),
        shape(frame_302_shape_group_3_shape_15_horizontal_lines, 143, 10),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(125, 178),
        horizontal_line(132, 194),
        horizontal_line(202, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(1, 32),
        horizontal_line(2, 34),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(201, 239),
        horizontal_line(197, 239),
        horizontal_line(194, 239),
        horizontal_line(190, 239),
        horizontal_line(186, 239),
        horizontal_line(182, 239),
        horizontal_line(179, 239),
        horizontal_line(175, 237),
        horizontal_line(171, 233),
        horizontal_line(167, 229),
        horizontal_line(164, 226),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(148, 159),
        horizontal_line(50, 59),
        horizontal_line(50, 69),
        horizontal_line(50, 68),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(106, 135),
        horizontal_line(105, 135),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(50, 68),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(50, 68),
        horizontal_line(50, 68),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(138, 148),
        horizontal_line(62, 68),
        horizontal_line(56, 69),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(147, 165),
        horizontal_line(46, 49),
        horizontal_line(42, 50),
        horizontal_line(39, 51),
        horizontal_line(35, 52),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(156, 171),
        horizontal_line(143, 177),
        horizontal_line(130, 183),
        horizontal_line(179, 188),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(7, 52),
        horizontal_line(206, 239),
        horizontal_line(215, 239),
        horizontal_line(223, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(161, 223),
        horizontal_line(146, 208),
        horizontal_line(131, 193),
        horizontal_line(116, 178),
        horizontal_line(164, 226),
        horizontal_line(161, 223),
        horizontal_line(159, 221),
        horizontal_line(156, 218),
        horizontal_line(154, 216),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(82, 144),
        horizontal_line(83, 145),
        horizontal_line(84, 140),
        horizontal_line(85, 123),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 74),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(183, 238),
        horizontal_line(167, 220),
        horizontal_line(151, 203),
        horizontal_line(148, 186),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 135),
        horizontal_line(77, 118),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 67),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(220, 239),
        horizontal_line(141, 203),
        horizontal_line(186, 224),
        horizontal_line(186, 210),
        horizontal_line(186, 196),
    };

    constexpr const horizontal_line frame_302_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(124, 168),
        horizontal_line(124, 154),
        horizontal_line(124, 140),
        horizontal_line(124, 126),
        horizontal_line(62, 112),
        horizontal_line(62, 98),
        horizontal_line(62, 84),
    };

    constexpr const shape frame_302_shape_group_4_shapes[] = {
        shape(frame_302_shape_group_4_shape_0_horizontal_lines, 7, 15),
        shape(frame_302_shape_group_4_shape_1_horizontal_lines, 11, 8),
        shape(frame_302_shape_group_4_shape_2_horizontal_lines, 18, 13),
        shape(frame_302_shape_group_4_shape_3_horizontal_lines, 27, 11),
        shape(frame_302_shape_group_4_shape_4_horizontal_lines, 59, 9),
        shape(frame_302_shape_group_4_shape_5_horizontal_lines, 75, 14),
        shape(frame_302_shape_group_4_shape_6_horizontal_lines, 79, 11),
        shape(frame_302_shape_group_4_shape_7_horizontal_lines, 82, 14),
        shape(frame_302_shape_group_4_shape_8_horizontal_lines, 95, 11),
        shape(frame_302_shape_group_4_shape_9_horizontal_lines, 96, 14),
        shape(frame_302_shape_group_4_shape_10_horizontal_lines, 98, 9),
        shape(frame_302_shape_group_4_shape_11_horizontal_lines, 101, 7),
        shape(frame_302_shape_group_4_shape_12_horizontal_lines, 106, 9),
        shape(frame_302_shape_group_4_shape_13_horizontal_lines, 110, 1),
        shape(frame_302_shape_group_4_shape_14_horizontal_lines, 115, 5),
        shape(frame_302_shape_group_4_shape_15_horizontal_lines, 135, 3),
        shape(frame_302_shape_group_4_shape_16_horizontal_lines, 146, 10),
        shape(frame_302_shape_group_4_shape_17_horizontal_lines, 153, 10),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(194, 238),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(14, 16),
        horizontal_line(12, 17),
        horizontal_line(10, 18),
        horizontal_line(8, 19),
        horizontal_line(6, 20),
        horizontal_line(4, 21),
        horizontal_line(2, 22),
        horizontal_line(1, 23),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(233, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(11, 49),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(70, 70),
        horizontal_line(134, 137),
        horizontal_line(134, 148),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(125, 135),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(50, 68),
        horizontal_line(50, 68),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
        horizontal_line(50, 68),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(8, 49),
        horizontal_line(7, 49),
        horizontal_line(194, 239),
        horizontal_line(138, 147),
        horizontal_line(137, 147),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(148, 168),
        horizontal_line(154, 171),
        horizontal_line(160, 174),
        horizontal_line(166, 177),
        horizontal_line(32, 52),
        horizontal_line(40, 53),
        horizontal_line(48, 54),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(13, 54),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(159, 205),
        horizontal_line(144, 206),
        horizontal_line(129, 191),
        horizontal_line(114, 176),
        horizontal_line(223, 239),
        horizontal_line(208, 239),
        horizontal_line(193, 239),
        horizontal_line(178, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(216, 239),
        horizontal_line(151, 213),
        horizontal_line(149, 211),
        horizontal_line(146, 205),
        horizontal_line(144, 189),
        horizontal_line(144, 172),
        horizontal_line(145, 156),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(85, 107),
        horizontal_line(86, 91),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(26, 58),
        horizontal_line(27, 42),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(146, 169),
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(75, 101),
        horizontal_line(73, 84),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(6, 50),
        horizontal_line(4, 33),
    };

    constexpr const horizontal_line frame_302_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(203, 238),
    };

    constexpr const shape frame_302_shape_group_5_shapes[] = {
        shape(frame_302_shape_group_5_shape_0_horizontal_lines, 8, 15),
        shape(frame_302_shape_group_5_shape_1_horizontal_lines, 10, 13),
        shape(frame_302_shape_group_5_shape_2_horizontal_lines, 25, 11),
        shape(frame_302_shape_group_5_shape_3_horizontal_lines, 71, 9),
        shape(frame_302_shape_group_5_shape_4_horizontal_lines, 76, 14),
        shape(frame_302_shape_group_5_shape_5_horizontal_lines, 79, 11),
        shape(frame_302_shape_group_5_shape_6_horizontal_lines, 80, 14),
        shape(frame_302_shape_group_5_shape_7_horizontal_lines, 96, 9),
        shape(frame_302_shape_group_5_shape_8_horizontal_lines, 101, 7),
        shape(frame_302_shape_group_5_shape_9_horizontal_lines, 109, 1),
        shape(frame_302_shape_group_5_shape_10_horizontal_lines, 111, 5),
        shape(frame_302_shape_group_5_shape_11_horizontal_lines, 132, 5),
        shape(frame_302_shape_group_5_shape_12_horizontal_lines, 135, 5),
        shape(frame_302_shape_group_5_shape_13_horizontal_lines, 139, 3),
        shape(frame_302_shape_group_5_shape_14_horizontal_lines, 143, 3),
        shape(frame_302_shape_group_5_shape_15_horizontal_lines, 146, 3),
        shape(frame_302_shape_group_5_shape_16_horizontal_lines, 148, 10),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(64, 84),
        horizontal_line(73, 115),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(160, 222),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(147, 155),
        horizontal_line(148, 151),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(10, 49),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(50, 68),
        horizontal_line(140, 148),
        horizontal_line(140, 148),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(10, 49),
        horizontal_line(10, 49),
        horizontal_line(9, 49),
        horizontal_line(9, 49),
        horizontal_line(9, 49),
        horizontal_line(9, 49),
        horizontal_line(9, 49),
        horizontal_line(9, 49),
        horizontal_line(8, 49),
        horizontal_line(8, 49),
        horizontal_line(8, 49),
        horizontal_line(8, 49),
        horizontal_line(8, 49),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(141, 148),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(139, 149),
        horizontal_line(139, 148),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(149, 156),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(148, 162),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(71, 133),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(214, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(172, 180),
        horizontal_line(178, 183),
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(174, 197),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(206, 214),
        horizontal_line(191, 222),
        horizontal_line(176, 230),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(213, 238),
        horizontal_line(211, 221),
    };

    constexpr const horizontal_line frame_302_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(2, 16),
    };

    constexpr const shape frame_302_shape_group_6_shapes[] = {
        shape(frame_302_shape_group_6_shape_0_horizontal_lines, 73, 7),
        shape(frame_302_shape_group_6_shape_1_horizontal_lines, 75, 9),
        shape(frame_302_shape_group_6_shape_2_horizontal_lines, 76, 14),
        shape(frame_302_shape_group_6_shape_3_horizontal_lines, 78, 9),
        shape(frame_302_shape_group_6_shape_4_horizontal_lines, 79, 14),
        shape(frame_302_shape_group_6_shape_5_horizontal_lines, 82, 9),
        shape(frame_302_shape_group_6_shape_6_horizontal_lines, 95, 14),
        shape(frame_302_shape_group_6_shape_7_horizontal_lines, 96, 9),
        shape(frame_302_shape_group_6_shape_8_horizontal_lines, 98, 7),
        shape(frame_302_shape_group_6_shape_9_horizontal_lines, 99, 9),
        shape(frame_302_shape_group_6_shape_10_horizontal_lines, 100, 7),
        shape(frame_302_shape_group_6_shape_11_horizontal_lines, 101, 10),
        shape(frame_302_shape_group_6_shape_12_horizontal_lines, 102, 7),
        shape(frame_302_shape_group_6_shape_13_horizontal_lines, 109, 1),
        shape(frame_302_shape_group_6_shape_14_horizontal_lines, 110, 5),
        shape(frame_302_shape_group_6_shape_15_horizontal_lines, 112, 5),
        shape(frame_302_shape_group_6_shape_16_horizontal_lines, 124, 5),
        shape(frame_302_shape_group_6_shape_17_horizontal_lines, 148, 3),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(11, 49),
        horizontal_line(10, 49),
        horizontal_line(149, 211),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(140, 148),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(10, 49),
        horizontal_line(10, 49),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(8, 49),
        horizontal_line(151, 213),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(148, 159),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(133, 136),
        horizontal_line(72, 120),
        horizontal_line(73, 104),
        horizontal_line(74, 88),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(178, 222),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(189, 189),
    };

    constexpr const shape frame_302_shape_group_7_shapes[] = {
        shape(frame_302_shape_group_7_shape_0_horizontal_lines, 75, 9),
        shape(frame_302_shape_group_7_shape_1_horizontal_lines, 79, 14),
        shape(frame_302_shape_group_7_shape_2_horizontal_lines, 80, 9),
        shape(frame_302_shape_group_7_shape_3_horizontal_lines, 98, 10),
        shape(frame_302_shape_group_7_shape_4_horizontal_lines, 99, 7),
        shape(frame_302_shape_group_7_shape_5_horizontal_lines, 101, 10),
        shape(frame_302_shape_group_7_shape_6_horizontal_lines, 105, 1),
        shape(frame_302_shape_group_7_shape_7_horizontal_lines, 106, 7),
        shape(frame_302_shape_group_7_shape_8_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(104, 146),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(152, 214),
        horizontal_line(211, 239),
        horizontal_line(10, 49),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(140, 140),
        horizontal_line(213, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(122, 132),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(198, 216),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(87, 131),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(166, 205),
        horizontal_line(169, 209),
        horizontal_line(172, 213),
        horizontal_line(175, 218),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(75, 106),
    };

    constexpr const horizontal_line frame_302_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(181, 226),
        horizontal_line(25, 39),
        horizontal_line(19, 47),
    };

    constexpr const shape frame_302_shape_group_8_shapes[] = {
        shape(frame_302_shape_group_8_shape_0_horizontal_lines, 75, 7),
        shape(frame_302_shape_group_8_shape_1_horizontal_lines, 76, 9),
        shape(frame_302_shape_group_8_shape_2_horizontal_lines, 98, 1),
        shape(frame_302_shape_group_8_shape_3_horizontal_lines, 99, 7),
        shape(frame_302_shape_group_8_shape_4_horizontal_lines, 100, 10),
        shape(frame_302_shape_group_8_shape_5_horizontal_lines, 101, 1),
        shape(frame_302_shape_group_8_shape_6_horizontal_lines, 105, 5),
        shape(frame_302_shape_group_8_shape_7_horizontal_lines, 106, 1),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(136, 139),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(149, 211),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(157, 193),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(104, 126),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(163, 201),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(121, 146),
        horizontal_line(105, 132),
        horizontal_line(89, 119),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(70, 93),
    };

    constexpr const horizontal_line frame_302_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(184, 230),
        horizontal_line(187, 234),
    };

    constexpr const shape frame_302_shape_group_9_shapes[] = {
        shape(frame_302_shape_group_9_shape_0_horizontal_lines, 76, 9),
        shape(frame_302_shape_group_9_shape_1_horizontal_lines, 79, 9),
        shape(frame_302_shape_group_9_shape_2_horizontal_lines, 96, 7),
        shape(frame_302_shape_group_9_shape_3_horizontal_lines, 98, 1),
        shape(frame_302_shape_group_9_shape_4_horizontal_lines, 99, 10),
        shape(frame_302_shape_group_9_shape_5_horizontal_lines, 100, 1),
        shape(frame_302_shape_group_9_shape_6_horizontal_lines, 101, 5),
        shape(frame_302_shape_group_9_shape_7_horizontal_lines, 106, 5),
        shape(frame_302_shape_group_9_shape_8_horizontal_lines, 107, 1),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(149, 211),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 95),
        horizontal_line(69, 94),
        horizontal_line(69, 93),
        horizontal_line(69, 75),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(69, 75),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(120, 130),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(133, 137),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_302_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(65, 80),
        horizontal_line(60, 67),
    };

    constexpr const shape frame_302_shape_group_10_shapes[] = {
        shape(frame_302_shape_group_10_shape_0_horizontal_lines, 76, 7),
        shape(frame_302_shape_group_10_shape_1_horizontal_lines, 79, 9),
        shape(frame_302_shape_group_10_shape_2_horizontal_lines, 82, 2),
        shape(frame_302_shape_group_10_shape_3_horizontal_lines, 95, 9),
        shape(frame_302_shape_group_10_shape_4_horizontal_lines, 96, 10),
        shape(frame_302_shape_group_10_shape_5_horizontal_lines, 97, 1),
        shape(frame_302_shape_group_10_shape_6_horizontal_lines, 98, 5),
        shape(frame_302_shape_group_10_shape_7_horizontal_lines, 99, 1),
        shape(frame_302_shape_group_10_shape_8_horizontal_lines, 100, 5),
        shape(frame_302_shape_group_10_shape_9_horizontal_lines, 107, 5),
    };

    constexpr const horizontal_line frame_302_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_302_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(69, 96),
        horizontal_line(69, 96),
    };

    constexpr const horizontal_line frame_302_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(96, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 96),
        horizontal_line(97, 102),
        horizontal_line(78, 88),
    };

    constexpr const horizontal_line frame_302_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(118, 127),
        horizontal_line(154, 171),
    };

    constexpr const horizontal_line frame_302_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(160, 197),
    };

    constexpr const shape frame_302_shape_group_11_shapes[] = {
        shape(frame_302_shape_group_11_shape_0_horizontal_lines, 79, 9),
        shape(frame_302_shape_group_11_shape_1_horizontal_lines, 80, 2),
        shape(frame_302_shape_group_11_shape_2_horizontal_lines, 90, 10),
        shape(frame_302_shape_group_11_shape_3_horizontal_lines, 96, 1),
        shape(frame_302_shape_group_11_shape_4_horizontal_lines, 99, 1),
    };

    constexpr const horizontal_line frame_302_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(69, 95),
    };

    constexpr const horizontal_line frame_302_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(110, 114),
        horizontal_line(112, 118),
        horizontal_line(114, 123),
        horizontal_line(116, 125),
    };

    constexpr const horizontal_line frame_302_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(135, 138),
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_302_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(132, 137),
    };

    constexpr const shape frame_302_shape_group_12_shapes[] = {
        shape(frame_302_shape_group_12_shape_0_horizontal_lines, 79, 2),
        shape(frame_302_shape_group_12_shape_1_horizontal_lines, 91, 1),
        shape(frame_302_shape_group_12_shape_2_horizontal_lines, 96, 5),
        shape(frame_302_shape_group_12_shape_3_horizontal_lines, 99, 5),
    };

    constexpr const horizontal_line frame_302_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(94, 94),
        horizontal_line(76, 96),
        horizontal_line(69, 77),
    };

    constexpr const shape frame_302_shape_group_13_shapes[] = {
        shape(frame_302_shape_group_13_shape_0_horizontal_lines, 93, 3),
    };

    constexpr const horizontal_line frame_302_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(136, 139),
    };

    constexpr const shape frame_302_shape_group_14_shapes[] = {
        shape(frame_302_shape_group_14_shape_0_horizontal_lines, 95, 5),
    };

    constexpr const shape_group frame_302_shape_groups[] = {
        shape_group(frame_302_shape_group_0_shapes),
        shape_group(frame_302_shape_group_1_shapes),
        shape_group(frame_302_shape_group_2_shapes),
        shape_group(frame_302_shape_group_3_shapes),
        shape_group(frame_302_shape_group_4_shapes),
        shape_group(frame_302_shape_group_5_shapes),
        shape_group(frame_302_shape_group_6_shapes),
        shape_group(frame_302_shape_group_7_shapes),
        shape_group(frame_302_shape_group_8_shapes),
        shape_group(frame_302_shape_group_9_shapes),
        shape_group(frame_302_shape_group_10_shapes),
        shape_group(frame_302_shape_group_11_shapes),
        shape_group(frame_302_shape_group_12_shapes),
        shape_group(frame_302_shape_group_13_shapes),
        shape_group(frame_302_shape_group_14_shapes),
    };

    constexpr const frame frame_302_impl(frame_302_colors, frame_302_shape_groups);
} 

const frame& frame_302()
{
    return frame_302_impl;
}

namespace
{
    constexpr const bn::color frame_303_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(2, 26),
        horizontal_line(4, 27),
        horizontal_line(6, 29),
        horizontal_line(8, 30),
        horizontal_line(11, 32),
        horizontal_line(13, 34),
        horizontal_line(15, 35),
        horizontal_line(17, 37),
        horizontal_line(20, 39),
        horizontal_line(22, 40),
        horizontal_line(24, 42),
        horizontal_line(26, 43),
        horizontal_line(29, 45),
        horizontal_line(31, 47),
        horizontal_line(33, 48),
        horizontal_line(35, 50),
        horizontal_line(38, 52),
        horizontal_line(40, 50),
        horizontal_line(42, 49),
        horizontal_line(44, 48),
        horizontal_line(47, 47),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(70, 91),
        horizontal_line(68, 112),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(125, 133),
        horizontal_line(106, 134),
        horizontal_line(97, 97),
        horizontal_line(98, 98),
        horizontal_line(101, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(100, 104),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 60),
        horizontal_line(46, 55),
        horizontal_line(46, 50),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 41),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 23),
        horizontal_line(0, 15),
        horizontal_line(0, 7),
        horizontal_line(0, 0),
        horizontal_line(49, 111),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(44, 106),
        horizontal_line(43, 105),
        horizontal_line(41, 100),
        horizontal_line(40, 86),
        horizontal_line(38, 73),
        horizontal_line(37, 59),
        horizontal_line(35, 46),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 22),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(207, 239),
        horizontal_line(191, 239),
        horizontal_line(176, 238),
        horizontal_line(160, 222),
        horizontal_line(144, 206),
        horizontal_line(128, 190),
        horizontal_line(113, 175),
        horizontal_line(97, 159),
        horizontal_line(81, 143),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_9_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_303_shape_group_0_shape_11_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(223, 239),
        horizontal_line(208, 239),
        horizontal_line(192, 239),
        horizontal_line(177, 239),
        horizontal_line(162, 224),
    };

    constexpr const shape frame_303_shape_group_0_shapes[] = {
        shape(frame_303_shape_group_0_shape_0_horizontal_lines, 0, 13),
        shape(frame_303_shape_group_0_shape_1_horizontal_lines, 38, 14),
        shape(frame_303_shape_group_0_shape_2_horizontal_lines, 75, 8),
        shape(frame_303_shape_group_0_shape_3_horizontal_lines, 77, 13),
        shape(frame_303_shape_group_0_shape_4_horizontal_lines, 91, 14),
        shape(frame_303_shape_group_0_shape_5_horizontal_lines, 102, 9),
        shape(frame_303_shape_group_0_shape_6_horizontal_lines, 122, 1),
        shape(frame_303_shape_group_0_shape_7_horizontal_lines, 123, 7),
        shape(frame_303_shape_group_0_shape_8_horizontal_lines, 135, 3),
        shape(frame_303_shape_group_0_shape_9_horizontal_lines, 145, 10),
        shape(frame_303_shape_group_0_shape_10_horizontal_lines, 150, 3),
        shape(frame_303_shape_group_0_shape_11_horizontal_lines, 154, 10),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 69),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(54, 116),
        horizontal_line(91, 153),
        horizontal_line(128, 190),
        horizontal_line(165, 227),
        horizontal_line(202, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(215, 238),
        horizontal_line(212, 234),
        horizontal_line(208, 230),
        horizontal_line(205, 227),
        horizontal_line(202, 223),
        horizontal_line(199, 219),
        horizontal_line(196, 216),
        horizontal_line(193, 212),
        horizontal_line(190, 209),
        horizontal_line(187, 205),
        horizontal_line(184, 201),
        horizontal_line(181, 198),
        horizontal_line(177, 194),
        horizontal_line(174, 190),
        horizontal_line(171, 187),
        horizontal_line(168, 183),
        horizontal_line(165, 180),
        horizontal_line(162, 176),
        horizontal_line(159, 172),
        horizontal_line(156, 169),
        horizontal_line(70, 71),
        horizontal_line(47, 56),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(140, 144),
        horizontal_line(76, 124),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(105, 126),
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(46, 65),
        horizontal_line(46, 65),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(143, 151),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(145, 148),
        horizontal_line(46, 69),
        horizontal_line(47, 70),
        horizontal_line(48, 71),
        horizontal_line(49, 72),
        horizontal_line(50, 67),
        horizontal_line(51, 62),
        horizontal_line(52, 57),
        horizontal_line(52, 114),
        horizontal_line(50, 112),
        horizontal_line(111, 167),
        horizontal_line(109, 153),
        horizontal_line(108, 140),
        horizontal_line(106, 126),
        horizontal_line(105, 113),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(34, 96),
        horizontal_line(31, 93),
        horizontal_line(28, 90),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(222, 239),
        horizontal_line(206, 239),
        horizontal_line(190, 239),
        horizontal_line(175, 237),
        horizontal_line(159, 221),
        horizontal_line(143, 205),
        horizontal_line(65, 127),
        horizontal_line(50, 112),
        horizontal_line(34, 96),
        horizontal_line(18, 80),
        horizontal_line(3, 65),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_303_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_303_shape_group_1_shapes[] = {
        shape(frame_303_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_303_shape_group_1_shape_1_horizontal_lines, 47, 14),
        shape(frame_303_shape_group_1_shape_2_horizontal_lines, 76, 8),
        shape(frame_303_shape_group_1_shape_3_horizontal_lines, 79, 13),
        shape(frame_303_shape_group_1_shape_4_horizontal_lines, 81, 8),
        shape(frame_303_shape_group_1_shape_5_horizontal_lines, 82, 14),
        shape(frame_303_shape_group_1_shape_6_horizontal_lines, 97, 9),
        shape(frame_303_shape_group_1_shape_7_horizontal_lines, 117, 1),
        shape(frame_303_shape_group_1_shape_8_horizontal_lines, 122, 5),
        shape(frame_303_shape_group_1_shape_9_horizontal_lines, 134, 3),
        shape(frame_303_shape_group_1_shape_10_horizontal_lines, 135, 5),
        shape(frame_303_shape_group_1_shape_11_horizontal_lines, 138, 3),
        shape(frame_303_shape_group_1_shape_12_horizontal_lines, 158, 10),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 130),
        horizontal_line(69, 131),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(72, 134),
        horizontal_line(73, 135),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(116, 178),
        horizontal_line(153, 215),
        horizontal_line(190, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(153, 165),
        horizontal_line(68, 69),
        horizontal_line(47, 67),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(99, 104),
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(47, 65),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(141, 151),
        horizontal_line(140, 150),
        horizontal_line(61, 65),
        horizontal_line(56, 66),
        horizontal_line(51, 67),
        horizontal_line(62, 68),
        horizontal_line(149, 149),
        horizontal_line(135, 155),
        horizontal_line(121, 162),
        horizontal_line(107, 168),
        horizontal_line(93, 155),
        horizontal_line(79, 141),
        horizontal_line(65, 127),
        horizontal_line(114, 176),
        horizontal_line(112, 174),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(101, 163),
        horizontal_line(87, 149),
        horizontal_line(74, 136),
        horizontal_line(60, 122),
        horizontal_line(47, 109),
        horizontal_line(96, 158),
        horizontal_line(93, 155),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(85, 147),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(2, 64),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_303_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(221, 239),
        horizontal_line(205, 239),
        horizontal_line(127, 189),
        horizontal_line(112, 174),
        horizontal_line(96, 158),
        horizontal_line(80, 142),
        horizontal_line(65, 127),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_303_shape_group_2_shapes[] = {
        shape(frame_303_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_303_shape_group_2_shape_1_horizontal_lines, 54, 9),
        shape(frame_303_shape_group_2_shape_2_horizontal_lines, 74, 14),
        shape(frame_303_shape_group_2_shape_3_horizontal_lines, 79, 8),
        shape(frame_303_shape_group_2_shape_4_horizontal_lines, 81, 14),
        shape(frame_303_shape_group_2_shape_5_horizontal_lines, 91, 9),
        shape(frame_303_shape_group_2_shape_6_horizontal_lines, 112, 1),
        shape(frame_303_shape_group_2_shape_7_horizontal_lines, 117, 5),
        shape(frame_303_shape_group_2_shape_8_horizontal_lines, 142, 3),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(128, 190),
        horizontal_line(129, 191),
        horizontal_line(130, 192),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(133, 195),
        horizontal_line(134, 196),
        horizontal_line(135, 197),
        horizontal_line(136, 198),
        horizontal_line(137, 199),
        horizontal_line(138, 200),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(178, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(195, 239),
        horizontal_line(191, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 239),
        horizontal_line(181, 239),
        horizontal_line(177, 239),
        horizontal_line(173, 235),
        horizontal_line(170, 232),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(150, 161),
        horizontal_line(150, 158),
        horizontal_line(135, 139),
        horizontal_line(135, 151),
        horizontal_line(47, 65),
        horizontal_line(47, 65),
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(139, 141),
        horizontal_line(142, 142),
        horizontal_line(153, 215),
        horizontal_line(169, 231),
        horizontal_line(140, 150),
        horizontal_line(139, 149),
        horizontal_line(139, 149),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(149, 168),
        horizontal_line(42, 45),
        horizontal_line(38, 46),
        horizontal_line(35, 47),
        horizontal_line(31, 48),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(155, 175),
        horizontal_line(141, 181),
        horizontal_line(127, 188),
        horizontal_line(176, 194),
        horizontal_line(174, 180),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(214, 239),
        horizontal_line(221, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(163, 225),
        horizontal_line(149, 211),
        horizontal_line(136, 198),
        horizontal_line(122, 184),
        horizontal_line(109, 171),
        horizontal_line(158, 220),
        horizontal_line(155, 217),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(147, 209),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(64, 126),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_303_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(174, 236),
        horizontal_line(158, 220),
        horizontal_line(142, 204),
        horizontal_line(127, 189),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_303_shape_group_3_shapes[] = {
        shape(frame_303_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_303_shape_group_3_shape_1_horizontal_lines, 54, 9),
        shape(frame_303_shape_group_3_shape_2_horizontal_lines, 75, 14),
        shape(frame_303_shape_group_3_shape_3_horizontal_lines, 82, 9),
        shape(frame_303_shape_group_3_shape_4_horizontal_lines, 102, 7),
        shape(frame_303_shape_group_3_shape_5_horizontal_lines, 107, 9),
        shape(frame_303_shape_group_3_shape_6_horizontal_lines, 112, 1),
        shape(frame_303_shape_group_3_shape_7_horizontal_lines, 117, 5),
        shape(frame_303_shape_group_3_shape_8_horizontal_lines, 145, 3),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(166, 228),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(151, 154),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(215, 239),
        horizontal_line(231, 239),
        horizontal_line(185, 239),
        horizontal_line(201, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(150, 171),
        horizontal_line(156, 175),
        horizontal_line(163, 178),
        horizontal_line(169, 181),
        horizontal_line(27, 49),
        horizontal_line(24, 50),
        horizontal_line(38, 51),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(8, 51),
        horizontal_line(1, 49),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(168, 207),
        horizontal_line(154, 213),
        horizontal_line(141, 203),
        horizontal_line(127, 189),
        horizontal_line(114, 176),
        horizontal_line(225, 239),
        horizontal_line(211, 239),
        horizontal_line(198, 239),
        horizontal_line(184, 239),
        horizontal_line(171, 233),
        horizontal_line(220, 239),
        horizontal_line(217, 239),
        horizontal_line(214, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 239),
        horizontal_line(206, 239),
        horizontal_line(204, 239),
        horizontal_line(201, 239),
        horizontal_line(199, 239),
        horizontal_line(196, 239),
        horizontal_line(193, 239),
        horizontal_line(191, 239),
        horizontal_line(126, 188),
        horizontal_line(186, 222),
        horizontal_line(186, 206),
        horizontal_line(186, 190),
        horizontal_line(124, 175),
        horizontal_line(124, 159),
        horizontal_line(124, 143),
        horizontal_line(124, 127),
        horizontal_line(62, 112),
        horizontal_line(62, 96),
        horizontal_line(62, 80),
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(220, 239),
        horizontal_line(204, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 222),
        horizontal_line(186, 207),
        horizontal_line(186, 191),
        horizontal_line(124, 176),
        horizontal_line(124, 161),
    };

    constexpr const shape frame_303_shape_group_4_shapes[] = {
        shape(frame_303_shape_group_4_shape_0_horizontal_lines, 0, 8),
        shape(frame_303_shape_group_4_shape_1_horizontal_lines, 71, 9),
        shape(frame_303_shape_group_4_shape_2_horizontal_lines, 77, 14),
        shape(frame_303_shape_group_4_shape_3_horizontal_lines, 78, 9),
        shape(frame_303_shape_group_4_shape_4_horizontal_lines, 79, 14),
        shape(frame_303_shape_group_4_shape_5_horizontal_lines, 81, 9),
        shape(frame_303_shape_group_4_shape_6_horizontal_lines, 102, 7),
        shape(frame_303_shape_group_4_shape_7_horizontal_lines, 110, 1),
        shape(frame_303_shape_group_4_shape_8_horizontal_lines, 112, 5),
        shape(frame_303_shape_group_4_shape_9_horizontal_lines, 146, 3),
        shape(frame_303_shape_group_4_shape_10_horizontal_lines, 154, 3),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(59, 70),
        horizontal_line(65, 89),
        horizontal_line(72, 109),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(162, 224),
        horizontal_line(159, 221),
        horizontal_line(0, 46),
        horizontal_line(152, 214),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(137, 141),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(151, 155),
        horizontal_line(151, 158),
        horizontal_line(150, 161),
        horizontal_line(150, 165),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(69, 131),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(220, 239),
        horizontal_line(225, 239),
        horizontal_line(230, 239),
        horizontal_line(176, 185),
        horizontal_line(182, 188),
        horizontal_line(189, 191),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(203, 220),
        horizontal_line(189, 226),
        horizontal_line(176, 232),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(188, 238),
    };

    constexpr const horizontal_line frame_303_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(1, 49),
        horizontal_line(2, 33),
        horizontal_line(3, 17),
    };

    constexpr const shape frame_303_shape_group_5_shapes[] = {
        shape(frame_303_shape_group_5_shape_0_horizontal_lines, 71, 7),
        shape(frame_303_shape_group_5_shape_1_horizontal_lines, 74, 9),
        shape(frame_303_shape_group_5_shape_2_horizontal_lines, 97, 7),
        shape(frame_303_shape_group_5_shape_3_horizontal_lines, 102, 10),
        shape(frame_303_shape_group_5_shape_4_horizontal_lines, 103, 7),
        shape(frame_303_shape_group_5_shape_5_horizontal_lines, 110, 1),
        shape(frame_303_shape_group_5_shape_6_horizontal_lines, 114, 5),
        shape(frame_303_shape_group_5_shape_7_horizontal_lines, 121, 5),
        shape(frame_303_shape_group_5_shape_8_horizontal_lines, 134, 5),
        shape(frame_303_shape_group_5_shape_9_horizontal_lines, 145, 5),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(93, 128),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(66, 66),
        horizontal_line(214, 239),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(152, 214),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(104, 107),
        horizontal_line(103, 109),
        horizontal_line(104, 112),
        horizontal_line(108, 114),
        horizontal_line(113, 117),
        horizontal_line(118, 119),
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(66, 107),
        horizontal_line(67, 93),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(205, 219),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(139, 144),
        horizontal_line(70, 120),
        horizontal_line(71, 104),
        horizontal_line(72, 87),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(182, 229),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(16, 37),
    };

    constexpr const horizontal_line frame_303_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(195, 195),
        horizontal_line(181, 201),
    };

    constexpr const shape frame_303_shape_group_6_shapes[] = {
        shape(frame_303_shape_group_6_shape_0_horizontal_lines, 74, 7),
        shape(frame_303_shape_group_6_shape_1_horizontal_lines, 75, 9),
        shape(frame_303_shape_group_6_shape_2_horizontal_lines, 91, 15),
        shape(frame_303_shape_group_6_shape_3_horizontal_lines, 99, 11),
        shape(frame_303_shape_group_6_shape_4_horizontal_lines, 101, 7),
        shape(frame_303_shape_group_6_shape_5_horizontal_lines, 102, 10),
        shape(frame_303_shape_group_6_shape_6_horizontal_lines, 106, 1),
        shape(frame_303_shape_group_6_shape_7_horizontal_lines, 107, 7),
        shape(frame_303_shape_group_6_shape_8_horizontal_lines, 108, 1),
        shape(frame_303_shape_group_6_shape_9_horizontal_lines, 110, 5),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(116, 148),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(66, 104),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 96),
        horizontal_line(66, 95),
        horizontal_line(66, 95),
        horizontal_line(66, 94),
        horizontal_line(66, 94),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(127, 131),
        horizontal_line(130, 136),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(66, 121),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(108, 127),
        horizontal_line(94, 133),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(68, 79),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(172, 214),
        horizontal_line(176, 219),
        horizontal_line(179, 224),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(73, 106),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(186, 234),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(63, 78),
    };

    constexpr const horizontal_line frame_303_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(192, 239),
    };

    constexpr const shape frame_303_shape_group_7_shapes[] = {
        shape(frame_303_shape_group_7_shape_0_horizontal_lines, 75, 7),
        shape(frame_303_shape_group_7_shape_1_horizontal_lines, 77, 9),
        shape(frame_303_shape_group_7_shape_2_horizontal_lines, 78, 15),
        shape(frame_303_shape_group_7_shape_3_horizontal_lines, 79, 9),
        shape(frame_303_shape_group_7_shape_4_horizontal_lines, 82, 2),
        shape(frame_303_shape_group_7_shape_5_horizontal_lines, 95, 15),
        shape(frame_303_shape_group_7_shape_6_horizontal_lines, 98, 11),
        shape(frame_303_shape_group_7_shape_7_horizontal_lines, 99, 10),
        shape(frame_303_shape_group_7_shape_8_horizontal_lines, 101, 11),
        shape(frame_303_shape_group_7_shape_9_horizontal_lines, 102, 10),
        shape(frame_303_shape_group_7_shape_10_horizontal_lines, 103, 1),
        shape(frame_303_shape_group_7_shape_11_horizontal_lines, 106, 5),
        shape(frame_303_shape_group_7_shape_12_horizontal_lines, 107, 1),
        shape(frame_303_shape_group_7_shape_13_horizontal_lines, 108, 5),
        shape(frame_303_shape_group_7_shape_14_horizontal_lines, 109, 1),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(66, 96),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(99, 99),
        horizontal_line(98, 104),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(103, 103),
        horizontal_line(89, 107),
        horizontal_line(75, 112),
        horizontal_line(66, 117),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(128, 134),
        horizontal_line(162, 200),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(80, 138),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(169, 209),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(121, 148),
        horizontal_line(105, 134),
        horizontal_line(88, 120),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(68, 92),
    };

    constexpr const horizontal_line frame_303_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(58, 64),
    };

    constexpr const shape frame_303_shape_group_8_shapes[] = {
        shape(frame_303_shape_group_8_shape_0_horizontal_lines, 77, 9),
        shape(frame_303_shape_group_8_shape_1_horizontal_lines, 79, 9),
        shape(frame_303_shape_group_8_shape_2_horizontal_lines, 81, 2),
        shape(frame_303_shape_group_8_shape_3_horizontal_lines, 82, 11),
        shape(frame_303_shape_group_8_shape_4_horizontal_lines, 98, 10),
        shape(frame_303_shape_group_8_shape_5_horizontal_lines, 99, 1),
        shape(frame_303_shape_group_8_shape_6_horizontal_lines, 101, 10),
        shape(frame_303_shape_group_8_shape_7_horizontal_lines, 102, 1),
        shape(frame_303_shape_group_8_shape_8_horizontal_lines, 103, 5),
        shape(frame_303_shape_group_8_shape_9_horizontal_lines, 107, 5),
        shape(frame_303_shape_group_8_shape_10_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(67, 75),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(66, 97),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(105, 136),
        horizontal_line(106, 136),
        horizontal_line(112, 136),
        horizontal_line(118, 136),
        horizontal_line(125, 136),
        horizontal_line(132, 137),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(120, 131),
        horizontal_line(123, 134),
        horizontal_line(159, 184),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(166, 204),
    };

    constexpr const horizontal_line frame_303_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const shape frame_303_shape_group_9_shapes[] = {
        shape(frame_303_shape_group_9_shape_0_horizontal_lines, 77, 15),
        shape(frame_303_shape_group_9_shape_1_horizontal_lines, 79, 15),
        shape(frame_303_shape_group_9_shape_2_horizontal_lines, 80, 2),
        shape(frame_303_shape_group_9_shape_3_horizontal_lines, 81, 11),
        shape(frame_303_shape_group_9_shape_4_horizontal_lines, 96, 10),
        shape(frame_303_shape_group_9_shape_5_horizontal_lines, 97, 1),
        shape(frame_303_shape_group_9_shape_6_horizontal_lines, 100, 5),
        shape(frame_303_shape_group_9_shape_7_horizontal_lines, 101, 1),
        shape(frame_303_shape_group_9_shape_8_horizontal_lines, 102, 5),
    };

    constexpr const horizontal_line frame_303_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(66, 96),
    };

    constexpr const horizontal_line frame_303_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(107, 136),
        horizontal_line(105, 136),
    };

    constexpr const horizontal_line frame_303_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(95, 96),
        horizontal_line(97, 102),
        horizontal_line(78, 88),
    };

    constexpr const horizontal_line frame_303_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_303_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_303_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(156, 168),
    };

    constexpr const horizontal_line frame_303_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(135, 139),
    };

    constexpr const shape frame_303_shape_group_10_shapes[] = {
        shape(frame_303_shape_group_10_shape_0_horizontal_lines, 79, 2),
        shape(frame_303_shape_group_10_shape_1_horizontal_lines, 80, 11),
        shape(frame_303_shape_group_10_shape_2_horizontal_lines, 90, 10),
        shape(frame_303_shape_group_10_shape_3_horizontal_lines, 96, 1),
        shape(frame_303_shape_group_10_shape_4_horizontal_lines, 97, 5),
        shape(frame_303_shape_group_10_shape_5_horizontal_lines, 98, 1),
        shape(frame_303_shape_group_10_shape_6_horizontal_lines, 99, 5),
    };

    constexpr const horizontal_line frame_303_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(127, 136),
    };

    constexpr const horizontal_line frame_303_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(108, 111),
        horizontal_line(110, 117),
        horizontal_line(113, 124),
        horizontal_line(115, 126),
    };

    constexpr const horizontal_line frame_303_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(137, 141),
    };

    constexpr const horizontal_line frame_303_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(136, 139),
    };

    constexpr const shape frame_303_shape_group_11_shapes[] = {
        shape(frame_303_shape_group_11_shape_0_horizontal_lines, 79, 11),
        shape(frame_303_shape_group_11_shape_1_horizontal_lines, 92, 1),
        shape(frame_303_shape_group_11_shape_2_horizontal_lines, 96, 5),
        shape(frame_303_shape_group_11_shape_3_horizontal_lines, 98, 5),
    };

    constexpr const horizontal_line frame_303_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(95, 96),
        horizontal_line(66, 77),
    };

    constexpr const shape frame_303_shape_group_12_shapes[] = {
        shape(frame_303_shape_group_12_shape_0_horizontal_lines, 94, 3),
    };

    constexpr const horizontal_line frame_303_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const shape frame_303_shape_group_13_shapes[] = {
        shape(frame_303_shape_group_13_shape_0_horizontal_lines, 95, 5),
    };

    constexpr const shape_group frame_303_shape_groups[] = {
        shape_group(frame_303_shape_group_0_shapes),
        shape_group(frame_303_shape_group_1_shapes),
        shape_group(frame_303_shape_group_2_shapes),
        shape_group(frame_303_shape_group_3_shapes),
        shape_group(frame_303_shape_group_4_shapes),
        shape_group(frame_303_shape_group_5_shapes),
        shape_group(frame_303_shape_group_6_shapes),
        shape_group(frame_303_shape_group_7_shapes),
        shape_group(frame_303_shape_group_8_shapes),
        shape_group(frame_303_shape_group_9_shapes),
        shape_group(frame_303_shape_group_10_shapes),
        shape_group(frame_303_shape_group_11_shapes),
        shape_group(frame_303_shape_group_12_shapes),
        shape_group(frame_303_shape_group_13_shapes),
    };

    constexpr const frame frame_303_impl(frame_303_colors, frame_303_shape_groups);
} 

const frame& frame_303()
{
    return frame_303_impl;
}

namespace
{
    constexpr const bn::color frame_304_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_304_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(2, 25),
        horizontal_line(4, 27),
        horizontal_line(6, 29),
        horizontal_line(8, 30),
        horizontal_line(10, 32),
        horizontal_line(12, 33),
        horizontal_line(15, 35),
        horizontal_line(17, 37),
        horizontal_line(19, 38),
        horizontal_line(21, 40),
        horizontal_line(23, 41),
        horizontal_line(25, 43),
        horizontal_line(27, 45),
        horizontal_line(30, 46),
        horizontal_line(32, 48),
        horizontal_line(34, 50),
        horizontal_line(36, 48),
        horizontal_line(38, 46),
        horizontal_line(40, 44),
        horizontal_line(43, 43),
        horizontal_line(43, 65),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 63),
        horizontal_line(43, 56),
        horizontal_line(43, 49),
    };

    constexpr const horizontal_line frame_304_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 38),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 22),
        horizontal_line(0, 18),
        horizontal_line(0, 14),
        horizontal_line(0, 7),
        horizontal_line(0, 0),
        horizontal_line(47, 109),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(42, 104),
        horizontal_line(40, 102),
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(31, 83),
        horizontal_line(30, 68),
        horizontal_line(28, 53),
        horizontal_line(26, 38),
    };

    constexpr const horizontal_line frame_304_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_304_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_304_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_304_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(224, 239),
        horizontal_line(209, 239),
        horizontal_line(194, 239),
        horizontal_line(179, 239),
        horizontal_line(164, 226),
        horizontal_line(149, 211),
        horizontal_line(134, 196),
    };

    constexpr const shape frame_304_shape_group_0_shapes[] = {
        shape(frame_304_shape_group_0_shape_0_horizontal_lines, 39, 14),
        shape(frame_304_shape_group_0_shape_1_horizontal_lines, 102, 9),
        shape(frame_304_shape_group_0_shape_2_horizontal_lines, 125, 1),
        shape(frame_304_shape_group_0_shape_3_horizontal_lines, 126, 7),
        shape(frame_304_shape_group_0_shape_4_horizontal_lines, 134, 5),
        shape(frame_304_shape_group_0_shape_5_horizontal_lines, 152, 3),
    };

    constexpr const horizontal_line frame_304_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(215, 239),
        horizontal_line(212, 238),
        horizontal_line(208, 234),
        horizontal_line(205, 230),
        horizontal_line(202, 226),
        horizontal_line(199, 223),
        horizontal_line(196, 219),
        horizontal_line(193, 215),
        horizontal_line(190, 212),
        horizontal_line(187, 208),
        horizontal_line(184, 204),
        horizontal_line(180, 201),
        horizontal_line(177, 197),
        horizontal_line(174, 193),
        horizontal_line(171, 189),
        horizontal_line(168, 186),
        horizontal_line(165, 182),
        horizontal_line(162, 178),
        horizontal_line(159, 175),
        horizontal_line(68, 69),
        horizontal_line(66, 67),
        horizontal_line(152, 164),
        horizontal_line(137, 140),
        horizontal_line(137, 141),
        horizontal_line(138, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 153),
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_304_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(142, 152),
        horizontal_line(43, 67),
        horizontal_line(44, 68),
        horizontal_line(45, 69),
        horizontal_line(46, 70),
        horizontal_line(46, 65),
        horizontal_line(47, 61),
        horizontal_line(48, 57),
        horizontal_line(49, 53),
        horizontal_line(49, 111),
        horizontal_line(109, 171),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(104, 166),
        horizontal_line(102, 156),
        horizontal_line(100, 142),
        horizontal_line(99, 127),
        horizontal_line(97, 112),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_304_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_304_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_304_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(211, 239),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_304_shape_group_1_shapes[] = {
        shape(frame_304_shape_group_1_shape_0_horizontal_lines, 47, 14),
        shape(frame_304_shape_group_1_shape_1_horizontal_lines, 98, 9),
        shape(frame_304_shape_group_1_shape_2_horizontal_lines, 121, 1),
        shape(frame_304_shape_group_1_shape_3_horizontal_lines, 125, 5),
        shape(frame_304_shape_group_1_shape_4_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_304_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_304_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(156, 171),
        horizontal_line(153, 167),
    };

    constexpr const horizontal_line frame_304_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_304_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(153, 160),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_304_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(143, 154),
        horizontal_line(142, 153),
        horizontal_line(57, 64),
        horizontal_line(50, 65),
        horizontal_line(62, 66),
        horizontal_line(148, 151),
        horizontal_line(152, 152),
        horizontal_line(137, 157),
        horizontal_line(122, 163),
        horizontal_line(107, 168),
        horizontal_line(93, 155),
        horizontal_line(78, 140),
        horizontal_line(63, 125),
        horizontal_line(111, 173),
        horizontal_line(171, 196),
        horizontal_line(169, 201),
        horizontal_line(167, 186),
        horizontal_line(166, 171),
    };

    constexpr const horizontal_line frame_304_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
    };

    constexpr const horizontal_line frame_304_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(84, 146),
        horizontal_line(69, 131),
        horizontal_line(54, 116),
        horizontal_line(39, 101),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(81, 143),
        horizontal_line(78, 140),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_304_shape_group_2_shapes[] = {
        shape(frame_304_shape_group_2_shape_0_horizontal_lines, 55, 9),
        shape(frame_304_shape_group_2_shape_1_horizontal_lines, 73, 14),
        shape(frame_304_shape_group_2_shape_2_horizontal_lines, 75, 9),
        shape(frame_304_shape_group_2_shape_3_horizontal_lines, 76, 14),
        shape(frame_304_shape_group_2_shape_4_horizontal_lines, 78, 9),
        shape(frame_304_shape_group_2_shape_5_horizontal_lines, 116, 1),
        shape(frame_304_shape_group_2_shape_6_horizontal_lines, 121, 5),
    };

    constexpr const horizontal_line frame_304_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(202, 239),
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(190, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 239),
        horizontal_line(179, 239),
        horizontal_line(176, 238),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(165, 227),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(154, 216),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(141, 142),
        horizontal_line(144, 144),
        horizontal_line(156, 218),
        horizontal_line(169, 231),
        horizontal_line(141, 153),
        horizontal_line(140, 152),
    };

    constexpr const horizontal_line frame_304_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(153, 167),
        horizontal_line(39, 42),
        horizontal_line(35, 43),
        horizontal_line(31, 44),
        horizontal_line(27, 45),
        horizontal_line(23, 45),
    };

    constexpr const horizontal_line frame_304_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(155, 174),
        horizontal_line(140, 179),
        horizontal_line(125, 185),
        horizontal_line(173, 190),
    };

    constexpr const horizontal_line frame_304_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(197, 198),
    };

    constexpr const horizontal_line frame_304_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(128, 190),
        horizontal_line(113, 175),
        horizontal_line(98, 160),
        horizontal_line(146, 208),
        horizontal_line(131, 193),
        horizontal_line(116, 178),
        horizontal_line(101, 163),
        horizontal_line(149, 211),
        horizontal_line(146, 208),
        horizontal_line(143, 205),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(132, 194),
        horizontal_line(129, 191),
        horizontal_line(126, 188),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 178),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_304_shape_group_3_shapes[] = {
        shape(frame_304_shape_group_3_shape_0_horizontal_lines, 55, 9),
        shape(frame_304_shape_group_3_shape_1_horizontal_lines, 102, 7),
        shape(frame_304_shape_group_3_shape_2_horizontal_lines, 108, 9),
        shape(frame_304_shape_group_3_shape_3_horizontal_lines, 112, 7),
        shape(frame_304_shape_group_3_shape_4_horizontal_lines, 113, 1),
        shape(frame_304_shape_group_3_shape_5_horizontal_lines, 118, 5),
    };

    constexpr const horizontal_line frame_304_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(60, 74),
    };

    constexpr const horizontal_line frame_304_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(172, 234),
        horizontal_line(168, 230),
        horizontal_line(227, 239),
        horizontal_line(64, 64),
        horizontal_line(157, 219),
        horizontal_line(216, 239),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(218, 239),
        horizontal_line(231, 239),
        horizontal_line(182, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(152, 170),
        horizontal_line(153, 173),
        horizontal_line(158, 176),
        horizontal_line(164, 180),
        horizontal_line(169, 183),
        horizontal_line(19, 46),
        horizontal_line(15, 47),
        horizontal_line(32, 48),
        horizontal_line(191, 195),
    };

    constexpr const horizontal_line frame_304_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(203, 239),
        horizontal_line(210, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(157, 219),
        horizontal_line(143, 205),
        horizontal_line(190, 239),
        horizontal_line(175, 237),
        horizontal_line(160, 222),
        horizontal_line(208, 239),
        horizontal_line(193, 239),
        horizontal_line(178, 239),
        horizontal_line(163, 225),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
        horizontal_line(205, 239),
        horizontal_line(202, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
        horizontal_line(194, 239),
        horizontal_line(191, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 223),
        horizontal_line(186, 208),
        horizontal_line(186, 193),
    };

    constexpr const horizontal_line frame_304_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(124, 163),
        horizontal_line(124, 148),
        horizontal_line(124, 133),
    };

    constexpr const shape frame_304_shape_group_4_shapes[] = {
        shape(frame_304_shape_group_4_shape_0_horizontal_lines, 71, 7),
        shape(frame_304_shape_group_4_shape_1_horizontal_lines, 72, 9),
        shape(frame_304_shape_group_4_shape_2_horizontal_lines, 102, 7),
        shape(frame_304_shape_group_4_shape_3_horizontal_lines, 112, 1),
        shape(frame_304_shape_group_4_shape_4_horizontal_lines, 116, 5),
        shape(frame_304_shape_group_4_shape_5_horizontal_lines, 152, 5),
        shape(frame_304_shape_group_4_shape_6_horizontal_lines, 157, 5),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(70, 100),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(161, 223),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(154, 158),
        horizontal_line(154, 161),
        horizontal_line(153, 164),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(67, 68),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(218, 239),
        horizontal_line(224, 239),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
        horizontal_line(175, 186),
        horizontal_line(180, 189),
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(1, 48),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(202, 202),
        horizontal_line(187, 209),
        horizontal_line(172, 216),
        horizontal_line(219, 224),
        horizontal_line(205, 231),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const shape frame_304_shape_group_5_shapes[] = {
        shape(frame_304_shape_group_5_shape_0_horizontal_lines, 72, 7),
        shape(frame_304_shape_group_5_shape_1_horizontal_lines, 73, 9),
        shape(frame_304_shape_group_5_shape_2_horizontal_lines, 75, 7),
        shape(frame_304_shape_group_5_shape_3_horizontal_lines, 76, 9),
        shape(frame_304_shape_group_5_shape_4_horizontal_lines, 78, 8),
        shape(frame_304_shape_group_5_shape_5_horizontal_lines, 79, 9),
        shape(frame_304_shape_group_5_shape_6_horizontal_lines, 98, 7),
        shape(frame_304_shape_group_5_shape_7_horizontal_lines, 102, 11),
        shape(frame_304_shape_group_5_shape_8_horizontal_lines, 103, 7),
        shape(frame_304_shape_group_5_shape_9_horizontal_lines, 111, 1),
        shape(frame_304_shape_group_5_shape_10_horizontal_lines, 113, 5),
        shape(frame_304_shape_group_5_shape_11_horizontal_lines, 119, 5),
        shape(frame_304_shape_group_5_shape_12_horizontal_lines, 124, 5),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(93, 125),
        horizontal_line(117, 151),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(66, 112),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(85, 119),
        horizontal_line(105, 105),
        horizontal_line(99, 105),
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(105, 108),
        horizontal_line(105, 110),
        horizontal_line(104, 112),
        horizontal_line(105, 114),
        horizontal_line(109, 116),
        horizontal_line(114, 118),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(64, 122),
        horizontal_line(65, 104),
        horizontal_line(66, 86),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(69, 131),
        horizontal_line(68, 118),
        horizontal_line(69, 102),
        horizontal_line(70, 85),
    };

    constexpr const horizontal_line frame_304_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(181, 228),
        horizontal_line(184, 233),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(8, 31),
        horizontal_line(196, 239),
    };

    constexpr const shape frame_304_shape_group_6_shapes[] = {
        shape(frame_304_shape_group_6_shape_0_horizontal_lines, 73, 7),
        shape(frame_304_shape_group_6_shape_1_horizontal_lines, 75, 8),
        shape(frame_304_shape_group_6_shape_2_horizontal_lines, 76, 9),
        shape(frame_304_shape_group_6_shape_3_horizontal_lines, 77, 8),
        shape(frame_304_shape_group_6_shape_4_horizontal_lines, 81, 13),
        shape(frame_304_shape_group_6_shape_5_horizontal_lines, 91, 15),
        shape(frame_304_shape_group_6_shape_6_horizontal_lines, 99, 11),
        shape(frame_304_shape_group_6_shape_7_horizontal_lines, 102, 10),
        shape(frame_304_shape_group_6_shape_8_horizontal_lines, 106, 1),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(68, 90),
        horizontal_line(142, 147),
        horizontal_line(66, 128),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(64, 84),
        horizontal_line(98, 104),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(98, 99),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 97),
        horizontal_line(64, 96),
        horizontal_line(64, 95),
        horizontal_line(64, 94),
        horizontal_line(64, 94),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(128, 133),
        horizontal_line(130, 139),
        horizontal_line(133, 138),
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(105, 129),
        horizontal_line(87, 135),
        horizontal_line(141, 141),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(174, 217),
        horizontal_line(177, 223),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(71, 121),
        horizontal_line(66, 106),
        horizontal_line(62, 92),
        horizontal_line(58, 77),
    };

    constexpr const horizontal_line frame_304_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const shape frame_304_shape_group_7_shapes[] = {
        shape(frame_304_shape_group_7_shape_0_horizontal_lines, 74, 8),
        shape(frame_304_shape_group_7_shape_1_horizontal_lines, 77, 15),
        shape(frame_304_shape_group_7_shape_2_horizontal_lines, 79, 13),
        shape(frame_304_shape_group_7_shape_3_horizontal_lines, 81, 2),
        shape(frame_304_shape_group_7_shape_4_horizontal_lines, 95, 15),
        shape(frame_304_shape_group_7_shape_5_horizontal_lines, 99, 10),
        shape(frame_304_shape_group_7_shape_6_horizontal_lines, 104, 1),
        shape(frame_304_shape_group_7_shape_7_horizontal_lines, 106, 5),
        shape(frame_304_shape_group_7_shape_8_horizontal_lines, 110, 1),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(128, 133),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(120, 136),
        horizontal_line(106, 137),
        horizontal_line(106, 128),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(99, 99),
        horizontal_line(98, 105),
        horizontal_line(98, 104),
        horizontal_line(98, 104),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(64, 74),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(84, 108),
        horizontal_line(65, 113),
        horizontal_line(64, 118),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(124, 137),
        horizontal_line(130, 136),
        horizontal_line(165, 194),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(171, 212),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(105, 151),
        horizontal_line(87, 136),
    };

    constexpr const horizontal_line frame_304_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(54, 62),
    };

    constexpr const shape frame_304_shape_group_8_shapes[] = {
        shape(frame_304_shape_group_8_shape_0_horizontal_lines, 76, 8),
        shape(frame_304_shape_group_8_shape_1_horizontal_lines, 77, 13),
        shape(frame_304_shape_group_8_shape_2_horizontal_lines, 81, 11),
        shape(frame_304_shape_group_8_shape_3_horizontal_lines, 95, 2),
        shape(frame_304_shape_group_8_shape_4_horizontal_lines, 96, 11),
        shape(frame_304_shape_group_8_shape_5_horizontal_lines, 99, 1),
        shape(frame_304_shape_group_8_shape_6_horizontal_lines, 102, 10),
        shape(frame_304_shape_group_8_shape_7_horizontal_lines, 103, 1),
        shape(frame_304_shape_group_8_shape_8_horizontal_lines, 104, 5),
        shape(frame_304_shape_group_8_shape_9_horizontal_lines, 110, 5),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(64, 96),
        horizontal_line(64, 96),
        horizontal_line(64, 97),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(106, 138),
        horizontal_line(107, 138),
        horizontal_line(113, 138),
        horizontal_line(119, 138),
        horizontal_line(126, 138),
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(64, 83),
        horizontal_line(64, 64),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(121, 134),
        horizontal_line(159, 168),
        horizontal_line(162, 181),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(168, 207),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(122, 146),
    };

    constexpr const horizontal_line frame_304_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(103, 104),
        horizontal_line(86, 86),
    };

    constexpr const shape frame_304_shape_group_9_shapes[] = {
        shape(frame_304_shape_group_9_shape_0_horizontal_lines, 76, 15),
        shape(frame_304_shape_group_9_shape_1_horizontal_lines, 78, 2),
        shape(frame_304_shape_group_9_shape_2_horizontal_lines, 81, 11),
        shape(frame_304_shape_group_9_shape_3_horizontal_lines, 96, 10),
        shape(frame_304_shape_group_9_shape_4_horizontal_lines, 98, 1),
        shape(frame_304_shape_group_9_shape_5_horizontal_lines, 101, 5),
        shape(frame_304_shape_group_9_shape_6_horizontal_lines, 102, 1),
        shape(frame_304_shape_group_9_shape_7_horizontal_lines, 103, 5),
        shape(frame_304_shape_group_9_shape_8_horizontal_lines, 104, 12),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(129, 138),
        horizontal_line(108, 138),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 97),
        horizontal_line(96, 97),
        horizontal_line(95, 97),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(117, 129),
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(138, 142),
        horizontal_line(138, 141),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_304_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(119, 121),
    };

    constexpr const shape frame_304_shape_group_10_shapes[] = {
        shape(frame_304_shape_group_10_shape_0_horizontal_lines, 76, 13),
        shape(frame_304_shape_group_10_shape_1_horizontal_lines, 79, 11),
        shape(frame_304_shape_group_10_shape_2_horizontal_lines, 90, 10),
        shape(frame_304_shape_group_10_shape_3_horizontal_lines, 95, 11),
        shape(frame_304_shape_group_10_shape_4_horizontal_lines, 96, 1),
        shape(frame_304_shape_group_10_shape_5_horizontal_lines, 98, 5),
        shape(frame_304_shape_group_10_shape_6_horizontal_lines, 102, 5),
        shape(frame_304_shape_group_10_shape_7_horizontal_lines, 103, 12),
    };

    constexpr const horizontal_line frame_304_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(109, 112),
        horizontal_line(111, 118),
        horizontal_line(113, 125),
    };

    constexpr const horizontal_line frame_304_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(78, 103),
    };

    constexpr const horizontal_line frame_304_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_304_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(136, 139),
    };

    constexpr const shape frame_304_shape_group_11_shapes[] = {
        shape(frame_304_shape_group_11_shape_0_horizontal_lines, 92, 1),
        shape(frame_304_shape_group_11_shape_1_horizontal_lines, 95, 10),
        shape(frame_304_shape_group_11_shape_2_horizontal_lines, 96, 5),
        shape(frame_304_shape_group_11_shape_3_horizontal_lines, 102, 12),
    };

    constexpr const horizontal_line frame_304_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_304_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(115, 127),
    };

    constexpr const shape frame_304_shape_group_12_shapes[] = {
        shape(frame_304_shape_group_12_shape_0_horizontal_lines, 94, 3),
        shape(frame_304_shape_group_12_shape_1_horizontal_lines, 95, 1),
    };

    constexpr const horizontal_line frame_304_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(75, 77),
    };

    constexpr const shape frame_304_shape_group_13_shapes[] = {
        shape(frame_304_shape_group_13_shape_0_horizontal_lines, 95, 3),
    };

    constexpr const shape_group frame_304_shape_groups[] = {
        shape_group(frame_304_shape_group_0_shapes),
        shape_group(frame_304_shape_group_1_shapes),
        shape_group(frame_304_shape_group_2_shapes),
        shape_group(frame_304_shape_group_3_shapes),
        shape_group(frame_304_shape_group_4_shapes),
        shape_group(frame_304_shape_group_5_shapes),
        shape_group(frame_304_shape_group_6_shapes),
        shape_group(frame_304_shape_group_7_shapes),
        shape_group(frame_304_shape_group_8_shapes),
        shape_group(frame_304_shape_group_9_shapes),
        shape_group(frame_304_shape_group_10_shapes),
        shape_group(frame_304_shape_group_11_shapes),
        shape_group(frame_304_shape_group_12_shapes),
        shape_group(frame_304_shape_group_13_shapes),
    };

    constexpr const frame frame_304_impl(frame_304_colors, frame_304_shape_groups);
} 

const frame& frame_304()
{
    return frame_304_impl;
}

namespace
{
    constexpr const bn::color frame_305_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_305_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(2, 23),
        horizontal_line(4, 25),
        horizontal_line(6, 27),
        horizontal_line(8, 28),
        horizontal_line(11, 30),
        horizontal_line(13, 32),
        horizontal_line(15, 34),
        horizontal_line(17, 35),
        horizontal_line(20, 37),
        horizontal_line(22, 39),
        horizontal_line(24, 40),
        horizontal_line(26, 42),
        horizontal_line(28, 44),
        horizontal_line(31, 46),
        horizontal_line(33, 44),
        horizontal_line(35, 43),
        horizontal_line(37, 41),
        horizontal_line(40, 40),
        horizontal_line(40, 51),
        horizontal_line(40, 64),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(40, 61),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 60),
        horizontal_line(39, 49),
    };

    constexpr const horizontal_line frame_305_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 34),
        horizontal_line(0, 30),
        horizontal_line(0, 26),
        horizontal_line(0, 22),
        horizontal_line(0, 18),
        horizontal_line(0, 14),
        horizontal_line(0, 10),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(45, 107),
        horizontal_line(43, 105),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(36, 98),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(22, 74),
        horizontal_line(20, 59),
        horizontal_line(18, 44),
        horizontal_line(16, 29),
    };

    constexpr const horizontal_line frame_305_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_305_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_305_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_305_shape_group_0_shapes[] = {
        shape(frame_305_shape_group_0_shape_0_horizontal_lines, 41, 14),
        shape(frame_305_shape_group_0_shape_1_horizontal_lines, 102, 9),
        shape(frame_305_shape_group_0_shape_2_horizontal_lines, 129, 1),
        shape(frame_305_shape_group_0_shape_3_horizontal_lines, 130, 7),
        shape(frame_305_shape_group_0_shape_4_horizontal_lines, 134, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(234, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 238),
        horizontal_line(207, 234),
        horizontal_line(204, 230),
        horizontal_line(201, 226),
        horizontal_line(198, 223),
        horizontal_line(195, 219),
        horizontal_line(192, 215),
        horizontal_line(189, 211),
        horizontal_line(186, 208),
        horizontal_line(183, 204),
        horizontal_line(180, 200),
        horizontal_line(177, 197),
        horizontal_line(174, 193),
        horizontal_line(171, 189),
        horizontal_line(168, 185),
        horizontal_line(165, 182),
        horizontal_line(67, 68),
        horizontal_line(65, 66),
        horizontal_line(156, 170),
        horizontal_line(155, 167),
        horizontal_line(139, 142),
        horizontal_line(140, 143),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 156),
    };

    constexpr const horizontal_line frame_305_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(143, 155),
        horizontal_line(39, 63),
        horizontal_line(40, 64),
        horizontal_line(41, 65),
        horizontal_line(41, 66),
        horizontal_line(42, 67),
        horizontal_line(43, 68),
        horizontal_line(43, 62),
        horizontal_line(44, 56),
        horizontal_line(45, 50),
        horizontal_line(107, 169),
        horizontal_line(105, 167),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(98, 160),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(92, 150),
        horizontal_line(91, 135),
        horizontal_line(89, 120),
        horizontal_line(87, 104),
        horizontal_line(85, 89),
    };

    constexpr const horizontal_line frame_305_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_305_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(3, 65),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_305_shape_group_1_shapes[] = {
        shape(frame_305_shape_group_1_shape_0_horizontal_lines, 47, 14),
        shape(frame_305_shape_group_1_shape_1_horizontal_lines, 98, 9),
        shape(frame_305_shape_group_1_shape_2_horizontal_lines, 125, 1),
        shape(frame_305_shape_group_1_shape_3_horizontal_lines, 129, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_305_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(162, 178),
        horizontal_line(159, 174),
    };

    constexpr const horizontal_line frame_305_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_305_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(156, 163),
        horizontal_line(156, 159),
    };

    constexpr const horizontal_line frame_305_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(144, 156),
        horizontal_line(50, 61),
        horizontal_line(205, 239),
        horizontal_line(142, 155),
        horizontal_line(145, 154),
        horizontal_line(150, 154),
        horizontal_line(155, 155),
        horizontal_line(136, 160),
        horizontal_line(118, 166),
        horizontal_line(100, 162),
        horizontal_line(81, 143),
        horizontal_line(63, 125),
        horizontal_line(169, 189),
        horizontal_line(167, 194),
        horizontal_line(165, 200),
        horizontal_line(163, 206),
        horizontal_line(161, 211),
        horizontal_line(160, 195),
        horizontal_line(158, 180),
        horizontal_line(156, 165),
    };

    constexpr const horizontal_line frame_305_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_305_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(75, 137),
        horizontal_line(60, 122),
        horizontal_line(45, 107),
        horizontal_line(30, 92),
        horizontal_line(77, 139),
        horizontal_line(74, 136),
        horizontal_line(71, 133),
        horizontal_line(68, 130),
        horizontal_line(65, 127),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_305_shape_group_2_shapes[] = {
        shape(frame_305_shape_group_2_shape_0_horizontal_lines, 55, 9),
        shape(frame_305_shape_group_2_shape_1_horizontal_lines, 72, 14),
        shape(frame_305_shape_group_2_shape_2_horizontal_lines, 74, 9),
        shape(frame_305_shape_group_2_shape_3_horizontal_lines, 76, 14),
        shape(frame_305_shape_group_2_shape_4_horizontal_lines, 78, 9),
        shape(frame_305_shape_group_2_shape_5_horizontal_lines, 120, 1),
        shape(frame_305_shape_group_2_shape_6_horizontal_lines, 125, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(190, 239),
        horizontal_line(186, 239),
        horizontal_line(183, 239),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(171, 233),
        horizontal_line(62, 62),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(146, 157),
        horizontal_line(145, 156),
        horizontal_line(182, 239),
        horizontal_line(144, 155),
        horizontal_line(62, 62),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(31, 39),
        horizontal_line(27, 40),
        horizontal_line(23, 40),
        horizontal_line(19, 41),
        horizontal_line(15, 42),
    };

    constexpr const horizontal_line frame_305_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(162, 172),
        horizontal_line(143, 177),
        horizontal_line(125, 183),
    };

    constexpr const horizontal_line frame_305_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(190, 200),
        horizontal_line(195, 203),
        horizontal_line(201, 206),
        horizontal_line(207, 209),
    };

    constexpr const horizontal_line frame_305_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(136, 198),
        horizontal_line(121, 183),
        horizontal_line(105, 167),
        horizontal_line(90, 152),
        horizontal_line(137, 199),
        horizontal_line(122, 184),
        horizontal_line(107, 169),
        horizontal_line(92, 154),
        horizontal_line(139, 201),
        horizontal_line(136, 198),
        horizontal_line(133, 195),
        horizontal_line(130, 192),
        horizontal_line(127, 189),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_305_shape_group_3_shapes[] = {
        shape(frame_305_shape_group_3_shape_0_horizontal_lines, 56, 9),
        shape(frame_305_shape_group_3_shape_1_horizontal_lines, 104, 7),
        shape(frame_305_shape_group_3_shape_2_horizontal_lines, 109, 9),
        shape(frame_305_shape_group_3_shape_3_horizontal_lines, 112, 7),
        shape(frame_305_shape_group_3_shape_4_horizontal_lines, 116, 1),
        shape(frame_305_shape_group_3_shape_5_horizontal_lines, 121, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(54, 63),
        horizontal_line(61, 81),
        horizontal_line(69, 99),
    };

    constexpr const horizontal_line frame_305_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(175, 237),
        horizontal_line(233, 239),
        horizontal_line(168, 230),
        horizontal_line(164, 226),
        horizontal_line(160, 222),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(143, 144),
        horizontal_line(159, 221),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_305_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(157, 164),
    };

    constexpr const horizontal_line frame_305_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(156, 170),
        horizontal_line(35, 38),
        horizontal_line(155, 176),
        horizontal_line(155, 179),
        horizontal_line(156, 182),
        horizontal_line(161, 185),
        horizontal_line(167, 188),
        horizontal_line(11, 42),
        horizontal_line(7, 43),
        horizontal_line(4, 44),
    };

    constexpr const horizontal_line frame_305_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 42),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(213, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(151, 213),
        horizontal_line(198, 239),
        horizontal_line(183, 239),
        horizontal_line(167, 229),
        horizontal_line(152, 214),
        horizontal_line(199, 239),
        horizontal_line(184, 239),
        horizontal_line(169, 231),
        horizontal_line(154, 216),
        horizontal_line(201, 239),
        horizontal_line(198, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(189, 239),
    };

    constexpr const shape frame_305_shape_group_4_shapes[] = {
        shape(frame_305_shape_group_4_shape_0_horizontal_lines, 69, 7),
        shape(frame_305_shape_group_4_shape_1_horizontal_lines, 72, 9),
        shape(frame_305_shape_group_4_shape_2_horizontal_lines, 100, 7),
        shape(frame_305_shape_group_4_shape_3_horizontal_lines, 101, 9),
        shape(frame_305_shape_group_4_shape_4_horizontal_lines, 102, 7),
        shape(frame_305_shape_group_4_shape_5_horizontal_lines, 112, 1),
        shape(frame_305_shape_group_4_shape_6_horizontal_lines, 120, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(86, 117),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(123, 154),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(226, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(221, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(63, 108),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(156, 167),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(65, 78),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(156, 173),
        horizontal_line(221, 239),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(173, 191),
        horizontal_line(178, 194),
        horizontal_line(184, 197),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(212, 212),
        horizontal_line(196, 217),
        horizontal_line(181, 222),
        horizontal_line(166, 228),
        horizontal_line(213, 233),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(216, 239),
    };

    constexpr const shape frame_305_shape_group_5_shapes[] = {
        shape(frame_305_shape_group_5_shape_0_horizontal_lines, 72, 7),
        shape(frame_305_shape_group_5_shape_1_horizontal_lines, 73, 9),
        shape(frame_305_shape_group_5_shape_2_horizontal_lines, 74, 7),
        shape(frame_305_shape_group_5_shape_3_horizontal_lines, 75, 9),
        shape(frame_305_shape_group_5_shape_4_horizontal_lines, 100, 11),
        shape(frame_305_shape_group_5_shape_5_horizontal_lines, 101, 7),
        shape(frame_305_shape_group_5_shape_6_horizontal_lines, 102, 11),
        shape(frame_305_shape_group_5_shape_7_horizontal_lines, 103, 7),
        shape(frame_305_shape_group_5_shape_8_horizontal_lines, 108, 1),
        shape(frame_305_shape_group_5_shape_9_horizontal_lines, 109, 7),
        shape(frame_305_shape_group_5_shape_10_horizontal_lines, 112, 1),
        shape(frame_305_shape_group_5_shape_11_horizontal_lines, 116, 5),
        shape(frame_305_shape_group_5_shape_12_horizontal_lines, 123, 5),
        shape(frame_305_shape_group_5_shape_13_horizontal_lines, 127, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(105, 135),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(65, 102),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(75, 134),
        horizontal_line(90, 120),
        horizontal_line(97, 98),
        horizontal_line(100, 105),
        horizontal_line(101, 106),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(157, 161),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(109, 128),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(64, 93),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(79, 136),
        horizontal_line(66, 128),
        horizontal_line(67, 113),
        horizontal_line(68, 90),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(183, 229),
        horizontal_line(186, 234),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(69, 117),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_305_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(228, 228),
    };

    constexpr const shape frame_305_shape_group_6_shapes[] = {
        shape(frame_305_shape_group_6_shape_0_horizontal_lines, 73, 7),
        shape(frame_305_shape_group_6_shape_1_horizontal_lines, 74, 8),
        shape(frame_305_shape_group_6_shape_2_horizontal_lines, 75, 7),
        shape(frame_305_shape_group_6_shape_3_horizontal_lines, 76, 8),
        shape(frame_305_shape_group_6_shape_4_horizontal_lines, 81, 13),
        shape(frame_305_shape_group_6_shape_5_horizontal_lines, 88, 9),
        shape(frame_305_shape_group_6_shape_6_horizontal_lines, 98, 7),
        shape(frame_305_shape_group_6_shape_7_horizontal_lines, 100, 10),
        shape(frame_305_shape_group_6_shape_8_horizontal_lines, 101, 11),
        shape(frame_305_shape_group_6_shape_9_horizontal_lines, 102, 10),
        shape(frame_305_shape_group_6_shape_10_horizontal_lines, 106, 1),
        shape(frame_305_shape_group_6_shape_11_horizontal_lines, 108, 5),
        shape(frame_305_shape_group_6_shape_12_horizontal_lines, 109, 1),
        shape(frame_305_shape_group_6_shape_13_horizontal_lines, 119, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(67, 84),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(63, 119),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(62, 74),
        horizontal_line(62, 89),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(98, 100),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(106, 109),
        horizontal_line(105, 111),
        horizontal_line(104, 113),
        horizontal_line(105, 115),
        horizontal_line(110, 117),
        horizontal_line(115, 119),
        horizontal_line(120, 121),
        horizontal_line(138, 139),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(129, 139),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(94, 132),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(143, 144),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(67, 68),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_305_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(63, 99),
        horizontal_line(57, 80),
        horizontal_line(51, 62),
    };

    constexpr const shape frame_305_shape_group_7_shapes[] = {
        shape(frame_305_shape_group_7_shape_0_horizontal_lines, 73, 8),
        shape(frame_305_shape_group_7_shape_1_horizontal_lines, 75, 8),
        shape(frame_305_shape_group_7_shape_2_horizontal_lines, 76, 15),
        shape(frame_305_shape_group_7_shape_3_horizontal_lines, 78, 8),
        shape(frame_305_shape_group_7_shape_4_horizontal_lines, 79, 13),
        shape(frame_305_shape_group_7_shape_5_horizontal_lines, 81, 2),
        shape(frame_305_shape_group_7_shape_6_horizontal_lines, 88, 13),
        shape(frame_305_shape_group_7_shape_7_horizontal_lines, 91, 15),
        shape(frame_305_shape_group_7_shape_8_horizontal_lines, 100, 1),
        shape(frame_305_shape_group_7_shape_9_horizontal_lines, 101, 10),
        shape(frame_305_shape_group_7_shape_10_horizontal_lines, 102, 1),
        shape(frame_305_shape_group_7_shape_11_horizontal_lines, 103, 10),
        shape(frame_305_shape_group_7_shape_12_horizontal_lines, 106, 5),
        shape(frame_305_shape_group_7_shape_13_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(135, 137),
        horizontal_line(121, 139),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(99, 105),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(106, 129),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 97),
        horizontal_line(62, 96),
        horizontal_line(62, 95),
        horizontal_line(62, 94),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(130, 133),
        horizontal_line(132, 139),
        horizontal_line(134, 141),
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(62, 123),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(165, 181),
        horizontal_line(133, 138),
        horizontal_line(171, 204),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(128, 137),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(177, 220),
        horizontal_line(180, 225),
    };

    constexpr const horizontal_line frame_305_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(105, 154),
        horizontal_line(86, 135),
    };

    constexpr const shape frame_305_shape_group_8_shapes[] = {
        shape(frame_305_shape_group_8_shape_0_horizontal_lines, 75, 8),
        shape(frame_305_shape_group_8_shape_1_horizontal_lines, 76, 13),
        shape(frame_305_shape_group_8_shape_2_horizontal_lines, 78, 15),
        shape(frame_305_shape_group_8_shape_3_horizontal_lines, 79, 13),
        shape(frame_305_shape_group_8_shape_4_horizontal_lines, 81, 11),
        shape(frame_305_shape_group_8_shape_5_horizontal_lines, 88, 2),
        shape(frame_305_shape_group_8_shape_6_horizontal_lines, 95, 15),
        shape(frame_305_shape_group_8_shape_7_horizontal_lines, 99, 11),
        shape(frame_305_shape_group_8_shape_8_horizontal_lines, 100, 1),
        shape(frame_305_shape_group_8_shape_9_horizontal_lines, 103, 10),
        shape(frame_305_shape_group_8_shape_10_horizontal_lines, 104, 1),
        shape(frame_305_shape_group_8_shape_11_horizontal_lines, 106, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(107, 141),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(62, 96),
        horizontal_line(62, 97),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(99, 99),
        horizontal_line(100, 106),
        horizontal_line(99, 105),
        horizontal_line(98, 104),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(89, 109),
        horizontal_line(74, 114),
        horizontal_line(62, 119),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(168, 192),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(63, 64),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(174, 216),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(65, 66),
        horizontal_line(66, 67),
    };

    constexpr const horizontal_line frame_305_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(69, 104),
        horizontal_line(69, 85),
    };

    constexpr const shape frame_305_shape_group_9_shapes[] = {
        shape(frame_305_shape_group_9_shape_0_horizontal_lines, 78, 13),
        shape(frame_305_shape_group_9_shape_1_horizontal_lines, 79, 2),
        shape(frame_305_shape_group_9_shape_2_horizontal_lines, 81, 11),
        shape(frame_305_shape_group_9_shape_3_horizontal_lines, 95, 2),
        shape(frame_305_shape_group_9_shape_4_horizontal_lines, 96, 11),
        shape(frame_305_shape_group_9_shape_5_horizontal_lines, 99, 10),
        shape(frame_305_shape_group_9_shape_6_horizontal_lines, 100, 5),
        shape(frame_305_shape_group_9_shape_7_horizontal_lines, 101, 1),
        shape(frame_305_shape_group_9_shape_8_horizontal_lines, 102, 5),
        shape(frame_305_shape_group_9_shape_9_horizontal_lines, 103, 1),
        shape(frame_305_shape_group_9_shape_10_horizontal_lines, 104, 5),
        shape(frame_305_shape_group_9_shape_11_horizontal_lines, 106, 12),
    };

    constexpr const horizontal_line frame_305_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(62, 96),
    };

    constexpr const horizontal_line frame_305_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(130, 141),
        horizontal_line(108, 141),
    };

    constexpr const horizontal_line frame_305_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(107, 141),
        horizontal_line(108, 141),
        horizontal_line(114, 141),
        horizontal_line(121, 141),
        horizontal_line(128, 141),
        horizontal_line(104, 104),
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_305_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_305_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(122, 135),
        horizontal_line(125, 137),
    };

    constexpr const horizontal_line frame_305_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(62, 63),
        horizontal_line(138, 142),
        horizontal_line(64, 65),
        horizontal_line(142, 142),
        horizontal_line(123, 148),
    };

    constexpr const shape frame_305_shape_group_10_shapes[] = {
        shape(frame_305_shape_group_10_shape_0_horizontal_lines, 78, 2),
        shape(frame_305_shape_group_10_shape_1_horizontal_lines, 79, 11),
        shape(frame_305_shape_group_10_shape_2_horizontal_lines, 88, 11),
        shape(frame_305_shape_group_10_shape_3_horizontal_lines, 97, 10),
        shape(frame_305_shape_group_10_shape_4_horizontal_lines, 98, 1),
        shape(frame_305_shape_group_10_shape_5_horizontal_lines, 100, 5),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(95, 97),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(70, 88),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(120, 133),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(162, 169),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_305_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(114, 141),
        horizontal_line(91, 122),
    };

    constexpr const shape frame_305_shape_group_11_shapes[] = {
        shape(frame_305_shape_group_11_shape_0_horizontal_lines, 90, 10),
        shape(frame_305_shape_group_11_shape_1_horizontal_lines, 95, 11),
        shape(frame_305_shape_group_11_shape_2_horizontal_lines, 96, 10),
        shape(frame_305_shape_group_11_shape_3_horizontal_lines, 97, 1),
        shape(frame_305_shape_group_11_shape_4_horizontal_lines, 98, 5),
        shape(frame_305_shape_group_11_shape_5_horizontal_lines, 99, 1),
        shape(frame_305_shape_group_11_shape_6_horizontal_lines, 101, 5),
        shape(frame_305_shape_group_11_shape_7_horizontal_lines, 103, 5),
        shape(frame_305_shape_group_11_shape_8_horizontal_lines, 104, 12),
    };

    constexpr const horizontal_line frame_305_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(110, 113),
        horizontal_line(112, 120),
        horizontal_line(114, 127),
    };

    constexpr const horizontal_line frame_305_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(84, 103),
    };

    constexpr const horizontal_line frame_305_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(118, 131),
    };

    constexpr const horizontal_line frame_305_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_305_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_305_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(138, 138),
    };

    constexpr const shape frame_305_shape_group_12_shapes[] = {
        shape(frame_305_shape_group_12_shape_0_horizontal_lines, 92, 1),
        shape(frame_305_shape_group_12_shape_1_horizontal_lines, 95, 10),
        shape(frame_305_shape_group_12_shape_2_horizontal_lines, 96, 1),
        shape(frame_305_shape_group_12_shape_3_horizontal_lines, 97, 5),
        shape(frame_305_shape_group_12_shape_4_horizontal_lines, 99, 5),
        shape(frame_305_shape_group_12_shape_5_horizontal_lines, 103, 12),
    };

    constexpr const horizontal_line frame_305_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_305_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(116, 129),
    };

    constexpr const horizontal_line frame_305_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(62, 69),
    };

    constexpr const shape frame_305_shape_group_13_shapes[] = {
        shape(frame_305_shape_group_13_shape_0_horizontal_lines, 94, 3),
        shape(frame_305_shape_group_13_shape_1_horizontal_lines, 95, 1),
        shape(frame_305_shape_group_13_shape_2_horizontal_lines, 96, 3),
    };

    constexpr const horizontal_line frame_305_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(75, 83),
    };

    constexpr const shape frame_305_shape_group_14_shapes[] = {
        shape(frame_305_shape_group_14_shape_0_horizontal_lines, 95, 3),
    };

    constexpr const shape_group frame_305_shape_groups[] = {
        shape_group(frame_305_shape_group_0_shapes),
        shape_group(frame_305_shape_group_1_shapes),
        shape_group(frame_305_shape_group_2_shapes),
        shape_group(frame_305_shape_group_3_shapes),
        shape_group(frame_305_shape_group_4_shapes),
        shape_group(frame_305_shape_group_5_shapes),
        shape_group(frame_305_shape_group_6_shapes),
        shape_group(frame_305_shape_group_7_shapes),
        shape_group(frame_305_shape_group_8_shapes),
        shape_group(frame_305_shape_group_9_shapes),
        shape_group(frame_305_shape_group_10_shapes),
        shape_group(frame_305_shape_group_11_shapes),
        shape_group(frame_305_shape_group_12_shapes),
        shape_group(frame_305_shape_group_13_shapes),
        shape_group(frame_305_shape_group_14_shapes),
    };

    constexpr const frame frame_305_impl(frame_305_colors, frame_305_shape_groups);
} 

const frame& frame_305()
{
    return frame_305_impl;
}

namespace
{
    constexpr const bn::color frame_306_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_306_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(2, 25),
        horizontal_line(4, 26),
        horizontal_line(6, 28),
        horizontal_line(9, 30),
        horizontal_line(11, 32),
        horizontal_line(13, 34),
        horizontal_line(16, 35),
        horizontal_line(18, 37),
        horizontal_line(20, 39),
        horizontal_line(23, 41),
        horizontal_line(25, 43),
        horizontal_line(27, 41),
        horizontal_line(30, 40),
        horizontal_line(32, 39),
        horizontal_line(34, 38),
        horizontal_line(37, 37),
        horizontal_line(37, 44),
        horizontal_line(37, 51),
        horizontal_line(37, 59),
        horizontal_line(37, 58),
        horizontal_line(37, 58),
        horizontal_line(37, 58),
        horizontal_line(37, 58),
        horizontal_line(37, 58),
        horizontal_line(37, 58),
        horizontal_line(37, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(36, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 58),
        horizontal_line(35, 50),
        horizontal_line(35, 42),
    };

    constexpr const horizontal_line frame_306_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 60),
        horizontal_line(0, 29),
        horizontal_line(0, 25),
        horizontal_line(0, 21),
        horizontal_line(0, 17),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(40, 51),
        horizontal_line(41, 46),
        horizontal_line(41, 103),
        horizontal_line(39, 101),
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 60),
        horizontal_line(8, 45),
        horizontal_line(6, 31),
        horizontal_line(4, 16),
    };

    constexpr const horizontal_line frame_306_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_306_shape_group_0_shapes[] = {
        shape(frame_306_shape_group_0_shape_0_horizontal_lines, 42, 14),
        shape(frame_306_shape_group_0_shape_1_horizontal_lines, 103, 9),
        shape(frame_306_shape_group_0_shape_2_horizontal_lines, 134, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(234, 239),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 238),
        horizontal_line(207, 234),
        horizontal_line(204, 230),
        horizontal_line(201, 226),
        horizontal_line(198, 222),
        horizontal_line(195, 219),
        horizontal_line(192, 215),
        horizontal_line(189, 211),
        horizontal_line(186, 207),
        horizontal_line(183, 204),
        horizontal_line(180, 200),
        horizontal_line(177, 196),
        horizontal_line(174, 192),
        horizontal_line(171, 189),
        horizontal_line(65, 67),
        horizontal_line(63, 64),
        horizontal_line(61, 62),
        horizontal_line(159, 174),
        horizontal_line(158, 170),
        horizontal_line(141, 145),
        horizontal_line(142, 146),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(148, 159),
        horizontal_line(150, 159),
    };

    constexpr const horizontal_line frame_306_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(145, 157),
        horizontal_line(35, 61),
        horizontal_line(36, 62),
        horizontal_line(36, 63),
        horizontal_line(37, 64),
        horizontal_line(38, 65),
        horizontal_line(38, 66),
        horizontal_line(39, 61),
        horizontal_line(40, 56),
        horizontal_line(70, 132),
        horizontal_line(55, 117),
        horizontal_line(103, 165),
        horizontal_line(101, 163),
        horizontal_line(99, 161),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(93, 155),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(84, 146),
        horizontal_line(82, 133),
        horizontal_line(80, 118),
        horizontal_line(78, 104),
        horizontal_line(76, 89),
        horizontal_line(74, 75),
    };

    constexpr const horizontal_line frame_306_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_306_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_306_shape_group_1_shapes[] = {
        shape(frame_306_shape_group_1_shape_0_horizontal_lines, 48, 14),
        shape(frame_306_shape_group_1_shape_1_horizontal_lines, 99, 9),
        shape(frame_306_shape_group_1_shape_2_horizontal_lines, 130, 1),
        shape(frame_306_shape_group_1_shape_3_horizontal_lines, 134, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_306_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(168, 185),
        horizontal_line(165, 181),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_306_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_306_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(159, 166),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_306_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(148, 159),
        horizontal_line(147, 158),
        horizontal_line(51, 58),
        horizontal_line(43, 59),
        horizontal_line(205, 239),
        horizontal_line(144, 157),
        horizontal_line(148, 157),
        horizontal_line(158, 158),
        horizontal_line(143, 162),
        horizontal_line(128, 167),
        horizontal_line(114, 172),
        horizontal_line(99, 161),
        horizontal_line(84, 146),
        horizontal_line(132, 187),
        horizontal_line(117, 179),
        horizontal_line(165, 197),
        horizontal_line(163, 202),
        horizontal_line(161, 207),
        horizontal_line(159, 212),
        horizontal_line(157, 217),
        horizontal_line(155, 217),
        horizontal_line(153, 206),
        horizontal_line(151, 191),
        horizontal_line(149, 177),
        horizontal_line(147, 162),
        horizontal_line(146, 148),
    };

    constexpr const horizontal_line frame_306_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_306_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(61, 123),
        horizontal_line(46, 108),
        horizontal_line(32, 94),
        horizontal_line(17, 79),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_306_shape_group_2_shapes[] = {
        shape(frame_306_shape_group_2_shape_0_horizontal_lines, 56, 9),
        shape(frame_306_shape_group_2_shape_1_horizontal_lines, 71, 14),
        shape(frame_306_shape_group_2_shape_2_horizontal_lines, 74, 9),
        shape(frame_306_shape_group_2_shape_3_horizontal_lines, 76, 14),
        shape(frame_306_shape_group_2_shape_4_horizontal_lines, 78, 9),
        shape(frame_306_shape_group_2_shape_5_horizontal_lines, 125, 1),
        shape(frame_306_shape_group_2_shape_6_horizontal_lines, 130, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(205, 239),
        horizontal_line(201, 239),
        horizontal_line(197, 239),
        horizontal_line(193, 239),
        horizontal_line(190, 239),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(60, 60),
        horizontal_line(59, 59),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(149, 149),
        horizontal_line(161, 223),
        horizontal_line(172, 234),
        horizontal_line(146, 158),
        horizontal_line(146, 158),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(158, 172),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(22, 35),
        horizontal_line(18, 36),
        horizontal_line(13, 37),
        horizontal_line(9, 37),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(161, 177),
        horizontal_line(146, 182),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(179, 192),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(198, 206),
        horizontal_line(203, 209),
        horizontal_line(208, 212),
        horizontal_line(213, 215),
        horizontal_line(218, 218),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(217, 221),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_306_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(134, 196),
        horizontal_line(119, 181),
        horizontal_line(105, 167),
        horizontal_line(90, 152),
        horizontal_line(76, 138),
        horizontal_line(123, 185),
        horizontal_line(108, 170),
        horizontal_line(94, 156),
        horizontal_line(79, 141),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_306_shape_group_3_shapes[] = {
        shape(frame_306_shape_group_3_shape_0_horizontal_lines, 57, 9),
        shape(frame_306_shape_group_3_shape_1_horizontal_lines, 103, 7),
        shape(frame_306_shape_group_3_shape_2_horizontal_lines, 104, 9),
        shape(frame_306_shape_group_3_shape_3_horizontal_lines, 106, 7),
        shape(frame_306_shape_group_3_shape_4_horizontal_lines, 110, 9),
        shape(frame_306_shape_group_3_shape_5_horizontal_lines, 112, 7),
        shape(frame_306_shape_group_3_shape_6_horizontal_lines, 113, 9),
        shape(frame_306_shape_group_3_shape_7_horizontal_lines, 114, 7),
        shape(frame_306_shape_group_3_shape_8_horizontal_lines, 119, 9),
        shape(frame_306_shape_group_3_shape_9_horizontal_lines, 120, 1),
        shape(frame_306_shape_group_3_shape_10_horizontal_lines, 125, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(49, 56),
        horizontal_line(55, 70),
        horizontal_line(61, 85),
        horizontal_line(67, 99),
    };

    constexpr const horizontal_line frame_306_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(182, 239),
        horizontal_line(178, 239),
        horizontal_line(175, 237),
        horizontal_line(171, 233),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(223, 239),
        horizontal_line(234, 239),
        horizontal_line(183, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(63, 77),
    };

    constexpr const horizontal_line frame_306_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(30, 34),
        horizontal_line(26, 35),
        horizontal_line(159, 181),
        horizontal_line(163, 184),
        horizontal_line(168, 187),
        horizontal_line(173, 191),
        horizontal_line(5, 38),
        horizontal_line(1, 39),
        horizontal_line(188, 200),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_306_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(228, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(163, 225),
        horizontal_line(149, 211),
        horizontal_line(196, 239),
        horizontal_line(181, 239),
        horizontal_line(167, 229),
        horizontal_line(152, 214),
        horizontal_line(138, 200),
        horizontal_line(185, 239),
        horizontal_line(170, 232),
        horizontal_line(156, 218),
        horizontal_line(141, 203),
    };

    constexpr const shape frame_306_shape_group_4_shapes[] = {
        shape(frame_306_shape_group_4_shape_0_horizontal_lines, 67, 7),
        shape(frame_306_shape_group_4_shape_1_horizontal_lines, 71, 9),
        shape(frame_306_shape_group_4_shape_2_horizontal_lines, 103, 11),
        shape(frame_306_shape_group_4_shape_3_horizontal_lines, 104, 7),
        shape(frame_306_shape_group_4_shape_4_horizontal_lines, 114, 1),
        shape(frame_306_shape_group_4_shape_5_horizontal_lines, 122, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(85, 113),
        horizontal_line(105, 128),
        horizontal_line(125, 142),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(233, 239),
        horizontal_line(167, 229),
        horizontal_line(163, 225),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(159, 163),
        horizontal_line(159, 166),
        horizontal_line(159, 169),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(78, 138),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(158, 175),
        horizontal_line(158, 178),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(178, 194),
        horizontal_line(183, 197),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(193, 203),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(207, 227),
        horizontal_line(192, 233),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(214, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(218, 239),
        horizontal_line(203, 239),
    };

    constexpr const shape frame_306_shape_group_5_shapes[] = {
        shape(frame_306_shape_group_5_shape_0_horizontal_lines, 71, 7),
        shape(frame_306_shape_group_5_shape_1_horizontal_lines, 74, 9),
        shape(frame_306_shape_group_5_shape_2_horizontal_lines, 99, 7),
        shape(frame_306_shape_group_5_shape_3_horizontal_lines, 103, 10),
        shape(frame_306_shape_group_5_shape_4_horizontal_lines, 104, 7),
        shape(frame_306_shape_group_5_shape_5_horizontal_lines, 107, 1),
        shape(frame_306_shape_group_5_shape_6_horizontal_lines, 110, 7),
        shape(frame_306_shape_group_5_shape_7_horizontal_lines, 112, 1),
        shape(frame_306_shape_group_5_shape_8_horizontal_lines, 113, 7),
        shape(frame_306_shape_group_5_shape_9_horizontal_lines, 114, 1),
        shape(frame_306_shape_group_5_shape_10_horizontal_lines, 120, 5),
        shape(frame_306_shape_group_5_shape_11_horizontal_lines, 123, 5),
        shape(frame_306_shape_group_5_shape_12_horizontal_lines, 127, 5),
        shape(frame_306_shape_group_5_shape_13_horizontal_lines, 131, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(65, 84),
        horizontal_line(63, 103),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(145, 157),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(102, 106),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(106, 109),
        horizontal_line(106, 111),
        horizontal_line(105, 113),
        horizontal_line(106, 116),
        horizontal_line(111, 118),
        horizontal_line(116, 120),
        horizontal_line(121, 122),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(61, 108),
        horizontal_line(62, 92),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(64, 126),
        horizontal_line(65, 114),
        horizontal_line(66, 90),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(65, 67),
        horizontal_line(66, 66),
        horizontal_line(67, 113),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(52, 69),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_306_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(222, 222),
    };

    constexpr const shape frame_306_shape_group_6_shapes[] = {
        shape(frame_306_shape_group_6_shape_0_horizontal_lines, 72, 8),
        shape(frame_306_shape_group_6_shape_1_horizontal_lines, 74, 7),
        shape(frame_306_shape_group_6_shape_2_horizontal_lines, 75, 8),
        shape(frame_306_shape_group_6_shape_3_horizontal_lines, 76, 9),
        shape(frame_306_shape_group_6_shape_4_horizontal_lines, 87, 13),
        shape(frame_306_shape_group_6_shape_5_horizontal_lines, 92, 15),
        shape(frame_306_shape_group_6_shape_6_horizontal_lines, 101, 11),
        shape(frame_306_shape_group_6_shape_7_horizontal_lines, 103, 1),
        shape(frame_306_shape_group_6_shape_8_horizontal_lines, 104, 10),
        shape(frame_306_shape_group_6_shape_9_horizontal_lines, 107, 5),
        shape(frame_306_shape_group_6_shape_10_horizontal_lines, 110, 1),
        shape(frame_306_shape_group_6_shape_11_horizontal_lines, 112, 5),
        shape(frame_306_shape_group_6_shape_12_horizontal_lines, 113, 1),
        shape(frame_306_shape_group_6_shape_13_horizontal_lines, 119, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(61, 121),
        horizontal_line(142, 152),
        horizontal_line(75, 137),
        horizontal_line(76, 77),
        horizontal_line(98, 99),
        horizontal_line(100, 106),
        horizontal_line(101, 107),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(59, 97),
        horizontal_line(59, 97),
        horizontal_line(59, 97),
        horizontal_line(59, 97),
        horizontal_line(59, 96),
        horizontal_line(59, 96),
        horizontal_line(59, 95),
        horizontal_line(59, 95),
        horizontal_line(59, 74),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(131, 137),
        horizontal_line(133, 142),
        horizontal_line(135, 142),
        horizontal_line(137, 141),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(109, 129),
        horizontal_line(93, 134),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(173, 204),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(145, 147),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(182, 233),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(105, 142),
        horizontal_line(85, 127),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(62, 98),
        horizontal_line(57, 83),
    };

    constexpr const horizontal_line frame_306_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(47, 54),
    };

    constexpr const shape frame_306_shape_group_7_shapes[] = {
        shape(frame_306_shape_group_7_shape_0_horizontal_lines, 74, 8),
        shape(frame_306_shape_group_7_shape_1_horizontal_lines, 81, 13),
        shape(frame_306_shape_group_7_shape_2_horizontal_lines, 87, 2),
        shape(frame_306_shape_group_7_shape_3_horizontal_lines, 96, 15),
        shape(frame_306_shape_group_7_shape_4_horizontal_lines, 100, 11),
        shape(frame_306_shape_group_7_shape_5_horizontal_lines, 101, 10),
        shape(frame_306_shape_group_7_shape_6_horizontal_lines, 103, 1),
        shape(frame_306_shape_group_7_shape_7_horizontal_lines, 104, 10),
        shape(frame_306_shape_group_7_shape_8_horizontal_lines, 106, 1),
        shape(frame_306_shape_group_7_shape_9_horizontal_lines, 107, 5),
        shape(frame_306_shape_group_7_shape_10_horizontal_lines, 110, 5),
        shape(frame_306_shape_group_7_shape_11_horizontal_lines, 113, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(122, 140),
        horizontal_line(137, 137),
        horizontal_line(91, 122),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
        horizontal_line(60, 97),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(99, 100),
        horizontal_line(101, 101),
        horizontal_line(100, 106),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(102, 104),
        horizontal_line(105, 105),
        horizontal_line(84, 110),
        horizontal_line(63, 115),
        horizontal_line(59, 120),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(130, 140),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(126, 139),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(179, 227),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_306_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(68, 104),
        horizontal_line(67, 84),
    };

    constexpr const shape frame_306_shape_group_8_shapes[] = {
        shape(frame_306_shape_group_8_shape_0_horizontal_lines, 75, 8),
        shape(frame_306_shape_group_8_shape_1_horizontal_lines, 79, 13),
        shape(frame_306_shape_group_8_shape_2_horizontal_lines, 81, 2),
        shape(frame_306_shape_group_8_shape_3_horizontal_lines, 87, 11),
        shape(frame_306_shape_group_8_shape_4_horizontal_lines, 101, 1),
        shape(frame_306_shape_group_8_shape_5_horizontal_lines, 103, 5),
        shape(frame_306_shape_group_8_shape_6_horizontal_lines, 104, 10),
        shape(frame_306_shape_group_8_shape_7_horizontal_lines, 105, 1),
        shape(frame_306_shape_group_8_shape_8_horizontal_lines, 106, 5),
        shape(frame_306_shape_group_8_shape_9_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(60, 74),
        horizontal_line(78, 90),
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(107, 131),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(108, 142),
        horizontal_line(115, 142),
        horizontal_line(122, 142),
        horizontal_line(129, 142),
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(59, 83),
        horizontal_line(59, 62),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(123, 136),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(167, 182),
        horizontal_line(170, 193),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(176, 215),
    };

    constexpr const horizontal_line frame_306_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(63, 64),
        horizontal_line(124, 157),
    };

    constexpr const shape frame_306_shape_group_9_shapes[] = {
        shape(frame_306_shape_group_9_shape_0_horizontal_lines, 76, 15),
        shape(frame_306_shape_group_9_shape_1_horizontal_lines, 79, 13),
        shape(frame_306_shape_group_9_shape_2_horizontal_lines, 81, 11),
        shape(frame_306_shape_group_9_shape_3_horizontal_lines, 97, 10),
        shape(frame_306_shape_group_9_shape_4_horizontal_lines, 99, 1),
        shape(frame_306_shape_group_9_shape_5_horizontal_lines, 100, 10),
        shape(frame_306_shape_group_9_shape_6_horizontal_lines, 101, 1),
        shape(frame_306_shape_group_9_shape_7_horizontal_lines, 103, 5),
        shape(frame_306_shape_group_9_shape_8_horizontal_lines, 104, 1),
        shape(frame_306_shape_group_9_shape_9_horizontal_lines, 105, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(138, 140),
        horizontal_line(123, 141),
        horizontal_line(108, 142),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(60, 97),
        horizontal_line(60, 98),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
        horizontal_line(107, 142),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(98, 98),
        horizontal_line(84, 101),
        horizontal_line(70, 104),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(119, 132),
        horizontal_line(121, 134),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(126, 138),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_306_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(91, 123),
    };

    constexpr const shape frame_306_shape_group_10_shapes[] = {
        shape(frame_306_shape_group_10_shape_0_horizontal_lines, 76, 13),
        shape(frame_306_shape_group_10_shape_1_horizontal_lines, 79, 2),
        shape(frame_306_shape_group_10_shape_2_horizontal_lines, 81, 11),
        shape(frame_306_shape_group_10_shape_3_horizontal_lines, 90, 10),
        shape(frame_306_shape_group_10_shape_4_horizontal_lines, 97, 1),
        shape(frame_306_shape_group_10_shape_5_horizontal_lines, 99, 5),
        shape(frame_306_shape_group_10_shape_6_horizontal_lines, 100, 1),
        shape(frame_306_shape_group_10_shape_7_horizontal_lines, 101, 5),
        shape(frame_306_shape_group_10_shape_8_horizontal_lines, 104, 5),
        shape(frame_306_shape_group_10_shape_9_horizontal_lines, 106, 12),
    };

    constexpr const horizontal_line frame_306_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(60, 75),
        horizontal_line(60, 97),
    };

    constexpr const horizontal_line frame_306_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(132, 142),
        horizontal_line(109, 142),
    };

    constexpr const horizontal_line frame_306_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(110, 114),
        horizontal_line(112, 121),
        horizontal_line(114, 128),
        horizontal_line(117, 130),
    };

    constexpr const horizontal_line frame_306_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(143, 148),
    };

    constexpr const horizontal_line frame_306_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_306_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_306_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(115, 143),
    };

    constexpr const shape frame_306_shape_group_11_shapes[] = {
        shape(frame_306_shape_group_11_shape_0_horizontal_lines, 77, 2),
        shape(frame_306_shape_group_11_shape_1_horizontal_lines, 79, 11),
        shape(frame_306_shape_group_11_shape_2_horizontal_lines, 93, 1),
        shape(frame_306_shape_group_11_shape_3_horizontal_lines, 98, 5),
        shape(frame_306_shape_group_11_shape_4_horizontal_lines, 100, 1),
        shape(frame_306_shape_group_11_shape_5_horizontal_lines, 101, 5),
        shape(frame_306_shape_group_11_shape_6_horizontal_lines, 104, 12),
    };

    constexpr const horizontal_line frame_306_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(75, 83),
        horizontal_line(59, 69),
    };

    constexpr const horizontal_line frame_306_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(59, 59),
    };

    constexpr const shape frame_306_shape_group_12_shapes[] = {
        shape(frame_306_shape_group_12_shape_0_horizontal_lines, 94, 3),
        shape(frame_306_shape_group_12_shape_1_horizontal_lines, 100, 5),
    };

    constexpr const horizontal_line frame_306_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(142, 146),
    };

    constexpr const shape frame_306_shape_group_13_shapes[] = {
        shape(frame_306_shape_group_13_shape_0_horizontal_lines, 100, 5),
    };

    constexpr const shape_group frame_306_shape_groups[] = {
        shape_group(frame_306_shape_group_0_shapes),
        shape_group(frame_306_shape_group_1_shapes),
        shape_group(frame_306_shape_group_2_shapes),
        shape_group(frame_306_shape_group_3_shapes),
        shape_group(frame_306_shape_group_4_shapes),
        shape_group(frame_306_shape_group_5_shapes),
        shape_group(frame_306_shape_group_6_shapes),
        shape_group(frame_306_shape_group_7_shapes),
        shape_group(frame_306_shape_group_8_shapes),
        shape_group(frame_306_shape_group_9_shapes),
        shape_group(frame_306_shape_group_10_shapes),
        shape_group(frame_306_shape_group_11_shapes),
        shape_group(frame_306_shape_group_12_shapes),
        shape_group(frame_306_shape_group_13_shapes),
    };

    constexpr const frame frame_306_impl(frame_306_colors, frame_306_shape_groups);
} 

const frame& frame_306()
{
    return frame_306_impl;
}

namespace
{
    constexpr const bn::color frame_307_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_307_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(2, 25),
        horizontal_line(4, 27),
        horizontal_line(6, 28),
        horizontal_line(9, 30),
        horizontal_line(11, 32),
        horizontal_line(13, 33),
        horizontal_line(16, 35),
        horizontal_line(18, 37),
        horizontal_line(20, 39),
        horizontal_line(22, 37),
        horizontal_line(25, 36),
        horizontal_line(27, 34),
        horizontal_line(29, 33),
        horizontal_line(32, 32),
        horizontal_line(32, 44),
        horizontal_line(32, 61),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(32, 56),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 55),
        horizontal_line(31, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 54),
        horizontal_line(30, 45),
        horizontal_line(30, 37),
    };

    constexpr const horizontal_line frame_307_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 57),
        horizontal_line(0, 24),
        horizontal_line(0, 19),
        horizontal_line(0, 14),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(35, 58),
        horizontal_line(35, 53),
        horizontal_line(36, 47),
        horizontal_line(37, 42),
        horizontal_line(37, 99),
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 46),
        horizontal_line(0, 30),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_307_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_307_shape_group_0_shapes[] = {
        shape(frame_307_shape_group_0_shape_0_horizontal_lines, 42, 14),
        shape(frame_307_shape_group_0_shape_1_horizontal_lines, 104, 9),
        shape(frame_307_shape_group_0_shape_2_horizontal_lines, 138, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(215, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 238),
        horizontal_line(206, 234),
        horizontal_line(203, 230),
        horizontal_line(200, 226),
        horizontal_line(197, 222),
        horizontal_line(194, 218),
        horizontal_line(191, 214),
        horizontal_line(188, 210),
        horizontal_line(185, 206),
        horizontal_line(182, 202),
        horizontal_line(179, 198),
        horizontal_line(176, 194),
        horizontal_line(62, 65),
        horizontal_line(60, 63),
        horizontal_line(167, 182),
        horizontal_line(58, 59),
        horizontal_line(161, 174),
        horizontal_line(144, 147),
        horizontal_line(143, 148),
        horizontal_line(144, 149),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(151, 162),
        horizontal_line(153, 162),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_307_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(148, 161),
        horizontal_line(30, 58),
        horizontal_line(31, 59),
        horizontal_line(32, 60),
        horizontal_line(32, 61),
        horizontal_line(33, 62),
        horizontal_line(34, 64),
        horizontal_line(107, 169),
        horizontal_line(89, 151),
        horizontal_line(72, 134),
        horizontal_line(54, 116),
        horizontal_line(99, 161),
        horizontal_line(96, 158),
        horizontal_line(94, 156),
        horizontal_line(92, 154),
        horizontal_line(90, 152),
        horizontal_line(88, 150),
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 124),
        horizontal_line(66, 108),
        horizontal_line(64, 93),
        horizontal_line(62, 77),
    };

    constexpr const horizontal_line frame_307_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(47, 109),
        horizontal_line(31, 93),
        horizontal_line(15, 77),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_307_shape_group_1_shapes[] = {
        shape(frame_307_shape_group_1_shape_0_horizontal_lines, 49, 14),
        shape(frame_307_shape_group_1_shape_1_horizontal_lines, 100, 9),
        shape(frame_307_shape_group_1_shape_2_horizontal_lines, 134, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(173, 190),
        horizontal_line(170, 186),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(164, 178),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(161, 170),
        horizontal_line(162, 166),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(55, 56),
        horizontal_line(150, 162),
        horizontal_line(46, 55),
        horizontal_line(38, 56),
        horizontal_line(207, 239),
        horizontal_line(150, 160),
        horizontal_line(156, 160),
        horizontal_line(154, 159),
        horizontal_line(160, 160),
        horizontal_line(142, 165),
        horizontal_line(124, 170),
        horizontal_line(169, 175),
        horizontal_line(151, 180),
        horizontal_line(134, 185),
        horizontal_line(116, 178),
        horizontal_line(161, 195),
        horizontal_line(158, 200),
        horizontal_line(156, 205),
        horizontal_line(154, 210),
        horizontal_line(152, 214),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(138, 187),
        horizontal_line(136, 171),
        horizontal_line(134, 155),
        horizontal_line(132, 140),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_307_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(78, 140),
        horizontal_line(124, 186),
        horizontal_line(109, 171),
        horizontal_line(93, 155),
        horizontal_line(77, 139),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_307_shape_group_2_shapes[] = {
        shape(frame_307_shape_group_2_shape_0_horizontal_lines, 57, 9),
        shape(frame_307_shape_group_2_shape_1_horizontal_lines, 70, 14),
        shape(frame_307_shape_group_2_shape_2_horizontal_lines, 72, 9),
        shape(frame_307_shape_group_2_shape_3_horizontal_lines, 73, 14),
        shape(frame_307_shape_group_2_shape_4_horizontal_lines, 74, 9),
        shape(frame_307_shape_group_2_shape_5_horizontal_lines, 75, 14),
        shape(frame_307_shape_group_2_shape_6_horizontal_lines, 77, 9),
        shape(frame_307_shape_group_2_shape_7_horizontal_lines, 130, 1),
        shape(frame_307_shape_group_2_shape_8_horizontal_lines, 133, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(215, 239),
        horizontal_line(211, 239),
        horizontal_line(207, 239),
        horizontal_line(203, 239),
        horizontal_line(199, 239),
        horizontal_line(195, 239),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(183, 239),
        horizontal_line(0, 31),
        horizontal_line(57, 58),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(56, 57),
        horizontal_line(56, 57),
        horizontal_line(56, 57),
        horizontal_line(56, 57),
        horizontal_line(56, 57),
        horizontal_line(56, 57),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(55, 56),
        horizontal_line(150, 163),
        horizontal_line(175, 237),
        horizontal_line(149, 162),
        horizontal_line(148, 161),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(162, 176),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(229, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(10, 31),
        horizontal_line(5, 32),
        horizontal_line(1, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(178, 190),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(201, 213),
        horizontal_line(206, 216),
        horizontal_line(211, 219),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(214, 215),
        horizontal_line(212, 220),
        horizontal_line(210, 225),
        horizontal_line(208, 230),
        horizontal_line(206, 234),
        horizontal_line(204, 218),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_307_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(125, 187),
        horizontal_line(109, 171),
        horizontal_line(94, 156),
        horizontal_line(140, 202),
        horizontal_line(186, 239),
        horizontal_line(171, 233),
        horizontal_line(155, 217),
        horizontal_line(139, 201),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_307_shape_group_3_shapes[] = {
        shape(frame_307_shape_group_3_shape_0_horizontal_lines, 58, 9),
        shape(frame_307_shape_group_3_shape_1_horizontal_lines, 104, 7),
        shape(frame_307_shape_group_3_shape_2_horizontal_lines, 105, 9),
        shape(frame_307_shape_group_3_shape_3_horizontal_lines, 108, 7),
        shape(frame_307_shape_group_3_shape_4_horizontal_lines, 114, 9),
        shape(frame_307_shape_group_3_shape_5_horizontal_lines, 115, 7),
        shape(frame_307_shape_group_3_shape_6_horizontal_lines, 119, 9),
        shape(frame_307_shape_group_3_shape_7_horizontal_lines, 126, 1),
        shape(frame_307_shape_group_3_shape_8_horizontal_lines, 130, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(46, 51),
        horizontal_line(52, 64),
        horizontal_line(58, 78),
        horizontal_line(65, 91),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(114, 132),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(175, 237),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(163, 225),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(152, 152),
        horizontal_line(151, 158),
        horizontal_line(165, 227),
        horizontal_line(237, 239),
        horizontal_line(186, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(61, 64),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(25, 29),
        horizontal_line(20, 30),
        horizontal_line(15, 31),
        horizontal_line(161, 188),
        horizontal_line(166, 191),
        horizontal_line(171, 194),
        horizontal_line(176, 197),
        horizontal_line(181, 201),
        horizontal_line(186, 204),
        horizontal_line(0, 36),
        horizontal_line(196, 210),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(216, 222),
        horizontal_line(221, 225),
        horizontal_line(226, 228),
        horizontal_line(231, 231),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(172, 234),
        horizontal_line(156, 218),
        horizontal_line(141, 203),
        horizontal_line(187, 239),
        horizontal_line(171, 233),
        horizontal_line(156, 218),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(217, 239),
        horizontal_line(201, 239),
    };

    constexpr const shape frame_307_shape_group_4_shapes[] = {
        shape(frame_307_shape_group_4_shape_0_horizontal_lines, 66, 7),
        shape(frame_307_shape_group_4_shape_1_horizontal_lines, 70, 9),
        shape(frame_307_shape_group_4_shape_2_horizontal_lines, 72, 7),
        shape(frame_307_shape_group_4_shape_3_horizontal_lines, 73, 9),
        shape(frame_307_shape_group_4_shape_4_horizontal_lines, 104, 11),
        shape(frame_307_shape_group_4_shape_5_horizontal_lines, 105, 7),
        shape(frame_307_shape_group_4_shape_6_horizontal_lines, 116, 1),
        shape(frame_307_shape_group_4_shape_7_horizontal_lines, 119, 7),
        shape(frame_307_shape_group_4_shape_8_horizontal_lines, 123, 1),
        shape(frame_307_shape_group_4_shape_9_horizontal_lines, 126, 5),
        shape(frame_307_shape_group_4_shape_10_horizontal_lines, 135, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(80, 105),
        horizontal_line(97, 118),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(237, 239),
        horizontal_line(171, 233),
        horizontal_line(167, 229),
        horizontal_line(225, 239),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(163, 167),
        horizontal_line(163, 170),
        horizontal_line(162, 173),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(65, 127),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(161, 179),
        horizontal_line(161, 182),
        horizontal_line(160, 185),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(191, 207),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(218, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_307_shape_group_5_shapes[] = {
        shape(frame_307_shape_group_5_shape_0_horizontal_lines, 70, 7),
        shape(frame_307_shape_group_5_shape_1_horizontal_lines, 72, 8),
        shape(frame_307_shape_group_5_shape_2_horizontal_lines, 73, 9),
        shape(frame_307_shape_group_5_shape_3_horizontal_lines, 101, 7),
        shape(frame_307_shape_group_5_shape_4_horizontal_lines, 104, 10),
        shape(frame_307_shape_group_5_shape_5_horizontal_lines, 105, 7),
        shape(frame_307_shape_group_5_shape_6_horizontal_lines, 108, 1),
        shape(frame_307_shape_group_5_shape_7_horizontal_lines, 114, 7),
        shape(frame_307_shape_group_5_shape_8_horizontal_lines, 115, 1),
        shape(frame_307_shape_group_5_shape_9_horizontal_lines, 124, 5),
        shape(frame_307_shape_group_5_shape_10_horizontal_lines, 127, 5),
        shape(frame_307_shape_group_5_shape_11_horizontal_lines, 131, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(64, 79),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(131, 145),
        horizontal_line(148, 159),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(83, 84),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(59, 105),
        horizontal_line(60, 85),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(127, 143),
        horizontal_line(62, 124),
        horizontal_line(63, 115),
        horizontal_line(64, 89),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(63, 64),
        horizontal_line(65, 123),
        horizontal_line(59, 106),
        horizontal_line(54, 88),
        horizontal_line(48, 71),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_307_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(235, 235),
    };

    constexpr const shape frame_307_shape_group_6_shapes[] = {
        shape(frame_307_shape_group_6_shape_0_horizontal_lines, 71, 8),
        shape(frame_307_shape_group_6_shape_1_horizontal_lines, 73, 7),
        shape(frame_307_shape_group_6_shape_2_horizontal_lines, 75, 9),
        shape(frame_307_shape_group_6_shape_3_horizontal_lines, 77, 8),
        shape(frame_307_shape_group_6_shape_4_horizontal_lines, 78, 9),
        shape(frame_307_shape_group_6_shape_5_horizontal_lines, 100, 7),
        shape(frame_307_shape_group_6_shape_6_horizontal_lines, 101, 15),
        shape(frame_307_shape_group_6_shape_7_horizontal_lines, 102, 11),
        shape(frame_307_shape_group_6_shape_8_horizontal_lines, 104, 10),
        shape(frame_307_shape_group_6_shape_9_horizontal_lines, 108, 5),
        shape(frame_307_shape_group_6_shape_10_horizontal_lines, 114, 1),
        shape(frame_307_shape_group_6_shape_11_horizontal_lines, 119, 1),
        shape(frame_307_shape_group_6_shape_12_horizontal_lines, 123, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(60, 110),
        horizontal_line(59, 121),
        horizontal_line(59, 121),
        horizontal_line(68, 69),
        horizontal_line(91, 119),
        horizontal_line(98, 99),
        horizontal_line(101, 107),
        horizontal_line(102, 108),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(58, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 97),
        horizontal_line(57, 96),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(107, 110),
        horizontal_line(107, 112),
        horizontal_line(106, 114),
        horizontal_line(107, 116),
        horizontal_line(111, 118),
        horizontal_line(115, 120),
        horizontal_line(119, 122),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(58, 120),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(106, 132),
        horizontal_line(86, 138),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(177, 206),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(143, 149),
        horizontal_line(148, 155),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(186, 238),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(105, 159),
        horizontal_line(84, 141),
    };

    constexpr const horizontal_line frame_307_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(43, 53),
    };

    constexpr const shape frame_307_shape_group_7_shapes[] = {
        shape(frame_307_shape_group_7_shape_0_horizontal_lines, 73, 8),
        shape(frame_307_shape_group_7_shape_1_horizontal_lines, 81, 2),
        shape(frame_307_shape_group_7_shape_2_horizontal_lines, 92, 15),
        shape(frame_307_shape_group_7_shape_3_horizontal_lines, 101, 11),
        shape(frame_307_shape_group_7_shape_4_horizontal_lines, 102, 10),
        shape(frame_307_shape_group_7_shape_5_horizontal_lines, 104, 1),
        shape(frame_307_shape_group_7_shape_6_horizontal_lines, 105, 10),
        shape(frame_307_shape_group_7_shape_7_horizontal_lines, 107, 1),
        shape(frame_307_shape_group_7_shape_8_horizontal_lines, 108, 5),
        shape(frame_307_shape_group_7_shape_9_horizontal_lines, 114, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(121, 125),
        horizontal_line(143, 143),
        horizontal_line(75, 131),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(85, 90),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(58, 97),
        horizontal_line(58, 98),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(57, 96),
        horizontal_line(57, 95),
        horizontal_line(57, 95),
        horizontal_line(57, 74),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(131, 135),
        horizontal_line(133, 143),
        horizontal_line(136, 145),
        horizontal_line(138, 144),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(133, 142),
        horizontal_line(139, 142),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(124, 141),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(183, 228),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(61, 63),
    };

    constexpr const horizontal_line frame_307_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(65, 104),
        horizontal_line(65, 83),
    };

    constexpr const shape frame_307_shape_group_8_shapes[] = {
        shape(frame_307_shape_group_8_shape_0_horizontal_lines, 74, 8),
        shape(frame_307_shape_group_8_shape_1_horizontal_lines, 77, 15),
        shape(frame_307_shape_group_8_shape_2_horizontal_lines, 78, 8),
        shape(frame_307_shape_group_8_shape_3_horizontal_lines, 79, 2),
        shape(frame_307_shape_group_8_shape_4_horizontal_lines, 81, 13),
        shape(frame_307_shape_group_8_shape_5_horizontal_lines, 92, 2),
        shape(frame_307_shape_group_8_shape_6_horizontal_lines, 96, 15),
        shape(frame_307_shape_group_8_shape_7_horizontal_lines, 101, 11),
        shape(frame_307_shape_group_8_shape_8_horizontal_lines, 102, 1),
        shape(frame_307_shape_group_8_shape_9_horizontal_lines, 104, 5),
        shape(frame_307_shape_group_8_shape_10_horizontal_lines, 105, 10),
        shape(frame_307_shape_group_8_shape_11_horizontal_lines, 106, 1),
        shape(frame_307_shape_group_8_shape_12_horizontal_lines, 107, 5),
        shape(frame_307_shape_group_8_shape_13_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(121, 141),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(70, 74),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(58, 82),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(100, 107),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(99, 100),
        horizontal_line(101, 101),
        horizontal_line(100, 107),
        horizontal_line(99, 106),
        horizontal_line(98, 106),
        horizontal_line(99, 105),
        horizontal_line(106, 106),
        horizontal_line(84, 110),
        horizontal_line(63, 114),
        horizontal_line(57, 118),
        horizontal_line(57, 119),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(171, 185),
        horizontal_line(174, 196),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(144, 147),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(180, 217),
    };

    constexpr const horizontal_line frame_307_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(126, 153),
    };

    constexpr const shape frame_307_shape_group_9_shapes[] = {
        shape(frame_307_shape_group_9_shape_0_horizontal_lines, 75, 8),
        shape(frame_307_shape_group_9_shape_1_horizontal_lines, 76, 15),
        shape(frame_307_shape_group_9_shape_2_horizontal_lines, 77, 2),
        shape(frame_307_shape_group_9_shape_3_horizontal_lines, 78, 15),
        shape(frame_307_shape_group_9_shape_4_horizontal_lines, 79, 13),
        shape(frame_307_shape_group_9_shape_5_horizontal_lines, 81, 11),
        shape(frame_307_shape_group_9_shape_6_horizontal_lines, 101, 10),
        shape(frame_307_shape_group_9_shape_7_horizontal_lines, 102, 1),
        shape(frame_307_shape_group_9_shape_8_horizontal_lines, 104, 5),
        shape(frame_307_shape_group_9_shape_9_horizontal_lines, 105, 1),
        shape(frame_307_shape_group_9_shape_10_horizontal_lines, 106, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(58, 67),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(120, 143),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(58, 97),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(108, 133),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(108, 145),
        horizontal_line(109, 145),
        horizontal_line(115, 145),
        horizontal_line(122, 145),
        horizontal_line(129, 145),
        horizontal_line(136, 145),
        horizontal_line(144, 145),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(57, 62),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(123, 137),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(128, 142),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(56, 58),
        horizontal_line(57, 59),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_307_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(90, 125),
    };

    constexpr const shape frame_307_shape_group_10_shapes[] = {
        shape(frame_307_shape_group_10_shape_0_horizontal_lines, 75, 15),
        shape(frame_307_shape_group_10_shape_1_horizontal_lines, 76, 2),
        shape(frame_307_shape_group_10_shape_2_horizontal_lines, 77, 13),
        shape(frame_307_shape_group_10_shape_3_horizontal_lines, 78, 2),
        shape(frame_307_shape_group_10_shape_4_horizontal_lines, 79, 13),
        shape(frame_307_shape_group_10_shape_5_horizontal_lines, 81, 11),
        shape(frame_307_shape_group_10_shape_6_horizontal_lines, 98, 10),
        shape(frame_307_shape_group_10_shape_7_horizontal_lines, 99, 1),
        shape(frame_307_shape_group_10_shape_8_horizontal_lines, 100, 11),
        shape(frame_307_shape_group_10_shape_9_horizontal_lines, 101, 1),
        shape(frame_307_shape_group_10_shape_10_horizontal_lines, 102, 5),
        shape(frame_307_shape_group_10_shape_11_horizontal_lines, 105, 5),
        shape(frame_307_shape_group_10_shape_12_horizontal_lines, 107, 12),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(132, 142),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(109, 145),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(134, 145),
        horizontal_line(110, 145),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(97, 97),
        horizontal_line(98, 98),
        horizontal_line(76, 105),
        horizontal_line(57, 83),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(121, 135),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(145, 150),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(125, 140),
        horizontal_line(168, 174),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(143, 148),
        horizontal_line(143, 147),
    };

    constexpr const horizontal_line frame_307_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(116, 146),
    };

    constexpr const shape frame_307_shape_group_11_shapes[] = {
        shape(frame_307_shape_group_11_shape_0_horizontal_lines, 76, 13),
        shape(frame_307_shape_group_11_shape_1_horizontal_lines, 78, 13),
        shape(frame_307_shape_group_11_shape_2_horizontal_lines, 79, 11),
        shape(frame_307_shape_group_11_shape_3_horizontal_lines, 90, 10),
        shape(frame_307_shape_group_11_shape_4_horizontal_lines, 98, 1),
        shape(frame_307_shape_group_11_shape_5_horizontal_lines, 99, 5),
        shape(frame_307_shape_group_11_shape_6_horizontal_lines, 100, 1),
        shape(frame_307_shape_group_11_shape_7_horizontal_lines, 102, 5),
        shape(frame_307_shape_group_11_shape_8_horizontal_lines, 105, 12),
    };

    constexpr const horizontal_line frame_307_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(113, 121),
        horizontal_line(115, 128),
        horizontal_line(117, 130),
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_307_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(146, 151),
    };

    constexpr const horizontal_line frame_307_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(144, 149),
        horizontal_line(55, 57),
    };

    constexpr const shape frame_307_shape_group_12_shapes[] = {
        shape(frame_307_shape_group_12_shape_0_horizontal_lines, 93, 1),
        shape(frame_307_shape_group_12_shape_1_horizontal_lines, 98, 5),
        shape(frame_307_shape_group_12_shape_2_horizontal_lines, 100, 5),
    };

    constexpr const horizontal_line frame_307_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(75, 97),
        horizontal_line(57, 75),
    };

    constexpr const horizontal_line frame_307_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(144, 149),
    };

    constexpr const shape frame_307_shape_group_13_shapes[] = {
        shape(frame_307_shape_group_13_shape_0_horizontal_lines, 94, 3),
        shape(frame_307_shape_group_13_shape_1_horizontal_lines, 101, 5),
    };

    constexpr const shape_group frame_307_shape_groups[] = {
        shape_group(frame_307_shape_group_0_shapes),
        shape_group(frame_307_shape_group_1_shapes),
        shape_group(frame_307_shape_group_2_shapes),
        shape_group(frame_307_shape_group_3_shapes),
        shape_group(frame_307_shape_group_4_shapes),
        shape_group(frame_307_shape_group_5_shapes),
        shape_group(frame_307_shape_group_6_shapes),
        shape_group(frame_307_shape_group_7_shapes),
        shape_group(frame_307_shape_group_8_shapes),
        shape_group(frame_307_shape_group_9_shapes),
        shape_group(frame_307_shape_group_10_shapes),
        shape_group(frame_307_shape_group_11_shapes),
        shape_group(frame_307_shape_group_12_shapes),
        shape_group(frame_307_shape_group_13_shapes),
    };

    constexpr const frame frame_307_impl(frame_307_colors, frame_307_shape_groups);
} 

const frame& frame_307()
{
    return frame_307_impl;
}

namespace
{
    constexpr const bn::color frame_308_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_308_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(2, 26),
        horizontal_line(4, 28),
        horizontal_line(7, 30),
        horizontal_line(9, 32),
        horizontal_line(12, 34),
        horizontal_line(14, 36),
        horizontal_line(17, 34),
        horizontal_line(19, 32),
        horizontal_line(22, 30),
        horizontal_line(24, 28),
        horizontal_line(27, 27),
        horizontal_line(27, 36),
        horizontal_line(27, 45),
        horizontal_line(27, 60),
        horizontal_line(27, 53),
        horizontal_line(27, 53),
        horizontal_line(27, 53),
        horizontal_line(27, 53),
        horizontal_line(27, 53),
        horizontal_line(27, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(26, 53),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(25, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 52),
        horizontal_line(24, 42),
        horizontal_line(24, 32),
    };

    constexpr const horizontal_line frame_308_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 55),
        horizontal_line(0, 18),
        horizontal_line(0, 13),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(28, 61),
        horizontal_line(29, 56),
        horizontal_line(30, 51),
        horizontal_line(30, 46),
        horizontal_line(31, 41),
        horizontal_line(32, 36),
        horizontal_line(32, 94),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
        horizontal_line(0, 43),
        horizontal_line(0, 28),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_308_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_308_shape_group_0_shapes[] = {
        shape(frame_308_shape_group_0_shape_0_horizontal_lines, 43, 14),
        shape(frame_308_shape_group_0_shape_1_horizontal_lines, 105, 9),
        shape(frame_308_shape_group_0_shape_2_horizontal_lines, 145, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(215, 239),
        horizontal_line(211, 238),
        horizontal_line(208, 234),
        horizontal_line(205, 230),
        horizontal_line(202, 226),
        horizontal_line(199, 222),
        horizontal_line(196, 219),
        horizontal_line(193, 215),
        horizontal_line(190, 211),
        horizontal_line(186, 207),
        horizontal_line(183, 203),
        horizontal_line(60, 62),
        horizontal_line(57, 63),
        horizontal_line(174, 192),
        horizontal_line(55, 57),
        horizontal_line(168, 184),
        horizontal_line(165, 181),
        horizontal_line(164, 177),
        horizontal_line(146, 151),
        horizontal_line(147, 152),
        horizontal_line(148, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(155, 166),
        horizontal_line(156, 166),
        horizontal_line(162, 166),
    };

    constexpr const horizontal_line frame_308_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(151, 165),
        horizontal_line(24, 56),
        horizontal_line(25, 57),
        horizontal_line(26, 58),
        horizontal_line(27, 59),
        horizontal_line(27, 60),
        horizontal_line(145, 168),
        horizontal_line(126, 173),
        horizontal_line(107, 169),
        horizontal_line(88, 150),
        horizontal_line(69, 131),
        horizontal_line(50, 112),
        horizontal_line(94, 156),
        horizontal_line(91, 153),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 118),
        horizontal_line(62, 103),
        horizontal_line(62, 88),
        horizontal_line(62, 73),
    };

    constexpr const horizontal_line frame_308_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(59, 121),
        horizontal_line(44, 106),
        horizontal_line(29, 91),
        horizontal_line(14, 76),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_308_shape_group_1_shapes[] = {
        shape(frame_308_shape_group_1_shape_0_horizontal_lines, 50, 14),
        shape(frame_308_shape_group_1_shape_1_horizontal_lines, 101, 9),
        shape(frame_308_shape_group_1_shape_2_horizontal_lines, 141, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(180, 200),
        horizontal_line(177, 196),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(171, 188),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(165, 173),
        horizontal_line(166, 169),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(53, 53),
        horizontal_line(153, 166),
        horizontal_line(43, 53),
        horizontal_line(33, 54),
        horizontal_line(203, 239),
        horizontal_line(150, 164),
        horizontal_line(154, 164),
        horizontal_line(159, 163),
        horizontal_line(160, 163),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(169, 178),
        horizontal_line(150, 182),
        horizontal_line(131, 187),
        horizontal_line(112, 174),
        horizontal_line(156, 196),
        horizontal_line(153, 201),
        horizontal_line(151, 206),
        horizontal_line(149, 210),
        horizontal_line(146, 208),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(133, 195),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 178),
        horizontal_line(124, 163),
        horizontal_line(124, 148),
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_308_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(119, 181),
        horizontal_line(104, 166),
        horizontal_line(89, 151),
        horizontal_line(74, 136),
        horizontal_line(121, 183),
        horizontal_line(106, 168),
        horizontal_line(91, 153),
        horizontal_line(76, 138),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_308_shape_group_2_shapes[] = {
        shape(frame_308_shape_group_2_shape_0_horizontal_lines, 57, 9),
        shape(frame_308_shape_group_2_shape_1_horizontal_lines, 68, 14),
        shape(frame_308_shape_group_2_shape_2_horizontal_lines, 70, 9),
        shape(frame_308_shape_group_2_shape_3_horizontal_lines, 71, 14),
        shape(frame_308_shape_group_2_shape_4_horizontal_lines, 72, 9),
        shape(frame_308_shape_group_2_shape_5_horizontal_lines, 75, 14),
        shape(frame_308_shape_group_2_shape_6_horizontal_lines, 77, 9),
        shape(frame_308_shape_group_2_shape_7_horizontal_lines, 111, 7),
        shape(frame_308_shape_group_2_shape_8_horizontal_lines, 113, 9),
        shape(frame_308_shape_group_2_shape_9_horizontal_lines, 137, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(204, 239),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(193, 239),
        horizontal_line(0, 26),
        horizontal_line(54, 55),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(153, 167),
        horizontal_line(176, 238),
        horizontal_line(152, 166),
        horizontal_line(151, 165),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(166, 180),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(221, 239),
        horizontal_line(230, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(1, 26),
        horizontal_line(169, 198),
        horizontal_line(174, 201),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(174, 192),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(202, 220),
        horizontal_line(207, 223),
        horizontal_line(211, 226),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(208, 215),
        horizontal_line(206, 220),
        horizontal_line(204, 224),
        horizontal_line(202, 229),
        horizontal_line(199, 234),
        horizontal_line(197, 239),
        horizontal_line(195, 239),
        horizontal_line(192, 239),
        horizontal_line(190, 238),
        horizontal_line(188, 223),
        horizontal_line(186, 208),
        horizontal_line(186, 193),
    };

    constexpr const horizontal_line frame_308_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(179, 239),
        horizontal_line(164, 226),
        horizontal_line(149, 211),
        horizontal_line(134, 196),
        horizontal_line(181, 239),
        horizontal_line(166, 228),
        horizontal_line(151, 213),
        horizontal_line(136, 198),
        horizontal_line(183, 239),
        horizontal_line(168, 230),
        horizontal_line(153, 215),
        horizontal_line(138, 200),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_308_shape_group_3_shapes[] = {
        shape(frame_308_shape_group_3_shape_0_horizontal_lines, 58, 9),
        shape(frame_308_shape_group_3_shape_1_horizontal_lines, 105, 7),
        shape(frame_308_shape_group_3_shape_2_horizontal_lines, 106, 9),
        shape(frame_308_shape_group_3_shape_3_horizontal_lines, 110, 7),
        shape(frame_308_shape_group_3_shape_4_horizontal_lines, 116, 9),
        shape(frame_308_shape_group_3_shape_5_horizontal_lines, 117, 7),
        shape(frame_308_shape_group_3_shape_6_horizontal_lines, 121, 9),
        shape(frame_308_shape_group_3_shape_7_horizontal_lines, 133, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(42, 46),
        horizontal_line(47, 58),
        horizontal_line(52, 69),
        horizontal_line(57, 81),
        horizontal_line(63, 93),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(100, 128),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(185, 239),
        horizontal_line(182, 239),
        horizontal_line(178, 239),
        horizontal_line(54, 54),
        horizontal_line(54, 54),
        horizontal_line(167, 229),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(149, 154),
        horizontal_line(155, 155),
        horizontal_line(154, 161),
        horizontal_line(169, 231),
        horizontal_line(238, 239),
        horizontal_line(185, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(58, 63),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(19, 23),
        horizontal_line(14, 24),
        horizontal_line(10, 25),
        horizontal_line(5, 26),
        horizontal_line(165, 195),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(179, 205),
        horizontal_line(183, 208),
        horizontal_line(188, 211),
        horizontal_line(0, 31),
        horizontal_line(197, 217),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(216, 229),
        horizontal_line(221, 232),
        horizontal_line(225, 235),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(211, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(213, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(215, 239),
        horizontal_line(200, 239),
    };

    constexpr const shape frame_308_shape_group_4_shapes[] = {
        shape(frame_308_shape_group_4_shape_0_horizontal_lines, 63, 7),
        shape(frame_308_shape_group_4_shape_1_horizontal_lines, 68, 9),
        shape(frame_308_shape_group_4_shape_2_horizontal_lines, 70, 7),
        shape(frame_308_shape_group_4_shape_3_horizontal_lines, 71, 9),
        shape(frame_308_shape_group_4_shape_4_horizontal_lines, 105, 11),
        shape(frame_308_shape_group_4_shape_5_horizontal_lines, 106, 7),
        shape(frame_308_shape_group_4_shape_6_horizontal_lines, 111, 1),
        shape(frame_308_shape_group_4_shape_7_horizontal_lines, 113, 7),
        shape(frame_308_shape_group_4_shape_8_horizontal_lines, 118, 1),
        shape(frame_308_shape_group_4_shape_9_horizontal_lines, 121, 7),
        shape(frame_308_shape_group_4_shape_10_horizontal_lines, 126, 1),
        shape(frame_308_shape_group_4_shape_11_horizontal_lines, 131, 5),
        shape(frame_308_shape_group_4_shape_12_horizontal_lines, 134, 5),
        shape(frame_308_shape_group_4_shape_13_horizontal_lines, 138, 5),
        shape(frame_308_shape_group_4_shape_14_horizontal_lines, 142, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(74, 104),
        horizontal_line(87, 116),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(61, 78),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(125, 151),
        horizontal_line(138, 163),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(174, 236),
        horizontal_line(170, 232),
        horizontal_line(229, 239),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(167, 171),
        horizontal_line(167, 174),
        horizontal_line(166, 177),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(64, 126),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(165, 183),
        horizontal_line(165, 186),
        horizontal_line(164, 189),
        horizontal_line(164, 192),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(57, 119),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(193, 214),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_308_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_308_shape_group_5_shapes[] = {
        shape(frame_308_shape_group_5_shape_0_horizontal_lines, 68, 7),
        shape(frame_308_shape_group_5_shape_1_horizontal_lines, 70, 8),
        shape(frame_308_shape_group_5_shape_2_horizontal_lines, 71, 9),
        shape(frame_308_shape_group_5_shape_3_horizontal_lines, 72, 7),
        shape(frame_308_shape_group_5_shape_4_horizontal_lines, 75, 9),
        shape(frame_308_shape_group_5_shape_5_horizontal_lines, 102, 7),
        shape(frame_308_shape_group_5_shape_6_horizontal_lines, 105, 10),
        shape(frame_308_shape_group_5_shape_7_horizontal_lines, 106, 7),
        shape(frame_308_shape_group_5_shape_8_horizontal_lines, 110, 1),
        shape(frame_308_shape_group_5_shape_9_horizontal_lines, 111, 5),
        shape(frame_308_shape_group_5_shape_10_horizontal_lines, 113, 1),
        shape(frame_308_shape_group_5_shape_11_horizontal_lines, 116, 7),
        shape(frame_308_shape_group_5_shape_12_horizontal_lines, 117, 1),
        shape(frame_308_shape_group_5_shape_13_horizontal_lines, 129, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(112, 139),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(56, 111),
        horizontal_line(55, 117),
        horizontal_line(55, 117),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(87, 88),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(56, 105),
        horizontal_line(57, 84),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(126, 143),
        horizontal_line(59, 121),
        horizontal_line(60, 122),
        horizontal_line(61, 102),
        horizontal_line(62, 81),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(124, 144),
        horizontal_line(119, 125),
        horizontal_line(52, 106),
        horizontal_line(47, 87),
        horizontal_line(42, 68),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_308_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_308_shape_group_6_shapes[] = {
        shape(frame_308_shape_group_6_shape_0_horizontal_lines, 71, 7),
        shape(frame_308_shape_group_6_shape_1_horizontal_lines, 72, 8),
        shape(frame_308_shape_group_6_shape_2_horizontal_lines, 75, 9),
        shape(frame_308_shape_group_6_shape_3_horizontal_lines, 77, 8),
        shape(frame_308_shape_group_6_shape_4_horizontal_lines, 78, 9),
        shape(frame_308_shape_group_6_shape_5_horizontal_lines, 101, 7),
        shape(frame_308_shape_group_6_shape_6_horizontal_lines, 102, 15),
        shape(frame_308_shape_group_6_shape_7_horizontal_lines, 103, 11),
        shape(frame_308_shape_group_6_shape_8_horizontal_lines, 105, 10),
        shape(frame_308_shape_group_6_shape_9_horizontal_lines, 110, 5),
        shape(frame_308_shape_group_6_shape_10_horizontal_lines, 116, 1),
        shape(frame_308_shape_group_6_shape_11_horizontal_lines, 121, 1),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(58, 94),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(117, 127),
        horizontal_line(152, 158),
        horizontal_line(65, 65),
        horizontal_line(76, 77),
        horizontal_line(95, 121),
        horizontal_line(98, 100),
        horizontal_line(102, 108),
        horizontal_line(103, 109),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(55, 98),
        horizontal_line(54, 98),
        horizontal_line(54, 98),
        horizontal_line(54, 98),
        horizontal_line(54, 98),
        horizontal_line(54, 97),
        horizontal_line(54, 97),
        horizontal_line(54, 96),
        horizontal_line(54, 96),
        horizontal_line(54, 74),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(108, 116),
        horizontal_line(111, 118),
        horizontal_line(115, 120),
        horizontal_line(118, 122),
        horizontal_line(122, 124),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(55, 117),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(106, 133),
        horizontal_line(85, 138),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(181, 202),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(145, 148),
        horizontal_line(151, 153),
        horizontal_line(155, 158),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(193, 238),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(83, 145),
    };

    constexpr const horizontal_line frame_308_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(37, 49),
    };

    constexpr const shape frame_308_shape_group_7_shapes[] = {
        shape(frame_308_shape_group_7_shape_0_horizontal_lines, 71, 8),
        shape(frame_308_shape_group_7_shape_1_horizontal_lines, 73, 8),
        shape(frame_308_shape_group_7_shape_2_horizontal_lines, 81, 2),
        shape(frame_308_shape_group_7_shape_3_horizontal_lines, 96, 15),
        shape(frame_308_shape_group_7_shape_4_horizontal_lines, 102, 11),
        shape(frame_308_shape_group_7_shape_5_horizontal_lines, 103, 10),
        shape(frame_308_shape_group_7_shape_6_horizontal_lines, 105, 1),
        shape(frame_308_shape_group_7_shape_7_horizontal_lines, 106, 10),
        shape(frame_308_shape_group_7_shape_8_horizontal_lines, 109, 1),
        shape(frame_308_shape_group_7_shape_9_horizontal_lines, 110, 5),
        shape(frame_308_shape_group_7_shape_10_horizontal_lines, 116, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(117, 144),
        horizontal_line(68, 130),
        horizontal_line(82, 133),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(55, 86),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(55, 98),
        horizontal_line(55, 99),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(103, 108),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(108, 110),
        horizontal_line(108, 112),
        horizontal_line(107, 114),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(133, 137),
        horizontal_line(135, 145),
        horizontal_line(138, 148),
        horizontal_line(140, 147),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(117, 127),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(134, 145),
        horizontal_line(139, 144),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(56, 57),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(121, 143),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(190, 229),
    };

    constexpr const horizontal_line frame_308_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(60, 61),
        horizontal_line(145, 163),
    };

    constexpr const shape frame_308_shape_group_8_shapes[] = {
        shape(frame_308_shape_group_8_shape_0_horizontal_lines, 74, 8),
        shape(frame_308_shape_group_8_shape_1_horizontal_lines, 77, 2),
        shape(frame_308_shape_group_8_shape_2_horizontal_lines, 78, 8),
        shape(frame_308_shape_group_8_shape_3_horizontal_lines, 79, 2),
        shape(frame_308_shape_group_8_shape_4_horizontal_lines, 81, 13),
        shape(frame_308_shape_group_8_shape_5_horizontal_lines, 92, 15),
        shape(frame_308_shape_group_8_shape_6_horizontal_lines, 96, 11),
        shape(frame_308_shape_group_8_shape_7_horizontal_lines, 97, 15),
        shape(frame_308_shape_group_8_shape_8_horizontal_lines, 102, 11),
        shape(frame_308_shape_group_8_shape_9_horizontal_lines, 103, 1),
        shape(frame_308_shape_group_8_shape_10_horizontal_lines, 105, 5),
        shape(frame_308_shape_group_8_shape_11_horizontal_lines, 106, 10),
        shape(frame_308_shape_group_8_shape_12_horizontal_lines, 108, 1),
        shape(frame_308_shape_group_8_shape_13_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(130, 145),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(55, 75),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(89, 94),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(55, 97),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(99, 101),
        horizontal_line(100, 102),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(100, 101),
        horizontal_line(102, 102),
        horizontal_line(101, 108),
        horizontal_line(100, 107),
        horizontal_line(99, 107),
        horizontal_line(100, 106),
        horizontal_line(131, 148),
        horizontal_line(54, 54),
        horizontal_line(62, 114),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
        horizontal_line(54, 116),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(175, 184),
        horizontal_line(178, 193),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(144, 150),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(184, 211),
        horizontal_line(187, 220),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(59, 60),
        horizontal_line(105, 159),
    };

    constexpr const horizontal_line frame_308_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(63, 82),
    };

    constexpr const shape frame_308_shape_group_9_shapes[] = {
        shape(frame_308_shape_group_9_shape_0_horizontal_lines, 75, 8),
        shape(frame_308_shape_group_9_shape_1_horizontal_lines, 76, 2),
        shape(frame_308_shape_group_9_shape_2_horizontal_lines, 77, 15),
        shape(frame_308_shape_group_9_shape_3_horizontal_lines, 78, 2),
        shape(frame_308_shape_group_9_shape_4_horizontal_lines, 79, 13),
        shape(frame_308_shape_group_9_shape_5_horizontal_lines, 81, 11),
        shape(frame_308_shape_group_9_shape_6_horizontal_lines, 102, 10),
        shape(frame_308_shape_group_9_shape_7_horizontal_lines, 103, 1),
        shape(frame_308_shape_group_9_shape_8_horizontal_lines, 105, 5),
        shape(frame_308_shape_group_9_shape_9_horizontal_lines, 106, 1),
        shape(frame_308_shape_group_9_shape_10_horizontal_lines, 108, 5),
        shape(frame_308_shape_group_9_shape_11_horizontal_lines, 110, 12),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(55, 64),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(122, 147),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(101, 108),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(109, 135),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(109, 148),
        horizontal_line(110, 148),
        horizontal_line(115, 148),
        horizontal_line(120, 148),
        horizontal_line(125, 148),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(76, 106),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(84, 110),
        horizontal_line(146, 148),
        horizontal_line(116, 117),
        horizontal_line(116, 121),
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(129, 144),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(54, 55),
        horizontal_line(55, 56),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(57, 58),
        horizontal_line(58, 59),
        horizontal_line(127, 154),
    };

    constexpr const horizontal_line frame_308_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(82, 104),
    };

    constexpr const shape frame_308_shape_group_10_shapes[] = {
        shape(frame_308_shape_group_10_shape_0_horizontal_lines, 75, 2),
        shape(frame_308_shape_group_10_shape_1_horizontal_lines, 76, 15),
        shape(frame_308_shape_group_10_shape_2_horizontal_lines, 77, 13),
        shape(frame_308_shape_group_10_shape_3_horizontal_lines, 78, 15),
        shape(frame_308_shape_group_10_shape_4_horizontal_lines, 79, 13),
        shape(frame_308_shape_group_10_shape_5_horizontal_lines, 81, 11),
        shape(frame_308_shape_group_10_shape_6_horizontal_lines, 96, 10),
        shape(frame_308_shape_group_10_shape_7_horizontal_lines, 97, 11),
        shape(frame_308_shape_group_10_shape_8_horizontal_lines, 102, 1),
        shape(frame_308_shape_group_10_shape_9_horizontal_lines, 103, 5),
        shape(frame_308_shape_group_10_shape_10_horizontal_lines, 106, 5),
        shape(frame_308_shape_group_10_shape_11_horizontal_lines, 109, 12),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(66, 67),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(134, 146),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(110, 148),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(136, 148),
        horizontal_line(111, 148),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(97, 99),
        horizontal_line(98, 98),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(117, 130),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(138, 148),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(54, 61),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(123, 137),
        horizontal_line(125, 139),
        horizontal_line(127, 141),
        horizontal_line(172, 175),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(146, 151),
        horizontal_line(145, 150),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_308_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(103, 126),
    };

    constexpr const shape frame_308_shape_group_11_shapes[] = {
        shape(frame_308_shape_group_11_shape_0_horizontal_lines, 75, 15),
        shape(frame_308_shape_group_11_shape_1_horizontal_lines, 76, 13),
        shape(frame_308_shape_group_11_shape_2_horizontal_lines, 78, 13),
        shape(frame_308_shape_group_11_shape_3_horizontal_lines, 79, 11),
        shape(frame_308_shape_group_11_shape_4_horizontal_lines, 90, 10),
        shape(frame_308_shape_group_11_shape_5_horizontal_lines, 96, 1),
        shape(frame_308_shape_group_11_shape_6_horizontal_lines, 97, 11),
        shape(frame_308_shape_group_11_shape_7_horizontal_lines, 98, 10),
        shape(frame_308_shape_group_11_shape_8_horizontal_lines, 99, 1),
        shape(frame_308_shape_group_11_shape_9_horizontal_lines, 103, 5),
        shape(frame_308_shape_group_11_shape_10_horizontal_lines, 106, 5),
        shape(frame_308_shape_group_11_shape_11_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_308_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(113, 119),
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_308_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(54, 75),
    };

    constexpr const horizontal_line frame_308_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(55, 83),
    };

    constexpr const horizontal_line frame_308_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(121, 134),
    };

    constexpr const horizontal_line frame_308_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(149, 154),
        horizontal_line(148, 153),
        horizontal_line(147, 152),
        horizontal_line(53, 54),
    };

    constexpr const horizontal_line frame_308_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(144, 144),
        horizontal_line(123, 149),
    };

    constexpr const shape frame_308_shape_group_12_shapes[] = {
        shape(frame_308_shape_group_12_shape_0_horizontal_lines, 93, 1),
        shape(frame_308_shape_group_12_shape_1_horizontal_lines, 96, 3),
        shape(frame_308_shape_group_12_shape_2_horizontal_lines, 97, 10),
        shape(frame_308_shape_group_12_shape_3_horizontal_lines, 98, 1),
        shape(frame_308_shape_group_12_shape_4_horizontal_lines, 99, 5),
        shape(frame_308_shape_group_12_shape_5_horizontal_lines, 106, 12),
    };

    constexpr const horizontal_line frame_308_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(75, 98),
    };

    constexpr const horizontal_line frame_308_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_308_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(146, 152),
    };

    constexpr const shape frame_308_shape_group_13_shapes[] = {
        shape(frame_308_shape_group_13_shape_0_horizontal_lines, 94, 3),
        shape(frame_308_shape_group_13_shape_1_horizontal_lines, 97, 1),
        shape(frame_308_shape_group_13_shape_2_horizontal_lines, 102, 5),
    };

    constexpr const shape_group frame_308_shape_groups[] = {
        shape_group(frame_308_shape_group_0_shapes),
        shape_group(frame_308_shape_group_1_shapes),
        shape_group(frame_308_shape_group_2_shapes),
        shape_group(frame_308_shape_group_3_shapes),
        shape_group(frame_308_shape_group_4_shapes),
        shape_group(frame_308_shape_group_5_shapes),
        shape_group(frame_308_shape_group_6_shapes),
        shape_group(frame_308_shape_group_7_shapes),
        shape_group(frame_308_shape_group_8_shapes),
        shape_group(frame_308_shape_group_9_shapes),
        shape_group(frame_308_shape_group_10_shapes),
        shape_group(frame_308_shape_group_11_shapes),
        shape_group(frame_308_shape_group_12_shapes),
        shape_group(frame_308_shape_group_13_shapes),
    };

    constexpr const frame frame_308_impl(frame_308_colors, frame_308_shape_groups);
} 

const frame& frame_308()
{
    return frame_308_impl;
}

namespace
{
    constexpr const bn::color frame_309_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_309_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(2, 27),
        horizontal_line(4, 29),
        horizontal_line(7, 31),
        horizontal_line(9, 29),
        horizontal_line(12, 28),
        horizontal_line(14, 26),
        horizontal_line(17, 25),
        horizontal_line(19, 23),
        horizontal_line(22, 22),
        horizontal_line(22, 31),
        horizontal_line(22, 41),
        horizontal_line(22, 54),
        horizontal_line(22, 50),
        horizontal_line(22, 50),
        horizontal_line(22, 50),
        horizontal_line(22, 50),
        horizontal_line(22, 50),
        horizontal_line(21, 50),
        horizontal_line(21, 50),
        horizontal_line(21, 50),
        horizontal_line(21, 50),
        horizontal_line(21, 50),
        horizontal_line(21, 50),
        horizontal_line(21, 49),
        horizontal_line(21, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 49),
        horizontal_line(20, 49),
        horizontal_line(19, 49),
        horizontal_line(19, 48),
        horizontal_line(19, 48),
        horizontal_line(19, 48),
        horizontal_line(19, 48),
        horizontal_line(19, 48),
        horizontal_line(19, 48),
        horizontal_line(19, 48),
        horizontal_line(18, 48),
        horizontal_line(18, 48),
        horizontal_line(18, 48),
        horizontal_line(18, 48),
        horizontal_line(18, 40),
        horizontal_line(18, 32),
        horizontal_line(18, 24),
    };

    constexpr const horizontal_line frame_309_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 51),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(21, 54),
        horizontal_line(21, 55),
        horizontal_line(22, 56),
        horizontal_line(23, 57),
        horizontal_line(24, 50),
        horizontal_line(24, 44),
        horizontal_line(25, 38),
        horizontal_line(26, 32),
        horizontal_line(26, 88),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 55),
        horizontal_line(0, 41),
        horizontal_line(0, 27),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_309_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_309_shape_group_0_shapes[] = {
        shape(frame_309_shape_group_0_shape_0_horizontal_lines, 44, 14),
        shape(frame_309_shape_group_0_shape_1_horizontal_lines, 106, 9),
        shape(frame_309_shape_group_0_shape_2_horizontal_lines, 154, 5),
    };

    constexpr const horizontal_line frame_309_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 235),
        horizontal_line(204, 231),
        horizontal_line(200, 227),
        horizontal_line(197, 223),
        horizontal_line(194, 219),
        horizontal_line(191, 215),
        horizontal_line(58, 59),
        horizontal_line(56, 60),
        horizontal_line(54, 57),
        horizontal_line(178, 199),
        horizontal_line(175, 195),
        horizontal_line(172, 191),
        horizontal_line(169, 187),
        horizontal_line(169, 183),
        horizontal_line(170, 179),
        horizontal_line(149, 155),
        horizontal_line(150, 156),
        horizontal_line(151, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(158, 171),
        horizontal_line(159, 171),
    };

    constexpr const horizontal_line frame_309_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(154, 169),
        horizontal_line(18, 52),
        horizontal_line(19, 52),
        horizontal_line(20, 53),
        horizontal_line(162, 167),
        horizontal_line(168, 168),
        horizontal_line(147, 172),
        horizontal_line(127, 176),
        horizontal_line(107, 169),
        horizontal_line(86, 148),
        horizontal_line(66, 128),
        horizontal_line(46, 108),
        horizontal_line(88, 150),
        horizontal_line(85, 147),
        horizontal_line(83, 145),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 111),
        horizontal_line(62, 97),
        horizontal_line(62, 83),
        horizontal_line(62, 69),
    };

    constexpr const horizontal_line frame_309_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(42, 104),
        horizontal_line(28, 90),
        horizontal_line(14, 76),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_309_shape_group_1_shapes[] = {
        shape(frame_309_shape_group_1_shape_0_horizontal_lines, 50, 14),
        shape(frame_309_shape_group_1_shape_1_horizontal_lines, 102, 9),
        shape(frame_309_shape_group_1_shape_2_horizontal_lines, 150, 5),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(188, 211),
        horizontal_line(184, 207),
        horizontal_line(181, 203),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(171, 175),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(157, 171),
        horizontal_line(41, 48),
        horizontal_line(33, 49),
        horizontal_line(25, 50),
        horizontal_line(205, 239),
        horizontal_line(154, 168),
        horizontal_line(154, 168),
        horizontal_line(158, 167),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(169, 181),
        horizontal_line(148, 185),
        horizontal_line(128, 190),
        horizontal_line(108, 170),
        horizontal_line(150, 199),
        horizontal_line(147, 203),
        horizontal_line(145, 207),
        horizontal_line(143, 205),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 181),
        horizontal_line(124, 167),
        horizontal_line(124, 153),
        horizontal_line(124, 139),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_309_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(112, 174),
        horizontal_line(98, 160),
        horizontal_line(84, 146),
        horizontal_line(70, 132),
        horizontal_line(118, 180),
        horizontal_line(104, 166),
        horizontal_line(90, 152),
        horizontal_line(76, 138),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_309_shape_group_2_shapes[] = {
        shape(frame_309_shape_group_2_shape_0_horizontal_lines, 58, 9),
        shape(frame_309_shape_group_2_shape_1_horizontal_lines, 66, 14),
        shape(frame_309_shape_group_2_shape_2_horizontal_lines, 69, 9),
        shape(frame_309_shape_group_2_shape_3_horizontal_lines, 75, 14),
        shape(frame_309_shape_group_2_shape_4_horizontal_lines, 77, 9),
        shape(frame_309_shape_group_2_shape_5_horizontal_lines, 111, 7),
        shape(frame_309_shape_group_2_shape_6_horizontal_lines, 114, 9),
        shape(frame_309_shape_group_2_shape_7_horizontal_lines, 146, 5),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(224, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(200, 239),
        horizontal_line(51, 52),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(50, 51),
        horizontal_line(50, 51),
        horizontal_line(50, 51),
        horizontal_line(50, 51),
        horizontal_line(50, 51),
        horizontal_line(50, 50),
        horizontal_line(50, 50),
        horizontal_line(50, 50),
        horizontal_line(50, 50),
        horizontal_line(50, 50),
        horizontal_line(50, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 50),
        horizontal_line(173, 235),
        horizontal_line(156, 170),
        horizontal_line(156, 170),
        horizontal_line(155, 169),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(170, 184),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(222, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(169, 199),
        horizontal_line(173, 202),
        horizontal_line(177, 205),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(190, 190),
        horizontal_line(170, 194),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(207, 207),
        horizontal_line(205, 212),
        horizontal_line(203, 216),
        horizontal_line(201, 221),
        horizontal_line(199, 225),
        horizontal_line(196, 230),
        horizontal_line(194, 234),
        horizontal_line(192, 239),
        horizontal_line(190, 239),
        horizontal_line(188, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 238),
        horizontal_line(186, 223),
        horizontal_line(186, 209),
        horizontal_line(186, 195),
    };

    constexpr const horizontal_line frame_309_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(168, 230),
        horizontal_line(154, 216),
        horizontal_line(140, 202),
        horizontal_line(126, 188),
        horizontal_line(174, 236),
        horizontal_line(160, 222),
        horizontal_line(146, 208),
        horizontal_line(132, 194),
        horizontal_line(180, 239),
        horizontal_line(166, 228),
        horizontal_line(152, 214),
        horizontal_line(138, 200),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_309_shape_group_3_shapes[] = {
        shape(frame_309_shape_group_3_shape_0_horizontal_lines, 60, 9),
        shape(frame_309_shape_group_3_shape_1_horizontal_lines, 106, 7),
        shape(frame_309_shape_group_3_shape_2_horizontal_lines, 107, 9),
        shape(frame_309_shape_group_3_shape_3_horizontal_lines, 110, 7),
        shape(frame_309_shape_group_3_shape_4_horizontal_lines, 116, 9),
        shape(frame_309_shape_group_3_shape_5_horizontal_lines, 118, 7),
        shape(frame_309_shape_group_3_shape_6_horizontal_lines, 120, 9),
        shape(frame_309_shape_group_3_shape_7_horizontal_lines, 141, 5),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(37, 41),
        horizontal_line(43, 53),
        horizontal_line(48, 64),
        horizontal_line(54, 76),
        horizontal_line(60, 87),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(106, 133),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(192, 239),
        horizontal_line(188, 239),
        horizontal_line(184, 239),
        horizontal_line(180, 239),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(172, 234),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(152, 157),
        horizontal_line(153, 157),
        horizontal_line(156, 157),
        horizontal_line(158, 158),
        horizontal_line(235, 239),
        horizontal_line(180, 239),
        horizontal_line(188, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(56, 118),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(12, 17),
        horizontal_line(6, 18),
        horizontal_line(1, 19),
        horizontal_line(168, 196),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(182, 208),
        horizontal_line(186, 211),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(200, 220),
        horizontal_line(204, 223),
        horizontal_line(208, 226),
        horizontal_line(213, 229),
        horizontal_line(217, 232),
        horizontal_line(222, 235),
        horizontal_line(226, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(224, 239),
        horizontal_line(210, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(216, 239),
        horizontal_line(202, 239),
        horizontal_line(188, 239),
        horizontal_line(236, 239),
        horizontal_line(222, 239),
        horizontal_line(208, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(214, 239),
        horizontal_line(200, 239),
    };

    constexpr const shape frame_309_shape_group_4_shapes[] = {
        shape(frame_309_shape_group_4_shape_0_horizontal_lines, 61, 7),
        shape(frame_309_shape_group_4_shape_1_horizontal_lines, 66, 9),
        shape(frame_309_shape_group_4_shape_2_horizontal_lines, 69, 7),
        shape(frame_309_shape_group_4_shape_3_horizontal_lines, 70, 9),
        shape(frame_309_shape_group_4_shape_4_horizontal_lines, 106, 10),
        shape(frame_309_shape_group_4_shape_5_horizontal_lines, 107, 7),
        shape(frame_309_shape_group_4_shape_6_horizontal_lines, 111, 1),
        shape(frame_309_shape_group_4_shape_7_horizontal_lines, 114, 7),
        shape(frame_309_shape_group_4_shape_8_horizontal_lines, 127, 1),
        shape(frame_309_shape_group_4_shape_9_horizontal_lines, 137, 5),
        shape(frame_309_shape_group_4_shape_10_horizontal_lines, 142, 5),
        shape(frame_309_shape_group_4_shape_11_horizontal_lines, 151, 5),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(70, 99),
        horizontal_line(82, 110),
        horizontal_line(94, 122),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(55, 84),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(118, 145),
        horizontal_line(130, 156),
        horizontal_line(142, 168),
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(52, 54),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(176, 238),
        horizontal_line(173, 235),
        horizontal_line(234, 239),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(172, 172),
        horizontal_line(171, 175),
        horizontal_line(171, 178),
        horizontal_line(170, 181),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(118, 145),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(169, 187),
        horizontal_line(169, 190),
        horizontal_line(168, 193),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(56, 58),
        horizontal_line(57, 57),
        horizontal_line(58, 120),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(191, 214),
        horizontal_line(195, 217),
    };

    constexpr const horizontal_line frame_309_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(13, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const shape frame_309_shape_group_5_shapes[] = {
        shape(frame_309_shape_group_5_shape_0_horizontal_lines, 66, 7),
        shape(frame_309_shape_group_5_shape_1_horizontal_lines, 69, 8),
        shape(frame_309_shape_group_5_shape_2_horizontal_lines, 70, 7),
        shape(frame_309_shape_group_5_shape_3_horizontal_lines, 74, 8),
        shape(frame_309_shape_group_5_shape_4_horizontal_lines, 75, 9),
        shape(frame_309_shape_group_5_shape_5_horizontal_lines, 102, 7),
        shape(frame_309_shape_group_5_shape_6_horizontal_lines, 106, 10),
        shape(frame_309_shape_group_5_shape_7_horizontal_lines, 107, 7),
        shape(frame_309_shape_group_5_shape_8_horizontal_lines, 110, 10),
        shape(frame_309_shape_group_5_shape_9_horizontal_lines, 111, 5),
        shape(frame_309_shape_group_5_shape_10_horizontal_lines, 114, 1),
        shape(frame_309_shape_group_5_shape_11_horizontal_lines, 116, 7),
        shape(frame_309_shape_group_5_shape_12_horizontal_lines, 118, 1),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(58, 71),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(53, 96),
        horizontal_line(52, 109),
        horizontal_line(52, 114),
        horizontal_line(52, 114),
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(87, 89),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(145, 149),
        horizontal_line(147, 148),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(54, 83),
        horizontal_line(55, 61),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(57, 119),
        horizontal_line(58, 116),
        horizontal_line(59, 87),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(197, 238),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(105, 167),
        horizontal_line(81, 143),
        horizontal_line(120, 126),
        horizontal_line(51, 106),
        horizontal_line(45, 85),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_309_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_309_shape_group_6_shapes[] = {
        shape(frame_309_shape_group_6_shape_0_horizontal_lines, 68, 8),
        shape(frame_309_shape_group_6_shape_1_horizontal_lines, 70, 8),
        shape(frame_309_shape_group_6_shape_2_horizontal_lines, 75, 9),
        shape(frame_309_shape_group_6_shape_3_horizontal_lines, 77, 8),
        shape(frame_309_shape_group_6_shape_4_horizontal_lines, 78, 9),
        shape(frame_309_shape_group_6_shape_5_horizontal_lines, 102, 15),
        shape(frame_309_shape_group_6_shape_6_horizontal_lines, 104, 11),
        shape(frame_309_shape_group_6_shape_7_horizontal_lines, 106, 1),
        shape(frame_309_shape_group_6_shape_8_horizontal_lines, 107, 10),
        shape(frame_309_shape_group_6_shape_9_horizontal_lines, 110, 1),
        shape(frame_309_shape_group_6_shape_10_horizontal_lines, 111, 5),
        shape(frame_309_shape_group_6_shape_11_horizontal_lines, 116, 1),
        shape(frame_309_shape_group_6_shape_12_horizontal_lines, 119, 1),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(114, 121),
        horizontal_line(114, 134),
        horizontal_line(149, 161),
        horizontal_line(52, 52),
        horizontal_line(76, 77),
        horizontal_line(98, 122),
        horizontal_line(99, 101),
        horizontal_line(104, 111),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(52, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 98),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(109, 111),
        horizontal_line(109, 113),
        horizontal_line(108, 115),
        horizontal_line(108, 117),
        horizontal_line(109, 119),
        horizontal_line(113, 121),
        horizontal_line(117, 123),
        horizontal_line(121, 125),
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(52, 114),
        horizontal_line(53, 105),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(84, 137),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(185, 204),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(148, 149),
        horizontal_line(151, 153),
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(55, 59),
        horizontal_line(167, 167),
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_309_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(39, 65),
        horizontal_line(33, 45),
    };

    constexpr const shape frame_309_shape_group_7_shapes[] = {
        shape(frame_309_shape_group_7_shape_0_horizontal_lines, 72, 8),
        shape(frame_309_shape_group_7_shape_1_horizontal_lines, 80, 2),
        shape(frame_309_shape_group_7_shape_2_horizontal_lines, 92, 15),
        shape(frame_309_shape_group_7_shape_3_horizontal_lines, 102, 11),
        shape(frame_309_shape_group_7_shape_4_horizontal_lines, 104, 10),
        shape(frame_309_shape_group_7_shape_5_horizontal_lines, 106, 1),
        shape(frame_309_shape_group_7_shape_6_horizontal_lines, 107, 10),
        shape(frame_309_shape_group_7_shape_7_horizontal_lines, 110, 5),
        shape(frame_309_shape_group_7_shape_8_horizontal_lines, 116, 5),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(125, 147),
        horizontal_line(64, 65),
        horizontal_line(86, 135),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(90, 97),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(52, 100),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(103, 109),
        horizontal_line(103, 109),
        horizontal_line(103, 109),
        horizontal_line(103, 109),
        horizontal_line(103, 109),
        horizontal_line(104, 109),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(51, 98),
        horizontal_line(51, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 74),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(51, 52),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(135, 137),
        horizontal_line(137, 143),
        horizontal_line(139, 148),
        horizontal_line(141, 150),
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(114, 128),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(106, 133),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(138, 147),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(124, 141),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(52, 55),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(119, 146),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(191, 221),
        horizontal_line(194, 229),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(129, 160),
    };

    constexpr const horizontal_line frame_309_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(59, 104),
        horizontal_line(58, 80),
    };

    constexpr const shape frame_309_shape_group_8_shapes[] = {
        shape(frame_309_shape_group_8_shape_0_horizontal_lines, 74, 8),
        shape(frame_309_shape_group_8_shape_1_horizontal_lines, 77, 15),
        shape(frame_309_shape_group_8_shape_2_horizontal_lines, 78, 8),
        shape(frame_309_shape_group_8_shape_3_horizontal_lines, 79, 2),
        shape(frame_309_shape_group_8_shape_4_horizontal_lines, 80, 13),
        shape(frame_309_shape_group_8_shape_5_horizontal_lines, 92, 2),
        shape(frame_309_shape_group_8_shape_6_horizontal_lines, 96, 11),
        shape(frame_309_shape_group_8_shape_7_horizontal_lines, 97, 15),
        shape(frame_309_shape_group_8_shape_8_horizontal_lines, 102, 11),
        shape(frame_309_shape_group_8_shape_9_horizontal_lines, 103, 10),
        shape(frame_309_shape_group_8_shape_10_horizontal_lines, 104, 1),
        shape(frame_309_shape_group_8_shape_11_horizontal_lines, 105, 10),
        shape(frame_309_shape_group_8_shape_12_horizontal_lines, 106, 5),
        shape(frame_309_shape_group_8_shape_13_horizontal_lines, 107, 10),
        shape(frame_309_shape_group_8_shape_14_horizontal_lines, 108, 1),
        shape(frame_309_shape_group_8_shape_15_horizontal_lines, 110, 5),
        shape(frame_309_shape_group_8_shape_16_horizontal_lines, 111, 12),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(55, 62),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(75, 137),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(78, 85),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(52, 86),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(102, 109),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(101, 103),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(101, 102),
        horizontal_line(103, 103),
        horizontal_line(102, 109),
        horizontal_line(101, 108),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(105, 107),
        horizontal_line(51, 53),
        horizontal_line(73, 112),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
        horizontal_line(51, 113),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(134, 146),
        horizontal_line(179, 187),
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(147, 153),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(188, 212),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(53, 57),
        horizontal_line(54, 58),
    };

    constexpr const horizontal_line frame_309_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(60, 122),
    };

    constexpr const shape frame_309_shape_group_9_shapes[] = {
        shape(frame_309_shape_group_9_shape_0_horizontal_lines, 74, 15),
        shape(frame_309_shape_group_9_shape_1_horizontal_lines, 75, 8),
        shape(frame_309_shape_group_9_shape_2_horizontal_lines, 76, 15),
        shape(frame_309_shape_group_9_shape_3_horizontal_lines, 77, 2),
        shape(frame_309_shape_group_9_shape_4_horizontal_lines, 78, 15),
        shape(frame_309_shape_group_9_shape_5_horizontal_lines, 79, 13),
        shape(frame_309_shape_group_9_shape_6_horizontal_lines, 80, 11),
        shape(frame_309_shape_group_9_shape_7_horizontal_lines, 102, 10),
        shape(frame_309_shape_group_9_shape_8_horizontal_lines, 103, 1),
        shape(frame_309_shape_group_9_shape_9_horizontal_lines, 106, 5),
        shape(frame_309_shape_group_9_shape_10_horizontal_lines, 107, 1),
        shape(frame_309_shape_group_9_shape_11_horizontal_lines, 108, 5),
        shape(frame_309_shape_group_9_shape_12_horizontal_lines, 110, 12),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(137, 148),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(52, 75),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(123, 150),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(52, 98),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(111, 151),
        horizontal_line(111, 151),
        horizontal_line(111, 151),
        horizontal_line(111, 151),
        horizontal_line(111, 151),
        horizontal_line(111, 151),
        horizontal_line(110, 151),
        horizontal_line(110, 151),
        horizontal_line(110, 151),
        horizontal_line(110, 151),
        horizontal_line(110, 151),
        horizontal_line(110, 151),
        horizontal_line(111, 151),
        horizontal_line(116, 151),
        horizontal_line(100, 108),
        horizontal_line(101, 107),
        horizontal_line(133, 151),
        horizontal_line(108, 108),
        horizontal_line(144, 151),
        horizontal_line(149, 151),
        horizontal_line(113, 120),
        horizontal_line(113, 124),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(130, 144),
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(50, 53),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(182, 196),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(53, 56),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(117, 150),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_309_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(122, 128),
    };

    constexpr const shape frame_309_shape_group_10_shapes[] = {
        shape(frame_309_shape_group_10_shape_0_horizontal_lines, 75, 8),
        shape(frame_309_shape_group_10_shape_1_horizontal_lines, 76, 2),
        shape(frame_309_shape_group_10_shape_2_horizontal_lines, 77, 13),
        shape(frame_309_shape_group_10_shape_3_horizontal_lines, 78, 2),
        shape(frame_309_shape_group_10_shape_4_horizontal_lines, 79, 13),
        shape(frame_309_shape_group_10_shape_5_horizontal_lines, 80, 11),
        shape(frame_309_shape_group_10_shape_6_horizontal_lines, 102, 1),
        shape(frame_309_shape_group_10_shape_7_horizontal_lines, 104, 5),
        shape(frame_309_shape_group_10_shape_8_horizontal_lines, 105, 1),
        shape(frame_309_shape_group_10_shape_9_horizontal_lines, 107, 5),
        shape(frame_309_shape_group_10_shape_10_horizontal_lines, 108, 12),
        shape(frame_309_shape_group_10_shape_11_horizontal_lines, 109, 5),
        shape(frame_309_shape_group_10_shape_12_horizontal_lines, 110, 12),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(136, 149),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(111, 138),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(113, 151),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(99, 102),
        horizontal_line(99, 101),
        horizontal_line(98, 100),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(122, 151),
        horizontal_line(127, 151),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(76, 104),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(138, 151),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(51, 72),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(113, 116),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(126, 140),
        horizontal_line(128, 142),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(49, 51),
        horizontal_line(49, 52),
        horizontal_line(148, 155),
        horizontal_line(51, 54),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(150, 153),
    };

    constexpr const horizontal_line frame_309_shape_group_11_shape_13_horizontal_lines[] = {
        horizontal_line(88, 150),
    };

    constexpr const shape frame_309_shape_group_11_shapes[] = {
        shape(frame_309_shape_group_11_shape_0_horizontal_lines, 75, 15),
        shape(frame_309_shape_group_11_shape_1_horizontal_lines, 76, 13),
        shape(frame_309_shape_group_11_shape_2_horizontal_lines, 78, 13),
        shape(frame_309_shape_group_11_shape_3_horizontal_lines, 79, 11),
        shape(frame_309_shape_group_11_shape_4_horizontal_lines, 90, 10),
        shape(frame_309_shape_group_11_shape_5_horizontal_lines, 94, 11),
        shape(frame_309_shape_group_11_shape_6_horizontal_lines, 96, 10),
        shape(frame_309_shape_group_11_shape_7_horizontal_lines, 97, 11),
        shape(frame_309_shape_group_11_shape_8_horizontal_lines, 98, 10),
        shape(frame_309_shape_group_11_shape_9_horizontal_lines, 99, 11),
        shape(frame_309_shape_group_11_shape_10_horizontal_lines, 100, 1),
        shape(frame_309_shape_group_11_shape_11_horizontal_lines, 102, 5),
        shape(frame_309_shape_group_11_shape_12_horizontal_lines, 107, 5),
        shape(frame_309_shape_group_11_shape_13_horizontal_lines, 109, 12),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(53, 63),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(139, 151),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(118, 132),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(54, 107),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(122, 136),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(151, 155),
        horizontal_line(150, 157),
        horizontal_line(150, 156),
        horizontal_line(149, 155),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(148, 154),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_9_horizontal_lines[] = {
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_309_shape_group_12_shape_10_horizontal_lines[] = {
        horizontal_line(150, 152),
    };

    constexpr const shape frame_309_shape_group_12_shapes[] = {
        shape(frame_309_shape_group_12_shape_0_horizontal_lines, 75, 2),
        shape(frame_309_shape_group_12_shape_1_horizontal_lines, 78, 11),
        shape(frame_309_shape_group_12_shape_2_horizontal_lines, 93, 1),
        shape(frame_309_shape_group_12_shape_3_horizontal_lines, 94, 10),
        shape(frame_309_shape_group_12_shape_4_horizontal_lines, 96, 1),
        shape(frame_309_shape_group_12_shape_5_horizontal_lines, 97, 10),
        shape(frame_309_shape_group_12_shape_6_horizontal_lines, 98, 1),
        shape(frame_309_shape_group_12_shape_7_horizontal_lines, 100, 5),
        shape(frame_309_shape_group_12_shape_8_horizontal_lines, 105, 5),
        shape(frame_309_shape_group_12_shape_9_horizontal_lines, 107, 12),
        shape(frame_309_shape_group_12_shape_10_horizontal_lines, 109, 12),
    };

    constexpr const horizontal_line frame_309_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(114, 121),
        horizontal_line(116, 126),
    };

    constexpr const horizontal_line frame_309_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(53, 75),
    };

    constexpr const horizontal_line frame_309_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(120, 134),
    };

    constexpr const horizontal_line frame_309_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(152, 152),
    };

    constexpr const shape frame_309_shape_group_13_shapes[] = {
        shape(frame_309_shape_group_13_shape_0_horizontal_lines, 94, 1),
        shape(frame_309_shape_group_13_shape_1_horizontal_lines, 96, 3),
        shape(frame_309_shape_group_13_shape_2_horizontal_lines, 97, 1),
        shape(frame_309_shape_group_13_shape_3_horizontal_lines, 99, 5),
    };

    constexpr const horizontal_line frame_309_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(75, 99),
    };

    constexpr const shape frame_309_shape_group_14_shapes[] = {
        shape(frame_309_shape_group_14_shape_0_horizontal_lines, 94, 3),
    };

    constexpr const shape_group frame_309_shape_groups[] = {
        shape_group(frame_309_shape_group_0_shapes),
        shape_group(frame_309_shape_group_1_shapes),
        shape_group(frame_309_shape_group_2_shapes),
        shape_group(frame_309_shape_group_3_shapes),
        shape_group(frame_309_shape_group_4_shapes),
        shape_group(frame_309_shape_group_5_shapes),
        shape_group(frame_309_shape_group_6_shapes),
        shape_group(frame_309_shape_group_7_shapes),
        shape_group(frame_309_shape_group_8_shapes),
        shape_group(frame_309_shape_group_9_shapes),
        shape_group(frame_309_shape_group_10_shapes),
        shape_group(frame_309_shape_group_11_shapes),
        shape_group(frame_309_shape_group_12_shapes),
        shape_group(frame_309_shape_group_13_shapes),
        shape_group(frame_309_shape_group_14_shapes),
    };

    constexpr const frame frame_309_impl(frame_309_colors, frame_309_shape_groups);
} 

const frame& frame_309()
{
    return frame_309_impl;
}

namespace
{
    constexpr const bn::color frame_310_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_310_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(2, 25),
        horizontal_line(5, 23),
        horizontal_line(8, 21),
        horizontal_line(10, 19),
        horizontal_line(13, 17),
        horizontal_line(16, 16),
        horizontal_line(16, 23),
        horizontal_line(16, 31),
        horizontal_line(16, 39),
        horizontal_line(16, 54),
        horizontal_line(16, 46),
        horizontal_line(16, 46),
        horizontal_line(16, 46),
        horizontal_line(15, 46),
        horizontal_line(15, 46),
        horizontal_line(15, 46),
        horizontal_line(15, 46),
        horizontal_line(15, 46),
        horizontal_line(15, 45),
        horizontal_line(15, 45),
        horizontal_line(14, 45),
        horizontal_line(14, 45),
        horizontal_line(14, 45),
        horizontal_line(14, 45),
        horizontal_line(14, 45),
        horizontal_line(14, 45),
        horizontal_line(14, 45),
        horizontal_line(13, 44),
        horizontal_line(13, 44),
        horizontal_line(13, 44),
        horizontal_line(13, 44),
        horizontal_line(13, 44),
        horizontal_line(13, 44),
        horizontal_line(13, 44),
        horizontal_line(12, 44),
        horizontal_line(12, 44),
        horizontal_line(12, 43),
        horizontal_line(12, 43),
        horizontal_line(12, 43),
        horizontal_line(12, 43),
        horizontal_line(12, 43),
        horizontal_line(11, 43),
        horizontal_line(11, 43),
        horizontal_line(11, 43),
        horizontal_line(11, 43),
        horizontal_line(11, 34),
        horizontal_line(11, 26),
        horizontal_line(11, 18),
    };

    constexpr const horizontal_line frame_310_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(13, 49),
        horizontal_line(13, 50),
        horizontal_line(14, 51),
        horizontal_line(15, 52),
        horizontal_line(15, 53),
        horizontal_line(16, 54),
        horizontal_line(17, 49),
        horizontal_line(17, 44),
        horizontal_line(18, 39),
        horizontal_line(19, 34),
        horizontal_line(19, 29),
        horizontal_line(20, 24),
        horizontal_line(20, 82),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_310_shape_group_0_shapes[] = {
        shape(frame_310_shape_group_0_shape_0_horizontal_lines, 44, 14),
        shape(frame_310_shape_group_0_shape_1_horizontal_lines, 106, 9),
    };

    constexpr const horizontal_line frame_310_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
        horizontal_line(217, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(204, 239),
        horizontal_line(201, 234),
        horizontal_line(198, 230),
        horizontal_line(54, 57),
        horizontal_line(52, 58),
        horizontal_line(50, 56),
        horizontal_line(185, 213),
        horizontal_line(49, 52),
        horizontal_line(179, 205),
        horizontal_line(176, 201),
        horizontal_line(173, 197),
        horizontal_line(173, 192),
        horizontal_line(174, 188),
        horizontal_line(153, 159),
        horizontal_line(154, 160),
        horizontal_line(155, 176),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(162, 175),
        horizontal_line(163, 175),
    };

    constexpr const horizontal_line frame_310_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(159, 174),
        horizontal_line(11, 47),
        horizontal_line(12, 48),
        horizontal_line(161, 173),
        horizontal_line(166, 172),
        horizontal_line(163, 172),
        horizontal_line(168, 171),
        horizontal_line(172, 172),
        horizontal_line(153, 176),
        horizontal_line(134, 180),
        horizontal_line(115, 177),
        horizontal_line(96, 158),
        horizontal_line(77, 139),
        horizontal_line(58, 120),
        horizontal_line(39, 101),
        horizontal_line(82, 144),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 119),
        horizontal_line(62, 106),
        horizontal_line(62, 93),
    };

    constexpr const shape frame_310_shape_group_1_shapes[] = {
        shape(frame_310_shape_group_1_shape_0_horizontal_lines, 50, 14),
        shape(frame_310_shape_group_1_shape_1_horizontal_lines, 103, 9),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(195, 226),
        horizontal_line(191, 222),
        horizontal_line(188, 218),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(182, 209),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(174, 184),
        horizontal_line(175, 180),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(35, 43),
        horizontal_line(27, 44),
        horizontal_line(19, 45),
        horizontal_line(200, 239),
        horizontal_line(158, 174),
        horizontal_line(158, 173),
        horizontal_line(223, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(177, 184),
        horizontal_line(158, 188),
        horizontal_line(139, 192),
        horizontal_line(120, 182),
        horizontal_line(101, 163),
        horizontal_line(144, 205),
        horizontal_line(141, 203),
        horizontal_line(139, 201),
        horizontal_line(136, 198),
        horizontal_line(134, 196),
        horizontal_line(131, 193),
        horizontal_line(129, 191),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 185),
        horizontal_line(124, 172),
        horizontal_line(124, 158),
        horizontal_line(124, 145),
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_310_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(120, 182),
        horizontal_line(107, 169),
        horizontal_line(94, 156),
    };

    constexpr const shape frame_310_shape_group_2_shapes[] = {
        shape(frame_310_shape_group_2_shape_0_horizontal_lines, 58, 9),
        shape(frame_310_shape_group_2_shape_1_horizontal_lines, 64, 14),
        shape(frame_310_shape_group_2_shape_2_horizontal_lines, 67, 9),
        shape(frame_310_shape_group_2_shape_3_horizontal_lines, 68, 14),
        shape(frame_310_shape_group_2_shape_4_horizontal_lines, 69, 9),
        shape(frame_310_shape_group_2_shape_5_horizontal_lines, 74, 14),
        shape(frame_310_shape_group_2_shape_6_horizontal_lines, 76, 9),
        shape(frame_310_shape_group_2_shape_7_horizontal_lines, 112, 7),
        shape(frame_310_shape_group_2_shape_8_horizontal_lines, 116, 9),
        shape(frame_310_shape_group_2_shape_9_horizontal_lines, 157, 5),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(32, 35),
        horizontal_line(38, 46),
        horizontal_line(44, 58),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(214, 239),
        horizontal_line(0, 15),
        horizontal_line(47, 50),
        horizontal_line(47, 49),
        horizontal_line(47, 49),
        horizontal_line(47, 49),
        horizontal_line(47, 49),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(46, 49),
        horizontal_line(46, 49),
        horizontal_line(46, 48),
        horizontal_line(46, 48),
        horizontal_line(46, 48),
        horizontal_line(46, 48),
        horizontal_line(46, 48),
        horizontal_line(46, 48),
        horizontal_line(46, 48),
        horizontal_line(45, 48),
        horizontal_line(45, 47),
        horizontal_line(45, 47),
        horizontal_line(45, 47),
        horizontal_line(45, 47),
        horizontal_line(45, 47),
        horizontal_line(45, 47),
        horizontal_line(45, 47),
        horizontal_line(45, 47),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(161, 176),
        horizontal_line(160, 175),
        horizontal_line(160, 175),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(175, 186),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(172, 204),
        horizontal_line(173, 208),
        horizontal_line(177, 211),
        horizontal_line(181, 214),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(182, 197),
        horizontal_line(163, 201),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(203, 209),
        horizontal_line(201, 213),
        horizontal_line(198, 218),
        horizontal_line(196, 222),
        horizontal_line(193, 226),
        horizontal_line(191, 230),
        horizontal_line(188, 234),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 238),
        horizontal_line(186, 224),
        horizontal_line(186, 211),
        horizontal_line(186, 198),
    };

    constexpr const horizontal_line frame_310_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(173, 235),
        horizontal_line(159, 221),
        horizontal_line(146, 208),
        horizontal_line(133, 195),
        horizontal_line(182, 239),
        horizontal_line(169, 231),
        horizontal_line(156, 218),
    };

    constexpr const shape frame_310_shape_group_3_shapes[] = {
        shape(frame_310_shape_group_3_shape_0_horizontal_lines, 59, 7),
        shape(frame_310_shape_group_3_shape_1_horizontal_lines, 62, 9),
        shape(frame_310_shape_group_3_shape_2_horizontal_lines, 106, 7),
        shape(frame_310_shape_group_3_shape_3_horizontal_lines, 107, 9),
        shape(frame_310_shape_group_3_shape_4_horizontal_lines, 109, 7),
        shape(frame_310_shape_group_3_shape_5_horizontal_lines, 119, 9),
        shape(frame_310_shape_group_3_shape_6_horizontal_lines, 121, 7),
        shape(frame_310_shape_group_3_shape_7_horizontal_lines, 122, 9),
        shape(frame_310_shape_group_3_shape_8_horizontal_lines, 152, 5),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(50, 69),
        horizontal_line(57, 80),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(101, 126),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(47, 48),
        horizontal_line(206, 239),
        horizontal_line(202, 239),
        horizontal_line(198, 239),
        horizontal_line(193, 239),
        horizontal_line(189, 239),
        horizontal_line(47, 49),
        horizontal_line(47, 49),
        horizontal_line(177, 239),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(156, 161),
        horizontal_line(157, 161),
        horizontal_line(160, 161),
        horizontal_line(162, 162),
        horizontal_line(178, 239),
        horizontal_line(184, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(51, 113),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(6, 10),
        horizontal_line(1, 11),
        horizontal_line(174, 195),
        horizontal_line(173, 198),
        horizontal_line(173, 201),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(185, 217),
        horizontal_line(189, 220),
        horizontal_line(193, 223),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(206, 232),
        horizontal_line(210, 235),
        horizontal_line(214, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(225, 239),
        horizontal_line(212, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(221, 239),
        horizontal_line(208, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_310_shape_group_4_shapes[] = {
        shape(frame_310_shape_group_4_shape_0_horizontal_lines, 62, 7),
        shape(frame_310_shape_group_4_shape_1_horizontal_lines, 64, 9),
        shape(frame_310_shape_group_4_shape_2_horizontal_lines, 67, 7),
        shape(frame_310_shape_group_4_shape_3_horizontal_lines, 68, 9),
        shape(frame_310_shape_group_4_shape_4_horizontal_lines, 106, 10),
        shape(frame_310_shape_group_4_shape_5_horizontal_lines, 107, 7),
        shape(frame_310_shape_group_4_shape_6_horizontal_lines, 112, 1),
        shape(frame_310_shape_group_4_shape_7_horizontal_lines, 116, 7),
        shape(frame_310_shape_group_4_shape_8_horizontal_lines, 148, 5),
        shape(frame_310_shape_group_4_shape_9_horizontal_lines, 153, 5),
        shape(frame_310_shape_group_4_shape_10_horizontal_lines, 158, 5),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(67, 92),
        horizontal_line(78, 103),
        horizontal_line(90, 115),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(55, 80),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(124, 149),
        horizontal_line(135, 160),
        horizontal_line(146, 172),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(181, 239),
        horizontal_line(239, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(176, 180),
        horizontal_line(176, 183),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(113, 148),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(175, 189),
        horizontal_line(174, 192),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(54, 116),
        horizontal_line(55, 102),
        horizontal_line(56, 78),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(53, 56),
        horizontal_line(54, 55),
        horizontal_line(55, 117),
        horizontal_line(50, 112),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(198, 226),
        horizontal_line(202, 229),
    };

    constexpr const horizontal_line frame_310_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
    };

    constexpr const shape frame_310_shape_group_5_shapes[] = {
        shape(frame_310_shape_group_5_shape_0_horizontal_lines, 64, 7),
        shape(frame_310_shape_group_5_shape_1_horizontal_lines, 67, 8),
        shape(frame_310_shape_group_5_shape_2_horizontal_lines, 68, 9),
        shape(frame_310_shape_group_5_shape_3_horizontal_lines, 69, 7),
        shape(frame_310_shape_group_5_shape_4_horizontal_lines, 73, 8),
        shape(frame_310_shape_group_5_shape_5_horizontal_lines, 74, 9),
        shape(frame_310_shape_group_5_shape_6_horizontal_lines, 103, 7),
        shape(frame_310_shape_group_5_shape_7_horizontal_lines, 106, 10),
        shape(frame_310_shape_group_5_shape_8_horizontal_lines, 107, 7),
        shape(frame_310_shape_group_5_shape_9_horizontal_lines, 109, 10),
        shape(frame_310_shape_group_5_shape_10_horizontal_lines, 112, 5),
        shape(frame_310_shape_group_5_shape_11_horizontal_lines, 116, 1),
        shape(frame_310_shape_group_5_shape_12_horizontal_lines, 119, 7),
        shape(frame_310_shape_group_5_shape_13_horizontal_lines, 121, 1),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(57, 68),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(112, 137),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(51, 104),
        horizontal_line(50, 112),
        horizontal_line(50, 112),
        horizontal_line(59, 121),
        horizontal_line(69, 131),
        horizontal_line(50, 54),
        horizontal_line(90, 138),
        horizontal_line(100, 124),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(149, 152),
        horizontal_line(151, 152),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(50, 60),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(149, 150),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(52, 114),
        horizontal_line(53, 115),
        horizontal_line(154, 160),
        horizontal_line(158, 165),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(202, 238),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(105, 167),
        horizontal_line(79, 141),
        horizontal_line(117, 152),
        horizontal_line(112, 133),
        horizontal_line(45, 107),
        horizontal_line(40, 95),
        horizontal_line(35, 76),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_310_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const shape frame_310_shape_group_6_shapes[] = {
        shape(frame_310_shape_group_6_shape_0_horizontal_lines, 66, 8),
        shape(frame_310_shape_group_6_shape_1_horizontal_lines, 68, 7),
        shape(frame_310_shape_group_6_shape_2_horizontal_lines, 69, 8),
        shape(frame_310_shape_group_6_shape_3_horizontal_lines, 77, 9),
        shape(frame_310_shape_group_6_shape_4_horizontal_lines, 103, 15),
        shape(frame_310_shape_group_6_shape_5_horizontal_lines, 105, 11),
        shape(frame_310_shape_group_6_shape_6_horizontal_lines, 106, 1),
        shape(frame_310_shape_group_6_shape_7_horizontal_lines, 107, 10),
        shape(frame_310_shape_group_6_shape_8_horizontal_lines, 111, 1),
        shape(frame_310_shape_group_6_shape_9_horizontal_lines, 112, 5),
        shape(frame_310_shape_group_6_shape_10_horizontal_lines, 119, 1),
        shape(frame_310_shape_group_6_shape_11_horizontal_lines, 122, 1),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(53, 92),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(112, 115),
        horizontal_line(112, 127),
        horizontal_line(121, 139),
        horizontal_line(153, 166),
        horizontal_line(80, 142),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(66, 89),
        horizontal_line(78, 99),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(104, 110),
        horizontal_line(105, 111),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(49, 49),
        horizontal_line(49, 49),
        horizontal_line(49, 49),
        horizontal_line(49, 49),
        horizontal_line(49, 49),
        horizontal_line(49, 49),
        horizontal_line(48, 49),
        horizontal_line(48, 49),
        horizontal_line(48, 49),
        horizontal_line(48, 49),
        horizontal_line(48, 49),
        horizontal_line(48, 49),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(111, 111),
        horizontal_line(110, 113),
        horizontal_line(110, 115),
        horizontal_line(109, 117),
        horizontal_line(109, 119),
        horizontal_line(110, 121),
        horizontal_line(114, 123),
        horizontal_line(118, 125),
        horizontal_line(123, 127),
        horizontal_line(127, 129),
        horizontal_line(146, 153),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(48, 106),
        horizontal_line(49, 83),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(187, 199),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(114, 152),
        horizontal_line(151, 156),
        horizontal_line(116, 125),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(199, 230),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(52, 55),
        horizontal_line(167, 167),
        horizontal_line(141, 171),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(107, 114),
    };

    constexpr const horizontal_line frame_310_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(30, 57),
        horizontal_line(25, 38),
    };

    constexpr const shape frame_310_shape_group_7_shapes[] = {
        shape(frame_310_shape_group_7_shape_0_horizontal_lines, 68, 8),
        shape(frame_310_shape_group_7_shape_1_horizontal_lines, 70, 8),
        shape(frame_310_shape_group_7_shape_2_horizontal_lines, 75, 15),
        shape(frame_310_shape_group_7_shape_3_horizontal_lines, 77, 8),
        shape(frame_310_shape_group_7_shape_4_horizontal_lines, 80, 13),
        shape(frame_310_shape_group_7_shape_5_horizontal_lines, 92, 15),
        shape(frame_310_shape_group_7_shape_6_horizontal_lines, 103, 11),
        shape(frame_310_shape_group_7_shape_7_horizontal_lines, 105, 10),
        shape(frame_310_shape_group_7_shape_8_horizontal_lines, 106, 1),
        shape(frame_310_shape_group_7_shape_9_horizontal_lines, 107, 10),
        shape(frame_310_shape_group_7_shape_10_horizontal_lines, 110, 1),
        shape(frame_310_shape_group_7_shape_11_horizontal_lines, 111, 5),
        shape(frame_310_shape_group_7_shape_12_horizontal_lines, 116, 5),
        shape(frame_310_shape_group_7_shape_13_horizontal_lines, 119, 5),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(50, 58),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(131, 151),
        horizontal_line(142, 152),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(125, 154),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(90, 110),
        horizontal_line(103, 103),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(49, 49),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(105, 110),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(50, 98),
        horizontal_line(51, 97),
        horizontal_line(52, 97),
        horizontal_line(52, 74),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(47, 52),
        horizontal_line(47, 53),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(137, 141),
        horizontal_line(139, 148),
        horizontal_line(142, 155),
        horizontal_line(144, 154),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(47, 109),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(107, 135),
        horizontal_line(84, 139),
        horizontal_line(123, 143),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(190, 207),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(115, 149),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(196, 222),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(51, 54),
        horizontal_line(131, 162),
    };

    constexpr const horizontal_line frame_310_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(57, 104),
        horizontal_line(56, 78),
    };

    constexpr const shape frame_310_shape_group_8_shapes[] = {
        shape(frame_310_shape_group_8_shape_0_horizontal_lines, 72, 15),
        shape(frame_310_shape_group_8_shape_1_horizontal_lines, 73, 8),
        shape(frame_310_shape_group_8_shape_2_horizontal_lines, 75, 13),
        shape(frame_310_shape_group_8_shape_3_horizontal_lines, 77, 15),
        shape(frame_310_shape_group_8_shape_4_horizontal_lines, 79, 13),
        shape(frame_310_shape_group_8_shape_5_horizontal_lines, 92, 2),
        shape(frame_310_shape_group_8_shape_6_horizontal_lines, 96, 11),
        shape(frame_310_shape_group_8_shape_7_horizontal_lines, 98, 15),
        shape(frame_310_shape_group_8_shape_8_horizontal_lines, 102, 11),
        shape(frame_310_shape_group_8_shape_9_horizontal_lines, 103, 10),
        shape(frame_310_shape_group_8_shape_10_horizontal_lines, 106, 5),
        shape(frame_310_shape_group_8_shape_11_horizontal_lines, 107, 1),
        shape(frame_310_shape_group_8_shape_12_horizontal_lines, 108, 10),
        shape(frame_310_shape_group_8_shape_13_horizontal_lines, 109, 1),
        shape(frame_310_shape_group_8_shape_14_horizontal_lines, 110, 5),
        shape(frame_310_shape_group_8_shape_15_horizontal_lines, 112, 12),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(51, 68),
        horizontal_line(55, 79),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(139, 153),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(50, 77),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(112, 155),
        horizontal_line(49, 49),
        horizontal_line(102, 104),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 99),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(48, 49),
        horizontal_line(48, 50),
        horizontal_line(47, 51),
        horizontal_line(47, 51),
        horizontal_line(106, 108),
        horizontal_line(109, 109),
        horizontal_line(73, 113),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(109, 130),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(136, 148),
        horizontal_line(140, 150),
        horizontal_line(144, 151),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(151, 158),
        horizontal_line(48, 51),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(193, 214),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(50, 53),
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_310_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(79, 130),
    };

    constexpr const shape frame_310_shape_group_9_shapes[] = {
        shape(frame_310_shape_group_9_shape_0_horizontal_lines, 73, 15),
        shape(frame_310_shape_group_9_shape_1_horizontal_lines, 75, 13),
        shape(frame_310_shape_group_9_shape_2_horizontal_lines, 76, 2),
        shape(frame_310_shape_group_9_shape_3_horizontal_lines, 77, 13),
        shape(frame_310_shape_group_9_shape_4_horizontal_lines, 80, 2),
        shape(frame_310_shape_group_9_shape_5_horizontal_lines, 92, 11),
        shape(frame_310_shape_group_9_shape_6_horizontal_lines, 103, 1),
        shape(frame_310_shape_group_9_shape_7_horizontal_lines, 106, 5),
        shape(frame_310_shape_group_9_shape_8_horizontal_lines, 108, 1),
        shape(frame_310_shape_group_9_shape_9_horizontal_lines, 109, 5),
        shape(frame_310_shape_group_9_shape_10_horizontal_lines, 111, 12),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(51, 65),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(50, 89),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(101, 102),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(102, 103),
        horizontal_line(104, 104),
        horizontal_line(103, 110),
        horizontal_line(102, 109),
        horizontal_line(101, 109),
        horizontal_line(102, 108),
        horizontal_line(130, 155),
        horizontal_line(135, 155),
        horizontal_line(142, 155),
        horizontal_line(149, 155),
        horizontal_line(109, 122),
        horizontal_line(109, 126),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(44, 47),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(181, 183),
        horizontal_line(184, 191),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(153, 157),
        horizontal_line(49, 52),
    };

    constexpr const horizontal_line frame_310_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(126, 153),
        horizontal_line(103, 156),
    };

    constexpr const shape frame_310_shape_group_10_shapes[] = {
        shape(frame_310_shape_group_10_shape_0_horizontal_lines, 75, 2),
        shape(frame_310_shape_group_10_shape_1_horizontal_lines, 77, 2),
        shape(frame_310_shape_group_10_shape_2_horizontal_lines, 78, 13),
        shape(frame_310_shape_group_10_shape_3_horizontal_lines, 80, 11),
        shape(frame_310_shape_group_10_shape_4_horizontal_lines, 102, 10),
        shape(frame_310_shape_group_10_shape_5_horizontal_lines, 103, 5),
        shape(frame_310_shape_group_10_shape_6_horizontal_lines, 104, 1),
        shape(frame_310_shape_group_10_shape_7_horizontal_lines, 107, 5),
        shape(frame_310_shape_group_10_shape_8_horizontal_lines, 109, 12),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(111, 140),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(50, 101),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(111, 155),
        horizontal_line(112, 155),
        horizontal_line(116, 155),
        horizontal_line(121, 155),
        horizontal_line(125, 155),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(77, 105),
        horizontal_line(54, 108),
        horizontal_line(47, 72),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(109, 117),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(128, 141),
        horizontal_line(130, 143),
        horizontal_line(132, 145),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(153, 160),
        horizontal_line(45, 48),
        horizontal_line(46, 49),
    };

    constexpr const horizontal_line frame_310_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(157, 157),
    };

    constexpr const shape frame_310_shape_group_11_shapes[] = {
        shape(frame_310_shape_group_11_shape_0_horizontal_lines, 78, 13),
        shape(frame_310_shape_group_11_shape_1_horizontal_lines, 79, 2),
        shape(frame_310_shape_group_11_shape_2_horizontal_lines, 80, 11),
        shape(frame_310_shape_group_11_shape_3_horizontal_lines, 96, 10),
        shape(frame_310_shape_group_11_shape_4_horizontal_lines, 99, 11),
        shape(frame_310_shape_group_11_shape_5_horizontal_lines, 100, 1),
        shape(frame_310_shape_group_11_shape_6_horizontal_lines, 103, 5),
        shape(frame_310_shape_group_11_shape_7_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_310_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(50, 100),
    };

    constexpr const horizontal_line frame_310_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(113, 155),
    };

    constexpr const horizontal_line frame_310_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(100, 103),
        horizontal_line(99, 102),
        horizontal_line(98, 101),
        horizontal_line(99, 100),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_310_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(120, 129),
        horizontal_line(122, 134),
        horizontal_line(124, 136),
        horizontal_line(126, 138),
    };

    constexpr const horizontal_line frame_310_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(155, 159),
        horizontal_line(154, 161),
    };

    constexpr const horizontal_line frame_310_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(153, 159),
        horizontal_line(152, 159),
    };

    constexpr const horizontal_line frame_310_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(150, 150),
    };

    constexpr const shape frame_310_shape_group_12_shapes[] = {
        shape(frame_310_shape_group_12_shape_0_horizontal_lines, 78, 2),
        shape(frame_310_shape_group_12_shape_1_horizontal_lines, 79, 11),
        shape(frame_310_shape_group_12_shape_2_horizontal_lines, 90, 10),
        shape(frame_310_shape_group_12_shape_3_horizontal_lines, 96, 1),
        shape(frame_310_shape_group_12_shape_4_horizontal_lines, 100, 5),
        shape(frame_310_shape_group_12_shape_5_horizontal_lines, 104, 5),
        shape(frame_310_shape_group_12_shape_6_horizontal_lines, 108, 12),
    };

    constexpr const horizontal_line frame_310_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(141, 155),
    };

    constexpr const horizontal_line frame_310_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(116, 120),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_310_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(53, 76),
    };

    constexpr const shape frame_310_shape_group_13_shapes[] = {
        shape(frame_310_shape_group_13_shape_0_horizontal_lines, 78, 11),
        shape(frame_310_shape_group_13_shape_1_horizontal_lines, 93, 1),
        shape(frame_310_shape_group_13_shape_2_horizontal_lines, 96, 3),
    };

    constexpr const horizontal_line frame_310_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(75, 100),
    };

    constexpr const shape frame_310_shape_group_14_shapes[] = {
        shape(frame_310_shape_group_14_shape_0_horizontal_lines, 94, 3),
    };

    constexpr const shape_group frame_310_shape_groups[] = {
        shape_group(frame_310_shape_group_0_shapes),
        shape_group(frame_310_shape_group_1_shapes),
        shape_group(frame_310_shape_group_2_shapes),
        shape_group(frame_310_shape_group_3_shapes),
        shape_group(frame_310_shape_group_4_shapes),
        shape_group(frame_310_shape_group_5_shapes),
        shape_group(frame_310_shape_group_6_shapes),
        shape_group(frame_310_shape_group_7_shapes),
        shape_group(frame_310_shape_group_8_shapes),
        shape_group(frame_310_shape_group_9_shapes),
        shape_group(frame_310_shape_group_10_shapes),
        shape_group(frame_310_shape_group_11_shapes),
        shape_group(frame_310_shape_group_12_shapes),
        shape_group(frame_310_shape_group_13_shapes),
        shape_group(frame_310_shape_group_14_shapes),
    };

    constexpr const frame frame_310_impl(frame_310_colors, frame_310_shape_groups);
} 

const frame& frame_310()
{
    return frame_310_impl;
}

namespace
{
    constexpr const bn::color frame_311_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_311_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(2, 12),
        horizontal_line(5, 10),
        horizontal_line(8, 8),
        horizontal_line(8, 15),
        horizontal_line(8, 22),
        horizontal_line(8, 29),
        horizontal_line(8, 36),
        horizontal_line(8, 50),
        horizontal_line(8, 42),
        horizontal_line(8, 42),
        horizontal_line(7, 42),
        horizontal_line(7, 42),
        horizontal_line(7, 42),
        horizontal_line(7, 42),
        horizontal_line(7, 42),
        horizontal_line(7, 41),
        horizontal_line(7, 41),
        horizontal_line(7, 41),
        horizontal_line(6, 41),
        horizontal_line(6, 41),
        horizontal_line(6, 41),
        horizontal_line(6, 41),
        horizontal_line(6, 41),
        horizontal_line(6, 40),
        horizontal_line(6, 40),
        horizontal_line(6, 40),
        horizontal_line(5, 40),
        horizontal_line(5, 40),
        horizontal_line(5, 40),
        horizontal_line(5, 40),
        horizontal_line(5, 39),
        horizontal_line(5, 39),
        horizontal_line(5, 39),
        horizontal_line(5, 39),
        horizontal_line(4, 39),
        horizontal_line(4, 39),
        horizontal_line(4, 39),
        horizontal_line(4, 39),
        horizontal_line(4, 38),
        horizontal_line(4, 38),
        horizontal_line(4, 38),
        horizontal_line(4, 38),
        horizontal_line(3, 38),
        horizontal_line(3, 38),
        horizontal_line(3, 38),
        horizontal_line(3, 38),
        horizontal_line(3, 29),
        horizontal_line(3, 20),
        horizontal_line(3, 11),
    };

    constexpr const horizontal_line frame_311_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(181, 189),
        horizontal_line(1, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 5),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_311_shape_group_0_shapes[] = {
        shape(frame_311_shape_group_0_shape_0_horizontal_lines, 45, 14),
        shape(frame_311_shape_group_0_shape_1_horizontal_lines, 107, 7),
        shape(frame_311_shape_group_0_shape_2_horizontal_lines, 130, 9),
    };

    constexpr const horizontal_line frame_311_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
        horizontal_line(218, 239),
        horizontal_line(215, 239),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
        horizontal_line(50, 53),
        horizontal_line(48, 55),
        horizontal_line(46, 52),
        horizontal_line(194, 225),
        horizontal_line(45, 48),
        horizontal_line(188, 217),
        horizontal_line(184, 212),
        horizontal_line(181, 208),
        horizontal_line(178, 203),
        horizontal_line(160, 162),
        horizontal_line(179, 195),
        horizontal_line(159, 164),
        horizontal_line(157, 165),
        horizontal_line(158, 182),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(167, 181),
        horizontal_line(168, 181),
        horizontal_line(173, 181),
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_311_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(183, 183),
        horizontal_line(182, 186),
    };

    constexpr const horizontal_line frame_311_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_311_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(181, 192),
        horizontal_line(180, 195),
        horizontal_line(180, 198),
        horizontal_line(179, 201),
        horizontal_line(179, 204),
        horizontal_line(178, 207),
        horizontal_line(179, 211),
        horizontal_line(182, 214),
        horizontal_line(186, 217),
        horizontal_line(190, 220),
        horizontal_line(194, 223),
        horizontal_line(198, 226),
        horizontal_line(201, 229),
        horizontal_line(205, 232),
        horizontal_line(209, 235),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_311_shape_group_1_shapes[] = {
        shape(frame_311_shape_group_1_shape_0_horizontal_lines, 52, 14),
        shape(frame_311_shape_group_1_shape_1_horizontal_lines, 105, 7),
        shape(frame_311_shape_group_1_shape_2_horizontal_lines, 107, 9),
        shape(frame_311_shape_group_1_shape_3_horizontal_lines, 108, 7),
        shape(frame_311_shape_group_1_shape_4_horizontal_lines, 124, 9),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(25, 28),
        horizontal_line(30, 38),
        horizontal_line(34, 48),
        horizontal_line(39, 58),
        horizontal_line(43, 68),
        horizontal_line(48, 78),
        horizontal_line(53, 88),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(201, 234),
        horizontal_line(198, 230),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(100, 127),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(191, 221),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(125, 147),
        horizontal_line(137, 157),
        horizontal_line(149, 167),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(178, 199),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(180, 190),
        horizontal_line(181, 186),
    };

    constexpr const horizontal_line frame_311_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(164, 180),
        horizontal_line(0, 0),
        horizontal_line(4, 43),
        horizontal_line(5, 44),
        horizontal_line(5, 45),
        horizontal_line(6, 46),
        horizontal_line(7, 47),
        horizontal_line(8, 48),
        horizontal_line(8, 49),
        horizontal_line(9, 50),
        horizontal_line(10, 43),
        horizontal_line(11, 37),
        horizontal_line(11, 31),
        horizontal_line(12, 25),
        horizontal_line(13, 19),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_311_shape_group_2_shapes[] = {
        shape(frame_311_shape_group_2_shape_0_horizontal_lines, 55, 7),
        shape(frame_311_shape_group_2_shape_1_horizontal_lines, 62, 14),
        shape(frame_311_shape_group_2_shape_2_horizontal_lines, 65, 7),
        shape(frame_311_shape_group_2_shape_3_horizontal_lines, 66, 14),
        shape(frame_311_shape_group_2_shape_4_horizontal_lines, 67, 7),
        shape(frame_311_shape_group_2_shape_5_horizontal_lines, 71, 14),
        shape(frame_311_shape_group_2_shape_6_horizontal_lines, 72, 9),
        shape(frame_311_shape_group_2_shape_7_horizontal_lines, 73, 14),
        shape(frame_311_shape_group_2_shape_8_horizontal_lines, 75, 9),
    };

    constexpr const horizontal_line frame_311_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_311_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(64, 98),
        horizontal_line(76, 107),
        horizontal_line(88, 117),
    };

    constexpr const horizontal_line frame_311_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_311_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(113, 137),
    };

    constexpr const horizontal_line frame_311_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(43, 45),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(42, 45),
        horizontal_line(42, 44),
        horizontal_line(42, 44),
        horizontal_line(42, 44),
        horizontal_line(42, 44),
        horizontal_line(42, 44),
        horizontal_line(41, 44),
        horizontal_line(41, 44),
        horizontal_line(41, 44),
        horizontal_line(41, 44),
        horizontal_line(41, 43),
        horizontal_line(41, 43),
        horizontal_line(41, 43),
        horizontal_line(40, 43),
        horizontal_line(40, 43),
        horizontal_line(40, 43),
        horizontal_line(40, 43),
        horizontal_line(40, 43),
        horizontal_line(40, 43),
        horizontal_line(40, 42),
        horizontal_line(40, 42),
        horizontal_line(39, 42),
        horizontal_line(39, 42),
        horizontal_line(39, 42),
        horizontal_line(39, 42),
        horizontal_line(39, 42),
        horizontal_line(39, 42),
        horizontal_line(39, 42),
        horizontal_line(166, 172),
        horizontal_line(30, 38),
        horizontal_line(21, 39),
        horizontal_line(12, 40),
        horizontal_line(199, 239),
        horizontal_line(3, 42),
        horizontal_line(162, 179),
        horizontal_line(162, 179),
        horizontal_line(166, 178),
        horizontal_line(170, 178),
        horizontal_line(170, 177),
        horizontal_line(178, 178),
        horizontal_line(157, 181),
        horizontal_line(136, 185),
        horizontal_line(116, 178),
        horizontal_line(95, 157),
        horizontal_line(74, 136),
        horizontal_line(54, 116),
        horizontal_line(33, 95),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(132, 194),
        horizontal_line(130, 192),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_311_shape_group_3_shapes[] = {
        shape(frame_311_shape_group_3_shape_0_horizontal_lines, 58, 9),
        shape(frame_311_shape_group_3_shape_1_horizontal_lines, 62, 7),
        shape(frame_311_shape_group_3_shape_2_horizontal_lines, 65, 9),
        shape(frame_311_shape_group_3_shape_3_horizontal_lines, 66, 7),
        shape(frame_311_shape_group_3_shape_4_horizontal_lines, 67, 9),
    };

    constexpr const horizontal_line frame_311_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(226, 239),
        horizontal_line(0, 7),
        horizontal_line(43, 46),
        horizontal_line(43, 45),
        horizontal_line(43, 45),
        horizontal_line(43, 45),
        horizontal_line(43, 45),
        horizontal_line(196, 239),
        horizontal_line(42, 45),
        horizontal_line(42, 45),
        horizontal_line(183, 239),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(159, 166),
        horizontal_line(167, 167),
        horizontal_line(182, 239),
        horizontal_line(165, 177),
        horizontal_line(165, 182),
        horizontal_line(164, 181),
    };

    constexpr const horizontal_line frame_311_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(47, 109),
    };

    constexpr const horizontal_line frame_311_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(163, 180),
        horizontal_line(215, 239),
        horizontal_line(223, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(52, 76),
    };

    constexpr const horizontal_line frame_311_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(178, 189),
        horizontal_line(157, 193),
        horizontal_line(136, 197),
        horizontal_line(116, 178),
        horizontal_line(95, 157),
        horizontal_line(137, 199),
        horizontal_line(134, 196),
        horizontal_line(194, 216),
        horizontal_line(192, 219),
        horizontal_line(190, 223),
        horizontal_line(188, 227),
        horizontal_line(186, 231),
        horizontal_line(186, 235),
    };

    constexpr const shape frame_311_shape_group_4_shapes[] = {
        shape(frame_311_shape_group_4_shape_0_horizontal_lines, 62, 9),
        shape(frame_311_shape_group_4_shape_1_horizontal_lines, 107, 10),
        shape(frame_311_shape_group_4_shape_2_horizontal_lines, 108, 9),
        shape(frame_311_shape_group_4_shape_3_horizontal_lines, 113, 10),
        shape(frame_311_shape_group_4_shape_4_horizontal_lines, 114, 1),
        shape(frame_311_shape_group_4_shape_5_horizontal_lines, 117, 9),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(51, 76),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(43, 44),
        horizontal_line(218, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(204, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(46, 48),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(76, 77),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(150, 157),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(191, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(109, 149),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(48, 110),
        horizontal_line(49, 111),
        horizontal_line(50, 112),
        horizontal_line(51, 102),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(49, 52),
        horizontal_line(50, 51),
        horizontal_line(51, 113),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(178, 200),
        horizontal_line(157, 204),
        horizontal_line(199, 208),
        horizontal_line(196, 212),
    };

    constexpr const horizontal_line frame_311_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const shape frame_311_shape_group_5_shapes[] = {
        shape(frame_311_shape_group_5_shape_0_horizontal_lines, 63, 9),
        shape(frame_311_shape_group_5_shape_1_horizontal_lines, 65, 8),
        shape(frame_311_shape_group_5_shape_2_horizontal_lines, 66, 9),
        shape(frame_311_shape_group_5_shape_3_horizontal_lines, 72, 8),
        shape(frame_311_shape_group_5_shape_4_horizontal_lines, 73, 9),
        shape(frame_311_shape_group_5_shape_5_horizontal_lines, 75, 8),
        shape(frame_311_shape_group_5_shape_6_horizontal_lines, 76, 9),
        shape(frame_311_shape_group_5_shape_7_horizontal_lines, 103, 15),
        shape(frame_311_shape_group_5_shape_8_horizontal_lines, 104, 9),
        shape(frame_311_shape_group_5_shape_9_horizontal_lines, 107, 10),
        shape(frame_311_shape_group_5_shape_10_horizontal_lines, 108, 9),
        shape(frame_311_shape_group_5_shape_11_horizontal_lines, 109, 10),
        shape(frame_311_shape_group_5_shape_12_horizontal_lines, 113, 1),
        shape(frame_311_shape_group_5_shape_13_horizontal_lines, 114, 5),
        shape(frame_311_shape_group_5_shape_14_horizontal_lines, 117, 1),
        shape(frame_311_shape_group_5_shape_15_horizontal_lines, 120, 9),
        shape(frame_311_shape_group_5_shape_16_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(53, 65),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(47, 98),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(48, 110),
        horizontal_line(59, 121),
        horizontal_line(46, 53),
        horizontal_line(64, 64),
        horizontal_line(90, 135),
        horizontal_line(88, 90),
        horizontal_line(101, 103),
        horizontal_line(105, 111),
        horizontal_line(106, 112),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(45, 48),
        horizontal_line(45, 48),
        horizontal_line(44, 48),
        horizontal_line(44, 48),
        horizontal_line(44, 48),
        horizontal_line(44, 48),
        horizontal_line(44, 48),
        horizontal_line(44, 48),
        horizontal_line(44, 48),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(111, 113),
        horizontal_line(111, 115),
        horizontal_line(110, 117),
        horizontal_line(110, 119),
        horizontal_line(111, 121),
        horizontal_line(114, 123),
        horizontal_line(118, 125),
        horizontal_line(122, 127),
        horizontal_line(126, 129),
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(152, 156),
        horizontal_line(154, 156),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(48, 110),
        horizontal_line(110, 157),
        horizontal_line(155, 161),
        horizontal_line(158, 165),
        horizontal_line(162, 169),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(48, 51),
        horizontal_line(105, 167),
        horizontal_line(77, 139),
        horizontal_line(113, 135),
        horizontal_line(44, 106),
        horizontal_line(38, 94),
        horizontal_line(32, 73),
    };

    constexpr const horizontal_line frame_311_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(6, 9),
    };

    constexpr const shape frame_311_shape_group_6_shapes[] = {
        shape(frame_311_shape_group_6_shape_0_horizontal_lines, 64, 8),
        shape(frame_311_shape_group_6_shape_1_horizontal_lines, 66, 9),
        shape(frame_311_shape_group_6_shape_2_horizontal_lines, 67, 8),
        shape(frame_311_shape_group_6_shape_3_horizontal_lines, 80, 13),
        shape(frame_311_shape_group_6_shape_4_horizontal_lines, 92, 15),
        shape(frame_311_shape_group_6_shape_5_horizontal_lines, 103, 11),
        shape(frame_311_shape_group_6_shape_6_horizontal_lines, 104, 15),
        shape(frame_311_shape_group_6_shape_7_horizontal_lines, 106, 10),
        shape(frame_311_shape_group_6_shape_8_horizontal_lines, 107, 1),
        shape(frame_311_shape_group_6_shape_9_horizontal_lines, 108, 10),
        shape(frame_311_shape_group_6_shape_10_horizontal_lines, 113, 5),
        shape(frame_311_shape_group_6_shape_11_horizontal_lines, 120, 1),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(49, 87),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(108, 109),
        horizontal_line(108, 120),
        horizontal_line(108, 131),
        horizontal_line(159, 159),
        horizontal_line(156, 170),
        horizontal_line(69, 131),
        horizontal_line(80, 142),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(78, 89),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(101, 123),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(106, 111),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(49, 99),
        horizontal_line(50, 98),
        horizontal_line(51, 98),
        horizontal_line(51, 74),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(43, 51),
        horizontal_line(43, 52),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(139, 142),
        horizontal_line(141, 148),
        horizontal_line(143, 154),
        horizontal_line(145, 158),
        horizontal_line(148, 158),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(105, 132),
        horizontal_line(44, 99),
        horizontal_line(45, 67),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(108, 145),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(190, 198),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(110, 153),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(196, 214),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(111, 153),
        horizontal_line(112, 127),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(205, 238),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(133, 169),
        horizontal_line(167, 177),
        horizontal_line(139, 156),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(106, 115),
    };

    constexpr const horizontal_line frame_311_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(26, 53),
        horizontal_line(20, 32),
    };

    constexpr const shape frame_311_shape_group_7_shapes[] = {
        shape(frame_311_shape_group_7_shape_0_horizontal_lines, 66, 8),
        shape(frame_311_shape_group_7_shape_1_horizontal_lines, 68, 8),
        shape(frame_311_shape_group_7_shape_2_horizontal_lines, 75, 15),
        shape(frame_311_shape_group_7_shape_3_horizontal_lines, 76, 8),
        shape(frame_311_shape_group_7_shape_4_horizontal_lines, 78, 13),
        shape(frame_311_shape_group_7_shape_5_horizontal_lines, 92, 2),
        shape(frame_311_shape_group_7_shape_6_horizontal_lines, 96, 11),
        shape(frame_311_shape_group_7_shape_7_horizontal_lines, 98, 15),
        shape(frame_311_shape_group_7_shape_8_horizontal_lines, 103, 11),
        shape(frame_311_shape_group_7_shape_9_horizontal_lines, 106, 10),
        shape(frame_311_shape_group_7_shape_10_horizontal_lines, 107, 1),
        shape(frame_311_shape_group_7_shape_11_horizontal_lines, 108, 10),
        shape(frame_311_shape_group_7_shape_12_horizontal_lines, 109, 1),
        shape(frame_311_shape_group_7_shape_13_horizontal_lines, 110, 10),
        shape(frame_311_shape_group_7_shape_14_horizontal_lines, 112, 1),
        shape(frame_311_shape_group_7_shape_15_horizontal_lines, 113, 5),
        shape(frame_311_shape_group_7_shape_16_horizontal_lines, 117, 5),
        shape(frame_311_shape_group_7_shape_17_horizontal_lines, 120, 5),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(110, 142),
        horizontal_line(121, 154),
        horizontal_line(131, 158),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(46, 49),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(91, 100),
        horizontal_line(104, 111),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(103, 104),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(50, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 101),
        horizontal_line(49, 100),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(44, 48),
        horizontal_line(44, 49),
        horizontal_line(43, 50),
        horizontal_line(43, 50),
        horizontal_line(107, 109),
        horizontal_line(110, 110),
        horizontal_line(43, 44),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(100, 137),
        horizontal_line(68, 130),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(146, 155),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(42, 46),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(44, 47),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(199, 222),
        horizontal_line(202, 230),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(47, 50),
    };

    constexpr const horizontal_line frame_311_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(77, 132),
        horizontal_line(53, 104),
        horizontal_line(52, 76),
    };

    constexpr const shape frame_311_shape_group_8_shapes[] = {
        shape(frame_311_shape_group_8_shape_0_horizontal_lines, 71, 8),
        shape(frame_311_shape_group_8_shape_1_horizontal_lines, 75, 13),
        shape(frame_311_shape_group_8_shape_2_horizontal_lines, 76, 15),
        shape(frame_311_shape_group_8_shape_3_horizontal_lines, 78, 13),
        shape(frame_311_shape_group_8_shape_4_horizontal_lines, 80, 2),
        shape(frame_311_shape_group_8_shape_5_horizontal_lines, 92, 11),
        shape(frame_311_shape_group_8_shape_6_horizontal_lines, 103, 10),
        shape(frame_311_shape_group_8_shape_7_horizontal_lines, 106, 1),
        shape(frame_311_shape_group_8_shape_8_horizontal_lines, 107, 5),
        shape(frame_311_shape_group_8_shape_9_horizontal_lines, 108, 1),
        shape(frame_311_shape_group_8_shape_10_horizontal_lines, 109, 5),
        shape(frame_311_shape_group_8_shape_11_horizontal_lines, 110, 1),
        shape(frame_311_shape_group_8_shape_12_horizontal_lines, 112, 5),
        shape(frame_311_shape_group_8_shape_13_horizontal_lines, 113, 12),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(46, 47),
        horizontal_line(49, 58),
        horizontal_line(54, 68),
        horizontal_line(65, 79),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(136, 157),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(112, 133),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(50, 101),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(103, 104),
        horizontal_line(105, 105),
        horizontal_line(104, 111),
        horizontal_line(103, 110),
        horizontal_line(102, 110),
        horizontal_line(103, 109),
        horizontal_line(132, 158),
        horizontal_line(137, 158),
        horizontal_line(73, 113),
        horizontal_line(149, 158),
        horizontal_line(155, 158),
        horizontal_line(105, 125),
        horizontal_line(105, 129),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(134, 149),
        horizontal_line(138, 151),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(130, 141),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(187, 190),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(155, 163),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(193, 206),
    };

    constexpr const horizontal_line frame_311_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(158, 161),
        horizontal_line(45, 48),
        horizontal_line(46, 49),
        horizontal_line(161, 161),
    };

    constexpr const shape frame_311_shape_group_9_shapes[] = {
        shape(frame_311_shape_group_9_shape_0_horizontal_lines, 71, 15),
        shape(frame_311_shape_group_9_shape_1_horizontal_lines, 75, 13),
        shape(frame_311_shape_group_9_shape_2_horizontal_lines, 79, 2),
        shape(frame_311_shape_group_9_shape_3_horizontal_lines, 80, 11),
        shape(frame_311_shape_group_9_shape_4_horizontal_lines, 103, 1),
        shape(frame_311_shape_group_9_shape_5_horizontal_lines, 105, 10),
        shape(frame_311_shape_group_9_shape_6_horizontal_lines, 106, 1),
        shape(frame_311_shape_group_9_shape_7_horizontal_lines, 107, 5),
        shape(frame_311_shape_group_9_shape_8_horizontal_lines, 108, 1),
        shape(frame_311_shape_group_9_shape_9_horizontal_lines, 109, 5),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(46, 50),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(50, 75),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(124, 158),
        horizontal_line(113, 153),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(50, 102),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(102, 105),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(112, 158),
        horizontal_line(113, 158),
        horizontal_line(117, 158),
        horizontal_line(122, 158),
        horizontal_line(127, 158),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(77, 106),
        horizontal_line(53, 109),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(143, 158),
        horizontal_line(105, 117),
        horizontal_line(105, 121),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(130, 144),
        horizontal_line(132, 147),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(39, 42),
        horizontal_line(39, 43),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(142, 153),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(41, 45),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(43, 47),
    };

    constexpr const horizontal_line frame_311_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(128, 157),
        horizontal_line(103, 160),
    };

    constexpr const shape frame_311_shape_group_10_shapes[] = {
        shape(frame_311_shape_group_10_shape_0_horizontal_lines, 74, 13),
        shape(frame_311_shape_group_10_shape_1_horizontal_lines, 75, 2),
        shape(frame_311_shape_group_10_shape_2_horizontal_lines, 76, 13),
        shape(frame_311_shape_group_10_shape_3_horizontal_lines, 78, 2),
        shape(frame_311_shape_group_10_shape_4_horizontal_lines, 79, 11),
        shape(frame_311_shape_group_10_shape_5_horizontal_lines, 96, 10),
        shape(frame_311_shape_group_10_shape_6_horizontal_lines, 98, 11),
        shape(frame_311_shape_group_10_shape_7_horizontal_lines, 101, 1),
        shape(frame_311_shape_group_10_shape_8_horizontal_lines, 103, 5),
        shape(frame_311_shape_group_10_shape_9_horizontal_lines, 105, 1),
        shape(frame_311_shape_group_10_shape_10_horizontal_lines, 106, 5),
        shape(frame_311_shape_group_10_shape_11_horizontal_lines, 108, 5),
        shape(frame_311_shape_group_10_shape_12_horizontal_lines, 110, 12),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(147, 156),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(50, 87),
        horizontal_line(50, 100),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(134, 158),
        horizontal_line(114, 158),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(102, 102),
        horizontal_line(101, 104),
        horizontal_line(100, 103),
        horizontal_line(99, 102),
        horizontal_line(100, 101),
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(120, 131),
        horizontal_line(122, 136),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(45, 72),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(126, 140),
        horizontal_line(128, 142),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(159, 166),
        horizontal_line(158, 165),
        horizontal_line(157, 164),
        horizontal_line(40, 44),
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_311_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(155, 162),
    };

    constexpr const shape frame_311_shape_group_11_shapes[] = {
        shape(frame_311_shape_group_11_shape_0_horizontal_lines, 74, 13),
        shape(frame_311_shape_group_11_shape_1_horizontal_lines, 76, 2),
        shape(frame_311_shape_group_11_shape_2_horizontal_lines, 78, 11),
        shape(frame_311_shape_group_11_shape_3_horizontal_lines, 90, 10),
        shape(frame_311_shape_group_11_shape_4_horizontal_lines, 96, 1),
        shape(frame_311_shape_group_11_shape_5_horizontal_lines, 98, 10),
        shape(frame_311_shape_group_11_shape_6_horizontal_lines, 99, 1),
        shape(frame_311_shape_group_11_shape_7_horizontal_lines, 102, 5),
        shape(frame_311_shape_group_11_shape_8_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_311_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(51, 63),
    };

    constexpr const horizontal_line frame_311_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_311_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(116, 121),
        horizontal_line(118, 126),
    };

    constexpr const horizontal_line frame_311_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(52, 76),
    };

    constexpr const horizontal_line frame_311_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_311_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(157, 164),
    };

    constexpr const shape frame_311_shape_group_12_shapes[] = {
        shape(frame_311_shape_group_12_shape_0_horizontal_lines, 74, 2),
        shape(frame_311_shape_group_12_shape_1_horizontal_lines, 77, 11),
        shape(frame_311_shape_group_12_shape_2_horizontal_lines, 93, 1),
        shape(frame_311_shape_group_12_shape_3_horizontal_lines, 96, 3),
        shape(frame_311_shape_group_12_shape_4_horizontal_lines, 98, 1),
        shape(frame_311_shape_group_12_shape_5_horizontal_lines, 105, 5),
    };

    constexpr const horizontal_line frame_311_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(99, 99),
        horizontal_line(75, 101),
    };

    constexpr const shape frame_311_shape_group_13_shapes[] = {
        shape(frame_311_shape_group_13_shape_0_horizontal_lines, 94, 3),
    };

    constexpr const shape_group frame_311_shape_groups[] = {
        shape_group(frame_311_shape_group_0_shapes),
        shape_group(frame_311_shape_group_1_shapes),
        shape_group(frame_311_shape_group_2_shapes),
        shape_group(frame_311_shape_group_3_shapes),
        shape_group(frame_311_shape_group_4_shapes),
        shape_group(frame_311_shape_group_5_shapes),
        shape_group(frame_311_shape_group_6_shapes),
        shape_group(frame_311_shape_group_7_shapes),
        shape_group(frame_311_shape_group_8_shapes),
        shape_group(frame_311_shape_group_9_shapes),
        shape_group(frame_311_shape_group_10_shapes),
        shape_group(frame_311_shape_group_11_shapes),
        shape_group(frame_311_shape_group_12_shapes),
        shape_group(frame_311_shape_group_13_shapes),
    };

    constexpr const frame frame_311_impl(frame_311_colors, frame_311_shape_groups);
} 

const frame& frame_311()
{
    return frame_311_impl;
}

namespace
{
    constexpr const bn::color frame_312_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_312_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(1, 8),
        horizontal_line(1, 15),
        horizontal_line(1, 23),
        horizontal_line(1, 30),
        horizontal_line(1, 49),
        horizontal_line(1, 37),
        horizontal_line(1, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 22),
        horizontal_line(0, 11),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_312_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(187, 194),
        horizontal_line(186, 197),
        horizontal_line(186, 200),
        horizontal_line(186, 203),
        horizontal_line(185, 207),
        horizontal_line(185, 210),
        horizontal_line(185, 213),
        horizontal_line(184, 216),
        horizontal_line(184, 219),
        horizontal_line(185, 223),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_312_shape_group_0_shapes[] = {
        shape(frame_312_shape_group_0_shape_0_horizontal_lines, 45, 14),
        shape(frame_312_shape_group_0_shape_1_horizontal_lines, 108, 7),
        shape(frame_312_shape_group_0_shape_2_horizontal_lines, 131, 9),
    };

    constexpr const horizontal_line frame_312_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(18, 20),
    };

    constexpr const horizontal_line frame_312_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(47, 50),
        horizontal_line(44, 51),
        horizontal_line(41, 52),
        horizontal_line(208, 239),
        horizontal_line(40, 47),
        horizontal_line(41, 44),
        horizontal_line(197, 226),
        horizontal_line(194, 222),
        horizontal_line(190, 217),
        horizontal_line(187, 213),
        horizontal_line(184, 209),
        horizontal_line(184, 205),
        horizontal_line(185, 200),
        horizontal_line(163, 168),
        horizontal_line(161, 169),
        horizontal_line(162, 188),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(172, 187),
        horizontal_line(173, 187),
        horizontal_line(178, 187),
        horizontal_line(183, 187),
    };

    constexpr const horizontal_line frame_312_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(187, 191),
    };

    constexpr const horizontal_line frame_312_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 40),
        horizontal_line(0, 41),
        horizontal_line(0, 42),
        horizontal_line(0, 43),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_312_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(188, 226),
        horizontal_line(192, 229),
        horizontal_line(196, 232),
        horizontal_line(200, 235),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_312_shape_group_1_shapes[] = {
        shape(frame_312_shape_group_1_shape_0_horizontal_lines, 52, 7),
        shape(frame_312_shape_group_1_shape_1_horizontal_lines, 53, 14),
        shape(frame_312_shape_group_1_shape_2_horizontal_lines, 106, 7),
        shape(frame_312_shape_group_1_shape_3_horizontal_lines, 108, 9),
        shape(frame_312_shape_group_1_shape_4_horizontal_lines, 118, 7),
        shape(frame_312_shape_group_1_shape_5_horizontal_lines, 126, 9),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(23, 30),
        horizontal_line(28, 39),
        horizontal_line(34, 49),
        horizontal_line(39, 58),
        horizontal_line(44, 68),
        horizontal_line(50, 77),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(214, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(88, 116),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(204, 234),
        horizontal_line(201, 230),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(117, 144),
        horizontal_line(127, 154),
        horizontal_line(137, 163),
        horizontal_line(147, 173),
        horizontal_line(157, 183),
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(37, 41),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(186, 196),
        horizontal_line(187, 192),
    };

    constexpr const horizontal_line frame_312_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(37, 41),
        horizontal_line(37, 40),
        horizontal_line(37, 40),
        horizontal_line(37, 40),
        horizontal_line(37, 40),
        horizontal_line(36, 40),
        horizontal_line(36, 40),
        horizontal_line(36, 40),
        horizontal_line(36, 40),
        horizontal_line(36, 40),
        horizontal_line(36, 39),
        horizontal_line(36, 39),
        horizontal_line(36, 39),
        horizontal_line(36, 39),
        horizontal_line(35, 39),
        horizontal_line(35, 39),
        horizontal_line(35, 39),
        horizontal_line(35, 39),
        horizontal_line(35, 39),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 35),
        horizontal_line(171, 177),
        horizontal_line(23, 33),
        horizontal_line(12, 34),
        horizontal_line(1, 35),
        horizontal_line(169, 186),
        horizontal_line(168, 185),
        horizontal_line(168, 185),
        horizontal_line(167, 185),
        horizontal_line(167, 184),
        horizontal_line(170, 184),
        horizontal_line(174, 184),
        horizontal_line(173, 183),
        horizontal_line(179, 183),
        horizontal_line(184, 184),
        horizontal_line(1, 45),
        horizontal_line(1, 39),
        horizontal_line(2, 33),
        horizontal_line(2, 27),
        horizontal_line(3, 21),
        horizontal_line(3, 15),
        horizontal_line(4, 9),
        horizontal_line(4, 66),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_312_shape_group_2_shapes[] = {
        shape(frame_312_shape_group_2_shape_0_horizontal_lines, 53, 7),
        shape(frame_312_shape_group_2_shape_1_horizontal_lines, 59, 14),
        shape(frame_312_shape_group_2_shape_2_horizontal_lines, 62, 7),
        shape(frame_312_shape_group_2_shape_3_horizontal_lines, 63, 14),
        shape(frame_312_shape_group_2_shape_4_horizontal_lines, 65, 7),
        shape(frame_312_shape_group_2_shape_5_horizontal_lines, 71, 9),
        shape(frame_312_shape_group_2_shape_6_horizontal_lines, 72, 14),
        shape(frame_312_shape_group_2_shape_7_horizontal_lines, 74, 9),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(58, 87),
        horizontal_line(68, 97),
        horizontal_line(78, 106),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(98, 125),
        horizontal_line(108, 135),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(38, 42),
        horizontal_line(38, 41),
        horizontal_line(38, 41),
        horizontal_line(38, 41),
        horizontal_line(38, 41),
        horizontal_line(38, 41),
        horizontal_line(201, 239),
        horizontal_line(37, 41),
        horizontal_line(37, 41),
        horizontal_line(189, 239),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(163, 171),
        horizontal_line(164, 171),
        horizontal_line(172, 172),
        horizontal_line(188, 239),
        horizontal_line(170, 182),
        horizontal_line(170, 187),
        horizontal_line(169, 186),
        horizontal_line(202, 239),
        horizontal_line(209, 239),
        horizontal_line(217, 239),
        horizontal_line(224, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(161, 187),
        horizontal_line(139, 191),
        horizontal_line(116, 178),
        horizontal_line(94, 156),
        horizontal_line(71, 133),
        horizontal_line(49, 111),
        horizontal_line(26, 88),
        horizontal_line(66, 128),
        horizontal_line(126, 188),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_312_shape_group_3_shapes[] = {
        shape(frame_312_shape_group_3_shape_0_horizontal_lines, 58, 9),
        shape(frame_312_shape_group_3_shape_1_horizontal_lines, 59, 7),
        shape(frame_312_shape_group_3_shape_2_horizontal_lines, 62, 9),
        shape(frame_312_shape_group_3_shape_3_horizontal_lines, 63, 7),
        shape(frame_312_shape_group_3_shape_4_horizontal_lines, 65, 9),
        shape(frame_312_shape_group_3_shape_5_horizontal_lines, 114, 10),
        shape(frame_312_shape_group_3_shape_6_horizontal_lines, 115, 1),
        shape(frame_312_shape_group_3_shape_7_horizontal_lines, 118, 9),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(50, 61),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(218, 239),
        horizontal_line(214, 239),
        horizontal_line(210, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(42, 53),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(82, 83),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(152, 160),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(47, 109),
        horizontal_line(48, 110),
        horizontal_line(49, 84),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(43, 48),
        horizontal_line(44, 47),
        horizontal_line(45, 46),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(178, 195),
        horizontal_line(156, 199),
        horizontal_line(133, 195),
        horizontal_line(111, 173),
        horizontal_line(88, 150),
        horizontal_line(128, 190),
        horizontal_line(188, 219),
        horizontal_line(186, 223),
        horizontal_line(186, 227),
        horizontal_line(186, 231),
        horizontal_line(186, 235),
    };

    constexpr const shape frame_312_shape_group_4_shapes[] = {
        shape(frame_312_shape_group_4_shape_0_horizontal_lines, 59, 9),
        shape(frame_312_shape_group_4_shape_1_horizontal_lines, 62, 8),
        shape(frame_312_shape_group_4_shape_2_horizontal_lines, 63, 9),
        shape(frame_312_shape_group_4_shape_3_horizontal_lines, 71, 8),
        shape(frame_312_shape_group_4_shape_4_horizontal_lines, 72, 9),
        shape(frame_312_shape_group_4_shape_5_horizontal_lines, 74, 8),
        shape(frame_312_shape_group_4_shape_6_horizontal_lines, 75, 9),
        shape(frame_312_shape_group_4_shape_7_horizontal_lines, 104, 15),
        shape(frame_312_shape_group_4_shape_8_horizontal_lines, 105, 9),
        shape(frame_312_shape_group_4_shape_9_horizontal_lines, 108, 10),
        shape(frame_312_shape_group_4_shape_10_horizontal_lines, 114, 1),
        shape(frame_312_shape_group_4_shape_11_horizontal_lines, 115, 5),
        shape(frame_312_shape_group_4_shape_12_horizontal_lines, 118, 1),
        shape(frame_312_shape_group_4_shape_13_horizontal_lines, 120, 9),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(38, 39),
        horizontal_line(38, 40),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(43, 93),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 45),
        horizontal_line(59, 121),
        horizontal_line(42, 51),
        horizontal_line(44, 50),
        horizontal_line(91, 137),
        horizontal_line(92, 94),
        horizontal_line(103, 105),
        horizontal_line(107, 113),
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(49, 103),
        horizontal_line(49, 103),
        horizontal_line(49, 103),
        horizontal_line(49, 103),
        horizontal_line(48, 103),
        horizontal_line(48, 103),
        horizontal_line(48, 102),
        horizontal_line(48, 102),
        horizontal_line(48, 102),
        horizontal_line(48, 102),
        horizontal_line(48, 102),
        horizontal_line(48, 102),
        horizontal_line(48, 101),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(112, 115),
        horizontal_line(112, 117),
        horizontal_line(111, 119),
        horizontal_line(111, 121),
        horizontal_line(112, 123),
        horizontal_line(116, 125),
        horizontal_line(120, 127),
        horizontal_line(124, 129),
        horizontal_line(128, 131),
        horizontal_line(132, 133),
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(154, 160),
        horizontal_line(156, 159),
        horizontal_line(158, 159),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(106, 152),
        horizontal_line(107, 155),
        horizontal_line(108, 159),
        horizontal_line(159, 162),
        horizontal_line(161, 166),
        horizontal_line(164, 169),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(42, 49),
        horizontal_line(135, 172),
        horizontal_line(105, 167),
        horizontal_line(75, 137),
        horizontal_line(46, 108),
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(195, 203),
        horizontal_line(173, 207),
        horizontal_line(150, 211),
        horizontal_line(190, 215),
    };

    constexpr const horizontal_line frame_312_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const shape frame_312_shape_group_5_shapes[] = {
        shape(frame_312_shape_group_5_shape_0_horizontal_lines, 63, 9),
        shape(frame_312_shape_group_5_shape_1_horizontal_lines, 65, 8),
        shape(frame_312_shape_group_5_shape_2_horizontal_lines, 79, 2),
        shape(frame_312_shape_group_5_shape_3_horizontal_lines, 92, 15),
        shape(frame_312_shape_group_5_shape_4_horizontal_lines, 104, 11),
        shape(frame_312_shape_group_5_shape_5_horizontal_lines, 105, 15),
        shape(frame_312_shape_group_5_shape_6_horizontal_lines, 108, 10),
        shape(frame_312_shape_group_5_shape_7_horizontal_lines, 114, 5),
        shape(frame_312_shape_group_5_shape_8_horizontal_lines, 120, 1),
        shape(frame_312_shape_group_5_shape_9_horizontal_lines, 122, 9),
        shape(frame_312_shape_group_5_shape_10_horizontal_lines, 126, 1),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(104, 115),
        horizontal_line(104, 125),
        horizontal_line(104, 136),
        horizontal_line(48, 110),
        horizontal_line(160, 175),
        horizontal_line(62, 62),
        horizontal_line(72, 73),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(84, 90),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(102, 125),
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(49, 103),
        horizontal_line(49, 104),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(41, 48),
        horizontal_line(41, 48),
        horizontal_line(41, 48),
        horizontal_line(41, 48),
        horizontal_line(41, 47),
        horizontal_line(40, 47),
        horizontal_line(40, 47),
        horizontal_line(40, 47),
        horizontal_line(40, 47),
        horizontal_line(40, 47),
        horizontal_line(40, 47),
        horizontal_line(40, 47),
        horizontal_line(40, 47),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(49, 100),
        horizontal_line(50, 99),
        horizontal_line(51, 99),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(39, 51),
        horizontal_line(39, 52),
        horizontal_line(39, 46),
        horizontal_line(39, 41),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(143, 151),
        horizontal_line(145, 158),
        horizontal_line(147, 162),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(39, 101),
        horizontal_line(102, 108),
        horizontal_line(41, 83),
        horizontal_line(42, 57),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(153, 158),
        horizontal_line(156, 158),
        horizontal_line(201, 216),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(109, 157),
        horizontal_line(110, 120),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(211, 238),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(49, 111),
    };

    constexpr const horizontal_line frame_312_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(167, 178),
        horizontal_line(137, 183),
        horizontal_line(108, 160),
        horizontal_line(102, 138),
        horizontal_line(34, 96),
        horizontal_line(28, 90),
        horizontal_line(22, 70),
        horizontal_line(16, 48),
        horizontal_line(10, 25),
    };

    constexpr const shape frame_312_shape_group_6_shapes[] = {
        shape(frame_312_shape_group_6_shape_0_horizontal_lines, 63, 9),
        shape(frame_312_shape_group_6_shape_1_horizontal_lines, 66, 8),
        shape(frame_312_shape_group_6_shape_2_horizontal_lines, 74, 15),
        shape(frame_312_shape_group_6_shape_3_horizontal_lines, 75, 8),
        shape(frame_312_shape_group_6_shape_4_horizontal_lines, 77, 2),
        shape(frame_312_shape_group_6_shape_5_horizontal_lines, 79, 13),
        shape(frame_312_shape_group_6_shape_6_horizontal_lines, 92, 2),
        shape(frame_312_shape_group_6_shape_7_horizontal_lines, 95, 11),
        shape(frame_312_shape_group_6_shape_8_horizontal_lines, 99, 15),
        shape(frame_312_shape_group_6_shape_9_horizontal_lines, 103, 11),
        shape(frame_312_shape_group_6_shape_10_horizontal_lines, 107, 10),
        shape(frame_312_shape_group_6_shape_11_horizontal_lines, 108, 1),
        shape(frame_312_shape_group_6_shape_12_horizontal_lines, 111, 10),
        shape(frame_312_shape_group_6_shape_13_horizontal_lines, 113, 1),
        shape(frame_312_shape_group_6_shape_14_horizontal_lines, 114, 5),
        shape(frame_312_shape_group_6_shape_15_horizontal_lines, 115, 12),
        shape(frame_312_shape_group_6_shape_16_horizontal_lines, 116, 5),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(48, 72),
        horizontal_line(45, 83),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(110, 147),
        horizontal_line(121, 158),
        horizontal_line(70, 132),
        horizontal_line(80, 142),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(50, 81),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(95, 101),
        horizontal_line(106, 112),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(41, 48),
        horizontal_line(41, 48),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(107, 112),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(40, 48),
        horizontal_line(39, 49),
        horizontal_line(39, 50),
        horizontal_line(104, 110),
        horizontal_line(108, 110),
        horizontal_line(111, 111),
        horizontal_line(73, 115),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(101, 134),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(109, 138),
        horizontal_line(84, 141),
        horizontal_line(58, 120),
        horizontal_line(105, 148),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(195, 201),
        horizontal_line(198, 208),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(39, 45),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(204, 223),
        horizontal_line(208, 230),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(41, 48),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(50, 112),
        horizontal_line(111, 134),
        horizontal_line(48, 104),
        horizontal_line(47, 74),
    };

    constexpr const horizontal_line frame_312_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(96, 115),
        horizontal_line(90, 93),
    };

    constexpr const shape frame_312_shape_group_7_shapes[] = {
        shape(frame_312_shape_group_7_shape_0_horizontal_lines, 63, 8),
        shape(frame_312_shape_group_7_shape_1_horizontal_lines, 70, 8),
        shape(frame_312_shape_group_7_shape_2_horizontal_lines, 74, 2),
        shape(frame_312_shape_group_7_shape_3_horizontal_lines, 75, 15),
        shape(frame_312_shape_group_7_shape_4_horizontal_lines, 77, 13),
        shape(frame_312_shape_group_7_shape_5_horizontal_lines, 92, 11),
        shape(frame_312_shape_group_7_shape_6_horizontal_lines, 104, 10),
        shape(frame_312_shape_group_7_shape_7_horizontal_lines, 108, 1),
        shape(frame_312_shape_group_7_shape_8_horizontal_lines, 110, 5),
        shape(frame_312_shape_group_7_shape_9_horizontal_lines, 111, 1),
        shape(frame_312_shape_group_7_shape_10_horizontal_lines, 113, 5),
        shape(frame_312_shape_group_7_shape_11_horizontal_lines, 114, 12),
        shape(frame_312_shape_group_7_shape_12_horizontal_lines, 120, 5),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(46, 47),
        horizontal_line(54, 58),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(132, 162),
        horizontal_line(142, 150),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(42, 49),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(49, 91),
        horizontal_line(49, 102),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(104, 106),
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 105),
        horizontal_line(103, 105),
        horizontal_line(103, 105),
        horizontal_line(103, 105),
        horizontal_line(104, 105),
        horizontal_line(106, 106),
        horizontal_line(105, 112),
        horizontal_line(104, 111),
        horizontal_line(103, 111),
        horizontal_line(126, 162),
        horizontal_line(130, 162),
        horizontal_line(134, 162),
        horizontal_line(139, 162),
        horizontal_line(145, 162),
        horizontal_line(152, 162),
        horizontal_line(159, 162),
        horizontal_line(101, 131),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(135, 135),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(139, 151),
        horizontal_line(142, 153),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(120, 145),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(37, 43),
        horizontal_line(38, 44),
        horizontal_line(160, 167),
        horizontal_line(40, 46),
        horizontal_line(40, 47),
    };

    constexpr const horizontal_line frame_312_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(85, 147),
        horizontal_line(112, 165),
    };

    constexpr const shape frame_312_shape_group_8_shapes[] = {
        shape(frame_312_shape_group_8_shape_0_horizontal_lines, 70, 15),
        shape(frame_312_shape_group_8_shape_1_horizontal_lines, 72, 8),
        shape(frame_312_shape_group_8_shape_2_horizontal_lines, 74, 13),
        shape(frame_312_shape_group_8_shape_3_horizontal_lines, 75, 2),
        shape(frame_312_shape_group_8_shape_4_horizontal_lines, 77, 13),
        shape(frame_312_shape_group_8_shape_5_horizontal_lines, 79, 11),
        shape(frame_312_shape_group_8_shape_6_horizontal_lines, 103, 10),
        shape(frame_312_shape_group_8_shape_7_horizontal_lines, 104, 1),
        shape(frame_312_shape_group_8_shape_8_horizontal_lines, 106, 10),
        shape(frame_312_shape_group_8_shape_9_horizontal_lines, 107, 1),
        shape(frame_312_shape_group_8_shape_10_horizontal_lines, 108, 5),
        shape(frame_312_shape_group_8_shape_11_horizontal_lines, 113, 12),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(63, 69),
        horizontal_line(74, 79),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(138, 161),
        horizontal_line(41, 48),
        horizontal_line(41, 48),
        horizontal_line(114, 136),
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(114, 162),
        horizontal_line(114, 162),
        horizontal_line(114, 162),
        horizontal_line(114, 162),
        horizontal_line(114, 162),
        horizontal_line(114, 162),
        horizontal_line(114, 162),
        horizontal_line(113, 162),
        horizontal_line(113, 162),
        horizontal_line(113, 162),
        horizontal_line(113, 162),
        horizontal_line(113, 162),
        horizontal_line(113, 162),
        horizontal_line(114, 162),
        horizontal_line(118, 162),
        horizontal_line(122, 162),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(103, 103),
        horizontal_line(53, 107),
        horizontal_line(47, 109),
        horizontal_line(42, 72),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(101, 119),
        horizontal_line(101, 123),
        horizontal_line(101, 127),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(134, 146),
        horizontal_line(136, 148),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(34, 39),
        horizontal_line(34, 40),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(146, 155),
        horizontal_line(192, 194),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(159, 168),
        horizontal_line(159, 167),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(163, 166),
    };

    constexpr const horizontal_line frame_312_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(121, 160),
        horizontal_line(147, 163),
    };

    constexpr const shape frame_312_shape_group_9_shapes[] = {
        shape(frame_312_shape_group_9_shape_0_horizontal_lines, 72, 15),
        shape(frame_312_shape_group_9_shape_1_horizontal_lines, 74, 13),
        shape(frame_312_shape_group_9_shape_2_horizontal_lines, 79, 11),
        shape(frame_312_shape_group_9_shape_3_horizontal_lines, 95, 10),
        shape(frame_312_shape_group_9_shape_4_horizontal_lines, 99, 11),
        shape(frame_312_shape_group_9_shape_5_horizontal_lines, 102, 1),
        shape(frame_312_shape_group_9_shape_6_horizontal_lines, 104, 5),
        shape(frame_312_shape_group_9_shape_7_horizontal_lines, 106, 1),
        shape(frame_312_shape_group_9_shape_8_horizontal_lines, 108, 5),
        shape(frame_312_shape_group_9_shape_9_horizontal_lines, 111, 5),
        shape(frame_312_shape_group_9_shape_10_horizontal_lines, 112, 12),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(52, 61),
        horizontal_line(51, 71),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(126, 162),
        horizontal_line(114, 157),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(137, 162),
        horizontal_line(116, 162),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(103, 103),
        horizontal_line(102, 105),
        horizontal_line(101, 104),
        horizontal_line(100, 103),
        horizontal_line(101, 102),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(122, 129),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(126, 138),
        horizontal_line(128, 140),
        horizontal_line(130, 142),
        horizontal_line(132, 144),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(36, 38),
        horizontal_line(161, 170),
        horizontal_line(161, 169),
        horizontal_line(35, 41),
        horizontal_line(36, 42),
    };

    constexpr const horizontal_line frame_312_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(158, 158),
    };

    constexpr const shape frame_312_shape_group_10_shapes[] = {
        shape(frame_312_shape_group_10_shape_0_horizontal_lines, 72, 2),
        shape(frame_312_shape_group_10_shape_1_horizontal_lines, 75, 13),
        shape(frame_312_shape_group_10_shape_2_horizontal_lines, 77, 11),
        shape(frame_312_shape_group_10_shape_3_horizontal_lines, 90, 10),
        shape(frame_312_shape_group_10_shape_4_horizontal_lines, 95, 1),
        shape(frame_312_shape_group_10_shape_5_horizontal_lines, 97, 10),
        shape(frame_312_shape_group_10_shape_6_horizontal_lines, 98, 1),
        shape(frame_312_shape_group_10_shape_7_horizontal_lines, 102, 5),
        shape(frame_312_shape_group_10_shape_8_horizontal_lines, 111, 12),
    };

    constexpr const horizontal_line frame_312_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(42, 43),
    };

    constexpr const horizontal_line frame_312_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_312_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(118, 121),
    };

    constexpr const horizontal_line frame_312_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(52, 102),
    };

    constexpr const horizontal_line frame_312_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(124, 133),
    };

    constexpr const horizontal_line frame_312_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(162, 171),
    };

    constexpr const horizontal_line frame_312_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(160, 169),
        horizontal_line(160, 168),
    };

    constexpr const shape frame_312_shape_group_11_shapes[] = {
        shape(frame_312_shape_group_11_shape_0_horizontal_lines, 73, 13),
        shape(frame_312_shape_group_11_shape_1_horizontal_lines, 76, 11),
        shape(frame_312_shape_group_11_shape_2_horizontal_lines, 93, 1),
        shape(frame_312_shape_group_11_shape_3_horizontal_lines, 95, 3),
        shape(frame_312_shape_group_11_shape_4_horizontal_lines, 97, 1),
        shape(frame_312_shape_group_11_shape_5_horizontal_lines, 103, 5),
        shape(frame_312_shape_group_11_shape_6_horizontal_lines, 106, 5),
    };

    constexpr const horizontal_line frame_312_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(151, 160),
    };

    constexpr const horizontal_line frame_312_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(100, 100),
    };

    constexpr const shape frame_312_shape_group_12_shapes[] = {
        shape(frame_312_shape_group_12_shape_0_horizontal_lines, 73, 13),
        shape(frame_312_shape_group_12_shape_1_horizontal_lines, 94, 3),
    };

    constexpr const shape_group frame_312_shape_groups[] = {
        shape_group(frame_312_shape_group_0_shapes),
        shape_group(frame_312_shape_group_1_shapes),
        shape_group(frame_312_shape_group_2_shapes),
        shape_group(frame_312_shape_group_3_shapes),
        shape_group(frame_312_shape_group_4_shapes),
        shape_group(frame_312_shape_group_5_shapes),
        shape_group(frame_312_shape_group_6_shapes),
        shape_group(frame_312_shape_group_7_shapes),
        shape_group(frame_312_shape_group_8_shapes),
        shape_group(frame_312_shape_group_9_shapes),
        shape_group(frame_312_shape_group_10_shapes),
        shape_group(frame_312_shape_group_11_shapes),
        shape_group(frame_312_shape_group_12_shapes),
    };

    constexpr const frame frame_312_impl(frame_312_colors, frame_312_shape_groups);
} 

const frame& frame_312()
{
    return frame_312_impl;
}

namespace
{
    constexpr const bn::color frame_313_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_313_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_313_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(20, 28),
        horizontal_line(25, 37),
        horizontal_line(30, 45),
        horizontal_line(35, 54),
        horizontal_line(40, 62),
    };

    constexpr const horizontal_line frame_313_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 6),
        horizontal_line(0, 12),
        horizontal_line(0, 19),
        horizontal_line(0, 25),
        horizontal_line(0, 45),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 17),
        horizontal_line(0, 8),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_313_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(195, 201),
        horizontal_line(194, 204),
        horizontal_line(194, 207),
        horizontal_line(193, 210),
        horizontal_line(193, 213),
        horizontal_line(192, 216),
        horizontal_line(192, 218),
        horizontal_line(191, 221),
        horizontal_line(191, 224),
        horizontal_line(190, 227),
        horizontal_line(191, 230),
        horizontal_line(194, 233),
        horizontal_line(198, 236),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_313_shape_group_0_shapes[] = {
        shape(frame_313_shape_group_0_shape_0_horizontal_lines, 46, 14),
        shape(frame_313_shape_group_0_shape_1_horizontal_lines, 49, 7),
        shape(frame_313_shape_group_0_shape_2_horizontal_lines, 54, 14),
        shape(frame_313_shape_group_0_shape_3_horizontal_lines, 109, 7),
        shape(frame_313_shape_group_0_shape_4_horizontal_lines, 133, 9),
    };

    constexpr const horizontal_line frame_313_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(10, 11),
        horizontal_line(15, 20),
    };

    constexpr const horizontal_line frame_313_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(42, 45),
        horizontal_line(40, 46),
        horizontal_line(37, 47),
        horizontal_line(35, 48),
        horizontal_line(221, 239),
        horizontal_line(35, 43),
        horizontal_line(37, 40),
        horizontal_line(211, 239),
        horizontal_line(208, 239),
        horizontal_line(204, 234),
        horizontal_line(201, 230),
        horizontal_line(197, 225),
        horizontal_line(194, 221),
        horizontal_line(191, 217),
        horizontal_line(191, 212),
        horizontal_line(192, 208),
        horizontal_line(168, 174),
        horizontal_line(166, 175),
        horizontal_line(167, 195),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(177, 194),
        horizontal_line(179, 194),
        horizontal_line(188, 194),
    };

    constexpr const horizontal_line frame_313_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(196, 196),
        horizontal_line(195, 198),
    };

    constexpr const horizontal_line frame_313_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 33),
        horizontal_line(0, 34),
        horizontal_line(0, 35),
        horizontal_line(0, 36),
        horizontal_line(0, 37),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 32),
        horizontal_line(0, 26),
        horizontal_line(0, 21),
        horizontal_line(0, 15),
        horizontal_line(0, 10),
        horizontal_line(0, 4),
        horizontal_line(21, 83),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_313_shape_group_1_shapes[] = {
        shape(frame_313_shape_group_1_shape_0_horizontal_lines, 47, 7),
        shape(frame_313_shape_group_1_shape_1_horizontal_lines, 54, 14),
        shape(frame_313_shape_group_1_shape_2_horizontal_lines, 107, 7),
        shape(frame_313_shape_group_1_shape_3_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(45, 71),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(89, 113),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(117, 139),
        horizontal_line(126, 147),
        horizontal_line(135, 156),
        horizontal_line(144, 164),
        horizontal_line(153, 173),
        horizontal_line(162, 181),
        horizontal_line(172, 190),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(37, 47),
        horizontal_line(37, 52),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(193, 203),
        horizontal_line(194, 199),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(48, 48),
        horizontal_line(105, 128),
        horizontal_line(115, 115),
        horizontal_line(108, 114),
        horizontal_line(108, 115),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_313_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(30, 35),
        horizontal_line(30, 35),
        horizontal_line(30, 35),
        horizontal_line(30, 35),
        horizontal_line(29, 34),
        horizontal_line(29, 34),
        horizontal_line(29, 34),
        horizontal_line(29, 34),
        horizontal_line(29, 34),
        horizontal_line(29, 34),
        horizontal_line(29, 34),
        horizontal_line(28, 33),
        horizontal_line(28, 33),
        horizontal_line(28, 33),
        horizontal_line(28, 33),
        horizontal_line(28, 33),
        horizontal_line(28, 33),
        horizontal_line(28, 33),
        horizontal_line(28, 32),
        horizontal_line(27, 32),
        horizontal_line(27, 32),
        horizontal_line(27, 32),
        horizontal_line(27, 32),
        horizontal_line(27, 32),
        horizontal_line(27, 32),
        horizontal_line(27, 29),
        horizontal_line(178, 178),
        horizontal_line(18, 26),
        horizontal_line(9, 27),
        horizontal_line(1, 28),
        horizontal_line(175, 194),
        horizontal_line(174, 193),
        horizontal_line(174, 193),
        horizontal_line(173, 192),
        horizontal_line(172, 192),
        horizontal_line(173, 191),
        horizontal_line(176, 191),
        horizontal_line(180, 190),
        horizontal_line(178, 190),
        horizontal_line(184, 189),
        horizontal_line(190, 190),
        horizontal_line(168, 193),
        horizontal_line(147, 197),
        horizontal_line(126, 188),
        horizontal_line(105, 167),
        horizontal_line(84, 146),
        horizontal_line(63, 125),
        horizontal_line(42, 104),
        horizontal_line(83, 145),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_313_shape_group_2_shapes[] = {
        shape(frame_313_shape_group_2_shape_0_horizontal_lines, 54, 7),
        shape(frame_313_shape_group_2_shape_1_horizontal_lines, 55, 14),
        shape(frame_313_shape_group_2_shape_2_horizontal_lines, 59, 7),
        shape(frame_313_shape_group_2_shape_3_horizontal_lines, 60, 14),
        shape(frame_313_shape_group_2_shape_4_horizontal_lines, 62, 7),
        shape(frame_313_shape_group_2_shape_5_horizontal_lines, 69, 8),
        shape(frame_313_shape_group_2_shape_6_horizontal_lines, 71, 14),
        shape(frame_313_shape_group_2_shape_7_horizontal_lines, 73, 8),
        shape(frame_313_shape_group_2_shape_8_horizontal_lines, 79, 9),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(53, 79),
        horizontal_line(62, 88),
        horizontal_line(71, 96),
        horizontal_line(80, 105),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(46, 56),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(98, 122),
        horizontal_line(108, 130),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(39, 85),
        horizontal_line(38, 95),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 42),
        horizontal_line(56, 118),
        horizontal_line(66, 128),
        horizontal_line(37, 50),
        horizontal_line(42, 49),
        horizontal_line(95, 141),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(31, 36),
        horizontal_line(30, 36),
        horizontal_line(30, 35),
        horizontal_line(30, 35),
        horizontal_line(30, 35),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(169, 176),
        horizontal_line(174, 176),
        horizontal_line(195, 239),
        horizontal_line(177, 187),
        horizontal_line(176, 195),
        horizontal_line(176, 194),
        horizontal_line(208, 239),
        horizontal_line(214, 239),
        horizontal_line(220, 239),
        horizontal_line(226, 239),
        horizontal_line(232, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(44, 82),
        horizontal_line(172, 179),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(188, 200),
        horizontal_line(167, 204),
        horizontal_line(146, 207),
        horizontal_line(125, 187),
        horizontal_line(104, 166),
        horizontal_line(145, 207),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_313_shape_group_3_shapes[] = {
        shape(frame_313_shape_group_3_shape_0_horizontal_lines, 55, 7),
        shape(frame_313_shape_group_3_shape_1_horizontal_lines, 59, 8),
        shape(frame_313_shape_group_3_shape_2_horizontal_lines, 60, 7),
        shape(frame_313_shape_group_3_shape_3_horizontal_lines, 62, 8),
        shape(frame_313_shape_group_3_shape_4_horizontal_lines, 74, 9),
        shape(frame_313_shape_group_3_shape_5_horizontal_lines, 115, 10),
        shape(frame_313_shape_group_3_shape_6_horizontal_lines, 117, 1),
        shape(frame_313_shape_group_3_shape_7_horizontal_lines, 122, 9),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(44, 66),
        horizontal_line(41, 76),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(32, 38),
        horizontal_line(32, 37),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(100, 105),
        horizontal_line(100, 114),
        horizontal_line(100, 124),
        horizontal_line(100, 134),
        horizontal_line(46, 108),
        horizontal_line(169, 172),
        horizontal_line(165, 181),
        horizontal_line(76, 138),
        horizontal_line(85, 147),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(31, 36),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(168, 176),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(156, 165),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(38, 100),
        horizontal_line(39, 101),
        horizontal_line(40, 102),
        horizontal_line(41, 103),
        horizontal_line(42, 104),
        horizontal_line(43, 105),
        horizontal_line(168, 175),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(37, 42),
        horizontal_line(38, 41),
        horizontal_line(39, 40),
        horizontal_line(39, 101),
        horizontal_line(33, 95),
        horizontal_line(27, 89),
        horizontal_line(22, 84),
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_313_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(187, 211),
        horizontal_line(166, 214),
        horizontal_line(207, 218),
        horizontal_line(186, 221),
        horizontal_line(186, 225),
        horizontal_line(186, 228),
        horizontal_line(186, 232),
        horizontal_line(186, 235),
    };

    constexpr const shape frame_313_shape_group_4_shapes[] = {
        shape(frame_313_shape_group_4_shape_0_horizontal_lines, 60, 8),
        shape(frame_313_shape_group_4_shape_1_horizontal_lines, 62, 9),
        shape(frame_313_shape_group_4_shape_2_horizontal_lines, 64, 8),
        shape(frame_313_shape_group_4_shape_3_horizontal_lines, 73, 9),
        shape(frame_313_shape_group_4_shape_4_horizontal_lines, 105, 15),
        shape(frame_313_shape_group_4_shape_5_horizontal_lines, 106, 9),
        shape(frame_313_shape_group_4_shape_6_horizontal_lines, 109, 10),
        shape(frame_313_shape_group_4_shape_7_horizontal_lines, 116, 1),
        shape(frame_313_shape_group_4_shape_8_horizontal_lines, 117, 5),
        shape(frame_313_shape_group_4_shape_9_horizontal_lines, 125, 9),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(32, 34),
        horizontal_line(32, 36),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(32, 37),
        horizontal_line(32, 37),
        horizontal_line(32, 37),
        horizontal_line(31, 37),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(108, 143),
        horizontal_line(118, 153),
        horizontal_line(128, 163),
        horizontal_line(138, 167),
        horizontal_line(147, 154),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(48, 104),
        horizontal_line(48, 104),
        horizontal_line(48, 104),
        horizontal_line(47, 104),
        horizontal_line(47, 104),
        horizontal_line(47, 104),
        horizontal_line(47, 103),
        horizontal_line(47, 103),
        horizontal_line(47, 103),
        horizontal_line(47, 103),
        horizontal_line(47, 103),
        horizontal_line(47, 103),
        horizontal_line(48, 102),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(114, 116),
        horizontal_line(113, 118),
        horizontal_line(113, 120),
        horizontal_line(112, 122),
        horizontal_line(33, 34),
        horizontal_line(116, 126),
        horizontal_line(120, 127),
        horizontal_line(123, 129),
        horizontal_line(127, 131),
        horizontal_line(130, 133),
        horizontal_line(134, 135),
        horizontal_line(154, 166),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(34, 96),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(158, 164),
        horizontal_line(161, 164),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(100, 154),
        horizontal_line(101, 158),
        horizontal_line(102, 161),
        horizontal_line(103, 165),
        horizontal_line(162, 168),
        horizontal_line(165, 172),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(36, 44),
        horizontal_line(138, 177),
        horizontal_line(105, 167),
        horizontal_line(72, 134),
        horizontal_line(101, 163),
        horizontal_line(95, 146),
        horizontal_line(89, 125),
        horizontal_line(84, 104),
        horizontal_line(78, 83),
        horizontal_line(11, 62),
        horizontal_line(5, 41),
        horizontal_line(0, 20),
    };

    constexpr const shape frame_313_shape_group_5_shapes[] = {
        shape(frame_313_shape_group_5_shape_0_horizontal_lines, 60, 9),
        shape(frame_313_shape_group_5_shape_1_horizontal_lines, 64, 9),
        shape(frame_313_shape_group_5_shape_2_horizontal_lines, 68, 8),
        shape(frame_313_shape_group_5_shape_3_horizontal_lines, 73, 9),
        shape(frame_313_shape_group_5_shape_4_horizontal_lines, 79, 2),
        shape(frame_313_shape_group_5_shape_5_horizontal_lines, 92, 15),
        shape(frame_313_shape_group_5_shape_6_horizontal_lines, 105, 11),
        shape(frame_313_shape_group_5_shape_7_horizontal_lines, 106, 15),
        shape(frame_313_shape_group_5_shape_8_horizontal_lines, 109, 10),
        shape(frame_313_shape_group_5_shape_9_horizontal_lines, 115, 1),
        shape(frame_313_shape_group_5_shape_10_horizontal_lines, 116, 5),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(226, 239),
        horizontal_line(222, 239),
        horizontal_line(31, 37),
        horizontal_line(31, 36),
        horizontal_line(31, 36),
        horizontal_line(31, 36),
        horizontal_line(31, 36),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(79, 94),
        horizontal_line(88, 104),
        horizontal_line(97, 114),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(48, 104),
        horizontal_line(48, 105),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(36, 47),
        horizontal_line(36, 47),
        horizontal_line(36, 47),
        horizontal_line(36, 46),
        horizontal_line(35, 46),
        horizontal_line(35, 46),
        horizontal_line(35, 46),
        horizontal_line(35, 46),
        horizontal_line(35, 46),
        horizontal_line(35, 46),
        horizontal_line(35, 46),
        horizontal_line(34, 46),
        horizontal_line(34, 37),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(49, 101),
        horizontal_line(50, 100),
        horizontal_line(51, 100),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(34, 51),
        horizontal_line(34, 52),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(113, 124),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(36, 98),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(144, 146),
        horizontal_line(146, 151),
        horizontal_line(148, 157),
        horizontal_line(150, 162),
        horizontal_line(152, 167),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(33, 95),
        horizontal_line(96, 100),
        horizontal_line(35, 65),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(37, 99),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(155, 162),
        horizontal_line(159, 162),
        horizontal_line(208, 219),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(165, 165),
        horizontal_line(104, 160),
        horizontal_line(105, 121),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(35, 43),
        horizontal_line(171, 171),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_313_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(167, 183),
        horizontal_line(134, 189),
        horizontal_line(163, 167),
    };

    constexpr const shape frame_313_shape_group_6_shapes[] = {
        shape(frame_313_shape_group_6_shape_0_horizontal_lines, 64, 9),
        shape(frame_313_shape_group_6_shape_1_horizontal_lines, 73, 15),
        shape(frame_313_shape_group_6_shape_2_horizontal_lines, 77, 2),
        shape(frame_313_shape_group_6_shape_3_horizontal_lines, 79, 13),
        shape(frame_313_shape_group_6_shape_4_horizontal_lines, 92, 2),
        shape(frame_313_shape_group_6_shape_5_horizontal_lines, 95, 11),
        shape(frame_313_shape_group_6_shape_6_horizontal_lines, 97, 15),
        shape(frame_313_shape_group_6_shape_7_horizontal_lines, 98, 11),
        shape(frame_313_shape_group_6_shape_8_horizontal_lines, 99, 15),
        shape(frame_313_shape_group_6_shape_9_horizontal_lines, 104, 11),
        shape(frame_313_shape_group_6_shape_10_horizontal_lines, 107, 10),
        shape(frame_313_shape_group_6_shape_11_horizontal_lines, 109, 1),
        shape(frame_313_shape_group_6_shape_12_horizontal_lines, 112, 10),
        shape(frame_313_shape_group_6_shape_13_horizontal_lines, 115, 5),
        shape(frame_313_shape_group_6_shape_14_horizontal_lines, 117, 12),
        shape(frame_313_shape_group_6_shape_15_horizontal_lines, 118, 5),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(204, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(49, 78),
        horizontal_line(48, 87),
        horizontal_line(48, 96),
        horizontal_line(48, 103),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(36, 47),
        horizontal_line(36, 47),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(109, 114),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(34, 48),
        horizontal_line(34, 49),
        horizontal_line(34, 50),
        horizontal_line(105, 112),
        horizontal_line(109, 111),
        horizontal_line(35, 43),
        horizontal_line(142, 167),
        horizontal_line(35, 97),
        horizontal_line(35, 97),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(95, 136),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(101, 140),
        horizontal_line(66, 128),
        horizontal_line(98, 147),
        horizontal_line(99, 151),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(202, 207),
        horizontal_line(205, 213),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(32, 39),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(211, 225),
        horizontal_line(214, 231),
        horizontal_line(217, 238),
    };

    constexpr const horizontal_line frame_313_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(45, 107),
        horizontal_line(105, 137),
        horizontal_line(42, 104),
        horizontal_line(41, 71),
    };

    constexpr const shape frame_313_shape_group_7_shapes[] = {
        shape(frame_313_shape_group_7_shape_0_horizontal_lines, 68, 9),
        shape(frame_313_shape_group_7_shape_1_horizontal_lines, 73, 2),
        shape(frame_313_shape_group_7_shape_2_horizontal_lines, 77, 13),
        shape(frame_313_shape_group_7_shape_3_horizontal_lines, 92, 11),
        shape(frame_313_shape_group_7_shape_4_horizontal_lines, 105, 10),
        shape(frame_313_shape_group_7_shape_5_horizontal_lines, 109, 1),
        shape(frame_313_shape_group_7_shape_6_horizontal_lines, 111, 5),
        shape(frame_313_shape_group_7_shape_7_horizontal_lines, 112, 1),
        shape(frame_313_shape_group_7_shape_8_horizontal_lines, 115, 12),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(43, 45),
        horizontal_line(48, 55),
        horizontal_line(53, 65),
        horizontal_line(61, 75),
        horizontal_line(70, 84),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(37, 47),
        horizontal_line(37, 47),
        horizontal_line(37, 47),
        horizontal_line(36, 47),
        horizontal_line(105, 107),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(105, 107),
        horizontal_line(38, 47),
        horizontal_line(107, 114),
        horizontal_line(106, 113),
        horizontal_line(105, 112),
        horizontal_line(129, 167),
        horizontal_line(133, 167),
        horizontal_line(112, 112),
        horizontal_line(98, 115),
        horizontal_line(147, 167),
        horizontal_line(152, 167),
        horizontal_line(158, 167),
        horizontal_line(163, 167),
        horizontal_line(95, 133),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(141, 155),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(128, 144),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(148, 160),
        horizontal_line(152, 162),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(30, 37),
        horizontal_line(31, 38),
        horizontal_line(162, 173),
        horizontal_line(33, 40),
        horizontal_line(33, 41),
        horizontal_line(34, 42),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(145, 167),
        horizontal_line(107, 169),
    };

    constexpr const horizontal_line frame_313_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const shape frame_313_shape_group_8_shapes[] = {
        shape(frame_313_shape_group_8_shape_0_horizontal_lines, 68, 15),
        shape(frame_313_shape_group_8_shape_1_horizontal_lines, 73, 13),
        shape(frame_313_shape_group_8_shape_2_horizontal_lines, 79, 11),
        shape(frame_313_shape_group_8_shape_3_horizontal_lines, 104, 10),
        shape(frame_313_shape_group_8_shape_4_horizontal_lines, 105, 1),
        shape(frame_313_shape_group_8_shape_5_horizontal_lines, 106, 10),
        shape(frame_313_shape_group_8_shape_6_horizontal_lines, 107, 1),
        shape(frame_313_shape_group_8_shape_7_horizontal_lines, 109, 5),
        shape(frame_313_shape_group_8_shape_8_horizontal_lines, 115, 12),
        shape(frame_313_shape_group_8_shape_9_horizontal_lines, 118, 12),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(51, 60),
        horizontal_line(50, 69),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(142, 166),
        horizontal_line(129, 167),
        horizontal_line(116, 167),
        horizontal_line(104, 106),
        horizontal_line(116, 133),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(116, 167),
        horizontal_line(116, 167),
        horizontal_line(116, 167),
        horizontal_line(116, 167),
        horizontal_line(116, 167),
        horizontal_line(116, 167),
        horizontal_line(116, 167),
        horizontal_line(115, 167),
        horizontal_line(115, 167),
        horizontal_line(115, 167),
        horizontal_line(115, 167),
        horizontal_line(115, 167),
        horizontal_line(108, 108),
        horizontal_line(116, 167),
        horizontal_line(120, 167),
        horizontal_line(124, 167),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(53, 108),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(137, 167),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(33, 35),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(97, 119),
        horizontal_line(97, 122),
        horizontal_line(96, 126),
        horizontal_line(96, 129),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(136, 151),
        horizontal_line(138, 153),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(27, 33),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(145, 157),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(28, 35),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(163, 174),
        horizontal_line(163, 173),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(166, 172),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(122, 164),
    };

    constexpr const horizontal_line frame_313_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(169, 170),
    };

    constexpr const shape frame_313_shape_group_9_shapes[] = {
        shape(frame_313_shape_group_9_shape_0_horizontal_lines, 71, 2),
        shape(frame_313_shape_group_9_shape_1_horizontal_lines, 73, 13),
        shape(frame_313_shape_group_9_shape_2_horizontal_lines, 79, 11),
        shape(frame_313_shape_group_9_shape_3_horizontal_lines, 95, 10),
        shape(frame_313_shape_group_9_shape_4_horizontal_lines, 97, 11),
        shape(frame_313_shape_group_9_shape_5_horizontal_lines, 98, 1),
        shape(frame_313_shape_group_9_shape_6_horizontal_lines, 99, 11),
        shape(frame_313_shape_group_9_shape_7_horizontal_lines, 103, 1),
        shape(frame_313_shape_group_9_shape_8_horizontal_lines, 105, 5),
        shape(frame_313_shape_group_9_shape_9_horizontal_lines, 106, 1),
        shape(frame_313_shape_group_9_shape_10_horizontal_lines, 107, 5),
        shape(frame_313_shape_group_9_shape_11_horizontal_lines, 108, 1),
        shape(frame_313_shape_group_9_shape_12_horizontal_lines, 109, 5),
        shape(frame_313_shape_group_9_shape_13_horizontal_lines, 112, 5),
        shape(frame_313_shape_group_9_shape_14_horizontal_lines, 114, 12),
        shape(frame_313_shape_group_9_shape_15_horizontal_lines, 116, 12),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(37, 41),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(115, 150),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(134, 167),
        horizontal_line(118, 167),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(115, 167),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(102, 106),
        horizontal_line(101, 105),
        horizontal_line(102, 104),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(121, 128),
        horizontal_line(123, 132),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(44, 106),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(127, 141),
        horizontal_line(33, 34),
        horizontal_line(33, 34),
        horizontal_line(33, 33),
        horizontal_line(33, 33),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(168, 168),
        horizontal_line(30, 32),
        horizontal_line(166, 177),
        horizontal_line(27, 34),
        horizontal_line(165, 175),
        horizontal_line(29, 36),
    };

    constexpr const horizontal_line frame_313_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(161, 161),
    };

    constexpr const shape frame_313_shape_group_10_shapes[] = {
        shape(frame_313_shape_group_10_shape_0_horizontal_lines, 72, 13),
        shape(frame_313_shape_group_10_shape_1_horizontal_lines, 76, 13),
        shape(frame_313_shape_group_10_shape_2_horizontal_lines, 77, 11),
        shape(frame_313_shape_group_10_shape_3_horizontal_lines, 90, 10),
        shape(frame_313_shape_group_10_shape_4_horizontal_lines, 91, 11),
        shape(frame_313_shape_group_10_shape_5_horizontal_lines, 92, 10),
        shape(frame_313_shape_group_10_shape_6_horizontal_lines, 95, 1),
        shape(frame_313_shape_group_10_shape_7_horizontal_lines, 97, 10),
        shape(frame_313_shape_group_10_shape_8_horizontal_lines, 98, 1),
        shape(frame_313_shape_group_10_shape_9_horizontal_lines, 103, 5),
        shape(frame_313_shape_group_10_shape_10_horizontal_lines, 113, 12),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(155, 165),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(151, 167),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(103, 107),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(117, 119),
        horizontal_line(119, 123),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(52, 103),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(106, 111),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(128, 143),
        horizontal_line(130, 145),
        horizontal_line(132, 147),
        horizontal_line(134, 149),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(167, 173),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(165, 176),
    };

    constexpr const horizontal_line frame_313_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(164, 175),
    };

    constexpr const shape frame_313_shape_group_11_shapes[] = {
        shape(frame_313_shape_group_11_shape_0_horizontal_lines, 72, 13),
        shape(frame_313_shape_group_11_shape_1_horizontal_lines, 76, 11),
        shape(frame_313_shape_group_11_shape_2_horizontal_lines, 91, 10),
        shape(frame_313_shape_group_11_shape_3_horizontal_lines, 93, 1),
        shape(frame_313_shape_group_11_shape_4_horizontal_lines, 95, 3),
        shape(frame_313_shape_group_11_shape_5_horizontal_lines, 97, 10),
        shape(frame_313_shape_group_11_shape_6_horizontal_lines, 99, 1),
        shape(frame_313_shape_group_11_shape_7_horizontal_lines, 104, 5),
        shape(frame_313_shape_group_11_shape_8_horizontal_lines, 106, 5),
        shape(frame_313_shape_group_11_shape_9_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_313_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_313_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(125, 136),
    };

    constexpr const shape frame_313_shape_group_12_shapes[] = {
        shape(frame_313_shape_group_12_shape_0_horizontal_lines, 94, 3),
        shape(frame_313_shape_group_12_shape_1_horizontal_lines, 97, 1),
    };

    constexpr const shape_group frame_313_shape_groups[] = {
        shape_group(frame_313_shape_group_0_shapes),
        shape_group(frame_313_shape_group_1_shapes),
        shape_group(frame_313_shape_group_2_shapes),
        shape_group(frame_313_shape_group_3_shapes),
        shape_group(frame_313_shape_group_4_shapes),
        shape_group(frame_313_shape_group_5_shapes),
        shape_group(frame_313_shape_group_6_shapes),
        shape_group(frame_313_shape_group_7_shapes),
        shape_group(frame_313_shape_group_8_shapes),
        shape_group(frame_313_shape_group_9_shapes),
        shape_group(frame_313_shape_group_10_shapes),
        shape_group(frame_313_shape_group_11_shapes),
        shape_group(frame_313_shape_group_12_shapes),
    };

    constexpr const frame frame_313_impl(frame_313_colors, frame_313_shape_groups);
} 

const frame& frame_313()
{
    return frame_313_impl;
}

namespace
{
    constexpr const bn::color frame_314_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_314_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(5, 7),
        horizontal_line(10, 15),
        horizontal_line(15, 23),
        horizontal_line(20, 32),
        horizontal_line(24, 40),
        horizontal_line(29, 48),
        horizontal_line(34, 57),
        horizontal_line(39, 65),
        horizontal_line(46, 73),
        horizontal_line(55, 81),
        horizontal_line(64, 90),
        horizontal_line(73, 98),
        horizontal_line(82, 106),
        horizontal_line(90, 115),
        horizontal_line(99, 123),
        horizontal_line(108, 131),
        horizontal_line(117, 139),
        horizontal_line(126, 148),
        horizontal_line(134, 156),
        horizontal_line(143, 164),
        horizontal_line(152, 173),
        horizontal_line(161, 181),
        horizontal_line(170, 189),
        horizontal_line(179, 198),
    };

    constexpr const horizontal_line frame_314_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 9),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_314_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(203, 203),
        horizontal_line(202, 206),
        horizontal_line(202, 209),
        horizontal_line(201, 212),
        horizontal_line(201, 216),
        horizontal_line(201, 219),
        horizontal_line(200, 222),
        horizontal_line(200, 225),
        horizontal_line(199, 229),
        horizontal_line(199, 232),
        horizontal_line(199, 235),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_314_shape_group_0_shapes[] = {
        shape(frame_314_shape_group_0_shape_0_horizontal_lines, 43, 7),
        shape(frame_314_shape_group_0_shape_1_horizontal_lines, 67, 14),
        shape(frame_314_shape_group_0_shape_2_horizontal_lines, 109, 7),
        shape(frame_314_shape_group_0_shape_3_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_314_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(36, 39),
        horizontal_line(0, 0),
        horizontal_line(0, 6),
        horizontal_line(0, 12),
        horizontal_line(0, 18),
        horizontal_line(0, 40),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(179, 179),
        horizontal_line(200, 220),
        horizontal_line(178, 181),
        horizontal_line(170, 182),
        horizontal_line(171, 185),
        horizontal_line(171, 180),
        horizontal_line(172, 176),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(185, 201),
        horizontal_line(186, 201),
        horizontal_line(192, 201),
        horizontal_line(198, 201),
    };

    constexpr const horizontal_line frame_314_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 29),
        horizontal_line(0, 30),
        horizontal_line(0, 31),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 26),
        horizontal_line(0, 21),
        horizontal_line(0, 15),
        horizontal_line(0, 10),
        horizontal_line(0, 4),
        horizontal_line(49, 111),
        horizontal_line(24, 86),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_314_shape_group_1_shapes[] = {
        shape(frame_314_shape_group_1_shape_0_horizontal_lines, 51, 14),
        shape(frame_314_shape_group_1_shape_1_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_314_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(34, 41),
        horizontal_line(32, 42),
        horizontal_line(30, 44),
        horizontal_line(28, 42),
        horizontal_line(232, 239),
        horizontal_line(27, 38),
        horizontal_line(29, 36),
        horizontal_line(31, 34),
        horizontal_line(219, 239),
        horizontal_line(215, 239),
        horizontal_line(212, 239),
        horizontal_line(209, 239),
        horizontal_line(205, 239),
        horizontal_line(202, 234),
        horizontal_line(199, 229),
        horizontal_line(199, 225),
    };

    constexpr const horizontal_line frame_314_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(33, 44),
    };

    constexpr const horizontal_line frame_314_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(200, 215),
        horizontal_line(201, 211),
        horizontal_line(201, 206),
        horizontal_line(185, 202),
        horizontal_line(185, 201),
    };

    constexpr const horizontal_line frame_314_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(94, 96),
        horizontal_line(105, 108),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
        horizontal_line(111, 117),
    };

    constexpr const horizontal_line frame_314_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(22, 29),
        horizontal_line(22, 29),
        horizontal_line(22, 29),
        horizontal_line(22, 29),
        horizontal_line(22, 28),
        horizontal_line(22, 28),
        horizontal_line(21, 28),
        horizontal_line(21, 28),
        horizontal_line(21, 28),
        horizontal_line(21, 28),
        horizontal_line(21, 28),
        horizontal_line(21, 27),
        horizontal_line(21, 27),
        horizontal_line(20, 27),
        horizontal_line(20, 27),
        horizontal_line(20, 27),
        horizontal_line(20, 27),
        horizontal_line(20, 27),
        horizontal_line(20, 26),
        horizontal_line(20, 26),
        horizontal_line(19, 26),
        horizontal_line(19, 26),
        horizontal_line(19, 26),
        horizontal_line(19, 26),
        horizontal_line(19, 26),
        horizontal_line(19, 26),
        horizontal_line(19, 22),
        horizontal_line(185, 185),
        horizontal_line(10, 18),
        horizontal_line(1, 19),
        horizontal_line(183, 202),
        horizontal_line(182, 201),
        horizontal_line(181, 201),
        horizontal_line(181, 200),
        horizontal_line(180, 200),
        horizontal_line(179, 200),
        horizontal_line(179, 199),
        horizontal_line(180, 199),
        horizontal_line(183, 198),
        horizontal_line(187, 198),
        horizontal_line(183, 198),
        horizontal_line(188, 197),
        horizontal_line(193, 197),
        horizontal_line(198, 198),
        horizontal_line(173, 201),
        horizontal_line(148, 204),
        horizontal_line(123, 185),
        horizontal_line(99, 161),
        horizontal_line(74, 136),
        horizontal_line(111, 173),
        horizontal_line(86, 148),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_314_shape_group_2_shapes[] = {
        shape(frame_314_shape_group_2_shape_0_horizontal_lines, 52, 14),
        shape(frame_314_shape_group_2_shape_1_horizontal_lines, 68, 8),
        shape(frame_314_shape_group_2_shape_2_horizontal_lines, 69, 14),
        shape(frame_314_shape_group_2_shape_3_horizontal_lines, 74, 8),
        shape(frame_314_shape_group_2_shape_4_horizontal_lines, 79, 9),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(41, 60),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(225, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(37, 99),
        horizontal_line(35, 40),
        horizontal_line(54, 116),
        horizontal_line(32, 48),
        horizontal_line(36, 52),
        horizontal_line(42, 50),
        horizontal_line(48, 48),
        horizontal_line(83, 85),
        horizontal_line(108, 127),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(23, 29),
        horizontal_line(23, 29),
        horizontal_line(22, 29),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(174, 184),
        horizontal_line(180, 184),
        horizontal_line(202, 239),
        horizontal_line(184, 191),
        horizontal_line(183, 197),
        horizontal_line(204, 239),
        horizontal_line(210, 239),
        horizontal_line(217, 239),
        horizontal_line(224, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(38, 100),
        horizontal_line(39, 69),
        horizontal_line(178, 186),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(32, 36),
        horizontal_line(33, 34),
        horizontal_line(33, 95),
        horizontal_line(27, 89),
        horizontal_line(22, 84),
    };

    constexpr const horizontal_line frame_314_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(185, 208),
        horizontal_line(161, 211),
        horizontal_line(136, 198),
        horizontal_line(173, 218),
        horizontal_line(148, 210),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_314_shape_group_3_shapes[] = {
        shape(frame_314_shape_group_3_shape_0_horizontal_lines, 54, 14),
        shape(frame_314_shape_group_3_shape_1_horizontal_lines, 56, 8),
        shape(frame_314_shape_group_3_shape_2_horizontal_lines, 57, 14),
        shape(frame_314_shape_group_3_shape_3_horizontal_lines, 60, 8),
        shape(frame_314_shape_group_3_shape_4_horizontal_lines, 76, 9),
        shape(frame_314_shape_group_3_shape_5_horizontal_lines, 115, 10),
        shape(frame_314_shape_group_3_shape_6_horizontal_lines, 119, 1),
        shape(frame_314_shape_group_3_shape_7_horizontal_lines, 120, 5),
        shape(frame_314_shape_group_3_shape_8_horizontal_lines, 125, 9),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(43, 51),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(39, 69),
        horizontal_line(37, 78),
        horizontal_line(35, 87),
        horizontal_line(95, 96),
        horizontal_line(94, 105),
        horizontal_line(94, 114),
        horizontal_line(94, 123),
        horizontal_line(95, 132),
        horizontal_line(97, 141),
        horizontal_line(99, 150),
        horizontal_line(45, 107),
        horizontal_line(170, 187),
        horizontal_line(63, 125),
        horizontal_line(72, 134),
        horizontal_line(62, 62),
        horizontal_line(73, 73),
        horizontal_line(99, 137),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(23, 30),
        horizontal_line(23, 29),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(161, 170),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(167, 168),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 96),
        horizontal_line(35, 97),
        horizontal_line(36, 98),
        horizontal_line(169, 176),
        horizontal_line(172, 179),
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(31, 37),
        horizontal_line(105, 167),
        horizontal_line(69, 131),
        horizontal_line(95, 157),
        horizontal_line(89, 151),
        horizontal_line(84, 146),
        horizontal_line(16, 78),
        horizontal_line(11, 73),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(198, 215),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 48),
    };

    constexpr const horizontal_line frame_314_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(210, 221),
        horizontal_line(186, 225),
        horizontal_line(186, 228),
        horizontal_line(186, 232),
        horizontal_line(186, 235),
    };

    constexpr const shape frame_314_shape_group_4_shapes[] = {
        shape(frame_314_shape_group_4_shape_0_horizontal_lines, 55, 8),
        shape(frame_314_shape_group_4_shape_1_horizontal_lines, 57, 8),
        shape(frame_314_shape_group_4_shape_2_horizontal_lines, 74, 9),
        shape(frame_314_shape_group_4_shape_3_horizontal_lines, 106, 15),
        shape(frame_314_shape_group_4_shape_4_horizontal_lines, 107, 9),
        shape(frame_314_shape_group_4_shape_5_horizontal_lines, 109, 15),
        shape(frame_314_shape_group_4_shape_6_horizontal_lines, 110, 10),
        shape(frame_314_shape_group_4_shape_7_horizontal_lines, 118, 1),
        shape(frame_314_shape_group_4_shape_8_horizontal_lines, 119, 5),
        shape(frame_314_shape_group_4_shape_9_horizontal_lines, 127, 9),
        shape(frame_314_shape_group_4_shape_10_horizontal_lines, 128, 5),
        shape(frame_314_shape_group_4_shape_11_horizontal_lines, 129, 9),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(25, 28),
        horizontal_line(25, 30),
        horizontal_line(25, 32),
        horizontal_line(25, 31),
        horizontal_line(25, 31),
        horizontal_line(25, 31),
        horizontal_line(24, 31),
        horizontal_line(24, 31),
        horizontal_line(24, 31),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(175, 178),
        horizontal_line(116, 168),
        horizontal_line(125, 177),
        horizontal_line(134, 167),
        horizontal_line(81, 143),
        horizontal_line(90, 147),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(23, 30),
        horizontal_line(173, 184),
        horizontal_line(173, 184),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(30, 47),
        horizontal_line(30, 47),
        horizontal_line(30, 47),
        horizontal_line(30, 46),
        horizontal_line(30, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(28, 28),
        horizontal_line(28, 29),
        horizontal_line(28, 30),
        horizontal_line(28, 31),
        horizontal_line(28, 32),
        horizontal_line(27, 33),
        horizontal_line(117, 128),
        horizontal_line(121, 130),
        horizontal_line(125, 132),
        horizontal_line(129, 134),
        horizontal_line(133, 136),
        horizontal_line(137, 138),
        horizontal_line(156, 172),
        horizontal_line(159, 171),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(29, 64),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(163, 169),
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(94, 156),
        horizontal_line(95, 157),
        horizontal_line(96, 158),
        horizontal_line(97, 159),
        horizontal_line(167, 172),
        horizontal_line(99, 133),
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(30, 39),
        horizontal_line(141, 182),
        horizontal_line(167, 187),
        horizontal_line(131, 192),
        horizontal_line(157, 197),
        horizontal_line(151, 172),
        horizontal_line(146, 147),
        horizontal_line(78, 122),
        horizontal_line(73, 98),
        horizontal_line(5, 67),
    };

    constexpr const horizontal_line frame_314_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const shape frame_314_shape_group_5_shapes[] = {
        shape(frame_314_shape_group_5_shape_0_horizontal_lines, 57, 9),
        shape(frame_314_shape_group_5_shape_1_horizontal_lines, 67, 8),
        shape(frame_314_shape_group_5_shape_2_horizontal_lines, 73, 9),
        shape(frame_314_shape_group_5_shape_3_horizontal_lines, 79, 13),
        shape(frame_314_shape_group_5_shape_4_horizontal_lines, 92, 15),
        shape(frame_314_shape_group_5_shape_5_horizontal_lines, 106, 11),
        shape(frame_314_shape_group_5_shape_6_horizontal_lines, 107, 15),
        shape(frame_314_shape_group_5_shape_7_horizontal_lines, 109, 10),
        shape(frame_314_shape_group_5_shape_8_horizontal_lines, 117, 1),
        shape(frame_314_shape_group_5_shape_9_horizontal_lines, 118, 5),
        shape(frame_314_shape_group_5_shape_10_horizontal_lines, 129, 5),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(32, 32),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(107, 159),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(24, 30),
        horizontal_line(24, 30),
        horizontal_line(24, 30),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(143, 157),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(23, 30),
        horizontal_line(177, 184),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(31, 47),
        horizontal_line(30, 47),
        horizontal_line(30, 47),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(47, 104),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(116, 118),
        horizontal_line(115, 120),
        horizontal_line(114, 122),
        horizontal_line(113, 124),
        horizontal_line(114, 126),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(35, 97),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(148, 154),
        horizontal_line(150, 160),
        horizontal_line(152, 166),
        horizontal_line(154, 172),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(30, 92),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(65, 127),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(93, 155),
        horizontal_line(156, 159),
        horizontal_line(157, 163),
        horizontal_line(158, 166),
        horizontal_line(159, 169),
        horizontal_line(98, 160),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(29, 38),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(38, 100),
        horizontal_line(37, 99),
        horizontal_line(35, 68),
    };

    constexpr const horizontal_line frame_314_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(67, 73),
    };

    constexpr const shape frame_314_shape_group_6_shapes[] = {
        shape(frame_314_shape_group_6_shape_0_horizontal_lines, 64, 13),
        shape(frame_314_shape_group_6_shape_1_horizontal_lines, 65, 9),
        shape(frame_314_shape_group_6_shape_2_horizontal_lines, 67, 8),
        shape(frame_314_shape_group_6_shape_3_horizontal_lines, 68, 9),
        shape(frame_314_shape_group_6_shape_4_horizontal_lines, 71, 8),
        shape(frame_314_shape_group_6_shape_5_horizontal_lines, 72, 9),
        shape(frame_314_shape_group_6_shape_6_horizontal_lines, 76, 13),
        shape(frame_314_shape_group_6_shape_7_horizontal_lines, 91, 2),
        shape(frame_314_shape_group_6_shape_8_horizontal_lines, 92, 15),
        shape(frame_314_shape_group_6_shape_9_horizontal_lines, 98, 11),
        shape(frame_314_shape_group_6_shape_10_horizontal_lines, 99, 15),
        shape(frame_314_shape_group_6_shape_11_horizontal_lines, 104, 11),
        shape(frame_314_shape_group_6_shape_12_horizontal_lines, 106, 10),
        shape(frame_314_shape_group_6_shape_13_horizontal_lines, 115, 1),
        shape(frame_314_shape_group_6_shape_14_horizontal_lines, 117, 5),
        shape(frame_314_shape_group_6_shape_15_horizontal_lines, 119, 12),
        shape(frame_314_shape_group_6_shape_16_horizontal_lines, 127, 5),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(32, 34),
        horizontal_line(32, 36),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(24, 31),
        horizontal_line(221, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(23, 30),
        horizontal_line(181, 184),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(31, 47),
        horizontal_line(31, 47),
        horizontal_line(106, 108),
        horizontal_line(107, 109),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(48, 105),
        horizontal_line(48, 105),
        horizontal_line(48, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
        horizontal_line(47, 105),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(28, 46),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(48, 103),
        horizontal_line(49, 102),
        horizontal_line(50, 101),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(32, 50),
        horizontal_line(33, 51),
        horizontal_line(34, 42),
        horizontal_line(144, 172),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(93, 139),
        horizontal_line(92, 101),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(127, 146),
        horizontal_line(91, 149),
        horizontal_line(92, 153),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(160, 167),
        horizontal_line(164, 167),
        horizontal_line(213, 223),
        horizontal_line(217, 230),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(27, 36),
        horizontal_line(28, 37),
    };

    constexpr const horizontal_line frame_314_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(70, 132),
        horizontal_line(40, 102),
        horizontal_line(100, 140),
        horizontal_line(99, 104),
    };

    constexpr const shape frame_314_shape_group_7_shapes[] = {
        shape(frame_314_shape_group_7_shape_0_horizontal_lines, 65, 13),
        shape(frame_314_shape_group_7_shape_1_horizontal_lines, 67, 9),
        shape(frame_314_shape_group_7_shape_2_horizontal_lines, 74, 13),
        shape(frame_314_shape_group_7_shape_3_horizontal_lines, 79, 2),
        shape(frame_314_shape_group_7_shape_4_horizontal_lines, 91, 11),
        shape(frame_314_shape_group_7_shape_5_horizontal_lines, 92, 2),
        shape(frame_314_shape_group_7_shape_6_horizontal_lines, 95, 11),
        shape(frame_314_shape_group_7_shape_7_horizontal_lines, 106, 10),
        shape(frame_314_shape_group_7_shape_8_horizontal_lines, 110, 1),
        shape(frame_314_shape_group_7_shape_9_horizontal_lines, 114, 10),
        shape(frame_314_shape_group_7_shape_10_horizontal_lines, 115, 5),
        shape(frame_314_shape_group_7_shape_11_horizontal_lines, 117, 12),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(31, 32),
        horizontal_line(31, 31),
        horizontal_line(31, 35),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(31, 47),
        horizontal_line(128, 172),
        horizontal_line(118, 172),
        horizontal_line(117, 154),
        horizontal_line(117, 136),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(48, 105),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(29, 29),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(28, 28),
        horizontal_line(108, 113),
        horizontal_line(29, 47),
        horizontal_line(30, 48),
        horizontal_line(31, 49),
        horizontal_line(106, 113),
        horizontal_line(110, 112),
        horizontal_line(113, 113),
        horizontal_line(97, 116),
        horizontal_line(149, 172),
        horizontal_line(155, 172),
        horizontal_line(161, 172),
        horizontal_line(167, 172),
        horizontal_line(93, 136),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(102, 143),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(28, 28),
        horizontal_line(150, 162),
        horizontal_line(154, 164),
        horizontal_line(157, 166),
        horizontal_line(207, 209),
        horizontal_line(210, 216),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(24, 33),
        horizontal_line(25, 34),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(220, 238),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(177, 178),
    };

    constexpr const horizontal_line frame_314_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(102, 164),
        horizontal_line(132, 174),
        horizontal_line(102, 164),
    };

    constexpr const shape frame_314_shape_group_8_shapes[] = {
        shape(frame_314_shape_group_8_shape_0_horizontal_lines, 67, 9),
        shape(frame_314_shape_group_8_shape_1_horizontal_lines, 68, 13),
        shape(frame_314_shape_group_8_shape_2_horizontal_lines, 71, 9),
        shape(frame_314_shape_group_8_shape_3_horizontal_lines, 73, 13),
        shape(frame_314_shape_group_8_shape_4_horizontal_lines, 78, 2),
        shape(frame_314_shape_group_8_shape_5_horizontal_lines, 79, 11),
        shape(frame_314_shape_group_8_shape_6_horizontal_lines, 104, 10),
        shape(frame_314_shape_group_8_shape_7_horizontal_lines, 106, 1),
        shape(frame_314_shape_group_8_shape_8_horizontal_lines, 112, 5),
        shape(frame_314_shape_group_8_shape_9_horizontal_lines, 114, 1),
        shape(frame_314_shape_group_8_shape_10_horizontal_lines, 115, 5),
        shape(frame_314_shape_group_8_shape_11_horizontal_lines, 116, 12),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(32, 34),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(45, 53),
        horizontal_line(49, 62),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(168, 169),
        horizontal_line(31, 41),
        horizontal_line(31, 47),
        horizontal_line(138, 171),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(97, 107),
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(48, 105),
        horizontal_line(48, 106),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(106, 110),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(106, 109),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(117, 172),
        horizontal_line(109, 109),
        horizontal_line(117, 172),
        horizontal_line(107, 116),
        horizontal_line(106, 115),
        horizontal_line(105, 114),
        horizontal_line(131, 172),
        horizontal_line(135, 172),
        horizontal_line(139, 172),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(27, 34),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(96, 120),
        horizontal_line(95, 124),
        horizontal_line(95, 128),
        horizontal_line(94, 132),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(27, 30),
        horizontal_line(27, 30),
        horizontal_line(27, 29),
        horizontal_line(147, 160),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(19, 28),
        horizontal_line(20, 29),
        horizontal_line(21, 30),
        horizontal_line(22, 31),
        horizontal_line(23, 32),
        horizontal_line(167, 180),
        horizontal_line(170, 179),
        horizontal_line(26, 35),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(134, 168),
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_314_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(164, 176),
    };

    constexpr const shape frame_314_shape_group_9_shapes[] = {
        shape(frame_314_shape_group_9_shape_0_horizontal_lines, 67, 13),
        shape(frame_314_shape_group_9_shape_1_horizontal_lines, 68, 15),
        shape(frame_314_shape_group_9_shape_2_horizontal_lines, 70, 13),
        shape(frame_314_shape_group_9_shape_3_horizontal_lines, 74, 15),
        shape(frame_314_shape_group_9_shape_4_horizontal_lines, 76, 2),
        shape(frame_314_shape_group_9_shape_5_horizontal_lines, 78, 11),
        shape(frame_314_shape_group_9_shape_6_horizontal_lines, 98, 1),
        shape(frame_314_shape_group_9_shape_7_horizontal_lines, 99, 11),
        shape(frame_314_shape_group_9_shape_8_horizontal_lines, 103, 1),
        shape(frame_314_shape_group_9_shape_9_horizontal_lines, 107, 5),
        shape(frame_314_shape_group_9_shape_10_horizontal_lines, 115, 12),
        shape(frame_314_shape_group_9_shape_11_horizontal_lines, 118, 12),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(41, 44),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(53, 71),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(158, 170),
        horizontal_line(148, 170),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(86, 98),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(48, 93),
        horizontal_line(48, 104),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(137, 172),
        horizontal_line(119, 172),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(117, 172),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(117, 172),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(118, 172),
        horizontal_line(122, 172),
        horizontal_line(126, 172),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(51, 51),
        horizontal_line(52, 109),
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(129, 143),
        horizontal_line(27, 33),
        horizontal_line(27, 32),
        horizontal_line(27, 32),
        horizontal_line(27, 31),
        horizontal_line(139, 153),
        horizontal_line(141, 155),
        horizontal_line(144, 158),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(19, 27),
        horizontal_line(170, 183),
        horizontal_line(170, 182),
        horizontal_line(169, 182),
        horizontal_line(168, 181),
        horizontal_line(168, 180),
    };

    constexpr const horizontal_line frame_314_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(173, 178),
    };

    constexpr const shape frame_314_shape_group_10_shapes[] = {
        shape(frame_314_shape_group_10_shape_0_horizontal_lines, 67, 15),
        shape(frame_314_shape_group_10_shape_1_horizontal_lines, 70, 15),
        shape(frame_314_shape_group_10_shape_2_horizontal_lines, 71, 13),
        shape(frame_314_shape_group_10_shape_3_horizontal_lines, 73, 15),
        shape(frame_314_shape_group_10_shape_4_horizontal_lines, 74, 2),
        shape(frame_314_shape_group_10_shape_5_horizontal_lines, 76, 11),
        shape(frame_314_shape_group_10_shape_6_horizontal_lines, 83, 11),
        shape(frame_314_shape_group_10_shape_7_horizontal_lines, 90, 11),
        shape(frame_314_shape_group_10_shape_8_horizontal_lines, 91, 10),
        shape(frame_314_shape_group_10_shape_9_horizontal_lines, 92, 11),
        shape(frame_314_shape_group_10_shape_10_horizontal_lines, 95, 10),
        shape(frame_314_shape_group_10_shape_11_horizontal_lines, 98, 1),
        shape(frame_314_shape_group_10_shape_12_horizontal_lines, 106, 5),
        shape(frame_314_shape_group_10_shape_13_horizontal_lines, 114, 5),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(63, 80),
        horizontal_line(74, 89),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(48, 82),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(155, 172),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(104, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 104),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(125, 134),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(105, 112),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(131, 145),
        horizontal_line(133, 147),
        horizontal_line(135, 149),
        horizontal_line(137, 151),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(173, 173),
        horizontal_line(23, 26),
        horizontal_line(171, 184),
    };

    constexpr const horizontal_line frame_314_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(166, 166),
    };

    constexpr const shape frame_314_shape_group_11_shapes[] = {
        shape(frame_314_shape_group_11_shape_0_horizontal_lines, 71, 15),
        shape(frame_314_shape_group_11_shape_1_horizontal_lines, 73, 2),
        shape(frame_314_shape_group_11_shape_2_horizontal_lines, 75, 11),
        shape(frame_314_shape_group_11_shape_3_horizontal_lines, 90, 10),
        shape(frame_314_shape_group_11_shape_4_horizontal_lines, 92, 10),
        shape(frame_314_shape_group_11_shape_5_horizontal_lines, 96, 1),
        shape(frame_314_shape_group_11_shape_6_horizontal_lines, 97, 10),
        shape(frame_314_shape_group_11_shape_7_horizontal_lines, 99, 1),
        shape(frame_314_shape_group_11_shape_8_horizontal_lines, 104, 5),
        shape(frame_314_shape_group_11_shape_9_horizontal_lines, 114, 12),
    };

    constexpr const horizontal_line frame_314_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(51, 61),
        horizontal_line(49, 72),
    };

    constexpr const horizontal_line frame_314_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(121, 125),
        horizontal_line(123, 130),
    };

    constexpr const horizontal_line frame_314_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(127, 138),
    };

    constexpr const horizontal_line frame_314_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(172, 179),
    };

    constexpr const shape frame_314_shape_group_12_shapes[] = {
        shape(frame_314_shape_group_12_shape_0_horizontal_lines, 71, 2),
        shape(frame_314_shape_group_12_shape_1_horizontal_lines, 93, 1),
        shape(frame_314_shape_group_12_shape_2_horizontal_lines, 97, 1),
        shape(frame_314_shape_group_12_shape_3_horizontal_lines, 105, 5),
    };

    constexpr const horizontal_line frame_314_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(102, 102),
        horizontal_line(52, 104),
    };

    constexpr const shape frame_314_shape_group_13_shapes[] = {
        shape(frame_314_shape_group_13_shape_0_horizontal_lines, 94, 3),
    };

    constexpr const shape_group frame_314_shape_groups[] = {
        shape_group(frame_314_shape_group_0_shapes),
        shape_group(frame_314_shape_group_1_shapes),
        shape_group(frame_314_shape_group_2_shapes),
        shape_group(frame_314_shape_group_3_shapes),
        shape_group(frame_314_shape_group_4_shapes),
        shape_group(frame_314_shape_group_5_shapes),
        shape_group(frame_314_shape_group_6_shapes),
        shape_group(frame_314_shape_group_7_shapes),
        shape_group(frame_314_shape_group_8_shapes),
        shape_group(frame_314_shape_group_9_shapes),
        shape_group(frame_314_shape_group_10_shapes),
        shape_group(frame_314_shape_group_11_shapes),
        shape_group(frame_314_shape_group_12_shapes),
        shape_group(frame_314_shape_group_13_shapes),
    };

    constexpr const frame frame_314_impl(frame_314_colors, frame_314_shape_groups);
} 

const frame& frame_314()
{
    return frame_314_impl;
}

namespace
{
    constexpr const bn::color frame_315_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_315_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(1, 6),
        horizontal_line(5, 14),
        horizontal_line(10, 22),
        horizontal_line(14, 30),
        horizontal_line(19, 38),
        horizontal_line(23, 46),
        horizontal_line(28, 54),
        horizontal_line(33, 62),
        horizontal_line(40, 70),
        horizontal_line(49, 78),
        horizontal_line(57, 86),
        horizontal_line(66, 94),
        horizontal_line(75, 102),
        horizontal_line(83, 110),
        horizontal_line(92, 118),
        horizontal_line(100, 126),
        horizontal_line(109, 134),
        horizontal_line(118, 142),
        horizontal_line(126, 150),
        horizontal_line(135, 158),
        horizontal_line(143, 166),
        horizontal_line(152, 174),
        horizontal_line(161, 182),
        horizontal_line(169, 190),
        horizontal_line(178, 198),
        horizontal_line(187, 206),
    };

    constexpr const horizontal_line frame_315_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 0),
        horizontal_line(207, 211),
    };

    constexpr const horizontal_line frame_315_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(213, 213),
        horizontal_line(212, 215),
        horizontal_line(212, 218),
        horizontal_line(211, 221),
        horizontal_line(211, 224),
        horizontal_line(211, 227),
        horizontal_line(210, 230),
        horizontal_line(210, 233),
        horizontal_line(209, 236),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_315_shape_group_0_shapes[] = {
        shape(frame_315_shape_group_0_shape_0_horizontal_lines, 39, 7),
        shape(frame_315_shape_group_0_shape_1_horizontal_lines, 65, 14),
        shape(frame_315_shape_group_0_shape_2_horizontal_lines, 110, 7),
        shape(frame_315_shape_group_0_shape_3_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_315_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(30, 33),
        horizontal_line(28, 35),
        horizontal_line(0, 0),
        horizontal_line(0, 5),
        horizontal_line(0, 11),
        horizontal_line(0, 33),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(186, 186),
        horizontal_line(208, 233),
        horizontal_line(185, 188),
        horizontal_line(176, 189),
        horizontal_line(177, 190),
        horizontal_line(178, 212),
        horizontal_line(179, 185),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(192, 211),
        horizontal_line(193, 211),
        horizontal_line(200, 211),
    };

    constexpr const horizontal_line frame_315_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 17),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(92, 154),
        horizontal_line(69, 131),
        horizontal_line(46, 108),
        horizontal_line(23, 85),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_315_shape_group_1_shapes[] = {
        shape(frame_315_shape_group_1_shape_0_horizontal_lines, 47, 14),
        shape(frame_315_shape_group_1_shape_1_horizontal_lines, 109, 9),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(25, 36),
        horizontal_line(23, 38),
        horizontal_line(20, 35),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(34, 54),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(20, 31),
        horizontal_line(22, 29),
        horizontal_line(24, 27),
        horizontal_line(232, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(216, 239),
        horizontal_line(213, 239),
        horizontal_line(210, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(34, 40),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(209, 228),
        horizontal_line(210, 222),
        horizontal_line(211, 217),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(47, 47),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(192, 211),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(88, 89),
        horizontal_line(97, 99),
        horizontal_line(107, 109),
        horizontal_line(110, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 119),
    };

    constexpr const horizontal_line frame_315_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(13, 22),
        horizontal_line(13, 22),
        horizontal_line(13, 22),
        horizontal_line(13, 21),
        horizontal_line(13, 21),
        horizontal_line(12, 21),
        horizontal_line(12, 21),
        horizontal_line(12, 21),
        horizontal_line(12, 21),
        horizontal_line(12, 21),
        horizontal_line(12, 21),
        horizontal_line(11, 20),
        horizontal_line(11, 20),
        horizontal_line(11, 20),
        horizontal_line(11, 20),
        horizontal_line(11, 20),
        horizontal_line(11, 20),
        horizontal_line(10, 20),
        horizontal_line(10, 20),
        horizontal_line(10, 19),
        horizontal_line(10, 19),
        horizontal_line(10, 19),
        horizontal_line(10, 19),
        horizontal_line(9, 19),
        horizontal_line(9, 19),
        horizontal_line(9, 19),
        horizontal_line(9, 19),
        horizontal_line(9, 15),
        horizontal_line(9, 11),
        horizontal_line(192, 192),
        horizontal_line(1, 8),
        horizontal_line(190, 206),
        horizontal_line(190, 212),
        horizontal_line(189, 211),
        horizontal_line(189, 211),
        horizontal_line(188, 210),
        horizontal_line(188, 210),
        horizontal_line(187, 210),
        horizontal_line(186, 209),
        horizontal_line(186, 209),
        horizontal_line(186, 208),
        horizontal_line(189, 208),
        horizontal_line(193, 208),
        horizontal_line(185, 207),
        horizontal_line(190, 207),
        horizontal_line(196, 206),
        horizontal_line(202, 206),
        horizontal_line(207, 207),
        horizontal_line(184, 210),
        horizontal_line(161, 214),
        horizontal_line(138, 200),
        horizontal_line(115, 177),
        horizontal_line(154, 216),
        horizontal_line(131, 193),
        horizontal_line(108, 170),
        horizontal_line(85, 147),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_315_shape_group_2_shapes[] = {
        shape(frame_315_shape_group_2_shape_0_horizontal_lines, 49, 14),
        shape(frame_315_shape_group_2_shape_1_horizontal_lines, 52, 8),
        shape(frame_315_shape_group_2_shape_2_horizontal_lines, 53, 14),
        shape(frame_315_shape_group_2_shape_3_horizontal_lines, 66, 8),
        shape(frame_315_shape_group_2_shape_4_horizontal_lines, 67, 14),
        shape(frame_315_shape_group_2_shape_5_horizontal_lines, 70, 8),
        shape(frame_315_shape_group_2_shape_6_horizontal_lines, 71, 14),
        shape(frame_315_shape_group_2_shape_7_horizontal_lines, 72, 8),
        shape(frame_315_shape_group_2_shape_8_horizontal_lines, 78, 9),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(36, 45),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(32, 62),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(44, 106),
        horizontal_line(32, 46),
        horizontal_line(31, 52),
        horizontal_line(38, 49),
        horizontal_line(70, 70),
        horizontal_line(79, 80),
        horizontal_line(100, 137),
        horizontal_line(109, 128),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(14, 22),
        horizontal_line(14, 22),
        horizontal_line(13, 22),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(180, 191),
        horizontal_line(186, 191),
        horizontal_line(212, 239),
        horizontal_line(191, 199),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(228, 239),
        horizontal_line(233, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(32, 94),
        horizontal_line(33, 95),
        horizontal_line(34, 67),
        horizontal_line(182, 192),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(21, 32),
        horizontal_line(22, 31),
        horizontal_line(23, 29),
        horizontal_line(24, 28),
        horizontal_line(25, 26),
        horizontal_line(25, 87),
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_315_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(200, 217),
        horizontal_line(177, 221),
        horizontal_line(216, 224),
        horizontal_line(193, 228),
        horizontal_line(170, 231),
        horizontal_line(147, 209),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_315_shape_group_3_shapes[] = {
        shape(frame_315_shape_group_3_shape_0_horizontal_lines, 51, 8),
        shape(frame_315_shape_group_3_shape_1_horizontal_lines, 53, 8),
        shape(frame_315_shape_group_3_shape_2_horizontal_lines, 54, 14),
        shape(frame_315_shape_group_3_shape_3_horizontal_lines, 56, 8),
        shape(frame_315_shape_group_3_shape_4_horizontal_lines, 75, 9),
        shape(frame_315_shape_group_3_shape_5_horizontal_lines, 116, 10),
        shape(frame_315_shape_group_3_shape_6_horizontal_lines, 121, 5),
        shape(frame_315_shape_group_3_shape_7_horizontal_lines, 128, 9),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(17, 19),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(30, 71),
        horizontal_line(28, 79),
        horizontal_line(88, 88),
        horizontal_line(87, 96),
        horizontal_line(87, 105),
        horizontal_line(87, 113),
        horizontal_line(89, 122),
        horizontal_line(91, 130),
        horizontal_line(92, 139),
        horizontal_line(94, 147),
        horizontal_line(96, 156),
        horizontal_line(181, 185),
        horizontal_line(175, 194),
        horizontal_line(53, 115),
        horizontal_line(63, 125),
        horizontal_line(72, 134),
        horizontal_line(81, 143),
        horizontal_line(91, 147),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(14, 23),
        horizontal_line(14, 22),
        horizontal_line(14, 22),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(26, 63),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(170, 175),
        horizontal_line(172, 174),
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(27, 89),
        horizontal_line(28, 90),
        horizontal_line(29, 91),
        horizontal_line(30, 92),
        horizontal_line(173, 178),
        horizontal_line(175, 182),
        horizontal_line(177, 185),
        horizontal_line(180, 188),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(20, 34),
        horizontal_line(184, 184),
        horizontal_line(152, 189),
        horizontal_line(120, 182),
        horizontal_line(88, 150),
        horizontal_line(56, 118),
        horizontal_line(87, 149),
        horizontal_line(80, 142),
        horizontal_line(12, 74),
        horizontal_line(6, 68),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_315_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(209, 235),
    };

    constexpr const shape frame_315_shape_group_4_shapes[] = {
        shape(frame_315_shape_group_4_shape_0_horizontal_lines, 53, 9),
        shape(frame_315_shape_group_4_shape_1_horizontal_lines, 54, 8),
        shape(frame_315_shape_group_4_shape_2_horizontal_lines, 72, 9),
        shape(frame_315_shape_group_4_shape_3_horizontal_lines, 107, 11),
        shape(frame_315_shape_group_4_shape_4_horizontal_lines, 108, 9),
        shape(frame_315_shape_group_4_shape_5_horizontal_lines, 109, 15),
        shape(frame_315_shape_group_4_shape_6_horizontal_lines, 112, 10),
        shape(frame_315_shape_group_4_shape_7_horizontal_lines, 120, 5),
        shape(frame_315_shape_group_4_shape_8_horizontal_lines, 133, 9),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(17, 21),
        horizontal_line(17, 23),
        horizontal_line(17, 25),
        horizontal_line(17, 24),
        horizontal_line(17, 24),
        horizontal_line(16, 24),
        horizontal_line(16, 24),
        horizontal_line(16, 24),
        horizontal_line(16, 24),
        horizontal_line(16, 24),
        horizontal_line(16, 24),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(98, 160),
        horizontal_line(106, 168),
        horizontal_line(115, 177),
        horizontal_line(125, 175),
        horizontal_line(134, 165),
        horizontal_line(143, 156),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(14, 23),
        horizontal_line(180, 191),
        horizontal_line(179, 191),
        horizontal_line(179, 191),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 45),
        horizontal_line(29, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(21, 24),
        horizontal_line(21, 22),
        horizontal_line(21, 21),
        horizontal_line(31, 51),
        horizontal_line(32, 45),
        horizontal_line(33, 39),
        horizontal_line(34, 96),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(165, 176),
        horizontal_line(167, 176),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 88),
        horizontal_line(89, 151),
        horizontal_line(90, 152),
        horizontal_line(91, 153),
        horizontal_line(92, 154),
        horizontal_line(93, 155),
        horizontal_line(94, 136),
        horizontal_line(95, 102),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(19, 33),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(35, 97),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(182, 195),
        horizontal_line(150, 201),
        horizontal_line(118, 180),
        horizontal_line(149, 183),
        horizontal_line(142, 160),
        horizontal_line(74, 136),
        horizontal_line(68, 114),
        horizontal_line(62, 91),
        horizontal_line(62, 68),
    };

    constexpr const horizontal_line frame_315_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const shape frame_315_shape_group_5_shapes[] = {
        shape(frame_315_shape_group_5_shape_0_horizontal_lines, 54, 9),
        shape(frame_315_shape_group_5_shape_1_horizontal_lines, 65, 8),
        shape(frame_315_shape_group_5_shape_2_horizontal_lines, 71, 9),
        shape(frame_315_shape_group_5_shape_3_horizontal_lines, 78, 13),
        shape(frame_315_shape_group_5_shape_4_horizontal_lines, 92, 11),
        shape(frame_315_shape_group_5_shape_5_horizontal_lines, 107, 15),
        shape(frame_315_shape_group_5_shape_6_horizontal_lines, 109, 10),
        shape(frame_315_shape_group_5_shape_7_horizontal_lines, 119, 5),
        shape(frame_315_shape_group_5_shape_8_horizontal_lines, 120, 12),
        shape(frame_315_shape_group_5_shape_9_horizontal_lines, 123, 5),
        shape(frame_315_shape_group_5_shape_10_horizontal_lines, 133, 5),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(25, 28),
        horizontal_line(25, 29),
        horizontal_line(25, 31),
        horizontal_line(25, 33),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(160, 164),
        horizontal_line(168, 173),
        horizontal_line(177, 184),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(15, 23),
        horizontal_line(15, 23),
        horizontal_line(15, 23),
        horizontal_line(186, 191),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(30, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(112, 118),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(21, 25),
        horizontal_line(29, 47),
        horizontal_line(30, 48),
        horizontal_line(31, 49),
        horizontal_line(108, 115),
        horizontal_line(112, 114),
        horizontal_line(115, 115),
        horizontal_line(147, 178),
        horizontal_line(152, 178),
        horizontal_line(157, 178),
        horizontal_line(162, 178),
        horizontal_line(167, 178),
        horizontal_line(173, 178),
        horizontal_line(178, 178),
        horizontal_line(90, 141),
        horizontal_line(89, 102),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(64, 126),
        horizontal_line(26, 88),
        horizontal_line(86, 148),
        horizontal_line(87, 149),
        horizontal_line(88, 150),
        horizontal_line(151, 165),
        horizontal_line(152, 168),
        horizontal_line(153, 172),
        horizontal_line(154, 175),
        horizontal_line(155, 171),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(68, 130),
        horizontal_line(97, 159),
        horizontal_line(95, 157),
        horizontal_line(94, 151),
        horizontal_line(30, 92),
        horizontal_line(29, 87),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(180, 206),
    };

    constexpr const horizontal_line frame_315_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(136, 137),
    };

    constexpr const shape frame_315_shape_group_6_shapes[] = {
        shape(frame_315_shape_group_6_shape_0_horizontal_lines, 60, 13),
        shape(frame_315_shape_group_6_shape_1_horizontal_lines, 65, 8),
        shape(frame_315_shape_group_6_shape_2_horizontal_lines, 68, 9),
        shape(frame_315_shape_group_6_shape_3_horizontal_lines, 75, 13),
        shape(frame_315_shape_group_6_shape_4_horizontal_lines, 91, 11),
        shape(frame_315_shape_group_6_shape_5_horizontal_lines, 107, 10),
        shape(frame_315_shape_group_6_shape_6_horizontal_lines, 117, 1),
        shape(frame_315_shape_group_6_shape_7_horizontal_lines, 119, 12),
        shape(frame_315_shape_group_6_shape_8_horizontal_lines, 125, 5),
        shape(frame_315_shape_group_6_shape_9_horizontal_lines, 128, 5),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(15, 23),
        horizontal_line(15, 23),
        horizontal_line(15, 23),
        horizontal_line(223, 239),
        horizontal_line(218, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(30, 46),
        horizontal_line(30, 46),
        horizontal_line(30, 46),
        horizontal_line(108, 109),
        horizontal_line(109, 110),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(23, 28),
        horizontal_line(23, 28),
        horizontal_line(23, 28),
        horizontal_line(22, 28),
        horizontal_line(22, 28),
        horizontal_line(22, 27),
        horizontal_line(22, 27),
        horizontal_line(22, 27),
        horizontal_line(22, 27),
        horizontal_line(22, 27),
        horizontal_line(22, 27),
        horizontal_line(21, 27),
        horizontal_line(21, 27),
        horizontal_line(28, 46),
        horizontal_line(109, 118),
        horizontal_line(108, 117),
        horizontal_line(107, 116),
        horizontal_line(133, 178),
        horizontal_line(138, 178),
        horizontal_line(142, 178),
        horizontal_line(96, 118),
        horizontal_line(95, 121),
        horizontal_line(94, 125),
        horizontal_line(93, 128),
        horizontal_line(92, 131),
        horizontal_line(92, 135),
        horizontal_line(91, 138),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(161, 178),
        horizontal_line(163, 177),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(126, 148),
        horizontal_line(88, 150),
        horizontal_line(148, 155),
        horizontal_line(149, 158),
        horizontal_line(150, 162),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(166, 173),
        horizontal_line(169, 172),
        horizontal_line(225, 232),
        horizontal_line(228, 238),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(17, 31),
        horizontal_line(18, 32),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(130, 179),
        horizontal_line(159, 181),
        horizontal_line(157, 183),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(92, 119),
    };

    constexpr const horizontal_line frame_315_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(27, 55),
    };

    constexpr const shape frame_315_shape_group_7_shapes[] = {
        shape(frame_315_shape_group_7_shape_0_horizontal_lines, 65, 9),
        shape(frame_315_shape_group_7_shape_1_horizontal_lines, 72, 13),
        shape(frame_315_shape_group_7_shape_2_horizontal_lines, 78, 11),
        shape(frame_315_shape_group_7_shape_3_horizontal_lines, 105, 15),
        shape(frame_315_shape_group_7_shape_4_horizontal_lines, 107, 10),
        shape(frame_315_shape_group_7_shape_5_horizontal_lines, 112, 1),
        shape(frame_315_shape_group_7_shape_6_horizontal_lines, 117, 5),
        shape(frame_315_shape_group_7_shape_7_horizontal_lines, 119, 12),
        shape(frame_315_shape_group_7_shape_8_horizontal_lines, 123, 12),
        shape(frame_315_shape_group_7_shape_9_horizontal_lines, 125, 12),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(24, 35),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(30, 37),
        horizontal_line(30, 46),
        horizontal_line(30, 46),
        horizontal_line(138, 179),
        horizontal_line(129, 178),
        horizontal_line(120, 166),
        horizontal_line(119, 151),
        horizontal_line(119, 135),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(23, 28),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(111, 111),
        horizontal_line(110, 115),
        horizontal_line(120, 178),
        horizontal_line(124, 178),
        horizontal_line(129, 178),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(21, 30),
        horizontal_line(21, 31),
        horizontal_line(20, 32),
        horizontal_line(119, 129),
        horizontal_line(122, 131),
        horizontal_line(126, 133),
        horizontal_line(129, 134),
        horizontal_line(132, 136),
        horizontal_line(136, 138),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(103, 145),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(22, 25),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(150, 152),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(156, 169),
        horizontal_line(159, 171),
        horizontal_line(163, 173),
        horizontal_line(219, 222),
        horizontal_line(222, 227),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(15, 28),
        horizontal_line(16, 29),
        horizontal_line(17, 30),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_315_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(103, 165),
    };

    constexpr const shape frame_315_shape_group_8_shapes[] = {
        shape(frame_315_shape_group_8_shape_0_horizontal_lines, 65, 13),
        shape(frame_315_shape_group_8_shape_1_horizontal_lines, 66, 9),
        shape(frame_315_shape_group_8_shape_2_horizontal_lines, 68, 13),
        shape(frame_315_shape_group_8_shape_3_horizontal_lines, 77, 11),
        shape(frame_315_shape_group_8_shape_4_horizontal_lines, 95, 15),
        shape(frame_315_shape_group_8_shape_5_horizontal_lines, 105, 10),
        shape(frame_315_shape_group_8_shape_6_horizontal_lines, 107, 1),
        shape(frame_315_shape_group_8_shape_7_horizontal_lines, 108, 10),
        shape(frame_315_shape_group_8_shape_8_horizontal_lines, 109, 1),
        shape(frame_315_shape_group_8_shape_9_horizontal_lines, 114, 5),
        shape(frame_315_shape_group_8_shape_10_horizontal_lines, 118, 12),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(25, 33),
        horizontal_line(27, 31),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(24, 29),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(166, 176),
        horizontal_line(157, 177),
        horizontal_line(148, 178),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(24, 29),
        horizontal_line(23, 29),
        horizontal_line(23, 29),
        horizontal_line(23, 29),
        horizontal_line(23, 28),
        horizontal_line(108, 111),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
        horizontal_line(119, 178),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(25, 28),
        horizontal_line(23, 29),
        horizontal_line(22, 30),
        horizontal_line(116, 124),
        horizontal_line(115, 126),
        horizontal_line(116, 127),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(20, 33),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(151, 156),
        horizontal_line(153, 161),
        horizontal_line(155, 166),
        horizontal_line(157, 172),
        horizontal_line(159, 177),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(20, 27),
        horizontal_line(21, 26),
        horizontal_line(149, 164),
        horizontal_line(23, 25),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(10, 23),
        horizontal_line(11, 24),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(216, 217),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(13, 26),
        horizontal_line(14, 27),
        horizontal_line(173, 187),
        horizontal_line(176, 186),
        horizontal_line(179, 185),
    };

    constexpr const horizontal_line frame_315_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(137, 174),
        horizontal_line(165, 176),
    };

    constexpr const shape frame_315_shape_group_9_shapes[] = {
        shape(frame_315_shape_group_9_shape_0_horizontal_lines, 66, 13),
        shape(frame_315_shape_group_9_shape_1_horizontal_lines, 68, 11),
        shape(frame_315_shape_group_9_shape_2_horizontal_lines, 69, 13),
        shape(frame_315_shape_group_9_shape_3_horizontal_lines, 72, 11),
        shape(frame_315_shape_group_9_shape_4_horizontal_lines, 92, 15),
        shape(frame_315_shape_group_9_shape_5_horizontal_lines, 98, 1),
        shape(frame_315_shape_group_9_shape_6_horizontal_lines, 99, 15),
        shape(frame_315_shape_group_9_shape_7_horizontal_lines, 105, 1),
        shape(frame_315_shape_group_9_shape_8_horizontal_lines, 109, 5),
        shape(frame_315_shape_group_9_shape_9_horizontal_lines, 111, 1),
        shape(frame_315_shape_group_9_shape_10_horizontal_lines, 112, 5),
        shape(frame_315_shape_group_9_shape_11_horizontal_lines, 117, 12),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(24, 24),
        horizontal_line(24, 26),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(53, 62),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(24, 29),
        horizontal_line(24, 29),
        horizontal_line(24, 29),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(90, 99),
        horizontal_line(100, 108),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(167, 178),
        horizontal_line(152, 178),
        horizontal_line(136, 178),
        horizontal_line(121, 178),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(47, 107),
        horizontal_line(47, 107),
        horizontal_line(47, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(46, 107),
        horizontal_line(47, 107),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(26, 27),
        horizontal_line(119, 119),
        horizontal_line(118, 120),
        horizontal_line(117, 122),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(52, 107),
        horizontal_line(46, 108),
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(130, 146),
        horizontal_line(20, 32),
        horizontal_line(20, 31),
        horizontal_line(20, 30),
        horizontal_line(20, 29),
        horizontal_line(20, 29),
        horizontal_line(20, 28),
        horizontal_line(143, 160),
        horizontal_line(146, 162),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(9, 21),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(153, 166),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(176, 189),
        horizontal_line(175, 189),
        horizontal_line(12, 25),
        horizontal_line(174, 188),
        horizontal_line(173, 187),
    };

    constexpr const horizontal_line frame_315_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(172, 172),
    };

    constexpr const shape frame_315_shape_group_10_shapes[] = {
        shape(frame_315_shape_group_10_shape_0_horizontal_lines, 66, 11),
        shape(frame_315_shape_group_10_shape_1_horizontal_lines, 68, 15),
        shape(frame_315_shape_group_10_shape_2_horizontal_lines, 69, 11),
        shape(frame_315_shape_group_10_shape_3_horizontal_lines, 72, 15),
        shape(frame_315_shape_group_10_shape_4_horizontal_lines, 74, 11),
        shape(frame_315_shape_group_10_shape_5_horizontal_lines, 78, 2),
        shape(frame_315_shape_group_10_shape_6_horizontal_lines, 91, 15),
        shape(frame_315_shape_group_10_shape_7_horizontal_lines, 95, 10),
        shape(frame_315_shape_group_10_shape_8_horizontal_lines, 98, 1),
        shape(frame_315_shape_group_10_shape_9_horizontal_lines, 107, 5),
        shape(frame_315_shape_group_10_shape_10_horizontal_lines, 108, 1),
        shape(frame_315_shape_group_10_shape_11_horizontal_lines, 109, 5),
        shape(frame_315_shape_group_10_shape_12_horizontal_lines, 116, 12),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(41, 43),
        horizontal_line(47, 52),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(61, 71),
        horizontal_line(71, 80),
        horizontal_line(81, 90),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(47, 87),
        horizontal_line(47, 96),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(110, 118),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(47, 107),
        horizontal_line(47, 108),
        horizontal_line(47, 107),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(46, 46),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(48, 106),
        horizontal_line(49, 105),
        horizontal_line(50, 104),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(125, 132),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(108, 111),
        horizontal_line(102, 114),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(132, 148),
        horizontal_line(134, 150),
        horizontal_line(135, 152),
        horizontal_line(137, 154),
        horizontal_line(139, 156),
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(16, 19),
        horizontal_line(12, 20),
        horizontal_line(177, 191),
        horizontal_line(9, 22),
    };

    constexpr const horizontal_line frame_315_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(175, 188),
    };

    constexpr const shape frame_315_shape_group_11_shapes[] = {
        shape(frame_315_shape_group_11_shape_0_horizontal_lines, 66, 15),
        shape(frame_315_shape_group_11_shape_1_horizontal_lines, 69, 15),
        shape(frame_315_shape_group_11_shape_2_horizontal_lines, 72, 2),
        shape(frame_315_shape_group_11_shape_3_horizontal_lines, 74, 15),
        shape(frame_315_shape_group_11_shape_4_horizontal_lines, 75, 2),
        shape(frame_315_shape_group_11_shape_5_horizontal_lines, 90, 10),
        shape(frame_315_shape_group_11_shape_6_horizontal_lines, 91, 2),
        shape(frame_315_shape_group_11_shape_7_horizontal_lines, 94, 10),
        shape(frame_315_shape_group_11_shape_8_horizontal_lines, 95, 1),
        shape(frame_315_shape_group_11_shape_9_horizontal_lines, 96, 10),
        shape(frame_315_shape_group_11_shape_10_horizontal_lines, 99, 1),
        shape(frame_315_shape_group_11_shape_11_horizontal_lines, 105, 5),
        shape(frame_315_shape_group_11_shape_12_horizontal_lines, 111, 5),
    };

    constexpr const horizontal_line frame_315_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(50, 60),
        horizontal_line(48, 69),
        horizontal_line(47, 78),
    };

    constexpr const horizontal_line frame_315_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(47, 106),
    };

    constexpr const horizontal_line frame_315_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(108, 110),
        horizontal_line(47, 47),
        horizontal_line(48, 48),
        horizontal_line(49, 49),
        horizontal_line(105, 106),
    };

    constexpr const horizontal_line frame_315_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(127, 137),
        horizontal_line(128, 141),
    };

    constexpr const horizontal_line frame_315_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(179, 179),
        horizontal_line(178, 185),
    };

    constexpr const horizontal_line frame_315_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(177, 190),
    };

    constexpr const shape frame_315_shape_group_12_shapes[] = {
        shape(frame_315_shape_group_12_shape_0_horizontal_lines, 69, 2),
        shape(frame_315_shape_group_12_shape_1_horizontal_lines, 74, 2),
        shape(frame_315_shape_group_12_shape_2_horizontal_lines, 90, 10),
        shape(frame_315_shape_group_12_shape_3_horizontal_lines, 96, 1),
        shape(frame_315_shape_group_12_shape_4_horizontal_lines, 105, 5),
        shape(frame_315_shape_group_12_shape_5_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_315_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(106, 108),
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_315_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(123, 128),
    };

    constexpr const shape frame_315_shape_group_13_shapes[] = {
        shape(frame_315_shape_group_13_shape_0_horizontal_lines, 91, 10),
        shape(frame_315_shape_group_13_shape_1_horizontal_lines, 94, 1),
    };

    constexpr const horizontal_line frame_315_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_315_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(51, 104),
    };

    constexpr const shape frame_315_shape_group_14_shapes[] = {
        shape(frame_315_shape_group_14_shape_0_horizontal_lines, 93, 1),
        shape(frame_315_shape_group_14_shape_1_horizontal_lines, 94, 3),
    };

    constexpr const shape_group frame_315_shape_groups[] = {
        shape_group(frame_315_shape_group_0_shapes),
        shape_group(frame_315_shape_group_1_shapes),
        shape_group(frame_315_shape_group_2_shapes),
        shape_group(frame_315_shape_group_3_shapes),
        shape_group(frame_315_shape_group_4_shapes),
        shape_group(frame_315_shape_group_5_shapes),
        shape_group(frame_315_shape_group_6_shapes),
        shape_group(frame_315_shape_group_7_shapes),
        shape_group(frame_315_shape_group_8_shapes),
        shape_group(frame_315_shape_group_9_shapes),
        shape_group(frame_315_shape_group_10_shapes),
        shape_group(frame_315_shape_group_11_shapes),
        shape_group(frame_315_shape_group_12_shapes),
        shape_group(frame_315_shape_group_13_shapes),
        shape_group(frame_315_shape_group_14_shapes),
    };

    constexpr const frame frame_315_impl(frame_315_colors, frame_315_shape_groups);
} 

const frame& frame_315()
{
    return frame_315_impl;
}

namespace
{
    constexpr const bn::color frame_316_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_316_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(1, 14),
        horizontal_line(5, 21),
        horizontal_line(10, 29),
        horizontal_line(14, 36),
        horizontal_line(19, 44),
        horizontal_line(24, 51),
        horizontal_line(31, 59),
        horizontal_line(39, 66),
        horizontal_line(47, 74),
        horizontal_line(55, 81),
        horizontal_line(63, 89),
        horizontal_line(71, 96),
        horizontal_line(80, 104),
        horizontal_line(88, 111),
        horizontal_line(96, 119),
        horizontal_line(104, 126),
        horizontal_line(112, 134),
        horizontal_line(120, 141),
        horizontal_line(128, 149),
        horizontal_line(137, 156),
        horizontal_line(145, 164),
        horizontal_line(153, 171),
        horizontal_line(161, 179),
        horizontal_line(169, 186),
        horizontal_line(177, 194),
        horizontal_line(185, 201),
        horizontal_line(194, 209),
    };

    constexpr const horizontal_line frame_316_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(202, 222),
        horizontal_line(209, 222),
        horizontal_line(217, 222),
    };

    constexpr const horizontal_line frame_316_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(223, 227),
        horizontal_line(223, 230),
        horizontal_line(222, 233),
        horizontal_line(222, 236),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_316_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(87, 149),
        horizontal_line(65, 127),
        horizontal_line(43, 105),
        horizontal_line(21, 83),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_316_shape_group_0_shapes[] = {
        shape(frame_316_shape_group_0_shape_0_horizontal_lines, 34, 7),
        shape(frame_316_shape_group_0_shape_1_horizontal_lines, 62, 14),
        shape(frame_316_shape_group_0_shape_2_horizontal_lines, 113, 7),
        shape(frame_316_shape_group_0_shape_3_horizontal_lines, 134, 9),
    };

    constexpr const horizontal_line frame_316_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(21, 24),
        horizontal_line(18, 26),
        horizontal_line(16, 28),
        horizontal_line(13, 29),
        horizontal_line(10, 31),
        horizontal_line(8, 33),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(190, 194),
        horizontal_line(195, 195),
        horizontal_line(219, 239),
        horizontal_line(194, 197),
        horizontal_line(186, 198),
        horizontal_line(184, 199),
        horizontal_line(185, 201),
        horizontal_line(186, 193),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
        horizontal_line(201, 222),
    };

    constexpr const horizontal_line frame_316_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(194, 200),
        horizontal_line(198, 200),
        horizontal_line(201, 201),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 6),
        horizontal_line(152, 214),
        horizontal_line(130, 192),
        horizontal_line(109, 171),
        horizontal_line(149, 211),
        horizontal_line(127, 189),
        horizontal_line(105, 167),
        horizontal_line(83, 145),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_316_shape_group_1_shapes[] = {
        shape(frame_316_shape_group_1_shape_0_horizontal_lines, 41, 14),
        shape(frame_316_shape_group_1_shape_1_horizontal_lines, 91, 9),
    };

    constexpr const horizontal_line frame_316_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(9, 30),
        horizontal_line(11, 28),
        horizontal_line(13, 25),
        horizontal_line(15, 23),
        horizontal_line(17, 20),
    };

    constexpr const horizontal_line frame_316_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(7, 18),
        horizontal_line(6, 17),
        horizontal_line(6, 17),
    };

    constexpr const horizontal_line frame_316_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(230, 239),
        horizontal_line(227, 239),
        horizontal_line(224, 239),
        horizontal_line(221, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_316_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(5, 16),
    };

    constexpr const horizontal_line frame_316_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 235),
        horizontal_line(221, 231),
        horizontal_line(222, 227),
        horizontal_line(201, 223),
    };

    constexpr const horizontal_line frame_316_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(4, 15),
        horizontal_line(4, 15),
        horizontal_line(3, 14),
        horizontal_line(3, 14),
        horizontal_line(3, 14),
        horizontal_line(3, 14),
        horizontal_line(3, 14),
        horizontal_line(3, 14),
        horizontal_line(2, 14),
        horizontal_line(2, 13),
        horizontal_line(2, 13),
        horizontal_line(2, 13),
        horizontal_line(2, 13),
        horizontal_line(2, 13),
        horizontal_line(1, 13),
        horizontal_line(1, 13),
        horizontal_line(1, 12),
        horizontal_line(1, 12),
        horizontal_line(1, 12),
        horizontal_line(1, 12),
        horizontal_line(1, 12),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(187, 200),
        horizontal_line(190, 200),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(200, 208),
        horizontal_line(199, 216),
        horizontal_line(198, 223),
        horizontal_line(198, 222),
        horizontal_line(197, 222),
        horizontal_line(196, 221),
        horizontal_line(196, 221),
        horizontal_line(195, 221),
        horizontal_line(194, 220),
        horizontal_line(194, 220),
        horizontal_line(197, 219),
        horizontal_line(201, 219),
        horizontal_line(193, 219),
        horizontal_line(198, 218),
        horizontal_line(203, 218),
        horizontal_line(208, 217),
        horizontal_line(213, 217),
        horizontal_line(218, 218),
        horizontal_line(196, 221),
        horizontal_line(174, 225),
        horizontal_line(214, 228),
        horizontal_line(192, 232),
        horizontal_line(171, 233),
        horizontal_line(211, 239),
        horizontal_line(189, 239),
        horizontal_line(167, 229),
        horizontal_line(145, 207),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_316_shape_group_2_shapes[] = {
        shape(frame_316_shape_group_2_shape_0_horizontal_lines, 47, 14),
        shape(frame_316_shape_group_2_shape_1_horizontal_lines, 52, 9),
        shape(frame_316_shape_group_2_shape_2_horizontal_lines, 55, 14),
        shape(frame_316_shape_group_2_shape_3_horizontal_lines, 64, 9),
        shape(frame_316_shape_group_2_shape_4_horizontal_lines, 65, 14),
        shape(frame_316_shape_group_2_shape_5_horizontal_lines, 70, 9),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(7, 8),
        horizontal_line(7, 10),
        horizontal_line(7, 12),
        horizontal_line(7, 14),
        horizontal_line(7, 16),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(6, 17),
        horizontal_line(6, 17),
        horizontal_line(6, 17),
        horizontal_line(6, 17),
        horizontal_line(5, 16),
        horizontal_line(5, 16),
        horizontal_line(5, 16),
        horizontal_line(5, 16),
        horizontal_line(5, 16),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(33, 95),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(4, 16),
        horizontal_line(4, 15),
        horizontal_line(4, 15),
        horizontal_line(4, 15),
        horizontal_line(4, 15),
        horizontal_line(187, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(186, 200),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(171, 183),
        horizontal_line(14, 18),
        horizontal_line(15, 16),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(21, 83),
        horizontal_line(22, 84),
        horizontal_line(23, 85),
        horizontal_line(24, 86),
        horizontal_line(25, 87),
        horizontal_line(26, 63),
        horizontal_line(190, 200),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(11, 24),
        horizontal_line(11, 22),
        horizontal_line(12, 21),
        horizontal_line(13, 19),
        horizontal_line(14, 18),
        horizontal_line(15, 16),
        horizontal_line(15, 77),
        horizontal_line(7, 69),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(233, 235),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_316_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(207, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_316_shape_group_3_shapes[] = {
        shape(frame_316_shape_group_3_shape_0_horizontal_lines, 47, 9),
        shape(frame_316_shape_group_3_shape_1_horizontal_lines, 52, 8),
        shape(frame_316_shape_group_3_shape_2_horizontal_lines, 55, 9),
        shape(frame_316_shape_group_3_shape_3_horizontal_lines, 64, 8),
        shape(frame_316_shape_group_3_shape_4_horizontal_lines, 65, 9),
        shape(frame_316_shape_group_3_shape_5_horizontal_lines, 108, 15),
        shape(frame_316_shape_group_3_shape_6_horizontal_lines, 111, 9),
        shape(frame_316_shape_group_3_shape_7_horizontal_lines, 116, 10),
        shape(frame_316_shape_group_3_shape_8_horizontal_lines, 123, 5),
        shape(frame_316_shape_group_3_shape_9_horizontal_lines, 133, 9),
        shape(frame_316_shape_group_3_shape_10_horizontal_lines, 134, 5),
        shape(frame_316_shape_group_3_shape_11_horizontal_lines, 136, 9),
    };

    constexpr const horizontal_line frame_316_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(31, 40),
        horizontal_line(29, 48),
        horizontal_line(26, 56),
        horizontal_line(24, 64),
        horizontal_line(21, 73),
        horizontal_line(81, 81),
        horizontal_line(80, 89),
        horizontal_line(80, 97),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
        horizontal_line(182, 202),
        horizontal_line(31, 46),
    };

    constexpr const horizontal_line frame_316_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(232, 239),
        horizontal_line(228, 239),
        horizontal_line(194, 200),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_316_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(13, 24),
        horizontal_line(12, 22),
        horizontal_line(12, 20),
        horizontal_line(12, 19),
        horizontal_line(12, 17),
        horizontal_line(12, 15),
        horizontal_line(12, 14),
        horizontal_line(33, 95),
        horizontal_line(32, 94),
        horizontal_line(31, 93),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(24, 62),
    };

    constexpr const horizontal_line frame_316_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(23, 85),
    };

    constexpr const horizontal_line frame_316_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(173, 183),
        horizontal_line(175, 182),
        horizontal_line(177, 181),
        horizontal_line(179, 181),
    };

    constexpr const horizontal_line frame_316_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(18, 80),
        horizontal_line(19, 81),
        horizontal_line(20, 82),
        horizontal_line(83, 145),
        horizontal_line(84, 146),
        horizontal_line(179, 187),
        horizontal_line(181, 190),
        horizontal_line(184, 193),
        horizontal_line(187, 196),
    };

    constexpr const horizontal_line frame_316_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(10, 26),
        horizontal_line(192, 192),
        horizontal_line(162, 197),
        horizontal_line(133, 195),
        horizontal_line(103, 165),
        horizontal_line(74, 136),
        horizontal_line(44, 106),
        horizontal_line(77, 139),
        horizontal_line(69, 131),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(62, 86),
        horizontal_line(62, 64),
        horizontal_line(0, 42),
        horizontal_line(0, 20),
    };

    constexpr const shape frame_316_shape_group_4_shapes[] = {
        shape(frame_316_shape_group_4_shape_0_horizontal_lines, 47, 8),
        shape(frame_316_shape_group_4_shape_1_horizontal_lines, 66, 9),
        shape(frame_316_shape_group_4_shape_2_horizontal_lines, 91, 11),
        shape(frame_316_shape_group_4_shape_3_horizontal_lines, 108, 10),
        shape(frame_316_shape_group_4_shape_4_horizontal_lines, 109, 15),
        shape(frame_316_shape_group_4_shape_5_horizontal_lines, 113, 10),
        shape(frame_316_shape_group_4_shape_6_horizontal_lines, 122, 5),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(81, 106),
        horizontal_line(83, 114),
        horizontal_line(85, 122),
        horizontal_line(87, 130),
        horizontal_line(89, 138),
        horizontal_line(91, 147),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(186, 194),
        horizontal_line(95, 157),
        horizontal_line(49, 111),
        horizontal_line(30, 52),
        horizontal_line(33, 50),
        horizontal_line(38, 49),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(47, 47),
        horizontal_line(84, 88),
        horizontal_line(92, 96),
        horizontal_line(100, 103),
        horizontal_line(109, 111),
        horizontal_line(112, 121),
        horizontal_line(113, 122),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(28, 46),
        horizontal_line(28, 46),
        horizontal_line(28, 46),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(28, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(113, 120),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(27, 47),
        horizontal_line(28, 48),
        horizontal_line(29, 49),
        horizontal_line(30, 50),
        horizontal_line(30, 51),
        horizontal_line(31, 44),
        horizontal_line(32, 38),
        horizontal_line(150, 185),
        horizontal_line(154, 185),
        horizontal_line(159, 185),
        horizontal_line(164, 185),
        horizontal_line(169, 185),
        horizontal_line(173, 185),
        horizontal_line(178, 185),
        horizontal_line(183, 185),
        horizontal_line(87, 103),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(169, 184),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(85, 147),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(80, 142),
        horizontal_line(81, 143),
        horizontal_line(82, 144),
        horizontal_line(145, 180),
        horizontal_line(146, 183),
        horizontal_line(85, 147),
        horizontal_line(86, 139),
        horizontal_line(87, 101),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(9, 25),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
    };

    constexpr const horizontal_line frame_316_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(195, 202),
        horizontal_line(165, 207),
        horizontal_line(136, 198),
        horizontal_line(106, 168),
        horizontal_line(139, 195),
        horizontal_line(131, 173),
        horizontal_line(124, 151),
        horizontal_line(124, 129),
        horizontal_line(62, 108),
    };

    constexpr const shape frame_316_shape_group_5_shapes[] = {
        shape(frame_316_shape_group_5_shape_0_horizontal_lines, 55, 8),
        shape(frame_316_shape_group_5_shape_1_horizontal_lines, 69, 9),
        shape(frame_316_shape_group_5_shape_2_horizontal_lines, 70, 8),
        shape(frame_316_shape_group_5_shape_3_horizontal_lines, 77, 13),
        shape(frame_316_shape_group_5_shape_4_horizontal_lines, 91, 11),
        shape(frame_316_shape_group_5_shape_5_horizontal_lines, 107, 15),
        shape(frame_316_shape_group_5_shape_6_horizontal_lines, 108, 10),
        shape(frame_316_shape_group_5_shape_7_horizontal_lines, 121, 5),
        shape(frame_316_shape_group_5_shape_8_horizontal_lines, 122, 12),
        shape(frame_316_shape_group_5_shape_9_horizontal_lines, 125, 5),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(18, 18),
        horizontal_line(18, 20),
        horizontal_line(18, 22),
        horizontal_line(18, 24),
        horizontal_line(17, 26),
        horizontal_line(17, 28),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(155, 155),
        horizontal_line(157, 163),
        horizontal_line(97, 159),
        horizontal_line(157, 180),
        horizontal_line(111, 173),
        horizontal_line(57, 119),
        horizontal_line(52, 58),
        horizontal_line(60, 66),
        horizontal_line(42, 48),
        horizontal_line(76, 81),
        horizontal_line(97, 145),
        horizontal_line(105, 137),
        horizontal_line(113, 129),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(28, 46),
        horizontal_line(28, 46),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(13, 46),
        horizontal_line(111, 120),
        horizontal_line(110, 119),
        horizontal_line(109, 118),
        horizontal_line(110, 117),
        horizontal_line(114, 116),
        horizontal_line(117, 117),
        horizontal_line(74, 120),
        horizontal_line(95, 123),
        horizontal_line(94, 126),
        horizontal_line(93, 129),
        horizontal_line(92, 132),
        horizontal_line(91, 135),
        horizontal_line(90, 138),
        horizontal_line(89, 141),
        horizontal_line(88, 144),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(167, 185),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(63, 125),
        horizontal_line(147, 154),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(79, 141),
        horizontal_line(142, 170),
        horizontal_line(143, 174),
        horizontal_line(144, 177),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(147, 177),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(7, 23),
        horizontal_line(8, 24),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(64, 126),
        horizontal_line(89, 151),
        horizontal_line(87, 149),
        horizontal_line(85, 147),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_316_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(198, 212),
        horizontal_line(168, 217),
    };

    constexpr const shape frame_316_shape_group_6_shapes[] = {
        shape(frame_316_shape_group_6_shape_0_horizontal_lines, 55, 13),
        shape(frame_316_shape_group_6_shape_1_horizontal_lines, 61, 8),
        shape(frame_316_shape_group_6_shape_2_horizontal_lines, 75, 13),
        shape(frame_316_shape_group_6_shape_3_horizontal_lines, 90, 11),
        shape(frame_316_shape_group_6_shape_4_horizontal_lines, 106, 15),
        shape(frame_316_shape_group_6_shape_5_horizontal_lines, 107, 10),
        shape(frame_316_shape_group_6_shape_6_horizontal_lines, 116, 1),
        shape(frame_316_shape_group_6_shape_7_horizontal_lines, 118, 10),
        shape(frame_316_shape_group_6_shape_8_horizontal_lines, 119, 5),
        shape(frame_316_shape_group_6_shape_9_horizontal_lines, 121, 12),
        shape(frame_316_shape_group_6_shape_10_horizontal_lines, 127, 5),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(17, 30),
        horizontal_line(18, 32),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(159, 171),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(23, 32),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(173, 193),
        horizontal_line(119, 181),
        horizontal_line(65, 127),
        horizontal_line(73, 135),
        horizontal_line(68, 73),
        horizontal_line(89, 151),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(111, 111),
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(15, 27),
        horizontal_line(15, 27),
        horizontal_line(14, 27),
        horizontal_line(14, 27),
        horizontal_line(14, 27),
        horizontal_line(14, 27),
        horizontal_line(14, 26),
        horizontal_line(14, 26),
        horizontal_line(14, 26),
        horizontal_line(13, 26),
        horizontal_line(13, 26),
        horizontal_line(13, 26),
        horizontal_line(13, 26),
        horizontal_line(112, 112),
        horizontal_line(122, 184),
        horizontal_line(126, 185),
        horizontal_line(130, 185),
        horizontal_line(134, 185),
        horizontal_line(138, 185),
        horizontal_line(142, 185),
        horizontal_line(146, 185),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(127, 134),
        horizontal_line(130, 136),
        horizontal_line(133, 138),
        horizontal_line(136, 139),
        horizontal_line(139, 141),
        horizontal_line(142, 143),
        horizontal_line(164, 182),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(104, 148),
        horizontal_line(125, 151),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(13, 22),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(143, 157),
        horizontal_line(141, 161),
        horizontal_line(140, 164),
        horizontal_line(141, 167),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(171, 180),
        horizontal_line(175, 179),
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(5, 20),
        horizontal_line(6, 21),
        horizontal_line(6, 22),
        horizontal_line(191, 193),
    };

    constexpr const horizontal_line frame_316_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(102, 164),
        horizontal_line(126, 186),
        horizontal_line(151, 189),
        horizontal_line(149, 191),
        horizontal_line(147, 161),
        horizontal_line(84, 132),
        horizontal_line(82, 102),
        horizontal_line(19, 73),
        horizontal_line(17, 43),
    };

    constexpr const shape frame_316_shape_group_7_shapes[] = {
        shape(frame_316_shape_group_7_shape_0_horizontal_lines, 61, 13),
        shape(frame_316_shape_group_7_shape_1_horizontal_lines, 63, 8),
        shape(frame_316_shape_group_7_shape_2_horizontal_lines, 64, 13),
        shape(frame_316_shape_group_7_shape_3_horizontal_lines, 65, 8),
        shape(frame_316_shape_group_7_shape_4_horizontal_lines, 71, 13),
        shape(frame_316_shape_group_7_shape_5_horizontal_lines, 77, 11),
        shape(frame_316_shape_group_7_shape_6_horizontal_lines, 98, 15),
        shape(frame_316_shape_group_7_shape_7_horizontal_lines, 106, 10),
        shape(frame_316_shape_group_7_shape_8_horizontal_lines, 108, 1),
        shape(frame_316_shape_group_7_shape_9_horizontal_lines, 109, 10),
        shape(frame_316_shape_group_7_shape_10_horizontal_lines, 113, 1),
        shape(frame_316_shape_group_7_shape_11_horizontal_lines, 116, 5),
        shape(frame_316_shape_group_7_shape_12_horizontal_lines, 120, 12),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(17, 17),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(21, 34),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(17, 22),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(26, 30),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(181, 185),
        horizontal_line(127, 177),
        horizontal_line(135, 169),
        horizontal_line(81, 143),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(146, 185),
        horizontal_line(138, 178),
        horizontal_line(130, 164),
        horizontal_line(122, 150),
        horizontal_line(122, 136),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(15, 27),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(110, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(121, 183),
        horizontal_line(184, 185),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(23, 27),
        horizontal_line(21, 28),
        horizontal_line(20, 29),
        horizontal_line(18, 29),
        horizontal_line(16, 30),
        horizontal_line(15, 31),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(12, 32),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(152, 153),
        horizontal_line(154, 158),
        horizontal_line(156, 163),
        horizontal_line(158, 168),
        horizontal_line(160, 172),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(11, 24),
        horizontal_line(12, 23),
        horizontal_line(155, 170),
        horizontal_line(158, 172),
        horizontal_line(162, 174),
        horizontal_line(165, 176),
        horizontal_line(168, 178),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(2, 17),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(228, 230),
        horizontal_line(231, 238),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(181, 195),
        horizontal_line(184, 195),
        horizontal_line(188, 194),
    };

    constexpr const horizontal_line frame_316_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(140, 180),
        horizontal_line(164, 183),
    };

    constexpr const shape frame_316_shape_group_8_shapes[] = {
        shape(frame_316_shape_group_8_shape_0_horizontal_lines, 62, 11),
        shape(frame_316_shape_group_8_shape_1_horizontal_lines, 63, 13),
        shape(frame_316_shape_group_8_shape_2_horizontal_lines, 64, 11),
        shape(frame_316_shape_group_8_shape_3_horizontal_lines, 65, 13),
        shape(frame_316_shape_group_8_shape_4_horizontal_lines, 66, 8),
        shape(frame_316_shape_group_8_shape_5_horizontal_lines, 71, 13),
        shape(frame_316_shape_group_8_shape_6_horizontal_lines, 76, 11),
        shape(frame_316_shape_group_8_shape_7_horizontal_lines, 92, 15),
        shape(frame_316_shape_group_8_shape_8_horizontal_lines, 98, 1),
        shape(frame_316_shape_group_8_shape_9_horizontal_lines, 99, 15),
        shape(frame_316_shape_group_8_shape_10_horizontal_lines, 105, 10),
        shape(frame_316_shape_group_8_shape_11_horizontal_lines, 106, 1),
        shape(frame_316_shape_group_8_shape_12_horizontal_lines, 113, 5),
        shape(frame_316_shape_group_8_shape_13_horizontal_lines, 114, 1),
        shape(frame_316_shape_group_8_shape_14_horizontal_lines, 116, 5),
        shape(frame_316_shape_group_8_shape_15_horizontal_lines, 119, 12),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(17, 20),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(17, 25),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(29, 29),
        horizontal_line(29, 32),
        horizontal_line(29, 37),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(143, 161),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(29, 46),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(16, 28),
        horizontal_line(15, 28),
        horizontal_line(15, 28),
        horizontal_line(15, 28),
        horizontal_line(15, 27),
        horizontal_line(110, 112),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(120, 122),
        horizontal_line(119, 124),
        horizontal_line(118, 126),
        horizontal_line(117, 127),
        horizontal_line(118, 129),
        horizontal_line(121, 131),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(134, 149),
        horizontal_line(11, 31),
        horizontal_line(11, 30),
        horizontal_line(11, 29),
        horizontal_line(11, 28),
        horizontal_line(11, 27),
        horizontal_line(11, 26),
        horizontal_line(11, 25),
        horizontal_line(149, 166),
        horizontal_line(152, 168),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(1, 15),
        horizontal_line(1, 16),
        horizontal_line(181, 197),
        horizontal_line(3, 18),
        horizontal_line(4, 19),
    };

    constexpr const horizontal_line frame_316_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const shape frame_316_shape_group_9_shapes[] = {
        shape(frame_316_shape_group_9_shape_0_horizontal_lines, 63, 11),
        shape(frame_316_shape_group_9_shape_1_horizontal_lines, 65, 11),
        shape(frame_316_shape_group_9_shape_2_horizontal_lines, 66, 13),
        shape(frame_316_shape_group_9_shape_3_horizontal_lines, 69, 8),
        shape(frame_316_shape_group_9_shape_4_horizontal_lines, 70, 13),
        shape(frame_316_shape_group_9_shape_5_horizontal_lines, 71, 11),
        shape(frame_316_shape_group_9_shape_6_horizontal_lines, 91, 15),
        shape(frame_316_shape_group_9_shape_7_horizontal_lines, 98, 1),
        shape(frame_316_shape_group_9_shape_8_horizontal_lines, 108, 5),
        shape(frame_316_shape_group_9_shape_9_horizontal_lines, 118, 12),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(47, 48),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(16, 28),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(178, 183),
        horizontal_line(170, 184),
        horizontal_line(29, 41),
        horizontal_line(154, 186),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(89, 96),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(179, 185),
        horizontal_line(165, 185),
        horizontal_line(151, 185),
        horizontal_line(137, 185),
        horizontal_line(124, 185),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
        horizontal_line(184, 185),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(50, 108),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(49, 106),
        horizontal_line(50, 105),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(52, 113),
        horizontal_line(45, 107),
        horizontal_line(39, 73),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(135, 151),
        horizontal_line(137, 153),
        horizontal_line(139, 155),
        horizontal_line(140, 157),
        horizontal_line(142, 159),
        horizontal_line(144, 161),
        horizontal_line(146, 163),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(6, 10),
        horizontal_line(1, 11),
        horizontal_line(184, 193),
        horizontal_line(184, 197),
        horizontal_line(183, 200),
        horizontal_line(182, 199),
        horizontal_line(182, 198),
    };

    constexpr const horizontal_line frame_316_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(180, 197),
        horizontal_line(180, 196),
    };

    constexpr const shape frame_316_shape_group_10_shapes[] = {
        shape(frame_316_shape_group_10_shape_0_horizontal_lines, 65, 15),
        shape(frame_316_shape_group_10_shape_1_horizontal_lines, 66, 11),
        shape(frame_316_shape_group_10_shape_2_horizontal_lines, 67, 13),
        shape(frame_316_shape_group_10_shape_3_horizontal_lines, 71, 15),
        shape(frame_316_shape_group_10_shape_4_horizontal_lines, 72, 11),
        shape(frame_316_shape_group_10_shape_5_horizontal_lines, 90, 2),
        shape(frame_316_shape_group_10_shape_6_horizontal_lines, 91, 15),
        shape(frame_316_shape_group_10_shape_7_horizontal_lines, 92, 2),
        shape(frame_316_shape_group_10_shape_8_horizontal_lines, 94, 10),
        shape(frame_316_shape_group_10_shape_9_horizontal_lines, 99, 1),
        shape(frame_316_shape_group_10_shape_10_horizontal_lines, 106, 5),
        shape(frame_316_shape_group_10_shape_11_horizontal_lines, 114, 5),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(53, 56),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(16, 28),
        horizontal_line(16, 28),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(162, 185),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(16, 28),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(47, 83),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(97, 104),
        horizontal_line(104, 112),
        horizontal_line(112, 120),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(47, 109),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(49, 108),
        horizontal_line(53, 108),
        horizontal_line(52, 108),
        horizontal_line(52, 108),
        horizontal_line(51, 108),
        horizontal_line(51, 108),
        horizontal_line(50, 108),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(50, 107),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(127, 133),
        horizontal_line(128, 137),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(132, 145),
    };

    constexpr const horizontal_line frame_316_shape_group_11_shape_13_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(185, 189),
    };

    constexpr const shape frame_316_shape_group_11_shapes[] = {
        shape(frame_316_shape_group_11_shape_0_horizontal_lines, 66, 15),
        shape(frame_316_shape_group_11_shape_1_horizontal_lines, 67, 11),
        shape(frame_316_shape_group_11_shape_2_horizontal_lines, 69, 13),
        shape(frame_316_shape_group_11_shape_3_horizontal_lines, 70, 11),
        shape(frame_316_shape_group_11_shape_4_horizontal_lines, 71, 2),
        shape(frame_316_shape_group_11_shape_5_horizontal_lines, 72, 15),
        shape(frame_316_shape_group_11_shape_6_horizontal_lines, 75, 2),
        shape(frame_316_shape_group_11_shape_7_horizontal_lines, 90, 10),
        shape(frame_316_shape_group_11_shape_8_horizontal_lines, 91, 2),
        shape(frame_316_shape_group_11_shape_9_horizontal_lines, 92, 10),
        shape(frame_316_shape_group_11_shape_10_horizontal_lines, 94, 1),
        shape(frame_316_shape_group_11_shape_11_horizontal_lines, 96, 10),
        shape(frame_316_shape_group_11_shape_12_horizontal_lines, 97, 1),
        shape(frame_316_shape_group_11_shape_13_horizontal_lines, 106, 5),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(59, 64),
        horizontal_line(67, 72),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(16, 28),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(82, 88),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(47, 91),
        horizontal_line(47, 99),
        horizontal_line(47, 108),
        horizontal_line(109, 110),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(46, 48),
        horizontal_line(46, 52),
        horizontal_line(46, 51),
        horizontal_line(46, 51),
        horizontal_line(46, 50),
        horizontal_line(46, 50),
        horizontal_line(46, 49),
        horizontal_line(109, 111),
        horizontal_line(48, 49),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(123, 125),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(51, 108),
    };

    constexpr const horizontal_line frame_316_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(130, 141),
    };

    constexpr const shape frame_316_shape_group_12_shapes[] = {
        shape(frame_316_shape_group_12_shape_0_horizontal_lines, 67, 15),
        shape(frame_316_shape_group_12_shape_1_horizontal_lines, 69, 11),
        shape(frame_316_shape_group_12_shape_2_horizontal_lines, 70, 15),
        shape(frame_316_shape_group_12_shape_3_horizontal_lines, 72, 2),
        shape(frame_316_shape_group_12_shape_4_horizontal_lines, 83, 10),
        shape(frame_316_shape_group_12_shape_5_horizontal_lines, 92, 1),
        shape(frame_316_shape_group_12_shape_6_horizontal_lines, 94, 3),
        shape(frame_316_shape_group_12_shape_7_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_316_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(51, 51),
        horizontal_line(50, 59),
    };

    constexpr const horizontal_line frame_316_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(74, 80),
    };

    constexpr const horizontal_line frame_316_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(48, 75),
    };

    constexpr const horizontal_line frame_316_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(108, 110),
    };

    constexpr const shape frame_316_shape_group_13_shapes[] = {
        shape(frame_316_shape_group_13_shape_0_horizontal_lines, 67, 2),
        shape(frame_316_shape_group_13_shape_1_horizontal_lines, 69, 15),
        shape(frame_316_shape_group_13_shape_2_horizontal_lines, 70, 2),
        shape(frame_316_shape_group_13_shape_3_horizontal_lines, 91, 10),
    };

    constexpr const horizontal_line frame_316_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(49, 67),
    };

    constexpr const shape frame_316_shape_group_14_shapes[] = {
        shape(frame_316_shape_group_14_shape_0_horizontal_lines, 69, 2),
    };

    constexpr const shape_group frame_316_shape_groups[] = {
        shape_group(frame_316_shape_group_0_shapes),
        shape_group(frame_316_shape_group_1_shapes),
        shape_group(frame_316_shape_group_2_shapes),
        shape_group(frame_316_shape_group_3_shapes),
        shape_group(frame_316_shape_group_4_shapes),
        shape_group(frame_316_shape_group_5_shapes),
        shape_group(frame_316_shape_group_6_shapes),
        shape_group(frame_316_shape_group_7_shapes),
        shape_group(frame_316_shape_group_8_shapes),
        shape_group(frame_316_shape_group_9_shapes),
        shape_group(frame_316_shape_group_10_shapes),
        shape_group(frame_316_shape_group_11_shapes),
        shape_group(frame_316_shape_group_12_shapes),
        shape_group(frame_316_shape_group_13_shapes),
        shape_group(frame_316_shape_group_14_shapes),
    };

    constexpr const frame frame_316_impl(frame_316_colors, frame_316_shape_groups);
} 

const frame& frame_316()
{
    return frame_316_impl;
}

namespace
{
    constexpr const bn::color frame_317_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_317_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 13),
        horizontal_line(0, 21),
        horizontal_line(4, 28),
        horizontal_line(8, 36),
        horizontal_line(13, 43),
        horizontal_line(20, 50),
        horizontal_line(28, 58),
        horizontal_line(35, 65),
        horizontal_line(43, 73),
        horizontal_line(51, 80),
        horizontal_line(58, 88),
        horizontal_line(66, 95),
        horizontal_line(74, 102),
        horizontal_line(81, 110),
        horizontal_line(89, 117),
        horizontal_line(97, 125),
        horizontal_line(104, 132),
        horizontal_line(112, 139),
        horizontal_line(119, 147),
        horizontal_line(127, 154),
        horizontal_line(135, 162),
        horizontal_line(142, 169),
        horizontal_line(150, 177),
        horizontal_line(158, 184),
        horizontal_line(165, 191),
        horizontal_line(173, 199),
        horizontal_line(181, 206),
        horizontal_line(188, 214),
        horizontal_line(196, 221),
        horizontal_line(204, 229),
    };

    constexpr const horizontal_line frame_317_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(201, 203),
        horizontal_line(197, 204),
        horizontal_line(204, 205),
        horizontal_line(232, 239),
        horizontal_line(204, 207),
        horizontal_line(196, 208),
        horizontal_line(191, 209),
        horizontal_line(192, 234),
        horizontal_line(193, 201),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(211, 234),
        horizontal_line(212, 234),
        horizontal_line(218, 234),
        horizontal_line(224, 234),
        horizontal_line(230, 234),
    };

    constexpr const horizontal_line frame_317_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(235, 238),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(160, 222),
        horizontal_line(137, 199),
        horizontal_line(114, 176),
        horizontal_line(91, 153),
        horizontal_line(68, 130),
        horizontal_line(45, 107),
        horizontal_line(22, 84),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_317_shape_group_0_shapes[] = {
        shape(frame_317_shape_group_0_shape_0_horizontal_lines, 28, 7),
        shape(frame_317_shape_group_0_shape_1_horizontal_lines, 59, 14),
        shape(frame_317_shape_group_0_shape_2_horizontal_lines, 115, 9),
        shape(frame_317_shape_group_0_shape_3_horizontal_lines, 116, 7),
        shape(frame_317_shape_group_0_shape_4_horizontal_lines, 135, 9),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(11, 14),
        horizontal_line(8, 15),
        horizontal_line(6, 17),
        horizontal_line(3, 18),
        horizontal_line(1, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 21),
        horizontal_line(1, 19),
        horizontal_line(2, 17),
        horizontal_line(4, 15),
        horizontal_line(6, 13),
        horizontal_line(8, 11),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(10, 72),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(34, 96),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(211, 234),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(47, 47),
        horizontal_line(90, 152),
        horizontal_line(98, 147),
        horizontal_line(106, 139),
        horizontal_line(114, 131),
        horizontal_line(123, 123),
        horizontal_line(114, 123),
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(194, 210),
        horizontal_line(195, 210),
        horizontal_line(200, 210),
        horizontal_line(206, 210),
        horizontal_line(211, 211),
        horizontal_line(210, 217),
        horizontal_line(209, 223),
        horizontal_line(209, 229),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_317_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(208, 234),
        horizontal_line(207, 234),
        horizontal_line(207, 233),
        horizontal_line(206, 233),
        horizontal_line(205, 232),
        horizontal_line(205, 232),
        horizontal_line(204, 232),
        horizontal_line(204, 231),
        horizontal_line(203, 231),
        horizontal_line(206, 230),
        horizontal_line(210, 230),
        horizontal_line(203, 230),
        horizontal_line(208, 229),
        horizontal_line(213, 229),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(183, 235),
        horizontal_line(222, 239),
        horizontal_line(199, 239),
        horizontal_line(176, 238),
        horizontal_line(153, 215),
        horizontal_line(130, 192),
        horizontal_line(107, 169),
        horizontal_line(84, 146),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_317_shape_group_1_shapes[] = {
        shape(frame_317_shape_group_1_shape_0_horizontal_lines, 34, 14),
        shape(frame_317_shape_group_1_shape_1_horizontal_lines, 48, 8),
        shape(frame_317_shape_group_1_shape_2_horizontal_lines, 56, 14),
        shape(frame_317_shape_group_1_shape_3_horizontal_lines, 62, 8),
        shape(frame_317_shape_group_1_shape_4_horizontal_lines, 63, 14),
        shape(frame_317_shape_group_1_shape_5_horizontal_lines, 68, 8),
        shape(frame_317_shape_group_1_shape_6_horizontal_lines, 76, 9),
        shape(frame_317_shape_group_1_shape_7_horizontal_lines, 115, 15),
        shape(frame_317_shape_group_1_shape_8_horizontal_lines, 116, 9),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(22, 30),
        horizontal_line(20, 38),
        horizontal_line(18, 46),
        horizontal_line(16, 54),
        horizontal_line(14, 62),
        horizontal_line(12, 69),
        horizontal_line(72, 77),
        horizontal_line(71, 85),
        horizontal_line(72, 93),
        horizontal_line(74, 101),
        horizontal_line(76, 108),
        horizontal_line(78, 116),
        horizontal_line(80, 124),
        horizontal_line(82, 132),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(189, 211),
        horizontal_line(32, 37),
        horizontal_line(30, 42),
        horizontal_line(29, 47),
        horizontal_line(34, 52),
        horizontal_line(40, 49),
        horizontal_line(82, 144),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(9, 71),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(11, 73),
        horizontal_line(12, 74),
        horizontal_line(13, 75),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
        horizontal_line(16, 78),
        horizontal_line(17, 79),
        horizontal_line(18, 58),
        horizontal_line(197, 205),
        horizontal_line(200, 209),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(219, 228),
        horizontal_line(224, 228),
        horizontal_line(229, 229),
        horizontal_line(206, 232),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_317_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(215, 239),
        horizontal_line(192, 239),
        horizontal_line(169, 231),
        horizontal_line(146, 208),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_317_shape_group_2_shapes[] = {
        shape(frame_317_shape_group_2_shape_0_horizontal_lines, 42, 8),
        shape(frame_317_shape_group_2_shape_1_horizontal_lines, 70, 9),
        shape(frame_317_shape_group_2_shape_2_horizontal_lines, 115, 10),
        shape(frame_317_shape_group_2_shape_3_horizontal_lines, 116, 9),
        shape(frame_317_shape_group_2_shape_4_horizontal_lines, 117, 10),
        shape(frame_317_shape_group_2_shape_5_horizontal_lines, 127, 5),
        shape(frame_317_shape_group_2_shape_6_horizontal_lines, 130, 9),
        shape(frame_317_shape_group_2_shape_7_horizontal_lines, 134, 5),
        shape(frame_317_shape_group_2_shape_8_horizontal_lines, 137, 9),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(84, 140),
        horizontal_line(86, 147),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(193, 203),
        horizontal_line(96, 158),
        horizontal_line(41, 103),
        horizontal_line(49, 111),
        horizontal_line(57, 119),
        horizontal_line(65, 127),
        horizontal_line(73, 135),
        horizontal_line(144, 163),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(194, 210),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(21, 82),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(174, 193),
        horizontal_line(3, 15),
        horizontal_line(4, 13),
        horizontal_line(5, 11),
        horizontal_line(6, 9),
        horizontal_line(7, 7),
        horizontal_line(186, 188),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(71, 133),
        horizontal_line(10, 72),
        horizontal_line(73, 135),
        horizontal_line(74, 136),
        horizontal_line(75, 137),
        horizontal_line(76, 138),
        horizontal_line(186, 193),
        horizontal_line(188, 196),
        horizontal_line(191, 199),
        horizontal_line(194, 202),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(202, 202),
        horizontal_line(168, 207),
        horizontal_line(135, 197),
        horizontal_line(1, 8),
        horizontal_line(2, 6),
        horizontal_line(3, 4),
        horizontal_line(3, 65),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_317_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(208, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_317_shape_group_3_shapes[] = {
        shape(frame_317_shape_group_3_shape_0_horizontal_lines, 43, 9),
        shape(frame_317_shape_group_3_shape_1_horizontal_lines, 56, 8),
        shape(frame_317_shape_group_3_shape_2_horizontal_lines, 69, 9),
        shape(frame_317_shape_group_3_shape_3_horizontal_lines, 107, 11),
        shape(frame_317_shape_group_3_shape_4_horizontal_lines, 108, 15),
        shape(frame_317_shape_group_3_shape_5_horizontal_lines, 115, 10),
        shape(frame_317_shape_group_3_shape_6_horizontal_lines, 125, 5),
        shape(frame_317_shape_group_3_shape_7_horizontal_lines, 140, 9),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(9, 9),
        horizontal_line(9, 11),
        horizontal_line(9, 13),
        horizontal_line(9, 15),
        horizontal_line(9, 17),
        horizontal_line(8, 19),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(150, 155),
        horizontal_line(152, 163),
        horizontal_line(154, 171),
        horizontal_line(94, 156),
        horizontal_line(158, 187),
        horizontal_line(103, 165),
        horizontal_line(111, 173),
        horizontal_line(119, 181),
        horizontal_line(127, 179),
        horizontal_line(135, 171),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(194, 210),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(27, 45),
        horizontal_line(26, 44),
        horizontal_line(26, 44),
        horizontal_line(26, 44),
        horizontal_line(26, 44),
        horizontal_line(26, 44),
        horizontal_line(26, 44),
        horizontal_line(26, 44),
        horizontal_line(26, 34),
        horizontal_line(114, 122),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(3, 22),
        horizontal_line(3, 20),
        horizontal_line(3, 17),
        horizontal_line(2, 15),
        horizontal_line(2, 12),
        horizontal_line(2, 10),
        horizontal_line(2, 5),
        horizontal_line(30, 92),
        horizontal_line(29, 91),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(172, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(176, 192),
        horizontal_line(178, 191),
        horizontal_line(180, 190),
        horizontal_line(182, 190),
        horizontal_line(184, 189),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(8, 70),
        horizontal_line(133, 175),
        horizontal_line(72, 134),
        horizontal_line(135, 181),
        horizontal_line(136, 184),
        horizontal_line(137, 187),
        horizontal_line(138, 190),
        horizontal_line(77, 139),
        horizontal_line(78, 140),
        horizontal_line(79, 100),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
    };

    constexpr const horizontal_line frame_317_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(197, 212),
        horizontal_line(102, 164),
        horizontal_line(69, 131),
        horizontal_line(36, 98),
        horizontal_line(65, 127),
        horizontal_line(124, 182),
        horizontal_line(124, 159),
        horizontal_line(124, 136),
        horizontal_line(62, 113),
        horizontal_line(62, 90),
        horizontal_line(62, 67),
        horizontal_line(0, 44),
        horizontal_line(0, 21),
    };

    constexpr const shape frame_317_shape_group_4_shapes[] = {
        shape(frame_317_shape_group_4_shape_0_horizontal_lines, 50, 13),
        shape(frame_317_shape_group_4_shape_1_horizontal_lines, 56, 9),
        shape(frame_317_shape_group_4_shape_2_horizontal_lines, 58, 8),
        shape(frame_317_shape_group_4_shape_3_horizontal_lines, 68, 9),
        shape(frame_317_shape_group_4_shape_4_horizontal_lines, 76, 13),
        shape(frame_317_shape_group_4_shape_5_horizontal_lines, 91, 11),
        shape(frame_317_shape_group_4_shape_6_horizontal_lines, 107, 15),
        shape(frame_317_shape_group_4_shape_7_horizontal_lines, 108, 10),
        shape(frame_317_shape_group_4_shape_8_horizontal_lines, 109, 15),
        shape(frame_317_shape_group_4_shape_9_horizontal_lines, 114, 10),
        shape(frame_317_shape_group_4_shape_10_horizontal_lines, 124, 5),
        shape(frame_317_shape_group_4_shape_11_horizontal_lines, 125, 12),
        shape(frame_317_shape_group_4_shape_12_horizontal_lines, 129, 5),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(8, 21),
        horizontal_line(8, 23),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(156, 179),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(165, 203),
        horizontal_line(173, 195),
        horizontal_line(181, 187),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(194, 210),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(28, 46),
        horizontal_line(28, 46),
        horizontal_line(28, 46),
        horizontal_line(28, 46),
        horizontal_line(27, 46),
        horizontal_line(27, 45),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(113, 123),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(3, 46),
        horizontal_line(26, 47),
        horizontal_line(27, 48),
        horizontal_line(28, 49),
        horizontal_line(29, 51),
        horizontal_line(30, 44),
        horizontal_line(31, 37),
        horizontal_line(32, 94),
        horizontal_line(154, 193),
        horizontal_line(158, 193),
        horizontal_line(163, 193),
        horizontal_line(168, 193),
        horizontal_line(173, 193),
        horizontal_line(178, 193),
        horizontal_line(183, 193),
        horizontal_line(187, 193),
        horizontal_line(192, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(82, 144),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(70, 132),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(176, 187),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(134, 178),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(182, 186),
        horizontal_line(185, 186),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(139, 184),
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(59, 121),
        horizontal_line(81, 143),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(11, 73),
    };

    constexpr const horizontal_line frame_317_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(164, 218),
        horizontal_line(131, 193),
        horizontal_line(98, 160),
        horizontal_line(127, 189),
    };

    constexpr const shape frame_317_shape_group_5_shapes[] = {
        shape(frame_317_shape_group_5_shape_0_horizontal_lines, 56, 13),
        shape(frame_317_shape_group_5_shape_1_horizontal_lines, 58, 9),
        shape(frame_317_shape_group_5_shape_2_horizontal_lines, 61, 8),
        shape(frame_317_shape_group_5_shape_3_horizontal_lines, 62, 9),
        shape(frame_317_shape_group_5_shape_4_horizontal_lines, 63, 8),
        shape(frame_317_shape_group_5_shape_5_horizontal_lines, 66, 9),
        shape(frame_317_shape_group_5_shape_6_horizontal_lines, 70, 13),
        shape(frame_317_shape_group_5_shape_7_horizontal_lines, 90, 11),
        shape(frame_317_shape_group_5_shape_8_horizontal_lines, 107, 10),
        shape(frame_317_shape_group_5_shape_9_horizontal_lines, 115, 1),
        shape(frame_317_shape_group_5_shape_10_horizontal_lines, 116, 10),
        shape(frame_317_shape_group_5_shape_11_horizontal_lines, 117, 1),
        shape(frame_317_shape_group_5_shape_12_horizontal_lines, 119, 5),
        shape(frame_317_shape_group_5_shape_13_horizontal_lines, 121, 10),
        shape(frame_317_shape_group_5_shape_14_horizontal_lines, 123, 5),
        shape(frame_317_shape_group_5_shape_15_horizontal_lines, 124, 12),
        shape(frame_317_shape_group_5_shape_16_horizontal_lines, 130, 5),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(10, 25),
        horizontal_line(12, 27),
        horizontal_line(15, 29),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(20, 33),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(235, 235),
        horizontal_line(202, 210),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(28, 46),
        horizontal_line(148, 193),
        horizontal_line(140, 185),
        horizontal_line(132, 170),
        horizontal_line(111, 112),
        horizontal_line(112, 113),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(5, 26),
        horizontal_line(5, 26),
        horizontal_line(5, 26),
        horizontal_line(5, 26),
        horizontal_line(5, 26),
        horizontal_line(4, 26),
        horizontal_line(4, 25),
        horizontal_line(4, 25),
        horizontal_line(4, 25),
        horizontal_line(4, 25),
        horizontal_line(4, 25),
        horizontal_line(3, 25),
        horizontal_line(3, 25),
        horizontal_line(3, 25),
        horizontal_line(113, 113),
        horizontal_line(112, 122),
        horizontal_line(111, 121),
        horizontal_line(110, 120),
        horizontal_line(111, 119),
        horizontal_line(115, 118),
        horizontal_line(119, 119),
        horizontal_line(149, 193),
        horizontal_line(92, 124),
        horizontal_line(91, 127),
        horizontal_line(90, 130),
        horizontal_line(89, 133),
        horizontal_line(88, 136),
        horizontal_line(87, 139),
        horizontal_line(86, 142),
        horizontal_line(85, 145),
        horizontal_line(84, 146),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(145, 151),
        horizontal_line(144, 154),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(132, 172),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(179, 187),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(188, 205),
        horizontal_line(191, 204),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(200, 203),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(121, 183),
        horizontal_line(143, 196),
        horizontal_line(141, 199),
        horizontal_line(139, 201),
        horizontal_line(137, 167),
        horizontal_line(73, 134),
        horizontal_line(9, 71),
    };

    constexpr const horizontal_line frame_317_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(193, 223),
        horizontal_line(160, 222),
        horizontal_line(189, 205),
    };

    constexpr const shape frame_317_shape_group_6_shapes[] = {
        shape(frame_317_shape_group_6_shape_0_horizontal_lines, 58, 13),
        shape(frame_317_shape_group_6_shape_1_horizontal_lines, 61, 9),
        shape(frame_317_shape_group_6_shape_2_horizontal_lines, 62, 13),
        shape(frame_317_shape_group_6_shape_3_horizontal_lines, 63, 9),
        shape(frame_317_shape_group_6_shape_4_horizontal_lines, 69, 13),
        shape(frame_317_shape_group_6_shape_5_horizontal_lines, 76, 11),
        shape(frame_317_shape_group_6_shape_6_horizontal_lines, 107, 10),
        shape(frame_317_shape_group_6_shape_7_horizontal_lines, 115, 5),
        shape(frame_317_shape_group_6_shape_8_horizontal_lines, 116, 1),
        shape(frame_317_shape_group_6_shape_9_horizontal_lines, 117, 5),
        shape(frame_317_shape_group_6_shape_10_horizontal_lines, 124, 12),
        shape(frame_317_shape_group_6_shape_11_horizontal_lines, 131, 5),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(8, 9),
        horizontal_line(8, 11),
        horizontal_line(8, 14),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(17, 31),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(7, 19),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(22, 31),
        horizontal_line(25, 29),
        horizontal_line(28, 28),
        horizontal_line(28, 33),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(28, 46),
        horizontal_line(156, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(6, 27),
        horizontal_line(6, 27),
        horizontal_line(6, 27),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(124, 155),
        horizontal_line(124, 140),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(5, 26),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 112),
        horizontal_line(35, 45),
        horizontal_line(123, 185),
        horizontal_line(124, 186),
        horizontal_line(128, 190),
        horizontal_line(132, 193),
        horizontal_line(136, 193),
        horizontal_line(141, 193),
        horizontal_line(145, 193),
        horizontal_line(94, 121),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(125, 134),
        horizontal_line(128, 136),
        horizontal_line(131, 138),
        horizontal_line(134, 139),
        horizontal_line(137, 141),
        horizontal_line(140, 143),
        horizontal_line(143, 144),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(1, 20),
        horizontal_line(2, 19),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(140, 157),
        horizontal_line(138, 160),
        horizontal_line(136, 163),
        horizontal_line(134, 166),
        horizontal_line(132, 169),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(173, 185),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(189, 207),
        horizontal_line(0, 9),
        horizontal_line(187, 206),
        horizontal_line(187, 206),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(194, 204),
        horizontal_line(197, 203),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(101, 163),
        horizontal_line(183, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(71, 101),
        horizontal_line(7, 68),
    };

    constexpr const horizontal_line frame_317_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(222, 228),
    };

    constexpr const shape frame_317_shape_group_7_shapes[] = {
        shape(frame_317_shape_group_7_shape_0_horizontal_lines, 58, 11),
        shape(frame_317_shape_group_7_shape_1_horizontal_lines, 61, 13),
        shape(frame_317_shape_group_7_shape_2_horizontal_lines, 62, 11),
        shape(frame_317_shape_group_7_shape_3_horizontal_lines, 63, 13),
        shape(frame_317_shape_group_7_shape_4_horizontal_lines, 67, 9),
        shape(frame_317_shape_group_7_shape_5_horizontal_lines, 68, 13),
        shape(frame_317_shape_group_7_shape_6_horizontal_lines, 70, 11),
        shape(frame_317_shape_group_7_shape_7_horizontal_lines, 73, 13),
        shape(frame_317_shape_group_7_shape_8_horizontal_lines, 75, 11),
        shape(frame_317_shape_group_7_shape_9_horizontal_lines, 98, 15),
        shape(frame_317_shape_group_7_shape_10_horizontal_lines, 106, 11),
        shape(frame_317_shape_group_7_shape_11_horizontal_lines, 107, 1),
        shape(frame_317_shape_group_7_shape_12_horizontal_lines, 109, 10),
        shape(frame_317_shape_group_7_shape_13_horizontal_lines, 114, 1),
        shape(frame_317_shape_group_7_shape_14_horizontal_lines, 115, 5),
        shape(frame_317_shape_group_7_shape_15_horizontal_lines, 121, 5),
        shape(frame_317_shape_group_7_shape_16_horizontal_lines, 123, 12),
        shape(frame_317_shape_group_7_shape_17_horizontal_lines, 127, 12),
        shape(frame_317_shape_group_7_shape_18_horizontal_lines, 130, 12),
        shape(frame_317_shape_group_7_shape_19_horizontal_lines, 132, 5),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(7, 16),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(7, 21),
        horizontal_line(7, 24),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(188, 190),
        horizontal_line(180, 191),
        horizontal_line(28, 39),
        horizontal_line(164, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(6, 27),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(86, 97),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(186, 193),
        horizontal_line(171, 193),
        horizontal_line(6, 27),
        horizontal_line(5, 26),
        horizontal_line(111, 114),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(123, 185),
        horizontal_line(112, 112),
        horizontal_line(185, 193),
        horizontal_line(186, 193),
        horizontal_line(190, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(18, 27),
        horizontal_line(16, 28),
        horizontal_line(13, 29),
        horizontal_line(11, 30),
        horizontal_line(122, 133),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(2, 29),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(156, 157),
        horizontal_line(158, 162),
        horizontal_line(160, 167),
        horizontal_line(162, 172),
        horizontal_line(164, 177),
        horizontal_line(166, 182),
        horizontal_line(168, 186),
        horizontal_line(170, 191),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(152, 171),
        horizontal_line(155, 173),
        horizontal_line(158, 175),
        horizontal_line(161, 177),
        horizontal_line(164, 179),
        horizontal_line(167, 181),
        horizontal_line(170, 183),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(188, 207),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(143, 187),
        horizontal_line(163, 190),
    };

    constexpr const horizontal_line frame_317_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(5, 35),
    };

    constexpr const shape frame_317_shape_group_8_shapes[] = {
        shape(frame_317_shape_group_8_shape_0_horizontal_lines, 61, 11),
        shape(frame_317_shape_group_8_shape_1_horizontal_lines, 63, 11),
        shape(frame_317_shape_group_8_shape_2_horizontal_lines, 65, 13),
        shape(frame_317_shape_group_8_shape_3_horizontal_lines, 69, 11),
        shape(frame_317_shape_group_8_shape_4_horizontal_lines, 70, 15),
        shape(frame_317_shape_group_8_shape_5_horizontal_lines, 71, 11),
        shape(frame_317_shape_group_8_shape_6_horizontal_lines, 93, 15),
        shape(frame_317_shape_group_8_shape_7_horizontal_lines, 98, 1),
        shape(frame_317_shape_group_8_shape_8_horizontal_lines, 99, 15),
        shape(frame_317_shape_group_8_shape_9_horizontal_lines, 107, 1),
        shape(frame_317_shape_group_8_shape_10_horizontal_lines, 114, 5),
        shape(frame_317_shape_group_8_shape_11_horizontal_lines, 116, 5),
        shape(frame_317_shape_group_8_shape_12_horizontal_lines, 121, 12),
        shape(frame_317_shape_group_8_shape_13_horizontal_lines, 132, 12),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(38, 40),
        horizontal_line(43, 48),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(7, 27),
        horizontal_line(7, 27),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(172, 192),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(6, 27),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(78, 89),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(47, 85),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(95, 105),
        horizontal_line(104, 113),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(156, 193),
        horizontal_line(141, 193),
        horizontal_line(126, 188),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(186, 193),
        horizontal_line(185, 193),
        horizontal_line(185, 193),
        horizontal_line(185, 193),
        horizontal_line(185, 193),
        horizontal_line(185, 193),
        horizontal_line(123, 185),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(49, 109),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(23, 25),
        horizontal_line(21, 26),
        horizontal_line(121, 126),
        horizontal_line(120, 128),
        horizontal_line(119, 129),
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(6, 31),
        horizontal_line(135, 153),
        horizontal_line(2, 28),
        horizontal_line(1, 27),
        horizontal_line(1, 26),
        horizontal_line(1, 25),
        horizontal_line(1, 24),
        horizontal_line(1, 23),
        horizontal_line(1, 22),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_317_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(189, 208),
    };

    constexpr const shape frame_317_shape_group_9_shapes[] = {
        shape(frame_317_shape_group_9_shape_0_horizontal_lines, 63, 15),
        shape(frame_317_shape_group_9_shape_1_horizontal_lines, 65, 11),
        shape(frame_317_shape_group_9_shape_2_horizontal_lines, 67, 13),
        shape(frame_317_shape_group_9_shape_3_horizontal_lines, 68, 11),
        shape(frame_317_shape_group_9_shape_4_horizontal_lines, 69, 15),
        shape(frame_317_shape_group_9_shape_5_horizontal_lines, 70, 2),
        shape(frame_317_shape_group_9_shape_6_horizontal_lines, 71, 15),
        shape(frame_317_shape_group_9_shape_7_horizontal_lines, 73, 11),
        shape(frame_317_shape_group_9_shape_8_horizontal_lines, 90, 2),
        shape(frame_317_shape_group_9_shape_9_horizontal_lines, 91, 15),
        shape(frame_317_shape_group_9_shape_10_horizontal_lines, 97, 1),
        shape(frame_317_shape_group_9_shape_11_horizontal_lines, 106, 10),
        shape(frame_317_shape_group_9_shape_12_horizontal_lines, 107, 5),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(48, 56),
        horizontal_line(53, 64),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(7, 27),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(69, 81),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(47, 77),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(47, 94),
        horizontal_line(47, 103),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(113, 122),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(47, 109),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(188, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(49, 110),
        horizontal_line(53, 110),
        horizontal_line(52, 110),
        horizontal_line(52, 110),
        horizontal_line(51, 110),
        horizontal_line(51, 110),
        horizontal_line(50, 110),
        horizontal_line(50, 110),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(185, 193),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(47, 48),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(123, 123),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(50, 106),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(52, 110),
        horizontal_line(45, 107),
        horizontal_line(38, 100),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(134, 148),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(137, 155),
        horizontal_line(139, 157),
        horizontal_line(140, 159),
        horizontal_line(142, 161),
        horizontal_line(144, 163),
        horizontal_line(145, 165),
        horizontal_line(147, 167),
        horizontal_line(1, 21),
    };

    constexpr const horizontal_line frame_317_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(194, 194),
        horizontal_line(193, 199),
        horizontal_line(192, 205),
        horizontal_line(191, 210),
        horizontal_line(191, 209),
        horizontal_line(190, 208),
    };

    constexpr const shape frame_317_shape_group_10_shapes[] = {
        shape(frame_317_shape_group_10_shape_0_horizontal_lines, 65, 15),
        shape(frame_317_shape_group_10_shape_1_horizontal_lines, 67, 11),
        shape(frame_317_shape_group_10_shape_2_horizontal_lines, 68, 15),
        shape(frame_317_shape_group_10_shape_3_horizontal_lines, 69, 2),
        shape(frame_317_shape_group_10_shape_4_horizontal_lines, 71, 2),
        shape(frame_317_shape_group_10_shape_5_horizontal_lines, 73, 15),
        shape(frame_317_shape_group_10_shape_6_horizontal_lines, 74, 2),
        shape(frame_317_shape_group_10_shape_7_horizontal_lines, 75, 11),
        shape(frame_317_shape_group_10_shape_8_horizontal_lines, 76, 2),
        shape(frame_317_shape_group_10_shape_9_horizontal_lines, 89, 11),
        shape(frame_317_shape_group_10_shape_10_horizontal_lines, 90, 10),
        shape(frame_317_shape_group_10_shape_11_horizontal_lines, 91, 15),
        shape(frame_317_shape_group_10_shape_12_horizontal_lines, 93, 2),
        shape(frame_317_shape_group_10_shape_13_horizontal_lines, 94, 10),
        shape(frame_317_shape_group_10_shape_14_horizontal_lines, 97, 1),
        shape(frame_317_shape_group_10_shape_15_horizontal_lines, 99, 1),
        shape(frame_317_shape_group_10_shape_16_horizontal_lines, 108, 5),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(60, 72),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(48, 68),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(47, 109),
        horizontal_line(109, 111),
        horizontal_line(46, 108),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(46, 48),
        horizontal_line(45, 52),
        horizontal_line(45, 51),
        horizontal_line(45, 51),
        horizontal_line(45, 50),
        horizontal_line(45, 50),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(49, 110),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(49, 108),
        horizontal_line(49, 107),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(129, 135),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(107, 114),
        horizontal_line(100, 118),
    };

    constexpr const horizontal_line frame_317_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(149, 169),
    };

    constexpr const shape frame_317_shape_group_11_shapes[] = {
        shape(frame_317_shape_group_11_shape_0_horizontal_lines, 67, 15),
        shape(frame_317_shape_group_11_shape_1_horizontal_lines, 68, 2),
        shape(frame_317_shape_group_11_shape_2_horizontal_lines, 73, 2),
        shape(frame_317_shape_group_11_shape_3_horizontal_lines, 81, 10),
        shape(frame_317_shape_group_11_shape_4_horizontal_lines, 89, 2),
        shape(frame_317_shape_group_11_shape_5_horizontal_lines, 90, 10),
        shape(frame_317_shape_group_11_shape_6_horizontal_lines, 91, 2),
        shape(frame_317_shape_group_11_shape_7_horizontal_lines, 93, 10),
        shape(frame_317_shape_group_11_shape_8_horizontal_lines, 94, 1),
        shape(frame_317_shape_group_11_shape_9_horizontal_lines, 95, 10),
        shape(frame_317_shape_group_11_shape_10_horizontal_lines, 106, 1),
    };

    constexpr const horizontal_line frame_317_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(50, 59),
    };

    constexpr const horizontal_line frame_317_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_317_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_317_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(46, 48),
    };

    constexpr const horizontal_line frame_317_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(48, 48),
        horizontal_line(108, 110),
    };

    constexpr const horizontal_line frame_317_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_317_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(130, 140),
        horizontal_line(132, 144),
    };

    constexpr const shape frame_317_shape_group_12_shapes[] = {
        shape(frame_317_shape_group_12_shape_0_horizontal_lines, 67, 2),
        shape(frame_317_shape_group_12_shape_1_horizontal_lines, 73, 2),
        shape(frame_317_shape_group_12_shape_2_horizontal_lines, 75, 2),
        shape(frame_317_shape_group_12_shape_3_horizontal_lines, 89, 10),
        shape(frame_317_shape_group_12_shape_4_horizontal_lines, 91, 10),
        shape(frame_317_shape_group_12_shape_5_horizontal_lines, 93, 1),
        shape(frame_317_shape_group_12_shape_6_horizontal_lines, 95, 1),
    };

    constexpr const horizontal_line frame_317_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_317_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_317_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const shape frame_317_shape_group_13_shapes[] = {
        shape(frame_317_shape_group_13_shape_0_horizontal_lines, 89, 10),
        shape(frame_317_shape_group_13_shape_1_horizontal_lines, 91, 10),
        shape(frame_317_shape_group_13_shape_2_horizontal_lines, 92, 1),
    };

    constexpr const shape_group frame_317_shape_groups[] = {
        shape_group(frame_317_shape_group_0_shapes),
        shape_group(frame_317_shape_group_1_shapes),
        shape_group(frame_317_shape_group_2_shapes),
        shape_group(frame_317_shape_group_3_shapes),
        shape_group(frame_317_shape_group_4_shapes),
        shape_group(frame_317_shape_group_5_shapes),
        shape_group(frame_317_shape_group_6_shapes),
        shape_group(frame_317_shape_group_7_shapes),
        shape_group(frame_317_shape_group_8_shapes),
        shape_group(frame_317_shape_group_9_shapes),
        shape_group(frame_317_shape_group_10_shapes),
        shape_group(frame_317_shape_group_11_shapes),
        shape_group(frame_317_shape_group_12_shapes),
        shape_group(frame_317_shape_group_13_shapes),
    };

    constexpr const frame frame_317_impl(frame_317_colors, frame_317_shape_groups);
} 

const frame& frame_317()
{
    return frame_317_impl;
}

namespace
{
    constexpr const bn::color frame_318_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 13),
        horizontal_line(0, 20),
        horizontal_line(0, 27),
        horizontal_line(0, 34),
        horizontal_line(7, 41),
        horizontal_line(14, 48),
        horizontal_line(22, 55),
        horizontal_line(29, 62),
        horizontal_line(37, 69),
        horizontal_line(44, 76),
        horizontal_line(52, 83),
        horizontal_line(59, 90),
        horizontal_line(67, 97),
        horizontal_line(74, 104),
        horizontal_line(81, 111),
        horizontal_line(89, 118),
        horizontal_line(96, 125),
        horizontal_line(104, 132),
        horizontal_line(111, 139),
        horizontal_line(119, 146),
        horizontal_line(126, 153),
        horizontal_line(134, 160),
        horizontal_line(141, 167),
        horizontal_line(148, 174),
        horizontal_line(156, 181),
        horizontal_line(163, 188),
        horizontal_line(171, 195),
        horizontal_line(178, 202),
        horizontal_line(186, 209),
        horizontal_line(193, 216),
        horizontal_line(201, 223),
        horizontal_line(208, 230),
        horizontal_line(216, 238),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(209, 216),
        horizontal_line(207, 217),
        horizontal_line(214, 218),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(31, 93),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(214, 220),
        horizontal_line(206, 221),
        horizontal_line(199, 223),
        horizontal_line(200, 217),
        horizontal_line(201, 212),
        horizontal_line(202, 207),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(219, 239),
        horizontal_line(224, 239),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(35, 97),
    };

    constexpr const horizontal_line frame_318_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(215, 239),
        horizontal_line(191, 239),
        horizontal_line(167, 229),
        horizontal_line(143, 205),
        horizontal_line(119, 181),
        horizontal_line(95, 157),
        horizontal_line(71, 133),
        horizontal_line(47, 109),
        horizontal_line(23, 85),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_318_shape_group_0_shapes[] = {
        shape(frame_318_shape_group_0_shape_0_horizontal_lines, 21, 7),
        shape(frame_318_shape_group_0_shape_1_horizontal_lines, 56, 14),
        shape(frame_318_shape_group_0_shape_2_horizontal_lines, 59, 8),
        shape(frame_318_shape_group_0_shape_3_horizontal_lines, 60, 14),
        shape(frame_318_shape_group_0_shape_4_horizontal_lines, 117, 15),
        shape(frame_318_shape_group_0_shape_5_horizontal_lines, 118, 9),
        shape(frame_318_shape_group_0_shape_6_horizontal_lines, 137, 5),
        shape(frame_318_shape_group_0_shape_7_horizontal_lines, 138, 9),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(213, 215),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(198, 221),
        horizontal_line(34, 96),
        horizontal_line(31, 37),
        horizontal_line(29, 42),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(72, 78),
        horizontal_line(82, 87),
        horizontal_line(92, 96),
        horizontal_line(102, 105),
        horizontal_line(112, 114),
        horizontal_line(115, 124),
        horizontal_line(116, 125),
        horizontal_line(117, 126),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(26, 45),
        horizontal_line(26, 45),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 44),
        horizontal_line(25, 34),
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(201, 201),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(1, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(188, 198),
        horizontal_line(190, 197),
        horizontal_line(192, 197),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(2, 64),
        horizontal_line(3, 65),
        horizontal_line(4, 66),
        horizontal_line(5, 67),
        horizontal_line(6, 68),
        horizontal_line(7, 52),
        horizontal_line(205, 216),
        horizontal_line(208, 219),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(213, 213),
        horizontal_line(177, 218),
        horizontal_line(142, 204),
        horizontal_line(106, 168),
        horizontal_line(71, 133),
        horizontal_line(97, 159),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_318_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(205, 239),
        horizontal_line(181, 239),
        horizontal_line(157, 219),
        horizontal_line(133, 195),
        horizontal_line(109, 171),
        horizontal_line(85, 147),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_318_shape_group_1_shapes[] = {
        shape(frame_318_shape_group_1_shape_0_horizontal_lines, 26, 14),
        shape(frame_318_shape_group_1_shape_1_horizontal_lines, 43, 8),
        shape(frame_318_shape_group_1_shape_2_horizontal_lines, 55, 14),
        shape(frame_318_shape_group_1_shape_3_horizontal_lines, 56, 8),
        shape(frame_318_shape_group_1_shape_4_horizontal_lines, 63, 14),
        shape(frame_318_shape_group_1_shape_5_horizontal_lines, 66, 8),
        shape(frame_318_shape_group_1_shape_6_horizontal_lines, 75, 13),
        shape(frame_318_shape_group_1_shape_7_horizontal_lines, 90, 11),
        shape(frame_318_shape_group_1_shape_8_horizontal_lines, 109, 15),
        shape(frame_318_shape_group_1_shape_9_horizontal_lines, 117, 9),
        shape(frame_318_shape_group_1_shape_10_horizontal_lines, 118, 10),
        shape(frame_318_shape_group_1_shape_11_horizontal_lines, 131, 5),
        shape(frame_318_shape_group_1_shape_12_horizontal_lines, 141, 9),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(13, 21),
        horizontal_line(11, 29),
        horizontal_line(9, 36),
        horizontal_line(7, 44),
        horizontal_line(5, 51),
        horizontal_line(3, 59),
        horizontal_line(1, 63),
        horizontal_line(62, 74),
        horizontal_line(63, 82),
        horizontal_line(65, 89),
        horizontal_line(67, 97),
        horizontal_line(69, 105),
        horizontal_line(71, 112),
        horizontal_line(73, 120),
        horizontal_line(75, 127),
        horizontal_line(77, 135),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(23, 85),
        horizontal_line(87, 149),
        horizontal_line(205, 206),
        horizontal_line(201, 213),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(41, 103),
        horizontal_line(49, 111),
        horizontal_line(27, 47),
        horizontal_line(32, 52),
        horizontal_line(39, 49),
        horizontal_line(62, 69),
        horizontal_line(91, 153),
        horizontal_line(99, 149),
        horizontal_line(108, 141),
        horizontal_line(116, 133),
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(26, 45),
        horizontal_line(26, 45),
        horizontal_line(26, 45),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 45),
        horizontal_line(25, 46),
        horizontal_line(26, 47),
        horizontal_line(27, 48),
        horizontal_line(28, 49),
        horizontal_line(28, 50),
        horizontal_line(29, 43),
        horizontal_line(30, 36),
        horizontal_line(31, 93),
        horizontal_line(29, 91),
        horizontal_line(161, 201),
        horizontal_line(165, 201),
        horizontal_line(170, 201),
        horizontal_line(174, 201),
        horizontal_line(179, 201),
        horizontal_line(183, 201),
        horizontal_line(188, 201),
        horizontal_line(192, 201),
        horizontal_line(196, 201),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(176, 200),
        horizontal_line(178, 201),
        horizontal_line(180, 201),
        horizontal_line(182, 200),
        horizontal_line(184, 199),
        horizontal_line(186, 199),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(223, 229),
        horizontal_line(222, 234),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(64, 126),
        horizontal_line(65, 127),
        horizontal_line(193, 204),
        horizontal_line(196, 207),
        horizontal_line(199, 210),
        horizontal_line(202, 213),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(211, 212),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(204, 223),
        horizontal_line(168, 228),
        horizontal_line(133, 195),
        horizontal_line(159, 221),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_318_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(195, 239),
        horizontal_line(171, 233),
        horizontal_line(147, 209),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_318_shape_group_2_shapes[] = {
        shape(frame_318_shape_group_2_shape_0_horizontal_lines, 36, 8),
        shape(frame_318_shape_group_2_shape_1_horizontal_lines, 72, 13),
        shape(frame_318_shape_group_2_shape_2_horizontal_lines, 89, 11),
        shape(frame_318_shape_group_2_shape_3_horizontal_lines, 108, 15),
        shape(frame_318_shape_group_2_shape_4_horizontal_lines, 114, 9),
        shape(frame_318_shape_group_2_shape_5_horizontal_lines, 117, 10),
        shape(frame_318_shape_group_2_shape_6_horizontal_lines, 129, 5),
        shape(frame_318_shape_group_2_shape_7_horizontal_lines, 132, 12),
        shape(frame_318_shape_group_2_shape_8_horizontal_lines, 134, 5),
        shape(frame_318_shape_group_2_shape_9_horizontal_lines, 144, 9),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(63, 67),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(141, 142),
        horizontal_line(143, 150),
        horizontal_line(145, 158),
        horizontal_line(85, 147),
        horizontal_line(149, 173),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(155, 196),
        horizontal_line(158, 213),
        horizontal_line(103, 165),
        horizontal_line(111, 173),
        horizontal_line(58, 120),
        horizontal_line(66, 128),
        horizontal_line(53, 60),
        horizontal_line(83, 145),
        horizontal_line(153, 157),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(26, 45),
        horizontal_line(26, 45),
        horizontal_line(26, 45),
        horizontal_line(26, 45),
        horizontal_line(112, 114),
        horizontal_line(113, 115),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(113, 114),
        horizontal_line(115, 124),
        horizontal_line(114, 123),
        horizontal_line(113, 122),
        horizontal_line(112, 122),
        horizontal_line(113, 121),
        horizontal_line(117, 120),
        horizontal_line(121, 121),
        horizontal_line(153, 201),
        horizontal_line(157, 201),
        horizontal_line(90, 130),
        horizontal_line(89, 133),
        horizontal_line(87, 136),
        horizontal_line(86, 139),
        horizontal_line(85, 142),
        horizontal_line(84, 145),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 82),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(203, 222),
        horizontal_line(208, 222),
        horizontal_line(214, 222),
        horizontal_line(219, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(127, 189),
        horizontal_line(66, 128),
        horizontal_line(67, 129),
        horizontal_line(68, 98),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(195, 233),
        horizontal_line(221, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 118),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_318_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(209, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_318_shape_group_3_shapes[] = {
        shape(frame_318_shape_group_3_shape_0_horizontal_lines, 42, 8),
        shape(frame_318_shape_group_3_shape_1_horizontal_lines, 44, 13),
        shape(frame_318_shape_group_3_shape_2_horizontal_lines, 52, 8),
        shape(frame_318_shape_group_3_shape_3_horizontal_lines, 68, 13),
        shape(frame_318_shape_group_3_shape_4_horizontal_lines, 75, 11),
        shape(frame_318_shape_group_3_shape_5_horizontal_lines, 108, 9),
        shape(frame_318_shape_group_3_shape_6_horizontal_lines, 114, 10),
        shape(frame_318_shape_group_3_shape_7_horizontal_lines, 128, 5),
        shape(frame_318_shape_group_3_shape_8_horizontal_lines, 129, 12),
        shape(frame_318_shape_group_3_shape_9_horizontal_lines, 136, 5),
        shape(frame_318_shape_group_3_shape_10_horizontal_lines, 146, 9),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(147, 165),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(5, 24),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(151, 180),
        horizontal_line(153, 188),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(14, 30),
        horizontal_line(17, 33),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(165, 205),
        horizontal_line(173, 197),
        horizontal_line(120, 182),
        horizontal_line(128, 181),
        horizontal_line(74, 136),
        horizontal_line(145, 165),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(26, 46),
        horizontal_line(150, 201),
        horizontal_line(142, 198),
        horizontal_line(134, 184),
        horizontal_line(126, 169),
        horizontal_line(125, 155),
        horizontal_line(126, 141),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(35, 44),
        horizontal_line(125, 187),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(141, 201),
        horizontal_line(145, 201),
        horizontal_line(149, 201),
        horizontal_line(93, 124),
        horizontal_line(91, 127),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(131, 139),
        horizontal_line(134, 141),
        horizontal_line(137, 142),
        horizontal_line(140, 144),
        horizontal_line(143, 146),
        horizontal_line(146, 147),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(144, 148),
        horizontal_line(143, 150),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(174, 195),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(17, 79),
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 182),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(186, 195),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(186, 190),
        horizontal_line(187, 193),
        horizontal_line(187, 196),
        horizontal_line(188, 199),
        horizontal_line(189, 202),
        horizontal_line(128, 190),
        horizontal_line(129, 144),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(214, 214),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(124, 186),
        horizontal_line(124, 176),
        horizontal_line(62, 124),
        horizontal_line(62, 105),
        horizontal_line(0, 62),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 214),
        horizontal_line(186, 190),
        horizontal_line(124, 166),
        horizontal_line(124, 142),
    };

    constexpr const horizontal_line frame_318_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(62, 94),
        horizontal_line(62, 70),
        horizontal_line(0, 46),
        horizontal_line(0, 22),
    };

    constexpr const shape frame_318_shape_group_4_shapes[] = {
        shape(frame_318_shape_group_4_shape_0_horizontal_lines, 52, 13),
        shape(frame_318_shape_group_4_shape_1_horizontal_lines, 55, 8),
        shape(frame_318_shape_group_4_shape_2_horizontal_lines, 56, 13),
        shape(frame_318_shape_group_4_shape_3_horizontal_lines, 57, 8),
        shape(frame_318_shape_group_4_shape_4_horizontal_lines, 59, 13),
        shape(frame_318_shape_group_4_shape_5_horizontal_lines, 61, 8),
        shape(frame_318_shape_group_4_shape_6_horizontal_lines, 67, 13),
        shape(frame_318_shape_group_4_shape_7_horizontal_lines, 75, 11),
        shape(frame_318_shape_group_4_shape_8_horizontal_lines, 99, 15),
        shape(frame_318_shape_group_4_shape_9_horizontal_lines, 105, 11),
        shape(frame_318_shape_group_4_shape_10_horizontal_lines, 107, 15),
        shape(frame_318_shape_group_4_shape_11_horizontal_lines, 108, 10),
        shape(frame_318_shape_group_4_shape_12_horizontal_lines, 118, 1),
        shape(frame_318_shape_group_4_shape_13_horizontal_lines, 119, 10),
        shape(frame_318_shape_group_4_shape_14_horizontal_lines, 127, 5),
        shape(frame_318_shape_group_4_shape_15_horizontal_lines, 129, 12),
        shape(frame_318_shape_group_4_shape_16_horizontal_lines, 138, 5),
        shape(frame_318_shape_group_4_shape_17_horizontal_lines, 144, 5),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(2, 22),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(8, 26),
        horizontal_line(11, 28),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(20, 30),
        horizontal_line(23, 28),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(182, 189),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(26, 31),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(136, 173),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(26, 45),
        horizontal_line(158, 201),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(112, 114),
        horizontal_line(187, 201),
        horizontal_line(188, 201),
        horizontal_line(191, 201),
        horizontal_line(195, 201),
        horizontal_line(199, 201),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(12, 27),
        horizontal_line(10, 28),
        horizontal_line(8, 29),
        horizontal_line(125, 136),
        horizontal_line(128, 138),
        horizontal_line(158, 160),
        horizontal_line(160, 164),
        horizontal_line(162, 169),
        horizontal_line(164, 173),
        horizontal_line(166, 178),
        horizontal_line(168, 182),
        horizontal_line(149, 149),
        horizontal_line(172, 191),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(79, 141),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(124, 173),
        horizontal_line(124, 176),
        horizontal_line(124, 179),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(183, 193),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(196, 220),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(188, 195),
        horizontal_line(191, 194),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(190, 191),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(211, 215),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(53, 115),
        horizontal_line(131, 193),
        horizontal_line(128, 190),
        horizontal_line(126, 188),
        horizontal_line(186, 212),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_20_horizontal_lines[] = {
        horizontal_line(124, 141),
    };

    constexpr const horizontal_line frame_318_shape_group_5_shape_21_horizontal_lines[] = {
        horizontal_line(62, 70),
    };

    constexpr const shape frame_318_shape_group_5_shapes[] = {
        shape(frame_318_shape_group_5_shape_0_horizontal_lines, 55, 13),
        shape(frame_318_shape_group_5_shape_1_horizontal_lines, 56, 11),
        shape(frame_318_shape_group_5_shape_2_horizontal_lines, 57, 13),
        shape(frame_318_shape_group_5_shape_3_horizontal_lines, 59, 11),
        shape(frame_318_shape_group_5_shape_4_horizontal_lines, 61, 13),
        shape(frame_318_shape_group_5_shape_5_horizontal_lines, 63, 8),
        shape(frame_318_shape_group_5_shape_6_horizontal_lines, 64, 13),
        shape(frame_318_shape_group_5_shape_7_horizontal_lines, 65, 8),
        shape(frame_318_shape_group_5_shape_8_horizontal_lines, 66, 13),
        shape(frame_318_shape_group_5_shape_9_horizontal_lines, 68, 11),
        shape(frame_318_shape_group_5_shape_10_horizontal_lines, 94, 15),
        shape(frame_318_shape_group_5_shape_11_horizontal_lines, 107, 9),
        shape(frame_318_shape_group_5_shape_12_horizontal_lines, 108, 10),
        shape(frame_318_shape_group_5_shape_13_horizontal_lines, 117, 1),
        shape(frame_318_shape_group_5_shape_14_horizontal_lines, 118, 5),
        shape(frame_318_shape_group_5_shape_15_horizontal_lines, 119, 1),
        shape(frame_318_shape_group_5_shape_16_horizontal_lines, 121, 5),
        shape(frame_318_shape_group_5_shape_17_horizontal_lines, 125, 10),
        shape(frame_318_shape_group_5_shape_18_horizontal_lines, 126, 5),
        shape(frame_318_shape_group_5_shape_19_horizontal_lines, 128, 12),
        shape(frame_318_shape_group_5_shape_20_horizontal_lines, 134, 12),
        shape(frame_318_shape_group_5_shape_21_horizontal_lines, 136, 12),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(198, 198),
        horizontal_line(26, 26),
        horizontal_line(182, 200),
        horizontal_line(26, 38),
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(88, 98),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(199, 201),
        horizontal_line(185, 201),
        horizontal_line(170, 201),
        horizontal_line(156, 201),
        horizontal_line(142, 201),
        horizontal_line(128, 190),
        horizontal_line(188, 201),
        horizontal_line(188, 201),
        horizontal_line(188, 201),
        horizontal_line(188, 201),
        horizontal_line(188, 201),
        horizontal_line(188, 201),
        horizontal_line(188, 201),
        horizontal_line(188, 201),
        horizontal_line(187, 201),
        horizontal_line(187, 201),
        horizontal_line(187, 201),
        horizontal_line(187, 201),
        horizontal_line(187, 201),
        horizontal_line(125, 187),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(22, 24),
        horizontal_line(20, 25),
        horizontal_line(17, 26),
        horizontal_line(15, 27),
        horizontal_line(122, 131),
        horizontal_line(121, 133),
        horizontal_line(122, 134),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(170, 187),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(141, 156),
        horizontal_line(137, 159),
        horizontal_line(134, 162),
        horizontal_line(132, 165),
        horizontal_line(129, 168),
        horizontal_line(126, 170),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(174, 187),
        horizontal_line(177, 189),
        horizontal_line(180, 191),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(197, 221),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(196, 219),
        horizontal_line(195, 219),
        horizontal_line(194, 218),
        horizontal_line(197, 218),
        horizontal_line(200, 217),
        horizontal_line(203, 216),
        horizontal_line(0, 3),
        horizontal_line(208, 215),
    };

    constexpr const horizontal_line frame_318_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(99, 161),
        horizontal_line(115, 177),
        horizontal_line(193, 204),
        horizontal_line(190, 207),
        horizontal_line(188, 210),
    };

    constexpr const shape frame_318_shape_group_6_shapes[] = {
        shape(frame_318_shape_group_6_shape_0_horizontal_lines, 55, 11),
        shape(frame_318_shape_group_6_shape_1_horizontal_lines, 57, 11),
        shape(frame_318_shape_group_6_shape_2_horizontal_lines, 61, 11),
        shape(frame_318_shape_group_6_shape_3_horizontal_lines, 62, 13),
        shape(frame_318_shape_group_6_shape_4_horizontal_lines, 67, 11),
        shape(frame_318_shape_group_6_shape_5_horizontal_lines, 68, 15),
        shape(frame_318_shape_group_6_shape_6_horizontal_lines, 69, 11),
        shape(frame_318_shape_group_6_shape_7_horizontal_lines, 89, 9),
        shape(frame_318_shape_group_6_shape_8_horizontal_lines, 90, 15),
        shape(frame_318_shape_group_6_shape_9_horizontal_lines, 97, 9),
        shape(frame_318_shape_group_6_shape_10_horizontal_lines, 105, 15),
        shape(frame_318_shape_group_6_shape_11_horizontal_lines, 106, 9),
        shape(frame_318_shape_group_6_shape_12_horizontal_lines, 107, 10),
        shape(frame_318_shape_group_6_shape_13_horizontal_lines, 114, 1),
        shape(frame_318_shape_group_6_shape_14_horizontal_lines, 117, 5),
        shape(frame_318_shape_group_6_shape_15_horizontal_lines, 119, 5),
        shape(frame_318_shape_group_6_shape_16_horizontal_lines, 127, 12),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(38, 40),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(190, 199),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(166, 202),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(79, 90),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(97, 107),
        horizontal_line(106, 115),
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(190, 201),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(187, 201),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(49, 111),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(124, 126),
        horizontal_line(123, 128),
        horizontal_line(123, 129),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(4, 30),
        horizontal_line(1, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 0),
        horizontal_line(163, 179),
        horizontal_line(166, 181),
        horizontal_line(169, 183),
        horizontal_line(171, 185),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(199, 223),
        horizontal_line(198, 222),
        horizontal_line(198, 221),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(205, 216),
    };

    constexpr const horizontal_line frame_318_shape_group_7_shape_21_horizontal_lines[] = {
        horizontal_line(145, 195),
        horizontal_line(161, 198),
        horizontal_line(177, 201),
    };

    constexpr const shape frame_318_shape_group_7_shapes[] = {
        shape(frame_318_shape_group_7_shape_0_horizontal_lines, 61, 15),
        shape(frame_318_shape_group_7_shape_1_horizontal_lines, 62, 11),
        shape(frame_318_shape_group_7_shape_2_horizontal_lines, 63, 13),
        shape(frame_318_shape_group_7_shape_3_horizontal_lines, 64, 11),
        shape(frame_318_shape_group_7_shape_4_horizontal_lines, 65, 13),
        shape(frame_318_shape_group_7_shape_5_horizontal_lines, 67, 15),
        shape(frame_318_shape_group_7_shape_6_horizontal_lines, 68, 9),
        shape(frame_318_shape_group_7_shape_7_horizontal_lines, 69, 15),
        shape(frame_318_shape_group_7_shape_8_horizontal_lines, 72, 9),
        shape(frame_318_shape_group_7_shape_9_horizontal_lines, 74, 11),
        shape(frame_318_shape_group_7_shape_10_horizontal_lines, 75, 9),
        shape(frame_318_shape_group_7_shape_11_horizontal_lines, 88, 11),
        shape(frame_318_shape_group_7_shape_12_horizontal_lines, 89, 2),
        shape(frame_318_shape_group_7_shape_13_horizontal_lines, 90, 15),
        shape(frame_318_shape_group_7_shape_14_horizontal_lines, 94, 9),
        shape(frame_318_shape_group_7_shape_15_horizontal_lines, 97, 1),
        shape(frame_318_shape_group_7_shape_16_horizontal_lines, 105, 9),
        shape(frame_318_shape_group_7_shape_17_horizontal_lines, 106, 10),
        shape(frame_318_shape_group_7_shape_18_horizontal_lines, 108, 1),
        shape(frame_318_shape_group_7_shape_19_horizontal_lines, 114, 5),
        shape(frame_318_shape_group_7_shape_20_horizontal_lines, 125, 5),
        shape(frame_318_shape_group_7_shape_21_horizontal_lines, 126, 12),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(43, 48),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(53, 65),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(174, 201),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(46, 81),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(53, 112),
        horizontal_line(52, 111),
        horizontal_line(52, 111),
        horizontal_line(51, 111),
        horizontal_line(51, 111),
        horizontal_line(50, 111),
        horizontal_line(50, 111),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
        horizontal_line(202, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(51, 112),
        horizontal_line(44, 106),
        horizontal_line(37, 99),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(137, 152),
        horizontal_line(139, 156),
        horizontal_line(140, 157),
        horizontal_line(142, 159),
        horizontal_line(143, 161),
        horizontal_line(145, 163),
        horizontal_line(147, 165),
        horizontal_line(148, 167),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(157, 175),
        horizontal_line(160, 177),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(202, 202),
        horizontal_line(201, 207),
        horizontal_line(200, 213),
        horizontal_line(200, 218),
    };

    constexpr const horizontal_line frame_318_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(192, 192),
    };

    constexpr const shape frame_318_shape_group_8_shapes[] = {
        shape(frame_318_shape_group_8_shape_0_horizontal_lines, 62, 15),
        shape(frame_318_shape_group_8_shape_1_horizontal_lines, 63, 11),
        shape(frame_318_shape_group_8_shape_2_horizontal_lines, 64, 15),
        shape(frame_318_shape_group_8_shape_3_horizontal_lines, 65, 13),
        shape(frame_318_shape_group_8_shape_4_horizontal_lines, 66, 11),
        shape(frame_318_shape_group_8_shape_5_horizontal_lines, 67, 9),
        shape(frame_318_shape_group_8_shape_6_horizontal_lines, 68, 2),
        shape(frame_318_shape_group_8_shape_7_horizontal_lines, 69, 9),
        shape(frame_318_shape_group_8_shape_8_horizontal_lines, 72, 2),
        shape(frame_318_shape_group_8_shape_9_horizontal_lines, 74, 9),
        shape(frame_318_shape_group_8_shape_10_horizontal_lines, 75, 2),
        shape(frame_318_shape_group_8_shape_11_horizontal_lines, 88, 9),
        shape(frame_318_shape_group_8_shape_12_horizontal_lines, 89, 2),
        shape(frame_318_shape_group_8_shape_13_horizontal_lines, 90, 9),
        shape(frame_318_shape_group_8_shape_14_horizontal_lines, 94, 10),
        shape(frame_318_shape_group_8_shape_15_horizontal_lines, 97, 1),
        shape(frame_318_shape_group_8_shape_16_horizontal_lines, 110, 5),
        shape(frame_318_shape_group_8_shape_17_horizontal_lines, 125, 12),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(48, 57),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(213, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(70, 82),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(47, 71),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(46, 91),
        horizontal_line(46, 101),
        horizontal_line(46, 108),
        horizontal_line(108, 111),
        horizontal_line(108, 112),
        horizontal_line(46, 108),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(107, 112),
        horizontal_line(107, 112),
        horizontal_line(108, 112),
        horizontal_line(111, 112),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(45, 52),
        horizontal_line(45, 51),
        horizontal_line(45, 51),
        horizontal_line(45, 50),
        horizontal_line(45, 50),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(49, 111),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(46, 48),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(49, 110),
        horizontal_line(49, 109),
        horizontal_line(50, 108),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(132, 140),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(106, 116),
        horizontal_line(99, 120),
    };

    constexpr const horizontal_line frame_318_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(150, 169),
        horizontal_line(152, 171),
        horizontal_line(154, 173),
    };

    constexpr const shape frame_318_shape_group_9_shapes[] = {
        shape(frame_318_shape_group_9_shape_0_horizontal_lines, 63, 15),
        shape(frame_318_shape_group_9_shape_1_horizontal_lines, 64, 9),
        shape(frame_318_shape_group_9_shape_2_horizontal_lines, 65, 11),
        shape(frame_318_shape_group_9_shape_3_horizontal_lines, 66, 15),
        shape(frame_318_shape_group_9_shape_4_horizontal_lines, 67, 2),
        shape(frame_318_shape_group_9_shape_5_horizontal_lines, 69, 2),
        shape(frame_318_shape_group_9_shape_6_horizontal_lines, 81, 10),
        shape(frame_318_shape_group_9_shape_7_horizontal_lines, 88, 2),
        shape(frame_318_shape_group_9_shape_8_horizontal_lines, 89, 10),
        shape(frame_318_shape_group_9_shape_9_horizontal_lines, 90, 2),
        shape(frame_318_shape_group_9_shape_10_horizontal_lines, 93, 10),
        shape(frame_318_shape_group_9_shape_11_horizontal_lines, 94, 1),
        shape(frame_318_shape_group_9_shape_12_horizontal_lines, 95, 10),
        shape(frame_318_shape_group_9_shape_13_horizontal_lines, 105, 1),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(218, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(61, 73),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(203, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(108, 111),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(108, 113),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(45, 45),
        horizontal_line(45, 48),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(47, 48),
        horizontal_line(48, 48),
        horizontal_line(49, 49),
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_318_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(134, 144),
        horizontal_line(135, 148),
    };

    constexpr const shape frame_318_shape_group_10_shapes[] = {
        shape(frame_318_shape_group_10_shape_0_horizontal_lines, 63, 9),
        shape(frame_318_shape_group_10_shape_1_horizontal_lines, 65, 15),
        shape(frame_318_shape_group_10_shape_2_horizontal_lines, 66, 9),
        shape(frame_318_shape_group_10_shape_3_horizontal_lines, 71, 2),
        shape(frame_318_shape_group_10_shape_4_horizontal_lines, 74, 2),
        shape(frame_318_shape_group_10_shape_5_horizontal_lines, 79, 10),
        shape(frame_318_shape_group_10_shape_6_horizontal_lines, 88, 2),
        shape(frame_318_shape_group_10_shape_7_horizontal_lines, 89, 10),
        shape(frame_318_shape_group_10_shape_8_horizontal_lines, 95, 1),
    };

    constexpr const horizontal_line frame_318_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(208, 222),
    };

    constexpr const horizontal_line frame_318_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(50, 61),
    };

    constexpr const horizontal_line frame_318_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(45, 48),
    };

    constexpr const horizontal_line frame_318_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(110, 113),
        horizontal_line(109, 112),
    };

    constexpr const horizontal_line frame_318_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(130, 136),
    };

    constexpr const shape frame_318_shape_group_11_shapes[] = {
        shape(frame_318_shape_group_11_shape_0_horizontal_lines, 65, 9),
        shape(frame_318_shape_group_11_shape_1_horizontal_lines, 66, 2),
        shape(frame_318_shape_group_11_shape_2_horizontal_lines, 88, 10),
        shape(frame_318_shape_group_11_shape_3_horizontal_lines, 90, 10),
        shape(frame_318_shape_group_11_shape_4_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_318_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(127, 128),
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_318_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(51, 109),
    };

    constexpr const shape frame_318_shape_group_12_shapes[] = {
        shape(frame_318_shape_group_12_shape_0_horizontal_lines, 91, 1),
        shape(frame_318_shape_group_12_shape_1_horizontal_lines, 93, 3),
    };

    constexpr const shape_group frame_318_shape_groups[] = {
        shape_group(frame_318_shape_group_0_shapes),
        shape_group(frame_318_shape_group_1_shapes),
        shape_group(frame_318_shape_group_2_shapes),
        shape_group(frame_318_shape_group_3_shapes),
        shape_group(frame_318_shape_group_4_shapes),
        shape_group(frame_318_shape_group_5_shapes),
        shape_group(frame_318_shape_group_6_shapes),
        shape_group(frame_318_shape_group_7_shapes),
        shape_group(frame_318_shape_group_8_shapes),
        shape_group(frame_318_shape_group_9_shapes),
        shape_group(frame_318_shape_group_10_shapes),
        shape_group(frame_318_shape_group_11_shapes),
        shape_group(frame_318_shape_group_12_shapes),
    };

    constexpr const frame frame_318_impl(frame_318_colors, frame_318_shape_groups);
} 

const frame& frame_318()
{
    return frame_318_impl;
}

namespace
{
    constexpr const bn::color frame_319_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 12),
        horizontal_line(0, 19),
        horizontal_line(0, 26),
        horizontal_line(1, 33),
        horizontal_line(8, 39),
        horizontal_line(15, 46),
        horizontal_line(22, 53),
        horizontal_line(29, 60),
        horizontal_line(36, 67),
        horizontal_line(44, 74),
        horizontal_line(51, 80),
        horizontal_line(58, 87),
        horizontal_line(65, 94),
        horizontal_line(72, 101),
        horizontal_line(80, 108),
        horizontal_line(87, 115),
        horizontal_line(94, 121),
        horizontal_line(101, 128),
        horizontal_line(108, 135),
        horizontal_line(116, 142),
        horizontal_line(123, 149),
        horizontal_line(130, 156),
        horizontal_line(137, 162),
        horizontal_line(144, 169),
        horizontal_line(151, 176),
        horizontal_line(159, 183),
        horizontal_line(166, 190),
        horizontal_line(173, 197),
        horizontal_line(180, 203),
        horizontal_line(187, 210),
        horizontal_line(195, 217),
        horizontal_line(202, 224),
        horizontal_line(209, 231),
        horizontal_line(216, 238),
        horizontal_line(223, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(30, 37),
        horizontal_line(28, 42),
        horizontal_line(26, 47),
        horizontal_line(30, 52),
        horizontal_line(35, 50),
        horizontal_line(40, 48),
        horizontal_line(46, 46),
        horizontal_line(86, 88),
        horizontal_line(95, 97),
        horizontal_line(104, 106),
        horizontal_line(113, 116),
        horizontal_line(117, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(25, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 43),
        horizontal_line(24, 43),
        horizontal_line(24, 43),
        horizontal_line(24, 43),
        horizontal_line(24, 43),
        horizontal_line(24, 43),
        horizontal_line(24, 43),
        horizontal_line(117, 126),
        horizontal_line(118, 126),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(200, 208),
        horizontal_line(202, 207),
        horizontal_line(204, 206),
        horizontal_line(206, 206),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(129, 191),
        horizontal_line(96, 158),
        horizontal_line(64, 126),
        horizontal_line(32, 94),
    };

    constexpr const horizontal_line frame_319_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(217, 239),
        horizontal_line(195, 239),
        horizontal_line(173, 235),
        horizontal_line(152, 214),
        horizontal_line(130, 192),
        horizontal_line(108, 170),
        horizontal_line(86, 148),
        horizontal_line(65, 127),
        horizontal_line(43, 105),
        horizontal_line(21, 83),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_319_shape_group_0_shapes[] = {
        shape(frame_319_shape_group_0_shape_0_horizontal_lines, 14, 7),
        shape(frame_319_shape_group_0_shape_1_horizontal_lines, 51, 8),
        shape(frame_319_shape_group_0_shape_2_horizontal_lines, 75, 13),
        shape(frame_319_shape_group_0_shape_3_horizontal_lines, 90, 14),
        shape(frame_319_shape_group_0_shape_4_horizontal_lines, 118, 15),
        shape(frame_319_shape_group_0_shape_5_horizontal_lines, 122, 9),
        shape(frame_319_shape_group_0_shape_6_horizontal_lines, 141, 5),
        shape(frame_319_shape_group_0_shape_7_horizontal_lines, 145, 9),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 3),
        horizontal_line(0, 10),
        horizontal_line(0, 17),
        horizontal_line(0, 25),
        horizontal_line(0, 32),
        horizontal_line(0, 40),
        horizontal_line(0, 47),
        horizontal_line(0, 55),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(211, 220),
        horizontal_line(207, 227),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(40, 102),
        horizontal_line(49, 111),
        horizontal_line(58, 120),
        horizontal_line(66, 128),
        horizontal_line(60, 60),
        horizontal_line(69, 69),
        horizontal_line(78, 78),
        horizontal_line(101, 152),
        horizontal_line(110, 144),
        horizontal_line(119, 136),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(25, 45),
        horizontal_line(25, 45),
        horizontal_line(25, 45),
        horizontal_line(25, 44),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 126),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(28, 90),
        horizontal_line(27, 89),
        horizontal_line(26, 88),
        horizontal_line(24, 86),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(15, 77),
        horizontal_line(14, 58),
        horizontal_line(208, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(1, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(192, 210),
        horizontal_line(194, 210),
        horizontal_line(196, 209),
        horizontal_line(198, 208),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 49),
        horizontal_line(213, 228),
        horizontal_line(216, 231),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(219, 226),
        horizontal_line(221, 226),
        horizontal_line(224, 225),
        horizontal_line(226, 226),
        horizontal_line(193, 230),
        horizontal_line(161, 223),
        horizontal_line(191, 239),
        horizontal_line(158, 220),
        horizontal_line(126, 188),
        horizontal_line(94, 156),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_319_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(214, 239),
        horizontal_line(192, 239),
        horizontal_line(170, 232),
        horizontal_line(148, 210),
        horizontal_line(127, 189),
        horizontal_line(105, 167),
        horizontal_line(83, 145),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_319_shape_group_1_shapes[] = {
        shape(frame_319_shape_group_1_shape_0_horizontal_lines, 27, 8),
        shape(frame_319_shape_group_1_shape_1_horizontal_lines, 71, 13),
        shape(frame_319_shape_group_1_shape_2_horizontal_lines, 88, 14),
        shape(frame_319_shape_group_1_shape_3_horizontal_lines, 90, 11),
        shape(frame_319_shape_group_1_shape_4_horizontal_lines, 110, 15),
        shape(frame_319_shape_group_1_shape_5_horizontal_lines, 118, 9),
        shape(frame_319_shape_group_1_shape_6_horizontal_lines, 122, 10),
        shape(frame_319_shape_group_1_shape_7_horizontal_lines, 135, 5),
        shape(frame_319_shape_group_1_shape_8_horizontal_lines, 148, 9),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 70),
        horizontal_line(62, 77),
        horizontal_line(62, 85),
        horizontal_line(62, 92),
        horizontal_line(62, 100),
        horizontal_line(62, 107),
        horizontal_line(63, 115),
        horizontal_line(65, 122),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(139, 167),
        horizontal_line(142, 175),
        horizontal_line(144, 182),
        horizontal_line(146, 190),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(157, 217),
        horizontal_line(102, 164),
        horizontal_line(111, 173),
        horizontal_line(120, 182),
        horizontal_line(128, 185),
        horizontal_line(75, 137),
        horizontal_line(84, 146),
        horizontal_line(93, 155),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(25, 45),
        horizontal_line(25, 45),
        horizontal_line(25, 45),
        horizontal_line(25, 45),
        horizontal_line(114, 116),
        horizontal_line(115, 117),
        horizontal_line(116, 117),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 44),
        horizontal_line(0, 20),
        horizontal_line(25, 46),
        horizontal_line(26, 47),
        horizontal_line(27, 48),
        horizontal_line(27, 49),
        horizontal_line(28, 50),
        horizontal_line(29, 39),
        horizontal_line(30, 92),
        horizontal_line(156, 212),
        horizontal_line(160, 212),
        horizontal_line(164, 212),
        horizontal_line(168, 212),
        horizontal_line(173, 212),
        horizontal_line(177, 212),
        horizontal_line(182, 212),
        horizontal_line(186, 212),
        horizontal_line(191, 212),
        horizontal_line(195, 212),
        horizontal_line(200, 212),
        horizontal_line(204, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(182, 207),
        horizontal_line(184, 212),
        horizontal_line(186, 212),
        horizontal_line(188, 212),
        horizontal_line(190, 211),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(222, 237),
        horizontal_line(226, 237),
        horizontal_line(230, 237),
        horizontal_line(234, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(203, 217),
        horizontal_line(205, 220),
        horizontal_line(208, 222),
        horizontal_line(211, 225),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(223, 234),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(188, 239),
        horizontal_line(156, 218),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_319_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(210, 239),
        horizontal_line(189, 239),
        horizontal_line(167, 229),
        horizontal_line(145, 207),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_319_shape_group_2_shapes[] = {
        shape(frame_319_shape_group_2_shape_0_horizontal_lines, 37, 8),
        shape(frame_319_shape_group_2_shape_1_horizontal_lines, 67, 13),
        shape(frame_319_shape_group_2_shape_2_horizontal_lines, 75, 14),
        shape(frame_319_shape_group_2_shape_3_horizontal_lines, 88, 11),
        shape(frame_319_shape_group_2_shape_4_horizontal_lines, 109, 15),
        shape(frame_319_shape_group_2_shape_5_horizontal_lines, 114, 9),
        shape(frame_319_shape_group_2_shape_6_horizontal_lines, 118, 10),
        shape(frame_319_shape_group_2_shape_7_horizontal_lines, 133, 12),
        shape(frame_319_shape_group_2_shape_8_horizontal_lines, 140, 5),
        shape(frame_319_shape_group_2_shape_9_horizontal_lines, 141, 12),
        shape(frame_319_shape_group_2_shape_10_horizontal_lines, 142, 5),
        shape(frame_319_shape_group_2_shape_11_horizontal_lines, 151, 9),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(129, 130),
        horizontal_line(131, 137),
        horizontal_line(133, 145),
        horizontal_line(135, 152),
        horizontal_line(137, 160),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(148, 197),
        horizontal_line(150, 205),
        horizontal_line(214, 234),
        horizontal_line(216, 225),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(15, 32),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(164, 209),
        horizontal_line(173, 201),
        horizontal_line(182, 193),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(25, 29),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(137, 176),
        horizontal_line(146, 168),
        horizontal_line(155, 160),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(153, 212),
        horizontal_line(145, 202),
        horizontal_line(137, 189),
        horizontal_line(129, 177),
        horizontal_line(128, 165),
        horizontal_line(128, 152),
        horizontal_line(128, 140),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(47, 57),
        horizontal_line(24, 45),
        horizontal_line(48, 57),
        horizontal_line(49, 56),
        horizontal_line(50, 56),
        horizontal_line(113, 124),
        horizontal_line(114, 123),
        horizontal_line(119, 122),
        horizontal_line(152, 212),
        horizontal_line(90, 126),
        horizontal_line(89, 129),
        horizontal_line(88, 132),
        horizontal_line(86, 135),
        horizontal_line(85, 139),
        horizontal_line(84, 142),
        horizontal_line(82, 144),
        horizontal_line(81, 143),
        horizontal_line(80, 142),
        horizontal_line(78, 140),
        horizontal_line(77, 106),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(180, 203),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(214, 237),
        horizontal_line(218, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 100),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(226, 228),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_319_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(207, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_319_shape_group_3_shapes[] = {
        shape(frame_319_shape_group_3_shape_0_horizontal_lines, 44, 13),
        shape(frame_319_shape_group_3_shape_1_horizontal_lines, 46, 8),
        shape(frame_319_shape_group_3_shape_2_horizontal_lines, 51, 13),
        shape(frame_319_shape_group_3_shape_3_horizontal_lines, 55, 8),
        shape(frame_319_shape_group_3_shape_4_horizontal_lines, 59, 13),
        shape(frame_319_shape_group_3_shape_5_horizontal_lines, 60, 8),
        shape(frame_319_shape_group_3_shape_6_horizontal_lines, 63, 13),
        shape(frame_319_shape_group_3_shape_7_horizontal_lines, 64, 8),
        shape(frame_319_shape_group_3_shape_8_horizontal_lines, 67, 13),
        shape(frame_319_shape_group_3_shape_9_horizontal_lines, 74, 14),
        shape(frame_319_shape_group_3_shape_10_horizontal_lines, 75, 11),
        shape(frame_319_shape_group_3_shape_11_horizontal_lines, 108, 15),
        shape(frame_319_shape_group_3_shape_12_horizontal_lines, 109, 9),
        shape(frame_319_shape_group_3_shape_13_horizontal_lines, 114, 10),
        shape(frame_319_shape_group_3_shape_14_horizontal_lines, 132, 5),
        shape(frame_319_shape_group_3_shape_15_horizontal_lines, 133, 12),
        shape(frame_319_shape_group_3_shape_16_horizontal_lines, 144, 5),
        shape(frame_319_shape_group_3_shape_17_horizontal_lines, 154, 9),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(227, 229),
        horizontal_line(223, 230),
        horizontal_line(219, 231),
        horizontal_line(215, 232),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(3, 23),
        horizontal_line(6, 25),
        horizontal_line(9, 27),
        horizontal_line(12, 29),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(18, 29),
        horizontal_line(21, 27),
        horizontal_line(25, 25),
        horizontal_line(186, 212),
        horizontal_line(25, 34),
        horizontal_line(25, 39),
        horizontal_line(25, 45),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(45, 45),
        horizontal_line(45, 45),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(51, 53),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(48, 58),
        horizontal_line(115, 116),
        horizontal_line(47, 57),
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(140, 202),
        horizontal_line(144, 206),
        horizontal_line(148, 210),
        horizontal_line(92, 123),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(127, 139),
        horizontal_line(130, 141),
        horizontal_line(133, 142),
        horizontal_line(136, 144),
        horizontal_line(140, 146),
        horizontal_line(143, 148),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(144, 145),
        horizontal_line(143, 148),
        horizontal_line(142, 151),
        horizontal_line(140, 154),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(178, 199),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(13, 75),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 198),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
        horizontal_line(186, 206),
        horizontal_line(186, 209),
        horizontal_line(186, 212),
        horizontal_line(186, 214),
        horizontal_line(124, 186),
        horizontal_line(124, 150),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(223, 229),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(50, 112),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(124, 128),
        horizontal_line(62, 95),
        horizontal_line(62, 63),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_319_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 216),
        horizontal_line(186, 194),
        horizontal_line(124, 172),
        horizontal_line(124, 151),
        horizontal_line(124, 129),
        horizontal_line(62, 107),
        horizontal_line(62, 85),
        horizontal_line(62, 64),
        horizontal_line(0, 42),
        horizontal_line(0, 20),
    };

    constexpr const shape frame_319_shape_group_4_shapes[] = {
        shape(frame_319_shape_group_4_shape_0_horizontal_lines, 46, 13),
        shape(frame_319_shape_group_4_shape_1_horizontal_lines, 51, 14),
        shape(frame_319_shape_group_4_shape_2_horizontal_lines, 55, 13),
        shape(frame_319_shape_group_4_shape_3_horizontal_lines, 59, 14),
        shape(frame_319_shape_group_4_shape_4_horizontal_lines, 60, 13),
        shape(frame_319_shape_group_4_shape_5_horizontal_lines, 67, 14),
        shape(frame_319_shape_group_4_shape_6_horizontal_lines, 74, 11),
        shape(frame_319_shape_group_4_shape_7_horizontal_lines, 97, 15),
        shape(frame_319_shape_group_4_shape_8_horizontal_lines, 103, 11),
        shape(frame_319_shape_group_4_shape_9_horizontal_lines, 107, 15),
        shape(frame_319_shape_group_4_shape_10_horizontal_lines, 108, 9),
        shape(frame_319_shape_group_4_shape_11_horizontal_lines, 109, 10),
        shape(frame_319_shape_group_4_shape_12_horizontal_lines, 131, 5),
        shape(frame_319_shape_group_4_shape_13_horizontal_lines, 132, 12),
        shape(frame_319_shape_group_4_shape_14_horizontal_lines, 145, 5),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(221, 233),
        horizontal_line(228, 234),
        horizontal_line(235, 235),
        horizontal_line(226, 236),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(210, 232),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(202, 210),
        horizontal_line(194, 211),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(213, 217),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(177, 213),
        horizontal_line(169, 212),
        horizontal_line(161, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(45, 45),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(115, 117),
        horizontal_line(51, 55),
        horizontal_line(50, 57),
        horizontal_line(50, 60),
        horizontal_line(49, 59),
        horizontal_line(49, 59),
        horizontal_line(48, 58),
        horizontal_line(114, 116),
        horizontal_line(127, 189),
        horizontal_line(117, 117),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(136, 198),
        horizontal_line(202, 212),
        horizontal_line(206, 212),
        horizontal_line(210, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 137),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(164, 167),
        horizontal_line(166, 172),
        horizontal_line(168, 176),
        horizontal_line(146, 149),
        horizontal_line(149, 151),
        horizontal_line(152, 153),
        horizontal_line(176, 194),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(59, 121),
        horizontal_line(75, 137),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(124, 176),
        horizontal_line(124, 179),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
        horizontal_line(186, 187),
        horizontal_line(186, 190),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(199, 205),
        horizontal_line(202, 204),
        horizontal_line(204, 204),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(207, 232),
        horizontal_line(210, 232),
        horizontal_line(213, 231),
        horizontal_line(215, 231),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(186, 201),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(221, 229),
    };

    constexpr const horizontal_line frame_319_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(101, 163),
        horizontal_line(112, 174),
        horizontal_line(186, 212),
        horizontal_line(186, 215),
        horizontal_line(186, 218),
        horizontal_line(186, 220),
        horizontal_line(186, 223),
        horizontal_line(186, 225),
        horizontal_line(186, 192),
        horizontal_line(124, 160),
    };

    constexpr const shape frame_319_shape_group_5_shapes[] = {
        shape(frame_319_shape_group_5_shape_0_horizontal_lines, 55, 14),
        shape(frame_319_shape_group_5_shape_1_horizontal_lines, 59, 11),
        shape(frame_319_shape_group_5_shape_2_horizontal_lines, 60, 14),
        shape(frame_319_shape_group_5_shape_3_horizontal_lines, 61, 13),
        shape(frame_319_shape_group_5_shape_4_horizontal_lines, 63, 14),
        shape(frame_319_shape_group_5_shape_5_horizontal_lines, 64, 13),
        shape(frame_319_shape_group_5_shape_6_horizontal_lines, 67, 11),
        shape(frame_319_shape_group_5_shape_7_horizontal_lines, 96, 15),
        shape(frame_319_shape_group_5_shape_8_horizontal_lines, 97, 9),
        shape(frame_319_shape_group_5_shape_9_horizontal_lines, 99, 15),
        shape(frame_319_shape_group_5_shape_10_horizontal_lines, 107, 9),
        shape(frame_319_shape_group_5_shape_11_horizontal_lines, 108, 10),
        shape(frame_319_shape_group_5_shape_12_horizontal_lines, 122, 1),
        shape(frame_319_shape_group_5_shape_13_horizontal_lines, 125, 5),
        shape(frame_319_shape_group_5_shape_14_horizontal_lines, 129, 10),
        shape(frame_319_shape_group_5_shape_15_horizontal_lines, 130, 5),
        shape(frame_319_shape_group_5_shape_16_horizontal_lines, 131, 12),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(211, 227),
        horizontal_line(212, 222),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(89, 100),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(203, 212),
        horizontal_line(190, 212),
        horizontal_line(178, 212),
        horizontal_line(166, 212),
        horizontal_line(153, 212),
        horizontal_line(141, 203),
        horizontal_line(115, 118),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
        horizontal_line(127, 189),
        horizontal_line(114, 117),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(127, 189),
        horizontal_line(189, 212),
        horizontal_line(127, 189),
        horizontal_line(190, 212),
        horizontal_line(194, 212),
        horizontal_line(198, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(10, 26),
        horizontal_line(8, 27),
        horizontal_line(5, 28),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(170, 181),
        horizontal_line(172, 185),
        horizontal_line(174, 190),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(107, 157),
        horizontal_line(121, 160),
        horizontal_line(137, 163),
        horizontal_line(133, 165),
        horizontal_line(131, 168),
        horizontal_line(128, 171),
        horizontal_line(126, 174),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(177, 191),
        horizontal_line(180, 193),
        horizontal_line(183, 195),
        horizontal_line(185, 197),
        horizontal_line(188, 199),
        horizontal_line(191, 201),
        horizontal_line(194, 203),
        horizontal_line(196, 205),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(206, 234),
        horizontal_line(205, 234),
        horizontal_line(205, 233),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(218, 230),
    };

    constexpr const horizontal_line frame_319_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(151, 204),
        horizontal_line(163, 207),
        horizontal_line(174, 210),
    };

    constexpr const shape frame_319_shape_group_6_shapes[] = {
        shape(frame_319_shape_group_6_shape_0_horizontal_lines, 55, 11),
        shape(frame_319_shape_group_6_shape_1_horizontal_lines, 60, 14),
        shape(frame_319_shape_group_6_shape_2_horizontal_lines, 67, 15),
        shape(frame_319_shape_group_6_shape_3_horizontal_lines, 68, 11),
        shape(frame_319_shape_group_6_shape_4_horizontal_lines, 93, 15),
        shape(frame_319_shape_group_6_shape_5_horizontal_lines, 96, 9),
        shape(frame_319_shape_group_6_shape_6_horizontal_lines, 97, 1),
        shape(frame_319_shape_group_6_shape_7_horizontal_lines, 99, 9),
        shape(frame_319_shape_group_6_shape_8_horizontal_lines, 103, 15),
        shape(frame_319_shape_group_6_shape_9_horizontal_lines, 106, 9),
        shape(frame_319_shape_group_6_shape_10_horizontal_lines, 107, 10),
        shape(frame_319_shape_group_6_shape_11_horizontal_lines, 114, 1),
        shape(frame_319_shape_group_6_shape_12_horizontal_lines, 122, 5),
        shape(frame_319_shape_group_6_shape_13_horizontal_lines, 129, 5),
        shape(frame_319_shape_group_6_shape_14_horizontal_lines, 130, 12),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(98, 109),
        horizontal_line(107, 118),
        horizontal_line(117, 127),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(203, 212),
        horizontal_line(129, 191),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(189, 212),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(189, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(189, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(18, 24),
        horizontal_line(16, 25),
        horizontal_line(13, 26),
        horizontal_line(125, 132),
        horizontal_line(124, 134),
        horizontal_line(123, 135),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(3, 29),
        horizontal_line(140, 155),
        horizontal_line(142, 159),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 0),
        horizontal_line(169, 185),
        horizontal_line(172, 187),
        horizontal_line(175, 189),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(211, 221),
        horizontal_line(211, 225),
        horizontal_line(210, 229),
        horizontal_line(209, 233),
        horizontal_line(209, 237),
        horizontal_line(208, 236),
        horizontal_line(207, 235),
        horizontal_line(207, 235),
    };

    constexpr const horizontal_line frame_319_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(202, 202),
    };

    constexpr const shape frame_319_shape_group_7_shapes[] = {
        shape(frame_319_shape_group_7_shape_0_horizontal_lines, 60, 11),
        shape(frame_319_shape_group_7_shape_1_horizontal_lines, 61, 14),
        shape(frame_319_shape_group_7_shape_2_horizontal_lines, 63, 11),
        shape(frame_319_shape_group_7_shape_3_horizontal_lines, 67, 9),
        shape(frame_319_shape_group_7_shape_4_horizontal_lines, 68, 15),
        shape(frame_319_shape_group_7_shape_5_horizontal_lines, 71, 9),
        shape(frame_319_shape_group_7_shape_6_horizontal_lines, 73, 11),
        shape(frame_319_shape_group_7_shape_7_horizontal_lines, 77, 9),
        shape(frame_319_shape_group_7_shape_8_horizontal_lines, 80, 11),
        shape(frame_319_shape_group_7_shape_9_horizontal_lines, 88, 9),
        shape(frame_319_shape_group_7_shape_10_horizontal_lines, 89, 11),
        shape(frame_319_shape_group_7_shape_11_horizontal_lines, 90, 15),
        shape(frame_319_shape_group_7_shape_12_horizontal_lines, 96, 1),
        shape(frame_319_shape_group_7_shape_13_horizontal_lines, 103, 9),
        shape(frame_319_shape_group_7_shape_14_horizontal_lines, 106, 10),
        shape(frame_319_shape_group_7_shape_15_horizontal_lines, 107, 1),
        shape(frame_319_shape_group_7_shape_16_horizontal_lines, 114, 5),
        shape(frame_319_shape_group_7_shape_17_horizontal_lines, 129, 12),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(38, 39),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(53, 65),
        horizontal_line(61, 74),
        horizontal_line(70, 83),
        horizontal_line(79, 92),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(46, 85),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(191, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(52, 114),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(189, 212),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
        horizontal_line(189, 212),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(58, 113),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(21, 23),
        horizontal_line(127, 127),
        horizontal_line(126, 128),
        horizontal_line(125, 130),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(138, 151),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(143, 161),
        horizontal_line(145, 163),
        horizontal_line(147, 165),
        horizontal_line(149, 167),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(158, 177),
        horizontal_line(161, 179),
        horizontal_line(164, 181),
        horizontal_line(166, 183),
    };

    constexpr const horizontal_line frame_319_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(213, 213),
        horizontal_line(212, 217),
    };

    constexpr const shape frame_319_shape_group_8_shapes[] = {
        shape(frame_319_shape_group_8_shape_0_horizontal_lines, 60, 15),
        shape(frame_319_shape_group_8_shape_1_horizontal_lines, 61, 11),
        shape(frame_319_shape_group_8_shape_2_horizontal_lines, 63, 15),
        shape(frame_319_shape_group_8_shape_3_horizontal_lines, 67, 2),
        shape(frame_319_shape_group_8_shape_4_horizontal_lines, 68, 9),
        shape(frame_319_shape_group_8_shape_5_horizontal_lines, 71, 2),
        shape(frame_319_shape_group_8_shape_6_horizontal_lines, 73, 9),
        shape(frame_319_shape_group_8_shape_7_horizontal_lines, 74, 11),
        shape(frame_319_shape_group_8_shape_8_horizontal_lines, 75, 9),
        shape(frame_319_shape_group_8_shape_9_horizontal_lines, 77, 2),
        shape(frame_319_shape_group_8_shape_10_horizontal_lines, 80, 9),
        shape(frame_319_shape_group_8_shape_11_horizontal_lines, 81, 11),
        shape(frame_319_shape_group_8_shape_12_horizontal_lines, 87, 9),
        shape(frame_319_shape_group_8_shape_13_horizontal_lines, 88, 2),
        shape(frame_319_shape_group_8_shape_14_horizontal_lines, 89, 15),
        shape(frame_319_shape_group_8_shape_15_horizontal_lines, 93, 9),
        shape(frame_319_shape_group_8_shape_16_horizontal_lines, 96, 1),
        shape(frame_319_shape_group_8_shape_17_horizontal_lines, 99, 1),
        shape(frame_319_shape_group_8_shape_18_horizontal_lines, 112, 5),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(233, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(43, 48),
        horizontal_line(48, 57),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(218, 237),
        horizontal_line(214, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(46, 94),
        horizontal_line(46, 103),
        horizontal_line(46, 108),
        horizontal_line(108, 113),
        horizontal_line(108, 114),
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(46, 108),
        horizontal_line(107, 114),
        horizontal_line(110, 114),
        horizontal_line(114, 114),
        horizontal_line(54, 114),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(59, 113),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(45, 46),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
        horizontal_line(213, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(51, 113),
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_319_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(150, 169),
        horizontal_line(152, 171),
        horizontal_line(154, 173),
        horizontal_line(156, 175),
    };

    constexpr const shape frame_319_shape_group_9_shapes[] = {
        shape(frame_319_shape_group_9_shape_0_horizontal_lines, 60, 9),
        shape(frame_319_shape_group_9_shape_1_horizontal_lines, 61, 15),
        shape(frame_319_shape_group_9_shape_2_horizontal_lines, 63, 9),
        shape(frame_319_shape_group_9_shape_3_horizontal_lines, 68, 2),
        shape(frame_319_shape_group_9_shape_4_horizontal_lines, 74, 9),
        shape(frame_319_shape_group_9_shape_5_horizontal_lines, 75, 2),
        shape(frame_319_shape_group_9_shape_6_horizontal_lines, 81, 9),
        shape(frame_319_shape_group_9_shape_7_horizontal_lines, 87, 2),
        shape(frame_319_shape_group_9_shape_8_horizontal_lines, 88, 10),
        shape(frame_319_shape_group_9_shape_9_horizontal_lines, 89, 9),
        shape(frame_319_shape_group_9_shape_10_horizontal_lines, 93, 10),
        shape(frame_319_shape_group_9_shape_11_horizontal_lines, 103, 1),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(228, 237),
        horizontal_line(223, 237),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(51, 59),
        horizontal_line(49, 68),
        horizontal_line(47, 77),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(108, 112),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(108, 115),
        horizontal_line(46, 108),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(45, 47),
        horizontal_line(45, 51),
        horizontal_line(45, 50),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(56, 113),
        horizontal_line(58, 113),
        horizontal_line(61, 113),
        horizontal_line(60, 113),
        horizontal_line(60, 113),
        horizontal_line(59, 113),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(44, 47),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(58, 112),
        horizontal_line(58, 111),
        horizontal_line(57, 110),
        horizontal_line(57, 109),
    };

    constexpr const horizontal_line frame_319_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(113, 113),
        horizontal_line(102, 118),
    };

    constexpr const shape frame_319_shape_group_10_shapes[] = {
        shape(frame_319_shape_group_10_shape_0_horizontal_lines, 61, 9),
        shape(frame_319_shape_group_10_shape_1_horizontal_lines, 64, 2),
        shape(frame_319_shape_group_10_shape_2_horizontal_lines, 70, 2),
        shape(frame_319_shape_group_10_shape_3_horizontal_lines, 73, 2),
        shape(frame_319_shape_group_10_shape_4_horizontal_lines, 78, 10),
        shape(frame_319_shape_group_10_shape_5_horizontal_lines, 81, 2),
        shape(frame_319_shape_group_10_shape_6_horizontal_lines, 87, 10),
        shape(frame_319_shape_group_10_shape_7_horizontal_lines, 89, 2),
        shape(frame_319_shape_group_10_shape_8_horizontal_lines, 93, 10),
    };

    constexpr const horizontal_line frame_319_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(108, 114),
    };

    constexpr const horizontal_line frame_319_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(45, 50),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(45, 48),
        horizontal_line(45, 48),
        horizontal_line(45, 47),
    };

    constexpr const horizontal_line frame_319_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(46, 46),
        horizontal_line(47, 47),
        horizontal_line(48, 48),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_319_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(133, 139),
        horizontal_line(135, 143),
        horizontal_line(136, 147),
    };

    constexpr const shape frame_319_shape_group_11_shapes[] = {
        shape(frame_319_shape_group_11_shape_0_horizontal_lines, 74, 2),
        shape(frame_319_shape_group_11_shape_1_horizontal_lines, 81, 10),
        shape(frame_319_shape_group_11_shape_2_horizontal_lines, 89, 10),
        shape(frame_319_shape_group_11_shape_3_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_319_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(113, 116),
        horizontal_line(112, 115),
        horizontal_line(111, 114),
        horizontal_line(110, 113),
    };

    constexpr const horizontal_line frame_319_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(51, 110),
    };

    constexpr const shape frame_319_shape_group_12_shapes[] = {
        shape(frame_319_shape_group_12_shape_0_horizontal_lines, 89, 10),
        shape(frame_319_shape_group_12_shape_1_horizontal_lines, 93, 3),
    };

    constexpr const horizontal_line frame_319_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(131, 135),
    };

    constexpr const shape frame_319_shape_group_13_shapes[] = {
        shape(frame_319_shape_group_13_shape_0_horizontal_lines, 91, 1),
    };

    constexpr const shape_group frame_319_shape_groups[] = {
        shape_group(frame_319_shape_group_0_shapes),
        shape_group(frame_319_shape_group_1_shapes),
        shape_group(frame_319_shape_group_2_shapes),
        shape_group(frame_319_shape_group_3_shapes),
        shape_group(frame_319_shape_group_4_shapes),
        shape_group(frame_319_shape_group_5_shapes),
        shape_group(frame_319_shape_group_6_shapes),
        shape_group(frame_319_shape_group_7_shapes),
        shape_group(frame_319_shape_group_8_shapes),
        shape_group(frame_319_shape_group_9_shapes),
        shape_group(frame_319_shape_group_10_shapes),
        shape_group(frame_319_shape_group_11_shapes),
        shape_group(frame_319_shape_group_12_shapes),
        shape_group(frame_319_shape_group_13_shapes),
    };

    constexpr const frame frame_319_impl(frame_319_colors, frame_319_shape_groups);
} 

const frame& frame_319()
{
    return frame_319_impl;
}

namespace
{
    constexpr const bn::color frame_320_colors[] = {
        bn::color(12, 8, 8),
        bn::color(28, 28, 0),
        bn::color(0, 0, 0),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 12),
        horizontal_line(0, 18),
        horizontal_line(0, 25),
        horizontal_line(0, 32),
        horizontal_line(0, 38),
        horizontal_line(7, 45),
        horizontal_line(14, 52),
        horizontal_line(21, 58),
        horizontal_line(28, 65),
        horizontal_line(35, 72),
        horizontal_line(42, 78),
        horizontal_line(49, 85),
        horizontal_line(56, 91),
        horizontal_line(63, 98),
        horizontal_line(70, 105),
        horizontal_line(77, 111),
        horizontal_line(84, 118),
        horizontal_line(91, 125),
        horizontal_line(98, 131),
        horizontal_line(105, 138),
        horizontal_line(112, 145),
        horizontal_line(119, 151),
        horizontal_line(126, 158),
        horizontal_line(133, 164),
        horizontal_line(140, 171),
        horizontal_line(147, 178),
        horizontal_line(154, 184),
        horizontal_line(161, 191),
        horizontal_line(168, 198),
        horizontal_line(175, 204),
        horizontal_line(182, 211),
        horizontal_line(189, 218),
        horizontal_line(196, 224),
        horizontal_line(203, 231),
        horizontal_line(210, 238),
        horizontal_line(217, 239),
        horizontal_line(224, 239),
        horizontal_line(231, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(29, 36),
        horizontal_line(27, 41),
        horizontal_line(25, 46),
        horizontal_line(31, 51),
        horizontal_line(38, 48),
        horizontal_line(45, 45),
        horizontal_line(75, 75),
        horizontal_line(83, 84),
        horizontal_line(91, 92),
        horizontal_line(99, 101),
        horizontal_line(107, 109),
        horizontal_line(115, 118),
        horizontal_line(119, 128),
        horizontal_line(120, 129),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(24, 44),
        horizontal_line(23, 44),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
        horizontal_line(30, 92),
        horizontal_line(28, 90),
        horizontal_line(26, 88),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(210, 224),
        horizontal_line(214, 224),
        horizontal_line(218, 224),
        horizontal_line(223, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(194, 224),
        horizontal_line(196, 224),
        horizontal_line(198, 224),
        horizontal_line(200, 223),
        horizontal_line(202, 222),
        horizontal_line(204, 222),
        horizontal_line(206, 221),
        horizontal_line(208, 220),
        horizontal_line(210, 220),
        horizontal_line(212, 219),
        horizontal_line(214, 218),
        horizontal_line(216, 218),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 52),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(209, 239),
        horizontal_line(179, 239),
        horizontal_line(149, 211),
        horizontal_line(119, 181),
        horizontal_line(89, 151),
        horizontal_line(59, 121),
        horizontal_line(29, 91),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_320_shape_group_0_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(218, 239),
        horizontal_line(198, 239),
        horizontal_line(178, 239),
        horizontal_line(158, 220),
    };

    constexpr const shape frame_320_shape_group_0_shapes[] = {
        shape(frame_320_shape_group_0_shape_0_horizontal_lines, 4, 7),
        shape(frame_320_shape_group_0_shape_1_horizontal_lines, 44, 8),
        shape(frame_320_shape_group_0_shape_2_horizontal_lines, 74, 13),
        shape(frame_320_shape_group_0_shape_3_horizontal_lines, 90, 11),
        shape(frame_320_shape_group_0_shape_4_horizontal_lines, 113, 15),
        shape(frame_320_shape_group_0_shape_5_horizontal_lines, 125, 10),
        shape(frame_320_shape_group_0_shape_6_horizontal_lines, 141, 5),
        shape(frame_320_shape_group_0_shape_7_horizontal_lines, 145, 12),
        shape(frame_320_shape_group_0_shape_8_horizontal_lines, 146, 5),
        shape(frame_320_shape_group_0_shape_9_horizontal_lines, 155, 9),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 6),
        horizontal_line(0, 13),
        horizontal_line(0, 20),
        horizontal_line(0, 27),
        horizontal_line(0, 34),
        horizontal_line(0, 40),
        horizontal_line(0, 47),
        horizontal_line(0, 54),
        horizontal_line(0, 61),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(39, 101),
        horizontal_line(47, 109),
        horizontal_line(55, 117),
        horizontal_line(63, 125),
        horizontal_line(71, 133),
        horizontal_line(67, 67),
        horizontal_line(88, 150),
        horizontal_line(96, 156),
        horizontal_line(104, 149),
        horizontal_line(112, 142),
        horizontal_line(120, 135),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(120, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 127),
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 19),
        horizontal_line(0, 16),
        horizontal_line(25, 46),
        horizontal_line(26, 47),
        horizontal_line(26, 48),
        horizontal_line(27, 49),
        horizontal_line(28, 50),
        horizontal_line(29, 39),
        horizontal_line(155, 217),
        horizontal_line(159, 221),
        horizontal_line(164, 224),
        horizontal_line(168, 224),
        horizontal_line(172, 224),
        horizontal_line(176, 224),
        horizontal_line(180, 224),
        horizontal_line(185, 224),
        horizontal_line(189, 224),
        horizontal_line(193, 224),
        horizontal_line(197, 224),
        horizontal_line(202, 224),
        horizontal_line(206, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(186, 209),
        horizontal_line(1, 4),
        horizontal_line(0, 1),
        horizontal_line(192, 222),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(214, 230),
        horizontal_line(216, 233),
        horizontal_line(218, 236),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(181, 239),
        horizontal_line(151, 213),
        horizontal_line(121, 183),
        horizontal_line(91, 153),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_320_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const shape frame_320_shape_group_1_shapes[] = {
        shape(frame_320_shape_group_1_shape_0_horizontal_lines, 17, 8),
        shape(frame_320_shape_group_1_shape_1_horizontal_lines, 71, 13),
        shape(frame_320_shape_group_1_shape_2_horizontal_lines, 87, 11),
        shape(frame_320_shape_group_1_shape_3_horizontal_lines, 109, 15),
        shape(frame_320_shape_group_1_shape_4_horizontal_lines, 113, 9),
        shape(frame_320_shape_group_1_shape_5_horizontal_lines, 118, 10),
        shape(frame_320_shape_group_1_shape_6_horizontal_lines, 138, 12),
        shape(frame_320_shape_group_1_shape_7_horizontal_lines, 149, 5),
        shape(frame_320_shape_group_1_shape_8_horizontal_lines, 159, 9),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 75),
        horizontal_line(62, 81),
        horizontal_line(62, 88),
        horizontal_line(62, 95),
        horizontal_line(62, 102),
        horizontal_line(62, 109),
        horizontal_line(62, 116),
        horizontal_line(62, 122),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(127, 184),
        horizontal_line(129, 191),
        horizontal_line(131, 193),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(153, 215),
        horizontal_line(156, 211),
        horizontal_line(101, 163),
        horizontal_line(109, 171),
        horizontal_line(117, 179),
        horizontal_line(125, 184),
        horizontal_line(133, 177),
        horizontal_line(80, 142),
        horizontal_line(150, 163),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(24, 44),
        horizontal_line(116, 118),
        horizontal_line(118, 119),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(45, 58),
        horizontal_line(23, 44),
        horizontal_line(24, 45),
        horizontal_line(48, 57),
        horizontal_line(49, 57),
        horizontal_line(51, 56),
        horizontal_line(115, 126),
        horizontal_line(116, 125),
        horizontal_line(121, 125),
        horizontal_line(92, 126),
        horizontal_line(90, 128),
        horizontal_line(88, 131),
        horizontal_line(87, 134),
        horizontal_line(85, 137),
        horizontal_line(83, 140),
        horizontal_line(82, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(74, 136),
        horizontal_line(72, 82),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(188, 213),
        horizontal_line(190, 217),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 105),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(53, 115),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_320_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(183, 239),
        horizontal_line(153, 215),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_320_shape_group_2_shapes[] = {
        shape(frame_320_shape_group_2_shape_0_horizontal_lines, 27, 8),
        shape(frame_320_shape_group_2_shape_1_horizontal_lines, 66, 13),
        shape(frame_320_shape_group_2_shape_2_horizontal_lines, 74, 11),
        shape(frame_320_shape_group_2_shape_3_horizontal_lines, 109, 9),
        shape(frame_320_shape_group_2_shape_4_horizontal_lines, 110, 15),
        shape(frame_320_shape_group_2_shape_5_horizontal_lines, 112, 9),
        shape(frame_320_shape_group_2_shape_6_horizontal_lines, 113, 10),
        shape(frame_320_shape_group_2_shape_7_horizontal_lines, 137, 12),
        shape(frame_320_shape_group_2_shape_8_horizontal_lines, 151, 5),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(124, 129),
        horizontal_line(124, 136),
        horizontal_line(124, 143),
        horizontal_line(124, 150),
        horizontal_line(124, 157),
        horizontal_line(124, 163),
        horizontal_line(124, 170),
        horizontal_line(125, 177),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(191, 191),
        horizontal_line(193, 198),
        horizontal_line(195, 204),
        horizontal_line(197, 211),
        horizontal_line(199, 218),
        horizontal_line(201, 225),
        horizontal_line(203, 232),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 232),
        horizontal_line(213, 225),
        horizontal_line(215, 218),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(15, 31),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(163, 204),
        horizontal_line(171, 197),
        horizontal_line(179, 190),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(24, 30),
        horizontal_line(24, 37),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(142, 170),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(24, 45),
        horizontal_line(157, 215),
        horizontal_line(150, 203),
        horizontal_line(143, 191),
        horizontal_line(136, 179),
        horizontal_line(130, 167),
        horizontal_line(129, 155),
        horizontal_line(130, 143),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(49, 51),
        horizontal_line(49, 53),
        horizontal_line(48, 56),
        horizontal_line(48, 58),
        horizontal_line(47, 61),
        horizontal_line(47, 60),
        horizontal_line(46, 60),
        horizontal_line(46, 59),
        horizontal_line(45, 59),
        horizontal_line(116, 118),
        horizontal_line(46, 58),
        horizontal_line(47, 58),
        horizontal_line(118, 127),
        horizontal_line(117, 126),
        horizontal_line(116, 126),
        horizontal_line(142, 204),
        horizontal_line(146, 208),
        horizontal_line(150, 212),
        horizontal_line(217, 224),
        horizontal_line(221, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(132, 142),
        horizontal_line(135, 143),
        horizontal_line(138, 145),
        horizontal_line(141, 147),
        horizontal_line(144, 149),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(142, 146),
        horizontal_line(141, 149),
        horizontal_line(139, 152),
        horizontal_line(137, 155),
        horizontal_line(136, 157),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(184, 205),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(9, 71),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 206),
        horizontal_line(186, 209),
        horizontal_line(186, 212),
        horizontal_line(186, 214),
        horizontal_line(186, 217),
        horizontal_line(186, 220),
        horizontal_line(186, 222),
        horizontal_line(186, 225),
        horizontal_line(186, 228),
        horizontal_line(124, 186),
        horizontal_line(124, 158),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(115, 177),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 178),
        horizontal_line(62, 124),
        horizontal_line(62, 118),
        horizontal_line(0, 62),
        horizontal_line(0, 58),
    };

    constexpr const horizontal_line frame_320_shape_group_3_shape_17_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(186, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 177),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_320_shape_group_3_shapes[] = {
        shape(frame_320_shape_group_3_shape_0_horizontal_lines, 36, 8),
        shape(frame_320_shape_group_3_shape_1_horizontal_lines, 44, 13),
        shape(frame_320_shape_group_3_shape_2_horizontal_lines, 45, 8),
        shape(frame_320_shape_group_3_shape_3_horizontal_lines, 58, 13),
        shape(frame_320_shape_group_3_shape_4_horizontal_lines, 59, 8),
        shape(frame_320_shape_group_3_shape_5_horizontal_lines, 62, 13),
        shape(frame_320_shape_group_3_shape_6_horizontal_lines, 64, 8),
        shape(frame_320_shape_group_3_shape_7_horizontal_lines, 65, 13),
        shape(frame_320_shape_group_3_shape_8_horizontal_lines, 73, 11),
        shape(frame_320_shape_group_3_shape_9_horizontal_lines, 98, 15),
        shape(frame_320_shape_group_3_shape_10_horizontal_lines, 103, 11),
        shape(frame_320_shape_group_3_shape_11_horizontal_lines, 108, 15),
        shape(frame_320_shape_group_3_shape_12_horizontal_lines, 109, 10),
        shape(frame_320_shape_group_3_shape_13_horizontal_lines, 110, 9),
        shape(frame_320_shape_group_3_shape_14_horizontal_lines, 112, 10),
        shape(frame_320_shape_group_3_shape_15_horizontal_lines, 136, 5),
        shape(frame_320_shape_group_3_shape_16_horizontal_lines, 137, 12),
        shape(frame_320_shape_group_3_shape_17_horizontal_lines, 153, 5),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(3, 22),
        horizontal_line(6, 24),
        horizontal_line(9, 26),
        horizontal_line(12, 28),
        horizontal_line(212, 221),
        horizontal_line(18, 28),
        horizontal_line(21, 26),
        horizontal_line(24, 24),
        horizontal_line(185, 225),
        horizontal_line(49, 49),
        horizontal_line(24, 44),
        horizontal_line(164, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(117, 120),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(128, 190),
        horizontal_line(117, 118),
        horizontal_line(119, 119),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(137, 199),
        horizontal_line(204, 224),
        horizontal_line(208, 224),
        horizontal_line(212, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(127, 138),
        horizontal_line(129, 140),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(166, 167),
        horizontal_line(168, 171),
        horizontal_line(170, 175),
        horizontal_line(172, 179),
        horizontal_line(147, 150),
        horizontal_line(150, 152),
        horizontal_line(153, 154),
        horizontal_line(156, 156),
        horizontal_line(182, 201),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(71, 133),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(62, 124),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 179),
        horizontal_line(124, 182),
        horizontal_line(124, 185),
        horizontal_line(186, 187),
        horizontal_line(186, 190),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 198),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(207, 217),
        horizontal_line(210, 217),
        horizontal_line(213, 216),
        horizontal_line(215, 215),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(186, 212),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(106, 168),
        horizontal_line(177, 220),
        horizontal_line(186, 222),
        horizontal_line(186, 224),
        horizontal_line(186, 227),
        horizontal_line(186, 229),
        horizontal_line(186, 231),
        horizontal_line(186, 234),
        horizontal_line(186, 236),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 208),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(124, 148),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(62, 88),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 217),
        horizontal_line(186, 197),
    };

    constexpr const horizontal_line frame_320_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(124, 157),
    };

    constexpr const shape frame_320_shape_group_4_shapes[] = {
        shape(frame_320_shape_group_4_shape_0_horizontal_lines, 43, 13),
        shape(frame_320_shape_group_4_shape_1_horizontal_lines, 45, 13),
        shape(frame_320_shape_group_4_shape_2_horizontal_lines, 66, 11),
        shape(frame_320_shape_group_4_shape_3_horizontal_lines, 96, 15),
        shape(frame_320_shape_group_4_shape_4_horizontal_lines, 98, 9),
        shape(frame_320_shape_group_4_shape_5_horizontal_lines, 99, 15),
        shape(frame_320_shape_group_4_shape_6_horizontal_lines, 108, 9),
        shape(frame_320_shape_group_4_shape_7_horizontal_lines, 109, 10),
        shape(frame_320_shape_group_4_shape_8_horizontal_lines, 125, 1),
        shape(frame_320_shape_group_4_shape_9_horizontal_lines, 129, 5),
        shape(frame_320_shape_group_4_shape_10_horizontal_lines, 134, 10),
        shape(frame_320_shape_group_4_shape_11_horizontal_lines, 135, 5),
        shape(frame_320_shape_group_4_shape_12_horizontal_lines, 136, 12),
        shape(frame_320_shape_group_4_shape_13_horizontal_lines, 146, 12),
        shape(frame_320_shape_group_4_shape_14_horizontal_lines, 149, 12),
        shape(frame_320_shape_group_4_shape_15_horizontal_lines, 151, 12),
        shape(frame_320_shape_group_4_shape_16_horizontal_lines, 153, 12),
        shape(frame_320_shape_group_4_shape_17_horizontal_lines, 155, 5),
        shape(frame_320_shape_group_4_shape_18_horizontal_lines, 159, 5),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(233, 239),
        horizontal_line(229, 239),
        horizontal_line(226, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(219, 221),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(205, 222),
        horizontal_line(198, 223),
        horizontal_line(191, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(226, 226),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(178, 224),
        horizontal_line(46, 47),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(216, 224),
        horizontal_line(204, 224),
        horizontal_line(192, 224),
        horizontal_line(180, 224),
        horizontal_line(168, 224),
        horizontal_line(156, 218),
        horizontal_line(144, 206),
        horizontal_line(132, 194),
        horizontal_line(192, 224),
        horizontal_line(192, 224),
        horizontal_line(192, 224),
        horizontal_line(192, 224),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(128, 190),
        horizontal_line(190, 224),
        horizontal_line(128, 190),
        horizontal_line(128, 190),
        horizontal_line(191, 224),
        horizontal_line(195, 224),
        horizontal_line(199, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(6, 26),
        horizontal_line(3, 27),
        horizontal_line(1, 28),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(174, 184),
        horizontal_line(176, 188),
        horizontal_line(178, 192),
        horizontal_line(180, 196),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(83, 145),
        horizontal_line(133, 163),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(124, 171),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(175, 193),
        horizontal_line(177, 195),
        horizontal_line(180, 197),
        horizontal_line(183, 199),
        horizontal_line(186, 201),
        horizontal_line(188, 203),
        horizontal_line(191, 205),
        horizontal_line(194, 207),
        horizontal_line(196, 209),
        horizontal_line(199, 211),
        horizontal_line(202, 213),
        horizontal_line(204, 215),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(159, 215),
        horizontal_line(168, 217),
    };

    constexpr const shape frame_320_shape_group_5_shapes[] = {
        shape(frame_320_shape_group_5_shape_0_horizontal_lines, 47, 14),
        shape(frame_320_shape_group_5_shape_1_horizontal_lines, 54, 11),
        shape(frame_320_shape_group_5_shape_2_horizontal_lines, 55, 14),
        shape(frame_320_shape_group_5_shape_3_horizontal_lines, 57, 13),
        shape(frame_320_shape_group_5_shape_4_horizontal_lines, 58, 14),
        shape(frame_320_shape_group_5_shape_5_horizontal_lines, 59, 13),
        shape(frame_320_shape_group_5_shape_6_horizontal_lines, 62, 14),
        shape(frame_320_shape_group_5_shape_7_horizontal_lines, 63, 13),
        shape(frame_320_shape_group_5_shape_8_horizontal_lines, 65, 11),
        shape(frame_320_shape_group_5_shape_9_horizontal_lines, 93, 15),
        shape(frame_320_shape_group_5_shape_10_horizontal_lines, 96, 9),
        shape(frame_320_shape_group_5_shape_11_horizontal_lines, 98, 1),
        shape(frame_320_shape_group_5_shape_12_horizontal_lines, 99, 9),
        shape(frame_320_shape_group_5_shape_13_horizontal_lines, 103, 15),
        shape(frame_320_shape_group_5_shape_14_horizontal_lines, 107, 9),
        shape(frame_320_shape_group_5_shape_15_horizontal_lines, 108, 10),
        shape(frame_320_shape_group_5_shape_16_horizontal_lines, 113, 1),
        shape(frame_320_shape_group_5_shape_17_horizontal_lines, 125, 5),
        shape(frame_320_shape_group_5_shape_18_horizontal_lines, 134, 5),
        shape(frame_320_shape_group_5_shape_19_horizontal_lines, 135, 12),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(224, 234),
        horizontal_line(225, 230),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(171, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(76, 87),
        horizontal_line(85, 95),
        horizontal_line(93, 103),
        horizontal_line(102, 111),
        horizontal_line(110, 119),
        horizontal_line(119, 128),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(218, 224),
        horizontal_line(206, 224),
        horizontal_line(194, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(192, 224),
        horizontal_line(191, 224),
        horizontal_line(191, 224),
        horizontal_line(191, 224),
        horizontal_line(191, 224),
        horizontal_line(191, 224),
        horizontal_line(191, 224),
        horizontal_line(190, 224),
        horizontal_line(190, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(190, 224),
        horizontal_line(190, 224),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(14, 24),
        horizontal_line(12, 25),
        horizontal_line(9, 25),
        horizontal_line(127, 133),
        horizontal_line(126, 135),
        horizontal_line(126, 136),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(143, 163),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(145, 160),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(129, 166),
        horizontal_line(126, 168),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(172, 191),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(225, 225),
        horizontal_line(224, 229),
        horizontal_line(223, 234),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(213, 213),
    };

    constexpr const shape frame_320_shape_group_6_shapes[] = {
        shape(frame_320_shape_group_6_shape_0_horizontal_lines, 55, 11),
        shape(frame_320_shape_group_6_shape_1_horizontal_lines, 57, 14),
        shape(frame_320_shape_group_6_shape_2_horizontal_lines, 58, 11),
        shape(frame_320_shape_group_6_shape_3_horizontal_lines, 59, 14),
        shape(frame_320_shape_group_6_shape_4_horizontal_lines, 62, 11),
        shape(frame_320_shape_group_6_shape_5_horizontal_lines, 64, 13),
        shape(frame_320_shape_group_6_shape_6_horizontal_lines, 65, 15),
        shape(frame_320_shape_group_6_shape_7_horizontal_lines, 71, 11),
        shape(frame_320_shape_group_6_shape_8_horizontal_lines, 74, 9),
        shape(frame_320_shape_group_6_shape_9_horizontal_lines, 78, 11),
        shape(frame_320_shape_group_6_shape_10_horizontal_lines, 87, 9),
        shape(frame_320_shape_group_6_shape_11_horizontal_lines, 88, 11),
        shape(frame_320_shape_group_6_shape_12_horizontal_lines, 90, 15),
        shape(frame_320_shape_group_6_shape_13_horizontal_lines, 96, 1),
        shape(frame_320_shape_group_6_shape_14_horizontal_lines, 103, 9),
        shape(frame_320_shape_group_6_shape_15_horizontal_lines, 107, 10),
        shape(frame_320_shape_group_6_shape_16_horizontal_lines, 109, 1),
        shape(frame_320_shape_group_6_shape_17_horizontal_lines, 110, 10),
        shape(frame_320_shape_group_6_shape_18_horizontal_lines, 112, 1),
        shape(frame_320_shape_group_6_shape_19_horizontal_lines, 115, 5),
        shape(frame_320_shape_group_6_shape_20_horizontal_lines, 134, 12),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(52, 62),
        horizontal_line(59, 70),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(50, 112),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(59, 115),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(20, 22),
        horizontal_line(17, 23),
        horizontal_line(128, 128),
        horizontal_line(127, 129),
        horizontal_line(127, 131),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(139, 154),
        horizontal_line(141, 158),
    };

    constexpr const horizontal_line frame_320_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(144, 165),
        horizontal_line(146, 167),
        horizontal_line(148, 169),
        horizontal_line(150, 171),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(164, 185),
        horizontal_line(0, 0),
        horizontal_line(169, 189),
    };

    constexpr const shape frame_320_shape_group_7_shapes[] = {
        shape(frame_320_shape_group_7_shape_0_horizontal_lines, 57, 11),
        shape(frame_320_shape_group_7_shape_1_horizontal_lines, 59, 11),
        shape(frame_320_shape_group_7_shape_2_horizontal_lines, 62, 15),
        shape(frame_320_shape_group_7_shape_3_horizontal_lines, 64, 11),
        shape(frame_320_shape_group_7_shape_4_horizontal_lines, 65, 9),
        shape(frame_320_shape_group_7_shape_5_horizontal_lines, 74, 2),
        shape(frame_320_shape_group_7_shape_6_horizontal_lines, 78, 9),
        shape(frame_320_shape_group_7_shape_7_horizontal_lines, 87, 2),
        shape(frame_320_shape_group_7_shape_8_horizontal_lines, 88, 15),
        shape(frame_320_shape_group_7_shape_9_horizontal_lines, 93, 9),
        shape(frame_320_shape_group_7_shape_10_horizontal_lines, 96, 1),
        shape(frame_320_shape_group_7_shape_11_horizontal_lines, 99, 1),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(37, 38),
        horizontal_line(42, 46),
        horizontal_line(47, 54),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(68, 79),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(46, 74),
        horizontal_line(45, 82),
        horizontal_line(45, 90),
        horizontal_line(45, 98),
        horizontal_line(45, 106),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(107, 116),
        horizontal_line(107, 116),
        horizontal_line(106, 116),
        horizontal_line(112, 116),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(57, 116),
        horizontal_line(59, 115),
        horizontal_line(62, 115),
        horizontal_line(61, 115),
        horizontal_line(61, 115),
        horizontal_line(60, 115),
        horizontal_line(60, 115),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(44, 44),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(50, 50),
        horizontal_line(51, 113),
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(151, 173),
        horizontal_line(153, 175),
        horizontal_line(155, 177),
        horizontal_line(157, 179),
        horizontal_line(159, 181),
        horizontal_line(161, 183),
    };

    constexpr const horizontal_line frame_320_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(167, 187),
    };

    constexpr const shape frame_320_shape_group_8_shapes[] = {
        shape(frame_320_shape_group_8_shape_0_horizontal_lines, 59, 15),
        shape(frame_320_shape_group_8_shape_1_horizontal_lines, 62, 9),
        shape(frame_320_shape_group_8_shape_2_horizontal_lines, 64, 15),
        shape(frame_320_shape_group_8_shape_3_horizontal_lines, 65, 2),
        shape(frame_320_shape_group_8_shape_4_horizontal_lines, 87, 10),
        shape(frame_320_shape_group_8_shape_5_horizontal_lines, 88, 9),
        shape(frame_320_shape_group_8_shape_6_horizontal_lines, 93, 10),
        shape(frame_320_shape_group_8_shape_7_horizontal_lines, 103, 1),
        shape(frame_320_shape_group_8_shape_8_horizontal_lines, 110, 1),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(50, 58),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(107, 114),
        horizontal_line(107, 115),
        horizontal_line(107, 117),
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(44, 49),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(44, 47),
        horizontal_line(44, 47),
        horizontal_line(44, 46),
        horizontal_line(44, 46),
        horizontal_line(44, 45),
        horizontal_line(44, 45),
        horizontal_line(44, 44),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(59, 115),
        horizontal_line(59, 114),
        horizontal_line(58, 113),
        horizontal_line(58, 112),
        horizontal_line(57, 111),
    };

    constexpr const horizontal_line frame_320_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(113, 114),
        horizontal_line(113, 115),
        horizontal_line(102, 120),
    };

    constexpr const shape frame_320_shape_group_9_shapes[] = {
        shape(frame_320_shape_group_9_shape_0_horizontal_lines, 60, 9),
        shape(frame_320_shape_group_9_shape_1_horizontal_lines, 63, 2),
        shape(frame_320_shape_group_9_shape_2_horizontal_lines, 64, 9),
        shape(frame_320_shape_group_9_shape_3_horizontal_lines, 70, 2),
        shape(frame_320_shape_group_9_shape_4_horizontal_lines, 77, 10),
        shape(frame_320_shape_group_9_shape_5_horizontal_lines, 78, 2),
        shape(frame_320_shape_group_9_shape_6_horizontal_lines, 80, 10),
        shape(frame_320_shape_group_9_shape_7_horizontal_lines, 88, 2),
        shape(frame_320_shape_group_9_shape_8_horizontal_lines, 93, 10),
    };

    constexpr const horizontal_line frame_320_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(48, 66),
    };

    constexpr const horizontal_line frame_320_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(44, 48),
        horizontal_line(44, 48),
    };

    constexpr const horizontal_line frame_320_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(45, 45),
        horizontal_line(46, 46),
        horizontal_line(47, 47),
        horizontal_line(48, 48),
        horizontal_line(49, 50),
    };

    constexpr const horizontal_line frame_320_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(134, 141),
        horizontal_line(136, 145),
        horizontal_line(137, 149),
    };

    constexpr const shape frame_320_shape_group_10_shapes[] = {
        shape(frame_320_shape_group_10_shape_0_horizontal_lines, 64, 2),
        shape(frame_320_shape_group_10_shape_1_horizontal_lines, 78, 10),
        shape(frame_320_shape_group_10_shape_2_horizontal_lines, 88, 10),
        shape(frame_320_shape_group_10_shape_3_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_320_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(115, 118),
        horizontal_line(114, 117),
        horizontal_line(113, 116),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_320_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(51, 112),
    };

    constexpr const shape frame_320_shape_group_11_shapes[] = {
        shape(frame_320_shape_group_11_shape_0_horizontal_lines, 88, 10),
        shape(frame_320_shape_group_11_shape_1_horizontal_lines, 93, 3),
    };

    constexpr const horizontal_line frame_320_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(132, 136),
    };

    constexpr const shape frame_320_shape_group_12_shapes[] = {
        shape(frame_320_shape_group_12_shape_0_horizontal_lines, 91, 1),
    };

    constexpr const shape_group frame_320_shape_groups[] = {
        shape_group(frame_320_shape_group_0_shapes),
        shape_group(frame_320_shape_group_1_shapes),
        shape_group(frame_320_shape_group_2_shapes),
        shape_group(frame_320_shape_group_3_shapes),
        shape_group(frame_320_shape_group_4_shapes),
        shape_group(frame_320_shape_group_5_shapes),
        shape_group(frame_320_shape_group_6_shapes),
        shape_group(frame_320_shape_group_7_shapes),
        shape_group(frame_320_shape_group_8_shapes),
        shape_group(frame_320_shape_group_9_shapes),
        shape_group(frame_320_shape_group_10_shapes),
        shape_group(frame_320_shape_group_11_shapes),
        shape_group(frame_320_shape_group_12_shapes),
    };

    constexpr const frame frame_320_impl(frame_320_colors, frame_320_shape_groups);
} 

const frame& frame_320()
{
    return frame_320_impl;
}

namespace
{
    constexpr const bn::color frame_321_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_321_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 21),
        horizontal_line(0, 28),
        horizontal_line(0, 35),
        horizontal_line(0, 42),
        horizontal_line(0, 48),
        horizontal_line(0, 55),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(7, 69),
        horizontal_line(14, 76),
        horizontal_line(21, 83),
        horizontal_line(28, 90),
        horizontal_line(35, 97),
        horizontal_line(41, 103),
        horizontal_line(48, 110),
        horizontal_line(55, 117),
        horizontal_line(62, 124),
        horizontal_line(69, 131),
        horizontal_line(76, 138),
        horizontal_line(82, 144),
        horizontal_line(89, 151),
        horizontal_line(96, 158),
        horizontal_line(103, 165),
        horizontal_line(110, 172),
        horizontal_line(117, 179),
        horizontal_line(123, 185),
        horizontal_line(130, 192),
        horizontal_line(137, 199),
        horizontal_line(144, 206),
        horizontal_line(151, 213),
        horizontal_line(158, 220),
        horizontal_line(164, 226),
        horizontal_line(171, 233),
        horizontal_line(178, 239),
        horizontal_line(185, 239),
        horizontal_line(192, 239),
        horizontal_line(199, 239),
        horizontal_line(205, 239),
        horizontal_line(212, 239),
        horizontal_line(219, 239),
        horizontal_line(226, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(3, 22),
        horizontal_line(6, 24),
        horizontal_line(9, 26),
        horizontal_line(13, 29),
        horizontal_line(16, 27),
        horizontal_line(19, 25),
        horizontal_line(23, 23),
        horizontal_line(23, 27),
        horizontal_line(23, 32),
        horizontal_line(23, 37),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(23, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(22, 42),
        horizontal_line(121, 130),
        horizontal_line(122, 130),
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_321_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(28, 35),
        horizontal_line(29, 91),
        horizontal_line(27, 89),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 238),
        horizontal_line(214, 237),
        horizontal_line(216, 236),
        horizontal_line(218, 235),
        horizontal_line(220, 235),
        horizontal_line(222, 234),
        horizontal_line(224, 233),
        horizontal_line(226, 233),
        horizontal_line(228, 232),
        horizontal_line(230, 231),
    };

    constexpr const horizontal_line frame_321_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 44),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_321_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_321_shape_group_0_shapes[] = {
        shape(frame_321_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_321_shape_group_0_shape_1_horizontal_lines, 45, 13),
        shape(frame_321_shape_group_0_shape_2_horizontal_lines, 90, 11),
        shape(frame_321_shape_group_0_shape_3_horizontal_lines, 116, 15),
        shape(frame_321_shape_group_0_shape_4_horizontal_lines, 131, 10),
        shape(frame_321_shape_group_0_shape_5_horizontal_lines, 146, 12),
        shape(frame_321_shape_group_0_shape_6_horizontal_lines, 158, 5),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(62, 124),
        horizontal_line(69, 131),
        horizontal_line(75, 137),
        horizontal_line(82, 144),
        horizontal_line(88, 150),
        horizontal_line(95, 157),
        horizontal_line(101, 163),
        horizontal_line(108, 170),
        horizontal_line(114, 176),
        horizontal_line(121, 183),
        horizontal_line(127, 189),
        horizontal_line(134, 196),
        horizontal_line(140, 202),
        horizontal_line(147, 209),
        horizontal_line(154, 216),
        horizontal_line(160, 222),
        horizontal_line(167, 229),
        horizontal_line(173, 235),
        horizontal_line(180, 239),
        horizontal_line(186, 239),
        horizontal_line(193, 239),
        horizontal_line(199, 239),
        horizontal_line(206, 239),
        horizontal_line(212, 239),
        horizontal_line(219, 239),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
        horizontal_line(239, 239),
        horizontal_line(192, 210),
        horizontal_line(199, 217),
        horizontal_line(206, 224),
        horizontal_line(213, 231),
        horizontal_line(220, 238),
        horizontal_line(226, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(233, 237),
        horizontal_line(226, 238),
        horizontal_line(219, 239),
        horizontal_line(213, 239),
        horizontal_line(206, 239),
        horizontal_line(199, 239),
        horizontal_line(192, 239),
        horizontal_line(49, 51),
        horizontal_line(47, 48),
        horizontal_line(45, 45),
        horizontal_line(165, 217),
        horizontal_line(159, 207),
        horizontal_line(152, 196),
        horizontal_line(145, 186),
        horizontal_line(138, 175),
        horizontal_line(132, 164),
        horizontal_line(118, 120),
        horizontal_line(120, 121),
        horizontal_line(133, 133),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 18),
        horizontal_line(0, 15),
        horizontal_line(24, 46),
        horizontal_line(25, 47),
        horizontal_line(25, 48),
        horizontal_line(26, 50),
        horizontal_line(27, 42),
        horizontal_line(128, 128),
        horizontal_line(156, 218),
        horizontal_line(160, 222),
        horizontal_line(164, 226),
        horizontal_line(168, 230),
        horizontal_line(172, 234),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(189, 239),
        horizontal_line(193, 239),
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(190, 213),
        horizontal_line(192, 217),
        horizontal_line(194, 222),
        horizontal_line(196, 226),
        horizontal_line(198, 230),
        horizontal_line(200, 234),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_321_shape_group_1_shapes[] = {
        shape(frame_321_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_321_shape_group_1_shape_1_horizontal_lines, 43, 13),
        shape(frame_321_shape_group_1_shape_2_horizontal_lines, 53, 11),
        shape(frame_321_shape_group_1_shape_3_horizontal_lines, 54, 13),
        shape(frame_321_shape_group_1_shape_4_horizontal_lines, 87, 11),
        shape(frame_321_shape_group_1_shape_5_horizontal_lines, 110, 15),
        shape(frame_321_shape_group_1_shape_6_horizontal_lines, 116, 10),
        shape(frame_321_shape_group_1_shape_7_horizontal_lines, 145, 12),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(118, 180),
        horizontal_line(124, 186),
        horizontal_line(131, 193),
        horizontal_line(137, 199),
        horizontal_line(144, 206),
        horizontal_line(150, 212),
        horizontal_line(157, 219),
        horizontal_line(62, 62),
        horizontal_line(62, 69),
        horizontal_line(62, 75),
        horizontal_line(63, 82),
        horizontal_line(69, 89),
        horizontal_line(76, 96),
        horizontal_line(83, 102),
        horizontal_line(90, 109),
        horizontal_line(97, 116),
        horizontal_line(103, 123),
        horizontal_line(110, 129),
        horizontal_line(117, 136),
        horizontal_line(124, 143),
        horizontal_line(131, 150),
        horizontal_line(138, 156),
        horizontal_line(144, 163),
        horizontal_line(151, 170),
        horizontal_line(158, 177),
        horizontal_line(165, 183),
        horizontal_line(172, 190),
        horizontal_line(179, 197),
        horizontal_line(185, 204),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(218, 239),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(179, 239),
        horizontal_line(172, 228),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(131, 154),
        horizontal_line(132, 143),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(46, 58),
        horizontal_line(22, 44),
        horizontal_line(23, 45),
        horizontal_line(49, 56),
        horizontal_line(50, 56),
        horizontal_line(117, 128),
        horizontal_line(116, 128),
        horizontal_line(117, 127),
        horizontal_line(152, 214),
        horizontal_line(91, 130),
        horizontal_line(89, 133),
        horizontal_line(87, 135),
        horizontal_line(85, 138),
        horizontal_line(84, 140),
        horizontal_line(82, 143),
        horizontal_line(80, 142),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 81),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 89),
    };

    constexpr const horizontal_line frame_321_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(45, 107),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_321_shape_group_2_shapes[] = {
        shape(frame_321_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_321_shape_group_2_shape_1_horizontal_lines, 29, 7),
        shape(frame_321_shape_group_2_shape_2_horizontal_lines, 54, 11),
        shape(frame_321_shape_group_2_shape_3_horizontal_lines, 61, 13),
        shape(frame_321_shape_group_2_shape_4_horizontal_lines, 64, 11),
        shape(frame_321_shape_group_2_shape_5_horizontal_lines, 70, 13),
        shape(frame_321_shape_group_2_shape_6_horizontal_lines, 72, 11),
        shape(frame_321_shape_group_2_shape_7_horizontal_lines, 110, 10),
        shape(frame_321_shape_group_2_shape_8_horizontal_lines, 144, 12),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(186, 239),
        horizontal_line(193, 239),
        horizontal_line(199, 239),
        horizontal_line(206, 239),
        horizontal_line(212, 239),
        horizontal_line(219, 239),
        horizontal_line(163, 225),
        horizontal_line(170, 232),
        horizontal_line(176, 238),
        horizontal_line(183, 239),
        horizontal_line(189, 239),
        horizontal_line(196, 239),
        horizontal_line(202, 239),
        horizontal_line(209, 239),
        horizontal_line(216, 239),
        horizontal_line(222, 239),
        horizontal_line(229, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(144, 179),
        horizontal_line(151, 185),
        horizontal_line(157, 192),
        horizontal_line(164, 198),
        horizontal_line(171, 205),
        horizontal_line(178, 211),
        horizontal_line(184, 218),
        horizontal_line(191, 224),
        horizontal_line(198, 231),
        horizontal_line(205, 238),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(35, 35),
        horizontal_line(41, 43),
        horizontal_line(46, 51),
        horizontal_line(52, 59),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 60),
        horizontal_line(43, 59),
        horizontal_line(43, 59),
        horizontal_line(43, 58),
        horizontal_line(45, 58),
        horizontal_line(118, 120),
        horizontal_line(47, 57),
        horizontal_line(48, 57),
        horizontal_line(119, 130),
        horizontal_line(118, 129),
        horizontal_line(140, 202),
        horizontal_line(144, 206),
        horizontal_line(148, 210),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
        horizontal_line(234, 239),
        horizontal_line(238, 239),
        horizontal_line(142, 145),
        horizontal_line(141, 148),
        horizontal_line(139, 150),
        horizontal_line(137, 153),
        horizontal_line(135, 155),
        horizontal_line(134, 158),
        horizontal_line(132, 160),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(188, 209),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(67, 129),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 181),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 220),
        horizontal_line(186, 223),
        horizontal_line(186, 226),
        horizontal_line(186, 228),
        horizontal_line(186, 231),
        horizontal_line(186, 233),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 179),
        horizontal_line(124, 134),
    };

    constexpr const horizontal_line frame_321_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(90, 152),
        horizontal_line(107, 169),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_321_shape_group_3_shapes[] = {
        shape(frame_321_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_321_shape_group_3_shape_1_horizontal_lines, 19, 7),
        shape(frame_321_shape_group_3_shape_2_horizontal_lines, 54, 14),
        shape(frame_321_shape_group_3_shape_3_horizontal_lines, 57, 15),
        shape(frame_321_shape_group_3_shape_4_horizontal_lines, 61, 11),
        shape(frame_321_shape_group_3_shape_5_horizontal_lines, 109, 15),
        shape(frame_321_shape_group_3_shape_6_horizontal_lines, 110, 10),
        shape(frame_321_shape_group_3_shape_7_horizontal_lines, 143, 12),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(16, 55),
        horizontal_line(22, 61),
        horizontal_line(29, 68),
        horizontal_line(36, 74),
        horizontal_line(43, 81),
        horizontal_line(49, 87),
        horizontal_line(56, 94),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(232, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(83, 120),
        horizontal_line(90, 126),
        horizontal_line(97, 133),
        horizontal_line(103, 139),
        horizontal_line(110, 146),
        horizontal_line(117, 153),
        horizontal_line(124, 159),
        horizontal_line(130, 166),
        horizontal_line(137, 172),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(58, 67),
        horizontal_line(66, 75),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(218, 239),
        horizontal_line(208, 239),
        horizontal_line(197, 239),
        horizontal_line(187, 239),
        horizontal_line(176, 238),
        horizontal_line(165, 227),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(47, 49),
        horizontal_line(47, 52),
        horizontal_line(46, 55),
        horizontal_line(46, 58),
        horizontal_line(45, 61),
        horizontal_line(45, 60),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(131, 193),
        horizontal_line(121, 121),
        horizontal_line(120, 126),
        horizontal_line(132, 194),
        horizontal_line(136, 198),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(1, 27),
        horizontal_line(131, 141),
        horizontal_line(134, 142),
        horizontal_line(136, 144),
        horizontal_line(139, 146),
        horizontal_line(141, 147),
        horizontal_line(144, 149),
        horizontal_line(146, 151),
        horizontal_line(149, 152),
        horizontal_line(151, 154),
        horizontal_line(154, 156),
        horizontal_line(156, 157),
        horizontal_line(159, 159),
        horizontal_line(186, 205),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(82, 144),
        horizontal_line(129, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 171),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 179),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(182, 201),
        horizontal_line(185, 203),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(186, 189),
        horizontal_line(186, 192),
        horizontal_line(186, 194),
        horizontal_line(186, 197),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(186, 210),
        horizontal_line(186, 213),
        horizontal_line(186, 215),
        horizontal_line(186, 218),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(221, 231),
        horizontal_line(224, 230),
        horizontal_line(227, 229),
        horizontal_line(229, 229),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(186, 225),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(180, 228),
        horizontal_line(135, 197),
        horizontal_line(152, 214),
        horizontal_line(169, 231),
        horizontal_line(186, 236),
    };

    constexpr const horizontal_line frame_321_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 225),
    };

    constexpr const shape frame_321_shape_group_4_shapes[] = {
        shape(frame_321_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_321_shape_group_4_shape_1_horizontal_lines, 7, 2),
        shape(frame_321_shape_group_4_shape_2_horizontal_lines, 10, 7),
        shape(frame_321_shape_group_4_shape_3_horizontal_lines, 61, 15),
        shape(frame_321_shape_group_4_shape_4_horizontal_lines, 63, 11),
        shape(frame_321_shape_group_4_shape_5_horizontal_lines, 95, 15),
        shape(frame_321_shape_group_4_shape_6_horizontal_lines, 109, 10),
        shape(frame_321_shape_group_4_shape_7_horizontal_lines, 116, 1),
        shape(frame_321_shape_group_4_shape_8_horizontal_lines, 118, 10),
        shape(frame_321_shape_group_4_shape_9_horizontal_lines, 131, 1),
        shape(frame_321_shape_group_4_shape_10_horizontal_lines, 135, 5),
        shape(frame_321_shape_group_4_shape_11_horizontal_lines, 140, 10),
        shape(frame_321_shape_group_4_shape_12_horizontal_lines, 141, 12),
        shape(frame_321_shape_group_4_shape_13_horizontal_lines, 158, 12),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(63, 100),
        horizontal_line(70, 107),
        horizontal_line(76, 113),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(49, 58),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(74, 82),
        horizontal_line(82, 90),
        horizontal_line(89, 98),
        horizontal_line(97, 106),
        horizontal_line(105, 114),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(227, 239),
        horizontal_line(155, 217),
        horizontal_line(144, 206),
        horizontal_line(134, 196),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(193, 239),
        horizontal_line(131, 193),
        horizontal_line(131, 193),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(7, 24),
        horizontal_line(4, 25),
        horizontal_line(1, 26),
        horizontal_line(129, 139),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(170, 171),
        horizontal_line(172, 175),
        horizontal_line(174, 179),
        horizontal_line(176, 183),
        horizontal_line(178, 188),
        horizontal_line(180, 192),
        horizontal_line(182, 196),
        horizontal_line(184, 200),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(144, 163),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(169, 191),
        horizontal_line(172, 193),
        horizontal_line(175, 195),
        horizontal_line(177, 197),
        horizontal_line(180, 199),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(188, 205),
        horizontal_line(190, 207),
        horizontal_line(193, 209),
        horizontal_line(195, 211),
        horizontal_line(198, 213),
        horizontal_line(201, 215),
        horizontal_line(203, 217),
        horizontal_line(206, 219),
        horizontal_line(208, 221),
        horizontal_line(211, 223),
        horizontal_line(214, 225),
        horizontal_line(216, 227),
        horizontal_line(219, 229),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(226, 226),
    };

    constexpr const horizontal_line frame_321_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(197, 230),
        horizontal_line(214, 232),
        horizontal_line(231, 234),
    };

    constexpr const shape frame_321_shape_group_5_shapes[] = {
        shape(frame_321_shape_group_5_shape_0_horizontal_lines, 7, 7),
        shape(frame_321_shape_group_5_shape_1_horizontal_lines, 62, 8),
        shape(frame_321_shape_group_5_shape_2_horizontal_lines, 63, 15),
        shape(frame_321_shape_group_5_shape_3_horizontal_lines, 68, 11),
        shape(frame_321_shape_group_5_shape_4_horizontal_lines, 92, 15),
        shape(frame_321_shape_group_5_shape_5_horizontal_lines, 96, 1),
        shape(frame_321_shape_group_5_shape_6_horizontal_lines, 100, 15),
        shape(frame_321_shape_group_5_shape_7_horizontal_lines, 108, 10),
        shape(frame_321_shape_group_5_shape_8_horizontal_lines, 110, 1),
        shape(frame_321_shape_group_5_shape_9_horizontal_lines, 118, 1),
        shape(frame_321_shape_group_5_shape_10_horizontal_lines, 131, 5),
        shape(frame_321_shape_group_5_shape_11_horizontal_lines, 140, 12),
        shape(frame_321_shape_group_5_shape_12_horizontal_lines, 142, 12),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(46, 66),
        horizontal_line(45, 74),
        horizontal_line(45, 83),
        horizontal_line(45, 91),
        horizontal_line(45, 99),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(113, 122),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(206, 239),
        horizontal_line(196, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(64, 116),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(13, 23),
        horizontal_line(10, 24),
        horizontal_line(129, 134),
        horizontal_line(129, 136),
        horizontal_line(128, 137),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(36, 98),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(142, 155),
        horizontal_line(143, 159),
        horizontal_line(145, 163),
        horizontal_line(147, 167),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(167, 189),
    };

    constexpr const horizontal_line frame_321_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_321_shape_group_6_shapes[] = {
        shape(frame_321_shape_group_6_shape_0_horizontal_lines, 63, 8),
        shape(frame_321_shape_group_6_shape_1_horizontal_lines, 68, 15),
        shape(frame_321_shape_group_6_shape_2_horizontal_lines, 70, 11),
        shape(frame_321_shape_group_6_shape_3_horizontal_lines, 87, 8),
        shape(frame_321_shape_group_6_shape_4_horizontal_lines, 88, 11),
        shape(frame_321_shape_group_6_shape_5_horizontal_lines, 90, 15),
        shape(frame_321_shape_group_6_shape_6_horizontal_lines, 95, 10),
        shape(frame_321_shape_group_6_shape_7_horizontal_lines, 96, 1),
        shape(frame_321_shape_group_6_shape_8_horizontal_lines, 121, 5),
    };

    constexpr const horizontal_line frame_321_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
    };

    constexpr const horizontal_line frame_321_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_321_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(64, 116),
        horizontal_line(66, 116),
        horizontal_line(65, 116),
        horizontal_line(65, 116),
        horizontal_line(64, 116),
    };

    constexpr const horizontal_line frame_321_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(44, 45),
    };

    constexpr const horizontal_line frame_321_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(19, 21),
        horizontal_line(16, 22),
        horizontal_line(131, 131),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_321_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(49, 50),
        horizontal_line(115, 115),
        horizontal_line(43, 105),
        horizontal_line(98, 127),
    };

    constexpr const horizontal_line frame_321_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(148, 169),
        horizontal_line(150, 171),
        horizontal_line(152, 173),
        horizontal_line(153, 175),
        horizontal_line(155, 177),
        horizontal_line(157, 179),
        horizontal_line(158, 181),
        horizontal_line(160, 183),
        horizontal_line(162, 185),
        horizontal_line(164, 187),
    };

    constexpr const shape frame_321_shape_group_7_shapes[] = {
        shape(frame_321_shape_group_7_shape_0_horizontal_lines, 68, 8),
        shape(frame_321_shape_group_7_shape_1_horizontal_lines, 76, 11),
        shape(frame_321_shape_group_7_shape_2_horizontal_lines, 82, 8),
        shape(frame_321_shape_group_7_shape_3_horizontal_lines, 87, 10),
        shape(frame_321_shape_group_7_shape_4_horizontal_lines, 88, 15),
        shape(frame_321_shape_group_7_shape_5_horizontal_lines, 92, 10),
        shape(frame_321_shape_group_7_shape_6_horizontal_lines, 100, 1),
    };

    constexpr const horizontal_line frame_321_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(107, 116),
        horizontal_line(107, 117),
        horizontal_line(107, 119),
        horizontal_line(107, 118),
        horizontal_line(107, 118),
        horizontal_line(107, 118),
        horizontal_line(110, 118),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(56, 117),
        horizontal_line(59, 117),
        horizontal_line(62, 117),
        horizontal_line(63, 117),
    };

    constexpr const horizontal_line frame_321_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(61, 63),
        horizontal_line(60, 65),
        horizontal_line(60, 64),
        horizontal_line(59, 64),
        horizontal_line(43, 44),
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_321_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(63, 115),
        horizontal_line(63, 114),
        horizontal_line(63, 113),
        horizontal_line(62, 112),
    };

    constexpr const horizontal_line frame_321_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_321_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(137, 143),
    };

    constexpr const horizontal_line frame_321_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(105, 116),
    };

    constexpr const horizontal_line frame_321_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_321_shape_group_8_shapes[] = {
        shape(frame_321_shape_group_8_shape_0_horizontal_lines, 68, 8),
        shape(frame_321_shape_group_8_shape_1_horizontal_lines, 82, 10),
        shape(frame_321_shape_group_8_shape_2_horizontal_lines, 88, 8),
        shape(frame_321_shape_group_8_shape_3_horizontal_lines, 92, 10),
        shape(frame_321_shape_group_8_shape_4_horizontal_lines, 93, 1),
        shape(frame_321_shape_group_8_shape_5_horizontal_lines, 94, 10),
        shape(frame_321_shape_group_8_shape_6_horizontal_lines, 95, 1),
    };

    constexpr const horizontal_line frame_321_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(44, 47),
    };

    constexpr const horizontal_line frame_321_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(112, 118),
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_321_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(44, 45),
        horizontal_line(44, 45),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
    };

    constexpr const horizontal_line frame_321_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(59, 63),
        horizontal_line(117, 117),
        horizontal_line(45, 46),
        horizontal_line(46, 47),
        horizontal_line(47, 48),
        horizontal_line(48, 49),
    };

    constexpr const horizontal_line frame_321_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(135, 139),
    };

    constexpr const horizontal_line frame_321_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(51, 113),
    };

    constexpr const horizontal_line frame_321_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(138, 147),
        horizontal_line(140, 151),
    };

    constexpr const shape frame_321_shape_group_9_shapes[] = {
        shape(frame_321_shape_group_9_shape_0_horizontal_lines, 75, 10),
        shape(frame_321_shape_group_9_shape_1_horizontal_lines, 76, 8),
        shape(frame_321_shape_group_9_shape_2_horizontal_lines, 78, 10),
        shape(frame_321_shape_group_9_shape_3_horizontal_lines, 86, 10),
        shape(frame_321_shape_group_9_shape_4_horizontal_lines, 92, 1),
        shape(frame_321_shape_group_9_shape_5_horizontal_lines, 93, 3),
        shape(frame_321_shape_group_9_shape_6_horizontal_lines, 94, 1),
    };

    constexpr const horizontal_line frame_321_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(44, 46),
        horizontal_line(44, 46),
    };

    constexpr const horizontal_line frame_321_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_321_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(58, 62),
        horizontal_line(58, 62),
        horizontal_line(57, 62),
        horizontal_line(57, 61),
    };

    constexpr const horizontal_line frame_321_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(51, 113),
        horizontal_line(113, 114),
    };

    constexpr const shape frame_321_shape_group_10_shapes[] = {
        shape(frame_321_shape_group_10_shape_0_horizontal_lines, 76, 10),
        shape(frame_321_shape_group_10_shape_1_horizontal_lines, 81, 10),
        shape(frame_321_shape_group_10_shape_2_horizontal_lines, 88, 10),
        shape(frame_321_shape_group_10_shape_3_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_321_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(116, 120),
        horizontal_line(115, 119),
        horizontal_line(114, 118),
        horizontal_line(113, 117),
    };

    constexpr const horizontal_line frame_321_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(113, 113),
    };

    constexpr const shape frame_321_shape_group_11_shapes[] = {
        shape(frame_321_shape_group_11_shape_0_horizontal_lines, 88, 10),
        shape(frame_321_shape_group_11_shape_1_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_321_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(133, 135),
    };

    constexpr const shape frame_321_shape_group_12_shapes[] = {
        shape(frame_321_shape_group_12_shape_0_horizontal_lines, 91, 1),
    };

    constexpr const shape_group frame_321_shape_groups[] = {
        shape_group(frame_321_shape_group_0_shapes),
        shape_group(frame_321_shape_group_1_shapes),
        shape_group(frame_321_shape_group_2_shapes),
        shape_group(frame_321_shape_group_3_shapes),
        shape_group(frame_321_shape_group_4_shapes),
        shape_group(frame_321_shape_group_5_shapes),
        shape_group(frame_321_shape_group_6_shapes),
        shape_group(frame_321_shape_group_7_shapes),
        shape_group(frame_321_shape_group_8_shapes),
        shape_group(frame_321_shape_group_9_shapes),
        shape_group(frame_321_shape_group_10_shapes),
        shape_group(frame_321_shape_group_11_shapes),
        shape_group(frame_321_shape_group_12_shapes),
    };

    constexpr const frame frame_321_impl(frame_321_colors, frame_321_shape_groups);
} 

const frame& frame_321()
{
    return frame_321_impl;
}

namespace
{
    constexpr const bn::color frame_322_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_322_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(7, 69),
        horizontal_line(14, 76),
        horizontal_line(20, 82),
        horizontal_line(27, 89),
        horizontal_line(34, 96),
        horizontal_line(40, 102),
        horizontal_line(47, 109),
        horizontal_line(54, 116),
        horizontal_line(60, 122),
        horizontal_line(67, 129),
        horizontal_line(74, 136),
        horizontal_line(80, 142),
        horizontal_line(87, 149),
        horizontal_line(93, 155),
        horizontal_line(100, 162),
        horizontal_line(107, 169),
        horizontal_line(113, 175),
        horizontal_line(120, 182),
        horizontal_line(127, 189),
        horizontal_line(133, 195),
        horizontal_line(140, 202),
        horizontal_line(147, 209),
        horizontal_line(153, 215),
        horizontal_line(160, 222),
        horizontal_line(166, 228),
        horizontal_line(173, 235),
        horizontal_line(180, 239),
        horizontal_line(186, 239),
        horizontal_line(193, 239),
        horizontal_line(200, 239),
        horizontal_line(206, 239),
        horizontal_line(213, 239),
        horizontal_line(220, 239),
        horizontal_line(226, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(3, 23),
        horizontal_line(6, 25),
        horizontal_line(9, 28),
        horizontal_line(12, 26),
        horizontal_line(15, 25),
        horizontal_line(18, 23),
        horizontal_line(22, 22),
        horizontal_line(22, 26),
        horizontal_line(22, 32),
        horizontal_line(22, 37),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(22, 43),
        horizontal_line(21, 43),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(124, 132),
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_322_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(26, 49),
        horizontal_line(27, 38),
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(23, 85),
        horizontal_line(21, 83),
        horizontal_line(19, 81),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(3, 65),
        horizontal_line(1, 63),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 239),
        horizontal_line(224, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_322_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_322_shape_group_0_shapes[] = {
        shape(frame_322_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_322_shape_group_0_shape_1_horizontal_lines, 42, 13),
        shape(frame_322_shape_group_0_shape_2_horizontal_lines, 90, 11),
        shape(frame_322_shape_group_0_shape_3_horizontal_lines, 117, 15),
        shape(frame_322_shape_group_0_shape_4_horizontal_lines, 134, 10),
        shape(frame_322_shape_group_0_shape_5_horizontal_lines, 154, 12),
    };

    constexpr const horizontal_line frame_322_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(161, 223),
        horizontal_line(167, 229),
        horizontal_line(173, 235),
        horizontal_line(179, 239),
        horizontal_line(185, 239),
        horizontal_line(191, 239),
        horizontal_line(197, 239),
        horizontal_line(203, 239),
        horizontal_line(209, 239),
        horizontal_line(215, 239),
        horizontal_line(221, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
        horizontal_line(239, 239),
        horizontal_line(162, 217),
        horizontal_line(169, 224),
        horizontal_line(175, 231),
        horizontal_line(182, 238),
        horizontal_line(189, 239),
        horizontal_line(195, 239),
        horizontal_line(202, 239),
        horizontal_line(209, 239),
        horizontal_line(215, 239),
        horizontal_line(222, 239),
        horizontal_line(228, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(227, 239),
        horizontal_line(221, 239),
        horizontal_line(215, 239),
        horizontal_line(209, 239),
        horizontal_line(202, 239),
        horizontal_line(196, 239),
        horizontal_line(190, 239),
        horizontal_line(49, 49),
        horizontal_line(47, 47),
        horizontal_line(45, 45),
        horizontal_line(165, 227),
        horizontal_line(159, 216),
        horizontal_line(153, 204),
        horizontal_line(147, 193),
        horizontal_line(141, 181),
        horizontal_line(135, 170),
        horizontal_line(120, 123),
        horizontal_line(122, 125),
        horizontal_line(125, 136),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
    };

    constexpr const horizontal_line frame_322_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 16),
        horizontal_line(0, 13),
        horizontal_line(0, 10),
        horizontal_line(24, 46),
        horizontal_line(24, 47),
        horizontal_line(25, 48),
        horizontal_line(118, 129),
        horizontal_line(119, 128),
        horizontal_line(153, 215),
        horizontal_line(157, 219),
        horizontal_line(161, 223),
        horizontal_line(165, 227),
        horizontal_line(169, 231),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(192, 211),
        horizontal_line(194, 215),
        horizontal_line(196, 219),
        horizontal_line(198, 223),
        horizontal_line(200, 227),
        horizontal_line(202, 231),
        horizontal_line(204, 235),
    };

    constexpr const horizontal_line frame_322_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_322_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(47, 109),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_322_shape_group_1_shapes[] = {
        shape(frame_322_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_322_shape_group_1_shape_1_horizontal_lines, 52, 13),
        shape(frame_322_shape_group_1_shape_2_horizontal_lines, 86, 11),
        shape(frame_322_shape_group_1_shape_3_horizontal_lines, 110, 15),
        shape(frame_322_shape_group_1_shape_4_horizontal_lines, 117, 10),
        shape(frame_322_shape_group_1_shape_5_horizontal_lines, 153, 12),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(63, 115),
        horizontal_line(69, 121),
        horizontal_line(76, 128),
        horizontal_line(82, 135),
        horizontal_line(89, 142),
        horizontal_line(96, 149),
        horizontal_line(102, 156),
        horizontal_line(109, 162),
        horizontal_line(116, 169),
        horizontal_line(122, 176),
        horizontal_line(129, 183),
        horizontal_line(136, 190),
        horizontal_line(142, 197),
        horizontal_line(149, 203),
        horizontal_line(155, 210),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(225, 239),
        horizontal_line(232, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(184, 239),
        horizontal_line(178, 239),
        horizontal_line(172, 234),
        horizontal_line(227, 227),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(134, 158),
        horizontal_line(135, 147),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(45, 57),
        horizontal_line(21, 43),
        horizontal_line(22, 44),
        horizontal_line(23, 45),
        horizontal_line(49, 55),
        horizontal_line(51, 55),
        horizontal_line(119, 130),
        horizontal_line(145, 207),
        horizontal_line(149, 211),
        horizontal_line(90, 129),
        horizontal_line(87, 131),
        horizontal_line(85, 133),
        horizontal_line(83, 136),
        horizontal_line(81, 138),
        horizontal_line(80, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(65, 127),
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 142),
    };

    constexpr const horizontal_line frame_322_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(95, 157),
        horizontal_line(109, 171),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_322_shape_group_2_shapes[] = {
        shape(frame_322_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_322_shape_group_2_shape_1_horizontal_lines, 15, 7),
        shape(frame_322_shape_group_2_shape_2_horizontal_lines, 52, 11),
        shape(frame_322_shape_group_2_shape_3_horizontal_lines, 60, 13),
        shape(frame_322_shape_group_2_shape_4_horizontal_lines, 64, 11),
        shape(frame_322_shape_group_2_shape_5_horizontal_lines, 69, 13),
        shape(frame_322_shape_group_2_shape_6_horizontal_lines, 71, 11),
        shape(frame_322_shape_group_2_shape_7_horizontal_lines, 110, 10),
        shape(frame_322_shape_group_2_shape_8_horizontal_lines, 152, 12),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(229, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(143, 178),
        horizontal_line(150, 184),
        horizontal_line(157, 190),
        horizontal_line(163, 196),
        horizontal_line(170, 202),
        horizontal_line(177, 208),
        horizontal_line(184, 214),
        horizontal_line(191, 220),
        horizontal_line(198, 226),
        horizontal_line(204, 232),
        horizontal_line(211, 238),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(33, 34),
        horizontal_line(38, 42),
        horizontal_line(42, 49),
        horizontal_line(47, 57),
        horizontal_line(52, 64),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(44, 44),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(43, 43),
        horizontal_line(43, 49),
        horizontal_line(43, 53),
        horizontal_line(43, 57),
        horizontal_line(43, 61),
        horizontal_line(43, 60),
        horizontal_line(43, 60),
        horizontal_line(43, 59),
        horizontal_line(43, 59),
        horizontal_line(43, 58),
        horizontal_line(43, 58),
        horizontal_line(44, 57),
        horizontal_line(119, 122),
        horizontal_line(46, 57),
        horizontal_line(47, 56),
        horizontal_line(48, 56),
        horizontal_line(121, 132),
        horizontal_line(120, 131),
        horizontal_line(141, 203),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
        horizontal_line(138, 145),
        horizontal_line(136, 148),
        horizontal_line(134, 150),
        horizontal_line(133, 153),
        horizontal_line(131, 155),
        horizontal_line(129, 157),
        horizontal_line(127, 160),
        horizontal_line(125, 162),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 183),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 228),
        horizontal_line(186, 231),
        horizontal_line(186, 233),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 238),
        horizontal_line(186, 190),
    };

    constexpr const horizontal_line frame_322_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(143, 205),
        horizontal_line(157, 219),
        horizontal_line(171, 233),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_322_shape_group_3_shapes[] = {
        shape(frame_322_shape_group_3_shape_0_horizontal_lines, 0, 2),
        shape(frame_322_shape_group_3_shape_1_horizontal_lines, 4, 7),
        shape(frame_322_shape_group_3_shape_2_horizontal_lines, 55, 15),
        shape(frame_322_shape_group_3_shape_3_horizontal_lines, 60, 11),
        shape(frame_322_shape_group_3_shape_4_horizontal_lines, 62, 13),
        shape(frame_322_shape_group_3_shape_5_horizontal_lines, 63, 11),
        shape(frame_322_shape_group_3_shape_6_horizontal_lines, 110, 10),
        shape(frame_322_shape_group_3_shape_7_horizontal_lines, 151, 12),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(116, 155),
        horizontal_line(122, 160),
        horizontal_line(129, 166),
        horizontal_line(136, 172),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(59, 72),
        horizontal_line(67, 80),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(44, 44),
        horizontal_line(217, 239),
        horizontal_line(205, 239),
        horizontal_line(194, 239),
        horizontal_line(182, 239),
        horizontal_line(171, 233),
        horizontal_line(44, 44),
        horizontal_line(148, 210),
        horizontal_line(137, 199),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(45, 45),
        horizontal_line(121, 124),
        horizontal_line(120, 124),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(119, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(133, 195),
        horizontal_line(120, 122),
        horizontal_line(123, 123),
        horizontal_line(122, 128),
        horizontal_line(134, 196),
        horizontal_line(137, 199),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(0, 27),
        horizontal_line(132, 142),
        horizontal_line(134, 144),
        horizontal_line(137, 145),
        horizontal_line(139, 147),
        horizontal_line(142, 149),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(146, 152),
        horizontal_line(149, 153),
        horizontal_line(151, 155),
        horizontal_line(154, 157),
        horizontal_line(156, 158),
        horizontal_line(158, 160),
        horizontal_line(161, 161),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(124, 165),
        horizontal_line(124, 167),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 175),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(184, 205),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 191),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 199),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 212),
        horizontal_line(186, 215),
        horizontal_line(186, 217),
        horizontal_line(186, 220),
        horizontal_line(186, 223),
        horizontal_line(186, 225),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(191, 239),
        horizontal_line(205, 239),
        horizontal_line(219, 239),
        horizontal_line(233, 239),
    };

    constexpr const shape frame_322_shape_group_4_shapes[] = {
        shape(frame_322_shape_group_4_shape_0_horizontal_lines, 0, 7),
        shape(frame_322_shape_group_4_shape_1_horizontal_lines, 60, 15),
        shape(frame_322_shape_group_4_shape_2_horizontal_lines, 62, 11),
        shape(frame_322_shape_group_4_shape_3_horizontal_lines, 93, 15),
        shape(frame_322_shape_group_4_shape_4_horizontal_lines, 101, 11),
        shape(frame_322_shape_group_4_shape_5_horizontal_lines, 102, 15),
        shape(frame_322_shape_group_4_shape_6_horizontal_lines, 110, 10),
        shape(frame_322_shape_group_4_shape_7_horizontal_lines, 117, 1),
        shape(frame_322_shape_group_4_shape_8_horizontal_lines, 118, 10),
        shape(frame_322_shape_group_4_shape_9_horizontal_lines, 134, 1),
        shape(frame_322_shape_group_4_shape_10_horizontal_lines, 149, 12),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(50, 57),
        horizontal_line(48, 65),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(75, 87),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(91, 102),
        horizontal_line(99, 110),
        horizontal_line(107, 117),
        horizontal_line(115, 125),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(159, 221),
        horizontal_line(210, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(121, 124),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(195, 239),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(1, 24),
        horizontal_line(130, 137),
        horizontal_line(129, 139),
        horizontal_line(130, 141),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(144, 150),
        horizontal_line(176, 179),
        horizontal_line(178, 183),
        horizontal_line(180, 187),
        horizontal_line(182, 191),
        horizontal_line(184, 195),
        horizontal_line(186, 199),
        horizontal_line(188, 203),
        horizontal_line(190, 207),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(166, 191),
        horizontal_line(168, 193),
        horizontal_line(171, 195),
        horizontal_line(173, 197),
        horizontal_line(176, 199),
        horizontal_line(179, 201),
        horizontal_line(181, 203),
    };

    constexpr const horizontal_line frame_322_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(187, 207),
        horizontal_line(189, 209),
        horizontal_line(192, 211),
        horizontal_line(195, 213),
        horizontal_line(197, 215),
        horizontal_line(200, 217),
        horizontal_line(203, 219),
        horizontal_line(205, 221),
        horizontal_line(208, 223),
        horizontal_line(210, 225),
        horizontal_line(213, 227),
        horizontal_line(216, 229),
        horizontal_line(218, 231),
        horizontal_line(221, 233),
        horizontal_line(224, 235),
        horizontal_line(226, 237),
    };

    constexpr const shape frame_322_shape_group_5_shapes[] = {
        shape(frame_322_shape_group_5_shape_0_horizontal_lines, 60, 8),
        shape(frame_322_shape_group_5_shape_1_horizontal_lines, 62, 15),
        shape(frame_322_shape_group_5_shape_2_horizontal_lines, 63, 11),
        shape(frame_322_shape_group_5_shape_3_horizontal_lines, 64, 15),
        shape(frame_322_shape_group_5_shape_4_horizontal_lines, 68, 11),
        shape(frame_322_shape_group_5_shape_5_horizontal_lines, 92, 15),
        shape(frame_322_shape_group_5_shape_6_horizontal_lines, 96, 1),
        shape(frame_322_shape_group_5_shape_7_horizontal_lines, 101, 15),
        shape(frame_322_shape_group_5_shape_8_horizontal_lines, 110, 1),
        shape(frame_322_shape_group_5_shape_9_horizontal_lines, 118, 1),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(46, 72),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(83, 95),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(45, 87),
        horizontal_line(45, 95),
        horizontal_line(45, 102),
        horizontal_line(45, 107),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(123, 133),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(135, 197),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(67, 118),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(7, 23),
        horizontal_line(4, 23),
        horizontal_line(131, 136),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(142, 152),
        horizontal_line(143, 156),
        horizontal_line(145, 160),
        horizontal_line(146, 164),
        horizontal_line(148, 168),
        horizontal_line(150, 172),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(174, 175),
    };

    constexpr const horizontal_line frame_322_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 2),
        horizontal_line(0, 0),
    };

    constexpr const shape frame_322_shape_group_6_shapes[] = {
        shape(frame_322_shape_group_6_shape_0_horizontal_lines, 62, 8),
        shape(frame_322_shape_group_6_shape_1_horizontal_lines, 63, 15),
        shape(frame_322_shape_group_6_shape_2_horizontal_lines, 64, 8),
        shape(frame_322_shape_group_6_shape_3_horizontal_lines, 68, 15),
        shape(frame_322_shape_group_6_shape_4_horizontal_lines, 69, 11),
        shape(frame_322_shape_group_6_shape_5_horizontal_lines, 70, 8),
        shape(frame_322_shape_group_6_shape_6_horizontal_lines, 74, 11),
        shape(frame_322_shape_group_6_shape_7_horizontal_lines, 86, 8),
        shape(frame_322_shape_group_6_shape_8_horizontal_lines, 87, 11),
        shape(frame_322_shape_group_6_shape_9_horizontal_lines, 90, 15),
        shape(frame_322_shape_group_6_shape_10_horizontal_lines, 93, 10),
        shape(frame_322_shape_group_6_shape_11_horizontal_lines, 95, 1),
        shape(frame_322_shape_group_6_shape_12_horizontal_lines, 101, 15),
        shape(frame_322_shape_group_6_shape_13_horizontal_lines, 102, 1),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(45, 80),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(45, 107),
        horizontal_line(45, 107),
        horizontal_line(106, 121),
        horizontal_line(106, 120),
        horizontal_line(106, 120),
        horizontal_line(106, 120),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(50, 112),
        horizontal_line(54, 116),
        horizontal_line(58, 119),
        horizontal_line(62, 119),
        horizontal_line(63, 119),
        horizontal_line(65, 119),
        horizontal_line(67, 119),
        horizontal_line(69, 118),
        horizontal_line(68, 118),
        horizontal_line(68, 118),
        horizontal_line(67, 118),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(43, 44),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(17, 20),
        horizontal_line(14, 21),
        horizontal_line(11, 22),
        horizontal_line(133, 133),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(138, 144),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(101, 118),
    };

    constexpr const horizontal_line frame_322_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(153, 175),
        horizontal_line(154, 177),
        horizontal_line(156, 179),
        horizontal_line(158, 181),
        horizontal_line(159, 183),
        horizontal_line(161, 185),
        horizontal_line(162, 187),
        horizontal_line(164, 189),
    };

    constexpr const shape frame_322_shape_group_7_shapes[] = {
        shape(frame_322_shape_group_7_shape_0_horizontal_lines, 63, 8),
        shape(frame_322_shape_group_7_shape_1_horizontal_lines, 67, 8),
        shape(frame_322_shape_group_7_shape_2_horizontal_lines, 74, 11),
        shape(frame_322_shape_group_7_shape_3_horizontal_lines, 75, 8),
        shape(frame_322_shape_group_7_shape_4_horizontal_lines, 86, 10),
        shape(frame_322_shape_group_7_shape_5_horizontal_lines, 87, 15),
        shape(frame_322_shape_group_7_shape_6_horizontal_lines, 92, 10),
        shape(frame_322_shape_group_7_shape_7_horizontal_lines, 93, 1),
        shape(frame_322_shape_group_7_shape_8_horizontal_lines, 94, 10),
        shape(frame_322_shape_group_7_shape_9_horizontal_lines, 101, 1),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(107, 118),
        horizontal_line(107, 119),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(44, 44),
        horizontal_line(112, 120),
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(61, 62),
        horizontal_line(61, 64),
        horizontal_line(60, 66),
        horizontal_line(60, 68),
        horizontal_line(59, 67),
        horizontal_line(59, 67),
        horizontal_line(43, 43),
        horizontal_line(58, 66),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(66, 118),
        horizontal_line(66, 117),
        horizontal_line(66, 116),
        horizontal_line(65, 115),
        horizontal_line(65, 114),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(50, 112),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(140, 148),
    };

    constexpr const horizontal_line frame_322_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(151, 173),
    };

    constexpr const shape frame_322_shape_group_8_shapes[] = {
        shape(frame_322_shape_group_8_shape_0_horizontal_lines, 68, 8),
        shape(frame_322_shape_group_8_shape_1_horizontal_lines, 74, 8),
        shape(frame_322_shape_group_8_shape_2_horizontal_lines, 79, 10),
        shape(frame_322_shape_group_8_shape_3_horizontal_lines, 87, 8),
        shape(frame_322_shape_group_8_shape_4_horizontal_lines, 92, 10),
        shape(frame_322_shape_group_8_shape_5_horizontal_lines, 93, 3),
        shape(frame_322_shape_group_8_shape_6_horizontal_lines, 94, 1),
        shape(frame_322_shape_group_8_shape_7_horizontal_lines, 101, 1),
    };

    constexpr const horizontal_line frame_322_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_322_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(58, 66),
    };

    constexpr const horizontal_line frame_322_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(44, 45),
        horizontal_line(45, 46),
        horizontal_line(46, 47),
        horizontal_line(47, 48),
        horizontal_line(48, 50),
    };

    constexpr const horizontal_line frame_322_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_322_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(112, 116),
    };

    constexpr const shape frame_322_shape_group_9_shapes[] = {
        shape(frame_322_shape_group_9_shape_0_horizontal_lines, 74, 8),
        shape(frame_322_shape_group_9_shape_1_horizontal_lines, 85, 10),
        shape(frame_322_shape_group_9_shape_2_horizontal_lines, 87, 10),
        shape(frame_322_shape_group_9_shape_3_horizontal_lines, 92, 1),
        shape(frame_322_shape_group_9_shape_4_horizontal_lines, 93, 3),
    };

    constexpr const horizontal_line frame_322_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(108, 120),
    };

    constexpr const horizontal_line frame_322_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(58, 65),
        horizontal_line(57, 65),
        horizontal_line(57, 65),
        horizontal_line(56, 64),
        horizontal_line(56, 64),
    };

    constexpr const horizontal_line frame_322_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(50, 112),
    };

    constexpr const shape frame_322_shape_group_10_shapes[] = {
        shape(frame_322_shape_group_10_shape_0_horizontal_lines, 74, 8),
        shape(frame_322_shape_group_10_shape_1_horizontal_lines, 87, 10),
        shape(frame_322_shape_group_10_shape_2_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_322_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(118, 122),
        horizontal_line(117, 121),
        horizontal_line(116, 120),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_322_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(112, 115),
    };

    constexpr const shape frame_322_shape_group_11_shapes[] = {
        shape(frame_322_shape_group_11_shape_0_horizontal_lines, 87, 10),
        shape(frame_322_shape_group_11_shape_1_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_322_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(135, 136),
    };

    constexpr const shape frame_322_shape_group_12_shapes[] = {
        shape(frame_322_shape_group_12_shape_0_horizontal_lines, 91, 1),
    };

    constexpr const shape_group frame_322_shape_groups[] = {
        shape_group(frame_322_shape_group_0_shapes),
        shape_group(frame_322_shape_group_1_shapes),
        shape_group(frame_322_shape_group_2_shapes),
        shape_group(frame_322_shape_group_3_shapes),
        shape_group(frame_322_shape_group_4_shapes),
        shape_group(frame_322_shape_group_5_shapes),
        shape_group(frame_322_shape_group_6_shapes),
        shape_group(frame_322_shape_group_7_shapes),
        shape_group(frame_322_shape_group_8_shapes),
        shape_group(frame_322_shape_group_9_shapes),
        shape_group(frame_322_shape_group_10_shapes),
        shape_group(frame_322_shape_group_11_shapes),
        shape_group(frame_322_shape_group_12_shapes),
    };

    constexpr const frame frame_322_impl(frame_322_colors, frame_322_shape_groups);
} 

const frame& frame_322()
{
    return frame_322_impl;
}

namespace
{
    constexpr const bn::color frame_323_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_323_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(78, 140),
        horizontal_line(84, 146),
        horizontal_line(90, 152),
        horizontal_line(97, 159),
        horizontal_line(103, 165),
        horizontal_line(110, 172),
        horizontal_line(116, 178),
        horizontal_line(123, 185),
        horizontal_line(129, 191),
        horizontal_line(136, 198),
        horizontal_line(142, 204),
        horizontal_line(149, 211),
        horizontal_line(155, 217),
        horizontal_line(162, 224),
        horizontal_line(168, 230),
        horizontal_line(175, 237),
        horizontal_line(181, 239),
        horizontal_line(188, 239),
        horizontal_line(194, 239),
        horizontal_line(201, 239),
        horizontal_line(207, 239),
        horizontal_line(214, 239),
        horizontal_line(220, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(3, 22),
        horizontal_line(6, 24),
        horizontal_line(9, 27),
        horizontal_line(12, 25),
        horizontal_line(15, 24),
        horizontal_line(18, 22),
        horizontal_line(21, 21),
        horizontal_line(21, 25),
        horizontal_line(21, 31),
        horizontal_line(21, 36),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(21, 42),
        horizontal_line(20, 42),
        horizontal_line(20, 42),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(20, 41),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(126, 135),
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_323_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(23, 47),
        horizontal_line(24, 49),
        horizontal_line(25, 41),
        horizontal_line(26, 33),
        horizontal_line(27, 89),
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(217, 239),
        horizontal_line(221, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_323_shape_group_0_shapes[] = {
        shape(frame_323_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_323_shape_group_0_shape_1_horizontal_lines, 42, 13),
        shape(frame_323_shape_group_0_shape_2_horizontal_lines, 90, 11),
        shape(frame_323_shape_group_0_shape_3_horizontal_lines, 117, 15),
        shape(frame_323_shape_group_0_shape_4_horizontal_lines, 132, 10),
    };

    constexpr const horizontal_line frame_323_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(140, 202),
        horizontal_line(146, 208),
        horizontal_line(152, 214),
        horizontal_line(159, 221),
        horizontal_line(165, 227),
        horizontal_line(172, 234),
        horizontal_line(178, 239),
        horizontal_line(185, 239),
        horizontal_line(191, 239),
        horizontal_line(198, 239),
        horizontal_line(204, 239),
        horizontal_line(211, 239),
        horizontal_line(217, 239),
        horizontal_line(224, 239),
        horizontal_line(230, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(227, 239),
        horizontal_line(221, 239),
        horizontal_line(215, 239),
        horizontal_line(209, 239),
        horizontal_line(203, 239),
        horizontal_line(197, 239),
        horizontal_line(191, 239),
        horizontal_line(48, 48),
        horizontal_line(46, 46),
        horizontal_line(44, 44),
        horizontal_line(167, 219),
        horizontal_line(161, 209),
        horizontal_line(155, 199),
        horizontal_line(149, 189),
        horizontal_line(143, 179),
        horizontal_line(122, 124),
        horizontal_line(122, 125),
        horizontal_line(123, 126),
        horizontal_line(124, 127),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 137),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 136),
        horizontal_line(125, 136),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
    };

    constexpr const horizontal_line frame_323_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 14),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
        horizontal_line(23, 46),
        horizontal_line(51, 53),
        horizontal_line(121, 133),
        horizontal_line(121, 132),
        horizontal_line(126, 131),
        horizontal_line(157, 219),
        horizontal_line(161, 223),
        horizontal_line(165, 227),
        horizontal_line(169, 231),
        horizontal_line(173, 235),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(206, 239),
        horizontal_line(210, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(198, 216),
        horizontal_line(200, 220),
        horizontal_line(202, 224),
        horizontal_line(204, 227),
        horizontal_line(206, 231),
        horizontal_line(208, 235),
    };

    constexpr const horizontal_line frame_323_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_323_shape_group_1_shapes[] = {
        shape(frame_323_shape_group_1_shape_0_horizontal_lines, 0, 2),
        shape(frame_323_shape_group_1_shape_1_horizontal_lines, 51, 13),
        shape(frame_323_shape_group_1_shape_2_horizontal_lines, 86, 11),
        shape(frame_323_shape_group_1_shape_3_horizontal_lines, 111, 15),
        shape(frame_323_shape_group_1_shape_4_horizontal_lines, 117, 10),
    };

    constexpr const horizontal_line frame_323_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(208, 239),
        horizontal_line(214, 239),
        horizontal_line(221, 239),
        horizontal_line(227, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_323_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(179, 239),
        horizontal_line(173, 229),
    };

    constexpr const horizontal_line frame_323_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_323_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(137, 169),
        horizontal_line(137, 159),
        horizontal_line(138, 149),
        horizontal_line(139, 139),
    };

    constexpr const horizontal_line frame_323_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(45, 55),
        horizontal_line(20, 43),
        horizontal_line(21, 44),
        horizontal_line(22, 45),
        horizontal_line(49, 53),
        horizontal_line(122, 134),
        horizontal_line(145, 207),
        horizontal_line(149, 211),
        horizontal_line(153, 215),
        horizontal_line(89, 131),
        horizontal_line(86, 133),
        horizontal_line(84, 136),
        horizontal_line(82, 138),
        horizontal_line(80, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_323_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_323_shape_group_2_shapes[] = {
        shape(frame_323_shape_group_2_shape_0_horizontal_lines, 0, 2),
        shape(frame_323_shape_group_2_shape_1_horizontal_lines, 51, 11),
        shape(frame_323_shape_group_2_shape_2_horizontal_lines, 59, 13),
        shape(frame_323_shape_group_2_shape_3_horizontal_lines, 62, 11),
        shape(frame_323_shape_group_2_shape_4_horizontal_lines, 67, 13),
        shape(frame_323_shape_group_2_shape_5_horizontal_lines, 71, 11),
        shape(frame_323_shape_group_2_shape_6_horizontal_lines, 111, 10),
    };

    constexpr const horizontal_line frame_323_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(32, 33),
        horizontal_line(37, 41),
        horizontal_line(41, 49),
        horizontal_line(46, 57),
        horizontal_line(51, 64),
    };

    constexpr const horizontal_line frame_323_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(43, 43),
        horizontal_line(43, 44),
        horizontal_line(43, 48),
        horizontal_line(42, 52),
        horizontal_line(42, 56),
        horizontal_line(42, 60),
        horizontal_line(42, 59),
        horizontal_line(42, 59),
        horizontal_line(42, 58),
        horizontal_line(42, 58),
        horizontal_line(42, 57),
        horizontal_line(42, 57),
        horizontal_line(42, 56),
        horizontal_line(42, 56),
        horizontal_line(44, 56),
        horizontal_line(123, 124),
        horizontal_line(46, 55),
        horizontal_line(47, 54),
        horizontal_line(48, 54),
        horizontal_line(123, 135),
        horizontal_line(141, 203),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(231, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
        horizontal_line(138, 146),
        horizontal_line(136, 149),
        horizontal_line(134, 151),
        horizontal_line(132, 154),
        horizontal_line(130, 157),
        horizontal_line(128, 159),
        horizontal_line(126, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
    };

    constexpr const horizontal_line frame_323_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 222),
        horizontal_line(186, 224),
        horizontal_line(186, 227),
        horizontal_line(186, 229),
        horizontal_line(186, 231),
        horizontal_line(186, 234),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_323_shape_group_3_shapes[] = {
        shape(frame_323_shape_group_3_shape_0_horizontal_lines, 54, 15),
        shape(frame_323_shape_group_3_shape_1_horizontal_lines, 59, 11),
        shape(frame_323_shape_group_3_shape_2_horizontal_lines, 111, 10),
    };

    constexpr const horizontal_line frame_323_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(59, 72),
        horizontal_line(68, 80),
    };

    constexpr const horizontal_line frame_323_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(220, 239),
        horizontal_line(210, 239),
        horizontal_line(200, 239),
        horizontal_line(190, 239),
        horizontal_line(180, 239),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(43, 43),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(136, 198),
        horizontal_line(124, 124),
        horizontal_line(125, 125),
        horizontal_line(124, 130),
        horizontal_line(137, 199),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(0, 26),
        horizontal_line(134, 146),
        horizontal_line(137, 147),
        horizontal_line(139, 149),
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_323_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_323_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(147, 154),
        horizontal_line(150, 156),
        horizontal_line(152, 158),
        horizontal_line(155, 159),
        horizontal_line(158, 161),
        horizontal_line(160, 163),
        horizontal_line(163, 164),
        horizontal_line(165, 166),
        horizontal_line(168, 168),
        horizontal_line(196, 213),
    };

    constexpr const horizontal_line frame_323_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 184),
        horizontal_line(186, 186),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 200),
        horizontal_line(186, 203),
        horizontal_line(186, 205),
        horizontal_line(186, 208),
        horizontal_line(186, 210),
        horizontal_line(186, 212),
        horizontal_line(186, 215),
        horizontal_line(186, 217),
        horizontal_line(186, 219),
    };

    constexpr const horizontal_line frame_323_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_323_shape_group_4_shapes[] = {
        shape(frame_323_shape_group_4_shape_0_horizontal_lines, 59, 15),
        shape(frame_323_shape_group_4_shape_1_horizontal_lines, 61, 11),
        shape(frame_323_shape_group_4_shape_2_horizontal_lines, 92, 15),
        shape(frame_323_shape_group_4_shape_3_horizontal_lines, 100, 11),
        shape(frame_323_shape_group_4_shape_4_horizontal_lines, 101, 15),
        shape(frame_323_shape_group_4_shape_5_horizontal_lines, 111, 10),
        shape(frame_323_shape_group_4_shape_6_horizontal_lines, 132, 1),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(49, 57),
        horizontal_line(47, 65),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(78, 88),
        horizontal_line(87, 96),
        horizontal_line(96, 103),
        horizontal_line(106, 111),
        horizontal_line(115, 119),
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(160, 222),
        horizontal_line(150, 212),
        horizontal_line(140, 202),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(198, 239),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(134, 139),
        horizontal_line(133, 141),
        horizontal_line(132, 142),
        horizontal_line(132, 144),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(145, 153),
        horizontal_line(178, 179),
        horizontal_line(180, 183),
        horizontal_line(182, 187),
        horizontal_line(184, 190),
        horizontal_line(186, 194),
        horizontal_line(188, 198),
        horizontal_line(190, 201),
        horizontal_line(192, 205),
        horizontal_line(194, 209),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(170, 170),
    };

    constexpr const horizontal_line frame_323_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(173, 197),
        horizontal_line(175, 199),
        horizontal_line(178, 201),
        horizontal_line(180, 203),
        horizontal_line(182, 205),
        horizontal_line(185, 207),
        horizontal_line(187, 209),
        horizontal_line(190, 211),
        horizontal_line(192, 213),
        horizontal_line(194, 215),
        horizontal_line(197, 217),
        horizontal_line(199, 219),
        horizontal_line(201, 221),
        horizontal_line(204, 223),
        horizontal_line(206, 225),
        horizontal_line(209, 227),
        horizontal_line(211, 229),
        horizontal_line(213, 231),
        horizontal_line(216, 233),
        horizontal_line(218, 235),
        horizontal_line(220, 237),
    };

    constexpr const shape frame_323_shape_group_5_shapes[] = {
        shape(frame_323_shape_group_5_shape_0_horizontal_lines, 59, 8),
        shape(frame_323_shape_group_5_shape_1_horizontal_lines, 61, 15),
        shape(frame_323_shape_group_5_shape_2_horizontal_lines, 67, 11),
        shape(frame_323_shape_group_5_shape_3_horizontal_lines, 91, 15),
        shape(frame_323_shape_group_5_shape_4_horizontal_lines, 96, 1),
        shape(frame_323_shape_group_5_shape_5_horizontal_lines, 100, 15),
        shape(frame_323_shape_group_5_shape_6_horizontal_lines, 110, 10),
        shape(frame_323_shape_group_5_shape_7_horizontal_lines, 111, 1),
    };

    constexpr const horizontal_line frame_323_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(45, 73),
        horizontal_line(44, 81),
        horizontal_line(44, 88),
        horizontal_line(44, 96),
        horizontal_line(44, 104),
        horizontal_line(44, 106),
    };

    constexpr const horizontal_line frame_323_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(222, 239),
        horizontal_line(212, 239),
        horizontal_line(202, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(68, 121),
    };

    constexpr const horizontal_line frame_323_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_323_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(1, 22),
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_323_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(42, 104),
        horizontal_line(34, 96),
    };

    constexpr const horizontal_line frame_323_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(145, 156),
        horizontal_line(147, 160),
        horizontal_line(148, 164),
        horizontal_line(150, 168),
        horizontal_line(152, 172),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(167, 191),
        horizontal_line(169, 193),
        horizontal_line(171, 195),
    };

    constexpr const shape frame_323_shape_group_6_shapes[] = {
        shape(frame_323_shape_group_6_shape_0_horizontal_lines, 61, 8),
        shape(frame_323_shape_group_6_shape_1_horizontal_lines, 67, 11),
        shape(frame_323_shape_group_6_shape_2_horizontal_lines, 86, 8),
        shape(frame_323_shape_group_6_shape_3_horizontal_lines, 87, 11),
        shape(frame_323_shape_group_6_shape_4_horizontal_lines, 90, 15),
        shape(frame_323_shape_group_6_shape_5_horizontal_lines, 92, 10),
        shape(frame_323_shape_group_6_shape_6_horizontal_lines, 95, 1),
    };

    constexpr const horizontal_line frame_323_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(106, 112),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(44, 106),
        horizontal_line(45, 107),
        horizontal_line(49, 111),
        horizontal_line(53, 115),
        horizontal_line(57, 119),
        horizontal_line(61, 122),
        horizontal_line(62, 122),
        horizontal_line(64, 122),
        horizontal_line(66, 121),
        horizontal_line(68, 121),
        horizontal_line(70, 121),
        horizontal_line(69, 121),
        horizontal_line(69, 121),
        horizontal_line(68, 121),
        horizontal_line(68, 121),
    };

    constexpr const horizontal_line frame_323_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(43, 44),
    };

    constexpr const horizontal_line frame_323_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(15, 19),
        horizontal_line(10, 20),
        horizontal_line(5, 21),
        horizontal_line(136, 136),
    };

    constexpr const horizontal_line frame_323_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(66, 116),
    };

    constexpr const horizontal_line frame_323_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_323_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(104, 120),
        horizontal_line(96, 125),
    };

    constexpr const horizontal_line frame_323_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(154, 176),
        horizontal_line(155, 177),
        horizontal_line(157, 179),
        horizontal_line(159, 181),
        horizontal_line(160, 183),
        horizontal_line(162, 185),
        horizontal_line(164, 187),
        horizontal_line(165, 189),
    };

    constexpr const shape frame_323_shape_group_7_shapes[] = {
        shape(frame_323_shape_group_7_shape_0_horizontal_lines, 66, 8),
        shape(frame_323_shape_group_7_shape_1_horizontal_lines, 86, 10),
        shape(frame_323_shape_group_7_shape_2_horizontal_lines, 87, 15),
        shape(frame_323_shape_group_7_shape_3_horizontal_lines, 91, 8),
        shape(frame_323_shape_group_7_shape_4_horizontal_lines, 92, 1),
        shape(frame_323_shape_group_7_shape_5_horizontal_lines, 93, 10),
        shape(frame_323_shape_group_7_shape_6_horizontal_lines, 100, 1),
    };

    constexpr const horizontal_line frame_323_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(106, 120),
        horizontal_line(106, 121),
        horizontal_line(106, 122),
        horizontal_line(106, 123),
        horizontal_line(106, 122),
        horizontal_line(107, 122),
        horizontal_line(111, 122),
        horizontal_line(115, 122),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_323_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(60, 61),
        horizontal_line(60, 63),
        horizontal_line(59, 65),
        horizontal_line(59, 67),
        horizontal_line(58, 69),
        horizontal_line(58, 68),
        horizontal_line(57, 68),
        horizontal_line(57, 67),
        horizontal_line(42, 43),
        horizontal_line(56, 67),
    };

    constexpr const horizontal_line frame_323_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(67, 120),
        horizontal_line(67, 119),
        horizontal_line(66, 118),
        horizontal_line(66, 117),
    };

    constexpr const horizontal_line frame_323_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(48, 50),
    };

    constexpr const horizontal_line frame_323_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(50, 112),
    };

    constexpr const horizontal_line frame_323_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(142, 148),
        horizontal_line(143, 152),
    };

    constexpr const shape frame_323_shape_group_8_shapes[] = {
        shape(frame_323_shape_group_8_shape_0_horizontal_lines, 67, 8),
        shape(frame_323_shape_group_8_shape_1_horizontal_lines, 77, 10),
        shape(frame_323_shape_group_8_shape_2_horizontal_lines, 87, 8),
        shape(frame_323_shape_group_8_shape_3_horizontal_lines, 91, 10),
        shape(frame_323_shape_group_8_shape_4_horizontal_lines, 92, 3),
        shape(frame_323_shape_group_8_shape_5_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_323_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(57, 67),
        horizontal_line(122, 122),
        horizontal_line(44, 45),
        horizontal_line(45, 46),
        horizontal_line(46, 47),
        horizontal_line(47, 48),
        horizontal_line(54, 65),
    };

    constexpr const horizontal_line frame_323_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(112, 117),
    };

    constexpr const shape frame_323_shape_group_9_shapes[] = {
        shape(frame_323_shape_group_9_shape_0_horizontal_lines, 85, 10),
        shape(frame_323_shape_group_9_shape_1_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_323_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(56, 66),
        horizontal_line(55, 66),
        horizontal_line(55, 65),
        horizontal_line(54, 65),
        horizontal_line(117, 121),
    };

    constexpr const shape frame_323_shape_group_10_shapes[] = {
        shape(frame_323_shape_group_10_shape_0_horizontal_lines, 87, 10),
    };

    constexpr const horizontal_line frame_323_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(120, 124),
        horizontal_line(119, 123),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_323_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(138, 140),
    };

    constexpr const shape frame_323_shape_group_11_shapes[] = {
        shape(frame_323_shape_group_11_shape_0_horizontal_lines, 87, 10),
        shape(frame_323_shape_group_11_shape_1_horizontal_lines, 91, 1),
    };

    constexpr const shape_group frame_323_shape_groups[] = {
        shape_group(frame_323_shape_group_0_shapes),
        shape_group(frame_323_shape_group_1_shapes),
        shape_group(frame_323_shape_group_2_shapes),
        shape_group(frame_323_shape_group_3_shapes),
        shape_group(frame_323_shape_group_4_shapes),
        shape_group(frame_323_shape_group_5_shapes),
        shape_group(frame_323_shape_group_6_shapes),
        shape_group(frame_323_shape_group_7_shapes),
        shape_group(frame_323_shape_group_8_shapes),
        shape_group(frame_323_shape_group_9_shapes),
        shape_group(frame_323_shape_group_10_shapes),
        shape_group(frame_323_shape_group_11_shapes),
    };

    constexpr const frame frame_323_impl(frame_323_colors, frame_323_shape_groups);
} 

const frame& frame_323()
{
    return frame_323_impl;
}

namespace
{
    constexpr const bn::color frame_324_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_324_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(188, 239),
        horizontal_line(194, 239),
        horizontal_line(201, 239),
        horizontal_line(207, 239),
        horizontal_line(214, 239),
        horizontal_line(220, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(3, 25),
        horizontal_line(7, 23),
        horizontal_line(11, 22),
        horizontal_line(15, 20),
        horizontal_line(19, 19),
        horizontal_line(19, 23),
        horizontal_line(19, 29),
        horizontal_line(19, 35),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(19, 41),
        horizontal_line(18, 41),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 28),
        horizontal_line(128, 137),
        horizontal_line(129, 137),
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_324_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(22, 47),
        horizontal_line(23, 48),
        horizontal_line(24, 40),
        horizontal_line(25, 32),
        horizontal_line(26, 88),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(9, 71),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_324_shape_group_0_shapes[] = {
        shape(frame_324_shape_group_0_shape_0_horizontal_lines, 0, 2),
        shape(frame_324_shape_group_0_shape_1_horizontal_lines, 41, 13),
        shape(frame_324_shape_group_0_shape_2_horizontal_lines, 89, 11),
        shape(frame_324_shape_group_0_shape_3_horizontal_lines, 117, 15),
        shape(frame_324_shape_group_0_shape_4_horizontal_lines, 130, 10),
    };

    constexpr const horizontal_line frame_324_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(228, 239),
        horizontal_line(222, 239),
        horizontal_line(216, 239),
        horizontal_line(210, 239),
        horizontal_line(204, 239),
        horizontal_line(198, 239),
        horizontal_line(47, 50),
        horizontal_line(45, 47),
        horizontal_line(43, 45),
        horizontal_line(43, 43),
        horizontal_line(169, 221),
        horizontal_line(163, 212),
        horizontal_line(157, 203),
        horizontal_line(151, 194),
        horizontal_line(145, 185),
        horizontal_line(140, 176),
        horizontal_line(124, 126),
        horizontal_line(125, 127),
        horizontal_line(126, 128),
        horizontal_line(128, 141),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 139),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
    };

    constexpr const horizontal_line frame_324_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 42),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(20, 45),
        horizontal_line(21, 46),
        horizontal_line(124, 135),
        horizontal_line(123, 135),
        horizontal_line(123, 134),
        horizontal_line(129, 133),
        horizontal_line(160, 222),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(206, 224),
        horizontal_line(208, 228),
        horizontal_line(210, 231),
        horizontal_line(212, 235),
    };

    constexpr const horizontal_line frame_324_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_324_shape_group_1_shapes[] = {
        shape(frame_324_shape_group_1_shape_0_horizontal_lines, 50, 13),
        shape(frame_324_shape_group_1_shape_1_horizontal_lines, 86, 11),
        shape(frame_324_shape_group_1_shape_2_horizontal_lines, 113, 15),
        shape(frame_324_shape_group_1_shape_3_horizontal_lines, 117, 10),
    };

    constexpr const horizontal_line frame_324_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_324_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(187, 239),
        horizontal_line(181, 239),
        horizontal_line(175, 230),
    };

    constexpr const horizontal_line frame_324_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_324_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(139, 167),
        horizontal_line(140, 158),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_324_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(46, 52),
        horizontal_line(18, 43),
        horizontal_line(19, 44),
        horizontal_line(49, 51),
        horizontal_line(50, 51),
        horizontal_line(146, 208),
        horizontal_line(149, 211),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(88, 134),
        horizontal_line(84, 136),
        horizontal_line(82, 138),
        horizontal_line(80, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(71, 133),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_324_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_324_shape_group_2_shapes[] = {
        shape(frame_324_shape_group_2_shape_0_horizontal_lines, 51, 11),
        shape(frame_324_shape_group_2_shape_1_horizontal_lines, 57, 13),
        shape(frame_324_shape_group_2_shape_2_horizontal_lines, 61, 11),
        shape(frame_324_shape_group_2_shape_3_horizontal_lines, 67, 13),
        shape(frame_324_shape_group_2_shape_4_horizontal_lines, 70, 11),
        shape(frame_324_shape_group_2_shape_5_horizontal_lines, 113, 10),
    };

    constexpr const horizontal_line frame_324_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(30, 31),
        horizontal_line(35, 39),
        horizontal_line(40, 46),
        horizontal_line(45, 54),
        horizontal_line(50, 62),
    };

    constexpr const horizontal_line frame_324_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(42, 42),
        horizontal_line(42, 42),
        horizontal_line(42, 42),
        horizontal_line(42, 42),
        horizontal_line(42, 42),
        horizontal_line(42, 42),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(42, 42),
        horizontal_line(42, 43),
        horizontal_line(41, 48),
        horizontal_line(41, 53),
        horizontal_line(41, 58),
        horizontal_line(41, 57),
        horizontal_line(41, 57),
        horizontal_line(41, 56),
        horizontal_line(41, 56),
        horizontal_line(41, 55),
        horizontal_line(41, 55),
        horizontal_line(41, 54),
        horizontal_line(41, 54),
        horizontal_line(41, 54),
        horizontal_line(44, 53),
        horizontal_line(29, 41),
        horizontal_line(68, 69),
        horizontal_line(47, 52),
        horizontal_line(48, 51),
        horizontal_line(66, 68),
        horizontal_line(66, 69),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(137, 145),
        horizontal_line(135, 148),
        horizontal_line(133, 150),
        horizontal_line(130, 152),
        horizontal_line(128, 155),
        horizontal_line(126, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 169),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
    };

    constexpr const horizontal_line frame_324_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 217),
        horizontal_line(186, 219),
        horizontal_line(186, 222),
        horizontal_line(186, 224),
        horizontal_line(186, 226),
        horizontal_line(186, 229),
        horizontal_line(186, 231),
        horizontal_line(186, 234),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_324_shape_group_3_shapes[] = {
        shape(frame_324_shape_group_3_shape_0_horizontal_lines, 52, 15),
        shape(frame_324_shape_group_3_shape_1_horizontal_lines, 57, 11),
        shape(frame_324_shape_group_3_shape_2_horizontal_lines, 113, 10),
    };

    constexpr const horizontal_line frame_324_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(56, 69),
        horizontal_line(64, 77),
        horizontal_line(72, 84),
    };

    constexpr const horizontal_line frame_324_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(42, 42),
        horizontal_line(222, 239),
        horizontal_line(213, 239),
        horizontal_line(204, 239),
        horizontal_line(195, 239),
        horizontal_line(186, 239),
        horizontal_line(177, 239),
        horizontal_line(42, 42),
        horizontal_line(42, 42),
        horizontal_line(42, 42),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(70, 70),
        horizontal_line(70, 70),
        horizontal_line(69, 71),
        horizontal_line(69, 70),
        horizontal_line(68, 70),
        horizontal_line(45, 53),
        horizontal_line(125, 127),
        horizontal_line(67, 69),
        horizontal_line(67, 68),
        horizontal_line(126, 137),
        horizontal_line(125, 136),
    };

    constexpr const horizontal_line frame_324_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
        horizontal_line(137, 148),
        horizontal_line(139, 150),
        horizontal_line(142, 152),
    };

    constexpr const horizontal_line frame_324_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_324_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(146, 155),
        horizontal_line(149, 156),
        horizontal_line(151, 158),
        horizontal_line(153, 159),
        horizontal_line(156, 161),
        horizontal_line(158, 163),
        horizontal_line(160, 164),
        horizontal_line(163, 166),
        horizontal_line(165, 167),
        horizontal_line(167, 169),
        horizontal_line(170, 170),
        horizontal_line(172, 172),
        horizontal_line(204, 220),
    };

    constexpr const horizontal_line frame_324_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(124, 176),
        horizontal_line(124, 178),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(186, 186),
        horizontal_line(186, 188),
        horizontal_line(186, 190),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 198),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(186, 210),
        horizontal_line(186, 212),
        horizontal_line(186, 214),
    };

    constexpr const horizontal_line frame_324_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_324_shape_group_4_shapes[] = {
        shape(frame_324_shape_group_4_shape_0_horizontal_lines, 57, 15),
        shape(frame_324_shape_group_4_shape_1_horizontal_lines, 60, 11),
        shape(frame_324_shape_group_4_shape_2_horizontal_lines, 91, 15),
        shape(frame_324_shape_group_4_shape_3_horizontal_lines, 99, 11),
        shape(frame_324_shape_group_4_shape_4_horizontal_lines, 100, 15),
        shape(frame_324_shape_group_4_shape_5_horizontal_lines, 113, 10),
        shape(frame_324_shape_group_4_shape_6_horizontal_lines, 130, 1),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(48, 57),
        horizontal_line(46, 65),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(88, 100),
        horizontal_line(95, 107),
        horizontal_line(103, 115),
        horizontal_line(111, 122),
        horizontal_line(119, 130),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(168, 230),
        horizontal_line(159, 221),
        horizontal_line(150, 212),
        horizontal_line(142, 204),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(140, 202),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(68, 69),
        horizontal_line(138, 200),
        horizontal_line(128, 128),
        horizontal_line(127, 133),
        horizontal_line(139, 201),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(136, 141),
        horizontal_line(136, 142),
        horizontal_line(135, 144),
        horizontal_line(134, 145),
        horizontal_line(135, 147),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(144, 153),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(184, 184),
        horizontal_line(186, 188),
        horizontal_line(188, 191),
        horizontal_line(190, 195),
        horizontal_line(192, 199),
        horizontal_line(194, 202),
        horizontal_line(196, 206),
        horizontal_line(198, 210),
        horizontal_line(200, 213),
        horizontal_line(202, 217),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(174, 174),
    };

    constexpr const horizontal_line frame_324_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(177, 205),
        horizontal_line(179, 207),
        horizontal_line(182, 209),
        horizontal_line(184, 211),
        horizontal_line(187, 213),
        horizontal_line(189, 215),
        horizontal_line(191, 217),
        horizontal_line(194, 219),
        horizontal_line(196, 221),
        horizontal_line(199, 223),
        horizontal_line(201, 225),
        horizontal_line(203, 227),
        horizontal_line(206, 229),
        horizontal_line(208, 231),
        horizontal_line(211, 233),
        horizontal_line(213, 235),
        horizontal_line(215, 237),
    };

    constexpr const shape frame_324_shape_group_5_shapes[] = {
        shape(frame_324_shape_group_5_shape_0_horizontal_lines, 58, 8),
        shape(frame_324_shape_group_5_shape_1_horizontal_lines, 60, 11),
        shape(frame_324_shape_group_5_shape_2_horizontal_lines, 61, 15),
        shape(frame_324_shape_group_5_shape_3_horizontal_lines, 66, 11),
        shape(frame_324_shape_group_5_shape_4_horizontal_lines, 91, 15),
        shape(frame_324_shape_group_5_shape_5_horizontal_lines, 96, 1),
        shape(frame_324_shape_group_5_shape_6_horizontal_lines, 99, 15),
        shape(frame_324_shape_group_5_shape_7_horizontal_lines, 100, 1),
        shape(frame_324_shape_group_5_shape_8_horizontal_lines, 102, 15),
        shape(frame_324_shape_group_5_shape_9_horizontal_lines, 112, 10),
        shape(frame_324_shape_group_5_shape_10_horizontal_lines, 113, 1),
    };

    constexpr const horizontal_line frame_324_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(80, 92),
    };

    constexpr const horizontal_line frame_324_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(43, 81),
        horizontal_line(43, 89),
        horizontal_line(43, 97),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_324_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(127, 138),
    };

    constexpr const horizontal_line frame_324_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(221, 239),
        horizontal_line(212, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(139, 201),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(124, 127),
        horizontal_line(200, 239),
        horizontal_line(138, 200),
        horizontal_line(138, 200),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(48, 48),
        horizontal_line(121, 122),
        horizontal_line(41, 103),
        horizontal_line(33, 95),
    };

    constexpr const horizontal_line frame_324_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(148, 159),
        horizontal_line(149, 163),
        horizontal_line(151, 166),
        horizontal_line(153, 170),
        horizontal_line(0, 14),
        horizontal_line(156, 177),
        horizontal_line(157, 181),
        horizontal_line(0, 8),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(165, 191),
        horizontal_line(167, 193),
        horizontal_line(168, 195),
        horizontal_line(170, 197),
        horizontal_line(171, 199),
        horizontal_line(173, 201),
        horizontal_line(175, 203),
    };

    constexpr const shape frame_324_shape_group_6_shapes[] = {
        shape(frame_324_shape_group_6_shape_0_horizontal_lines, 60, 15),
        shape(frame_324_shape_group_6_shape_1_horizontal_lines, 61, 8),
        shape(frame_324_shape_group_6_shape_2_horizontal_lines, 66, 15),
        shape(frame_324_shape_group_6_shape_3_horizontal_lines, 67, 11),
        shape(frame_324_shape_group_6_shape_4_horizontal_lines, 91, 10),
        shape(frame_324_shape_group_6_shape_5_horizontal_lines, 95, 1),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(44, 73),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(105, 113),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(49, 111),
        horizontal_line(54, 116),
        horizontal_line(59, 121),
        horizontal_line(61, 123),
        horizontal_line(63, 124),
        horizontal_line(66, 124),
        horizontal_line(68, 123),
        horizontal_line(71, 123),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(138, 200),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(70, 123),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(5, 19),
        horizontal_line(1, 20),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(143, 148),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(103, 122),
        horizontal_line(95, 128),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(154, 173),
    };

    constexpr const horizontal_line frame_324_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(159, 183),
        horizontal_line(160, 185),
        horizontal_line(162, 187),
        horizontal_line(164, 189),
    };

    constexpr const shape frame_324_shape_group_7_shapes[] = {
        shape(frame_324_shape_group_7_shape_0_horizontal_lines, 60, 8),
        shape(frame_324_shape_group_7_shape_1_horizontal_lines, 64, 8),
        shape(frame_324_shape_group_7_shape_2_horizontal_lines, 80, 11),
        shape(frame_324_shape_group_7_shape_3_horizontal_lines, 86, 8),
        shape(frame_324_shape_group_7_shape_4_horizontal_lines, 87, 11),
        shape(frame_324_shape_group_7_shape_5_horizontal_lines, 89, 15),
        shape(frame_324_shape_group_7_shape_6_horizontal_lines, 91, 10),
        shape(frame_324_shape_group_7_shape_7_horizontal_lines, 92, 1),
        shape(frame_324_shape_group_7_shape_8_horizontal_lines, 93, 10),
        shape(frame_324_shape_group_7_shape_9_horizontal_lines, 99, 1),
        shape(frame_324_shape_group_7_shape_10_horizontal_lines, 102, 1),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(105, 122),
        horizontal_line(105, 123),
        horizontal_line(105, 124),
        horizontal_line(105, 125),
        horizontal_line(105, 124),
        horizontal_line(106, 124),
        horizontal_line(111, 124),
        horizontal_line(116, 124),
        horizontal_line(121, 124),
        horizontal_line(123, 124),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(58, 62),
        horizontal_line(57, 65),
        horizontal_line(57, 67),
        horizontal_line(56, 70),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(71, 123),
        horizontal_line(71, 123),
        horizontal_line(72, 123),
        horizontal_line(71, 123),
        horizontal_line(71, 123),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(43, 45),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(13, 17),
        horizontal_line(9, 18),
        horizontal_line(138, 138),
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(49, 111),
    };

    constexpr const horizontal_line frame_324_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(145, 152),
        horizontal_line(146, 155),
    };

    constexpr const shape frame_324_shape_group_8_shapes[] = {
        shape(frame_324_shape_group_8_shape_0_horizontal_lines, 66, 8),
        shape(frame_324_shape_group_8_shape_1_horizontal_lines, 76, 10),
        shape(frame_324_shape_group_8_shape_2_horizontal_lines, 80, 8),
        shape(frame_324_shape_group_8_shape_3_horizontal_lines, 85, 11),
        shape(frame_324_shape_group_8_shape_4_horizontal_lines, 86, 10),
        shape(frame_324_shape_group_8_shape_5_horizontal_lines, 87, 15),
        shape(frame_324_shape_group_8_shape_6_horizontal_lines, 91, 1),
        shape(frame_324_shape_group_8_shape_7_horizontal_lines, 92, 3),
        shape(frame_324_shape_group_8_shape_8_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_324_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_324_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(56, 69),
        horizontal_line(55, 69),
        horizontal_line(55, 68),
        horizontal_line(55, 68),
        horizontal_line(41, 43),
    };

    constexpr const horizontal_line frame_324_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(70, 123),
    };

    constexpr const horizontal_line frame_324_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(53, 67),
    };

    constexpr const horizontal_line frame_324_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(70, 122),
        horizontal_line(69, 121),
        horizontal_line(69, 120),
        horizontal_line(70, 119),
    };

    constexpr const horizontal_line frame_324_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(49, 111),
        horizontal_line(111, 120),
    };

    constexpr const shape frame_324_shape_group_9_shapes[] = {
        shape(frame_324_shape_group_9_shape_0_horizontal_lines, 75, 10),
        shape(frame_324_shape_group_9_shape_1_horizontal_lines, 80, 10),
        shape(frame_324_shape_group_9_shape_2_horizontal_lines, 85, 8),
        shape(frame_324_shape_group_9_shape_3_horizontal_lines, 86, 10),
        shape(frame_324_shape_group_9_shape_4_horizontal_lines, 87, 8),
        shape(frame_324_shape_group_9_shape_5_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_324_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(54, 67),
        horizontal_line(42, 44),
        horizontal_line(124, 124),
        horizontal_line(44, 46),
        horizontal_line(45, 47),
        horizontal_line(46, 48),
        horizontal_line(47, 49),
    };

    constexpr const horizontal_line frame_324_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(111, 119),
    };

    constexpr const shape frame_324_shape_group_10_shapes[] = {
        shape(frame_324_shape_group_10_shape_0_horizontal_lines, 84, 10),
        shape(frame_324_shape_group_10_shape_1_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_324_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(54, 67),
    };

    constexpr const horizontal_line frame_324_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(53, 66),
        horizontal_line(52, 66),
        horizontal_line(52, 65),
        horizontal_line(52, 65),
    };

    constexpr const shape frame_324_shape_group_11_shapes[] = {
        shape(frame_324_shape_group_11_shape_0_horizontal_lines, 85, 10),
        shape(frame_324_shape_group_11_shape_1_horizontal_lines, 87, 10),
    };

    constexpr const horizontal_line frame_324_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(123, 127),
        horizontal_line(122, 126),
        horizontal_line(121, 125),
        horizontal_line(120, 124),
    };

    constexpr const shape frame_324_shape_group_12_shapes[] = {
        shape(frame_324_shape_group_12_shape_0_horizontal_lines, 87, 10),
    };

    constexpr const horizontal_line frame_324_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(140, 141),
    };

    constexpr const shape frame_324_shape_group_13_shapes[] = {
        shape(frame_324_shape_group_13_shape_0_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_324_shape_groups[] = {
        shape_group(frame_324_shape_group_0_shapes),
        shape_group(frame_324_shape_group_1_shapes),
        shape_group(frame_324_shape_group_2_shapes),
        shape_group(frame_324_shape_group_3_shapes),
        shape_group(frame_324_shape_group_4_shapes),
        shape_group(frame_324_shape_group_5_shapes),
        shape_group(frame_324_shape_group_6_shapes),
        shape_group(frame_324_shape_group_7_shapes),
        shape_group(frame_324_shape_group_8_shapes),
        shape_group(frame_324_shape_group_9_shapes),
        shape_group(frame_324_shape_group_10_shapes),
        shape_group(frame_324_shape_group_11_shapes),
        shape_group(frame_324_shape_group_12_shapes),
        shape_group(frame_324_shape_group_13_shapes),
    };

    constexpr const frame frame_324_impl(frame_324_colors, frame_324_shape_groups);
} 

const frame& frame_324()
{
    return frame_324_impl;
}

namespace
{
    constexpr const bn::color frame_325_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_325_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(3, 24),
        horizontal_line(7, 22),
        horizontal_line(10, 21),
        horizontal_line(14, 19),
        horizontal_line(18, 18),
        horizontal_line(18, 22),
        horizontal_line(18, 28),
        horizontal_line(18, 34),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(18, 40),
        horizontal_line(17, 40),
        horizontal_line(17, 40),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(17, 39),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(135, 140),
    };

    constexpr const horizontal_line frame_325_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(20, 45),
        horizontal_line(21, 46),
        horizontal_line(21, 48),
        horizontal_line(22, 39),
        horizontal_line(23, 31),
        horizontal_line(24, 86),
        horizontal_line(20, 82),
        horizontal_line(18, 80),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_325_shape_group_0_shapes[] = {
        shape(frame_325_shape_group_0_shape_0_horizontal_lines, 41, 13),
        shape(frame_325_shape_group_0_shape_1_horizontal_lines, 89, 11),
        shape(frame_325_shape_group_0_shape_2_horizontal_lines, 117, 15),
        shape(frame_325_shape_group_0_shape_3_horizontal_lines, 129, 10),
    };

    constexpr const horizontal_line frame_325_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(223, 239),
        horizontal_line(218, 239),
        horizontal_line(213, 239),
        horizontal_line(207, 239),
        horizontal_line(202, 239),
        horizontal_line(196, 239),
        horizontal_line(47, 50),
        horizontal_line(44, 46),
        horizontal_line(42, 43),
        horizontal_line(175, 230),
        horizontal_line(169, 221),
        horizontal_line(164, 212),
        horizontal_line(159, 204),
        horizontal_line(153, 195),
        horizontal_line(148, 186),
        horizontal_line(143, 177),
        horizontal_line(126, 129),
        horizontal_line(127, 130),
        horizontal_line(128, 131),
        horizontal_line(131, 143),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 141),
        horizontal_line(130, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
        horizontal_line(129, 140),
    };

    constexpr const horizontal_line frame_325_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 12),
        horizontal_line(0, 8),
        horizontal_line(0, 4),
        horizontal_line(19, 44),
        horizontal_line(66, 72),
        horizontal_line(125, 138),
        horizontal_line(124, 137),
        horizontal_line(125, 136),
        horizontal_line(131, 135),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(211, 228),
        horizontal_line(213, 232),
        horizontal_line(214, 235),
    };

    constexpr const horizontal_line frame_325_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_325_shape_group_1_shapes[] = {
        shape(frame_325_shape_group_1_shape_0_horizontal_lines, 48, 13),
        shape(frame_325_shape_group_1_shape_1_horizontal_lines, 85, 11),
        shape(frame_325_shape_group_1_shape_2_horizontal_lines, 114, 15),
        shape(frame_325_shape_group_1_shape_3_horizontal_lines, 117, 10),
    };

    constexpr const horizontal_line frame_325_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_325_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(191, 239),
        horizontal_line(186, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_325_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(142, 169),
        horizontal_line(142, 160),
        horizontal_line(142, 151),
    };

    constexpr const horizontal_line frame_325_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(45, 51),
        horizontal_line(17, 41),
        horizontal_line(18, 42),
        horizontal_line(19, 43),
        horizontal_line(49, 49),
        horizontal_line(126, 139),
        horizontal_line(149, 211),
        horizontal_line(152, 214),
        horizontal_line(156, 218),
        horizontal_line(159, 221),
        horizontal_line(86, 136),
        horizontal_line(82, 138),
        horizontal_line(80, 140),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_325_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_325_shape_group_2_shapes[] = {
        shape(frame_325_shape_group_2_shape_0_horizontal_lines, 50, 11),
        shape(frame_325_shape_group_2_shape_1_horizontal_lines, 56, 13),
        shape(frame_325_shape_group_2_shape_2_horizontal_lines, 59, 11),
        shape(frame_325_shape_group_2_shape_3_horizontal_lines, 66, 13),
        shape(frame_325_shape_group_2_shape_4_horizontal_lines, 69, 11),
        shape(frame_325_shape_group_2_shape_5_horizontal_lines, 114, 10),
    };

    constexpr const horizontal_line frame_325_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(30, 30),
        horizontal_line(35, 38),
        horizontal_line(40, 46),
        horizontal_line(45, 54),
        horizontal_line(50, 62),
    };

    constexpr const horizontal_line frame_325_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(41, 42),
        horizontal_line(41, 43),
        horizontal_line(41, 47),
        horizontal_line(40, 52),
        horizontal_line(40, 57),
        horizontal_line(40, 56),
        horizontal_line(40, 56),
        horizontal_line(40, 55),
        horizontal_line(40, 55),
        horizontal_line(40, 54),
        horizontal_line(40, 54),
        horizontal_line(40, 53),
        horizontal_line(40, 53),
        horizontal_line(40, 52),
        horizontal_line(40, 40),
        horizontal_line(44, 52),
        horizontal_line(68, 73),
        horizontal_line(46, 51),
        horizontal_line(47, 50),
        horizontal_line(48, 50),
        horizontal_line(66, 71),
        horizontal_line(145, 207),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
        horizontal_line(136, 147),
        horizontal_line(134, 149),
        horizontal_line(132, 151),
        horizontal_line(130, 154),
        horizontal_line(128, 156),
        horizontal_line(126, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
    };

    constexpr const horizontal_line frame_325_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 213),
        horizontal_line(186, 215),
        horizontal_line(186, 218),
        horizontal_line(186, 220),
        horizontal_line(186, 222),
        horizontal_line(186, 225),
        horizontal_line(186, 227),
        horizontal_line(186, 229),
        horizontal_line(186, 232),
        horizontal_line(186, 234),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_325_shape_group_3_shapes[] = {
        shape(frame_325_shape_group_3_shape_0_horizontal_lines, 51, 15),
        shape(frame_325_shape_group_3_shape_1_horizontal_lines, 56, 11),
        shape(frame_325_shape_group_3_shape_2_horizontal_lines, 114, 10),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(57, 70),
        horizontal_line(65, 78),
        horizontal_line(73, 85),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(222, 239),
        horizontal_line(213, 239),
        horizontal_line(205, 239),
        horizontal_line(196, 239),
        horizontal_line(187, 239),
        horizontal_line(178, 239),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(126, 129),
        horizontal_line(70, 71),
        horizontal_line(70, 73),
        horizontal_line(69, 75),
        horizontal_line(69, 74),
        horizontal_line(43, 52),
        horizontal_line(68, 73),
        horizontal_line(126, 128),
        horizontal_line(67, 72),
        horizontal_line(67, 72),
        horizontal_line(67, 72),
        horizontal_line(127, 140),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 23),
        horizontal_line(139, 151),
        horizontal_line(141, 153),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(138, 145),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(148, 157),
        horizontal_line(150, 159),
        horizontal_line(152, 160),
        horizontal_line(155, 162),
        horizontal_line(157, 163),
        horizontal_line(159, 165),
        horizontal_line(161, 166),
        horizontal_line(164, 168),
        horizontal_line(166, 169),
        horizontal_line(168, 171),
        horizontal_line(170, 172),
        horizontal_line(173, 174),
        horizontal_line(175, 175),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(186, 215),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(186, 188),
        horizontal_line(186, 190),
        horizontal_line(186, 192),
        horizontal_line(186, 195),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
        horizontal_line(186, 209),
        horizontal_line(186, 211),
    };

    constexpr const horizontal_line frame_325_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_325_shape_group_4_shapes[] = {
        shape(frame_325_shape_group_4_shape_0_horizontal_lines, 56, 15),
        shape(frame_325_shape_group_4_shape_1_horizontal_lines, 59, 11),
        shape(frame_325_shape_group_4_shape_2_horizontal_lines, 91, 15),
        shape(frame_325_shape_group_4_shape_3_horizontal_lines, 98, 11),
        shape(frame_325_shape_group_4_shape_4_horizontal_lines, 100, 15),
        shape(frame_325_shape_group_4_shape_5_horizontal_lines, 114, 10),
        shape(frame_325_shape_group_4_shape_6_horizontal_lines, 117, 1),
        shape(frame_325_shape_group_4_shape_7_horizontal_lines, 118, 10),
        shape(frame_325_shape_group_4_shape_8_horizontal_lines, 129, 1),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(47, 57),
        horizontal_line(44, 65),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(81, 93),
        horizontal_line(89, 101),
        horizontal_line(97, 109),
        horizontal_line(105, 117),
        horizontal_line(113, 125),
        horizontal_line(121, 133),
        horizontal_line(129, 141),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(161, 223),
        horizontal_line(152, 214),
        horizontal_line(144, 206),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(142, 204),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(69, 74),
        horizontal_line(126, 128),
        horizontal_line(141, 203),
        horizontal_line(126, 128),
        horizontal_line(141, 203),
        horizontal_line(128, 134),
        horizontal_line(142, 204),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(139, 144),
        horizontal_line(138, 145),
        horizontal_line(137, 147),
        horizontal_line(136, 148),
        horizontal_line(137, 150),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(143, 154),
        horizontal_line(146, 156),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(189, 190),
        horizontal_line(191, 193),
        horizontal_line(193, 197),
        horizontal_line(195, 200),
        horizontal_line(197, 204),
        horizontal_line(199, 207),
        horizontal_line(201, 211),
        horizontal_line(203, 214),
        horizontal_line(205, 218),
        horizontal_line(207, 221),
        horizontal_line(209, 225),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(180, 210),
        horizontal_line(182, 212),
        horizontal_line(184, 213),
    };

    constexpr const horizontal_line frame_325_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(189, 217),
        horizontal_line(191, 219),
        horizontal_line(193, 221),
        horizontal_line(196, 223),
        horizontal_line(198, 225),
        horizontal_line(200, 227),
        horizontal_line(203, 229),
        horizontal_line(205, 231),
        horizontal_line(207, 233),
        horizontal_line(210, 235),
        horizontal_line(212, 237),
    };

    constexpr const shape frame_325_shape_group_5_shapes[] = {
        shape(frame_325_shape_group_5_shape_0_horizontal_lines, 57, 8),
        shape(frame_325_shape_group_5_shape_1_horizontal_lines, 59, 15),
        shape(frame_325_shape_group_5_shape_2_horizontal_lines, 66, 11),
        shape(frame_325_shape_group_5_shape_3_horizontal_lines, 90, 15),
        shape(frame_325_shape_group_5_shape_4_horizontal_lines, 96, 1),
        shape(frame_325_shape_group_5_shape_5_horizontal_lines, 98, 15),
        shape(frame_325_shape_group_5_shape_6_horizontal_lines, 100, 1),
        shape(frame_325_shape_group_5_shape_7_horizontal_lines, 103, 15),
        shape(frame_325_shape_group_5_shape_8_horizontal_lines, 114, 1),
        shape(frame_325_shape_group_5_shape_9_horizontal_lines, 118, 1),
    };

    constexpr const horizontal_line frame_325_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(43, 74),
        horizontal_line(43, 82),
        horizontal_line(43, 90),
        horizontal_line(43, 99),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_325_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(223, 239),
        horizontal_line(214, 239),
        horizontal_line(206, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(142, 204),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(141, 203),
        horizontal_line(126, 128),
        horizontal_line(141, 203),
        horizontal_line(203, 239),
        horizontal_line(141, 203),
        horizontal_line(203, 239),
        horizontal_line(141, 203),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_325_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(47, 48),
        horizontal_line(123, 123),
        horizontal_line(40, 102),
        horizontal_line(32, 94),
    };

    constexpr const horizontal_line frame_325_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(151, 162),
        horizontal_line(152, 165),
        horizontal_line(154, 169),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(158, 179),
        horizontal_line(160, 183),
        horizontal_line(161, 187),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(167, 194),
        horizontal_line(169, 196),
        horizontal_line(170, 198),
        horizontal_line(172, 200),
        horizontal_line(173, 202),
        horizontal_line(175, 204),
        horizontal_line(176, 206),
        horizontal_line(178, 208),
    };

    constexpr const shape frame_325_shape_group_6_shapes[] = {
        shape(frame_325_shape_group_6_shape_0_horizontal_lines, 59, 8),
        shape(frame_325_shape_group_6_shape_1_horizontal_lines, 66, 11),
        shape(frame_325_shape_group_6_shape_2_horizontal_lines, 90, 15),
        shape(frame_325_shape_group_6_shape_3_horizontal_lines, 91, 10),
        shape(frame_325_shape_group_6_shape_4_horizontal_lines, 95, 1),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(105, 107),
        horizontal_line(105, 115),
        horizontal_line(105, 124),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(43, 105),
        horizontal_line(44, 106),
        horizontal_line(48, 110),
        horizontal_line(53, 115),
        horizontal_line(58, 120),
        horizontal_line(60, 122),
        horizontal_line(63, 125),
        horizontal_line(65, 126),
        horizontal_line(68, 126),
        horizontal_line(71, 125),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(141, 203),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(74, 125),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(9, 17),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(1, 18),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(73, 121),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(146, 151),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(102, 124),
        horizontal_line(94, 130),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(155, 172),
        horizontal_line(157, 176),
    };

    constexpr const horizontal_line frame_325_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(163, 188),
        horizontal_line(164, 190),
        horizontal_line(166, 192),
    };

    constexpr const shape frame_325_shape_group_7_shapes[] = {
        shape(frame_325_shape_group_7_shape_0_horizontal_lines, 63, 8),
        shape(frame_325_shape_group_7_shape_1_horizontal_lines, 79, 11),
        shape(frame_325_shape_group_7_shape_2_horizontal_lines, 85, 8),
        shape(frame_325_shape_group_7_shape_3_horizontal_lines, 86, 11),
        shape(frame_325_shape_group_7_shape_4_horizontal_lines, 87, 15),
        shape(frame_325_shape_group_7_shape_5_horizontal_lines, 88, 11),
        shape(frame_325_shape_group_7_shape_6_horizontal_lines, 89, 15),
        shape(frame_325_shape_group_7_shape_7_horizontal_lines, 90, 8),
        shape(frame_325_shape_group_7_shape_8_horizontal_lines, 91, 10),
        shape(frame_325_shape_group_7_shape_9_horizontal_lines, 92, 1),
        shape(frame_325_shape_group_7_shape_10_horizontal_lines, 93, 10),
        shape(frame_325_shape_group_7_shape_11_horizontal_lines, 98, 1),
        shape(frame_325_shape_group_7_shape_12_horizontal_lines, 103, 1),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(105, 125),
        horizontal_line(105, 126),
        horizontal_line(105, 127),
        horizontal_line(105, 126),
        horizontal_line(106, 126),
        horizontal_line(110, 126),
        horizontal_line(115, 126),
        horizontal_line(120, 126),
        horizontal_line(122, 126),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(56, 64),
        horizontal_line(56, 67),
        horizontal_line(55, 70),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(72, 125),
        horizontal_line(74, 125),
        horizontal_line(76, 125),
        horizontal_line(75, 125),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(74, 125),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(41, 44),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(13, 16),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(73, 124),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(5, 18),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(46, 65),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(145, 148),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(49, 111),
    };

    constexpr const horizontal_line frame_325_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(148, 155),
        horizontal_line(149, 158),
    };

    constexpr const shape frame_325_shape_group_8_shapes[] = {
        shape(frame_325_shape_group_8_shape_0_horizontal_lines, 66, 8),
        shape(frame_325_shape_group_8_shape_1_horizontal_lines, 76, 10),
        shape(frame_325_shape_group_8_shape_2_horizontal_lines, 79, 8),
        shape(frame_325_shape_group_8_shape_3_horizontal_lines, 83, 11),
        shape(frame_325_shape_group_8_shape_4_horizontal_lines, 84, 8),
        shape(frame_325_shape_group_8_shape_5_horizontal_lines, 85, 10),
        shape(frame_325_shape_group_8_shape_6_horizontal_lines, 86, 15),
        shape(frame_325_shape_group_8_shape_7_horizontal_lines, 87, 8),
        shape(frame_325_shape_group_8_shape_8_horizontal_lines, 88, 15),
        shape(frame_325_shape_group_8_shape_9_horizontal_lines, 90, 10),
        shape(frame_325_shape_group_8_shape_10_horizontal_lines, 91, 1),
        shape(frame_325_shape_group_8_shape_11_horizontal_lines, 92, 3),
        shape(frame_325_shape_group_8_shape_12_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(57, 59),
        horizontal_line(57, 62),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(55, 69),
        horizontal_line(54, 69),
        horizontal_line(54, 68),
        horizontal_line(53, 68),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(75, 125),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(40, 43),
        horizontal_line(52, 67),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(73, 125),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(43, 46),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(73, 123),
        horizontal_line(72, 122),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(122, 125),
    };

    constexpr const horizontal_line frame_325_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(49, 111),
        horizontal_line(111, 122),
    };

    constexpr const shape frame_325_shape_group_9_shapes[] = {
        shape(frame_325_shape_group_9_shape_0_horizontal_lines, 74, 10),
        shape(frame_325_shape_group_9_shape_1_horizontal_lines, 79, 10),
        shape(frame_325_shape_group_9_shape_2_horizontal_lines, 83, 8),
        shape(frame_325_shape_group_9_shape_3_horizontal_lines, 84, 10),
        shape(frame_325_shape_group_9_shape_4_horizontal_lines, 86, 8),
        shape(frame_325_shape_group_9_shape_5_horizontal_lines, 87, 10),
        shape(frame_325_shape_group_9_shape_6_horizontal_lines, 88, 8),
        shape(frame_325_shape_group_9_shape_7_horizontal_lines, 90, 10),
        shape(frame_325_shape_group_9_shape_8_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_325_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(41, 42),
        horizontal_line(53, 67),
    };

    constexpr const horizontal_line frame_325_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(42, 45),
        horizontal_line(51, 66),
        horizontal_line(44, 47),
        horizontal_line(45, 48),
    };

    constexpr const horizontal_line frame_325_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(143, 144),
    };

    constexpr const horizontal_line frame_325_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(111, 121),
    };

    constexpr const shape frame_325_shape_group_10_shapes[] = {
        shape(frame_325_shape_group_10_shape_0_horizontal_lines, 83, 10),
        shape(frame_325_shape_group_10_shape_1_horizontal_lines, 86, 10),
        shape(frame_325_shape_group_10_shape_2_horizontal_lines, 90, 1),
        shape(frame_325_shape_group_10_shape_3_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_325_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(53, 68),
    };

    constexpr const horizontal_line frame_325_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(52, 66),
        horizontal_line(125, 128),
        horizontal_line(51, 66),
        horizontal_line(50, 65),
    };

    constexpr const shape frame_325_shape_group_11_shapes[] = {
        shape(frame_325_shape_group_11_shape_0_horizontal_lines, 83, 10),
        shape(frame_325_shape_group_11_shape_1_horizontal_lines, 86, 10),
    };

    constexpr const horizontal_line frame_325_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(124, 127),
        horizontal_line(123, 126),
    };

    constexpr const shape frame_325_shape_group_12_shapes[] = {
        shape(frame_325_shape_group_12_shape_0_horizontal_lines, 88, 10),
    };

    constexpr const shape_group frame_325_shape_groups[] = {
        shape_group(frame_325_shape_group_0_shapes),
        shape_group(frame_325_shape_group_1_shapes),
        shape_group(frame_325_shape_group_2_shapes),
        shape_group(frame_325_shape_group_3_shapes),
        shape_group(frame_325_shape_group_4_shapes),
        shape_group(frame_325_shape_group_5_shapes),
        shape_group(frame_325_shape_group_6_shapes),
        shape_group(frame_325_shape_group_7_shapes),
        shape_group(frame_325_shape_group_8_shapes),
        shape_group(frame_325_shape_group_9_shapes),
        shape_group(frame_325_shape_group_10_shapes),
        shape_group(frame_325_shape_group_11_shapes),
        shape_group(frame_325_shape_group_12_shapes),
    };

    constexpr const frame frame_325_impl(frame_325_colors, frame_325_shape_groups);
} 

const frame& frame_325()
{
    return frame_325_impl;
}

namespace
{
    constexpr const bn::color frame_326_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_326_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(3, 22),
        horizontal_line(6, 20),
        horizontal_line(9, 19),
        horizontal_line(12, 17),
        horizontal_line(16, 16),
        horizontal_line(16, 21),
        horizontal_line(16, 27),
        horizontal_line(16, 33),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(16, 39),
        horizontal_line(15, 39),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 38),
        horizontal_line(15, 26),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(137, 142),
    };

    constexpr const horizontal_line frame_326_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(18, 44),
        horizontal_line(19, 45),
        horizontal_line(19, 46),
        horizontal_line(20, 47),
        horizontal_line(21, 38),
        horizontal_line(22, 30),
        horizontal_line(23, 85),
        horizontal_line(19, 81),
        horizontal_line(17, 79),
        horizontal_line(15, 77),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_326_shape_group_0_shapes[] = {
        shape(frame_326_shape_group_0_shape_0_horizontal_lines, 40, 13),
        shape(frame_326_shape_group_0_shape_1_horizontal_lines, 89, 11),
        shape(frame_326_shape_group_0_shape_2_horizontal_lines, 117, 15),
        shape(frame_326_shape_group_0_shape_3_horizontal_lines, 127, 10),
    };

    constexpr const horizontal_line frame_326_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(224, 239),
        horizontal_line(218, 239),
        horizontal_line(213, 239),
        horizontal_line(208, 239),
        horizontal_line(203, 239),
        horizontal_line(197, 239),
        horizontal_line(46, 47),
        horizontal_line(43, 45),
        horizontal_line(41, 43),
        horizontal_line(42, 42),
        horizontal_line(171, 220),
        horizontal_line(166, 211),
        horizontal_line(160, 201),
        horizontal_line(155, 192),
        horizontal_line(150, 183),
        horizontal_line(145, 173),
        horizontal_line(128, 131),
        horizontal_line(129, 132),
        horizontal_line(130, 133),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(133, 144),
        horizontal_line(132, 144),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(132, 143),
        horizontal_line(131, 143),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
        horizontal_line(131, 142),
    };

    constexpr const horizontal_line frame_326_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 9),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(65, 74),
        horizontal_line(65, 73),
        horizontal_line(128, 140),
        horizontal_line(127, 140),
        horizontal_line(128, 139),
        horizontal_line(134, 138),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(199, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(216, 232),
        horizontal_line(218, 235),
    };

    constexpr const horizontal_line frame_326_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_326_shape_group_1_shapes[] = {
        shape(frame_326_shape_group_1_shape_0_horizontal_lines, 47, 13),
        shape(frame_326_shape_group_1_shape_1_horizontal_lines, 85, 11),
        shape(frame_326_shape_group_1_shape_2_horizontal_lines, 115, 15),
        shape(frame_326_shape_group_1_shape_3_horizontal_lines, 117, 10),
    };

    constexpr const horizontal_line frame_326_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_326_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(187, 239),
        horizontal_line(181, 239),
        horizontal_line(176, 229),
    };

    constexpr const horizontal_line frame_326_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_326_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(144, 164),
        horizontal_line(145, 155),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_326_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(45, 48),
        horizontal_line(15, 41),
        horizontal_line(16, 42),
        horizontal_line(17, 43),
        horizontal_line(129, 142),
        horizontal_line(129, 141),
        horizontal_line(151, 213),
        horizontal_line(154, 216),
        horizontal_line(158, 220),
        horizontal_line(161, 223),
        horizontal_line(85, 139),
        horizontal_line(81, 141),
        horizontal_line(79, 141),
        horizontal_line(77, 139),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_326_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_326_shape_group_2_shapes[] = {
        shape(frame_326_shape_group_2_shape_0_horizontal_lines, 49, 11),
        shape(frame_326_shape_group_2_shape_1_horizontal_lines, 55, 13),
        shape(frame_326_shape_group_2_shape_2_horizontal_lines, 59, 11),
        shape(frame_326_shape_group_2_shape_3_horizontal_lines, 65, 13),
        shape(frame_326_shape_group_2_shape_4_horizontal_lines, 68, 11),
        shape(frame_326_shape_group_2_shape_5_horizontal_lines, 115, 10),
    };

    constexpr const horizontal_line frame_326_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(28, 29),
        horizontal_line(33, 37),
        horizontal_line(38, 45),
        horizontal_line(43, 53),
        horizontal_line(49, 61),
    };

    constexpr const horizontal_line frame_326_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(39, 55),
        horizontal_line(39, 54),
        horizontal_line(39, 54),
        horizontal_line(39, 53),
        horizontal_line(39, 53),
        horizontal_line(39, 52),
        horizontal_line(39, 52),
        horizontal_line(39, 51),
        horizontal_line(39, 51),
        horizontal_line(39, 50),
        horizontal_line(39, 50),
        horizontal_line(39, 49),
        horizontal_line(43, 49),
        horizontal_line(27, 39),
        horizontal_line(67, 74),
        horizontal_line(46, 48),
        horizontal_line(47, 47),
        horizontal_line(65, 73),
        horizontal_line(144, 206),
        horizontal_line(147, 209),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
        horizontal_line(137, 148),
        horizontal_line(135, 150),
        horizontal_line(132, 152),
        horizontal_line(130, 155),
        horizontal_line(128, 157),
        horizontal_line(126, 159),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
    };

    constexpr const horizontal_line frame_326_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 210),
        horizontal_line(186, 213),
        horizontal_line(186, 215),
        horizontal_line(186, 217),
        horizontal_line(186, 219),
        horizontal_line(186, 221),
        horizontal_line(186, 223),
        horizontal_line(186, 226),
        horizontal_line(186, 228),
        horizontal_line(186, 230),
        horizontal_line(186, 232),
        horizontal_line(186, 234),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_326_shape_group_3_shapes[] = {
        shape(frame_326_shape_group_3_shape_0_horizontal_lines, 50, 15),
        shape(frame_326_shape_group_3_shape_1_horizontal_lines, 55, 11),
        shape(frame_326_shape_group_3_shape_2_horizontal_lines, 115, 10),
    };

    constexpr const horizontal_line frame_326_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(56, 69),
        horizontal_line(64, 77),
        horizontal_line(72, 86),
    };

    constexpr const horizontal_line frame_326_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(40, 41),
        horizontal_line(221, 239),
        horizontal_line(212, 239),
        horizontal_line(202, 239),
        horizontal_line(193, 239),
        horizontal_line(184, 239),
        horizontal_line(174, 236),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(40, 41),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(43, 43),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(70, 71),
        horizontal_line(70, 73),
        horizontal_line(69, 75),
        horizontal_line(69, 77),
        horizontal_line(69, 76),
        horizontal_line(68, 76),
        horizontal_line(68, 75),
        horizontal_line(67, 75),
        horizontal_line(44, 48),
        horizontal_line(128, 130),
        horizontal_line(66, 74),
        horizontal_line(66, 73),
        horizontal_line(130, 136),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 22),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_326_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_326_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(149, 159),
        horizontal_line(151, 160),
        horizontal_line(153, 162),
        horizontal_line(156, 164),
        horizontal_line(158, 165),
        horizontal_line(160, 167),
        horizontal_line(163, 168),
        horizontal_line(165, 170),
        horizontal_line(167, 172),
        horizontal_line(169, 173),
        horizontal_line(172, 175),
        horizontal_line(174, 176),
        horizontal_line(176, 178),
        horizontal_line(179, 180),
        horizontal_line(181, 181),
        horizontal_line(183, 183),
    };

    constexpr const horizontal_line frame_326_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 197),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
        horizontal_line(186, 208),
    };

    constexpr const horizontal_line frame_326_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_326_shape_group_4_shapes[] = {
        shape(frame_326_shape_group_4_shape_0_horizontal_lines, 55, 15),
        shape(frame_326_shape_group_4_shape_1_horizontal_lines, 58, 11),
        shape(frame_326_shape_group_4_shape_2_horizontal_lines, 91, 15),
        shape(frame_326_shape_group_4_shape_3_horizontal_lines, 97, 11),
        shape(frame_326_shape_group_4_shape_4_horizontal_lines, 99, 15),
        shape(frame_326_shape_group_4_shape_5_horizontal_lines, 115, 10),
        shape(frame_326_shape_group_4_shape_6_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(48, 55),
        horizontal_line(46, 63),
        horizontal_line(44, 71),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(89, 102),
        horizontal_line(97, 110),
        horizontal_line(106, 118),
        horizontal_line(114, 126),
        horizontal_line(122, 134),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(165, 227),
        horizontal_line(156, 218),
        horizontal_line(147, 209),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(129, 132),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(145, 207),
        horizontal_line(144, 206),
        horizontal_line(129, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(67, 75),
        horizontal_line(143, 205),
        horizontal_line(128, 130),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(141, 146),
        horizontal_line(141, 147),
        horizontal_line(140, 149),
        horizontal_line(139, 151),
        horizontal_line(140, 152),
        horizontal_line(142, 154),
        horizontal_line(144, 155),
        horizontal_line(146, 157),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(194, 195),
        horizontal_line(196, 198),
        horizontal_line(198, 202),
        horizontal_line(200, 205),
        horizontal_line(202, 208),
        horizontal_line(204, 212),
        horizontal_line(206, 215),
        horizontal_line(208, 218),
        horizontal_line(210, 222),
        horizontal_line(212, 225),
        horizontal_line(214, 228),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(186, 215),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_326_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(190, 219),
        horizontal_line(192, 221),
        horizontal_line(194, 223),
        horizontal_line(196, 225),
        horizontal_line(198, 227),
        horizontal_line(201, 229),
        horizontal_line(203, 231),
        horizontal_line(205, 233),
        horizontal_line(207, 235),
        horizontal_line(209, 237),
    };

    constexpr const shape frame_326_shape_group_5_shapes[] = {
        shape(frame_326_shape_group_5_shape_0_horizontal_lines, 55, 8),
        shape(frame_326_shape_group_5_shape_1_horizontal_lines, 58, 11),
        shape(frame_326_shape_group_5_shape_2_horizontal_lines, 59, 15),
        shape(frame_326_shape_group_5_shape_3_horizontal_lines, 64, 11),
        shape(frame_326_shape_group_5_shape_4_horizontal_lines, 89, 15),
        shape(frame_326_shape_group_5_shape_5_horizontal_lines, 99, 1),
        shape(frame_326_shape_group_5_shape_6_horizontal_lines, 104, 15),
        shape(frame_326_shape_group_5_shape_7_horizontal_lines, 115, 1),
        shape(frame_326_shape_group_5_shape_8_horizontal_lines, 116, 10),
        shape(frame_326_shape_group_5_shape_9_horizontal_lines, 117, 1),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(81, 94),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(42, 87),
        horizontal_line(42, 95),
        horizontal_line(42, 103),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(131, 143),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(218, 239),
        horizontal_line(209, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(145, 207),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(144, 206),
        horizontal_line(143, 205),
        horizontal_line(143, 205),
        horizontal_line(128, 130),
        horizontal_line(205, 239),
        horizontal_line(143, 205),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(143, 143),
        horizontal_line(142, 144),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(47, 48),
        horizontal_line(126, 126),
        horizontal_line(39, 101),
        horizontal_line(31, 93),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(153, 164),
        horizontal_line(1, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(160, 178),
        horizontal_line(161, 181),
        horizontal_line(163, 185),
        horizontal_line(165, 188),
        horizontal_line(166, 192),
        horizontal_line(0, 1),
        horizontal_line(169, 195),
        horizontal_line(171, 197),
        horizontal_line(173, 199),
        horizontal_line(174, 201),
        horizontal_line(176, 203),
        horizontal_line(177, 205),
        horizontal_line(179, 207),
        horizontal_line(181, 209),
        horizontal_line(182, 211),
        horizontal_line(184, 213),
    };

    constexpr const horizontal_line frame_326_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(188, 217),
    };

    constexpr const shape frame_326_shape_group_6_shapes[] = {
        shape(frame_326_shape_group_6_shape_0_horizontal_lines, 58, 15),
        shape(frame_326_shape_group_6_shape_1_horizontal_lines, 59, 8),
        shape(frame_326_shape_group_6_shape_2_horizontal_lines, 64, 15),
        shape(frame_326_shape_group_6_shape_3_horizontal_lines, 65, 11),
        shape(frame_326_shape_group_6_shape_4_horizontal_lines, 89, 15),
        shape(frame_326_shape_group_6_shape_5_horizontal_lines, 91, 10),
        shape(frame_326_shape_group_6_shape_6_horizontal_lines, 95, 1),
        shape(frame_326_shape_group_6_shape_7_horizontal_lines, 116, 1),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(43, 79),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(104, 111),
        horizontal_line(104, 119),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
        horizontal_line(42, 104),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(63, 125),
        horizontal_line(67, 128),
        horizontal_line(71, 128),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(143, 205),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(75, 127),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(5, 15),
        horizontal_line(1, 16),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(75, 124),
        horizontal_line(81, 123),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(148, 153),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(101, 127),
        horizontal_line(93, 133),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(155, 167),
        horizontal_line(156, 171),
        horizontal_line(158, 174),
    };

    constexpr const horizontal_line frame_326_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(168, 193),
    };

    constexpr const shape frame_326_shape_group_7_shapes[] = {
        shape(frame_326_shape_group_7_shape_0_horizontal_lines, 58, 8),
        shape(frame_326_shape_group_7_shape_1_horizontal_lines, 62, 8),
        shape(frame_326_shape_group_7_shape_2_horizontal_lines, 70, 11),
        shape(frame_326_shape_group_7_shape_3_horizontal_lines, 71, 8),
        shape(frame_326_shape_group_7_shape_4_horizontal_lines, 76, 11),
        shape(frame_326_shape_group_7_shape_5_horizontal_lines, 85, 8),
        shape(frame_326_shape_group_7_shape_6_horizontal_lines, 86, 11),
        shape(frame_326_shape_group_7_shape_7_horizontal_lines, 87, 15),
        shape(frame_326_shape_group_7_shape_8_horizontal_lines, 89, 8),
        shape(frame_326_shape_group_7_shape_9_horizontal_lines, 91, 10),
        shape(frame_326_shape_group_7_shape_10_horizontal_lines, 92, 1),
        shape(frame_326_shape_group_7_shape_11_horizontal_lines, 93, 10),
        shape(frame_326_shape_group_7_shape_12_horizontal_lines, 96, 1),
        shape(frame_326_shape_group_7_shape_13_horizontal_lines, 104, 1),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(104, 127),
        horizontal_line(104, 127),
        horizontal_line(104, 128),
        horizontal_line(104, 129),
        horizontal_line(104, 128),
        horizontal_line(104, 128),
        horizontal_line(42, 42),
        horizontal_line(118, 128),
        horizontal_line(121, 128),
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(54, 66),
        horizontal_line(54, 70),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(72, 128),
        horizontal_line(74, 127),
        horizontal_line(76, 127),
        horizontal_line(78, 127),
        horizontal_line(77, 127),
        horizontal_line(77, 127),
        horizontal_line(76, 127),
        horizontal_line(76, 127),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(41, 44),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(10, 14),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(74, 126),
        horizontal_line(74, 125),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(45, 64),
        horizontal_line(46, 64),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(147, 150),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(48, 110),
    };

    constexpr const horizontal_line frame_326_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(150, 157),
        horizontal_line(152, 160),
    };

    constexpr const shape frame_326_shape_group_8_shapes[] = {
        shape(frame_326_shape_group_8_shape_0_horizontal_lines, 64, 8),
        shape(frame_326_shape_group_8_shape_1_horizontal_lines, 74, 10),
        shape(frame_326_shape_group_8_shape_2_horizontal_lines, 76, 8),
        shape(frame_326_shape_group_8_shape_3_horizontal_lines, 84, 11),
        shape(frame_326_shape_group_8_shape_4_horizontal_lines, 85, 10),
        shape(frame_326_shape_group_8_shape_5_horizontal_lines, 86, 15),
        shape(frame_326_shape_group_8_shape_6_horizontal_lines, 87, 8),
        shape(frame_326_shape_group_8_shape_7_horizontal_lines, 89, 10),
        shape(frame_326_shape_group_8_shape_8_horizontal_lines, 91, 1),
        shape(frame_326_shape_group_8_shape_9_horizontal_lines, 92, 3),
        shape(frame_326_shape_group_8_shape_10_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(44, 106),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(55, 58),
        horizontal_line(55, 62),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(53, 69),
        horizontal_line(53, 69),
        horizontal_line(52, 68),
        horizontal_line(52, 68),
        horizontal_line(51, 68),
        horizontal_line(51, 67),
        horizontal_line(50, 67),
        horizontal_line(39, 42),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(76, 127),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(49, 66),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(75, 127),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(43, 46),
        horizontal_line(44, 64),
        horizontal_line(125, 128),
        horizontal_line(124, 128),
    };

    constexpr const horizontal_line frame_326_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(49, 111),
        horizontal_line(110, 125),
    };

    constexpr const shape frame_326_shape_group_9_shapes[] = {
        shape(frame_326_shape_group_9_shape_0_horizontal_lines, 70, 8),
        shape(frame_326_shape_group_9_shape_1_horizontal_lines, 72, 10),
        shape(frame_326_shape_group_9_shape_2_horizontal_lines, 76, 10),
        shape(frame_326_shape_group_9_shape_3_horizontal_lines, 84, 8),
        shape(frame_326_shape_group_9_shape_4_horizontal_lines, 85, 10),
        shape(frame_326_shape_group_9_shape_5_horizontal_lines, 86, 8),
        shape(frame_326_shape_group_9_shape_6_horizontal_lines, 87, 10),
        shape(frame_326_shape_group_9_shape_7_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_326_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(106, 128),
    };

    constexpr const horizontal_line frame_326_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(50, 66),
        horizontal_line(40, 43),
    };

    constexpr const horizontal_line frame_326_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(42, 45),
        horizontal_line(48, 65),
        horizontal_line(126, 129),
    };

    constexpr const horizontal_line frame_326_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(74, 77),
    };

    constexpr const horizontal_line frame_326_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(111, 123),
    };

    constexpr const shape frame_326_shape_group_10_shapes[] = {
        shape(frame_326_shape_group_10_shape_0_horizontal_lines, 70, 8),
        shape(frame_326_shape_group_10_shape_1_horizontal_lines, 83, 10),
        shape(frame_326_shape_group_10_shape_2_horizontal_lines, 86, 10),
        shape(frame_326_shape_group_10_shape_3_horizontal_lines, 90, 1),
        shape(frame_326_shape_group_10_shape_4_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_326_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(49, 66),
    };

    constexpr const horizontal_line frame_326_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(49, 65),
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_326_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(145, 146),
    };

    constexpr const shape frame_326_shape_group_11_shapes[] = {
        shape(frame_326_shape_group_11_shape_0_horizontal_lines, 84, 10),
        shape(frame_326_shape_group_11_shape_1_horizontal_lines, 86, 10),
        shape(frame_326_shape_group_11_shape_2_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_326_shape_groups[] = {
        shape_group(frame_326_shape_group_0_shapes),
        shape_group(frame_326_shape_group_1_shapes),
        shape_group(frame_326_shape_group_2_shapes),
        shape_group(frame_326_shape_group_3_shapes),
        shape_group(frame_326_shape_group_4_shapes),
        shape_group(frame_326_shape_group_5_shapes),
        shape_group(frame_326_shape_group_6_shapes),
        shape_group(frame_326_shape_group_7_shapes),
        shape_group(frame_326_shape_group_8_shapes),
        shape_group(frame_326_shape_group_9_shapes),
        shape_group(frame_326_shape_group_10_shapes),
        shape_group(frame_326_shape_group_11_shapes),
    };

    constexpr const frame frame_326_impl(frame_326_colors, frame_326_shape_groups);
} 

const frame& frame_326()
{
    return frame_326_impl;
}

namespace
{
    constexpr const bn::color frame_327_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_327_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(3, 19),
        horizontal_line(7, 17),
        horizontal_line(10, 15),
        horizontal_line(14, 14),
        horizontal_line(14, 18),
        horizontal_line(14, 23),
        horizontal_line(14, 28),
        horizontal_line(14, 33),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 38),
        horizontal_line(14, 25),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(138, 145),
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_327_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(17, 44),
        horizontal_line(18, 45),
        horizontal_line(19, 46),
        horizontal_line(20, 47),
        horizontal_line(21, 38),
        horizontal_line(22, 30),
        horizontal_line(138, 141),
        horizontal_line(19, 81),
        horizontal_line(16, 78),
        horizontal_line(13, 75),
        horizontal_line(11, 73),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_327_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_327_shape_group_0_shapes[] = {
        shape(frame_327_shape_group_0_shape_0_horizontal_lines, 39, 13),
        shape(frame_327_shape_group_0_shape_1_horizontal_lines, 89, 11),
        shape(frame_327_shape_group_0_shape_2_horizontal_lines, 118, 15),
        shape(frame_327_shape_group_0_shape_3_horizontal_lines, 125, 10),
    };

    constexpr const horizontal_line frame_327_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(223, 239),
        horizontal_line(218, 239),
        horizontal_line(212, 239),
        horizontal_line(207, 239),
        horizontal_line(202, 239),
        horizontal_line(46, 49),
        horizontal_line(44, 46),
        horizontal_line(42, 43),
        horizontal_line(40, 41),
        horizontal_line(175, 230),
        horizontal_line(169, 221),
        horizontal_line(164, 212),
        horizontal_line(158, 203),
        horizontal_line(153, 194),
        horizontal_line(148, 185),
        horizontal_line(130, 133),
        horizontal_line(130, 134),
        horizontal_line(131, 135),
        horizontal_line(132, 136),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(136, 147),
        horizontal_line(135, 147),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(135, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 146),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
        horizontal_line(134, 145),
    };

    constexpr const horizontal_line frame_327_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
        horizontal_line(16, 43),
        horizontal_line(63, 76),
        horizontal_line(63, 76),
        horizontal_line(129, 143),
        horizontal_line(128, 143),
        horizontal_line(129, 142),
        horizontal_line(133, 142),
        horizontal_line(166, 228),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_327_shape_group_1_shapes[] = {
        shape(frame_327_shape_group_1_shape_0_horizontal_lines, 46, 13),
        shape(frame_327_shape_group_1_shape_1_horizontal_lines, 85, 11),
        shape(frame_327_shape_group_1_shape_2_horizontal_lines, 118, 10),
    };

    constexpr const horizontal_line frame_327_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_327_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(191, 239),
        horizontal_line(185, 239),
        horizontal_line(180, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_327_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(147, 176),
        horizontal_line(148, 167),
        horizontal_line(148, 158),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_327_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(44, 46),
        horizontal_line(14, 41),
        horizontal_line(15, 42),
        horizontal_line(64, 77),
        horizontal_line(131, 145),
        horizontal_line(130, 144),
        horizontal_line(153, 215),
        horizontal_line(156, 218),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(228, 239),
        horizontal_line(81, 142),
        horizontal_line(78, 140),
        horizontal_line(75, 137),
        horizontal_line(73, 135),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_327_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_327_shape_group_2_shapes[] = {
        shape(frame_327_shape_group_2_shape_0_horizontal_lines, 48, 11),
        shape(frame_327_shape_group_2_shape_1_horizontal_lines, 53, 13),
        shape(frame_327_shape_group_2_shape_2_horizontal_lines, 57, 11),
        shape(frame_327_shape_group_2_shape_3_horizontal_lines, 63, 13),
        shape(frame_327_shape_group_2_shape_4_horizontal_lines, 67, 11),
        shape(frame_327_shape_group_2_shape_5_horizontal_lines, 118, 10),
    };

    constexpr const horizontal_line frame_327_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(27, 28),
        horizontal_line(32, 36),
        horizontal_line(37, 45),
        horizontal_line(42, 53),
        horizontal_line(48, 62),
    };

    constexpr const horizontal_line frame_327_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 51),
        horizontal_line(39, 50),
        horizontal_line(39, 50),
        horizontal_line(39, 49),
        horizontal_line(39, 49),
        horizontal_line(39, 48),
        horizontal_line(39, 48),
        horizontal_line(42, 47),
        horizontal_line(26, 39),
        horizontal_line(65, 76),
        horizontal_line(45, 46),
        horizontal_line(46, 46),
        horizontal_line(132, 141),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_327_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
        horizontal_line(135, 148),
        horizontal_line(132, 150),
        horizontal_line(129, 152),
        horizontal_line(126, 155),
        horizontal_line(124, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
    };

    constexpr const horizontal_line frame_327_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 204),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 211),
        horizontal_line(186, 213),
        horizontal_line(186, 215),
        horizontal_line(186, 217),
        horizontal_line(186, 219),
        horizontal_line(186, 221),
        horizontal_line(186, 224),
        horizontal_line(186, 226),
        horizontal_line(186, 228),
        horizontal_line(186, 230),
        horizontal_line(186, 232),
        horizontal_line(186, 234),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_327_shape_group_3_shapes[] = {
        shape(frame_327_shape_group_3_shape_0_horizontal_lines, 48, 15),
        shape(frame_327_shape_group_3_shape_1_horizontal_lines, 53, 11),
        shape(frame_327_shape_group_3_shape_2_horizontal_lines, 95, 15),
        shape(frame_327_shape_group_3_shape_3_horizontal_lines, 96, 11),
        shape(frame_327_shape_group_3_shape_4_horizontal_lines, 118, 10),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(55, 70),
        horizontal_line(64, 78),
        horizontal_line(72, 87),
        horizontal_line(81, 95),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(222, 239),
        horizontal_line(213, 239),
        horizontal_line(204, 239),
        horizontal_line(195, 239),
        horizontal_line(186, 239),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(39, 40),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(45, 45),
        horizontal_line(44, 54),
        horizontal_line(44, 53),
        horizontal_line(43, 53),
        horizontal_line(43, 52),
        horizontal_line(42, 52),
        horizontal_line(42, 51),
        horizontal_line(69, 74),
        horizontal_line(68, 76),
        horizontal_line(68, 79),
        horizontal_line(67, 78),
        horizontal_line(67, 78),
        horizontal_line(67, 77),
        horizontal_line(66, 77),
        horizontal_line(66, 77),
        horizontal_line(43, 47),
        horizontal_line(129, 133),
        horizontal_line(65, 75),
        horizontal_line(64, 75),
        horizontal_line(146, 208),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(142, 155),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(140, 144),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(149, 161),
        horizontal_line(151, 162),
        horizontal_line(153, 164),
        horizontal_line(156, 165),
        horizontal_line(158, 167),
        horizontal_line(160, 168),
        horizontal_line(162, 170),
        horizontal_line(164, 171),
        horizontal_line(167, 173),
        horizontal_line(169, 174),
        horizontal_line(171, 176),
        horizontal_line(173, 177),
        horizontal_line(175, 179),
        horizontal_line(177, 180),
        horizontal_line(180, 182),
        horizontal_line(182, 183),
        horizontal_line(184, 185),
        horizontal_line(186, 186),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(186, 190),
        horizontal_line(186, 192),
        horizontal_line(186, 194),
        horizontal_line(186, 196),
        horizontal_line(186, 198),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
    };

    constexpr const horizontal_line frame_327_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_327_shape_group_4_shapes[] = {
        shape(frame_327_shape_group_4_shape_0_horizontal_lines, 53, 15),
        shape(frame_327_shape_group_4_shape_1_horizontal_lines, 57, 11),
        shape(frame_327_shape_group_4_shape_2_horizontal_lines, 91, 15),
        shape(frame_327_shape_group_4_shape_3_horizontal_lines, 97, 11),
        shape(frame_327_shape_group_4_shape_4_horizontal_lines, 99, 15),
        shape(frame_327_shape_group_4_shape_5_horizontal_lines, 117, 11),
        shape(frame_327_shape_group_4_shape_6_horizontal_lines, 118, 10),
        shape(frame_327_shape_group_4_shape_7_horizontal_lines, 125, 1),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(47, 56),
        horizontal_line(44, 64),
        horizontal_line(42, 72),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(90, 104),
        horizontal_line(98, 112),
        horizontal_line(107, 120),
        horizontal_line(115, 129),
        horizontal_line(124, 137),
        horizontal_line(133, 146),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(168, 230),
        horizontal_line(159, 221),
        horizontal_line(150, 212),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(131, 135),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(69, 71),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(130, 134),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(129, 133),
        horizontal_line(65, 76),
        horizontal_line(146, 208),
        horizontal_line(129, 133),
        horizontal_line(133, 137),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(144, 149),
        horizontal_line(144, 150),
        horizontal_line(143, 152),
        horizontal_line(143, 153),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(23, 85),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(143, 156),
        horizontal_line(145, 158),
        horizontal_line(147, 159),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(168, 192),
        horizontal_line(169, 195),
        horizontal_line(171, 199),
        horizontal_line(172, 201),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(206, 208),
        horizontal_line(208, 211),
        horizontal_line(210, 214),
        horizontal_line(212, 218),
        horizontal_line(214, 221),
        horizontal_line(216, 224),
        horizontal_line(218, 228),
        horizontal_line(220, 231),
        horizontal_line(222, 234),
        horizontal_line(188, 188),
    };

    constexpr const horizontal_line frame_327_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(191, 225),
        horizontal_line(193, 227),
        horizontal_line(195, 229),
        horizontal_line(197, 231),
        horizontal_line(199, 233),
        horizontal_line(201, 235),
        horizontal_line(203, 237),
    };

    constexpr const shape frame_327_shape_group_5_shapes[] = {
        shape(frame_327_shape_group_5_shape_0_horizontal_lines, 54, 8),
        shape(frame_327_shape_group_5_shape_1_horizontal_lines, 57, 15),
        shape(frame_327_shape_group_5_shape_2_horizontal_lines, 63, 11),
        shape(frame_327_shape_group_5_shape_3_horizontal_lines, 89, 15),
        shape(frame_327_shape_group_5_shape_4_horizontal_lines, 95, 10),
        shape(frame_327_shape_group_5_shape_5_horizontal_lines, 96, 15),
        shape(frame_327_shape_group_5_shape_6_horizontal_lines, 99, 1),
        shape(frame_327_shape_group_5_shape_7_horizontal_lines, 107, 15),
        shape(frame_327_shape_group_5_shape_8_horizontal_lines, 118, 1),
    };

    constexpr const horizontal_line frame_327_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(41, 80),
        horizontal_line(41, 88),
        horizontal_line(41, 96),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
    };

    constexpr const horizontal_line frame_327_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(230, 239),
        horizontal_line(221, 239),
        horizontal_line(212, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(148, 210),
        horizontal_line(147, 209),
        horizontal_line(130, 134),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(147, 209),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
        horizontal_line(129, 133),
        horizontal_line(208, 239),
        horizontal_line(146, 208),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_327_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(146, 146),
        horizontal_line(145, 147),
    };

    constexpr const horizontal_line frame_327_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(47, 47),
        horizontal_line(127, 127),
        horizontal_line(39, 101),
        horizontal_line(31, 93),
        horizontal_line(85, 137),
    };

    constexpr const horizontal_line frame_327_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(1, 18),
        horizontal_line(0, 15),
        horizontal_line(0, 12),
        horizontal_line(162, 179),
        horizontal_line(163, 182),
        horizontal_line(165, 185),
        horizontal_line(166, 189),
    };

    constexpr const horizontal_line frame_327_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(174, 203),
        horizontal_line(175, 205),
        horizontal_line(177, 207),
        horizontal_line(178, 209),
        horizontal_line(180, 211),
        horizontal_line(181, 213),
        horizontal_line(183, 215),
        horizontal_line(184, 217),
        horizontal_line(186, 219),
        horizontal_line(187, 221),
    };

    constexpr const horizontal_line frame_327_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(224, 238),
    };

    constexpr const shape frame_327_shape_group_6_shapes[] = {
        shape(frame_327_shape_group_6_shape_0_horizontal_lines, 57, 8),
        shape(frame_327_shape_group_6_shape_1_horizontal_lines, 63, 11),
        shape(frame_327_shape_group_6_shape_2_horizontal_lines, 88, 15),
        shape(frame_327_shape_group_6_shape_3_horizontal_lines, 91, 10),
        shape(frame_327_shape_group_6_shape_4_horizontal_lines, 96, 1),
        shape(frame_327_shape_group_6_shape_5_horizontal_lines, 107, 1),
        shape(frame_327_shape_group_6_shape_6_horizontal_lines, 117, 15),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(103, 104),
        horizontal_line(103, 112),
        horizontal_line(103, 120),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
        horizontal_line(41, 103),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(147, 209),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(146, 208),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(77, 128),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(78, 126),
        horizontal_line(83, 125),
        horizontal_line(89, 124),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(101, 128),
        horizontal_line(93, 132),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(156, 165),
        horizontal_line(157, 169),
        horizontal_line(159, 172),
        horizontal_line(160, 175),
    };

    constexpr const horizontal_line frame_327_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(189, 223),
    };

    constexpr const shape frame_327_shape_group_7_shapes[] = {
        shape(frame_327_shape_group_7_shape_0_horizontal_lines, 60, 8),
        shape(frame_327_shape_group_7_shape_1_horizontal_lines, 69, 11),
        shape(frame_327_shape_group_7_shape_2_horizontal_lines, 85, 8),
        shape(frame_327_shape_group_7_shape_3_horizontal_lines, 86, 11),
        shape(frame_327_shape_group_7_shape_4_horizontal_lines, 88, 8),
        shape(frame_327_shape_group_7_shape_5_horizontal_lines, 91, 10),
        shape(frame_327_shape_group_7_shape_6_horizontal_lines, 92, 1),
        shape(frame_327_shape_group_7_shape_7_horizontal_lines, 93, 10),
        shape(frame_327_shape_group_7_shape_8_horizontal_lines, 95, 1),
        shape(frame_327_shape_group_7_shape_9_horizontal_lines, 117, 1),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(103, 128),
        horizontal_line(103, 129),
        horizontal_line(103, 130),
        horizontal_line(103, 131),
        horizontal_line(103, 130),
        horizontal_line(103, 130),
        horizontal_line(41, 44),
        horizontal_line(41, 43),
        horizontal_line(41, 43),
        horizontal_line(41, 42),
        horizontal_line(41, 42),
        horizontal_line(41, 41),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(75, 129),
        horizontal_line(77, 129),
        horizontal_line(80, 129),
        horizontal_line(79, 129),
        horizontal_line(79, 128),
        horizontal_line(78, 128),
        horizontal_line(78, 128),
        horizontal_line(78, 128),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(41, 43),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(7, 13),
        horizontal_line(1, 14),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(44, 63),
        horizontal_line(45, 62),
        horizontal_line(46, 62),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(150, 152),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(48, 110),
    };

    constexpr const horizontal_line frame_327_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(153, 159),
        horizontal_line(154, 162),
    };

    constexpr const shape frame_327_shape_group_8_shapes[] = {
        shape(frame_327_shape_group_8_shape_0_horizontal_lines, 63, 8),
        shape(frame_327_shape_group_8_shape_1_horizontal_lines, 75, 11),
        shape(frame_327_shape_group_8_shape_2_horizontal_lines, 76, 8),
        shape(frame_327_shape_group_8_shape_3_horizontal_lines, 84, 11),
        shape(frame_327_shape_group_8_shape_4_horizontal_lines, 85, 10),
        shape(frame_327_shape_group_8_shape_5_horizontal_lines, 86, 15),
        shape(frame_327_shape_group_8_shape_6_horizontal_lines, 88, 10),
        shape(frame_327_shape_group_8_shape_7_horizontal_lines, 91, 1),
        shape(frame_327_shape_group_8_shape_8_horizontal_lines, 92, 3),
        shape(frame_327_shape_group_8_shape_9_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_327_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(55, 117),
        horizontal_line(58, 120),
        horizontal_line(62, 124),
        horizontal_line(66, 128),
        horizontal_line(70, 129),
        horizontal_line(41, 41),
    };

    constexpr const horizontal_line frame_327_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(52, 68),
        horizontal_line(51, 67),
        horizontal_line(51, 67),
        horizontal_line(50, 66),
        horizontal_line(50, 66),
        horizontal_line(49, 66),
        horizontal_line(49, 65),
        horizontal_line(39, 41),
    };

    constexpr const horizontal_line frame_327_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(77, 128),
    };

    constexpr const horizontal_line frame_327_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(47, 64),
    };

    constexpr const horizontal_line frame_327_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(76, 128),
        horizontal_line(76, 127),
    };

    constexpr const horizontal_line frame_327_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(127, 131),
        horizontal_line(126, 130),
        horizontal_line(125, 129),
    };

    constexpr const horizontal_line frame_327_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(48, 110),
        horizontal_line(110, 126),
    };

    constexpr const shape frame_327_shape_group_9_shapes[] = {
        shape(frame_327_shape_group_9_shape_0_horizontal_lines, 69, 8),
        shape(frame_327_shape_group_9_shape_1_horizontal_lines, 76, 10),
        shape(frame_327_shape_group_9_shape_2_horizontal_lines, 84, 8),
        shape(frame_327_shape_group_9_shape_3_horizontal_lines, 85, 10),
        shape(frame_327_shape_group_9_shape_4_horizontal_lines, 86, 8),
        shape(frame_327_shape_group_9_shape_5_horizontal_lines, 88, 10),
        shape(frame_327_shape_group_9_shape_6_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_327_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(108, 130),
        horizontal_line(117, 130),
        horizontal_line(120, 130),
        horizontal_line(124, 130),
        horizontal_line(128, 129),
    };

    constexpr const horizontal_line frame_327_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(53, 69),
    };

    constexpr const horizontal_line frame_327_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(72, 129),
    };

    constexpr const horizontal_line frame_327_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(48, 65),
        horizontal_line(40, 42),
    };

    constexpr const horizontal_line frame_327_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(42, 44),
        horizontal_line(43, 45),
    };

    constexpr const horizontal_line frame_327_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(77, 78),
        horizontal_line(77, 80),
    };

    constexpr const horizontal_line frame_327_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(110, 125),
    };

    constexpr const shape frame_327_shape_group_10_shapes[] = {
        shape(frame_327_shape_group_10_shape_0_horizontal_lines, 69, 8),
        shape(frame_327_shape_group_10_shape_1_horizontal_lines, 74, 10),
        shape(frame_327_shape_group_10_shape_2_horizontal_lines, 75, 8),
        shape(frame_327_shape_group_10_shape_3_horizontal_lines, 83, 10),
        shape(frame_327_shape_group_10_shape_4_horizontal_lines, 86, 10),
        shape(frame_327_shape_group_10_shape_5_horizontal_lines, 89, 1),
        shape(frame_327_shape_group_10_shape_6_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_327_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(54, 57),
        horizontal_line(54, 61),
        horizontal_line(53, 65),
    };

    constexpr const horizontal_line frame_327_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(52, 68),
    };

    constexpr const horizontal_line frame_327_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(48, 64),
    };

    constexpr const horizontal_line frame_327_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(47, 64),
        horizontal_line(47, 63),
    };

    constexpr const horizontal_line frame_327_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(148, 149),
    };

    constexpr const shape frame_327_shape_group_11_shapes[] = {
        shape(frame_327_shape_group_11_shape_0_horizontal_lines, 71, 10),
        shape(frame_327_shape_group_11_shape_1_horizontal_lines, 75, 10),
        shape(frame_327_shape_group_11_shape_2_horizontal_lines, 84, 10),
        shape(frame_327_shape_group_11_shape_3_horizontal_lines, 86, 10),
        shape(frame_327_shape_group_11_shape_4_horizontal_lines, 90, 1),
    };

    constexpr const horizontal_line frame_327_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(128, 132),
    };

    constexpr const shape frame_327_shape_group_12_shapes[] = {
        shape(frame_327_shape_group_12_shape_0_horizontal_lines, 87, 10),
    };

    constexpr const shape_group frame_327_shape_groups[] = {
        shape_group(frame_327_shape_group_0_shapes),
        shape_group(frame_327_shape_group_1_shapes),
        shape_group(frame_327_shape_group_2_shapes),
        shape_group(frame_327_shape_group_3_shapes),
        shape_group(frame_327_shape_group_4_shapes),
        shape_group(frame_327_shape_group_5_shapes),
        shape_group(frame_327_shape_group_6_shapes),
        shape_group(frame_327_shape_group_7_shapes),
        shape_group(frame_327_shape_group_8_shapes),
        shape_group(frame_327_shape_group_9_shapes),
        shape_group(frame_327_shape_group_10_shapes),
        shape_group(frame_327_shape_group_11_shapes),
        shape_group(frame_327_shape_group_12_shapes),
    };

    constexpr const frame frame_327_impl(frame_327_colors, frame_327_shape_groups);
} 

const frame& frame_327()
{
    return frame_327_impl;
}

namespace
{
    constexpr const bn::color frame_328_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_328_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(3, 15),
        horizontal_line(7, 13),
        horizontal_line(11, 11),
        horizontal_line(12, 16),
        horizontal_line(12, 23),
        horizontal_line(12, 30),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(12, 37),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(136, 148),
        horizontal_line(140, 148),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_328_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 20),
        horizontal_line(0, 0),
        horizontal_line(147, 161),
        horizontal_line(149, 162),
        horizontal_line(151, 164),
        horizontal_line(153, 165),
        horizontal_line(155, 167),
        horizontal_line(157, 168),
        horizontal_line(159, 170),
        horizontal_line(161, 171),
        horizontal_line(164, 173),
        horizontal_line(166, 174),
        horizontal_line(168, 176),
        horizontal_line(170, 177),
        horizontal_line(172, 179),
        horizontal_line(174, 180),
        horizontal_line(176, 182),
        horizontal_line(178, 183),
        horizontal_line(181, 185),
        horizontal_line(183, 186),
        horizontal_line(185, 188),
        horizontal_line(187, 189),
        horizontal_line(189, 191),
        horizontal_line(191, 192),
        horizontal_line(193, 194),
        horizontal_line(195, 195),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_328_shape_group_0_shapes[] = {
        shape(frame_328_shape_group_0_shape_0_horizontal_lines, 39, 13),
        shape(frame_328_shape_group_0_shape_1_horizontal_lines, 89, 15),
        shape(frame_328_shape_group_0_shape_2_horizontal_lines, 123, 10),
    };

    constexpr const horizontal_line frame_328_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(230, 239),
        horizontal_line(225, 239),
        horizontal_line(220, 239),
        horizontal_line(215, 239),
        horizontal_line(210, 239),
        horizontal_line(205, 239),
        horizontal_line(44, 48),
        horizontal_line(41, 45),
        horizontal_line(39, 42),
        horizontal_line(40, 40),
        horizontal_line(180, 231),
        horizontal_line(175, 223),
        horizontal_line(170, 215),
        horizontal_line(165, 207),
        horizontal_line(160, 199),
        horizontal_line(155, 192),
        horizontal_line(151, 184),
        horizontal_line(132, 135),
        horizontal_line(133, 136),
        horizontal_line(134, 137),
        horizontal_line(135, 138),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 149),
        horizontal_line(137, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
    };

    constexpr const horizontal_line frame_328_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_328_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(6, 11),
        horizontal_line(1, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(149, 149),
        horizontal_line(148, 150),
        horizontal_line(147, 152),
        horizontal_line(146, 153),
        horizontal_line(146, 155),
        horizontal_line(145, 156),
        horizontal_line(144, 158),
        horizontal_line(145, 159),
    };

    constexpr const horizontal_line frame_328_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(15, 77),
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_328_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(208, 208),
        horizontal_line(210, 211),
        horizontal_line(212, 214),
        horizontal_line(214, 217),
        horizontal_line(216, 220),
        horizontal_line(218, 223),
        horizontal_line(220, 226),
        horizontal_line(222, 229),
        horizontal_line(224, 232),
        horizontal_line(226, 235),
        horizontal_line(228, 238),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_328_shape_group_1_shapes[] = {
        shape(frame_328_shape_group_1_shape_0_horizontal_lines, 45, 13),
        shape(frame_328_shape_group_1_shape_1_horizontal_lines, 84, 11),
        shape(frame_328_shape_group_1_shape_2_horizontal_lines, 85, 15),
        shape(frame_328_shape_group_1_shape_3_horizontal_lines, 97, 11),
        shape(frame_328_shape_group_1_shape_4_horizontal_lines, 107, 15),
        shape(frame_328_shape_group_1_shape_5_horizontal_lines, 121, 10),
    };

    constexpr const horizontal_line frame_328_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(30, 34),
        horizontal_line(36, 42),
        horizontal_line(41, 50),
        horizontal_line(47, 58),
    };

    constexpr const horizontal_line frame_328_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(195, 239),
        horizontal_line(190, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(86, 99),
        horizontal_line(95, 108),
        horizontal_line(103, 116),
        horizontal_line(111, 124),
        horizontal_line(119, 132),
        horizontal_line(127, 140),
        horizontal_line(136, 149),
    };

    constexpr const horizontal_line frame_328_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(150, 176),
        horizontal_line(151, 168),
        horizontal_line(152, 160),
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_328_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(42, 45),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(14, 41),
        horizontal_line(15, 42),
        horizontal_line(16, 43),
        horizontal_line(16, 44),
        horizontal_line(17, 45),
        horizontal_line(18, 46),
        horizontal_line(19, 37),
        horizontal_line(20, 28),
        horizontal_line(140, 143),
        horizontal_line(17, 79),
        horizontal_line(176, 238),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_328_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_328_shape_group_2_shapes[] = {
        shape(frame_328_shape_group_2_shape_0_horizontal_lines, 47, 15),
        shape(frame_328_shape_group_2_shape_1_horizontal_lines, 52, 13),
        shape(frame_328_shape_group_2_shape_2_horizontal_lines, 56, 15),
        shape(frame_328_shape_group_2_shape_3_horizontal_lines, 63, 13),
        shape(frame_328_shape_group_2_shape_4_horizontal_lines, 67, 11),
        shape(frame_328_shape_group_2_shape_5_horizontal_lines, 121, 10),
    };

    constexpr const horizontal_line frame_328_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 6),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_328_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(54, 67),
        horizontal_line(62, 75),
        horizontal_line(70, 83),
        horizontal_line(78, 91),
    };

    constexpr const horizontal_line frame_328_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 41),
        horizontal_line(38, 48),
        horizontal_line(38, 48),
        horizontal_line(38, 47),
        horizontal_line(38, 47),
        horizontal_line(38, 46),
        horizontal_line(41, 46),
        horizontal_line(63, 77),
        horizontal_line(12, 39),
        horizontal_line(13, 40),
        horizontal_line(62, 76),
        horizontal_line(62, 75),
        horizontal_line(61, 75),
        horizontal_line(61, 74),
        horizontal_line(131, 146),
        horizontal_line(130, 145),
        horizontal_line(131, 145),
        horizontal_line(135, 144),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(77, 139),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
        horizontal_line(218, 239),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_328_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 211),
        horizontal_line(186, 213),
        horizontal_line(186, 215),
        horizontal_line(186, 218),
        horizontal_line(186, 220),
        horizontal_line(186, 222),
        horizontal_line(186, 224),
        horizontal_line(186, 226),
        horizontal_line(186, 228),
        horizontal_line(186, 230),
        horizontal_line(186, 232),
        horizontal_line(186, 234),
        horizontal_line(186, 236),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_328_shape_group_3_shapes[] = {
        shape(frame_328_shape_group_3_shape_0_horizontal_lines, 48, 11),
        shape(frame_328_shape_group_3_shape_1_horizontal_lines, 52, 15),
        shape(frame_328_shape_group_3_shape_2_horizontal_lines, 56, 11),
        shape(frame_328_shape_group_3_shape_3_horizontal_lines, 121, 10),
    };

    constexpr const horizontal_line frame_328_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(38, 39),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(47, 53),
        horizontal_line(46, 52),
        horizontal_line(46, 52),
        horizontal_line(45, 51),
        horizontal_line(45, 51),
        horizontal_line(44, 50),
        horizontal_line(44, 50),
        horizontal_line(43, 49),
        horizontal_line(43, 49),
        horizontal_line(66, 79),
        horizontal_line(66, 79),
        horizontal_line(65, 78),
        horizontal_line(65, 78),
        horizontal_line(64, 78),
        horizontal_line(64, 77),
        horizontal_line(132, 135),
        horizontal_line(43, 45),
        horizontal_line(44, 45),
        horizontal_line(79, 80),
        horizontal_line(79, 79),
        horizontal_line(79, 79),
        horizontal_line(78, 78),
        horizontal_line(156, 218),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(166, 228),
        horizontal_line(232, 239),
        horizontal_line(79, 141),
        horizontal_line(238, 239),
        horizontal_line(136, 148),
        horizontal_line(134, 150),
        horizontal_line(131, 152),
        horizontal_line(129, 154),
        horizontal_line(126, 156),
        horizontal_line(124, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
    };

    constexpr const horizontal_line frame_328_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(186, 197),
        horizontal_line(186, 199),
    };

    constexpr const horizontal_line frame_328_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
    };

    constexpr const shape frame_328_shape_group_4_shapes[] = {
        shape(frame_328_shape_group_4_shape_0_horizontal_lines, 52, 11),
        shape(frame_328_shape_group_4_shape_1_horizontal_lines, 121, 10),
        shape(frame_328_shape_group_4_shape_2_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_328_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(46, 55),
        horizontal_line(43, 63),
    };

    constexpr const horizontal_line frame_328_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(38, 39),
        horizontal_line(232, 239),
        horizontal_line(224, 239),
        horizontal_line(216, 239),
        horizontal_line(208, 239),
        horizontal_line(200, 239),
        horizontal_line(193, 239),
        horizontal_line(185, 239),
        horizontal_line(177, 239),
        horizontal_line(169, 231),
        horizontal_line(161, 223),
        horizontal_line(154, 216),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(68, 70),
        horizontal_line(68, 72),
        horizontal_line(67, 75),
        horizontal_line(67, 77),
        horizontal_line(66, 80),
        horizontal_line(133, 136),
        horizontal_line(132, 136),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(149, 211),
        horizontal_line(63, 76),
        horizontal_line(63, 76),
        horizontal_line(135, 139),
        horizontal_line(134, 143),
        horizontal_line(133, 148),
        horizontal_line(132, 147),
        horizontal_line(218, 239),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(21, 83),
    };

    constexpr const horizontal_line frame_328_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(139, 146),
    };

    constexpr const horizontal_line frame_328_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(171, 195),
        horizontal_line(172, 199),
        horizontal_line(174, 202),
        horizontal_line(175, 205),
    };

    constexpr const horizontal_line frame_328_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(124, 177),
        horizontal_line(124, 180),
        horizontal_line(124, 182),
        horizontal_line(124, 184),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 190),
        horizontal_line(186, 192),
        horizontal_line(187, 194),
    };

    constexpr const horizontal_line frame_328_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(198, 235),
        horizontal_line(200, 237),
    };

    constexpr const shape frame_328_shape_group_5_shapes[] = {
        shape(frame_328_shape_group_5_shape_0_horizontal_lines, 53, 8),
        shape(frame_328_shape_group_5_shape_1_horizontal_lines, 55, 11),
        shape(frame_328_shape_group_5_shape_2_horizontal_lines, 95, 10),
        shape(frame_328_shape_group_5_shape_3_horizontal_lines, 96, 11),
        shape(frame_328_shape_group_5_shape_4_horizontal_lines, 98, 1),
        shape(frame_328_shape_group_5_shape_5_horizontal_lines, 107, 11),
        shape(frame_328_shape_group_5_shape_6_horizontal_lines, 121, 1),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(41, 72),
        horizontal_line(40, 80),
        horizontal_line(40, 89),
        horizontal_line(40, 97),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(231, 239),
        horizontal_line(223, 239),
        horizontal_line(216, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(151, 213),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(150, 212),
        horizontal_line(211, 239),
        horizontal_line(132, 135),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(149, 211),
        horizontal_line(150, 212),
        horizontal_line(153, 215),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(46, 47),
        horizontal_line(129, 129),
        horizontal_line(38, 100),
        horizontal_line(29, 91),
        horizontal_line(83, 139),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(163, 179),
        horizontal_line(165, 182),
        horizontal_line(166, 185),
        horizontal_line(168, 189),
        horizontal_line(169, 192),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 207),
        horizontal_line(178, 209),
        horizontal_line(180, 211),
        horizontal_line(181, 213),
        horizontal_line(183, 215),
        horizontal_line(184, 217),
        horizontal_line(186, 219),
        horizontal_line(187, 221),
        horizontal_line(189, 223),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(186, 186),
        horizontal_line(186, 188),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(193, 229),
        horizontal_line(195, 231),
    };

    constexpr const horizontal_line frame_328_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_328_shape_group_6_shapes[] = {
        shape(frame_328_shape_group_6_shape_0_horizontal_lines, 55, 8),
        shape(frame_328_shape_group_6_shape_1_horizontal_lines, 63, 11),
        shape(frame_328_shape_group_6_shape_2_horizontal_lines, 91, 10),
        shape(frame_328_shape_group_6_shape_3_horizontal_lines, 96, 11),
        shape(frame_328_shape_group_6_shape_4_horizontal_lines, 97, 1),
        shape(frame_328_shape_group_6_shape_5_horizontal_lines, 107, 1),
        shape(frame_328_shape_group_6_shape_6_horizontal_lines, 116, 11),
        shape(frame_328_shape_group_6_shape_7_horizontal_lines, 118, 1),
        shape(frame_328_shape_group_6_shape_8_horizontal_lines, 120, 10),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(102, 105),
        horizontal_line(102, 114),
        horizontal_line(102, 122),
        horizontal_line(102, 131),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(151, 213),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(81, 131),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(149, 211),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(154, 159),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(100, 130),
        horizontal_line(91, 134),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(1, 16),
        horizontal_line(162, 175),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(190, 225),
        horizontal_line(192, 227),
    };

    constexpr const horizontal_line frame_328_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(196, 233),
    };

    constexpr const shape frame_328_shape_group_7_shapes[] = {
        shape(frame_328_shape_group_7_shape_0_horizontal_lines, 59, 8),
        shape(frame_328_shape_group_7_shape_1_horizontal_lines, 69, 11),
        shape(frame_328_shape_group_7_shape_2_horizontal_lines, 84, 8),
        shape(frame_328_shape_group_7_shape_3_horizontal_lines, 85, 11),
        shape(frame_328_shape_group_7_shape_4_horizontal_lines, 91, 10),
        shape(frame_328_shape_group_7_shape_5_horizontal_lines, 92, 1),
        shape(frame_328_shape_group_7_shape_6_horizontal_lines, 93, 10),
        shape(frame_328_shape_group_7_shape_7_horizontal_lines, 95, 1),
        shape(frame_328_shape_group_7_shape_8_horizontal_lines, 116, 1),
        shape(frame_328_shape_group_7_shape_9_horizontal_lines, 120, 1),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(102, 131),
        horizontal_line(102, 132),
        horizontal_line(102, 133),
        horizontal_line(102, 134),
        horizontal_line(102, 133),
        horizontal_line(102, 133),
        horizontal_line(40, 46),
        horizontal_line(40, 45),
        horizontal_line(40, 45),
        horizontal_line(40, 44),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(82, 132),
        horizontal_line(83, 131),
        horizontal_line(82, 131),
        horizontal_line(82, 131),
        horizontal_line(81, 131),
        horizontal_line(81, 131),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(39, 41),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(80, 130),
        horizontal_line(81, 129),
        horizontal_line(86, 128),
        horizontal_line(92, 127),
        horizontal_line(98, 126),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(153, 155),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(47, 109),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(156, 162),
        horizontal_line(157, 165),
    };

    constexpr const horizontal_line frame_328_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(160, 172),
    };

    constexpr const shape frame_328_shape_group_8_shapes[] = {
        shape(frame_328_shape_group_8_shape_0_horizontal_lines, 63, 8),
        shape(frame_328_shape_group_8_shape_1_horizontal_lines, 73, 11),
        shape(frame_328_shape_group_8_shape_2_horizontal_lines, 78, 8),
        shape(frame_328_shape_group_8_shape_3_horizontal_lines, 84, 10),
        shape(frame_328_shape_group_8_shape_4_horizontal_lines, 85, 11),
        shape(frame_328_shape_group_8_shape_5_horizontal_lines, 86, 8),
        shape(frame_328_shape_group_8_shape_6_horizontal_lines, 91, 1),
        shape(frame_328_shape_group_8_shape_7_horizontal_lines, 92, 3),
        shape(frame_328_shape_group_8_shape_8_horizontal_lines, 93, 1),
        shape(frame_328_shape_group_8_shape_9_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_328_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(54, 116),
        horizontal_line(59, 121),
        horizontal_line(64, 126),
        horizontal_line(69, 131),
        horizontal_line(40, 44),
        horizontal_line(40, 43),
        horizontal_line(40, 43),
        horizontal_line(40, 42),
        horizontal_line(42, 42),
    };

    constexpr const horizontal_line frame_328_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(49, 65),
        horizontal_line(49, 65),
        horizontal_line(48, 64),
        horizontal_line(48, 64),
        horizontal_line(47, 63),
        horizontal_line(38, 40),
        horizontal_line(46, 62),
    };

    constexpr const horizontal_line frame_328_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(80, 131),
    };

    constexpr const horizontal_line frame_328_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(41, 43),
        horizontal_line(42, 61),
        horizontal_line(43, 61),
        horizontal_line(44, 60),
        horizontal_line(45, 60),
    };

    constexpr const horizontal_line frame_328_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(48, 110),
        horizontal_line(109, 128),
    };

    constexpr const shape frame_328_shape_group_9_shapes[] = {
        shape(frame_328_shape_group_9_shape_0_horizontal_lines, 69, 8),
        shape(frame_328_shape_group_9_shape_1_horizontal_lines, 78, 10),
        shape(frame_328_shape_group_9_shape_2_horizontal_lines, 85, 8),
        shape(frame_328_shape_group_9_shape_3_horizontal_lines, 86, 10),
        shape(frame_328_shape_group_9_shape_4_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_328_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(116, 133),
        horizontal_line(121, 133),
        horizontal_line(126, 133),
        horizontal_line(131, 133),
        horizontal_line(71, 132),
        horizontal_line(73, 132),
        horizontal_line(76, 132),
        horizontal_line(78, 132),
        horizontal_line(81, 132),
    };

    constexpr const horizontal_line frame_328_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(80, 81),
        horizontal_line(80, 82),
        horizontal_line(79, 81),
        horizontal_line(79, 81),
        horizontal_line(79, 80),
        horizontal_line(47, 63),
        horizontal_line(78, 80),
        horizontal_line(40, 42),
        horizontal_line(46, 62),
        horizontal_line(77, 78),
        horizontal_line(76, 78),
        horizontal_line(76, 78),
        horizontal_line(75, 77),
    };

    constexpr const horizontal_line frame_328_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(110, 127),
    };

    constexpr const shape frame_328_shape_group_10_shapes[] = {
        shape(frame_328_shape_group_10_shape_0_horizontal_lines, 69, 8),
        shape(frame_328_shape_group_10_shape_1_horizontal_lines, 78, 10),
        shape(frame_328_shape_group_10_shape_2_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_328_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(53, 58),
        horizontal_line(53, 63),
        horizontal_line(52, 68),
        horizontal_line(52, 67),
        horizontal_line(51, 67),
        horizontal_line(51, 66),
        horizontal_line(50, 66),
        horizontal_line(50, 65),
    };

    constexpr const horizontal_line frame_328_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(78, 80),
    };

    constexpr const horizontal_line frame_328_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(46, 62),
        horizontal_line(77, 79),
        horizontal_line(130, 134),
        horizontal_line(129, 133),
        horizontal_line(128, 132),
        horizontal_line(127, 131),
    };

    constexpr const shape frame_328_shape_group_11_shapes[] = {
        shape(frame_328_shape_group_11_shape_0_horizontal_lines, 70, 10),
        shape(frame_328_shape_group_11_shape_1_horizontal_lines, 83, 10),
        shape(frame_328_shape_group_11_shape_2_horizontal_lines, 85, 10),
    };

    constexpr const horizontal_line frame_328_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(77, 79),
        horizontal_line(131, 135),
    };

    constexpr const horizontal_line frame_328_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(80, 80),
        horizontal_line(80, 82),
        horizontal_line(79, 81),
    };

    constexpr const shape frame_328_shape_group_12_shapes[] = {
        shape(frame_328_shape_group_12_shape_0_horizontal_lines, 85, 10),
        shape(frame_328_shape_group_12_shape_1_horizontal_lines, 88, 1),
    };

    constexpr const horizontal_line frame_328_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(151, 152),
    };

    constexpr const shape frame_328_shape_group_13_shapes[] = {
        shape(frame_328_shape_group_13_shape_0_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_328_shape_groups[] = {
        shape_group(frame_328_shape_group_0_shapes),
        shape_group(frame_328_shape_group_1_shapes),
        shape_group(frame_328_shape_group_2_shapes),
        shape_group(frame_328_shape_group_3_shapes),
        shape_group(frame_328_shape_group_4_shapes),
        shape_group(frame_328_shape_group_5_shapes),
        shape_group(frame_328_shape_group_6_shapes),
        shape_group(frame_328_shape_group_7_shapes),
        shape_group(frame_328_shape_group_8_shapes),
        shape_group(frame_328_shape_group_9_shapes),
        shape_group(frame_328_shape_group_10_shapes),
        shape_group(frame_328_shape_group_11_shapes),
        shape_group(frame_328_shape_group_12_shapes),
        shape_group(frame_328_shape_group_13_shapes),
    };

    constexpr const frame frame_328_impl(frame_328_colors, frame_328_shape_groups);
} 

const frame& frame_328()
{
    return frame_328_impl;
}

namespace
{
    constexpr const bn::color frame_329_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_329_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(0, 13),
        horizontal_line(3, 12),
        horizontal_line(6, 10),
        horizontal_line(9, 9),
        horizontal_line(10, 13),
        horizontal_line(10, 19),
        horizontal_line(10, 24),
        horizontal_line(10, 30),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 36),
        horizontal_line(10, 22),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(139, 151),
        horizontal_line(143, 151),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_329_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 0),
        horizontal_line(150, 163),
        horizontal_line(152, 165),
        horizontal_line(154, 166),
        horizontal_line(156, 168),
        horizontal_line(158, 169),
        horizontal_line(160, 171),
        horizontal_line(162, 172),
        horizontal_line(164, 174),
        horizontal_line(166, 175),
        horizontal_line(168, 177),
        horizontal_line(170, 178),
        horizontal_line(172, 180),
        horizontal_line(174, 181),
        horizontal_line(176, 183),
        horizontal_line(178, 184),
        horizontal_line(180, 186),
        horizontal_line(182, 187),
        horizontal_line(184, 189),
        horizontal_line(186, 190),
        horizontal_line(188, 192),
        horizontal_line(190, 193),
        horizontal_line(192, 195),
        horizontal_line(194, 196),
        horizontal_line(196, 198),
        horizontal_line(198, 199),
        horizontal_line(200, 201),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_329_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_329_shape_group_0_shapes[] = {
        shape(frame_329_shape_group_0_shape_0_horizontal_lines, 38, 13),
        shape(frame_329_shape_group_0_shape_1_horizontal_lines, 89, 15),
        shape(frame_329_shape_group_0_shape_2_horizontal_lines, 124, 10),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(216, 239),
        horizontal_line(212, 239),
        horizontal_line(207, 239),
        horizontal_line(203, 239),
        horizontal_line(43, 45),
        horizontal_line(41, 43),
        horizontal_line(39, 41),
        horizontal_line(38, 39),
        horizontal_line(180, 231),
        horizontal_line(176, 223),
        horizontal_line(171, 216),
        horizontal_line(167, 208),
        horizontal_line(162, 201),
        horizontal_line(158, 193),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(136, 140),
        horizontal_line(137, 141),
        horizontal_line(141, 156),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(141, 154),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 153),
        horizontal_line(140, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
        horizontal_line(139, 152),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(5, 9),
        horizontal_line(1, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(14, 42),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(151, 153),
        horizontal_line(150, 154),
        horizontal_line(149, 156),
        horizontal_line(149, 157),
        horizontal_line(148, 159),
        horizontal_line(147, 160),
        horizontal_line(148, 162),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(13, 75),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(220, 220),
        horizontal_line(222, 223),
        horizontal_line(224, 226),
        horizontal_line(226, 229),
        horizontal_line(228, 232),
        horizontal_line(230, 235),
        horizontal_line(232, 238),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_329_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_329_shape_group_1_shapes[] = {
        shape(frame_329_shape_group_1_shape_0_horizontal_lines, 42, 13),
        shape(frame_329_shape_group_1_shape_1_horizontal_lines, 84, 11),
        shape(frame_329_shape_group_1_shape_2_horizontal_lines, 85, 15),
        shape(frame_329_shape_group_1_shape_3_horizontal_lines, 89, 11),
        shape(frame_329_shape_group_1_shape_4_horizontal_lines, 90, 15),
        shape(frame_329_shape_group_1_shape_5_horizontal_lines, 97, 11),
        shape(frame_329_shape_group_1_shape_6_horizontal_lines, 111, 15),
        shape(frame_329_shape_group_1_shape_7_horizontal_lines, 121, 11),
        shape(frame_329_shape_group_1_shape_8_horizontal_lines, 124, 10),
    };

    constexpr const horizontal_line frame_329_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(22, 24),
        horizontal_line(27, 32),
        horizontal_line(31, 40),
        horizontal_line(36, 48),
        horizontal_line(40, 56),
        horizontal_line(45, 64),
    };

    constexpr const horizontal_line frame_329_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(189, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(91, 104),
        horizontal_line(101, 112),
        horizontal_line(110, 120),
        horizontal_line(120, 128),
        horizontal_line(129, 136),
        horizontal_line(139, 144),
    };

    constexpr const horizontal_line frame_329_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(154, 186),
        horizontal_line(154, 178),
        horizontal_line(155, 171),
        horizontal_line(155, 163),
    };

    constexpr const horizontal_line frame_329_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(41, 44),
        horizontal_line(0, 4),
        horizontal_line(0, 0),
        horizontal_line(12, 40),
        horizontal_line(13, 41),
        horizontal_line(60, 75),
        horizontal_line(15, 43),
        horizontal_line(16, 44),
        horizontal_line(17, 45),
        horizontal_line(18, 36),
        horizontal_line(19, 27),
        horizontal_line(140, 146),
        horizontal_line(16, 78),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(200, 239),
        horizontal_line(203, 239),
        horizontal_line(206, 239),
        horizontal_line(209, 239),
        horizontal_line(212, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_329_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_329_shape_group_2_shapes[] = {
        shape(frame_329_shape_group_2_shape_0_horizontal_lines, 45, 15),
        shape(frame_329_shape_group_2_shape_1_horizontal_lines, 51, 13),
        shape(frame_329_shape_group_2_shape_2_horizontal_lines, 55, 15),
        shape(frame_329_shape_group_2_shape_3_horizontal_lines, 61, 13),
        shape(frame_329_shape_group_2_shape_4_horizontal_lines, 65, 11),
        shape(frame_329_shape_group_2_shape_5_horizontal_lines, 124, 10),
    };

    constexpr const horizontal_line frame_329_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_329_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(53, 72),
        horizontal_line(63, 80),
        horizontal_line(72, 88),
        horizontal_line(82, 96),
    };

    constexpr const horizontal_line frame_329_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 42),
        horizontal_line(37, 47),
        horizontal_line(37, 47),
        horizontal_line(37, 46),
        horizontal_line(37, 46),
        horizontal_line(37, 46),
        horizontal_line(37, 45),
        horizontal_line(23, 36),
        horizontal_line(62, 77),
        horizontal_line(10, 38),
        horizontal_line(11, 39),
        horizontal_line(61, 75),
        horizontal_line(60, 75),
        horizontal_line(136, 198),
        horizontal_line(60, 74),
        horizontal_line(134, 149),
        horizontal_line(133, 148),
        horizontal_line(132, 148),
        horizontal_line(133, 147),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(75, 137),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
    };

    constexpr const horizontal_line frame_329_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(186, 204),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(186, 209),
        horizontal_line(186, 211),
        horizontal_line(186, 213),
        horizontal_line(186, 215),
        horizontal_line(186, 217),
        horizontal_line(186, 219),
        horizontal_line(186, 221),
        horizontal_line(186, 223),
        horizontal_line(186, 225),
        horizontal_line(186, 227),
        horizontal_line(186, 229),
        horizontal_line(186, 231),
        horizontal_line(186, 233),
        horizontal_line(186, 235),
        horizontal_line(186, 237),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_329_shape_group_3_shapes[] = {
        shape(frame_329_shape_group_3_shape_0_horizontal_lines, 47, 11),
        shape(frame_329_shape_group_3_shape_1_horizontal_lines, 51, 15),
        shape(frame_329_shape_group_3_shape_2_horizontal_lines, 55, 11),
        shape(frame_329_shape_group_3_shape_3_horizontal_lines, 124, 10),
    };

    constexpr const horizontal_line frame_329_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(37, 38),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(51, 51),
        horizontal_line(50, 51),
        horizontal_line(50, 50),
        horizontal_line(49, 50),
        horizontal_line(49, 49),
        horizontal_line(48, 49),
        horizontal_line(48, 48),
        horizontal_line(47, 48),
        horizontal_line(65, 79),
        horizontal_line(65, 79),
        horizontal_line(64, 79),
        horizontal_line(64, 78),
        horizontal_line(64, 78),
        horizontal_line(63, 77),
        horizontal_line(40, 45),
        horizontal_line(134, 138),
        horizontal_line(42, 44),
        horizontal_line(43, 43),
        horizontal_line(81, 81),
        horizontal_line(81, 81),
        horizontal_line(198, 239),
        horizontal_line(80, 80),
        horizontal_line(158, 220),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(168, 230),
        horizontal_line(233, 239),
        horizontal_line(78, 140),
        horizontal_line(239, 239),
        horizontal_line(134, 151),
        horizontal_line(132, 153),
        horizontal_line(129, 155),
        horizontal_line(126, 157),
        horizontal_line(124, 159),
        horizontal_line(124, 161),
        horizontal_line(124, 163),
        horizontal_line(124, 165),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
        horizontal_line(124, 171),
        horizontal_line(124, 173),
        horizontal_line(124, 175),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(187, 201),
    };

    constexpr const horizontal_line frame_329_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_329_shape_group_4_shapes[] = {
        shape(frame_329_shape_group_4_shape_0_horizontal_lines, 51, 11),
        shape(frame_329_shape_group_4_shape_1_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(46, 52),
        horizontal_line(44, 61),
        horizontal_line(42, 69),
        horizontal_line(40, 77),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(224, 239),
        horizontal_line(217, 239),
        horizontal_line(209, 239),
        horizontal_line(202, 239),
        horizontal_line(194, 239),
        horizontal_line(187, 239),
        horizontal_line(179, 239),
        horizontal_line(172, 234),
        horizontal_line(164, 226),
        horizontal_line(157, 219),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(68, 71),
        horizontal_line(68, 74),
        horizontal_line(67, 77),
        horizontal_line(67, 81),
        horizontal_line(66, 80),
        horizontal_line(66, 80),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(63, 77),
        horizontal_line(152, 214),
        horizontal_line(62, 76),
        horizontal_line(61, 76),
        horizontal_line(138, 142),
        horizontal_line(137, 146),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(98, 129),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(135, 150),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(137, 149),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(172, 192),
        horizontal_line(173, 195),
        horizontal_line(175, 199),
        horizontal_line(176, 202),
        horizontal_line(178, 205),
        horizontal_line(179, 208),
        horizontal_line(181, 211),
        horizontal_line(182, 215),
        horizontal_line(184, 217),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const shape frame_329_shape_group_5_shapes[] = {
        shape(frame_329_shape_group_5_shape_0_horizontal_lines, 51, 8),
        shape(frame_329_shape_group_5_shape_1_horizontal_lines, 55, 11),
        shape(frame_329_shape_group_5_shape_2_horizontal_lines, 89, 8),
        shape(frame_329_shape_group_5_shape_3_horizontal_lines, 90, 11),
        shape(frame_329_shape_group_5_shape_4_horizontal_lines, 95, 10),
        shape(frame_329_shape_group_5_shape_5_horizontal_lines, 96, 11),
        shape(frame_329_shape_group_5_shape_6_horizontal_lines, 98, 1),
        shape(frame_329_shape_group_5_shape_7_horizontal_lines, 111, 11),
        shape(frame_329_shape_group_5_shape_8_horizontal_lines, 121, 1),
        shape(frame_329_shape_group_5_shape_9_horizontal_lines, 123, 10),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(39, 85),
        horizontal_line(39, 93),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(226, 239),
        horizontal_line(219, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(136, 140),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(154, 216),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(153, 215),
        horizontal_line(134, 138),
        horizontal_line(214, 239),
        horizontal_line(134, 138),
        horizontal_line(82, 82),
        horizontal_line(152, 214),
        horizontal_line(152, 214),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(43, 59),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(155, 217),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(45, 46),
        horizontal_line(130, 132),
        horizontal_line(37, 88),
        horizontal_line(28, 90),
        horizontal_line(82, 139),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(140, 147),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(166, 179),
        horizontal_line(167, 183),
        horizontal_line(169, 186),
        horizontal_line(170, 189),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(185, 219),
        horizontal_line(187, 221),
        horizontal_line(188, 223),
        horizontal_line(190, 225),
        horizontal_line(191, 227),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(186, 189),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(196, 233),
        horizontal_line(197, 235),
        horizontal_line(199, 237),
    };

    constexpr const horizontal_line frame_329_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(203, 239),
    };

    constexpr const shape frame_329_shape_group_6_shapes[] = {
        shape(frame_329_shape_group_6_shape_0_horizontal_lines, 55, 8),
        shape(frame_329_shape_group_6_shape_1_horizontal_lines, 63, 11),
        shape(frame_329_shape_group_6_shape_2_horizontal_lines, 89, 10),
        shape(frame_329_shape_group_6_shape_3_horizontal_lines, 90, 11),
        shape(frame_329_shape_group_6_shape_4_horizontal_lines, 91, 10),
        shape(frame_329_shape_group_6_shape_5_horizontal_lines, 96, 11),
        shape(frame_329_shape_group_6_shape_6_horizontal_lines, 97, 1),
        shape(frame_329_shape_group_6_shape_7_horizontal_lines, 111, 1),
        shape(frame_329_shape_group_6_shape_8_horizontal_lines, 116, 11),
        shape(frame_329_shape_group_6_shape_9_horizontal_lines, 118, 1),
        shape(frame_329_shape_group_6_shape_10_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(101, 101),
        horizontal_line(101, 109),
        horizontal_line(101, 117),
        horizontal_line(101, 125),
        horizontal_line(101, 133),
        horizontal_line(101, 134),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 52),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(153, 215),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(82, 133),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(152, 214),
        horizontal_line(152, 214),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(76, 80),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(129, 133),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(157, 160),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(90, 132),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(161, 170),
        horizontal_line(1, 15),
        horizontal_line(164, 176),
    };

    constexpr const horizontal_line frame_329_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(193, 229),
        horizontal_line(194, 231),
    };

    constexpr const shape frame_329_shape_group_7_shapes[] = {
        shape(frame_329_shape_group_7_shape_0_horizontal_lines, 57, 8),
        shape(frame_329_shape_group_7_shape_1_horizontal_lines, 69, 11),
        shape(frame_329_shape_group_7_shape_2_horizontal_lines, 84, 8),
        shape(frame_329_shape_group_7_shape_3_horizontal_lines, 85, 11),
        shape(frame_329_shape_group_7_shape_4_horizontal_lines, 89, 10),
        shape(frame_329_shape_group_7_shape_5_horizontal_lines, 90, 11),
        shape(frame_329_shape_group_7_shape_6_horizontal_lines, 91, 10),
        shape(frame_329_shape_group_7_shape_7_horizontal_lines, 92, 1),
        shape(frame_329_shape_group_7_shape_8_horizontal_lines, 93, 10),
        shape(frame_329_shape_group_7_shape_9_horizontal_lines, 95, 1),
        shape(frame_329_shape_group_7_shape_10_horizontal_lines, 116, 1),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(101, 135),
        horizontal_line(101, 136),
        horizontal_line(101, 135),
        horizontal_line(101, 135),
        horizontal_line(101, 135),
        horizontal_line(54, 116),
        horizontal_line(39, 50),
        horizontal_line(39, 49),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(84, 134),
        horizontal_line(85, 134),
        horizontal_line(84, 133),
        horizontal_line(84, 133),
        horizontal_line(83, 133),
        horizontal_line(83, 133),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(38, 40),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(88, 131),
        horizontal_line(93, 130),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(130, 135),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(103, 128),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(158, 163),
        horizontal_line(160, 167),
    };

    constexpr const horizontal_line frame_329_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(163, 173),
    };

    constexpr const shape frame_329_shape_group_8_shapes[] = {
        shape(frame_329_shape_group_8_shape_0_horizontal_lines, 63, 8),
        shape(frame_329_shape_group_8_shape_1_horizontal_lines, 71, 11),
        shape(frame_329_shape_group_8_shape_2_horizontal_lines, 77, 8),
        shape(frame_329_shape_group_8_shape_3_horizontal_lines, 83, 11),
        shape(frame_329_shape_group_8_shape_4_horizontal_lines, 84, 10),
        shape(frame_329_shape_group_8_shape_5_horizontal_lines, 85, 11),
        shape(frame_329_shape_group_8_shape_6_horizontal_lines, 87, 8),
        shape(frame_329_shape_group_8_shape_7_horizontal_lines, 89, 10),
        shape(frame_329_shape_group_8_shape_8_horizontal_lines, 90, 8),
        shape(frame_329_shape_group_8_shape_9_horizontal_lines, 91, 1),
        shape(frame_329_shape_group_8_shape_10_horizontal_lines, 92, 3),
        shape(frame_329_shape_group_8_shape_11_horizontal_lines, 93, 1),
        shape(frame_329_shape_group_8_shape_12_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(116, 135),
        horizontal_line(61, 123),
        horizontal_line(69, 131),
        horizontal_line(39, 49),
        horizontal_line(39, 48),
        horizontal_line(39, 48),
        horizontal_line(39, 47),
        horizontal_line(39, 47),
        horizontal_line(43, 46),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(48, 64),
        horizontal_line(48, 64),
        horizontal_line(47, 63),
        horizontal_line(47, 63),
        horizontal_line(47, 63),
        horizontal_line(46, 62),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(83, 133),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(45, 61),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(82, 133),
        horizontal_line(83, 132),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(41, 60),
        horizontal_line(42, 59),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(81, 84),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(44, 59),
    };

    constexpr const horizontal_line frame_329_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(47, 109),
        horizontal_line(108, 129),
        horizontal_line(89, 130),
    };

    constexpr const shape frame_329_shape_group_9_shapes[] = {
        shape(frame_329_shape_group_9_shape_0_horizontal_lines, 68, 8),
        shape(frame_329_shape_group_9_shape_1_horizontal_lines, 77, 10),
        shape(frame_329_shape_group_9_shape_2_horizontal_lines, 83, 8),
        shape(frame_329_shape_group_9_shape_3_horizontal_lines, 84, 10),
        shape(frame_329_shape_group_9_shape_4_horizontal_lines, 85, 8),
        shape(frame_329_shape_group_9_shape_5_horizontal_lines, 87, 10),
        shape(frame_329_shape_group_9_shape_6_horizontal_lines, 89, 1),
        shape(frame_329_shape_group_9_shape_7_horizontal_lines, 90, 10),
        shape(frame_329_shape_group_9_shape_8_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_329_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(53, 53),
    };

    constexpr const horizontal_line frame_329_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(123, 135),
        horizontal_line(131, 135),
        horizontal_line(72, 134),
        horizontal_line(75, 134),
        horizontal_line(78, 134),
        horizontal_line(82, 134),
        horizontal_line(82, 134),
        horizontal_line(83, 134),
    };

    constexpr const horizontal_line frame_329_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(80, 83),
        horizontal_line(80, 84),
        horizontal_line(80, 83),
        horizontal_line(79, 83),
        horizontal_line(79, 82),
        horizontal_line(78, 82),
        horizontal_line(37, 39),
        horizontal_line(78, 81),
        horizontal_line(39, 41),
        horizontal_line(40, 42),
        horizontal_line(76, 80),
        horizontal_line(76, 80),
    };

    constexpr const horizontal_line frame_329_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(75, 79),
    };

    constexpr const horizontal_line frame_329_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(109, 128),
    };

    constexpr const shape frame_329_shape_group_10_shapes[] = {
        shape(frame_329_shape_group_10_shape_0_horizontal_lines, 68, 10),
        shape(frame_329_shape_group_10_shape_1_horizontal_lines, 69, 8),
        shape(frame_329_shape_group_10_shape_2_horizontal_lines, 77, 10),
        shape(frame_329_shape_group_10_shape_3_horizontal_lines, 90, 10),
        shape(frame_329_shape_group_10_shape_4_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_329_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(52, 60),
        horizontal_line(52, 68),
    };

    constexpr const horizontal_line frame_329_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(134, 135),
    };

    constexpr const horizontal_line frame_329_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(51, 67),
        horizontal_line(50, 66),
        horizontal_line(50, 66),
        horizontal_line(49, 65),
        horizontal_line(49, 65),
    };

    constexpr const horizontal_line frame_329_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(46, 62),
    };

    constexpr const horizontal_line frame_329_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(45, 61),
        horizontal_line(44, 60),
        horizontal_line(132, 137),
        horizontal_line(131, 136),
    };

    constexpr const horizontal_line frame_329_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(129, 134),
    };

    constexpr const shape frame_329_shape_group_11_shapes[] = {
        shape(frame_329_shape_group_11_shape_0_horizontal_lines, 69, 10),
        shape(frame_329_shape_group_11_shape_1_horizontal_lines, 71, 8),
        shape(frame_329_shape_group_11_shape_2_horizontal_lines, 72, 10),
        shape(frame_329_shape_group_11_shape_3_horizontal_lines, 83, 10),
        shape(frame_329_shape_group_11_shape_4_horizontal_lines, 85, 10),
        shape(frame_329_shape_group_11_shape_5_horizontal_lines, 90, 10),
    };

    constexpr const horizontal_line frame_329_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(51, 67),
    };

    constexpr const horizontal_line frame_329_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(81, 81),
        horizontal_line(81, 82),
    };

    constexpr const horizontal_line frame_329_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(78, 82),
    };

    constexpr const horizontal_line frame_329_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(77, 81),
        horizontal_line(77, 81),
    };

    constexpr const horizontal_line frame_329_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(82, 83),
        horizontal_line(82, 85),
    };

    constexpr const horizontal_line frame_329_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(81, 84),
    };

    constexpr const shape frame_329_shape_group_12_shapes[] = {
        shape(frame_329_shape_group_12_shape_0_horizontal_lines, 71, 10),
        shape(frame_329_shape_group_12_shape_1_horizontal_lines, 75, 10),
        shape(frame_329_shape_group_12_shape_2_horizontal_lines, 83, 10),
        shape(frame_329_shape_group_12_shape_3_horizontal_lines, 85, 10),
        shape(frame_329_shape_group_12_shape_4_horizontal_lines, 87, 1),
        shape(frame_329_shape_group_12_shape_5_horizontal_lines, 90, 1),
    };

    constexpr const horizontal_line frame_329_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(133, 138),
    };

    constexpr const horizontal_line frame_329_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const shape frame_329_shape_group_13_shapes[] = {
        shape(frame_329_shape_group_13_shape_0_horizontal_lines, 86, 10),
        shape(frame_329_shape_group_13_shape_1_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_329_shape_groups[] = {
        shape_group(frame_329_shape_group_0_shapes),
        shape_group(frame_329_shape_group_1_shapes),
        shape_group(frame_329_shape_group_2_shapes),
        shape_group(frame_329_shape_group_3_shapes),
        shape_group(frame_329_shape_group_4_shapes),
        shape_group(frame_329_shape_group_5_shapes),
        shape_group(frame_329_shape_group_6_shapes),
        shape_group(frame_329_shape_group_7_shapes),
        shape_group(frame_329_shape_group_8_shapes),
        shape_group(frame_329_shape_group_9_shapes),
        shape_group(frame_329_shape_group_10_shapes),
        shape_group(frame_329_shape_group_11_shapes),
        shape_group(frame_329_shape_group_12_shapes),
        shape_group(frame_329_shape_group_13_shapes),
    };

    constexpr const frame frame_329_impl(frame_329_colors, frame_329_shape_groups);
} 

const frame& frame_329()
{
    return frame_329_impl;
}

namespace
{
    constexpr const bn::color frame_330_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_330_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(7, 7),
        horizontal_line(8, 11),
        horizontal_line(8, 17),
        horizontal_line(8, 22),
        horizontal_line(8, 28),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 34),
        horizontal_line(8, 20),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(146, 155),
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_330_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 8),
        horizontal_line(0, 0),
        horizontal_line(153, 169),
        horizontal_line(155, 170),
        horizontal_line(157, 172),
        horizontal_line(159, 173),
        horizontal_line(161, 175),
        horizontal_line(163, 176),
        horizontal_line(165, 178),
        horizontal_line(167, 179),
        horizontal_line(169, 181),
        horizontal_line(171, 182),
        horizontal_line(173, 184),
        horizontal_line(175, 185),
        horizontal_line(177, 187),
        horizontal_line(179, 188),
        horizontal_line(181, 190),
        horizontal_line(184, 191),
        horizontal_line(186, 193),
        horizontal_line(188, 194),
        horizontal_line(190, 196),
        horizontal_line(192, 197),
        horizontal_line(194, 199),
        horizontal_line(196, 200),
        horizontal_line(198, 202),
        horizontal_line(200, 203),
        horizontal_line(202, 205),
        horizontal_line(204, 206),
        horizontal_line(206, 208),
        horizontal_line(208, 209),
        horizontal_line(210, 211),
        horizontal_line(212, 212),
    };

    constexpr const horizontal_line frame_330_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_330_shape_group_0_shapes[] = {
        shape(frame_330_shape_group_0_shape_0_horizontal_lines, 38, 13),
        shape(frame_330_shape_group_0_shape_1_horizontal_lines, 89, 15),
        shape(frame_330_shape_group_0_shape_2_horizontal_lines, 128, 10),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(224, 239),
        horizontal_line(219, 239),
        horizontal_line(214, 239),
        horizontal_line(210, 239),
        horizontal_line(42, 44),
        horizontal_line(40, 46),
        horizontal_line(38, 43),
        horizontal_line(36, 40),
        horizontal_line(38, 38),
        horizontal_line(181, 239),
        horizontal_line(176, 231),
        horizontal_line(171, 223),
        horizontal_line(166, 215),
        horizontal_line(161, 207),
        horizontal_line(157, 199),
        horizontal_line(137, 141),
        horizontal_line(138, 142),
        horizontal_line(139, 142),
        horizontal_line(140, 143),
        horizontal_line(143, 159),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 156),
        horizontal_line(143, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 156),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
        horizontal_line(142, 155),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(4, 7),
        horizontal_line(1, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(12, 41),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(155, 157),
        horizontal_line(154, 158),
        horizontal_line(153, 160),
        horizontal_line(153, 161),
        horizontal_line(152, 163),
        horizontal_line(151, 164),
        horizontal_line(150, 166),
        horizontal_line(151, 167),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(9, 71),
        horizontal_line(7, 69),
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(235, 235),
        horizontal_line(237, 238),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(108, 170),
    };

    constexpr const horizontal_line frame_330_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_330_shape_group_1_shapes[] = {
        shape(frame_330_shape_group_1_shape_0_horizontal_lines, 42, 13),
        shape(frame_330_shape_group_1_shape_1_horizontal_lines, 84, 11),
        shape(frame_330_shape_group_1_shape_2_horizontal_lines, 85, 15),
        shape(frame_330_shape_group_1_shape_3_horizontal_lines, 89, 11),
        shape(frame_330_shape_group_1_shape_4_horizontal_lines, 90, 15),
        shape(frame_330_shape_group_1_shape_5_horizontal_lines, 98, 11),
        shape(frame_330_shape_group_1_shape_6_horizontal_lines, 116, 15),
        shape(frame_330_shape_group_1_shape_7_horizontal_lines, 118, 11),
        shape(frame_330_shape_group_1_shape_8_horizontal_lines, 128, 10),
    };

    constexpr const horizontal_line frame_330_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(19, 21),
        horizontal_line(24, 29),
        horizontal_line(29, 38),
        horizontal_line(34, 46),
        horizontal_line(39, 55),
        horizontal_line(44, 63),
    };

    constexpr const horizontal_line frame_330_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(200, 239),
        horizontal_line(195, 239),
        horizontal_line(190, 239),
        horizontal_line(185, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(97, 113),
        horizontal_line(106, 122),
        horizontal_line(115, 130),
        horizontal_line(124, 139),
        horizontal_line(133, 147),
        horizontal_line(142, 156),
    };

    constexpr const horizontal_line frame_330_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(157, 191),
        horizontal_line(157, 183),
        horizontal_line(158, 175),
        horizontal_line(158, 167),
    };

    constexpr const horizontal_line frame_330_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(42, 44),
        horizontal_line(0, 3),
        horizontal_line(0, 0),
        horizontal_line(10, 39),
        horizontal_line(11, 40),
        horizontal_line(58, 74),
        horizontal_line(13, 42),
        horizontal_line(14, 43),
        horizontal_line(15, 44),
        horizontal_line(16, 35),
        horizontal_line(17, 26),
        horizontal_line(141, 150),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(195, 239),
        horizontal_line(198, 239),
        horizontal_line(201, 239),
        horizontal_line(204, 239),
        horizontal_line(207, 239),
        horizontal_line(210, 239),
        horizontal_line(213, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(222, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(170, 211),
    };

    constexpr const horizontal_line frame_330_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_330_shape_group_2_shapes[] = {
        shape(frame_330_shape_group_2_shape_0_horizontal_lines, 43, 15),
        shape(frame_330_shape_group_2_shape_1_horizontal_lines, 49, 13),
        shape(frame_330_shape_group_2_shape_2_horizontal_lines, 54, 15),
        shape(frame_330_shape_group_2_shape_3_horizontal_lines, 60, 13),
        shape(frame_330_shape_group_2_shape_4_horizontal_lines, 64, 11),
        shape(frame_330_shape_group_2_shape_5_horizontal_lines, 128, 10),
    };

    constexpr const horizontal_line frame_330_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_330_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(52, 71),
        horizontal_line(61, 80),
        horizontal_line(70, 88),
        horizontal_line(79, 97),
        horizontal_line(88, 105),
    };

    constexpr const horizontal_line frame_330_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 41),
        horizontal_line(35, 45),
        horizontal_line(35, 48),
        horizontal_line(35, 47),
        horizontal_line(35, 47),
        horizontal_line(35, 46),
        horizontal_line(35, 46),
        horizontal_line(40, 45),
        horizontal_line(21, 35),
        horizontal_line(60, 76),
        horizontal_line(8, 37),
        horizontal_line(9, 38),
        horizontal_line(59, 75),
        horizontal_line(58, 74),
        horizontal_line(83, 83),
        horizontal_line(57, 73),
        horizontal_line(137, 153),
        horizontal_line(136, 152),
        horizontal_line(135, 152),
        horizontal_line(136, 151),
        horizontal_line(174, 236),
        horizontal_line(146, 149),
        horizontal_line(180, 239),
        horizontal_line(71, 133),
        horizontal_line(69, 131),
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
    };

    constexpr const horizontal_line frame_330_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(186, 214),
        horizontal_line(186, 215),
        horizontal_line(186, 217),
        horizontal_line(186, 219),
        horizontal_line(186, 221),
        horizontal_line(186, 222),
        horizontal_line(186, 224),
        horizontal_line(186, 226),
        horizontal_line(186, 228),
        horizontal_line(186, 230),
        horizontal_line(186, 231),
        horizontal_line(186, 233),
        horizontal_line(186, 235),
        horizontal_line(186, 237),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_330_shape_group_3_shapes[] = {
        shape(frame_330_shape_group_3_shape_0_horizontal_lines, 47, 11),
        shape(frame_330_shape_group_3_shape_1_horizontal_lines, 49, 15),
        shape(frame_330_shape_group_3_shape_2_horizontal_lines, 54, 11),
        shape(frame_330_shape_group_3_shape_3_horizontal_lines, 127, 10),
    };

    constexpr const horizontal_line frame_330_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(35, 38),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(66, 69),
        horizontal_line(66, 73),
        horizontal_line(65, 77),
        horizontal_line(65, 81),
        horizontal_line(64, 80),
        horizontal_line(64, 80),
        horizontal_line(63, 79),
        horizontal_line(63, 79),
        horizontal_line(63, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(61, 77),
        horizontal_line(61, 77),
        horizontal_line(41, 45),
        horizontal_line(137, 141),
        horizontal_line(43, 44),
        horizontal_line(59, 75),
        horizontal_line(84, 84),
        horizontal_line(83, 84),
        horizontal_line(139, 201),
        horizontal_line(83, 83),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(236, 239),
        horizontal_line(177, 239),
        horizontal_line(74, 136),
        horizontal_line(133, 152),
        horizontal_line(131, 154),
        horizontal_line(128, 156),
        horizontal_line(126, 158),
        horizontal_line(124, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 178),
        horizontal_line(124, 180),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
        horizontal_line(186, 205),
        horizontal_line(186, 207),
        horizontal_line(187, 209),
    };

    constexpr const horizontal_line frame_330_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(62, 107),
    };

    constexpr const horizontal_line frame_330_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_330_shape_group_4_shapes[] = {
        shape(frame_330_shape_group_4_shape_0_horizontal_lines, 49, 11),
        shape(frame_330_shape_group_4_shape_1_horizontal_lines, 127, 10),
        shape(frame_330_shape_group_4_shape_2_horizontal_lines, 128, 1),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(44, 55),
        horizontal_line(41, 65),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(35, 37),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(39, 85),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(224, 239),
        horizontal_line(216, 239),
        horizontal_line(208, 239),
        horizontal_line(200, 239),
        horizontal_line(192, 239),
        horizontal_line(184, 239),
        horizontal_line(176, 238),
        horizontal_line(168, 230),
        horizontal_line(160, 222),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(139, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(60, 76),
        horizontal_line(156, 218),
        horizontal_line(59, 76),
        horizontal_line(84, 85),
        horizontal_line(141, 145),
        horizontal_line(140, 150),
        horizontal_line(201, 239),
        horizontal_line(138, 154),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(76, 83),
        horizontal_line(136, 150),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(176, 194),
        horizontal_line(177, 197),
        horizontal_line(179, 200),
        horizontal_line(180, 203),
        horizontal_line(182, 206),
        horizontal_line(183, 209),
        horizontal_line(185, 212),
        horizontal_line(186, 215),
        horizontal_line(188, 218),
        horizontal_line(189, 221),
        horizontal_line(191, 225),
        horizontal_line(192, 227),
        horizontal_line(194, 230),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(186, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_330_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(213, 239),
    };

    constexpr const shape frame_330_shape_group_5_shapes[] = {
        shape(frame_330_shape_group_5_shape_0_horizontal_lines, 51, 8),
        shape(frame_330_shape_group_5_shape_1_horizontal_lines, 53, 11),
        shape(frame_330_shape_group_5_shape_2_horizontal_lines, 54, 8),
        shape(frame_330_shape_group_5_shape_3_horizontal_lines, 55, 11),
        shape(frame_330_shape_group_5_shape_4_horizontal_lines, 95, 10),
        shape(frame_330_shape_group_5_shape_5_horizontal_lines, 96, 11),
        shape(frame_330_shape_group_5_shape_6_horizontal_lines, 98, 1),
        shape(frame_330_shape_group_5_shape_7_horizontal_lines, 115, 11),
        shape(frame_330_shape_group_5_shape_8_horizontal_lines, 118, 1),
        shape(frame_330_shape_group_5_shape_9_horizontal_lines, 126, 10),
        shape(frame_330_shape_group_5_shape_10_horizontal_lines, 127, 1),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(39, 75),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(39, 95),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(230, 239),
        horizontal_line(222, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(137, 141),
        horizontal_line(218, 239),
        horizontal_line(137, 141),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(103, 132),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(44, 45),
        horizontal_line(133, 135),
        horizontal_line(36, 89),
        horizontal_line(27, 89),
        horizontal_line(80, 140),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(1, 11),
        horizontal_line(170, 182),
        horizontal_line(171, 185),
        horizontal_line(173, 188),
        horizontal_line(174, 191),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(195, 232),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(186, 189),
        horizontal_line(186, 191),
    };

    constexpr const horizontal_line frame_330_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const shape frame_330_shape_group_6_shapes[] = {
        shape(frame_330_shape_group_6_shape_0_horizontal_lines, 53, 8),
        shape(frame_330_shape_group_6_shape_1_horizontal_lines, 55, 8),
        shape(frame_330_shape_group_6_shape_2_horizontal_lines, 62, 11),
        shape(frame_330_shape_group_6_shape_3_horizontal_lines, 89, 8),
        shape(frame_330_shape_group_6_shape_4_horizontal_lines, 90, 11),
        shape(frame_330_shape_group_6_shape_5_horizontal_lines, 91, 10),
        shape(frame_330_shape_group_6_shape_6_horizontal_lines, 96, 11),
        shape(frame_330_shape_group_6_shape_7_horizontal_lines, 97, 1),
        shape(frame_330_shape_group_6_shape_8_horizontal_lines, 115, 1),
        shape(frame_330_shape_group_6_shape_9_horizontal_lines, 116, 11),
        shape(frame_330_shape_group_6_shape_10_horizontal_lines, 126, 1),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(101, 105),
        horizontal_line(101, 115),
        horizontal_line(101, 125),
        horizontal_line(101, 136),
        horizontal_line(101, 136),
        horizontal_line(101, 137),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 101),
        horizontal_line(39, 53),
        horizontal_line(39, 52),
        horizontal_line(39, 52),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(156, 218),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(85, 136),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(156, 218),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(42, 57),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(132, 136),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(161, 164),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(89, 135),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(165, 173),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(84, 145),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(168, 179),
    };

    constexpr const horizontal_line frame_330_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(197, 234),
        horizontal_line(198, 236),
    };

    constexpr const shape frame_330_shape_group_7_shapes[] = {
        shape(frame_330_shape_group_7_shape_0_horizontal_lines, 56, 8),
        shape(frame_330_shape_group_7_shape_1_horizontal_lines, 70, 11),
        shape(frame_330_shape_group_7_shape_2_horizontal_lines, 84, 8),
        shape(frame_330_shape_group_7_shape_3_horizontal_lines, 85, 11),
        shape(frame_330_shape_group_7_shape_4_horizontal_lines, 89, 10),
        shape(frame_330_shape_group_7_shape_5_horizontal_lines, 90, 11),
        shape(frame_330_shape_group_7_shape_6_horizontal_lines, 91, 10),
        shape(frame_330_shape_group_7_shape_7_horizontal_lines, 92, 1),
        shape(frame_330_shape_group_7_shape_8_horizontal_lines, 93, 10),
        shape(frame_330_shape_group_7_shape_9_horizontal_lines, 95, 1),
        shape(frame_330_shape_group_7_shape_10_horizontal_lines, 96, 10),
        shape(frame_330_shape_group_7_shape_11_horizontal_lines, 97, 1),
        shape(frame_330_shape_group_7_shape_12_horizontal_lines, 116, 1),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(101, 138),
        horizontal_line(101, 139),
        horizontal_line(101, 138),
        horizontal_line(101, 138),
        horizontal_line(101, 138),
        horizontal_line(55, 117),
        horizontal_line(61, 123),
        horizontal_line(67, 129),
        horizontal_line(39, 51),
        horizontal_line(39, 51),
        horizontal_line(39, 50),
        horizontal_line(39, 50),
        horizontal_line(39, 49),
        horizontal_line(42, 49),
        horizontal_line(46, 48),
        horizontal_line(88, 137),
        horizontal_line(87, 136),
        horizontal_line(87, 136),
        horizontal_line(86, 136),
        horizontal_line(86, 136),
        horizontal_line(86, 136),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(37, 41),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(86, 135),
        horizontal_line(91, 134),
        horizontal_line(97, 133),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(75, 82),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(109, 131),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(159, 161),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(45, 107),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(162, 167),
        horizontal_line(164, 170),
    };

    constexpr const horizontal_line frame_330_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(9, 13),
    };

    constexpr const shape frame_330_shape_group_8_shapes[] = {
        shape(frame_330_shape_group_8_shape_0_horizontal_lines, 62, 8),
        shape(frame_330_shape_group_8_shape_1_horizontal_lines, 83, 11),
        shape(frame_330_shape_group_8_shape_2_horizontal_lines, 84, 10),
        shape(frame_330_shape_group_8_shape_3_horizontal_lines, 85, 11),
        shape(frame_330_shape_group_8_shape_4_horizontal_lines, 86, 8),
        shape(frame_330_shape_group_8_shape_5_horizontal_lines, 89, 10),
        shape(frame_330_shape_group_8_shape_6_horizontal_lines, 90, 8),
        shape(frame_330_shape_group_8_shape_7_horizontal_lines, 91, 1),
        shape(frame_330_shape_group_8_shape_8_horizontal_lines, 92, 3),
        shape(frame_330_shape_group_8_shape_9_horizontal_lines, 93, 1),
        shape(frame_330_shape_group_8_shape_10_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(117, 138),
        horizontal_line(123, 138),
        horizontal_line(129, 138),
        horizontal_line(70, 132),
        horizontal_line(74, 136),
        horizontal_line(78, 137),
        horizontal_line(82, 137),
        horizontal_line(83, 137),
        horizontal_line(85, 137),
        horizontal_line(86, 137),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(49, 62),
        horizontal_line(48, 62),
        horizontal_line(48, 61),
        horizontal_line(47, 61),
        horizontal_line(47, 60),
        horizontal_line(35, 39),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(85, 136),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(45, 59),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(85, 136),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(39, 58),
        horizontal_line(40, 58),
        horizontal_line(41, 57),
        horizontal_line(133, 138),
        horizontal_line(43, 56),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(46, 108),
        horizontal_line(107, 132),
        horizontal_line(90, 133),
    };

    constexpr const horizontal_line frame_330_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(167, 176),
    };

    constexpr const shape frame_330_shape_group_9_shapes[] = {
        shape(frame_330_shape_group_9_shape_0_horizontal_lines, 67, 8),
        shape(frame_330_shape_group_9_shape_1_horizontal_lines, 77, 10),
        shape(frame_330_shape_group_9_shape_2_horizontal_lines, 83, 8),
        shape(frame_330_shape_group_9_shape_3_horizontal_lines, 84, 10),
        shape(frame_330_shape_group_9_shape_4_horizontal_lines, 85, 8),
        shape(frame_330_shape_group_9_shape_5_horizontal_lines, 86, 10),
        shape(frame_330_shape_group_9_shape_6_horizontal_lines, 91, 3),
        shape(frame_330_shape_group_9_shape_7_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_330_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(53, 60),
        horizontal_line(53, 66),
    };

    constexpr const horizontal_line frame_330_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(132, 138),
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_330_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(51, 64),
        horizontal_line(51, 64),
        horizontal_line(50, 63),
        horizontal_line(50, 63),
        horizontal_line(49, 62),
        horizontal_line(80, 87),
        horizontal_line(79, 86),
        horizontal_line(79, 86),
        horizontal_line(79, 85),
        horizontal_line(78, 85),
        horizontal_line(46, 60),
        horizontal_line(36, 40),
        horizontal_line(77, 84),
        horizontal_line(38, 42),
        horizontal_line(76, 83),
        horizontal_line(76, 83),
        horizontal_line(75, 82),
    };

    constexpr const horizontal_line frame_330_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(84, 87),
    };

    constexpr const horizontal_line frame_330_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(74, 82),
    };

    constexpr const horizontal_line frame_330_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(108, 131),
    };

    constexpr const shape frame_330_shape_group_10_shapes[] = {
        shape(frame_330_shape_group_10_shape_0_horizontal_lines, 67, 10),
        shape(frame_330_shape_group_10_shape_1_horizontal_lines, 70, 8),
        shape(frame_330_shape_group_10_shape_2_horizontal_lines, 72, 10),
        shape(frame_330_shape_group_10_shape_3_horizontal_lines, 89, 1),
        shape(frame_330_shape_group_10_shape_4_horizontal_lines, 90, 10),
        shape(frame_330_shape_group_10_shape_5_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_330_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(52, 65),
        horizontal_line(52, 65),
    };

    constexpr const horizontal_line frame_330_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(81, 82),
        horizontal_line(81, 84),
        horizontal_line(80, 85),
    };

    constexpr const horizontal_line frame_330_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(78, 85),
        horizontal_line(46, 59),
    };

    constexpr const horizontal_line frame_330_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(45, 58),
        horizontal_line(136, 141),
        horizontal_line(135, 140),
        horizontal_line(134, 139),
    };

    constexpr const horizontal_line frame_330_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(132, 137),
    };

    constexpr const shape frame_330_shape_group_11_shapes[] = {
        shape(frame_330_shape_group_11_shape_0_horizontal_lines, 70, 10),
        shape(frame_330_shape_group_11_shape_1_horizontal_lines, 74, 10),
        shape(frame_330_shape_group_11_shape_2_horizontal_lines, 82, 10),
        shape(frame_330_shape_group_11_shape_3_horizontal_lines, 85, 10),
        shape(frame_330_shape_group_11_shape_4_horizontal_lines, 90, 10),
    };

    constexpr const horizontal_line frame_330_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(77, 84),
    };

    constexpr const horizontal_line frame_330_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(77, 84),
    };

    constexpr const horizontal_line frame_330_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(85, 88),
        horizontal_line(85, 87),
    };

    constexpr const horizontal_line frame_330_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(84, 86),
    };

    constexpr const shape frame_330_shape_group_12_shapes[] = {
        shape(frame_330_shape_group_12_shape_0_horizontal_lines, 83, 10),
        shape(frame_330_shape_group_12_shape_1_horizontal_lines, 85, 10),
        shape(frame_330_shape_group_12_shape_2_horizontal_lines, 87, 1),
        shape(frame_330_shape_group_12_shape_3_horizontal_lines, 90, 1),
    };

    constexpr const horizontal_line frame_330_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(158, 158),
    };

    constexpr const shape frame_330_shape_group_13_shapes[] = {
        shape(frame_330_shape_group_13_shape_0_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_330_shape_groups[] = {
        shape_group(frame_330_shape_group_0_shapes),
        shape_group(frame_330_shape_group_1_shapes),
        shape_group(frame_330_shape_group_2_shapes),
        shape_group(frame_330_shape_group_3_shapes),
        shape_group(frame_330_shape_group_4_shapes),
        shape_group(frame_330_shape_group_5_shapes),
        shape_group(frame_330_shape_group_6_shapes),
        shape_group(frame_330_shape_group_7_shapes),
        shape_group(frame_330_shape_group_8_shapes),
        shape_group(frame_330_shape_group_9_shapes),
        shape_group(frame_330_shape_group_10_shapes),
        shape_group(frame_330_shape_group_11_shapes),
        shape_group(frame_330_shape_group_12_shapes),
        shape_group(frame_330_shape_group_13_shapes),
    };

    constexpr const frame frame_330_impl(frame_330_colors, frame_330_shape_groups);
} 

const frame& frame_330()
{
    return frame_330_impl;
}

namespace
{
    constexpr const bn::color frame_331_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_331_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(4, 4),
        horizontal_line(5, 8),
        horizontal_line(5, 14),
        horizontal_line(5, 20),
        horizontal_line(5, 26),
        horizontal_line(5, 32),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 33),
        horizontal_line(5, 19),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 158),
        horizontal_line(149, 158),
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_331_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 0),
        horizontal_line(155, 172),
        horizontal_line(157, 173),
        horizontal_line(159, 174),
        horizontal_line(161, 176),
        horizontal_line(163, 177),
        horizontal_line(165, 179),
        horizontal_line(167, 180),
        horizontal_line(169, 182),
        horizontal_line(171, 183),
        horizontal_line(173, 185),
        horizontal_line(175, 186),
        horizontal_line(177, 187),
        horizontal_line(178, 189),
        horizontal_line(180, 190),
        horizontal_line(182, 192),
        horizontal_line(184, 193),
        horizontal_line(186, 195),
        horizontal_line(188, 196),
        horizontal_line(190, 198),
        horizontal_line(192, 199),
        horizontal_line(194, 200),
        horizontal_line(196, 202),
        horizontal_line(198, 203),
        horizontal_line(200, 205),
        horizontal_line(201, 206),
        horizontal_line(203, 208),
        horizontal_line(205, 209),
        horizontal_line(207, 211),
        horizontal_line(209, 212),
        horizontal_line(211, 213),
        horizontal_line(213, 215),
        horizontal_line(215, 216),
        horizontal_line(217, 218),
        horizontal_line(219, 219),
        horizontal_line(221, 221),
    };

    constexpr const horizontal_line frame_331_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(150, 212),
    };

    constexpr const horizontal_line frame_331_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_331_shape_group_0_shapes[] = {
        shape(frame_331_shape_group_0_shape_0_horizontal_lines, 37, 13),
        shape(frame_331_shape_group_0_shape_1_horizontal_lines, 89, 15),
        shape(frame_331_shape_group_0_shape_2_horizontal_lines, 133, 11),
        shape(frame_331_shape_group_0_shape_3_horizontal_lines, 134, 10),
    };

    constexpr const horizontal_line frame_331_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(229, 239),
        horizontal_line(225, 239),
        horizontal_line(220, 239),
        horizontal_line(215, 239),
        horizontal_line(40, 42),
        horizontal_line(38, 44),
        horizontal_line(37, 42),
        horizontal_line(35, 40),
        horizontal_line(34, 38),
        horizontal_line(37, 37),
        horizontal_line(183, 239),
        horizontal_line(178, 230),
        horizontal_line(173, 222),
        horizontal_line(169, 213),
        horizontal_line(164, 205),
        horizontal_line(160, 196),
        horizontal_line(139, 144),
        horizontal_line(140, 145),
        horizontal_line(141, 146),
        horizontal_line(142, 147),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(147, 161),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(146, 160),
        horizontal_line(145, 160),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(144, 158),
    };

    constexpr const horizontal_line frame_331_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_331_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(1, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_331_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(10, 38),
    };

    constexpr const horizontal_line frame_331_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(158, 160),
        horizontal_line(157, 161),
        horizontal_line(156, 163),
        horizontal_line(156, 164),
        horizontal_line(155, 166),
        horizontal_line(154, 167),
        horizontal_line(153, 169),
        horizontal_line(154, 170),
    };

    constexpr const horizontal_line frame_331_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(10, 72),
        horizontal_line(7, 69),
        horizontal_line(5, 67),
        horizontal_line(2, 64),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(75, 137),
        horizontal_line(212, 222),
    };

    constexpr const horizontal_line frame_331_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_331_shape_group_1_shapes[] = {
        shape(frame_331_shape_group_1_shape_0_horizontal_lines, 41, 13),
        shape(frame_331_shape_group_1_shape_1_horizontal_lines, 84, 11),
        shape(frame_331_shape_group_1_shape_2_horizontal_lines, 85, 15),
        shape(frame_331_shape_group_1_shape_3_horizontal_lines, 89, 11),
        shape(frame_331_shape_group_1_shape_4_horizontal_lines, 90, 15),
        shape(frame_331_shape_group_1_shape_5_horizontal_lines, 98, 11),
        shape(frame_331_shape_group_1_shape_6_horizontal_lines, 134, 10),
    };

    constexpr const horizontal_line frame_331_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(18, 18),
        horizontal_line(24, 27),
        horizontal_line(30, 36),
        horizontal_line(36, 45),
        horizontal_line(42, 53),
    };

    constexpr const horizontal_line frame_331_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(206, 239),
        horizontal_line(201, 239),
        horizontal_line(197, 239),
        horizontal_line(192, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(101, 115),
        horizontal_line(109, 123),
        horizontal_line(118, 132),
        horizontal_line(126, 141),
        horizontal_line(135, 150),
        horizontal_line(144, 159),
    };

    constexpr const horizontal_line frame_331_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(160, 188),
        horizontal_line(161, 179),
        horizontal_line(162, 171),
        horizontal_line(163, 163),
    };

    constexpr const horizontal_line frame_331_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(41, 46),
        horizontal_line(0, 0),
        horizontal_line(7, 36),
        horizontal_line(8, 37),
        horizontal_line(9, 37),
        horizontal_line(56, 72),
        horizontal_line(11, 39),
        horizontal_line(11, 40),
        horizontal_line(12, 41),
        horizontal_line(13, 42),
        horizontal_line(14, 33),
        horizontal_line(15, 24),
        horizontal_line(149, 152),
        horizontal_line(12, 74),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(202, 239),
        horizontal_line(205, 239),
        horizontal_line(208, 239),
        horizontal_line(211, 239),
        horizontal_line(214, 239),
        horizontal_line(217, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(137, 199),
    };

    constexpr const horizontal_line frame_331_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_331_shape_group_2_shapes[] = {
        shape(frame_331_shape_group_2_shape_0_horizontal_lines, 42, 15),
        shape(frame_331_shape_group_2_shape_1_horizontal_lines, 47, 13),
        shape(frame_331_shape_group_2_shape_2_horizontal_lines, 53, 15),
        shape(frame_331_shape_group_2_shape_3_horizontal_lines, 59, 13),
        shape(frame_331_shape_group_2_shape_4_horizontal_lines, 63, 11),
        shape(frame_331_shape_group_2_shape_5_horizontal_lines, 133, 10),
    };

    constexpr const horizontal_line frame_331_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_331_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(49, 62),
        horizontal_line(58, 71),
        horizontal_line(66, 80),
        horizontal_line(75, 88),
        horizontal_line(83, 97),
        horizontal_line(92, 106),
    };

    constexpr const horizontal_line frame_331_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 49),
        horizontal_line(34, 48),
        horizontal_line(34, 48),
        horizontal_line(34, 47),
        horizontal_line(39, 47),
        horizontal_line(20, 33),
        horizontal_line(58, 74),
        horizontal_line(6, 35),
        horizontal_line(43, 45),
        horizontal_line(44, 45),
        horizontal_line(56, 73),
        horizontal_line(85, 86),
        horizontal_line(55, 72),
        horizontal_line(140, 156),
        horizontal_line(139, 155),
        horizontal_line(138, 155),
        horizontal_line(139, 154),
        horizontal_line(144, 153),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(72, 134),
        horizontal_line(69, 131),
        horizontal_line(67, 129),
        horizontal_line(64, 126),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(199, 220),
    };

    constexpr const horizontal_line frame_331_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(186, 224),
        horizontal_line(186, 225),
        horizontal_line(186, 227),
        horizontal_line(186, 229),
        horizontal_line(186, 231),
        horizontal_line(186, 233),
        horizontal_line(186, 235),
        horizontal_line(186, 237),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_331_shape_group_3_shapes[] = {
        shape(frame_331_shape_group_3_shape_0_horizontal_lines, 46, 11),
        shape(frame_331_shape_group_3_shape_1_horizontal_lines, 47, 15),
        shape(frame_331_shape_group_3_shape_2_horizontal_lines, 53, 11),
        shape(frame_331_shape_group_3_shape_3_horizontal_lines, 133, 10),
    };

    constexpr const horizontal_line frame_331_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(141, 146),
        horizontal_line(65, 68),
        horizontal_line(65, 72),
        horizontal_line(64, 76),
        horizontal_line(64, 80),
        horizontal_line(63, 79),
        horizontal_line(63, 79),
        horizontal_line(40, 43),
        horizontal_line(40, 47),
        horizontal_line(39, 50),
        horizontal_line(39, 49),
        horizontal_line(61, 77),
        horizontal_line(60, 76),
        horizontal_line(60, 76),
        horizontal_line(59, 75),
        horizontal_line(59, 75),
        horizontal_line(40, 47),
        horizontal_line(140, 143),
        horizontal_line(42, 46),
        horizontal_line(57, 73),
        horizontal_line(57, 73),
        horizontal_line(85, 87),
        horizontal_line(141, 203),
        horizontal_line(84, 86),
        horizontal_line(164, 226),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
    };

    constexpr const horizontal_line frame_331_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_331_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(74, 136),
        horizontal_line(134, 154),
        horizontal_line(131, 156),
        horizontal_line(129, 158),
        horizontal_line(126, 160),
        horizontal_line(124, 162),
        horizontal_line(124, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 168),
        horizontal_line(124, 170),
        horizontal_line(124, 172),
        horizontal_line(124, 174),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 179),
        horizontal_line(124, 181),
        horizontal_line(124, 183),
        horizontal_line(124, 185),
        horizontal_line(124, 186),
        horizontal_line(186, 189),
        horizontal_line(186, 191),
        horizontal_line(186, 193),
        horizontal_line(186, 195),
        horizontal_line(186, 197),
        horizontal_line(186, 199),
        horizontal_line(186, 200),
        horizontal_line(186, 202),
        horizontal_line(186, 204),
        horizontal_line(186, 206),
        horizontal_line(186, 208),
        horizontal_line(186, 210),
        horizontal_line(186, 212),
        horizontal_line(186, 214),
        horizontal_line(186, 216),
        horizontal_line(187, 218),
    };

    constexpr const horizontal_line frame_331_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(124, 149),
    };

    constexpr const horizontal_line frame_331_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_331_shape_group_4_shapes[] = {
        shape(frame_331_shape_group_4_shape_0_horizontal_lines, 47, 11),
        shape(frame_331_shape_group_4_shape_1_horizontal_lines, 96, 10),
        shape(frame_331_shape_group_4_shape_2_horizontal_lines, 97, 11),
        shape(frame_331_shape_group_4_shape_3_horizontal_lines, 132, 10),
        shape(frame_331_shape_group_4_shape_4_horizontal_lines, 134, 1),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(43, 52),
        horizontal_line(41, 62),
        horizontal_line(39, 71),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(34, 36),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(38, 90),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(231, 239),
        horizontal_line(223, 239),
        horizontal_line(214, 239),
        horizontal_line(206, 239),
        horizontal_line(197, 239),
        horizontal_line(189, 239),
        horizontal_line(180, 239),
        horizontal_line(172, 234),
        horizontal_line(164, 226),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(141, 146),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 77),
        horizontal_line(61, 77),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(58, 75),
        horizontal_line(159, 221),
        horizontal_line(58, 74),
        horizontal_line(86, 88),
        horizontal_line(85, 87),
        horizontal_line(142, 153),
        horizontal_line(203, 239),
        horizontal_line(141, 157),
        horizontal_line(226, 239),
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(78, 140),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(136, 153),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(178, 196),
        horizontal_line(180, 198),
        horizontal_line(181, 201),
        horizontal_line(183, 204),
        horizontal_line(184, 207),
        horizontal_line(186, 210),
        horizontal_line(187, 213),
        horizontal_line(188, 216),
        horizontal_line(190, 219),
        horizontal_line(191, 222),
        horizontal_line(193, 225),
        horizontal_line(194, 228),
        horizontal_line(196, 231),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(62, 74),
    };

    constexpr const horizontal_line frame_331_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const shape frame_331_shape_group_5_shapes[] = {
        shape(frame_331_shape_group_5_shape_0_horizontal_lines, 49, 8),
        shape(frame_331_shape_group_5_shape_1_horizontal_lines, 52, 11),
        shape(frame_331_shape_group_5_shape_2_horizontal_lines, 53, 8),
        shape(frame_331_shape_group_5_shape_3_horizontal_lines, 54, 11),
        shape(frame_331_shape_group_5_shape_4_horizontal_lines, 96, 10),
        shape(frame_331_shape_group_5_shape_5_horizontal_lines, 97, 11),
        shape(frame_331_shape_group_5_shape_6_horizontal_lines, 98, 1),
        shape(frame_331_shape_group_5_shape_7_horizontal_lines, 115, 11),
        shape(frame_331_shape_group_5_shape_8_horizontal_lines, 116, 1),
        shape(frame_331_shape_group_5_shape_9_horizontal_lines, 131, 10),
        shape(frame_331_shape_group_5_shape_10_horizontal_lines, 133, 1),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(38, 81),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(226, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(140, 145),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(140, 143),
        horizontal_line(221, 239),
        horizontal_line(140, 143),
        horizontal_line(159, 221),
        horizontal_line(143, 148),
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(107, 134),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(161, 223),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(41, 44),
        horizontal_line(42, 43),
        horizontal_line(137, 137),
        horizontal_line(34, 96),
        horizontal_line(25, 87),
        horizontal_line(140, 148),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(1, 11),
        horizontal_line(173, 184),
        horizontal_line(174, 187),
        horizontal_line(175, 190),
        horizontal_line(177, 193),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(197, 234),
    };

    constexpr const horizontal_line frame_331_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_331_shape_group_6_shapes[] = {
        shape(frame_331_shape_group_6_shape_0_horizontal_lines, 52, 8),
        shape(frame_331_shape_group_6_shape_1_horizontal_lines, 54, 8),
        shape(frame_331_shape_group_6_shape_2_horizontal_lines, 61, 11),
        shape(frame_331_shape_group_6_shape_3_horizontal_lines, 89, 8),
        shape(frame_331_shape_group_6_shape_4_horizontal_lines, 90, 11),
        shape(frame_331_shape_group_6_shape_5_horizontal_lines, 91, 10),
        shape(frame_331_shape_group_6_shape_6_horizontal_lines, 97, 1),
        shape(frame_331_shape_group_6_shape_7_horizontal_lines, 115, 1),
        shape(frame_331_shape_group_6_shape_8_horizontal_lines, 131, 1),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(100, 109),
        horizontal_line(100, 119),
        horizontal_line(100, 128),
        horizontal_line(100, 138),
        horizontal_line(100, 138),
        horizontal_line(100, 139),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 100),
        horizontal_line(38, 55),
        horizontal_line(38, 54),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(160, 222),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(159, 221),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(86, 139),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(221, 239),
        horizontal_line(159, 221),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(39, 55),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(134, 139),
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(165, 169),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(96, 138),
        horizontal_line(87, 143),
    };

    constexpr const horizontal_line frame_331_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(170, 178),
        horizontal_line(171, 181),
    };

    constexpr const shape frame_331_shape_group_7_shapes[] = {
        shape(frame_331_shape_group_7_shape_0_horizontal_lines, 54, 8),
        shape(frame_331_shape_group_7_shape_1_horizontal_lines, 68, 11),
        shape(frame_331_shape_group_7_shape_2_horizontal_lines, 84, 8),
        shape(frame_331_shape_group_7_shape_3_horizontal_lines, 85, 11),
        shape(frame_331_shape_group_7_shape_4_horizontal_lines, 89, 10),
        shape(frame_331_shape_group_7_shape_5_horizontal_lines, 90, 11),
        shape(frame_331_shape_group_7_shape_6_horizontal_lines, 91, 10),
        shape(frame_331_shape_group_7_shape_7_horizontal_lines, 93, 1),
        shape(frame_331_shape_group_7_shape_8_horizontal_lines, 94, 10),
        shape(frame_331_shape_group_7_shape_9_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(100, 140),
        horizontal_line(100, 141),
        horizontal_line(100, 140),
        horizontal_line(100, 140),
        horizontal_line(100, 140),
        horizontal_line(57, 119),
        horizontal_line(66, 128),
        horizontal_line(38, 54),
        horizontal_line(38, 53),
        horizontal_line(38, 53),
        horizontal_line(38, 52),
        horizontal_line(38, 52),
        horizontal_line(41, 51),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(88, 139),
        horizontal_line(88, 139),
        horizontal_line(88, 139),
        horizontal_line(87, 139),
        horizontal_line(87, 139),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(35, 40),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(93, 137),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(102, 135),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(73, 84),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(112, 133),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(164, 166),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(43, 105),
    };

    constexpr const horizontal_line frame_331_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(167, 172),
        horizontal_line(168, 175),
    };

    constexpr const shape frame_331_shape_group_8_shapes[] = {
        shape(frame_331_shape_group_8_shape_0_horizontal_lines, 61, 8),
        shape(frame_331_shape_group_8_shape_1_horizontal_lines, 74, 11),
        shape(frame_331_shape_group_8_shape_2_horizontal_lines, 78, 8),
        shape(frame_331_shape_group_8_shape_3_horizontal_lines, 83, 11),
        shape(frame_331_shape_group_8_shape_4_horizontal_lines, 84, 10),
        shape(frame_331_shape_group_8_shape_5_horizontal_lines, 85, 11),
        shape(frame_331_shape_group_8_shape_6_horizontal_lines, 86, 8),
        shape(frame_331_shape_group_8_shape_7_horizontal_lines, 87, 11),
        shape(frame_331_shape_group_8_shape_8_horizontal_lines, 88, 8),
        shape(frame_331_shape_group_8_shape_9_horizontal_lines, 89, 10),
        shape(frame_331_shape_group_8_shape_10_horizontal_lines, 90, 8),
        shape(frame_331_shape_group_8_shape_11_horizontal_lines, 91, 1),
        shape(frame_331_shape_group_8_shape_12_horizontal_lines, 93, 3),
        shape(frame_331_shape_group_8_shape_13_horizontal_lines, 94, 1),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(119, 140),
        horizontal_line(128, 140),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(77, 139),
        horizontal_line(81, 140),
        horizontal_line(83, 140),
        horizontal_line(85, 140),
        horizontal_line(44, 51),
        horizontal_line(48, 50),
        horizontal_line(89, 139),
        horizontal_line(89, 139),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(50, 60),
        horizontal_line(49, 59),
        horizontal_line(49, 59),
        horizontal_line(48, 58),
        horizontal_line(34, 38),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(87, 139),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(47, 57),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(86, 139),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(37, 42),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(97, 136),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(38, 55),
        horizontal_line(135, 140),
        horizontal_line(40, 54),
    };

    constexpr const horizontal_line frame_331_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(45, 107),
        horizontal_line(44, 106),
        horizontal_line(105, 136),
    };

    constexpr const shape frame_331_shape_group_9_shapes[] = {
        shape(frame_331_shape_group_9_shape_0_horizontal_lines, 66, 8),
        shape(frame_331_shape_group_9_shape_1_horizontal_lines, 78, 10),
        shape(frame_331_shape_group_9_shape_2_horizontal_lines, 83, 8),
        shape(frame_331_shape_group_9_shape_3_horizontal_lines, 84, 10),
        shape(frame_331_shape_group_9_shape_4_horizontal_lines, 85, 8),
        shape(frame_331_shape_group_9_shape_5_horizontal_lines, 86, 10),
        shape(frame_331_shape_group_9_shape_6_horizontal_lines, 87, 8),
        shape(frame_331_shape_group_9_shape_7_horizontal_lines, 88, 10),
        shape(frame_331_shape_group_9_shape_8_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(55, 65),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(131, 140),
        horizontal_line(135, 140),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(53, 63),
        horizontal_line(53, 62),
        horizontal_line(52, 62),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(87, 139),
        horizontal_line(90, 139),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(51, 61),
        horizontal_line(50, 60),
        horizontal_line(78, 87),
        horizontal_line(77, 87),
        horizontal_line(77, 87),
        horizontal_line(76, 86),
        horizontal_line(48, 58),
        horizontal_line(34, 39),
        horizontal_line(75, 85),
        horizontal_line(36, 41),
        horizontal_line(46, 56),
        horizontal_line(38, 43),
        horizontal_line(74, 84),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(87, 89),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(73, 83),
    };

    constexpr const horizontal_line frame_331_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(107, 133),
        horizontal_line(106, 134),
    };

    constexpr const shape frame_331_shape_group_10_shapes[] = {
        shape(frame_331_shape_group_10_shape_0_horizontal_lines, 66, 10),
        shape(frame_331_shape_group_10_shape_1_horizontal_lines, 68, 8),
        shape(frame_331_shape_group_10_shape_2_horizontal_lines, 71, 10),
        shape(frame_331_shape_group_10_shape_3_horizontal_lines, 74, 8),
        shape(frame_331_shape_group_10_shape_4_horizontal_lines, 76, 10),
        shape(frame_331_shape_group_10_shape_5_horizontal_lines, 89, 1),
        shape(frame_331_shape_group_10_shape_6_horizontal_lines, 90, 10),
        shape(frame_331_shape_group_10_shape_7_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_331_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(55, 64),
        horizontal_line(54, 64),
        horizontal_line(54, 63),
    };

    constexpr const horizontal_line frame_331_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(80, 82),
        horizontal_line(80, 84),
        horizontal_line(52, 61),
        horizontal_line(51, 61),
        horizontal_line(78, 88),
        horizontal_line(78, 88),
    };

    constexpr const horizontal_line frame_331_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(76, 86),
        horizontal_line(48, 57),
    };

    constexpr const horizontal_line frame_331_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(47, 57),
        horizontal_line(74, 85),
        horizontal_line(46, 56),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_331_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(134, 140),
    };

    constexpr const shape frame_331_shape_group_11_shapes[] = {
        shape(frame_331_shape_group_11_shape_0_horizontal_lines, 68, 10),
        shape(frame_331_shape_group_11_shape_1_horizontal_lines, 72, 10),
        shape(frame_331_shape_group_11_shape_2_horizontal_lines, 82, 10),
        shape(frame_331_shape_group_11_shape_3_horizontal_lines, 85, 10),
        shape(frame_331_shape_group_11_shape_4_horizontal_lines, 90, 10),
    };

    constexpr const horizontal_line frame_331_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(79, 86),
        horizontal_line(79, 89),
    };

    constexpr const horizontal_line frame_331_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(76, 86),
    };

    constexpr const horizontal_line frame_331_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(75, 85),
        horizontal_line(138, 143),
        horizontal_line(74, 84),
    };

    constexpr const horizontal_line frame_331_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(88, 90),
    };

    constexpr const horizontal_line frame_331_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(87, 89),
    };

    constexpr const shape frame_331_shape_group_12_shapes[] = {
        shape(frame_331_shape_group_12_shape_0_horizontal_lines, 74, 10),
        shape(frame_331_shape_group_12_shape_1_horizontal_lines, 83, 10),
        shape(frame_331_shape_group_12_shape_2_horizontal_lines, 85, 10),
        shape(frame_331_shape_group_12_shape_3_horizontal_lines, 88, 1),
        shape(frame_331_shape_group_12_shape_4_horizontal_lines, 90, 1),
    };

    constexpr const horizontal_line frame_331_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(137, 142),
    };

    constexpr const shape frame_331_shape_group_13_shapes[] = {
        shape(frame_331_shape_group_13_shape_0_horizontal_lines, 87, 10),
    };

    constexpr const horizontal_line frame_331_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(88, 90),
    };

    constexpr const shape frame_331_shape_group_14_shapes[] = {
        shape(frame_331_shape_group_14_shape_0_horizontal_lines, 87, 1),
    };

    constexpr const shape_group frame_331_shape_groups[] = {
        shape_group(frame_331_shape_group_0_shapes),
        shape_group(frame_331_shape_group_1_shapes),
        shape_group(frame_331_shape_group_2_shapes),
        shape_group(frame_331_shape_group_3_shapes),
        shape_group(frame_331_shape_group_4_shapes),
        shape_group(frame_331_shape_group_5_shapes),
        shape_group(frame_331_shape_group_6_shapes),
        shape_group(frame_331_shape_group_7_shapes),
        shape_group(frame_331_shape_group_8_shapes),
        shape_group(frame_331_shape_group_9_shapes),
        shape_group(frame_331_shape_group_10_shapes),
        shape_group(frame_331_shape_group_11_shapes),
        shape_group(frame_331_shape_group_12_shapes),
        shape_group(frame_331_shape_group_13_shapes),
        shape_group(frame_331_shape_group_14_shapes),
    };

    constexpr const frame frame_331_impl(frame_331_colors, frame_331_shape_groups);
} 

const frame& frame_331()
{
    return frame_331_impl;
}

namespace
{
    constexpr const bn::color frame_332_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_332_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(5, 67),
        horizontal_line(9, 71),
        horizontal_line(7, 13),
        horizontal_line(6, 18),
        horizontal_line(5, 23),
        horizontal_line(3, 28),
        horizontal_line(2, 33),
        horizontal_line(1, 38),
        horizontal_line(6, 36),
        horizontal_line(12, 34),
        horizontal_line(18, 33),
        horizontal_line(24, 31),
        horizontal_line(30, 30),
        horizontal_line(88, 91),
        horizontal_line(97, 100),
        horizontal_line(106, 109),
        horizontal_line(115, 118),
        horizontal_line(124, 127),
        horizontal_line(133, 136),
        horizontal_line(142, 146),
        horizontal_line(148, 164),
        horizontal_line(149, 165),
        horizontal_line(150, 165),
        horizontal_line(151, 166),
    };

    constexpr const horizontal_line frame_332_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
    };

    constexpr const horizontal_line frame_332_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(36, 38),
        horizontal_line(39, 41),
        horizontal_line(38, 44),
        horizontal_line(38, 43),
        horizontal_line(37, 43),
        horizontal_line(37, 42),
        horizontal_line(36, 42),
        horizontal_line(36, 41),
        horizontal_line(36, 41),
        horizontal_line(36, 40),
        horizontal_line(36, 40),
        horizontal_line(36, 39),
        horizontal_line(37, 39),
        horizontal_line(38, 38),
    };

    constexpr const horizontal_line frame_332_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(147, 162),
        horizontal_line(147, 162),
    };

    constexpr const horizontal_line frame_332_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(95, 96),
        horizontal_line(94, 102),
        horizontal_line(94, 108),
        horizontal_line(93, 113),
        horizontal_line(93, 119),
        horizontal_line(93, 125),
    };

    constexpr const horizontal_line frame_332_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
        horizontal_line(159, 176),
        horizontal_line(161, 177),
        horizontal_line(163, 179),
        horizontal_line(165, 180),
        horizontal_line(167, 181),
        horizontal_line(169, 183),
        horizontal_line(171, 184),
        horizontal_line(172, 186),
        horizontal_line(174, 187),
        horizontal_line(176, 189),
        horizontal_line(178, 190),
        horizontal_line(180, 191),
        horizontal_line(182, 193),
        horizontal_line(184, 194),
        horizontal_line(185, 196),
        horizontal_line(187, 197),
        horizontal_line(189, 199),
        horizontal_line(191, 200),
        horizontal_line(193, 201),
        horizontal_line(195, 203),
        horizontal_line(197, 204),
        horizontal_line(198, 206),
        horizontal_line(200, 207),
        horizontal_line(202, 208),
        horizontal_line(204, 210),
        horizontal_line(206, 211),
        horizontal_line(208, 213),
        horizontal_line(210, 214),
        horizontal_line(211, 216),
        horizontal_line(213, 217),
        horizontal_line(215, 218),
        horizontal_line(217, 220),
        horizontal_line(219, 221),
        horizontal_line(221, 223),
        horizontal_line(223, 224),
        horizontal_line(224, 226),
        horizontal_line(226, 227),
        horizontal_line(228, 228),
        horizontal_line(230, 230),
    };

    constexpr const horizontal_line frame_332_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_332_shape_group_0_shapes[] = {
        shape(frame_332_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_332_shape_group_0_shape_1_horizontal_lines, 62, 13),
        shape(frame_332_shape_group_0_shape_2_horizontal_lines, 70, 8),
        shape(frame_332_shape_group_0_shape_3_horizontal_lines, 84, 13),
        shape(frame_332_shape_group_0_shape_4_horizontal_lines, 86, 8),
        shape(frame_332_shape_group_0_shape_5_horizontal_lines, 92, 15),
        shape(frame_332_shape_group_0_shape_6_horizontal_lines, 138, 10),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(67, 129),
        horizontal_line(71, 133),
        horizontal_line(16, 78),
        horizontal_line(25, 87),
        horizontal_line(34, 96),
        horizontal_line(42, 104),
        horizontal_line(51, 113),
        horizontal_line(60, 122),
        horizontal_line(44, 46),
        horizontal_line(52, 55),
        horizontal_line(61, 64),
        horizontal_line(70, 73),
        horizontal_line(79, 82),
        horizontal_line(112, 174),
        horizontal_line(121, 183),
        horizontal_line(130, 181),
        horizontal_line(138, 177),
        horizontal_line(147, 172),
        horizontal_line(156, 168),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(145, 145),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(150, 166),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 30),
        horizontal_line(2, 31),
        horizontal_line(2, 16),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(90, 141),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(1, 2),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(147, 162),
        horizontal_line(152, 162),
        horizontal_line(157, 162),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(161, 166),
        horizontal_line(160, 167),
        horizontal_line(159, 169),
        horizontal_line(159, 170),
        horizontal_line(158, 171),
        horizontal_line(157, 173),
        horizontal_line(158, 174),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(180, 195),
        horizontal_line(181, 198),
        horizontal_line(182, 201),
        horizontal_line(184, 204),
        horizontal_line(185, 207),
        horizontal_line(187, 209),
        horizontal_line(188, 212),
        horizontal_line(190, 215),
        horizontal_line(191, 218),
        horizontal_line(192, 221),
        horizontal_line(194, 223),
        horizontal_line(195, 226),
        horizontal_line(197, 229),
        horizontal_line(198, 232),
        horizontal_line(200, 235),
        horizontal_line(201, 238),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_332_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_332_shape_group_1_shapes[] = {
        shape(frame_332_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_332_shape_group_1_shape_1_horizontal_lines, 57, 13),
        shape(frame_332_shape_group_1_shape_2_horizontal_lines, 84, 11),
        shape(frame_332_shape_group_1_shape_3_horizontal_lines, 85, 15),
        shape(frame_332_shape_group_1_shape_4_horizontal_lines, 86, 13),
        shape(frame_332_shape_group_1_shape_5_horizontal_lines, 89, 15),
        shape(frame_332_shape_group_1_shape_6_horizontal_lines, 99, 1),
        shape(frame_332_shape_group_1_shape_7_horizontal_lines, 139, 10),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(125, 187),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(78, 140),
        horizontal_line(87, 149),
        horizontal_line(96, 158),
        horizontal_line(104, 166),
        horizontal_line(113, 175),
        horizontal_line(122, 184),
        horizontal_line(69, 131),
        horizontal_line(77, 139),
        horizontal_line(86, 148),
        horizontal_line(95, 157),
        horizontal_line(103, 165),
        horizontal_line(174, 190),
        horizontal_line(183, 185),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(165, 203),
        horizontal_line(142, 147),
        horizontal_line(143, 148),
        horizontal_line(143, 149),
        horizontal_line(144, 150),
        horizontal_line(150, 168),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 57),
        horizontal_line(36, 56),
        horizontal_line(36, 56),
        horizontal_line(36, 55),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 165),
        horizontal_line(149, 164),
        horizontal_line(148, 164),
        horizontal_line(148, 164),
        horizontal_line(148, 164),
        horizontal_line(148, 164),
        horizontal_line(148, 164),
        horizontal_line(148, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
        horizontal_line(147, 163),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(33, 38),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(92, 141),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(114, 137),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(162, 163),
        horizontal_line(161, 164),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(41, 42),
        horizontal_line(139, 139),
        horizontal_line(32, 94),
        horizontal_line(22, 84),
        horizontal_line(13, 75),
        horizontal_line(85, 147),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(1, 6),
        horizontal_line(177, 190),
        horizontal_line(178, 192),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_332_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(124, 158),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_332_shape_group_2_shapes[] = {
        shape(frame_332_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_332_shape_group_2_shape_1_horizontal_lines, 53, 13),
        shape(frame_332_shape_group_2_shape_2_horizontal_lines, 63, 11),
        shape(frame_332_shape_group_2_shape_3_horizontal_lines, 70, 13),
        shape(frame_332_shape_group_2_shape_4_horizontal_lines, 84, 10),
        shape(frame_332_shape_group_2_shape_5_horizontal_lines, 85, 11),
        shape(frame_332_shape_group_2_shape_6_horizontal_lines, 86, 15),
        shape(frame_332_shape_group_2_shape_7_horizontal_lines, 89, 11),
        shape(frame_332_shape_group_2_shape_8_horizontal_lines, 90, 15),
        shape(frame_332_shape_group_2_shape_9_horizontal_lines, 92, 10),
        shape(frame_332_shape_group_2_shape_10_horizontal_lines, 98, 1),
        shape(frame_332_shape_group_2_shape_11_horizontal_lines, 139, 1),
        shape(frame_332_shape_group_2_shape_12_horizontal_lines, 140, 10),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(140, 202),
        horizontal_line(149, 211),
        horizontal_line(158, 220),
        horizontal_line(166, 224),
        horizontal_line(175, 220),
        horizontal_line(184, 216),
        horizontal_line(131, 193),
        horizontal_line(139, 201),
        horizontal_line(148, 203),
        horizontal_line(157, 198),
        horizontal_line(165, 194),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(1, 30),
        horizontal_line(1, 30),
        horizontal_line(182, 231),
        horizontal_line(178, 224),
        horizontal_line(173, 217),
        horizontal_line(169, 210),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(147, 164),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(165, 196),
        horizontal_line(166, 189),
        horizontal_line(166, 182),
        horizontal_line(167, 175),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(98, 143),
        horizontal_line(98, 143),
        horizontal_line(98, 143),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(39, 55),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(36, 38),
        horizontal_line(36, 37),
        horizontal_line(36, 37),
        horizontal_line(36, 36),
        horizontal_line(36, 36),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(93, 142),
        horizontal_line(92, 142),
        horizontal_line(92, 141),
        horizontal_line(91, 141),
        horizontal_line(91, 141),
        horizontal_line(91, 141),
        horizontal_line(90, 141),
        horizontal_line(90, 141),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(49, 56),
        horizontal_line(34, 39),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(97, 140),
        horizontal_line(103, 139),
        horizontal_line(109, 138),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(38, 43),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(120, 136),
        horizontal_line(126, 135),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(168, 173),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(94, 140),
        horizontal_line(84, 144),
        horizontal_line(75, 137),
        horizontal_line(147, 152),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(175, 187),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_332_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(186, 237),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_332_shape_group_3_shapes[] = {
        shape(frame_332_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_332_shape_group_3_shape_1_horizontal_lines, 51, 13),
        shape(frame_332_shape_group_3_shape_2_horizontal_lines, 57, 15),
        shape(frame_332_shape_group_3_shape_3_horizontal_lines, 58, 13),
        shape(frame_332_shape_group_3_shape_4_horizontal_lines, 62, 11),
        shape(frame_332_shape_group_3_shape_5_horizontal_lines, 71, 15),
        shape(frame_332_shape_group_3_shape_6_horizontal_lines, 76, 11),
        shape(frame_332_shape_group_3_shape_7_horizontal_lines, 84, 10),
        shape(frame_332_shape_group_3_shape_8_horizontal_lines, 86, 11),
        shape(frame_332_shape_group_3_shape_9_horizontal_lines, 89, 10),
        shape(frame_332_shape_group_3_shape_10_horizontal_lines, 90, 11),
        shape(frame_332_shape_group_3_shape_11_horizontal_lines, 92, 10),
        shape(frame_332_shape_group_3_shape_12_horizontal_lines, 93, 1),
        shape(frame_332_shape_group_3_shape_13_horizontal_lines, 94, 10),
        shape(frame_332_shape_group_3_shape_14_horizontal_lines, 98, 1),
        shape(frame_332_shape_group_3_shape_15_horizontal_lines, 140, 1),
        shape(frame_332_shape_group_3_shape_16_horizontal_lines, 141, 10),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 4),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(202, 238),
        horizontal_line(211, 233),
        horizontal_line(220, 229),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(193, 211),
        horizontal_line(201, 207),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(1, 17),
        horizontal_line(1, 23),
        horizontal_line(1, 29),
        horizontal_line(191, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(110, 129),
        horizontal_line(119, 137),
        horizontal_line(128, 146),
        horizontal_line(137, 155),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(98, 144),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(128, 143),
        horizontal_line(131, 143),
        horizontal_line(135, 143),
        horizontal_line(138, 143),
        horizontal_line(80, 142),
        horizontal_line(42, 54),
        horizontal_line(45, 54),
        horizontal_line(48, 53),
        horizontal_line(52, 53),
        horizontal_line(92, 142),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(53, 60),
        horizontal_line(53, 60),
        horizontal_line(52, 59),
        horizontal_line(52, 59),
        horizontal_line(51, 58),
        horizontal_line(51, 58),
        horizontal_line(32, 36),
        horizontal_line(32, 37),
        horizontal_line(74, 86),
        horizontal_line(49, 56),
        horizontal_line(35, 40),
        horizontal_line(36, 41),
        horizontal_line(37, 42),
        horizontal_line(47, 54),
        horizontal_line(39, 45),
        horizontal_line(40, 43),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(167, 170),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(42, 104),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(170, 176),
        horizontal_line(171, 178),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(137, 148),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(7, 8),
    };

    constexpr const horizontal_line frame_332_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const shape frame_332_shape_group_4_shapes[] = {
        shape(frame_332_shape_group_4_shape_0_horizontal_lines, 37, 13),
        shape(frame_332_shape_group_4_shape_1_horizontal_lines, 40, 8),
        shape(frame_332_shape_group_4_shape_2_horizontal_lines, 43, 13),
        shape(frame_332_shape_group_4_shape_3_horizontal_lines, 46, 8),
        shape(frame_332_shape_group_4_shape_4_horizontal_lines, 48, 13),
        shape(frame_332_shape_group_4_shape_5_horizontal_lines, 53, 15),
        shape(frame_332_shape_group_4_shape_6_horizontal_lines, 57, 11),
        shape(frame_332_shape_group_4_shape_7_horizontal_lines, 66, 11),
        shape(frame_332_shape_group_4_shape_8_horizontal_lines, 76, 10),
        shape(frame_332_shape_group_4_shape_9_horizontal_lines, 92, 1),
        shape(frame_332_shape_group_4_shape_10_horizontal_lines, 93, 3),
        shape(frame_332_shape_group_4_shape_11_horizontal_lines, 94, 1),
        shape(frame_332_shape_group_4_shape_12_horizontal_lines, 96, 10),
        shape(frame_332_shape_group_4_shape_13_horizontal_lines, 97, 1),
        shape(frame_332_shape_group_4_shape_14_horizontal_lines, 141, 1),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(225, 239),
        horizontal_line(221, 239),
        horizontal_line(217, 239),
        horizontal_line(1, 5),
        horizontal_line(1, 11),
        horizontal_line(34, 39),
        horizontal_line(32, 37),
        horizontal_line(31, 35),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(92, 111),
        horizontal_line(101, 120),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(36, 98),
        horizontal_line(98, 141),
        horizontal_line(98, 141),
        horizontal_line(98, 142),
        horizontal_line(98, 142),
        horizontal_line(98, 143),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(58, 65),
        horizontal_line(57, 64),
        horizontal_line(57, 64),
        horizontal_line(56, 63),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(82, 142),
        horizontal_line(85, 142),
        horizontal_line(88, 142),
        horizontal_line(91, 142),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(53, 60),
        horizontal_line(77, 89),
        horizontal_line(77, 88),
        horizontal_line(76, 88),
        horizontal_line(76, 88),
        horizontal_line(75, 87),
        horizontal_line(75, 87),
        horizontal_line(50, 57),
        horizontal_line(50, 57),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(73, 85),
        horizontal_line(49, 55),
        horizontal_line(48, 55),
        horizontal_line(48, 55),
        horizontal_line(71, 84),
        horizontal_line(47, 54),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(43, 105),
        horizontal_line(104, 138),
    };

    constexpr const horizontal_line frame_332_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(172, 181),
        horizontal_line(174, 184),
    };

    constexpr const shape frame_332_shape_group_5_shapes[] = {
        shape(frame_332_shape_group_5_shape_0_horizontal_lines, 40, 13),
        shape(frame_332_shape_group_5_shape_1_horizontal_lines, 51, 15),
        shape(frame_332_shape_group_5_shape_2_horizontal_lines, 53, 11),
        shape(frame_332_shape_group_5_shape_3_horizontal_lines, 66, 10),
        shape(frame_332_shape_group_5_shape_4_horizontal_lines, 70, 11),
        shape(frame_332_shape_group_5_shape_5_horizontal_lines, 75, 10),
        shape(frame_332_shape_group_5_shape_6_horizontal_lines, 85, 10),
        shape(frame_332_shape_group_5_shape_7_horizontal_lines, 92, 3),
        shape(frame_332_shape_group_5_shape_8_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(29, 41),
        horizontal_line(34, 50),
        horizontal_line(39, 59),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(37, 43),
        horizontal_line(35, 41),
        horizontal_line(204, 239),
        horizontal_line(199, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(36, 87),
        horizontal_line(36, 96),
        horizontal_line(98, 105),
        horizontal_line(98, 114),
        horizontal_line(98, 123),
        horizontal_line(98, 132),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(56, 63),
        horizontal_line(55, 62),
        horizontal_line(55, 62),
        horizontal_line(54, 61),
        horizontal_line(54, 61),
        horizontal_line(77, 89),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(74, 87),
        horizontal_line(74, 86),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(73, 85),
        horizontal_line(72, 85),
        horizontal_line(72, 84),
        horizontal_line(138, 143),
        horizontal_line(71, 84),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(91, 92),
    };

    constexpr const horizontal_line frame_332_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(105, 136),
    };

    constexpr const shape frame_332_shape_group_6_shapes[] = {
        shape(frame_332_shape_group_6_shape_0_horizontal_lines, 40, 13),
        shape(frame_332_shape_group_6_shape_1_horizontal_lines, 43, 15),
        shape(frame_332_shape_group_6_shape_2_horizontal_lines, 46, 13),
        shape(frame_332_shape_group_6_shape_3_horizontal_lines, 51, 11),
        shape(frame_332_shape_group_6_shape_4_horizontal_lines, 70, 10),
        shape(frame_332_shape_group_6_shape_5_horizontal_lines, 82, 10),
        shape(frame_332_shape_group_6_shape_6_horizontal_lines, 86, 10),
        shape(frame_332_shape_group_6_shape_7_horizontal_lines, 91, 1),
        shape(frame_332_shape_group_6_shape_8_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(14, 15),
        horizontal_line(19, 24),
        horizontal_line(24, 33),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(65, 85),
        horizontal_line(74, 94),
        horizontal_line(83, 102),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(79, 81),
        horizontal_line(79, 84),
        horizontal_line(78, 87),
        horizontal_line(78, 90),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(141, 146),
        horizontal_line(140, 145),
        horizontal_line(139, 144),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(90, 92),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(137, 142),
    };

    constexpr const horizontal_line frame_332_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(165, 167),
    };

    constexpr const shape frame_332_shape_group_7_shapes[] = {
        shape(frame_332_shape_group_7_shape_0_horizontal_lines, 40, 15),
        shape(frame_332_shape_group_7_shape_1_horizontal_lines, 46, 13),
        shape(frame_332_shape_group_7_shape_2_horizontal_lines, 48, 15),
        shape(frame_332_shape_group_7_shape_3_horizontal_lines, 71, 10),
        shape(frame_332_shape_group_7_shape_4_horizontal_lines, 86, 10),
        shape(frame_332_shape_group_7_shape_5_horizontal_lines, 89, 1),
        shape(frame_332_shape_group_7_shape_6_horizontal_lines, 90, 10),
        shape(frame_332_shape_group_7_shape_7_horizontal_lines, 91, 1),
    };

    constexpr const horizontal_line frame_332_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(47, 68),
        horizontal_line(56, 76),
    };

    constexpr const horizontal_line frame_332_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(40, 60),
        horizontal_line(38, 69),
        horizontal_line(36, 78),
    };

    constexpr const horizontal_line frame_332_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(91, 94),
        horizontal_line(91, 93),
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_332_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(90, 92),
    };

    constexpr const horizontal_line frame_332_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(44, 90),
    };

    constexpr const shape frame_332_shape_group_8_shapes[] = {
        shape(frame_332_shape_group_8_shape_0_horizontal_lines, 46, 15),
        shape(frame_332_shape_group_8_shape_1_horizontal_lines, 48, 11),
        shape(frame_332_shape_group_8_shape_2_horizontal_lines, 86, 1),
        shape(frame_332_shape_group_8_shape_3_horizontal_lines, 90, 1),
        shape(frame_332_shape_group_8_shape_4_horizontal_lines, 91, 3),
    };

    constexpr const horizontal_line frame_332_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(42, 51),
    };

    constexpr const horizontal_line frame_332_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(164, 164),
    };

    constexpr const shape frame_332_shape_group_9_shapes[] = {
        shape(frame_332_shape_group_9_shape_0_horizontal_lines, 47, 11),
        shape(frame_332_shape_group_9_shape_1_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_332_shape_groups[] = {
        shape_group(frame_332_shape_group_0_shapes),
        shape_group(frame_332_shape_group_1_shapes),
        shape_group(frame_332_shape_group_2_shapes),
        shape_group(frame_332_shape_group_3_shapes),
        shape_group(frame_332_shape_group_4_shapes),
        shape_group(frame_332_shape_group_5_shapes),
        shape_group(frame_332_shape_group_6_shapes),
        shape_group(frame_332_shape_group_7_shapes),
        shape_group(frame_332_shape_group_8_shapes),
        shape_group(frame_332_shape_group_9_shapes),
    };

    constexpr const frame frame_332_impl(frame_332_colors, frame_332_shape_groups);
} 

const frame& frame_332()
{
    return frame_332_impl;
}

namespace
{
    constexpr const bn::color frame_333_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_333_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(2, 64),
        horizontal_line(4, 66),
        horizontal_line(2, 10),
        horizontal_line(1, 17),
        horizontal_line(0, 23),
        horizontal_line(0, 30),
        horizontal_line(0, 37),
        horizontal_line(0, 35),
        horizontal_line(6, 33),
        horizontal_line(13, 31),
        horizontal_line(20, 29),
        horizontal_line(27, 27),
        horizontal_line(78, 92),
        horizontal_line(88, 101),
        horizontal_line(97, 111),
        horizontal_line(107, 120),
        horizontal_line(116, 130),
        horizontal_line(126, 139),
        horizontal_line(135, 149),
        horizontal_line(145, 145),
        horizontal_line(152, 169),
        horizontal_line(153, 169),
        horizontal_line(154, 170),
        horizontal_line(155, 171),
    };

    constexpr const horizontal_line frame_333_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_333_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(34, 35),
        horizontal_line(35, 38),
        horizontal_line(38, 41),
        horizontal_line(42, 44),
        horizontal_line(41, 47),
        horizontal_line(41, 46),
        horizontal_line(40, 46),
        horizontal_line(40, 45),
        horizontal_line(39, 45),
        horizontal_line(39, 44),
        horizontal_line(38, 44),
        horizontal_line(38, 43),
        horizontal_line(37, 43),
        horizontal_line(37, 42),
        horizontal_line(36, 42),
        horizontal_line(36, 41),
        horizontal_line(37, 41),
        horizontal_line(38, 41),
        horizontal_line(39, 40),
        horizontal_line(40, 40),
        horizontal_line(97, 111),
        horizontal_line(97, 116),
        horizontal_line(96, 122),
        horizontal_line(96, 128),
        horizontal_line(96, 133),
    };

    constexpr const horizontal_line frame_333_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 0),
        horizontal_line(162, 178),
        horizontal_line(164, 180),
        horizontal_line(166, 181),
        horizontal_line(168, 183),
        horizontal_line(169, 184),
        horizontal_line(171, 186),
        horizontal_line(173, 187),
        horizontal_line(175, 189),
        horizontal_line(177, 190),
        horizontal_line(178, 191),
        horizontal_line(180, 193),
        horizontal_line(182, 194),
        horizontal_line(184, 196),
        horizontal_line(186, 197),
        horizontal_line(187, 199),
        horizontal_line(189, 200),
        horizontal_line(191, 202),
        horizontal_line(193, 203),
        horizontal_line(195, 204),
        horizontal_line(196, 206),
        horizontal_line(198, 207),
        horizontal_line(200, 209),
        horizontal_line(202, 210),
        horizontal_line(204, 212),
        horizontal_line(205, 213),
        horizontal_line(207, 214),
        horizontal_line(209, 216),
        horizontal_line(211, 217),
        horizontal_line(213, 219),
        horizontal_line(214, 220),
        horizontal_line(216, 222),
        horizontal_line(218, 223),
        horizontal_line(220, 225),
        horizontal_line(222, 226),
        horizontal_line(223, 227),
        horizontal_line(225, 229),
        horizontal_line(227, 230),
        horizontal_line(229, 232),
        horizontal_line(231, 233),
        horizontal_line(232, 235),
        horizontal_line(234, 236),
        horizontal_line(236, 238),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 47),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_333_shape_group_0_shapes[] = {
        shape(frame_333_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_333_shape_group_0_shape_1_horizontal_lines, 61, 13),
        shape(frame_333_shape_group_0_shape_2_horizontal_lines, 67, 8),
        shape(frame_333_shape_group_0_shape_3_horizontal_lines, 92, 15),
        shape(frame_333_shape_group_0_shape_4_horizontal_lines, 145, 10),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(64, 126),
        horizontal_line(66, 128),
        horizontal_line(13, 75),
        horizontal_line(23, 85),
        horizontal_line(33, 95),
        horizontal_line(42, 104),
        horizontal_line(52, 114),
        horizontal_line(40, 45),
        horizontal_line(42, 54),
        horizontal_line(50, 64),
        horizontal_line(59, 73),
        horizontal_line(69, 83),
        horizontal_line(110, 172),
        horizontal_line(120, 182),
        horizontal_line(130, 185),
        horizontal_line(139, 181),
        horizontal_line(149, 176),
        horizontal_line(159, 172),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(151, 168),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(154, 170),
        horizontal_line(153, 170),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 28),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(96, 99),
        horizontal_line(98, 105),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(150, 166),
        horizontal_line(155, 166),
        horizontal_line(161, 166),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(165, 168),
        horizontal_line(164, 170),
        horizontal_line(163, 171),
        horizontal_line(162, 173),
        horizontal_line(161, 174),
        horizontal_line(160, 176),
        horizontal_line(161, 177),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 1),
        horizontal_line(182, 196),
        horizontal_line(184, 199),
        horizontal_line(185, 202),
        horizontal_line(187, 204),
        horizontal_line(188, 207),
        horizontal_line(190, 210),
        horizontal_line(191, 213),
        horizontal_line(192, 215),
        horizontal_line(194, 218),
        horizontal_line(195, 221),
        horizontal_line(197, 224),
        horizontal_line(198, 226),
        horizontal_line(200, 229),
        horizontal_line(201, 232),
        horizontal_line(203, 235),
        horizontal_line(204, 238),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(62, 95),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_333_shape_group_1_shapes[] = {
        shape(frame_333_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_333_shape_group_1_shape_1_horizontal_lines, 55, 13),
        shape(frame_333_shape_group_1_shape_2_horizontal_lines, 56, 8),
        shape(frame_333_shape_group_1_shape_3_horizontal_lines, 57, 13),
        shape(frame_333_shape_group_1_shape_4_horizontal_lines, 85, 8),
        shape(frame_333_shape_group_1_shape_5_horizontal_lines, 87, 13),
        shape(frame_333_shape_group_1_shape_6_horizontal_lines, 90, 15),
        shape(frame_333_shape_group_1_shape_7_horizontal_lines, 91, 13),
        shape(frame_333_shape_group_1_shape_8_horizontal_lines, 92, 15),
        shape(frame_333_shape_group_1_shape_9_horizontal_lines, 99, 1),
        shape(frame_333_shape_group_1_shape_10_horizontal_lines, 147, 10),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(126, 188),
        horizontal_line(128, 190),
        horizontal_line(75, 137),
        horizontal_line(85, 147),
        horizontal_line(95, 157),
        horizontal_line(104, 166),
        horizontal_line(114, 176),
        horizontal_line(62, 124),
        horizontal_line(71, 133),
        horizontal_line(81, 143),
        horizontal_line(91, 153),
        horizontal_line(101, 163),
        horizontal_line(172, 194),
        horizontal_line(182, 189),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(169, 209),
        horizontal_line(0, 27),
        horizontal_line(146, 151),
        horizontal_line(147, 152),
        horizontal_line(148, 153),
        horizontal_line(149, 154),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 64),
        horizontal_line(34, 60),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(153, 169),
        horizontal_line(153, 169),
        horizontal_line(153, 169),
        horizontal_line(153, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 169),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(152, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 168),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(151, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(150, 167),
        horizontal_line(0, 0),
        horizontal_line(150, 166),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(129, 139),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(38, 41),
        horizontal_line(39, 40),
        horizontal_line(141, 142),
        horizontal_line(30, 92),
        horizontal_line(20, 82),
        horizontal_line(11, 73),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(1, 6),
        horizontal_line(179, 190),
        horizontal_line(181, 193),
    };

    constexpr const horizontal_line frame_333_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(124, 143),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_333_shape_group_2_shapes[] = {
        shape(frame_333_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_333_shape_group_2_shape_1_horizontal_lines, 51, 13),
        shape(frame_333_shape_group_2_shape_2_horizontal_lines, 61, 11),
        shape(frame_333_shape_group_2_shape_3_horizontal_lines, 67, 13),
        shape(frame_333_shape_group_2_shape_4_horizontal_lines, 87, 15),
        shape(frame_333_shape_group_2_shape_5_horizontal_lines, 90, 11),
        shape(frame_333_shape_group_2_shape_6_horizontal_lines, 91, 15),
        shape(frame_333_shape_group_2_shape_7_horizontal_lines, 92, 10),
        shape(frame_333_shape_group_2_shape_8_horizontal_lines, 98, 1),
        shape(frame_333_shape_group_2_shape_9_horizontal_lines, 148, 10),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(137, 199),
        horizontal_line(147, 209),
        horizontal_line(157, 219),
        horizontal_line(166, 224),
        horizontal_line(176, 220),
        horizontal_line(124, 186),
        horizontal_line(133, 195),
        horizontal_line(143, 205),
        horizontal_line(153, 203),
        horizontal_line(163, 198),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(186, 239),
        horizontal_line(182, 231),
        horizontal_line(177, 224),
        horizontal_line(173, 216),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(150, 168),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(146, 150),
        horizontal_line(170, 194),
        horizontal_line(170, 186),
        horizontal_line(171, 179),
        horizontal_line(172, 172),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(96, 147),
        horizontal_line(96, 147),
        horizontal_line(96, 147),
        horizontal_line(96, 147),
        horizontal_line(66, 128),
        horizontal_line(70, 132),
        horizontal_line(36, 59),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(34, 34),
        horizontal_line(34, 37),
        horizontal_line(34, 41),
        horizontal_line(34, 40),
        horizontal_line(34, 40),
        horizontal_line(34, 39),
        horizontal_line(34, 39),
        horizontal_line(34, 38),
        horizontal_line(34, 38),
        horizontal_line(34, 37),
        horizontal_line(34, 37),
        horizontal_line(34, 36),
        horizontal_line(34, 36),
        horizontal_line(35, 35),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(93, 144),
        horizontal_line(93, 144),
        horizontal_line(95, 144),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(150, 166),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(112, 142),
        horizontal_line(117, 141),
        horizontal_line(123, 140),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(36, 44),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(166, 167),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(139, 144),
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(172, 177),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_14_horizontal_lines[] = {
        horizontal_line(92, 142),
        horizontal_line(82, 144),
        horizontal_line(73, 135),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_15_horizontal_lines[] = {
        horizontal_line(178, 188),
    };

    constexpr const horizontal_line frame_333_shape_group_3_shape_16_horizontal_lines[] = {
        horizontal_line(186, 191),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_333_shape_group_3_shapes[] = {
        shape(frame_333_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_333_shape_group_3_shape_1_horizontal_lines, 49, 13),
        shape(frame_333_shape_group_3_shape_2_horizontal_lines, 55, 15),
        shape(frame_333_shape_group_3_shape_3_horizontal_lines, 56, 13),
        shape(frame_333_shape_group_3_shape_4_horizontal_lines, 61, 11),
        shape(frame_333_shape_group_3_shape_5_horizontal_lines, 68, 15),
        shape(frame_333_shape_group_3_shape_6_horizontal_lines, 82, 11),
        shape(frame_333_shape_group_3_shape_7_horizontal_lines, 85, 13),
        shape(frame_333_shape_group_3_shape_8_horizontal_lines, 86, 15),
        shape(frame_333_shape_group_3_shape_9_horizontal_lines, 87, 11),
        shape(frame_333_shape_group_3_shape_10_horizontal_lines, 90, 10),
        shape(frame_333_shape_group_3_shape_11_horizontal_lines, 91, 15),
        shape(frame_333_shape_group_3_shape_12_horizontal_lines, 92, 10),
        shape(frame_333_shape_group_3_shape_13_horizontal_lines, 94, 1),
        shape(frame_333_shape_group_3_shape_14_horizontal_lines, 95, 10),
        shape(frame_333_shape_group_3_shape_15_horizontal_lines, 98, 1),
        shape(frame_333_shape_group_3_shape_16_horizontal_lines, 149, 10),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(199, 238),
        horizontal_line(209, 233),
        horizontal_line(219, 229),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(186, 216),
        horizontal_line(195, 211),
        horizontal_line(205, 207),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 26),
        horizontal_line(30, 34),
        horizontal_line(33, 33),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(112, 129),
        horizontal_line(121, 138),
        horizontal_line(131, 148),
        horizontal_line(140, 158),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(34, 96),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(169, 201),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(128, 147),
        horizontal_line(132, 147),
        horizontal_line(74, 136),
        horizontal_line(39, 59),
        horizontal_line(42, 58),
        horizontal_line(45, 58),
        horizontal_line(48, 57),
        horizontal_line(51, 57),
        horizontal_line(55, 56),
        horizontal_line(94, 145),
        horizontal_line(96, 145),
        horizontal_line(95, 145),
        horizontal_line(95, 145),
        horizontal_line(94, 145),
        horizontal_line(94, 144),
        horizontal_line(94, 144),
        horizontal_line(93, 144),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(32, 35),
        horizontal_line(29, 36),
        horizontal_line(30, 37),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(100, 144),
        horizontal_line(106, 143),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(33, 40),
        horizontal_line(34, 41),
        horizontal_line(35, 42),
        horizontal_line(50, 52),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(169, 171),
        horizontal_line(171, 174),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(174, 179),
    };

    constexpr const horizontal_line frame_333_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(144, 148),
        horizontal_line(135, 154),
    };

    constexpr const shape frame_333_shape_group_4_shapes[] = {
        shape(frame_333_shape_group_4_shape_0_horizontal_lines, 37, 13),
        shape(frame_333_shape_group_4_shape_1_horizontal_lines, 39, 8),
        shape(frame_333_shape_group_4_shape_2_horizontal_lines, 42, 13),
        shape(frame_333_shape_group_4_shape_3_horizontal_lines, 44, 8),
        shape(frame_333_shape_group_4_shape_4_horizontal_lines, 47, 13),
        shape(frame_333_shape_group_4_shape_5_horizontal_lines, 51, 15),
        shape(frame_333_shape_group_4_shape_6_horizontal_lines, 55, 11),
        shape(frame_333_shape_group_4_shape_7_horizontal_lines, 56, 13),
        shape(frame_333_shape_group_4_shape_8_horizontal_lines, 57, 11),
        shape(frame_333_shape_group_4_shape_9_horizontal_lines, 65, 11),
        shape(frame_333_shape_group_4_shape_10_horizontal_lines, 82, 10),
        shape(frame_333_shape_group_4_shape_11_horizontal_lines, 85, 11),
        shape(frame_333_shape_group_4_shape_12_horizontal_lines, 87, 10),
        shape(frame_333_shape_group_4_shape_13_horizontal_lines, 91, 11),
        shape(frame_333_shape_group_4_shape_14_horizontal_lines, 92, 1),
        shape(frame_333_shape_group_4_shape_15_horizontal_lines, 94, 3),
        shape(frame_333_shape_group_4_shape_16_horizontal_lines, 95, 1),
        shape(frame_333_shape_group_4_shape_17_horizontal_lines, 96, 10),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(31, 41),
        horizontal_line(38, 51),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(36, 39),
        horizontal_line(0, 5),
        horizontal_line(0, 12),
        horizontal_line(30, 37),
        horizontal_line(28, 36),
        horizontal_line(195, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(34, 96),
        horizontal_line(96, 134),
        horizontal_line(34, 96),
        horizontal_line(96, 145),
        horizontal_line(96, 146),
        horizontal_line(96, 147),
        horizontal_line(96, 148),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(61, 63),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(136, 146),
        horizontal_line(78, 140),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
        horizontal_line(87, 146),
        horizontal_line(91, 146),
        horizontal_line(92, 145),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(57, 60),
        horizontal_line(57, 59),
        horizontal_line(56, 59),
        horizontal_line(56, 58),
        horizontal_line(55, 58),
        horizontal_line(55, 57),
        horizontal_line(54, 57),
        horizontal_line(54, 56),
        horizontal_line(53, 56),
        horizontal_line(53, 56),
        horizontal_line(53, 55),
        horizontal_line(31, 38),
        horizontal_line(32, 39),
        horizontal_line(51, 54),
        horizontal_line(51, 53),
        horizontal_line(50, 53),
        horizontal_line(69, 83),
        horizontal_line(37, 42),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(42, 104),
        horizontal_line(41, 103),
        horizontal_line(102, 140),
    };

    constexpr const horizontal_line frame_333_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(175, 182),
        horizontal_line(177, 185),
    };

    constexpr const shape frame_333_shape_group_5_shapes[] = {
        shape(frame_333_shape_group_5_shape_0_horizontal_lines, 39, 13),
        shape(frame_333_shape_group_5_shape_1_horizontal_lines, 42, 15),
        shape(frame_333_shape_group_5_shape_2_horizontal_lines, 44, 13),
        shape(frame_333_shape_group_5_shape_3_horizontal_lines, 51, 11),
        shape(frame_333_shape_group_5_shape_4_horizontal_lines, 66, 10),
        shape(frame_333_shape_group_5_shape_5_horizontal_lines, 67, 11),
        shape(frame_333_shape_group_5_shape_6_horizontal_lines, 74, 10),
        shape(frame_333_shape_group_5_shape_7_horizontal_lines, 92, 3),
        shape(frame_333_shape_group_5_shape_8_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(24, 32),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(34, 41),
        horizontal_line(32, 39),
        horizontal_line(204, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(93, 109),
        horizontal_line(102, 119),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(96, 106),
        horizontal_line(96, 115),
        horizontal_line(96, 125),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(96, 144),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(60, 63),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(140, 146),
        horizontal_line(143, 146),
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(58, 61),
        horizontal_line(58, 60),
        horizontal_line(57, 60),
        horizontal_line(75, 89),
        horizontal_line(75, 88),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(71, 86),
        horizontal_line(71, 85),
        horizontal_line(52, 55),
        horizontal_line(52, 54),
        horizontal_line(70, 84),
        horizontal_line(69, 84),
        horizontal_line(69, 83),
        horizontal_line(140, 146),
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_333_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(104, 138),
        horizontal_line(103, 139),
    };

    constexpr const shape frame_333_shape_group_6_shapes[] = {
        shape(frame_333_shape_group_6_shape_0_horizontal_lines, 39, 13),
        shape(frame_333_shape_group_6_shape_1_horizontal_lines, 41, 15),
        shape(frame_333_shape_group_6_shape_2_horizontal_lines, 44, 13),
        shape(frame_333_shape_group_6_shape_3_horizontal_lines, 49, 15),
        shape(frame_333_shape_group_6_shape_4_horizontal_lines, 51, 11),
        shape(frame_333_shape_group_6_shape_5_horizontal_lines, 56, 11),
        shape(frame_333_shape_group_6_shape_6_horizontal_lines, 67, 10),
        shape(frame_333_shape_group_6_shape_7_horizontal_lines, 68, 11),
        shape(frame_333_shape_group_6_shape_8_horizontal_lines, 71, 10),
        shape(frame_333_shape_group_6_shape_9_horizontal_lines, 92, 3),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(11, 12),
        horizontal_line(18, 22),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(46, 61),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(74, 90),
        horizontal_line(84, 100),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(35, 77),
        horizontal_line(34, 87),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(59, 62),
        horizontal_line(59, 61),
        horizontal_line(76, 86),
        horizontal_line(76, 90),
        horizontal_line(75, 89),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(71, 85),
        horizontal_line(70, 84),
        horizontal_line(143, 149),
        horizontal_line(142, 148),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_333_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(92, 95),
        horizontal_line(92, 95),
    };

    constexpr const shape frame_333_shape_group_7_shapes[] = {
        shape(frame_333_shape_group_7_shape_0_horizontal_lines, 39, 15),
        shape(frame_333_shape_group_7_shape_1_horizontal_lines, 44, 15),
        shape(frame_333_shape_group_7_shape_2_horizontal_lines, 45, 13),
        shape(frame_333_shape_group_7_shape_3_horizontal_lines, 47, 15),
        shape(frame_333_shape_group_7_shape_4_horizontal_lines, 49, 11),
        shape(frame_333_shape_group_7_shape_5_horizontal_lines, 68, 10),
        shape(frame_333_shape_group_7_shape_6_horizontal_lines, 85, 10),
        shape(frame_333_shape_group_7_shape_7_horizontal_lines, 90, 1),
    };

    constexpr const horizontal_line frame_333_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(55, 70),
        horizontal_line(65, 80),
    };

    constexpr const horizontal_line frame_333_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(38, 58),
        horizontal_line(37, 68),
    };

    constexpr const horizontal_line frame_333_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(77, 80),
        horizontal_line(77, 83),
    };

    constexpr const horizontal_line frame_333_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_333_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(144, 146),
    };

    constexpr const horizontal_line frame_333_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(93, 96),
        horizontal_line(93, 95),
    };

    constexpr const horizontal_line frame_333_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(168, 168),
    };

    constexpr const shape frame_333_shape_group_8_shapes[] = {
        shape(frame_333_shape_group_8_shape_0_horizontal_lines, 45, 15),
        shape(frame_333_shape_group_8_shape_1_horizontal_lines, 47, 11),
        shape(frame_333_shape_group_8_shape_2_horizontal_lines, 69, 10),
        shape(frame_333_shape_group_8_shape_3_horizontal_lines, 85, 1),
        shape(frame_333_shape_group_8_shape_4_horizontal_lines, 86, 10),
        shape(frame_333_shape_group_8_shape_5_horizontal_lines, 87, 1),
        shape(frame_333_shape_group_8_shape_6_horizontal_lines, 91, 1),
    };

    constexpr const horizontal_line frame_333_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(40, 49),
    };

    constexpr const horizontal_line frame_333_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(94, 97),
    };

    constexpr const horizontal_line frame_333_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(43, 91),
    };

    constexpr const shape frame_333_shape_group_9_shapes[] = {
        shape(frame_333_shape_group_9_shape_0_horizontal_lines, 46, 11),
        shape(frame_333_shape_group_9_shape_1_horizontal_lines, 86, 1),
        shape(frame_333_shape_group_9_shape_2_horizontal_lines, 91, 3),
    };

    constexpr const shape_group frame_333_shape_groups[] = {
        shape_group(frame_333_shape_group_0_shapes),
        shape_group(frame_333_shape_group_1_shapes),
        shape_group(frame_333_shape_group_2_shapes),
        shape_group(frame_333_shape_group_3_shapes),
        shape_group(frame_333_shape_group_4_shapes),
        shape_group(frame_333_shape_group_5_shapes),
        shape_group(frame_333_shape_group_6_shapes),
        shape_group(frame_333_shape_group_7_shapes),
        shape_group(frame_333_shape_group_8_shapes),
        shape_group(frame_333_shape_group_9_shapes),
    };

    constexpr const frame frame_333_impl(frame_333_colors, frame_333_shape_groups);
} 

const frame& frame_333()
{
    return frame_333_impl;
}

namespace
{
    constexpr const bn::color frame_334_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_334_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 4),
        horizontal_line(0, 10),
        horizontal_line(0, 15),
        horizontal_line(0, 21),
        horizontal_line(0, 26),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(6, 29),
        horizontal_line(12, 27),
        horizontal_line(18, 25),
        horizontal_line(24, 24),
        horizontal_line(82, 92),
        horizontal_line(93, 102),
        horizontal_line(104, 112),
        horizontal_line(115, 122),
        horizontal_line(126, 132),
        horizontal_line(137, 142),
        horizontal_line(148, 153),
        horizontal_line(154, 172),
        horizontal_line(155, 173),
        horizontal_line(156, 174),
        horizontal_line(157, 175),
        horizontal_line(158, 176),
    };

    constexpr const horizontal_line frame_334_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_334_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(32, 33),
        horizontal_line(34, 36),
        horizontal_line(37, 39),
        horizontal_line(40, 42),
        horizontal_line(43, 45),
        horizontal_line(46, 48),
        horizontal_line(45, 51),
        horizontal_line(45, 50),
        horizontal_line(44, 50),
        horizontal_line(44, 49),
        horizontal_line(43, 49),
        horizontal_line(43, 48),
        horizontal_line(42, 48),
        horizontal_line(42, 47),
        horizontal_line(41, 47),
        horizontal_line(41, 46),
        horizontal_line(40, 46),
        horizontal_line(40, 45),
        horizontal_line(39, 45),
        horizontal_line(39, 44),
        horizontal_line(38, 44),
        horizontal_line(38, 43),
        horizontal_line(39, 43),
        horizontal_line(40, 43),
        horizontal_line(41, 42),
        horizontal_line(42, 42),
        horizontal_line(97, 135),
        horizontal_line(96, 135),
    };

    constexpr const horizontal_line frame_334_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(165, 183),
        horizontal_line(166, 184),
        horizontal_line(168, 186),
        horizontal_line(170, 187),
        horizontal_line(171, 189),
        horizontal_line(173, 190),
        horizontal_line(175, 191),
        horizontal_line(177, 193),
        horizontal_line(178, 194),
        horizontal_line(180, 196),
        horizontal_line(182, 197),
        horizontal_line(184, 198),
        horizontal_line(185, 200),
        horizontal_line(187, 201),
        horizontal_line(189, 203),
        horizontal_line(191, 204),
        horizontal_line(192, 205),
        horizontal_line(194, 207),
        horizontal_line(196, 208),
        horizontal_line(198, 210),
        horizontal_line(199, 211),
        horizontal_line(201, 212),
        horizontal_line(203, 214),
        horizontal_line(205, 215),
        horizontal_line(206, 217),
        horizontal_line(208, 218),
        horizontal_line(210, 219),
        horizontal_line(212, 221),
        horizontal_line(213, 222),
        horizontal_line(215, 224),
        horizontal_line(217, 225),
        horizontal_line(219, 226),
        horizontal_line(220, 228),
        horizontal_line(222, 229),
        horizontal_line(224, 231),
        horizontal_line(226, 232),
        horizontal_line(227, 233),
        horizontal_line(229, 235),
        horizontal_line(231, 236),
        horizontal_line(233, 238),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 34),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_334_shape_group_0_shapes[] = {
        shape(frame_334_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_334_shape_group_0_shape_1_horizontal_lines, 60, 13),
        shape(frame_334_shape_group_0_shape_2_horizontal_lines, 65, 8),
        shape(frame_334_shape_group_0_shape_3_horizontal_lines, 93, 15),
        shape(frame_334_shape_group_0_shape_4_horizontal_lines, 155, 10),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(9, 71),
        horizontal_line(19, 81),
        horizontal_line(28, 90),
        horizontal_line(38, 100),
        horizontal_line(48, 110),
        horizontal_line(57, 119),
        horizontal_line(36, 42),
        horizontal_line(39, 52),
        horizontal_line(49, 62),
        horizontal_line(60, 72),
        horizontal_line(71, 82),
        horizontal_line(115, 177),
        horizontal_line(124, 186),
        horizontal_line(134, 188),
        horizontal_line(144, 184),
        horizontal_line(153, 180),
        horizontal_line(163, 176),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(154, 172),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(157, 175),
        horizontal_line(157, 175),
        horizontal_line(157, 175),
        horizontal_line(157, 175),
        horizontal_line(157, 175),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(32, 33),
        horizontal_line(32, 36),
        horizontal_line(32, 39),
        horizontal_line(32, 42),
        horizontal_line(32, 45),
        horizontal_line(32, 44),
        horizontal_line(32, 44),
        horizontal_line(32, 43),
        horizontal_line(32, 43),
        horizontal_line(32, 42),
        horizontal_line(32, 42),
        horizontal_line(32, 41),
        horizontal_line(32, 41),
        horizontal_line(32, 40),
        horizontal_line(32, 40),
        horizontal_line(33, 39),
        horizontal_line(34, 39),
        horizontal_line(35, 38),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(98, 102),
        horizontal_line(99, 108),
        horizontal_line(98, 114),
        horizontal_line(98, 119),
        horizontal_line(98, 125),
        horizontal_line(97, 131),
        horizontal_line(97, 136),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(169, 175),
        horizontal_line(168, 176),
        horizontal_line(167, 177),
        horizontal_line(166, 179),
        horizontal_line(165, 180),
        horizontal_line(164, 182),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(185, 197),
        horizontal_line(187, 200),
        horizontal_line(188, 203),
        horizontal_line(190, 205),
        horizontal_line(191, 208),
        horizontal_line(192, 211),
        horizontal_line(194, 213),
        horizontal_line(195, 216),
        horizontal_line(197, 219),
        horizontal_line(198, 221),
        horizontal_line(199, 224),
        horizontal_line(201, 227),
        horizontal_line(202, 229),
        horizontal_line(204, 232),
        horizontal_line(205, 235),
        horizontal_line(206, 238),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(62, 68),
        horizontal_line(62, 102),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_334_shape_group_1_shapes[] = {
        shape(frame_334_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_334_shape_group_1_shape_1_horizontal_lines, 54, 15),
        shape(frame_334_shape_group_1_shape_2_horizontal_lines, 55, 13),
        shape(frame_334_shape_group_1_shape_3_horizontal_lines, 66, 15),
        shape(frame_334_shape_group_1_shape_4_horizontal_lines, 84, 8),
        shape(frame_334_shape_group_1_shape_5_horizontal_lines, 91, 15),
        shape(frame_334_shape_group_1_shape_6_horizontal_lines, 99, 1),
        shape(frame_334_shape_group_1_shape_7_horizontal_lines, 157, 10),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(71, 133),
        horizontal_line(81, 143),
        horizontal_line(90, 152),
        horizontal_line(100, 162),
        horizontal_line(110, 172),
        horizontal_line(119, 181),
        horizontal_line(67, 129),
        horizontal_line(76, 138),
        horizontal_line(86, 148),
        horizontal_line(96, 158),
        horizontal_line(105, 167),
        horizontal_line(177, 196),
        horizontal_line(186, 192),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(113, 133),
        horizontal_line(123, 143),
        horizontal_line(133, 152),
        horizontal_line(143, 162),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(148, 153),
        horizontal_line(149, 154),
        horizontal_line(150, 155),
        horizontal_line(151, 156),
        horizontal_line(152, 157),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(157, 175),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(36, 38),
        horizontal_line(37, 37),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(154, 171),
        horizontal_line(154, 171),
        horizontal_line(160, 171),
        horizontal_line(166, 171),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(171, 172),
        horizontal_line(170, 173),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(37, 39),
        horizontal_line(143, 146),
        horizontal_line(31, 91),
        horizontal_line(23, 85),
        horizontal_line(15, 77),
        horizontal_line(8, 70),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(184, 195),
    };

    constexpr const horizontal_line frame_334_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(124, 137),
    };

    constexpr const shape frame_334_shape_group_2_shapes[] = {
        shape(frame_334_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_334_shape_group_2_shape_1_horizontal_lines, 50, 15),
        shape(frame_334_shape_group_2_shape_2_horizontal_lines, 54, 13),
        shape(frame_334_shape_group_2_shape_3_horizontal_lines, 60, 11),
        shape(frame_334_shape_group_2_shape_4_horizontal_lines, 65, 13),
        shape(frame_334_shape_group_2_shape_5_horizontal_lines, 84, 15),
        shape(frame_334_shape_group_2_shape_6_horizontal_lines, 86, 13),
        shape(frame_334_shape_group_2_shape_7_horizontal_lines, 90, 15),
        shape(frame_334_shape_group_2_shape_8_horizontal_lines, 93, 10),
        shape(frame_334_shape_group_2_shape_9_horizontal_lines, 99, 1),
        shape(frame_334_shape_group_2_shape_10_horizontal_lines, 159, 10),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(133, 195),
        horizontal_line(143, 205),
        horizontal_line(152, 214),
        horizontal_line(162, 224),
        horizontal_line(172, 225),
        horizontal_line(181, 221),
        horizontal_line(129, 191),
        horizontal_line(138, 200),
        horizontal_line(148, 209),
        horizontal_line(158, 205),
        horizontal_line(167, 200),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(93, 114),
        horizontal_line(103, 123),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(173, 211),
        horizontal_line(173, 204),
        horizontal_line(174, 197),
        horizontal_line(175, 190),
        horizontal_line(176, 183),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(93, 150),
        horizontal_line(93, 150),
        horizontal_line(93, 150),
        horizontal_line(93, 150),
        horizontal_line(93, 150),
        horizontal_line(34, 64),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(157, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 174),
        horizontal_line(156, 173),
        horizontal_line(156, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 173),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(155, 172),
        horizontal_line(154, 172),
        horizontal_line(154, 172),
        horizontal_line(154, 172),
        horizontal_line(0, 12),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(115, 146),
        horizontal_line(120, 145),
        horizontal_line(126, 144),
        horizontal_line(132, 143),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(136, 141),
        horizontal_line(136, 140),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(142, 147),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(177, 181),
    };

    constexpr const horizontal_line frame_334_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(144, 145),
        horizontal_line(85, 145),
        horizontal_line(77, 139),
        horizontal_line(70, 132),
    };

    constexpr const shape frame_334_shape_group_3_shapes[] = {
        shape(frame_334_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_334_shape_group_3_shape_1_horizontal_lines, 48, 15),
        shape(frame_334_shape_group_3_shape_2_horizontal_lines, 50, 13),
        shape(frame_334_shape_group_3_shape_3_horizontal_lines, 60, 11),
        shape(frame_334_shape_group_3_shape_4_horizontal_lines, 66, 13),
        shape(frame_334_shape_group_3_shape_5_horizontal_lines, 86, 11),
        shape(frame_334_shape_group_3_shape_6_horizontal_lines, 90, 13),
        shape(frame_334_shape_group_3_shape_7_horizontal_lines, 93, 10),
        shape(frame_334_shape_group_3_shape_8_horizontal_lines, 94, 1),
        shape(frame_334_shape_group_3_shape_9_horizontal_lines, 95, 10),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(205, 238),
        horizontal_line(214, 233),
        horizontal_line(224, 229),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(27, 47),
        horizontal_line(33, 56),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(191, 217),
        horizontal_line(200, 213),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(63, 85),
        horizontal_line(73, 95),
        horizontal_line(83, 104),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(189, 239),
        horizontal_line(185, 232),
        horizontal_line(181, 225),
        horizontal_line(177, 218),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(66, 128),
        horizontal_line(37, 63),
        horizontal_line(40, 63),
        horizontal_line(43, 62),
        horizontal_line(46, 62),
        horizontal_line(49, 61),
        horizontal_line(52, 61),
        horizontal_line(55, 60),
        horizontal_line(59, 60),
        horizontal_line(98, 148),
        horizontal_line(97, 148),
        horizontal_line(97, 148),
        horizontal_line(96, 148),
        horizontal_line(96, 148),
        horizontal_line(96, 147),
        horizontal_line(95, 147),
        horizontal_line(95, 147),
        horizontal_line(95, 147),
        horizontal_line(98, 147),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(154, 171),
        horizontal_line(154, 171),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(29, 37),
        horizontal_line(30, 38),
        horizontal_line(31, 39),
        horizontal_line(33, 40),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(35, 42),
        horizontal_line(36, 40),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(176, 179),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(178, 184),
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_334_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(139, 151),
        horizontal_line(132, 157),
    };

    constexpr const shape frame_334_shape_group_4_shapes[] = {
        shape(frame_334_shape_group_4_shape_0_horizontal_lines, 37, 8),
        shape(frame_334_shape_group_4_shape_1_horizontal_lines, 41, 15),
        shape(frame_334_shape_group_4_shape_2_horizontal_lines, 43, 8),
        shape(frame_334_shape_group_4_shape_3_horizontal_lines, 45, 15),
        shape(frame_334_shape_group_4_shape_4_horizontal_lines, 48, 13),
        shape(frame_334_shape_group_4_shape_5_horizontal_lines, 54, 11),
        shape(frame_334_shape_group_4_shape_6_horizontal_lines, 65, 11),
        shape(frame_334_shape_group_4_shape_7_horizontal_lines, 84, 13),
        shape(frame_334_shape_group_4_shape_8_horizontal_lines, 86, 10),
        shape(frame_334_shape_group_4_shape_9_horizontal_lines, 90, 11),
        shape(frame_334_shape_group_4_shape_10_horizontal_lines, 91, 10),
        shape(frame_334_shape_group_4_shape_11_horizontal_lines, 93, 1),
        shape(frame_334_shape_group_4_shape_12_horizontal_lines, 94, 3),
        shape(frame_334_shape_group_4_shape_13_horizontal_lines, 95, 1),
        shape(frame_334_shape_group_4_shape_14_horizontal_lines, 97, 10),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(5, 8),
        horizontal_line(11, 18),
        horizontal_line(16, 27),
        horizontal_line(22, 37),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(43, 66),
        horizontal_line(53, 75),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 17),
        horizontal_line(0, 23),
        horizontal_line(30, 30),
        horizontal_line(193, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(31, 93),
        horizontal_line(93, 147),
        horizontal_line(93, 147),
        horizontal_line(93, 148),
        horizontal_line(93, 149),
        horizontal_line(93, 150),
        horizontal_line(93, 151),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(128, 150),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(91, 149),
        horizontal_line(92, 149),
        horizontal_line(94, 149),
        horizontal_line(96, 148),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(73, 88),
        horizontal_line(73, 88),
        horizontal_line(72, 87),
        horizontal_line(72, 87),
        horizontal_line(72, 87),
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(70, 85),
        horizontal_line(29, 33),
        horizontal_line(26, 34),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(103, 147),
        horizontal_line(109, 147),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(68, 84),
        horizontal_line(68, 83),
        horizontal_line(68, 83),
        horizontal_line(67, 82),
        horizontal_line(34, 41),
        horizontal_line(66, 82),
        horizontal_line(141, 148),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(40, 102),
        horizontal_line(101, 142),
        horizontal_line(92, 143),
    };

    constexpr const horizontal_line frame_334_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(181, 189),
        horizontal_line(183, 192),
    };

    constexpr const shape frame_334_shape_group_5_shapes[] = {
        shape(frame_334_shape_group_5_shape_0_horizontal_lines, 37, 15),
        shape(frame_334_shape_group_5_shape_1_horizontal_lines, 41, 13),
        shape(frame_334_shape_group_5_shape_2_horizontal_lines, 43, 15),
        shape(frame_334_shape_group_5_shape_3_horizontal_lines, 45, 13),
        shape(frame_334_shape_group_5_shape_4_horizontal_lines, 50, 11),
        shape(frame_334_shape_group_5_shape_5_horizontal_lines, 65, 11),
        shape(frame_334_shape_group_5_shape_6_horizontal_lines, 74, 10),
        shape(frame_334_shape_group_5_shape_7_horizontal_lines, 84, 11),
        shape(frame_334_shape_group_5_shape_8_horizontal_lines, 86, 10),
        shape(frame_334_shape_group_5_shape_9_horizontal_lines, 93, 3),
        shape(frame_334_shape_group_5_shape_10_horizontal_lines, 97, 1),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(32, 35),
        horizontal_line(0, 5),
        horizontal_line(28, 36),
        horizontal_line(26, 34),
        horizontal_line(25, 32),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(31, 92),
        horizontal_line(93, 103),
        horizontal_line(93, 114),
        horizontal_line(93, 125),
        horizontal_line(93, 136),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(139, 149),
        horizontal_line(142, 149),
        horizontal_line(146, 149),
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(75, 90),
        horizontal_line(74, 89),
        horizontal_line(74, 89),
        horizontal_line(74, 88),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(70, 85),
        horizontal_line(70, 85),
        horizontal_line(27, 35),
        horizontal_line(28, 36),
        horizontal_line(147, 150),
        horizontal_line(146, 153),
        horizontal_line(145, 152),
        horizontal_line(144, 151),
        horizontal_line(67, 82),
        horizontal_line(142, 149),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(94, 95),
    };

    constexpr const horizontal_line frame_334_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(102, 141),
    };

    constexpr const shape frame_334_shape_group_6_shapes[] = {
        shape(frame_334_shape_group_6_shape_0_horizontal_lines, 38, 13),
        shape(frame_334_shape_group_6_shape_1_horizontal_lines, 43, 13),
        shape(frame_334_shape_group_6_shape_2_horizontal_lines, 49, 11),
        shape(frame_334_shape_group_6_shape_3_horizontal_lines, 66, 11),
        shape(frame_334_shape_group_6_shape_4_horizontal_lines, 70, 10),
        shape(frame_334_shape_group_6_shape_5_horizontal_lines, 82, 10),
        shape(frame_334_shape_group_6_shape_6_horizontal_lines, 92, 1),
        shape(frame_334_shape_group_6_shape_7_horizontal_lines, 93, 3),
    };

    constexpr const horizontal_line frame_334_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(218, 239),
        horizontal_line(30, 38),
        horizontal_line(210, 239),
        horizontal_line(206, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(31, 81),
    };

    constexpr const horizontal_line frame_334_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(76, 79),
        horizontal_line(76, 83),
        horizontal_line(75, 86),
    };

    constexpr const horizontal_line frame_334_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(69, 84),
        horizontal_line(69, 84),
    };

    constexpr const horizontal_line frame_334_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(95, 96),
    };

    constexpr const horizontal_line frame_334_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(143, 150),
    };

    constexpr const horizontal_line frame_334_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(94, 96),
        horizontal_line(174, 176),
    };

    constexpr const shape frame_334_shape_group_7_shapes[] = {
        shape(frame_334_shape_group_7_shape_0_horizontal_lines, 43, 13),
        shape(frame_334_shape_group_7_shape_1_horizontal_lines, 48, 11),
        shape(frame_334_shape_group_7_shape_2_horizontal_lines, 67, 10),
        shape(frame_334_shape_group_7_shape_3_horizontal_lines, 84, 10),
        shape(frame_334_shape_group_7_shape_4_horizontal_lines, 86, 1),
        shape(frame_334_shape_group_7_shape_5_horizontal_lines, 90, 10),
        shape(frame_334_shape_group_7_shape_6_horizontal_lines, 91, 1),
    };

    constexpr const horizontal_line frame_334_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_334_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(37, 48),
        horizontal_line(35, 59),
        horizontal_line(33, 70),
    };

    constexpr const horizontal_line frame_334_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(97, 98),
    };

    constexpr const horizontal_line frame_334_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(95, 96),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_334_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(41, 91),
    };

    constexpr const shape frame_334_shape_group_8_shapes[] = {
        shape(frame_334_shape_group_8_shape_0_horizontal_lines, 44, 13),
        shape(frame_334_shape_group_8_shape_1_horizontal_lines, 45, 11),
        shape(frame_334_shape_group_8_shape_2_horizontal_lines, 84, 1),
        shape(frame_334_shape_group_8_shape_3_horizontal_lines, 90, 1),
        shape(frame_334_shape_group_8_shape_4_horizontal_lines, 92, 3),
    };

    constexpr const shape_group frame_334_shape_groups[] = {
        shape_group(frame_334_shape_group_0_shapes),
        shape_group(frame_334_shape_group_1_shapes),
        shape_group(frame_334_shape_group_2_shapes),
        shape_group(frame_334_shape_group_3_shapes),
        shape_group(frame_334_shape_group_4_shapes),
        shape_group(frame_334_shape_group_5_shapes),
        shape_group(frame_334_shape_group_6_shapes),
        shape_group(frame_334_shape_group_7_shapes),
        shape_group(frame_334_shape_group_8_shapes),
    };

    constexpr const frame frame_334_impl(frame_334_colors, frame_334_shape_groups);
} 

const frame& frame_334()
{
    return frame_334_impl;
}

namespace
{
    constexpr const bn::color frame_335_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_335_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 3),
        horizontal_line(0, 8),
        horizontal_line(0, 13),
        horizontal_line(0, 18),
        horizontal_line(0, 23),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(5, 24),
        horizontal_line(10, 23),
        horizontal_line(15, 21),
        horizontal_line(20, 20),
        horizontal_line(88, 103),
        horizontal_line(98, 114),
        horizontal_line(109, 124),
        horizontal_line(119, 135),
        horizontal_line(130, 146),
        horizontal_line(140, 157),
        horizontal_line(151, 151),
        horizontal_line(159, 179),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(161, 181),
        horizontal_line(162, 182),
    };

    constexpr const horizontal_line frame_335_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_335_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(28, 29),
        horizontal_line(29, 32),
        horizontal_line(32, 35),
        horizontal_line(34, 38),
        horizontal_line(37, 41),
        horizontal_line(40, 44),
        horizontal_line(43, 47),
        horizontal_line(46, 50),
        horizontal_line(49, 53),
        horizontal_line(48, 52),
        horizontal_line(48, 52),
        horizontal_line(47, 51),
        horizontal_line(47, 51),
        horizontal_line(46, 50),
        horizontal_line(46, 50),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(44, 49),
        horizontal_line(44, 48),
        horizontal_line(43, 48),
        horizontal_line(43, 47),
        horizontal_line(42, 47),
        horizontal_line(42, 46),
        horizontal_line(41, 46),
        horizontal_line(41, 45),
        horizontal_line(41, 45),
        horizontal_line(40, 45),
        horizontal_line(40, 44),
        horizontal_line(39, 44),
        horizontal_line(39, 43),
        horizontal_line(41, 43),
        horizontal_line(99, 138),
    };

    constexpr const horizontal_line frame_335_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(173, 179),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(169, 188),
        horizontal_line(170, 189),
        horizontal_line(171, 191),
        horizontal_line(173, 192),
        horizontal_line(175, 194),
        horizontal_line(176, 195),
        horizontal_line(178, 196),
        horizontal_line(180, 198),
        horizontal_line(181, 199),
        horizontal_line(183, 201),
        horizontal_line(185, 202),
        horizontal_line(187, 204),
        horizontal_line(188, 205),
        horizontal_line(190, 207),
        horizontal_line(192, 208),
        horizontal_line(193, 210),
        horizontal_line(195, 211),
        horizontal_line(197, 213),
        horizontal_line(199, 214),
        horizontal_line(200, 216),
        horizontal_line(202, 217),
        horizontal_line(204, 218),
        horizontal_line(205, 220),
        horizontal_line(207, 221),
        horizontal_line(209, 223),
        horizontal_line(210, 224),
        horizontal_line(212, 226),
        horizontal_line(214, 227),
        horizontal_line(216, 229),
        horizontal_line(217, 230),
        horizontal_line(219, 232),
        horizontal_line(221, 233),
        horizontal_line(222, 235),
        horizontal_line(224, 236),
        horizontal_line(226, 238),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_335_shape_group_0_shapes[] = {
        shape(frame_335_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_335_shape_group_0_shape_1_horizontal_lines, 59, 13),
        shape(frame_335_shape_group_0_shape_2_horizontal_lines, 62, 8),
        shape(frame_335_shape_group_0_shape_3_horizontal_lines, 94, 15),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(9, 71),
        horizontal_line(19, 81),
        horizontal_line(29, 91),
        horizontal_line(39, 101),
        horizontal_line(49, 111),
        horizontal_line(59, 121),
        horizontal_line(32, 38),
        horizontal_line(36, 49),
        horizontal_line(46, 60),
        horizontal_line(56, 71),
        horizontal_line(67, 81),
        horizontal_line(77, 92),
        horizontal_line(129, 191),
        horizontal_line(139, 195),
        horizontal_line(149, 190),
        horizontal_line(159, 186),
        horizontal_line(169, 182),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(158, 178),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(158, 178),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(28, 28),
        horizontal_line(28, 31),
        horizontal_line(29, 33),
        horizontal_line(29, 36),
        horizontal_line(29, 39),
        horizontal_line(29, 42),
        horizontal_line(29, 45),
        horizontal_line(29, 48),
        horizontal_line(29, 47),
        horizontal_line(29, 47),
        horizontal_line(29, 46),
        horizontal_line(29, 46),
        horizontal_line(29, 45),
        horizontal_line(29, 45),
        horizontal_line(29, 44),
        horizontal_line(29, 44),
        horizontal_line(29, 43),
        horizontal_line(29, 43),
        horizontal_line(29, 42),
        horizontal_line(30, 42),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(100, 103),
        horizontal_line(102, 108),
        horizontal_line(101, 113),
        horizontal_line(101, 119),
        horizontal_line(101, 124),
        horizontal_line(100, 129),
        horizontal_line(100, 134),
        horizontal_line(100, 139),
        horizontal_line(99, 138),
        horizontal_line(99, 138),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(174, 177),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(34, 36),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(173, 180),
        horizontal_line(172, 182),
        horizontal_line(171, 183),
        horizontal_line(171, 185),
        horizontal_line(170, 186),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(87, 149),
    };

    constexpr const horizontal_line frame_335_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(190, 202),
        horizontal_line(192, 205),
        horizontal_line(193, 207),
        horizontal_line(195, 210),
        horizontal_line(196, 213),
        horizontal_line(197, 216),
        horizontal_line(199, 218),
        horizontal_line(200, 221),
        horizontal_line(202, 224),
        horizontal_line(203, 227),
        horizontal_line(205, 229),
        horizontal_line(206, 232),
        horizontal_line(208, 235),
        horizontal_line(209, 238),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_335_shape_group_1_shapes[] = {
        shape(frame_335_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_335_shape_group_1_shape_1_horizontal_lines, 52, 15),
        shape(frame_335_shape_group_1_shape_2_horizontal_lines, 53, 8),
        shape(frame_335_shape_group_1_shape_3_horizontal_lines, 54, 13),
        shape(frame_335_shape_group_1_shape_4_horizontal_lines, 63, 15),
        shape(frame_335_shape_group_1_shape_5_horizontal_lines, 83, 8),
        shape(frame_335_shape_group_1_shape_6_horizontal_lines, 93, 15),
        shape(frame_335_shape_group_1_shape_7_horizontal_lines, 94, 10),
        shape(frame_335_shape_group_1_shape_8_horizontal_lines, 95, 15),
        shape(frame_335_shape_group_1_shape_9_horizontal_lines, 100, 10),
        shape(frame_335_shape_group_1_shape_10_horizontal_lines, 101, 1),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(71, 133),
        horizontal_line(81, 143),
        horizontal_line(91, 153),
        horizontal_line(101, 163),
        horizontal_line(111, 173),
        horizontal_line(121, 183),
        horizontal_line(69, 131),
        horizontal_line(79, 141),
        horizontal_line(89, 151),
        horizontal_line(99, 161),
        horizontal_line(109, 171),
        horizontal_line(119, 181),
        horizontal_line(191, 199),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(115, 138),
        horizontal_line(125, 148),
        horizontal_line(136, 158),
        horizontal_line(147, 168),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(152, 158),
        horizontal_line(153, 159),
        horizontal_line(154, 159),
        horizontal_line(155, 160),
        horizontal_line(156, 161),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(161, 181),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(31, 41),
        horizontal_line(32, 41),
        horizontal_line(33, 40),
        horizontal_line(34, 40),
        horizontal_line(35, 40),
        horizontal_line(36, 39),
        horizontal_line(37, 39),
        horizontal_line(38, 38),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(139, 143),
    };

    constexpr const horizontal_line frame_335_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(144, 151),
        horizontal_line(146, 150),
        horizontal_line(28, 90),
        horizontal_line(20, 82),
        horizontal_line(12, 74),
        horizontal_line(4, 66),
        horizontal_line(149, 164),
    };

    constexpr const shape frame_335_shape_group_2_shapes[] = {
        shape(frame_335_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_335_shape_group_2_shape_1_horizontal_lines, 48, 15),
        shape(frame_335_shape_group_2_shape_2_horizontal_lines, 52, 13),
        shape(frame_335_shape_group_2_shape_3_horizontal_lines, 59, 11),
        shape(frame_335_shape_group_2_shape_4_horizontal_lines, 62, 13),
        shape(frame_335_shape_group_2_shape_5_horizontal_lines, 83, 15),
        shape(frame_335_shape_group_2_shape_6_horizontal_lines, 91, 13),
        shape(frame_335_shape_group_2_shape_7_horizontal_lines, 92, 15),
        shape(frame_335_shape_group_2_shape_8_horizontal_lines, 93, 13),
        shape(frame_335_shape_group_2_shape_9_horizontal_lines, 94, 10),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(133, 195),
        horizontal_line(143, 205),
        horizontal_line(153, 215),
        horizontal_line(163, 225),
        horizontal_line(173, 233),
        horizontal_line(183, 229),
        horizontal_line(131, 193),
        horizontal_line(141, 203),
        horizontal_line(151, 213),
        horizontal_line(161, 212),
        horizontal_line(171, 208),
        horizontal_line(181, 203),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(104, 128),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(179, 225),
        horizontal_line(152, 157),
        horizontal_line(180, 211),
        horizontal_line(181, 204),
        horizontal_line(181, 197),
        horizontal_line(182, 190),
        horizontal_line(183, 183),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(30, 92),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(161, 180),
        horizontal_line(161, 180),
        horizontal_line(161, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 180),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 179),
        horizontal_line(160, 178),
        horizontal_line(159, 178),
        horizontal_line(159, 178),
        horizontal_line(159, 178),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(159, 177),
        horizontal_line(158, 177),
        horizontal_line(158, 176),
        horizontal_line(0, 22),
        horizontal_line(0, 11),
        horizontal_line(0, 0),
        horizontal_line(158, 176),
        horizontal_line(158, 175),
        horizontal_line(158, 175),
        horizontal_line(164, 175),
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(31, 38),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(139, 144),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(33, 38),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(180, 183),
        horizontal_line(181, 185),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(148, 149),
        horizontal_line(82, 144),
        horizontal_line(74, 136),
        horizontal_line(66, 128),
    };

    constexpr const horizontal_line frame_335_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(189, 199),
    };

    constexpr const shape frame_335_shape_group_3_shapes[] = {
        shape(frame_335_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_335_shape_group_3_shape_1_horizontal_lines, 47, 15),
        shape(frame_335_shape_group_3_shape_2_horizontal_lines, 48, 13),
        shape(frame_335_shape_group_3_shape_3_horizontal_lines, 59, 11),
        shape(frame_335_shape_group_3_shape_4_horizontal_lines, 63, 13),
        shape(frame_335_shape_group_3_shape_5_horizontal_lines, 91, 10),
        shape(frame_335_shape_group_3_shape_6_horizontal_lines, 92, 13),
        shape(frame_335_shape_group_3_shape_7_horizontal_lines, 93, 10),
        shape(frame_335_shape_group_3_shape_8_horizontal_lines, 94, 1),
        shape(frame_335_shape_group_3_shape_9_horizontal_lines, 96, 10),
        shape(frame_335_shape_group_3_shape_10_horizontal_lines, 100, 1),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(205, 239),
        horizontal_line(215, 239),
        horizontal_line(225, 238),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(24, 48),
        horizontal_line(29, 58),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(193, 225),
        horizontal_line(203, 220),
        horizontal_line(213, 216),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(72, 98),
        horizontal_line(82, 108),
        horizontal_line(93, 118),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(196, 239),
        horizontal_line(191, 239),
        horizontal_line(187, 239),
        horizontal_line(183, 232),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(179, 218),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(152, 154),
        horizontal_line(92, 154),
        horizontal_line(33, 95),
        horizontal_line(36, 66),
        horizontal_line(39, 65),
        horizontal_line(42, 65),
        horizontal_line(45, 64),
        horizontal_line(48, 64),
        horizontal_line(51, 63),
        horizontal_line(54, 63),
        horizontal_line(57, 62),
        horizontal_line(61, 62),
        horizontal_line(99, 152),
        horizontal_line(99, 152),
        horizontal_line(98, 152),
        horizontal_line(98, 152),
        horizontal_line(97, 152),
        horizontal_line(97, 152),
        horizontal_line(97, 152),
        horizontal_line(96, 151),
        horizontal_line(96, 151),
        horizontal_line(99, 151),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(158, 176),
        horizontal_line(158, 176),
        horizontal_line(158, 176),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(120, 151),
        horizontal_line(125, 149),
        horizontal_line(130, 148),
        horizontal_line(135, 147),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(170, 175),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(65, 80),
        horizontal_line(32, 40),
        horizontal_line(144, 152),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(36, 98),
    };

    constexpr const horizontal_line frame_335_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(90, 92),
        horizontal_line(144, 149),
        horizontal_line(136, 154),
        horizontal_line(128, 159),
    };

    constexpr const shape frame_335_shape_group_4_shapes[] = {
        shape(frame_335_shape_group_4_shape_0_horizontal_lines, 35, 8),
        shape(frame_335_shape_group_4_shape_1_horizontal_lines, 39, 15),
        shape(frame_335_shape_group_4_shape_2_horizontal_lines, 41, 8),
        shape(frame_335_shape_group_4_shape_3_horizontal_lines, 44, 15),
        shape(frame_335_shape_group_4_shape_4_horizontal_lines, 47, 13),
        shape(frame_335_shape_group_4_shape_5_horizontal_lines, 52, 11),
        shape(frame_335_shape_group_4_shape_6_horizontal_lines, 53, 13),
        shape(frame_335_shape_group_4_shape_7_horizontal_lines, 54, 11),
        shape(frame_335_shape_group_4_shape_8_horizontal_lines, 83, 13),
        shape(frame_335_shape_group_4_shape_9_horizontal_lines, 86, 11),
        shape(frame_335_shape_group_4_shape_10_horizontal_lines, 90, 13),
        shape(frame_335_shape_group_4_shape_11_horizontal_lines, 91, 10),
        shape(frame_335_shape_group_4_shape_12_horizontal_lines, 94, 3),
        shape(frame_335_shape_group_4_shape_13_horizontal_lines, 96, 10),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(4, 8),
        horizontal_line(9, 18),
        horizontal_line(14, 28),
        horizontal_line(19, 38),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(39, 68),
        horizontal_line(50, 78),
        horizontal_line(61, 88),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 14),
        horizontal_line(0, 19),
        horizontal_line(27, 27),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(28, 90),
        horizontal_line(90, 139),
        horizontal_line(28, 90),
        horizontal_line(90, 151),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
        horizontal_line(90, 152),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(154, 154),
        horizontal_line(95, 154),
        horizontal_line(68, 130),
        horizontal_line(76, 138),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(86, 148),
        horizontal_line(90, 152),
        horizontal_line(92, 153),
        horizontal_line(94, 153),
        horizontal_line(96, 153),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(72, 87),
        horizontal_line(72, 87),
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(70, 85),
        horizontal_line(70, 85),
        horizontal_line(69, 84),
        horizontal_line(69, 84),
        horizontal_line(69, 84),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(104, 151),
        horizontal_line(109, 151),
        horizontal_line(114, 151),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(26, 33),
        horizontal_line(27, 34),
        horizontal_line(28, 35),
        horizontal_line(29, 36),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(141, 146),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(92, 92),
        horizontal_line(65, 80),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(95, 98),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(99, 143),
        horizontal_line(98, 145),
    };

    constexpr const horizontal_line frame_335_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(183, 188),
        horizontal_line(184, 191),
        horizontal_line(186, 194),
        horizontal_line(187, 196),
    };

    constexpr const shape frame_335_shape_group_5_shapes[] = {
        shape(frame_335_shape_group_5_shape_0_horizontal_lines, 35, 15),
        shape(frame_335_shape_group_5_shape_1_horizontal_lines, 39, 13),
        shape(frame_335_shape_group_5_shape_2_horizontal_lines, 41, 15),
        shape(frame_335_shape_group_5_shape_3_horizontal_lines, 44, 13),
        shape(frame_335_shape_group_5_shape_4_horizontal_lines, 48, 11),
        shape(frame_335_shape_group_5_shape_5_horizontal_lines, 62, 11),
        shape(frame_335_shape_group_5_shape_6_horizontal_lines, 73, 10),
        shape(frame_335_shape_group_5_shape_7_horizontal_lines, 83, 11),
        shape(frame_335_shape_group_5_shape_8_horizontal_lines, 86, 10),
        shape(frame_335_shape_group_5_shape_9_horizontal_lines, 90, 11),
        shape(frame_335_shape_group_5_shape_10_horizontal_lines, 91, 10),
        shape(frame_335_shape_group_5_shape_11_horizontal_lines, 93, 1),
        shape(frame_335_shape_group_5_shape_12_horizontal_lines, 94, 3),
        shape(frame_335_shape_group_5_shape_13_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(28, 31),
        horizontal_line(27, 35),
        horizontal_line(0, 4),
        horizontal_line(24, 32),
        horizontal_line(22, 30),
        horizontal_line(21, 28),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(90, 97),
        horizontal_line(90, 108),
        horizontal_line(90, 118),
        horizontal_line(90, 129),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(90, 150),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(152, 153),
        horizontal_line(152, 154),
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(130, 154),
        horizontal_line(138, 154),
        horizontal_line(141, 153),
        horizontal_line(145, 153),
        horizontal_line(148, 153),
        horizontal_line(152, 153),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(73, 88),
        horizontal_line(73, 88),
        horizontal_line(73, 87),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(96, 96),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(23, 30),
        horizontal_line(24, 31),
        horizontal_line(25, 32),
        horizontal_line(67, 82),
        horizontal_line(67, 82),
        horizontal_line(66, 81),
        horizontal_line(66, 81),
        horizontal_line(30, 37),
        horizontal_line(146, 154),
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(178, 180),
    };

    constexpr const horizontal_line frame_335_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(93, 147),
    };

    constexpr const shape frame_335_shape_group_6_shapes[] = {
        shape(frame_335_shape_group_6_shape_0_horizontal_lines, 38, 13),
        shape(frame_335_shape_group_6_shape_1_horizontal_lines, 41, 13),
        shape(frame_335_shape_group_6_shape_2_horizontal_lines, 48, 11),
        shape(frame_335_shape_group_6_shape_3_horizontal_lines, 53, 11),
        shape(frame_335_shape_group_6_shape_4_horizontal_lines, 55, 11),
        shape(frame_335_shape_group_6_shape_5_horizontal_lines, 64, 11),
        shape(frame_335_shape_group_6_shape_6_horizontal_lines, 70, 10),
        shape(frame_335_shape_group_6_shape_7_horizontal_lines, 74, 10),
        shape(frame_335_shape_group_6_shape_8_horizontal_lines, 76, 10),
        shape(frame_335_shape_group_6_shape_9_horizontal_lines, 79, 10),
        shape(frame_335_shape_group_6_shape_10_horizontal_lines, 82, 10),
        shape(frame_335_shape_group_6_shape_11_horizontal_lines, 93, 1),
        shape(frame_335_shape_group_6_shape_12_horizontal_lines, 96, 3),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(226, 239),
        horizontal_line(221, 239),
        horizontal_line(25, 34),
        horizontal_line(213, 239),
        horizontal_line(209, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(28, 87),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(75, 78),
        horizontal_line(75, 82),
        horizontal_line(74, 85),
        horizontal_line(74, 89),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(68, 83),
        horizontal_line(68, 83),
        horizontal_line(67, 83),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(150, 154),
        horizontal_line(93, 93),
        horizontal_line(148, 156),
        horizontal_line(65, 81),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(96, 98),
        horizontal_line(95, 98),
    };

    constexpr const horizontal_line frame_335_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(39, 91),
    };

    constexpr const shape frame_335_shape_group_7_shapes[] = {
        shape(frame_335_shape_group_7_shape_0_horizontal_lines, 41, 13),
        shape(frame_335_shape_group_7_shape_1_horizontal_lines, 47, 11),
        shape(frame_335_shape_group_7_shape_2_horizontal_lines, 66, 10),
        shape(frame_335_shape_group_7_shape_3_horizontal_lines, 83, 10),
        shape(frame_335_shape_group_7_shape_4_horizontal_lines, 86, 1),
        shape(frame_335_shape_group_7_shape_5_horizontal_lines, 87, 10),
        shape(frame_335_shape_group_7_shape_6_horizontal_lines, 91, 1),
        shape(frame_335_shape_group_7_shape_7_horizontal_lines, 93, 3),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(33, 55),
        horizontal_line(31, 66),
        horizontal_line(29, 76),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(98, 101),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(149, 157),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(96, 99),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(147, 155),
    };

    constexpr const horizontal_line frame_335_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(177, 177),
    };

    constexpr const shape frame_335_shape_group_8_shapes[] = {
        shape(frame_335_shape_group_8_shape_0_horizontal_lines, 43, 13),
        shape(frame_335_shape_group_8_shape_1_horizontal_lines, 44, 11),
        shape(frame_335_shape_group_8_shape_2_horizontal_lines, 83, 1),
        shape(frame_335_shape_group_8_shape_3_horizontal_lines, 85, 10),
        shape(frame_335_shape_group_8_shape_4_horizontal_lines, 87, 1),
        shape(frame_335_shape_group_8_shape_5_horizontal_lines, 88, 10),
        shape(frame_335_shape_group_8_shape_6_horizontal_lines, 89, 1),
        shape(frame_335_shape_group_8_shape_7_horizontal_lines, 90, 10),
        shape(frame_335_shape_group_8_shape_8_horizontal_lines, 92, 1),
    };

    constexpr const horizontal_line frame_335_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(35, 45),
    };

    constexpr const horizontal_line frame_335_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(98, 100),
    };

    constexpr const horizontal_line frame_335_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(97, 99),
    };

    constexpr const horizontal_line frame_335_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(96, 99),
    };

    constexpr const shape frame_335_shape_group_9_shapes[] = {
        shape(frame_335_shape_group_9_shape_0_horizontal_lines, 43, 11),
        shape(frame_335_shape_group_9_shape_1_horizontal_lines, 85, 1),
        shape(frame_335_shape_group_9_shape_2_horizontal_lines, 88, 1),
        shape(frame_335_shape_group_9_shape_3_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_335_shape_groups[] = {
        shape_group(frame_335_shape_group_0_shapes),
        shape_group(frame_335_shape_group_1_shapes),
        shape_group(frame_335_shape_group_2_shapes),
        shape_group(frame_335_shape_group_3_shapes),
        shape_group(frame_335_shape_group_4_shapes),
        shape_group(frame_335_shape_group_5_shapes),
        shape_group(frame_335_shape_group_6_shapes),
        shape_group(frame_335_shape_group_7_shapes),
        shape_group(frame_335_shape_group_8_shapes),
        shape_group(frame_335_shape_group_9_shapes),
    };

    constexpr const frame frame_335_impl(frame_335_colors, frame_335_shape_groups);
} 

const frame& frame_335()
{
    return frame_335_impl;
}

namespace
{
    constexpr const bn::color frame_336_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_336_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(10, 72),
        horizontal_line(0, 5),
        horizontal_line(0, 11),
        horizontal_line(0, 17),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(7, 16),
        horizontal_line(15, 15),
        horizontal_line(88, 103),
        horizontal_line(99, 115),
        horizontal_line(110, 126),
        horizontal_line(121, 138),
        horizontal_line(132, 149),
        horizontal_line(143, 161),
        horizontal_line(155, 155),
        horizontal_line(163, 186),
        horizontal_line(164, 186),
        horizontal_line(165, 187),
        horizontal_line(166, 187),
        horizontal_line(167, 188),
    };

    constexpr const horizontal_line frame_336_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_336_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(25, 25),
        horizontal_line(27, 28),
        horizontal_line(29, 30),
        horizontal_line(32, 33),
        horizontal_line(35, 36),
        horizontal_line(38, 39),
        horizontal_line(41, 42),
        horizontal_line(44, 44),
        horizontal_line(47, 47),
        horizontal_line(50, 50),
        horizontal_line(53, 53),
        horizontal_line(52, 56),
        horizontal_line(52, 55),
        horizontal_line(51, 55),
        horizontal_line(51, 54),
        horizontal_line(50, 54),
        horizontal_line(50, 53),
        horizontal_line(49, 53),
        horizontal_line(49, 52),
        horizontal_line(48, 52),
        horizontal_line(48, 52),
        horizontal_line(47, 51),
        horizontal_line(47, 51),
        horizontal_line(46, 50),
        horizontal_line(46, 50),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(45, 49),
        horizontal_line(44, 48),
        horizontal_line(44, 48),
        horizontal_line(43, 47),
        horizontal_line(43, 47),
        horizontal_line(42, 46),
        horizontal_line(42, 46),
        horizontal_line(41, 45),
    };

    constexpr const horizontal_line frame_336_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(180, 183),
        horizontal_line(179, 185),
        horizontal_line(178, 186),
        horizontal_line(177, 188),
        horizontal_line(176, 189),
        horizontal_line(175, 190),
        horizontal_line(174, 192),
        horizontal_line(173, 193),
        horizontal_line(174, 195),
        horizontal_line(175, 196),
        horizontal_line(177, 198),
        horizontal_line(178, 199),
        horizontal_line(180, 200),
        horizontal_line(182, 202),
        horizontal_line(183, 203),
        horizontal_line(185, 205),
        horizontal_line(187, 206),
        horizontal_line(188, 208),
        horizontal_line(190, 209),
        horizontal_line(192, 210),
        horizontal_line(193, 212),
        horizontal_line(195, 213),
        horizontal_line(197, 215),
        horizontal_line(198, 216),
        horizontal_line(200, 218),
        horizontal_line(202, 219),
        horizontal_line(203, 220),
        horizontal_line(205, 222),
        horizontal_line(207, 223),
        horizontal_line(208, 225),
        horizontal_line(210, 226),
        horizontal_line(211, 228),
        horizontal_line(213, 229),
        horizontal_line(215, 230),
        horizontal_line(216, 232),
        horizontal_line(218, 233),
        horizontal_line(220, 235),
        horizontal_line(221, 236),
        horizontal_line(223, 238),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_336_shape_group_0_shapes[] = {
        shape(frame_336_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_336_shape_group_0_shape_1_horizontal_lines, 57, 13),
        shape(frame_336_shape_group_0_shape_2_horizontal_lines, 59, 8),
        shape(frame_336_shape_group_0_shape_3_horizontal_lines, 94, 15),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(72, 134),
        horizontal_line(21, 83),
        horizontal_line(32, 94),
        horizontal_line(43, 105),
        horizontal_line(54, 116),
        horizontal_line(29, 35),
        horizontal_line(33, 46),
        horizontal_line(44, 58),
        horizontal_line(55, 69),
        horizontal_line(66, 81),
        horizontal_line(77, 92),
        horizontal_line(131, 193),
        horizontal_line(142, 201),
        horizontal_line(153, 197),
        horizontal_line(164, 193),
        horizontal_line(175, 189),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(162, 185),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(162, 185),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(159, 159),
        horizontal_line(166, 187),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(25, 28),
        horizontal_line(25, 31),
        horizontal_line(25, 34),
        horizontal_line(25, 37),
        horizontal_line(25, 40),
        horizontal_line(25, 43),
        horizontal_line(25, 46),
        horizontal_line(25, 49),
        horizontal_line(25, 52),
        horizontal_line(26, 51),
        horizontal_line(26, 51),
        horizontal_line(26, 50),
        horizontal_line(26, 50),
        horizontal_line(26, 49),
        horizontal_line(26, 49),
        horizontal_line(26, 48),
        horizontal_line(26, 48),
        horizontal_line(26, 47),
        horizontal_line(26, 47),
        horizontal_line(26, 46),
        horizontal_line(26, 46),
        horizontal_line(27, 45),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(104, 111),
        horizontal_line(104, 116),
        horizontal_line(104, 121),
        horizontal_line(103, 126),
        horizontal_line(103, 132),
        horizontal_line(103, 137),
        horizontal_line(102, 141),
        horizontal_line(102, 140),
        horizontal_line(102, 140),
        horizontal_line(101, 140),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(30, 36),
        horizontal_line(31, 34),
        horizontal_line(150, 153),
        horizontal_line(25, 87),
        horizontal_line(17, 79),
        horizontal_line(9, 71),
        horizontal_line(1, 63),
        horizontal_line(87, 149),
    };

    constexpr const horizontal_line frame_336_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(196, 206),
        horizontal_line(197, 209),
        horizontal_line(199, 212),
        horizontal_line(200, 214),
        horizontal_line(201, 217),
        horizontal_line(203, 219),
        horizontal_line(204, 222),
        horizontal_line(206, 225),
        horizontal_line(207, 227),
        horizontal_line(209, 230),
        horizontal_line(210, 232),
        horizontal_line(211, 235),
        horizontal_line(213, 238),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_336_shape_group_1_shapes[] = {
        shape(frame_336_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_336_shape_group_1_shape_1_horizontal_lines, 50, 15),
        shape(frame_336_shape_group_1_shape_2_horizontal_lines, 51, 8),
        shape(frame_336_shape_group_1_shape_3_horizontal_lines, 52, 13),
        shape(frame_336_shape_group_1_shape_4_horizontal_lines, 60, 15),
        shape(frame_336_shape_group_1_shape_5_horizontal_lines, 83, 8),
        shape(frame_336_shape_group_1_shape_6_horizontal_lines, 94, 10),
        shape(frame_336_shape_group_1_shape_7_horizontal_lines, 102, 1),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(134, 196),
        horizontal_line(83, 145),
        horizontal_line(94, 156),
        horizontal_line(105, 167),
        horizontal_line(116, 178),
        horizontal_line(65, 127),
        horizontal_line(76, 138),
        horizontal_line(87, 149),
        horizontal_line(98, 160),
        horizontal_line(109, 171),
        horizontal_line(120, 182),
        horizontal_line(193, 205),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(116, 141),
        horizontal_line(127, 152),
        horizontal_line(139, 163),
        horizontal_line(150, 174),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(155, 162),
        horizontal_line(156, 163),
        horizontal_line(157, 164),
        horizontal_line(157, 165),
        horizontal_line(158, 166),
        horizontal_line(166, 187),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(25, 87),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(166, 187),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(28, 45),
        horizontal_line(29, 44),
        horizontal_line(30, 44),
        horizontal_line(31, 44),
        horizontal_line(32, 43),
        horizontal_line(33, 43),
        horizontal_line(34, 42),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(36, 41),
        horizontal_line(37, 41),
        horizontal_line(39, 40),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(147, 155),
        horizontal_line(148, 154),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(187, 191),
    };

    constexpr const horizontal_line frame_336_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(79, 141),
        horizontal_line(71, 133),
        horizontal_line(63, 125),
        horizontal_line(149, 167),
    };

    constexpr const shape frame_336_shape_group_2_shapes[] = {
        shape(frame_336_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_336_shape_group_2_shape_1_horizontal_lines, 46, 15),
        shape(frame_336_shape_group_2_shape_2_horizontal_lines, 50, 13),
        shape(frame_336_shape_group_2_shape_3_horizontal_lines, 58, 11),
        shape(frame_336_shape_group_2_shape_4_horizontal_lines, 59, 13),
        shape(frame_336_shape_group_2_shape_5_horizontal_lines, 83, 15),
        shape(frame_336_shape_group_2_shape_6_horizontal_lines, 90, 8),
        shape(frame_336_shape_group_2_shape_7_horizontal_lines, 91, 15),
        shape(frame_336_shape_group_2_shape_8_horizontal_lines, 94, 10),
        shape(frame_336_shape_group_2_shape_9_horizontal_lines, 96, 1),
        shape(frame_336_shape_group_2_shape_10_horizontal_lines, 97, 10),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(196, 239),
        horizontal_line(145, 207),
        horizontal_line(156, 218),
        horizontal_line(167, 229),
        horizontal_line(178, 233),
        horizontal_line(127, 189),
        horizontal_line(138, 200),
        horizontal_line(149, 211),
        horizontal_line(160, 217),
        horizontal_line(171, 213),
        horizontal_line(182, 209),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(104, 130),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(186, 231),
        horizontal_line(156, 161),
        horizontal_line(187, 217),
        horizontal_line(187, 210),
        horizontal_line(188, 203),
        horizontal_line(188, 196),
        horizontal_line(189, 189),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(87, 149),
        horizontal_line(26, 88),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(165, 186),
        horizontal_line(165, 186),
        horizontal_line(165, 186),
        horizontal_line(165, 186),
        horizontal_line(165, 186),
        horizontal_line(165, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 185),
        horizontal_line(164, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 184),
        horizontal_line(163, 183),
        horizontal_line(163, 183),
        horizontal_line(162, 183),
        horizontal_line(162, 183),
        horizontal_line(162, 183),
        horizontal_line(162, 182),
        horizontal_line(0, 18),
        horizontal_line(0, 19),
        horizontal_line(0, 9),
        horizontal_line(0, 0),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
        horizontal_line(161, 181),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(35, 42),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(141, 148),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(181, 182),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(184, 186),
        horizontal_line(186, 188),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(33, 95),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(87, 92),
        horizontal_line(141, 152),
        horizontal_line(133, 157),
        horizontal_line(125, 162),
    };

    constexpr const horizontal_line frame_336_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(194, 204),
    };

    constexpr const shape frame_336_shape_group_3_shapes[] = {
        shape(frame_336_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_336_shape_group_3_shape_1_horizontal_lines, 45, 15),
        shape(frame_336_shape_group_3_shape_2_horizontal_lines, 46, 13),
        shape(frame_336_shape_group_3_shape_3_horizontal_lines, 57, 11),
        shape(frame_336_shape_group_3_shape_4_horizontal_lines, 60, 13),
        shape(frame_336_shape_group_3_shape_5_horizontal_lines, 90, 15),
        shape(frame_336_shape_group_3_shape_6_horizontal_lines, 91, 13),
        shape(frame_336_shape_group_3_shape_7_horizontal_lines, 93, 15),
        shape(frame_336_shape_group_3_shape_8_horizontal_lines, 94, 1),
        shape(frame_336_shape_group_3_shape_9_horizontal_lines, 96, 3),
        shape(frame_336_shape_group_3_shape_10_horizontal_lines, 97, 10),
        shape(frame_336_shape_group_3_shape_11_horizontal_lines, 101, 1),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(218, 239),
        horizontal_line(229, 238),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(25, 53),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(189, 229),
        horizontal_line(200, 225),
        horizontal_line(211, 221),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(70, 97),
        horizontal_line(82, 108),
        horizontal_line(93, 119),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(23, 23),
        horizontal_line(198, 239),
        horizontal_line(194, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(24, 86),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(186, 224),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(86, 148),
        horizontal_line(149, 157),
        horizontal_line(88, 150),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 73),
        horizontal_line(40, 67),
        horizontal_line(43, 66),
        horizontal_line(45, 66),
        horizontal_line(48, 65),
        horizontal_line(51, 65),
        horizontal_line(54, 65),
        horizontal_line(57, 64),
        horizontal_line(60, 64),
        horizontal_line(100, 155),
        horizontal_line(101, 155),
        horizontal_line(102, 155),
        horizontal_line(101, 155),
        horizontal_line(101, 155),
        horizontal_line(100, 155),
        horizontal_line(100, 155),
        horizontal_line(100, 154),
        horizontal_line(99, 154),
        horizontal_line(99, 154),
        horizontal_line(102, 154),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(162, 182),
        horizontal_line(161, 182),
        horizontal_line(161, 182),
        horizontal_line(161, 182),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(127, 152),
        horizontal_line(133, 151),
        horizontal_line(138, 150),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(175, 181),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(28, 36),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(141, 146),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(35, 97),
        horizontal_line(95, 149),
    };

    constexpr const horizontal_line frame_336_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(189, 193),
        horizontal_line(190, 196),
        horizontal_line(191, 199),
        horizontal_line(193, 201),
    };

    constexpr const shape frame_336_shape_group_4_shapes[] = {
        shape(frame_336_shape_group_4_shape_0_horizontal_lines, 34, 15),
        shape(frame_336_shape_group_4_shape_1_horizontal_lines, 35, 8),
        shape(frame_336_shape_group_4_shape_2_horizontal_lines, 38, 15),
        shape(frame_336_shape_group_4_shape_3_horizontal_lines, 39, 8),
        shape(frame_336_shape_group_4_shape_4_horizontal_lines, 42, 15),
        shape(frame_336_shape_group_4_shape_5_horizontal_lines, 45, 13),
        shape(frame_336_shape_group_4_shape_6_horizontal_lines, 50, 11),
        shape(frame_336_shape_group_4_shape_7_horizontal_lines, 51, 13),
        shape(frame_336_shape_group_4_shape_8_horizontal_lines, 52, 11),
        shape(frame_336_shape_group_4_shape_9_horizontal_lines, 83, 13),
        shape(frame_336_shape_group_4_shape_10_horizontal_lines, 87, 11),
        shape(frame_336_shape_group_4_shape_11_horizontal_lines, 90, 13),
        shape(frame_336_shape_group_4_shape_12_horizontal_lines, 92, 10),
        shape(frame_336_shape_group_4_shape_13_horizontal_lines, 93, 13),
        shape(frame_336_shape_group_4_shape_14_horizontal_lines, 94, 3),
        shape(frame_336_shape_group_4_shape_15_horizontal_lines, 97, 1),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(6, 20),
        horizontal_line(12, 31),
        horizontal_line(18, 42),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(36, 64),
        horizontal_line(47, 75),
        horizontal_line(59, 86),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(19, 29),
        horizontal_line(0, 6),
        horizontal_line(0, 14),
        horizontal_line(19, 24),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(24, 86),
        horizontal_line(86, 142),
        horizontal_line(24, 86),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(86, 148),
        horizontal_line(148, 158),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(150, 157),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(96, 157),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(84, 146),
        horizontal_line(89, 151),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(95, 156),
        horizontal_line(97, 156),
        horizontal_line(100, 156),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(70, 85),
        horizontal_line(70, 85),
        horizontal_line(69, 85),
        horizontal_line(69, 84),
        horizontal_line(68, 84),
        horizontal_line(68, 83),
        horizontal_line(68, 83),
        horizontal_line(67, 83),
        horizontal_line(67, 82),
        horizontal_line(66, 82),
        horizontal_line(66, 82),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(107, 154),
        horizontal_line(112, 154),
        horizontal_line(117, 154),
        horizontal_line(122, 154),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(23, 31),
        horizontal_line(24, 32),
        horizontal_line(25, 33),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(168, 181),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(27, 35),
        horizontal_line(62, 78),
        horizontal_line(29, 38),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(99, 146),
        horizontal_line(97, 147),
    };

    constexpr const horizontal_line frame_336_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(93, 150),
    };

    constexpr const shape frame_336_shape_group_5_shapes[] = {
        shape(frame_336_shape_group_5_shape_0_horizontal_lines, 35, 15),
        shape(frame_336_shape_group_5_shape_1_horizontal_lines, 38, 13),
        shape(frame_336_shape_group_5_shape_2_horizontal_lines, 39, 15),
        shape(frame_336_shape_group_5_shape_3_horizontal_lines, 42, 13),
        shape(frame_336_shape_group_5_shape_4_horizontal_lines, 47, 11),
        shape(frame_336_shape_group_5_shape_5_horizontal_lines, 59, 11),
        shape(frame_336_shape_group_5_shape_6_horizontal_lines, 72, 10),
        shape(frame_336_shape_group_5_shape_7_horizontal_lines, 83, 11),
        shape(frame_336_shape_group_5_shape_8_horizontal_lines, 87, 10),
        shape(frame_336_shape_group_5_shape_9_horizontal_lines, 90, 13),
        shape(frame_336_shape_group_5_shape_10_horizontal_lines, 91, 10),
        shape(frame_336_shape_group_5_shape_11_horizontal_lines, 94, 3),
        shape(frame_336_shape_group_5_shape_12_horizontal_lines, 97, 3),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(24, 28),
        horizontal_line(22, 32),
        horizontal_line(21, 31),
        horizontal_line(218, 239),
        horizontal_line(17, 28),
        horizontal_line(16, 26),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(86, 109),
        horizontal_line(86, 120),
        horizontal_line(86, 131),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(86, 148),
        horizontal_line(148, 154),
        horizontal_line(148, 155),
        horizontal_line(148, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 157),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(153, 157),
        horizontal_line(155, 157),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(137, 157),
        horizontal_line(141, 157),
        horizontal_line(146, 156),
        horizontal_line(151, 156),
        horizontal_line(153, 156),
        horizontal_line(155, 156),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(70, 86),
        horizontal_line(99, 99),
        horizontal_line(99, 100),
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(23, 27),
        horizontal_line(20, 28),
        horizontal_line(21, 29),
        horizontal_line(22, 30),
        horizontal_line(64, 80),
        horizontal_line(64, 79),
        horizontal_line(63, 79),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(144, 149),
    };

    constexpr const horizontal_line frame_336_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(62, 78),
        horizontal_line(92, 94),
        horizontal_line(62, 77),
    };

    constexpr const shape frame_336_shape_group_6_shapes[] = {
        shape(frame_336_shape_group_6_shape_0_horizontal_lines, 37, 13),
        shape(frame_336_shape_group_6_shape_1_horizontal_lines, 39, 13),
        shape(frame_336_shape_group_6_shape_2_horizontal_lines, 46, 11),
        shape(frame_336_shape_group_6_shape_3_horizontal_lines, 51, 11),
        shape(frame_336_shape_group_6_shape_4_horizontal_lines, 60, 11),
        shape(frame_336_shape_group_6_shape_5_horizontal_lines, 63, 11),
        shape(frame_336_shape_group_6_shape_6_horizontal_lines, 69, 10),
        shape(frame_336_shape_group_6_shape_7_horizontal_lines, 90, 11),
        shape(frame_336_shape_group_6_shape_8_horizontal_lines, 91, 10),
    };

    constexpr const horizontal_line frame_336_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(226, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_336_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(30, 54),
    };

    constexpr const horizontal_line frame_336_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_336_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(25, 87),
        horizontal_line(86, 98),
    };

    constexpr const horizontal_line frame_336_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(148, 154),
    };

    constexpr const horizontal_line frame_336_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(74, 74),
        horizontal_line(73, 78),
        horizontal_line(73, 83),
        horizontal_line(72, 88),
        horizontal_line(72, 87),
        horizontal_line(72, 87),
    };

    constexpr const horizontal_line frame_336_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(66, 81),
        horizontal_line(65, 81),
        horizontal_line(65, 80),
        horizontal_line(64, 80),
        horizontal_line(94, 96),
        horizontal_line(94, 95),
        horizontal_line(93, 95),
        horizontal_line(26, 34),
        horizontal_line(93, 94),
        horizontal_line(148, 157),
        horizontal_line(92, 94),
    };

    constexpr const shape frame_336_shape_group_7_shapes[] = {
        shape(frame_336_shape_group_7_shape_0_horizontal_lines, 39, 13),
        shape(frame_336_shape_group_7_shape_1_horizontal_lines, 42, 11),
        shape(frame_336_shape_group_7_shape_2_horizontal_lines, 43, 13),
        shape(frame_336_shape_group_7_shape_3_horizontal_lines, 45, 11),
        shape(frame_336_shape_group_7_shape_4_horizontal_lines, 51, 11),
        shape(frame_336_shape_group_7_shape_5_horizontal_lines, 63, 10),
        shape(frame_336_shape_group_7_shape_6_horizontal_lines, 83, 10),
    };

    constexpr const horizontal_line frame_336_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(32, 43),
    };

    constexpr const horizontal_line frame_336_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(29, 65),
        horizontal_line(27, 76),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_336_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 96),
        horizontal_line(94, 96),
        horizontal_line(153, 156),
        horizontal_line(152, 158),
        horizontal_line(151, 160),
        horizontal_line(63, 79),
        horizontal_line(149, 158),
    };

    constexpr const horizontal_line frame_336_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(98, 101),
    };

    constexpr const horizontal_line frame_336_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(147, 156),
    };

    constexpr const shape frame_336_shape_group_8_shapes[] = {
        shape(frame_336_shape_group_8_shape_0_horizontal_lines, 41, 11),
        shape(frame_336_shape_group_8_shape_1_horizontal_lines, 43, 11),
        shape(frame_336_shape_group_8_shape_2_horizontal_lines, 83, 10),
        shape(frame_336_shape_group_8_shape_3_horizontal_lines, 92, 1),
        shape(frame_336_shape_group_8_shape_4_horizontal_lines, 93, 10),
    };

    constexpr const horizontal_line frame_336_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 102),
        horizontal_line(99, 102),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_336_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(93, 95),
    };

    constexpr const horizontal_line frame_336_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(98, 101),
    };

    constexpr const horizontal_line frame_336_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(98, 100),
    };

    constexpr const shape frame_336_shape_group_9_shapes[] = {
        shape(frame_336_shape_group_9_shape_0_horizontal_lines, 83, 1),
        shape(frame_336_shape_group_9_shape_1_horizontal_lines, 90, 10),
        shape(frame_336_shape_group_9_shape_2_horizontal_lines, 91, 1),
        shape(frame_336_shape_group_9_shape_3_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_336_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(150, 159),
    };

    constexpr const horizontal_line frame_336_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(183, 183),
    };

    constexpr const shape frame_336_shape_group_10_shapes[] = {
        shape(frame_336_shape_group_10_shape_0_horizontal_lines, 90, 10),
        shape(frame_336_shape_group_10_shape_1_horizontal_lines, 93, 1),
    };

    constexpr const horizontal_line frame_336_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const shape frame_336_shape_group_11_shapes[] = {
        shape(frame_336_shape_group_11_shape_0_horizontal_lines, 90, 1),
    };

    constexpr const shape_group frame_336_shape_groups[] = {
        shape_group(frame_336_shape_group_0_shapes),
        shape_group(frame_336_shape_group_1_shapes),
        shape_group(frame_336_shape_group_2_shapes),
        shape_group(frame_336_shape_group_3_shapes),
        shape_group(frame_336_shape_group_4_shapes),
        shape_group(frame_336_shape_group_5_shapes),
        shape_group(frame_336_shape_group_6_shapes),
        shape_group(frame_336_shape_group_7_shapes),
        shape_group(frame_336_shape_group_8_shapes),
        shape_group(frame_336_shape_group_9_shapes),
        shape_group(frame_336_shape_group_10_shapes),
        shape_group(frame_336_shape_group_11_shapes),
    };

    constexpr const frame frame_336_impl(frame_336_colors, frame_336_shape_groups);
} 

const frame& frame_336()
{
    return frame_336_impl;
}

namespace
{
    constexpr const bn::color frame_337_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_337_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(11, 73),
        horizontal_line(22, 84),
        horizontal_line(0, 5),
        horizontal_line(0, 12),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(9, 9),
        horizontal_line(82, 98),
        horizontal_line(93, 109),
        horizontal_line(104, 120),
        horizontal_line(115, 132),
        horizontal_line(126, 143),
        horizontal_line(137, 154),
        horizontal_line(148, 166),
        horizontal_line(159, 159),
        horizontal_line(168, 192),
        horizontal_line(169, 193),
        horizontal_line(170, 193),
        horizontal_line(171, 194),
        horizontal_line(20, 20),
        horizontal_line(20, 22),
        horizontal_line(22, 25),
        horizontal_line(25, 28),
        horizontal_line(28, 31),
        horizontal_line(31, 34),
        horizontal_line(34, 37),
        horizontal_line(37, 40),
        horizontal_line(40, 42),
        horizontal_line(43, 45),
        horizontal_line(46, 48),
        horizontal_line(49, 51),
        horizontal_line(52, 54),
        horizontal_line(55, 57),
        horizontal_line(54, 60),
        horizontal_line(54, 59),
        horizontal_line(53, 59),
        horizontal_line(53, 58),
        horizontal_line(52, 58),
        horizontal_line(52, 57),
        horizontal_line(51, 57),
        horizontal_line(51, 57),
        horizontal_line(51, 56),
        horizontal_line(50, 56),
        horizontal_line(50, 55),
        horizontal_line(49, 55),
        horizontal_line(49, 54),
        horizontal_line(48, 54),
        horizontal_line(48, 54),
        horizontal_line(48, 53),
        horizontal_line(47, 53),
        horizontal_line(47, 52),
        horizontal_line(46, 52),
        horizontal_line(46, 51),
        horizontal_line(45, 51),
        horizontal_line(45, 51),
        horizontal_line(44, 50),
        horizontal_line(44, 50),
        horizontal_line(44, 49),
        horizontal_line(43, 49),
    };

    constexpr const horizontal_line frame_337_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(186, 189),
        horizontal_line(185, 191),
        horizontal_line(184, 192),
        horizontal_line(183, 194),
        horizontal_line(182, 195),
        horizontal_line(181, 196),
        horizontal_line(180, 198),
        horizontal_line(179, 199),
        horizontal_line(178, 201),
        horizontal_line(179, 202),
        horizontal_line(180, 204),
        horizontal_line(182, 205),
        horizontal_line(183, 206),
        horizontal_line(185, 208),
        horizontal_line(187, 209),
        horizontal_line(188, 211),
        horizontal_line(190, 212),
        horizontal_line(191, 213),
        horizontal_line(193, 215),
        horizontal_line(195, 216),
        horizontal_line(196, 218),
        horizontal_line(198, 219),
        horizontal_line(199, 221),
        horizontal_line(201, 222),
        horizontal_line(203, 223),
        horizontal_line(204, 225),
        horizontal_line(206, 226),
        horizontal_line(207, 228),
        horizontal_line(209, 229),
        horizontal_line(211, 230),
        horizontal_line(212, 232),
        horizontal_line(214, 233),
        horizontal_line(215, 235),
        horizontal_line(217, 236),
        horizontal_line(219, 238),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_337_shape_group_0_shapes[] = {
        shape(frame_337_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_337_shape_group_0_shape_1_horizontal_lines, 95, 15),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(73, 135),
        horizontal_line(84, 146),
        horizontal_line(33, 95),
        horizontal_line(45, 107),
        horizontal_line(56, 118),
        horizontal_line(24, 30),
        horizontal_line(28, 41),
        horizontal_line(38, 52),
        horizontal_line(49, 64),
        horizontal_line(60, 75),
        horizontal_line(71, 86),
        horizontal_line(135, 197),
        horizontal_line(146, 206),
        horizontal_line(158, 202),
        horizontal_line(169, 198),
        horizontal_line(180, 194),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(155, 191),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(168, 191),
        horizontal_line(167, 192),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(172, 195),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(21, 21),
        horizontal_line(21, 24),
        horizontal_line(21, 27),
        horizontal_line(21, 30),
        horizontal_line(21, 33),
        horizontal_line(21, 36),
        horizontal_line(21, 39),
        horizontal_line(21, 42),
        horizontal_line(21, 45),
        horizontal_line(21, 48),
        horizontal_line(21, 51),
        horizontal_line(21, 54),
        horizontal_line(21, 53),
        horizontal_line(22, 53),
        horizontal_line(22, 52),
        horizontal_line(22, 52),
        horizontal_line(22, 51),
        horizontal_line(22, 51),
        horizontal_line(22, 50),
        horizontal_line(22, 50),
        horizontal_line(22, 50),
        horizontal_line(22, 49),
        horizontal_line(22, 49),
        horizontal_line(22, 48),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(108, 109),
        horizontal_line(107, 114),
        horizontal_line(107, 119),
        horizontal_line(106, 124),
        horizontal_line(106, 129),
        horizontal_line(106, 134),
        horizontal_line(105, 139),
        horizontal_line(105, 144),
        horizontal_line(105, 143),
        horizontal_line(104, 143),
        horizontal_line(104, 143),
        horizontal_line(104, 142),
        horizontal_line(103, 142),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(24, 33),
        horizontal_line(25, 31),
        horizontal_line(26, 29),
        horizontal_line(154, 157),
        horizontal_line(19, 81),
        horizontal_line(10, 72),
        horizontal_line(1, 63),
        horizontal_line(1, 63),
        horizontal_line(90, 152),
    };

    constexpr const horizontal_line frame_337_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(203, 213),
        horizontal_line(205, 216),
        horizontal_line(206, 218),
        horizontal_line(207, 221),
        horizontal_line(209, 223),
        horizontal_line(210, 225),
        horizontal_line(212, 228),
        horizontal_line(213, 230),
        horizontal_line(214, 233),
        horizontal_line(216, 235),
        horizontal_line(217, 238),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_337_shape_group_1_shapes[] = {
        shape(frame_337_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_337_shape_group_1_shape_1_horizontal_lines, 48, 15),
        shape(frame_337_shape_group_1_shape_2_horizontal_lines, 49, 8),
        shape(frame_337_shape_group_1_shape_3_horizontal_lines, 51, 13),
        shape(frame_337_shape_group_1_shape_4_horizontal_lines, 55, 8),
        shape(frame_337_shape_group_1_shape_5_horizontal_lines, 56, 13),
        shape(frame_337_shape_group_1_shape_6_horizontal_lines, 57, 15),
        shape(frame_337_shape_group_1_shape_7_horizontal_lines, 81, 8),
        shape(frame_337_shape_group_1_shape_8_horizontal_lines, 95, 10),
        shape(frame_337_shape_group_1_shape_9_horizontal_lines, 104, 1),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(135, 197),
        horizontal_line(146, 208),
        horizontal_line(95, 157),
        horizontal_line(107, 169),
        horizontal_line(118, 180),
        horizontal_line(67, 129),
        horizontal_line(79, 141),
        horizontal_line(90, 152),
        horizontal_line(101, 163),
        horizontal_line(112, 174),
        horizontal_line(124, 186),
        horizontal_line(197, 210),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(110, 145),
        horizontal_line(121, 157),
        horizontal_line(133, 168),
        horizontal_line(144, 179),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(167, 167),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(160, 167),
        horizontal_line(161, 168),
        horizontal_line(162, 169),
        horizontal_line(163, 170),
        horizontal_line(0, 10),
        horizontal_line(171, 194),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(22, 48),
        horizontal_line(23, 47),
        horizontal_line(24, 47),
        horizontal_line(25, 47),
        horizontal_line(26, 46),
        horizontal_line(27, 46),
        horizontal_line(28, 45),
        horizontal_line(29, 45),
        horizontal_line(30, 44),
        horizontal_line(31, 44),
        horizontal_line(32, 43),
        horizontal_line(33, 43),
        horizontal_line(34, 43),
        horizontal_line(36, 42),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(151, 160),
        horizontal_line(152, 159),
        horizontal_line(153, 158),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(195, 199),
    };

    constexpr const horizontal_line frame_337_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(155, 156),
        horizontal_line(72, 134),
        horizontal_line(63, 125),
        horizontal_line(63, 125),
        horizontal_line(152, 172),
    };

    constexpr const shape frame_337_shape_group_2_shapes[] = {
        shape(frame_337_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_337_shape_group_2_shape_1_horizontal_lines, 44, 15),
        shape(frame_337_shape_group_2_shape_2_horizontal_lines, 48, 13),
        shape(frame_337_shape_group_2_shape_3_horizontal_lines, 49, 15),
        shape(frame_337_shape_group_2_shape_4_horizontal_lines, 50, 13),
        shape(frame_337_shape_group_2_shape_5_horizontal_lines, 81, 15),
        shape(frame_337_shape_group_2_shape_6_horizontal_lines, 95, 10),
        shape(frame_337_shape_group_2_shape_7_horizontal_lines, 98, 1),
        shape(frame_337_shape_group_2_shape_8_horizontal_lines, 99, 10),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(197, 239),
        horizontal_line(208, 239),
        horizontal_line(157, 219),
        horizontal_line(169, 231),
        horizontal_line(180, 238),
        horizontal_line(129, 191),
        horizontal_line(141, 203),
        horizontal_line(152, 214),
        horizontal_line(163, 222),
        horizontal_line(174, 218),
        horizontal_line(186, 214),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(99, 134),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(192, 239),
        horizontal_line(0, 9),
        horizontal_line(160, 166),
        horizontal_line(193, 224),
        horizontal_line(194, 217),
        horizontal_line(194, 210),
        horizontal_line(195, 203),
        horizontal_line(164, 171),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(23, 85),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(171, 194),
        horizontal_line(171, 194),
        horizontal_line(171, 194),
        horizontal_line(171, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 193),
        horizontal_line(170, 192),
        horizontal_line(170, 192),
        horizontal_line(169, 192),
        horizontal_line(169, 192),
        horizontal_line(169, 192),
        horizontal_line(169, 191),
        horizontal_line(169, 191),
        horizontal_line(169, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 191),
        horizontal_line(168, 190),
        horizontal_line(168, 190),
        horizontal_line(168, 190),
        horizontal_line(168, 190),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 0),
        horizontal_line(166, 188),
        horizontal_line(166, 188),
        horizontal_line(145, 145),
        horizontal_line(144, 153),
        horizontal_line(144, 152),
        horizontal_line(144, 151),
        horizontal_line(143, 150),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(190, 191),
        horizontal_line(192, 194),
        horizontal_line(193, 196),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(81, 91),
        horizontal_line(134, 156),
        horizontal_line(125, 161),
        horizontal_line(125, 167),
    };

    constexpr const horizontal_line frame_337_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(202, 211),
    };

    constexpr const shape frame_337_shape_group_3_shapes[] = {
        shape(frame_337_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_337_shape_group_3_shape_1_horizontal_lines, 43, 15),
        shape(frame_337_shape_group_3_shape_2_horizontal_lines, 44, 13),
        shape(frame_337_shape_group_3_shape_3_horizontal_lines, 56, 11),
        shape(frame_337_shape_group_3_shape_4_horizontal_lines, 57, 13),
        shape(frame_337_shape_group_3_shape_5_horizontal_lines, 94, 15),
        shape(frame_337_shape_group_3_shape_6_horizontal_lines, 95, 1),
        shape(frame_337_shape_group_3_shape_7_horizontal_lines, 98, 3),
        shape(frame_337_shape_group_3_shape_8_horizontal_lines, 99, 10),
        shape(frame_337_shape_group_3_shape_9_horizontal_lines, 103, 1),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(20, 55),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(191, 234),
        horizontal_line(203, 230),
        horizontal_line(214, 226),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(65, 100),
        horizontal_line(76, 111),
        horizontal_line(87, 123),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(19, 19),
        horizontal_line(203, 239),
        horizontal_line(199, 239),
        horizontal_line(195, 239),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(192, 239),
        horizontal_line(193, 231),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(196, 196),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(85, 147),
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(32, 94),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(41, 73),
        horizontal_line(43, 72),
        horizontal_line(46, 71),
        horizontal_line(49, 70),
        horizontal_line(52, 70),
        horizontal_line(55, 69),
        horizontal_line(58, 69),
        horizontal_line(61, 68),
        horizontal_line(64, 68),
        horizontal_line(68, 68),
        horizontal_line(104, 159),
        horizontal_line(106, 159),
        horizontal_line(105, 159),
        horizontal_line(105, 159),
        horizontal_line(104, 158),
        horizontal_line(104, 158),
        horizontal_line(104, 158),
        horizontal_line(103, 158),
        horizontal_line(103, 158),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 189),
        horizontal_line(167, 188),
        horizontal_line(166, 188),
        horizontal_line(166, 188),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(135, 156),
        horizontal_line(140, 155),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(166, 187),
        horizontal_line(166, 187),
        horizontal_line(173, 187),
        horizontal_line(180, 187),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(22, 33),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(34, 96),
        horizontal_line(32, 94),
        horizontal_line(30, 92),
        horizontal_line(90, 152),
    };

    constexpr const horizontal_line frame_337_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(196, 201),
        horizontal_line(197, 204),
        horizontal_line(199, 206),
        horizontal_line(200, 208),
    };

    constexpr const shape frame_337_shape_group_4_shapes[] = {
        shape(frame_337_shape_group_4_shape_0_horizontal_lines, 32, 15),
        shape(frame_337_shape_group_4_shape_1_horizontal_lines, 34, 8),
        shape(frame_337_shape_group_4_shape_2_horizontal_lines, 36, 15),
        shape(frame_337_shape_group_4_shape_3_horizontal_lines, 37, 8),
        shape(frame_337_shape_group_4_shape_4_horizontal_lines, 40, 15),
        shape(frame_337_shape_group_4_shape_5_horizontal_lines, 43, 13),
        shape(frame_337_shape_group_4_shape_6_horizontal_lines, 48, 11),
        shape(frame_337_shape_group_4_shape_7_horizontal_lines, 49, 13),
        shape(frame_337_shape_group_4_shape_8_horizontal_lines, 51, 11),
        shape(frame_337_shape_group_4_shape_9_horizontal_lines, 55, 13),
        shape(frame_337_shape_group_4_shape_10_horizontal_lines, 56, 11),
        shape(frame_337_shape_group_4_shape_11_horizontal_lines, 81, 13),
        shape(frame_337_shape_group_4_shape_12_horizontal_lines, 87, 11),
        shape(frame_337_shape_group_4_shape_13_horizontal_lines, 89, 13),
        shape(frame_337_shape_group_4_shape_14_horizontal_lines, 93, 10),
        shape(frame_337_shape_group_4_shape_15_horizontal_lines, 94, 13),
        shape(frame_337_shape_group_4_shape_16_horizontal_lines, 95, 3),
        shape(frame_337_shape_group_4_shape_17_horizontal_lines, 99, 1),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(6, 32),
        horizontal_line(13, 44),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(31, 66),
        horizontal_line(42, 78),
        horizontal_line(53, 89),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(13, 25),
        horizontal_line(11, 23),
        horizontal_line(0, 8),
        horizontal_line(14, 20),
        horizontal_line(207, 239),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(82, 136),
        horizontal_line(20, 82),
        horizontal_line(20, 82),
        horizontal_line(82, 144),
        horizontal_line(82, 144),
        horizontal_line(82, 144),
        horizontal_line(82, 144),
        horizontal_line(21, 83),
        horizontal_line(147, 162),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(94, 156),
        horizontal_line(97, 159),
        horizontal_line(100, 161),
        horizontal_line(75, 137),
        horizontal_line(79, 141),
        horizontal_line(83, 145),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(101, 160),
        horizontal_line(102, 159),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(70, 84),
        horizontal_line(69, 83),
        horizontal_line(69, 83),
        horizontal_line(68, 83),
        horizontal_line(68, 82),
        horizontal_line(68, 82),
        horizontal_line(67, 81),
        horizontal_line(67, 81),
        horizontal_line(67, 81),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(105, 157),
        horizontal_line(110, 157),
        horizontal_line(115, 157),
        horizontal_line(120, 157),
        horizontal_line(125, 157),
        horizontal_line(130, 157),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(16, 27),
        horizontal_line(17, 28),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(146, 154),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(19, 30),
        horizontal_line(20, 31),
        horizontal_line(21, 32),
        horizontal_line(62, 76),
        horizontal_line(23, 35),
    };

    constexpr const horizontal_line frame_337_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(96, 150),
        horizontal_line(94, 151),
        horizontal_line(92, 152),
        horizontal_line(152, 153),
        horizontal_line(92, 154),
    };

    constexpr const shape frame_337_shape_group_5_shapes[] = {
        shape(frame_337_shape_group_5_shape_0_horizontal_lines, 34, 15),
        shape(frame_337_shape_group_5_shape_1_horizontal_lines, 36, 13),
        shape(frame_337_shape_group_5_shape_2_horizontal_lines, 37, 15),
        shape(frame_337_shape_group_5_shape_3_horizontal_lines, 40, 13),
        shape(frame_337_shape_group_5_shape_4_horizontal_lines, 45, 11),
        shape(frame_337_shape_group_5_shape_5_horizontal_lines, 72, 10),
        shape(frame_337_shape_group_5_shape_6_horizontal_lines, 81, 11),
        shape(frame_337_shape_group_5_shape_7_horizontal_lines, 87, 10),
        shape(frame_337_shape_group_5_shape_8_horizontal_lines, 89, 11),
        shape(frame_337_shape_group_5_shape_9_horizontal_lines, 90, 10),
        shape(frame_337_shape_group_5_shape_10_horizontal_lines, 95, 3),
    };

    constexpr const horizontal_line frame_337_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(19, 23),
        horizontal_line(17, 27),
        horizontal_line(15, 26),
        horizontal_line(223, 239),
        horizontal_line(219, 239),
        horizontal_line(10, 22),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_337_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(82, 103),
        horizontal_line(82, 114),
        horizontal_line(82, 125),
    };

    constexpr const horizontal_line frame_337_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(82, 144),
        horizontal_line(82, 144),
        horizontal_line(144, 159),
        horizontal_line(144, 160),
        horizontal_line(144, 161),
        horizontal_line(144, 162),
        horizontal_line(83, 145),
    };

    constexpr const horizontal_line frame_337_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(150, 162),
        horizontal_line(153, 162),
        horizontal_line(156, 162),
        horizontal_line(159, 162),
    };

    constexpr const horizontal_line frame_337_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(137, 161),
        horizontal_line(141, 161),
        horizontal_line(145, 161),
        horizontal_line(150, 161),
        horizontal_line(152, 160),
        horizontal_line(155, 160),
        horizontal_line(157, 160),
        horizontal_line(160, 160),
    };

    constexpr const horizontal_line frame_337_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(70, 85),
        horizontal_line(70, 84),
        horizontal_line(100, 103),
        horizontal_line(99, 105),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(97, 102),
        horizontal_line(97, 102),
        horizontal_line(66, 80),
        horizontal_line(66, 80),
        horizontal_line(20, 23),
        horizontal_line(17, 24),
        horizontal_line(14, 25),
        horizontal_line(15, 26),
        horizontal_line(64, 78),
        horizontal_line(63, 78),
        horizontal_line(18, 29),
        horizontal_line(63, 77),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(92, 97),
        horizontal_line(61, 75),
    };

    constexpr const horizontal_line frame_337_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const shape frame_337_shape_group_6_shapes[] = {
        shape(frame_337_shape_group_6_shape_0_horizontal_lines, 37, 13),
        shape(frame_337_shape_group_6_shape_1_horizontal_lines, 44, 11),
        shape(frame_337_shape_group_6_shape_2_horizontal_lines, 49, 11),
        shape(frame_337_shape_group_6_shape_3_horizontal_lines, 57, 11),
        shape(frame_337_shape_group_6_shape_4_horizontal_lines, 62, 11),
        shape(frame_337_shape_group_6_shape_5_horizontal_lines, 70, 10),
        shape(frame_337_shape_group_6_shape_6_horizontal_lines, 99, 3),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(231, 239),
        horizontal_line(227, 239),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(26, 48),
        horizontal_line(24, 59),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(21, 81),
        horizontal_line(82, 92),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(144, 147),
        horizontal_line(144, 158),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(145, 163),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(74, 74),
        horizontal_line(73, 78),
        horizontal_line(73, 82),
        horizontal_line(72, 87),
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(71, 85),
        horizontal_line(71, 85),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(100, 101),
    };

    constexpr const horizontal_line frame_337_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(96, 101),
        horizontal_line(96, 101),
        horizontal_line(65, 79),
        horizontal_line(65, 79),
        horizontal_line(65, 79),
        horizontal_line(64, 78),
        horizontal_line(94, 99),
        horizontal_line(94, 99),
        horizontal_line(63, 77),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(92, 97),
        horizontal_line(151, 162),
        horizontal_line(92, 97),
    };

    constexpr const shape frame_337_shape_group_7_shapes[] = {
        shape(frame_337_shape_group_7_shape_0_horizontal_lines, 37, 13),
        shape(frame_337_shape_group_7_shape_1_horizontal_lines, 40, 11),
        shape(frame_337_shape_group_7_shape_2_horizontal_lines, 42, 13),
        shape(frame_337_shape_group_7_shape_3_horizontal_lines, 43, 11),
        shape(frame_337_shape_group_7_shape_4_horizontal_lines, 49, 11),
        shape(frame_337_shape_group_7_shape_5_horizontal_lines, 55, 11),
        shape(frame_337_shape_group_7_shape_6_horizontal_lines, 62, 10),
        shape(frame_337_shape_group_7_shape_7_horizontal_lines, 71, 10),
        shape(frame_337_shape_group_7_shape_8_horizontal_lines, 81, 10),
    };

    constexpr const horizontal_line frame_337_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(27, 37),
    };

    constexpr const horizontal_line frame_337_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(23, 70),
    };

    constexpr const horizontal_line frame_337_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(104, 107),
    };

    constexpr const horizontal_line frame_337_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(96, 101),
        horizontal_line(95, 100),
        horizontal_line(95, 100),
        horizontal_line(95, 100),
        horizontal_line(157, 159),
        horizontal_line(156, 161),
        horizontal_line(94, 98),
        horizontal_line(154, 165),
        horizontal_line(153, 164),
        horizontal_line(152, 163),
    };

    constexpr const horizontal_line frame_337_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(100, 103),
    };

    constexpr const horizontal_line frame_337_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(150, 161),
    };

    constexpr const shape frame_337_shape_group_8_shapes[] = {
        shape(frame_337_shape_group_8_shape_0_horizontal_lines, 39, 11),
        shape(frame_337_shape_group_8_shape_1_horizontal_lines, 42, 11),
        shape(frame_337_shape_group_8_shape_2_horizontal_lines, 82, 1),
        shape(frame_337_shape_group_8_shape_3_horizontal_lines, 83, 10),
        shape(frame_337_shape_group_8_shape_4_horizontal_lines, 93, 1),
        shape(frame_337_shape_group_8_shape_5_horizontal_lines, 94, 10),
    };

    constexpr const horizontal_line frame_337_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(104, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
    };

    constexpr const horizontal_line frame_337_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(155, 163),
    };

    constexpr const horizontal_line frame_337_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
    };

    constexpr const horizontal_line frame_337_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(100, 102),
    };

    constexpr const shape frame_337_shape_group_9_shapes[] = {
        shape(frame_337_shape_group_9_shape_0_horizontal_lines, 83, 1),
        shape(frame_337_shape_group_9_shape_1_horizontal_lines, 89, 10),
        shape(frame_337_shape_group_9_shape_2_horizontal_lines, 90, 1),
        shape(frame_337_shape_group_9_shape_3_horizontal_lines, 94, 1),
    };

    constexpr const horizontal_line frame_337_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(102, 104),
    };

    constexpr const horizontal_line frame_337_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(189, 189),
    };

    constexpr const shape frame_337_shape_group_10_shapes[] = {
        shape(frame_337_shape_group_10_shape_0_horizontal_lines, 89, 1),
        shape(frame_337_shape_group_10_shape_1_horizontal_lines, 94, 1),
    };

    constexpr const shape_group frame_337_shape_groups[] = {
        shape_group(frame_337_shape_group_0_shapes),
        shape_group(frame_337_shape_group_1_shapes),
        shape_group(frame_337_shape_group_2_shapes),
        shape_group(frame_337_shape_group_3_shapes),
        shape_group(frame_337_shape_group_4_shapes),
        shape_group(frame_337_shape_group_5_shapes),
        shape_group(frame_337_shape_group_6_shapes),
        shape_group(frame_337_shape_group_7_shapes),
        shape_group(frame_337_shape_group_8_shapes),
        shape_group(frame_337_shape_group_9_shapes),
        shape_group(frame_337_shape_group_10_shapes),
    };

    constexpr const frame frame_337_impl(frame_337_colors, frame_337_shape_groups);
} 

const frame& frame_337()
{
    return frame_337_impl;
}

namespace
{
    constexpr const bn::color frame_338_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_338_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(11, 73),
        horizontal_line(23, 85),
        horizontal_line(0, 3),
        horizontal_line(0, 7),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(73, 104),
        horizontal_line(86, 117),
        horizontal_line(99, 131),
        horizontal_line(112, 144),
        horizontal_line(124, 157),
        horizontal_line(137, 171),
        horizontal_line(150, 167),
        horizontal_line(163, 163),
        horizontal_line(174, 201),
        horizontal_line(175, 201),
        horizontal_line(175, 202),
        horizontal_line(15, 15),
        horizontal_line(16, 18),
        horizontal_line(19, 21),
        horizontal_line(22, 24),
        horizontal_line(25, 27),
        horizontal_line(28, 30),
        horizontal_line(31, 33),
        horizontal_line(34, 36),
        horizontal_line(37, 39),
        horizontal_line(40, 42),
        horizontal_line(43, 45),
        horizontal_line(46, 48),
        horizontal_line(49, 51),
        horizontal_line(52, 54),
        horizontal_line(55, 57),
        horizontal_line(58, 60),
        horizontal_line(57, 63),
        horizontal_line(57, 62),
        horizontal_line(56, 62),
        horizontal_line(56, 61),
        horizontal_line(55, 61),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(54, 60),
        horizontal_line(54, 59),
        horizontal_line(53, 59),
        horizontal_line(53, 58),
        horizontal_line(52, 58),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
        horizontal_line(51, 57),
        horizontal_line(51, 56),
        horizontal_line(50, 56),
        horizontal_line(50, 55),
        horizontal_line(50, 55),
        horizontal_line(49, 54),
        horizontal_line(49, 54),
        horizontal_line(48, 54),
        horizontal_line(48, 53),
        horizontal_line(47, 53),
        horizontal_line(47, 52),
        horizontal_line(47, 52),
        horizontal_line(46, 51),
        horizontal_line(46, 51),
        horizontal_line(106, 144),
    };

    constexpr const horizontal_line frame_338_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(192, 198),
        horizontal_line(191, 199),
        horizontal_line(190, 201),
        horizontal_line(190, 202),
        horizontal_line(189, 203),
        horizontal_line(188, 205),
        horizontal_line(187, 206),
        horizontal_line(186, 208),
        horizontal_line(185, 209),
        horizontal_line(186, 211),
        horizontal_line(187, 212),
        horizontal_line(189, 213),
        horizontal_line(190, 215),
        horizontal_line(192, 216),
        horizontal_line(193, 218),
        horizontal_line(195, 219),
        horizontal_line(196, 220),
        horizontal_line(198, 222),
        horizontal_line(199, 223),
        horizontal_line(201, 225),
        horizontal_line(202, 226),
        horizontal_line(204, 228),
        horizontal_line(205, 229),
        horizontal_line(207, 230),
        horizontal_line(208, 232),
        horizontal_line(210, 233),
        horizontal_line(211, 235),
        horizontal_line(213, 236),
        horizontal_line(214, 238),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_338_shape_group_0_shapes[] = {
        shape(frame_338_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_338_shape_group_0_shape_1_horizontal_lines, 97, 15),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(73, 135),
        horizontal_line(85, 147),
        horizontal_line(35, 97),
        horizontal_line(47, 109),
        horizontal_line(59, 121),
        horizontal_line(15, 24),
        horizontal_line(19, 37),
        horizontal_line(23, 51),
        horizontal_line(35, 64),
        horizontal_line(48, 77),
        horizontal_line(61, 91),
        horizontal_line(141, 203),
        horizontal_line(153, 215),
        horizontal_line(165, 211),
        horizontal_line(177, 207),
        horizontal_line(189, 203),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(172, 200),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(172, 200),
        horizontal_line(173, 200),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(176, 202),
        horizontal_line(177, 203),
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(15, 21),
        horizontal_line(15, 24),
        horizontal_line(15, 27),
        horizontal_line(15, 30),
        horizontal_line(16, 33),
        horizontal_line(16, 36),
        horizontal_line(16, 39),
        horizontal_line(16, 42),
        horizontal_line(16, 45),
        horizontal_line(16, 48),
        horizontal_line(16, 51),
        horizontal_line(16, 54),
        horizontal_line(17, 57),
        horizontal_line(17, 56),
        horizontal_line(17, 56),
        horizontal_line(17, 55),
        horizontal_line(17, 55),
        horizontal_line(17, 54),
        horizontal_line(17, 54),
        horizontal_line(17, 54),
        horizontal_line(18, 53),
        horizontal_line(18, 53),
        horizontal_line(18, 52),
        horizontal_line(18, 52),
        horizontal_line(18, 51),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(107, 107),
        horizontal_line(109, 112),
        horizontal_line(111, 117),
        horizontal_line(110, 122),
        horizontal_line(110, 127),
        horizontal_line(109, 132),
        horizontal_line(109, 137),
        horizontal_line(109, 142),
        horizontal_line(108, 147),
        horizontal_line(108, 146),
        horizontal_line(108, 146),
        horizontal_line(107, 146),
        horizontal_line(107, 145),
        horizontal_line(107, 145),
        horizontal_line(106, 145),
        horizontal_line(106, 145),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(193, 196),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(20, 27),
        horizontal_line(21, 24),
        horizontal_line(157, 162),
        horizontal_line(15, 68),
        horizontal_line(8, 70),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(93, 155),
    };

    constexpr const horizontal_line frame_338_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(212, 221),
        horizontal_line(213, 224),
        horizontal_line(214, 226),
        horizontal_line(216, 228),
        horizontal_line(217, 231),
        horizontal_line(219, 233),
        horizontal_line(220, 235),
        horizontal_line(221, 238),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_338_shape_group_1_shapes[] = {
        shape(frame_338_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_338_shape_group_1_shape_1_horizontal_lines, 46, 15),
        shape(frame_338_shape_group_1_shape_2_horizontal_lines, 47, 8),
        shape(frame_338_shape_group_1_shape_3_horizontal_lines, 49, 13),
        shape(frame_338_shape_group_1_shape_4_horizontal_lines, 52, 8),
        shape(frame_338_shape_group_1_shape_5_horizontal_lines, 55, 15),
        shape(frame_338_shape_group_1_shape_6_horizontal_lines, 80, 8),
        shape(frame_338_shape_group_1_shape_7_horizontal_lines, 96, 15),
        shape(frame_338_shape_group_1_shape_8_horizontal_lines, 97, 10),
        shape(frame_338_shape_group_1_shape_9_horizontal_lines, 106, 1),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(135, 197),
        horizontal_line(147, 209),
        horizontal_line(97, 159),
        horizontal_line(109, 171),
        horizontal_line(121, 183),
        horizontal_line(70, 132),
        horizontal_line(82, 144),
        horizontal_line(94, 156),
        horizontal_line(106, 168),
        horizontal_line(118, 180),
        horizontal_line(130, 192),
        horizontal_line(203, 219),
        horizontal_line(215, 215),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(132, 164),
        horizontal_line(145, 176),
        horizontal_line(158, 188),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(164, 173),
        horizontal_line(165, 174),
        horizontal_line(166, 174),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(15, 15),
        horizontal_line(15, 18),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(18, 51),
        horizontal_line(18, 51),
        horizontal_line(18, 50),
        horizontal_line(19, 50),
        horizontal_line(20, 49),
        horizontal_line(21, 49),
        horizontal_line(22, 49),
        horizontal_line(23, 48),
        horizontal_line(24, 48),
        horizontal_line(26, 47),
        horizontal_line(27, 47),
        horizontal_line(28, 46),
        horizontal_line(29, 46),
        horizontal_line(30, 46),
        horizontal_line(31, 45),
        horizontal_line(33, 45),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(145, 153),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(155, 164),
        horizontal_line(156, 163),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(202, 205),
    };

    constexpr const horizontal_line frame_338_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(158, 161),
        horizontal_line(159, 160),
        horizontal_line(63, 125),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(155, 178),
    };

    constexpr const shape frame_338_shape_group_2_shapes[] = {
        shape(frame_338_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_338_shape_group_2_shape_1_horizontal_lines, 43, 15),
        shape(frame_338_shape_group_2_shape_2_horizontal_lines, 46, 13),
        shape(frame_338_shape_group_2_shape_3_horizontal_lines, 53, 15),
        shape(frame_338_shape_group_2_shape_4_horizontal_lines, 55, 13),
        shape(frame_338_shape_group_2_shape_5_horizontal_lines, 80, 15),
        shape(frame_338_shape_group_2_shape_6_horizontal_lines, 96, 13),
        shape(frame_338_shape_group_2_shape_7_horizontal_lines, 97, 10),
        shape(frame_338_shape_group_2_shape_8_horizontal_lines, 99, 1),
        shape(frame_338_shape_group_2_shape_9_horizontal_lines, 100, 10),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(197, 239),
        horizontal_line(209, 239),
        horizontal_line(159, 221),
        horizontal_line(171, 233),
        horizontal_line(183, 239),
        horizontal_line(132, 194),
        horizontal_line(144, 206),
        horizontal_line(156, 218),
        horizontal_line(168, 230),
        horizontal_line(180, 226),
        horizontal_line(192, 222),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(105, 140),
        horizontal_line(118, 152),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(201, 239),
        horizontal_line(168, 171),
        horizontal_line(164, 172),
        horizontal_line(202, 232),
        horizontal_line(202, 225),
        horizontal_line(203, 218),
        horizontal_line(167, 175),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(177, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 202),
        horizontal_line(177, 201),
        horizontal_line(177, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 201),
        horizontal_line(176, 200),
        horizontal_line(176, 200),
        horizontal_line(175, 200),
        horizontal_line(175, 200),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(175, 199),
        horizontal_line(174, 199),
        horizontal_line(174, 199),
        horizontal_line(174, 198),
        horizontal_line(174, 198),
        horizontal_line(174, 198),
        horizontal_line(174, 198),
        horizontal_line(173, 197),
        horizontal_line(173, 197),
        horizontal_line(173, 197),
        horizontal_line(173, 197),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 8),
        horizontal_line(171, 195),
        horizontal_line(148, 148),
        horizontal_line(147, 160),
        horizontal_line(147, 159),
        horizontal_line(147, 158),
        horizontal_line(146, 157),
        horizontal_line(146, 156),
        horizontal_line(146, 155),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(194, 195),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(19, 29),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(199, 200),
        horizontal_line(200, 203),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(23, 85),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(203, 207),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(70, 114),
        horizontal_line(125, 160),
        horizontal_line(124, 166),
        horizontal_line(125, 172),
    };

    constexpr const horizontal_line frame_338_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(210, 219),
    };

    constexpr const shape frame_338_shape_group_3_shapes[] = {
        shape(frame_338_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_338_shape_group_3_shape_1_horizontal_lines, 41, 15),
        shape(frame_338_shape_group_3_shape_2_horizontal_lines, 43, 13),
        shape(frame_338_shape_group_3_shape_3_horizontal_lines, 95, 15),
        shape(frame_338_shape_group_3_shape_4_horizontal_lines, 96, 10),
        shape(frame_338_shape_group_3_shape_5_horizontal_lines, 97, 1),
        shape(frame_338_shape_group_3_shape_6_horizontal_lines, 99, 3),
        shape(frame_338_shape_group_3_shape_7_horizontal_lines, 100, 1),
        shape(frame_338_shape_group_3_shape_8_horizontal_lines, 101, 10),
        shape(frame_338_shape_group_3_shape_9_horizontal_lines, 105, 1),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(12, 58),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(206, 238),
        horizontal_line(218, 234),
        horizontal_line(230, 230),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(78, 117),
        horizontal_line(92, 129),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(212, 239),
        horizontal_line(208, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(14, 76),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(15, 77),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(203, 211),
        horizontal_line(168, 176),
        horizontal_line(169, 177),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(46, 74),
        horizontal_line(49, 73),
        horizontal_line(52, 73),
        horizontal_line(55, 72),
        horizontal_line(58, 72),
        horizontal_line(61, 72),
        horizontal_line(64, 71),
        horizontal_line(67, 71),
        horizontal_line(105, 165),
        horizontal_line(108, 164),
        horizontal_line(107, 164),
        horizontal_line(107, 164),
        horizontal_line(106, 164),
        horizontal_line(106, 164),
        horizontal_line(106, 164),
        horizontal_line(105, 163),
        horizontal_line(105, 163),
        horizontal_line(105, 163),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(173, 197),
        horizontal_line(172, 196),
        horizontal_line(172, 196),
        horizontal_line(172, 196),
        horizontal_line(172, 196),
        horizontal_line(172, 195),
        horizontal_line(171, 195),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(143, 162),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(171, 195),
        horizontal_line(171, 195),
        horizontal_line(171, 194),
        horizontal_line(171, 194),
        horizontal_line(179, 194),
        horizontal_line(187, 194),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(17, 30),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(146, 154),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(94, 98),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_17_horizontal_lines[] = {
        horizontal_line(28, 90),
        horizontal_line(25, 87),
        horizontal_line(85, 147),
        horizontal_line(69, 131),
    };

    constexpr const horizontal_line frame_338_shape_group_4_shape_18_horizontal_lines[] = {
        horizontal_line(204, 210),
        horizontal_line(206, 212),
        horizontal_line(207, 214),
        horizontal_line(209, 217),
    };

    constexpr const shape frame_338_shape_group_4_shapes[] = {
        shape(frame_338_shape_group_4_shape_0_horizontal_lines, 30, 15),
        shape(frame_338_shape_group_4_shape_1_horizontal_lines, 32, 8),
        shape(frame_338_shape_group_4_shape_2_horizontal_lines, 34, 15),
        shape(frame_338_shape_group_4_shape_3_horizontal_lines, 35, 8),
        shape(frame_338_shape_group_4_shape_4_horizontal_lines, 39, 15),
        shape(frame_338_shape_group_4_shape_5_horizontal_lines, 41, 13),
        shape(frame_338_shape_group_4_shape_6_horizontal_lines, 46, 11),
        shape(frame_338_shape_group_4_shape_7_horizontal_lines, 47, 13),
        shape(frame_338_shape_group_4_shape_8_horizontal_lines, 49, 11),
        shape(frame_338_shape_group_4_shape_9_horizontal_lines, 52, 13),
        shape(frame_338_shape_group_4_shape_10_horizontal_lines, 55, 11),
        shape(frame_338_shape_group_4_shape_11_horizontal_lines, 80, 13),
        shape(frame_338_shape_group_4_shape_12_horizontal_lines, 87, 11),
        shape(frame_338_shape_group_4_shape_13_horizontal_lines, 88, 13),
        shape(frame_338_shape_group_4_shape_14_horizontal_lines, 94, 10),
        shape(frame_338_shape_group_4_shape_15_horizontal_lines, 95, 13),
        shape(frame_338_shape_group_4_shape_16_horizontal_lines, 96, 10),
        shape(frame_338_shape_group_4_shape_17_horizontal_lines, 97, 3),
        shape(frame_338_shape_group_4_shape_18_horizontal_lines, 101, 1),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(4, 34),
        horizontal_line(8, 46),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(25, 69),
        horizontal_line(38, 81),
        horizontal_line(52, 93),
        horizontal_line(65, 105),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(4, 19),
        horizontal_line(3, 17),
        horizontal_line(7, 15),
        horizontal_line(13, 13),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(76, 136),
        horizontal_line(14, 76),
        horizontal_line(14, 76),
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(77, 139),
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(179, 202),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 166),
        horizontal_line(76, 138),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(71, 83),
        horizontal_line(71, 82),
        horizontal_line(71, 82),
        horizontal_line(70, 82),
        horizontal_line(70, 81),
        horizontal_line(69, 81),
        horizontal_line(69, 80),
        horizontal_line(69, 80),
        horizontal_line(68, 80),
        horizontal_line(68, 79),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(108, 163),
        horizontal_line(113, 163),
        horizontal_line(118, 162),
        horizontal_line(123, 162),
        horizontal_line(128, 162),
        horizontal_line(133, 162),
        horizontal_line(138, 162),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(10, 22),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(12, 25),
        horizontal_line(13, 26),
        horizontal_line(14, 27),
        horizontal_line(15, 28),
        horizontal_line(16, 29),
        horizontal_line(62, 73),
        horizontal_line(18, 32),
        horizontal_line(154, 165),
    };

    constexpr const horizontal_line frame_338_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(90, 152),
        horizontal_line(87, 149),
        horizontal_line(147, 156),
        horizontal_line(131, 157),
        horizontal_line(115, 158),
    };

    constexpr const shape frame_338_shape_group_5_shapes[] = {
        shape(frame_338_shape_group_5_shape_0_horizontal_lines, 32, 15),
        shape(frame_338_shape_group_5_shape_1_horizontal_lines, 35, 15),
        shape(frame_338_shape_group_5_shape_2_horizontal_lines, 39, 13),
        shape(frame_338_shape_group_5_shape_3_horizontal_lines, 43, 11),
        shape(frame_338_shape_group_5_shape_4_horizontal_lines, 53, 13),
        shape(frame_338_shape_group_5_shape_5_horizontal_lines, 55, 11),
        shape(frame_338_shape_group_5_shape_6_horizontal_lines, 70, 10),
        shape(frame_338_shape_group_5_shape_7_horizontal_lines, 80, 11),
        shape(frame_338_shape_group_5_shape_8_horizontal_lines, 87, 10),
        shape(frame_338_shape_group_5_shape_9_horizontal_lines, 88, 11),
        shape(frame_338_shape_group_5_shape_10_horizontal_lines, 89, 10),
        shape(frame_338_shape_group_5_shape_11_horizontal_lines, 97, 3),
    };

    constexpr const horizontal_line frame_338_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(11, 14),
        horizontal_line(9, 18),
        horizontal_line(8, 22),
        horizontal_line(6, 21),
        horizontal_line(227, 239),
        horizontal_line(223, 239),
        horizontal_line(220, 239),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_338_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(76, 98),
        horizontal_line(76, 111),
        horizontal_line(76, 123),
    };

    constexpr const horizontal_line frame_338_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(76, 138),
        horizontal_line(76, 138),
        horizontal_line(138, 163),
        horizontal_line(138, 164),
        horizontal_line(139, 165),
        horizontal_line(78, 140),
        horizontal_line(19, 81),
        horizontal_line(22, 84),
        horizontal_line(149, 167),
        horizontal_line(152, 167),
        horizontal_line(155, 167),
        horizontal_line(158, 167),
        horizontal_line(161, 167),
        horizontal_line(164, 166),
    };

    constexpr const horizontal_line frame_338_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(138, 166),
        horizontal_line(149, 166),
        horizontal_line(151, 166),
        horizontal_line(154, 166),
        horizontal_line(157, 165),
        horizontal_line(160, 165),
        horizontal_line(163, 165),
        horizontal_line(165, 165),
    };

    constexpr const horizontal_line frame_338_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(100, 104),
        horizontal_line(99, 107),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(98, 105),
        horizontal_line(98, 105),
        horizontal_line(98, 105),
        horizontal_line(97, 104),
        horizontal_line(97, 104),
        horizontal_line(96, 104),
        horizontal_line(67, 79),
        horizontal_line(67, 78),
        horizontal_line(67, 78),
        horizontal_line(66, 78),
        horizontal_line(15, 19),
        horizontal_line(12, 20),
        horizontal_line(9, 21),
        horizontal_line(65, 76),
        horizontal_line(11, 23),
        horizontal_line(64, 75),
        horizontal_line(63, 75),
        horizontal_line(63, 75),
        horizontal_line(63, 74),
        horizontal_line(62, 74),
        horizontal_line(91, 98),
        horizontal_line(61, 73),
    };

    constexpr const horizontal_line frame_338_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(102, 105),
    };

    constexpr const horizontal_line frame_338_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(149, 155),
    };

    constexpr const shape frame_338_shape_group_6_shapes[] = {
        shape(frame_338_shape_group_6_shape_0_horizontal_lines, 35, 13),
        shape(frame_338_shape_group_6_shape_1_horizontal_lines, 43, 11),
        shape(frame_338_shape_group_6_shape_2_horizontal_lines, 47, 11),
        shape(frame_338_shape_group_6_shape_3_horizontal_lines, 62, 11),
        shape(frame_338_shape_group_6_shape_4_horizontal_lines, 70, 10),
        shape(frame_338_shape_group_6_shape_5_horizontal_lines, 96, 1),
        shape(frame_338_shape_group_6_shape_6_horizontal_lines, 97, 3),
    };

    constexpr const horizontal_line frame_338_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_338_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(20, 47),
        horizontal_line(18, 60),
        horizontal_line(16, 72),
        horizontal_line(14, 76),
    };

    constexpr const horizontal_line frame_338_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(138, 149),
        horizontal_line(138, 162),
    };

    constexpr const horizontal_line frame_338_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(140, 166),
        horizontal_line(81, 143),
        horizontal_line(84, 146),
    };

    constexpr const horizontal_line frame_338_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(75, 75),
        horizontal_line(74, 86),
        horizontal_line(74, 85),
        horizontal_line(73, 85),
        horizontal_line(73, 84),
        horizontal_line(73, 84),
        horizontal_line(72, 84),
        horizontal_line(72, 83),
    };

    constexpr const horizontal_line frame_338_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(96, 103),
        horizontal_line(96, 103),
        horizontal_line(95, 103),
        horizontal_line(95, 102),
        horizontal_line(66, 77),
        horizontal_line(65, 77),
        horizontal_line(65, 77),
        horizontal_line(93, 101),
        horizontal_line(64, 76),
        horizontal_line(93, 100),
        horizontal_line(92, 100),
        horizontal_line(92, 99),
        horizontal_line(92, 99),
        horizontal_line(91, 99),
        horizontal_line(156, 167),
        horizontal_line(90, 98),
    };

    constexpr const horizontal_line frame_338_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(197, 198),
    };

    constexpr const shape frame_338_shape_group_7_shapes[] = {
        shape(frame_338_shape_group_7_shape_0_horizontal_lines, 36, 13),
        shape(frame_338_shape_group_7_shape_1_horizontal_lines, 39, 11),
        shape(frame_338_shape_group_7_shape_2_horizontal_lines, 47, 11),
        shape(frame_338_shape_group_7_shape_3_horizontal_lines, 52, 11),
        shape(frame_338_shape_group_7_shape_4_horizontal_lines, 62, 10),
        shape(frame_338_shape_group_7_shape_5_horizontal_lines, 80, 10),
        shape(frame_338_shape_group_7_shape_6_horizontal_lines, 96, 1),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(22, 34),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(76, 85),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(143, 167),
        horizontal_line(146, 168),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(100, 102),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(95, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 101),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(105, 108),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(93, 100),
        horizontal_line(161, 166),
        horizontal_line(160, 168),
        horizontal_line(159, 170),
        horizontal_line(158, 169),
        horizontal_line(157, 168),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(155, 166),
    };

    constexpr const horizontal_line frame_338_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(30, 92),
    };

    constexpr const shape frame_338_shape_group_8_shapes[] = {
        shape(frame_338_shape_group_8_shape_0_horizontal_lines, 38, 11),
        shape(frame_338_shape_group_8_shape_1_horizontal_lines, 42, 11),
        shape(frame_338_shape_group_8_shape_2_horizontal_lines, 53, 11),
        shape(frame_338_shape_group_8_shape_3_horizontal_lines, 69, 10),
        shape(frame_338_shape_group_8_shape_4_horizontal_lines, 81, 1),
        shape(frame_338_shape_group_8_shape_5_horizontal_lines, 84, 10),
        shape(frame_338_shape_group_8_shape_6_horizontal_lines, 87, 1),
        shape(frame_338_shape_group_8_shape_7_horizontal_lines, 88, 10),
        shape(frame_338_shape_group_8_shape_8_horizontal_lines, 94, 1),
        shape(frame_338_shape_group_8_shape_9_horizontal_lines, 95, 10),
        shape(frame_338_shape_group_8_shape_10_horizontal_lines, 96, 3),
    };

    constexpr const horizontal_line frame_338_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_338_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(162, 164),
    };

    constexpr const horizontal_line frame_338_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(105, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(103, 106),
    };

    constexpr const horizontal_line frame_338_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_338_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(92, 93),
    };

    constexpr const shape frame_338_shape_group_9_shapes[] = {
        shape(frame_338_shape_group_9_shape_0_horizontal_lines, 84, 1),
        shape(frame_338_shape_group_9_shape_1_horizontal_lines, 88, 10),
        shape(frame_338_shape_group_9_shape_2_horizontal_lines, 89, 1),
        shape(frame_338_shape_group_9_shape_3_horizontal_lines, 95, 1),
        shape(frame_338_shape_group_9_shape_4_horizontal_lines, 96, 3),
    };

    constexpr const horizontal_line frame_338_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_338_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(196, 196),
    };

    constexpr const shape frame_338_shape_group_10_shapes[] = {
        shape(frame_338_shape_group_10_shape_0_horizontal_lines, 88, 1),
        shape(frame_338_shape_group_10_shape_1_horizontal_lines, 95, 1),
    };

    constexpr const shape_group frame_338_shape_groups[] = {
        shape_group(frame_338_shape_group_0_shapes),
        shape_group(frame_338_shape_group_1_shapes),
        shape_group(frame_338_shape_group_2_shapes),
        shape_group(frame_338_shape_group_3_shapes),
        shape_group(frame_338_shape_group_4_shapes),
        shape_group(frame_338_shape_group_5_shapes),
        shape_group(frame_338_shape_group_6_shapes),
        shape_group(frame_338_shape_group_7_shapes),
        shape_group(frame_338_shape_group_8_shapes),
        shape_group(frame_338_shape_group_9_shapes),
        shape_group(frame_338_shape_group_10_shapes),
    };

    constexpr const frame frame_338_impl(frame_338_colors, frame_338_shape_groups);
} 

const frame& frame_338()
{
    return frame_338_impl;
}

namespace
{
    constexpr const bn::color frame_339_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_339_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(12, 74),
        horizontal_line(24, 86),
        horizontal_line(37, 99),
        horizontal_line(49, 111),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(29, 56),
        horizontal_line(42, 69),
        horizontal_line(55, 83),
        horizontal_line(67, 96),
        horizontal_line(80, 110),
        horizontal_line(93, 123),
        horizontal_line(105, 136),
        horizontal_line(118, 150),
        horizontal_line(131, 163),
        horizontal_line(143, 177),
        horizontal_line(156, 173),
        horizontal_line(169, 169),
        horizontal_line(8, 8),
        horizontal_line(8, 10),
        horizontal_line(9, 13),
        horizontal_line(12, 16),
        horizontal_line(15, 19),
        horizontal_line(18, 21),
        horizontal_line(21, 24),
        horizontal_line(24, 27),
        horizontal_line(27, 30),
        horizontal_line(30, 32),
        horizontal_line(33, 35),
        horizontal_line(35, 38),
        horizontal_line(38, 41),
        horizontal_line(41, 43),
        horizontal_line(44, 46),
        horizontal_line(47, 49),
        horizontal_line(50, 52),
        horizontal_line(53, 54),
        horizontal_line(56, 57),
        horizontal_line(59, 60),
        horizontal_line(62, 63),
        horizontal_line(61, 66),
        horizontal_line(61, 65),
        horizontal_line(60, 65),
        horizontal_line(60, 64),
        horizontal_line(59, 64),
        horizontal_line(59, 63),
        horizontal_line(59, 63),
        horizontal_line(58, 62),
        horizontal_line(58, 62),
        horizontal_line(57, 62),
        horizontal_line(57, 61),
        horizontal_line(56, 61),
        horizontal_line(56, 60),
        horizontal_line(56, 60),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(54, 59),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(53, 57),
        horizontal_line(53, 57),
        horizontal_line(52, 56),
        horizontal_line(52, 56),
        horizontal_line(51, 55),
        horizontal_line(51, 55),
        horizontal_line(51, 55),
        horizontal_line(50, 54),
        horizontal_line(50, 54),
        horizontal_line(49, 53),
        horizontal_line(28, 36),
        horizontal_line(106, 147),
    };

    constexpr const horizontal_line frame_339_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(200, 203),
        horizontal_line(199, 205),
        horizontal_line(198, 206),
        horizontal_line(197, 208),
        horizontal_line(196, 209),
        horizontal_line(196, 211),
        horizontal_line(195, 212),
        horizontal_line(194, 214),
        horizontal_line(193, 215),
        horizontal_line(192, 217),
        horizontal_line(191, 218),
        horizontal_line(192, 220),
        horizontal_line(193, 221),
        horizontal_line(195, 223),
        horizontal_line(196, 224),
        horizontal_line(198, 226),
        horizontal_line(199, 227),
        horizontal_line(201, 229),
        horizontal_line(202, 230),
        horizontal_line(204, 232),
        horizontal_line(205, 233),
        horizontal_line(207, 235),
        horizontal_line(209, 236),
        horizontal_line(210, 238),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_339_shape_group_0_shapes[] = {
        shape(frame_339_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_339_shape_group_0_shape_1_horizontal_lines, 99, 15),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(74, 136),
        horizontal_line(86, 148),
        horizontal_line(99, 161),
        horizontal_line(111, 173),
        horizontal_line(61, 123),
        horizontal_line(8, 16),
        horizontal_line(12, 29),
        horizontal_line(17, 43),
        horizontal_line(111, 173),
        horizontal_line(123, 185),
        horizontal_line(135, 197),
        horizontal_line(148, 210),
        horizontal_line(160, 222),
        horizontal_line(172, 221),
        horizontal_line(185, 217),
        horizontal_line(197, 213),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(164, 209),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(179, 209),
        horizontal_line(179, 210),
        horizontal_line(180, 210),
        horizontal_line(181, 211),
        horizontal_line(182, 212),
        horizontal_line(183, 212),
        horizontal_line(184, 213),
        horizontal_line(185, 214),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(9, 17),
        horizontal_line(9, 20),
        horizontal_line(9, 23),
        horizontal_line(9, 26),
        horizontal_line(10, 29),
        horizontal_line(10, 32),
        horizontal_line(10, 34),
        horizontal_line(10, 37),
        horizontal_line(10, 40),
        horizontal_line(10, 43),
        horizontal_line(10, 46),
        horizontal_line(11, 49),
        horizontal_line(11, 52),
        horizontal_line(11, 55),
        horizontal_line(11, 58),
        horizontal_line(11, 61),
        horizontal_line(11, 60),
        horizontal_line(11, 60),
        horizontal_line(12, 59),
        horizontal_line(12, 59),
        horizontal_line(12, 58),
        horizontal_line(12, 58),
        horizontal_line(12, 58),
        horizontal_line(12, 57),
        horizontal_line(12, 57),
        horizontal_line(13, 56),
        horizontal_line(13, 56),
        horizontal_line(13, 55),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(110, 110),
        horizontal_line(113, 115),
        horizontal_line(112, 120),
        horizontal_line(112, 125),
        horizontal_line(111, 130),
        horizontal_line(111, 135),
        horizontal_line(111, 140),
        horizontal_line(110, 145),
        horizontal_line(110, 150),
        horizontal_line(110, 149),
        horizontal_line(109, 149),
        horizontal_line(109, 149),
        horizontal_line(109, 148),
        horizontal_line(108, 148),
        horizontal_line(108, 148),
        horizontal_line(108, 148),
        horizontal_line(107, 147),
        horizontal_line(49, 53),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(201, 202),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(14, 23),
        horizontal_line(15, 21),
        horizontal_line(16, 19),
        horizontal_line(162, 166),
        horizontal_line(9, 66),
        horizontal_line(1, 63),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(48, 110),
        horizontal_line(96, 158),
        horizontal_line(144, 185),
    };

    constexpr const horizontal_line frame_339_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(221, 233),
        horizontal_line(222, 235),
        horizontal_line(224, 238),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const shape frame_339_shape_group_1_shapes[] = {
        shape(frame_339_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_339_shape_group_1_shape_1_horizontal_lines, 43, 15),
        shape(frame_339_shape_group_1_shape_2_horizontal_lines, 44, 8),
        shape(frame_339_shape_group_1_shape_3_horizontal_lines, 52, 15),
        shape(frame_339_shape_group_1_shape_4_horizontal_lines, 80, 8),
        shape(frame_339_shape_group_1_shape_5_horizontal_lines, 98, 15),
        shape(frame_339_shape_group_1_shape_6_horizontal_lines, 99, 10),
        shape(frame_339_shape_group_1_shape_7_horizontal_lines, 110, 1),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(136, 198),
        horizontal_line(148, 210),
        horizontal_line(161, 223),
        horizontal_line(173, 235),
        horizontal_line(123, 185),
        horizontal_line(74, 136),
        horizontal_line(86, 148),
        horizontal_line(98, 160),
        horizontal_line(173, 235),
        horizontal_line(185, 238),
        horizontal_line(197, 233),
        horizontal_line(210, 229),
        horizontal_line(222, 225),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(124, 171),
        horizontal_line(137, 184),
        horizontal_line(151, 196),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(210, 239),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(178, 178),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(174, 178),
        horizontal_line(170, 179),
        horizontal_line(169, 180),
        horizontal_line(170, 181),
        horizontal_line(171, 182),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(9, 11),
        horizontal_line(9, 14),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(184, 213),
        horizontal_line(184, 213),
        horizontal_line(184, 212),
        horizontal_line(183, 212),
        horizontal_line(183, 212),
        horizontal_line(183, 212),
        horizontal_line(183, 211),
        horizontal_line(183, 211),
        horizontal_line(182, 211),
        horizontal_line(182, 210),
        horizontal_line(182, 210),
        horizontal_line(182, 210),
        horizontal_line(182, 210),
        horizontal_line(181, 209),
        horizontal_line(181, 209),
        horizontal_line(181, 209),
        horizontal_line(181, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 208),
        horizontal_line(180, 207),
        horizontal_line(180, 207),
        horizontal_line(179, 207),
        horizontal_line(179, 206),
        horizontal_line(179, 206),
        horizontal_line(179, 206),
        horizontal_line(179, 206),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(13, 55),
        horizontal_line(13, 55),
        horizontal_line(13, 54),
        horizontal_line(13, 54),
        horizontal_line(14, 53),
        horizontal_line(15, 53),
        horizontal_line(16, 53),
        horizontal_line(17, 52),
        horizontal_line(18, 52),
        horizontal_line(19, 51),
        horizontal_line(20, 51),
        horizontal_line(21, 50),
        horizontal_line(22, 50),
        horizontal_line(23, 50),
        horizontal_line(24, 49),
        horizontal_line(25, 49),
        horizontal_line(26, 48),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(107, 147),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(148, 158),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(159, 169),
        horizontal_line(160, 168),
        horizontal_line(161, 167),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(209, 213),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(163, 165),
        horizontal_line(164, 164),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(110, 172),
        horizontal_line(158, 180),
    };

    constexpr const horizontal_line frame_339_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(219, 230),
    };

    constexpr const shape frame_339_shape_group_2_shapes[] = {
        shape(frame_339_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_339_shape_group_2_shape_1_horizontal_lines, 40, 15),
        shape(frame_339_shape_group_2_shape_2_horizontal_lines, 43, 13),
        shape(frame_339_shape_group_2_shape_3_horizontal_lines, 44, 15),
        shape(frame_339_shape_group_2_shape_4_horizontal_lines, 45, 13),
        shape(frame_339_shape_group_2_shape_5_horizontal_lines, 50, 15),
        shape(frame_339_shape_group_2_shape_6_horizontal_lines, 52, 13),
        shape(frame_339_shape_group_2_shape_7_horizontal_lines, 80, 15),
        shape(frame_339_shape_group_2_shape_8_horizontal_lines, 97, 8),
        shape(frame_339_shape_group_2_shape_9_horizontal_lines, 98, 13),
        shape(frame_339_shape_group_2_shape_10_horizontal_lines, 99, 10),
        shape(frame_339_shape_group_2_shape_11_horizontal_lines, 102, 1),
        shape(frame_339_shape_group_2_shape_12_horizontal_lines, 103, 10),
        shape(frame_339_shape_group_2_shape_13_horizontal_lines, 109, 1),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(198, 239),
        horizontal_line(210, 239),
        horizontal_line(223, 239),
        horizontal_line(235, 239),
        horizontal_line(185, 239),
        horizontal_line(136, 198),
        horizontal_line(148, 210),
        horizontal_line(160, 222),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(70, 122),
        horizontal_line(84, 134),
        horizontal_line(97, 147),
        horizontal_line(111, 159),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(3, 8),
        horizontal_line(7, 7),
        horizontal_line(214, 239),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(8, 70),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 231),
        horizontal_line(172, 183),
        horizontal_line(173, 184),
        horizontal_line(184, 213),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(47, 109),
        horizontal_line(50, 76),
        horizontal_line(53, 75),
        horizontal_line(55, 75),
        horizontal_line(58, 74),
        horizontal_line(61, 74),
        horizontal_line(64, 73),
        horizontal_line(67, 73),
        horizontal_line(70, 73),
        horizontal_line(110, 170),
        horizontal_line(109, 169),
        horizontal_line(109, 169),
        horizontal_line(108, 169),
        horizontal_line(108, 169),
        horizontal_line(108, 169),
        horizontal_line(107, 169),
        horizontal_line(107, 168),
        horizontal_line(107, 168),
        horizontal_line(107, 168),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(178, 205),
        horizontal_line(178, 205),
        horizontal_line(178, 205),
        horizontal_line(178, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 204),
        horizontal_line(177, 203),
        horizontal_line(0, 0),
        horizontal_line(150, 167),
        horizontal_line(150, 166),
        horizontal_line(150, 165),
        horizontal_line(149, 164),
        horizontal_line(149, 163),
        horizontal_line(149, 162),
        horizontal_line(149, 161),
        horizontal_line(148, 160),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(37, 48),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(13, 25),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(204, 205),
        horizontal_line(206, 208),
        horizontal_line(207, 210),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(210, 215),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(63, 115),
        horizontal_line(124, 164),
        horizontal_line(125, 169),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_339_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(218, 228),
    };

    constexpr const shape frame_339_shape_group_3_shapes[] = {
        shape(frame_339_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_339_shape_group_3_shape_1_horizontal_lines, 36, 15),
        shape(frame_339_shape_group_3_shape_2_horizontal_lines, 40, 13),
        shape(frame_339_shape_group_3_shape_3_horizontal_lines, 43, 11),
        shape(frame_339_shape_group_3_shape_4_horizontal_lines, 44, 13),
        shape(frame_339_shape_group_3_shape_5_horizontal_lines, 53, 11),
        shape(frame_339_shape_group_3_shape_6_horizontal_lines, 80, 13),
        shape(frame_339_shape_group_3_shape_7_horizontal_lines, 97, 15),
        shape(frame_339_shape_group_3_shape_8_horizontal_lines, 98, 10),
        shape(frame_339_shape_group_3_shape_9_horizontal_lines, 99, 1),
        shape(frame_339_shape_group_3_shape_10_horizontal_lines, 102, 3),
        shape(frame_339_shape_group_3_shape_11_horizontal_lines, 103, 1),
        shape(frame_339_shape_group_3_shape_12_horizontal_lines, 104, 10),
        shape(frame_339_shape_group_3_shape_13_horizontal_lines, 108, 1),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 23),
        horizontal_line(0, 36),
        horizontal_line(0, 48),
        horizontal_line(4, 60),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(210, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(57, 110),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(222, 239),
        horizontal_line(218, 239),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(8, 70),
        horizontal_line(70, 130),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(8, 70),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(14, 76),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(214, 223),
        horizontal_line(215, 215),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(22, 84),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(92, 154),
        horizontal_line(96, 158),
        horizontal_line(100, 162),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(107, 169),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(73, 80),
        horizontal_line(73, 80),
        horizontal_line(72, 80),
        horizontal_line(72, 79),
        horizontal_line(72, 79),
        horizontal_line(71, 79),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(169, 169),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(70, 78),
        horizontal_line(70, 77),
        horizontal_line(69, 77),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(111, 168),
        horizontal_line(116, 168),
        horizontal_line(121, 168),
        horizontal_line(126, 167),
        horizontal_line(131, 167),
        horizontal_line(136, 167),
        horizontal_line(141, 167),
        horizontal_line(146, 167),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(176, 203),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(176, 202),
        horizontal_line(182, 201),
        horizontal_line(189, 201),
        horizontal_line(195, 201),
        horizontal_line(148, 159),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(93, 98),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(24, 86),
        horizontal_line(22, 84),
        horizontal_line(20, 82),
        horizontal_line(80, 142),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_339_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(212, 218),
        horizontal_line(213, 220),
        horizontal_line(215, 223),
        horizontal_line(216, 225),
    };

    constexpr const shape frame_339_shape_group_4_shapes[] = {
        shape(frame_339_shape_group_4_shape_0_horizontal_lines, 27, 15),
        shape(frame_339_shape_group_4_shape_1_horizontal_lines, 32, 8),
        shape(frame_339_shape_group_4_shape_2_horizontal_lines, 35, 15),
        shape(frame_339_shape_group_4_shape_3_horizontal_lines, 36, 13),
        shape(frame_339_shape_group_4_shape_4_horizontal_lines, 42, 11),
        shape(frame_339_shape_group_4_shape_5_horizontal_lines, 50, 13),
        shape(frame_339_shape_group_4_shape_6_horizontal_lines, 52, 11),
        shape(frame_339_shape_group_4_shape_7_horizontal_lines, 70, 10),
        shape(frame_339_shape_group_4_shape_8_horizontal_lines, 76, 11),
        shape(frame_339_shape_group_4_shape_9_horizontal_lines, 77, 10),
        shape(frame_339_shape_group_4_shape_10_horizontal_lines, 80, 11),
        shape(frame_339_shape_group_4_shape_11_horizontal_lines, 88, 13),
        shape(frame_339_shape_group_4_shape_12_horizontal_lines, 98, 10),
        shape(frame_339_shape_group_4_shape_13_horizontal_lines, 99, 3),
        shape(frame_339_shape_group_4_shape_14_horizontal_lines, 104, 1),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(17, 73),
        horizontal_line(30, 85),
        horizontal_line(44, 97),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(239, 239),
        horizontal_line(234, 239),
        horizontal_line(230, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(9, 71),
        horizontal_line(8, 70),
        horizontal_line(70, 117),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(70, 132),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(76, 138),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
        horizontal_line(84, 146),
        horizontal_line(149, 172),
        horizontal_line(152, 172),
        horizontal_line(155, 172),
        horizontal_line(157, 172),
        horizontal_line(160, 172),
        horizontal_line(163, 172),
        horizontal_line(166, 171),
        horizontal_line(168, 171),
        horizontal_line(171, 171),
        horizontal_line(147, 171),
        horizontal_line(150, 171),
        horizontal_line(154, 171),
        horizontal_line(158, 170),
        horizontal_line(162, 170),
        horizontal_line(164, 170),
        horizontal_line(167, 170),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(98, 109),
        horizontal_line(98, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 107),
        horizontal_line(97, 107),
        horizontal_line(96, 107),
        horizontal_line(71, 78),
        horizontal_line(95, 106),
        horizontal_line(95, 106),
        horizontal_line(95, 105),
        horizontal_line(69, 77),
        horizontal_line(69, 76),
        horizontal_line(68, 76),
        horizontal_line(68, 76),
        horizontal_line(67, 75),
        horizontal_line(11, 14),
        horizontal_line(8, 15),
        horizontal_line(5, 16),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(177, 203),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(3, 18),
        horizontal_line(4, 19),
        horizontal_line(5, 20),
        horizontal_line(6, 21),
        horizontal_line(7, 22),
        horizontal_line(8, 23),
        horizontal_line(10, 24),
        horizontal_line(11, 25),
        horizontal_line(12, 27),
        horizontal_line(159, 170),
    };

    constexpr const horizontal_line frame_339_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(86, 148),
        horizontal_line(84, 146),
        horizontal_line(82, 144),
        horizontal_line(142, 161),
        horizontal_line(129, 162),
        horizontal_line(116, 163),
    };

    constexpr const shape frame_339_shape_group_5_shapes[] = {
        shape(frame_339_shape_group_5_shape_0_horizontal_lines, 32, 15),
        shape(frame_339_shape_group_5_shape_1_horizontal_lines, 35, 13),
        shape(frame_339_shape_group_5_shape_2_horizontal_lines, 40, 11),
        shape(frame_339_shape_group_5_shape_3_horizontal_lines, 44, 11),
        shape(frame_339_shape_group_5_shape_4_horizontal_lines, 70, 10),
        shape(frame_339_shape_group_5_shape_5_horizontal_lines, 88, 13),
        shape(frame_339_shape_group_5_shape_6_horizontal_lines, 89, 10),
        shape(frame_339_shape_group_5_shape_7_horizontal_lines, 99, 3),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(3, 7),
        horizontal_line(2, 11),
        horizontal_line(1, 16),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(16, 28),
        horizontal_line(15, 41),
        horizontal_line(13, 54),
        horizontal_line(12, 66),
        horizontal_line(10, 72),
        horizontal_line(71, 92),
        horizontal_line(70, 104),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(132, 142),
        horizontal_line(132, 155),
        horizontal_line(132, 168),
        horizontal_line(133, 168),
        horizontal_line(135, 169),
        horizontal_line(138, 170),
        horizontal_line(79, 141),
        horizontal_line(82, 144),
        horizontal_line(146, 173),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(77, 84),
        horizontal_line(76, 83),
        horizontal_line(76, 83),
        horizontal_line(75, 82),
        horizontal_line(75, 82),
        horizontal_line(74, 82),
        horizontal_line(74, 81),
        horizontal_line(74, 81),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(96, 106),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(94, 105),
        horizontal_line(94, 104),
        horizontal_line(94, 104),
        horizontal_line(93, 104),
        horizontal_line(93, 103),
        horizontal_line(67, 75),
        horizontal_line(67, 74),
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(152, 167),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(65, 73),
        horizontal_line(65, 73),
        horizontal_line(65, 72),
        horizontal_line(64, 72),
        horizontal_line(64, 72),
        horizontal_line(63, 71),
        horizontal_line(63, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(104, 105),
    };

    constexpr const horizontal_line frame_339_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(148, 158),
        horizontal_line(146, 159),
        horizontal_line(144, 160),
    };

    constexpr const shape frame_339_shape_group_6_shapes[] = {
        shape(frame_339_shape_group_6_shape_0_horizontal_lines, 32, 13),
        shape(frame_339_shape_group_6_shape_1_horizontal_lines, 35, 11),
        shape(frame_339_shape_group_6_shape_2_horizontal_lines, 44, 11),
        shape(frame_339_shape_group_6_shape_3_horizontal_lines, 62, 10),
        shape(frame_339_shape_group_6_shape_4_horizontal_lines, 76, 10),
        shape(frame_339_shape_group_6_shape_5_horizontal_lines, 80, 10),
        shape(frame_339_shape_group_6_shape_6_horizontal_lines, 88, 11),
        shape(frame_339_shape_group_6_shape_7_horizontal_lines, 89, 10),
        shape(frame_339_shape_group_6_shape_8_horizontal_lines, 98, 1),
        shape(frame_339_shape_group_6_shape_9_horizontal_lines, 99, 3),
    };

    constexpr const horizontal_line frame_339_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(72, 79),
    };

    constexpr const horizontal_line frame_339_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(141, 171),
        horizontal_line(144, 172),
    };

    constexpr const horizontal_line frame_339_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(99, 101),
        horizontal_line(99, 104),
        horizontal_line(98, 106),
    };

    constexpr const horizontal_line frame_339_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(110, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
    };

    constexpr const horizontal_line frame_339_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(93, 103),
        horizontal_line(92, 103),
        horizontal_line(92, 102),
        horizontal_line(2, 17),
        horizontal_line(91, 102),
        horizontal_line(91, 101),
        horizontal_line(90, 101),
        horizontal_line(90, 100),
        horizontal_line(90, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(88, 99),
    };

    constexpr const horizontal_line frame_339_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(203, 203),
    };

    constexpr const shape frame_339_shape_group_7_shapes[] = {
        shape(frame_339_shape_group_7_shape_0_horizontal_lines, 39, 11),
        shape(frame_339_shape_group_7_shape_1_horizontal_lines, 50, 11),
        shape(frame_339_shape_group_7_shape_2_horizontal_lines, 67, 10),
        shape(frame_339_shape_group_7_shape_3_horizontal_lines, 81, 1),
        shape(frame_339_shape_group_7_shape_4_horizontal_lines, 85, 10),
        shape(frame_339_shape_group_7_shape_5_horizontal_lines, 98, 1),
    };

    constexpr const horizontal_line frame_339_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(109, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 109),
    };

    constexpr const horizontal_line frame_339_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(66, 74),
    };

    constexpr const horizontal_line frame_339_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_339_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(167, 169),
        horizontal_line(166, 171),
        horizontal_line(165, 173),
        horizontal_line(164, 175),
        horizontal_line(163, 174),
        horizontal_line(162, 173),
        horizontal_line(161, 172),
        horizontal_line(160, 171),
    };

    constexpr const horizontal_line frame_339_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(26, 88),
    };

    constexpr const shape frame_339_shape_group_8_shapes[] = {
        shape(frame_339_shape_group_8_shape_0_horizontal_lines, 85, 1),
        shape(frame_339_shape_group_8_shape_1_horizontal_lines, 88, 10),
        shape(frame_339_shape_group_8_shape_2_horizontal_lines, 89, 1),
        shape(frame_339_shape_group_8_shape_3_horizontal_lines, 90, 10),
        shape(frame_339_shape_group_8_shape_4_horizontal_lines, 98, 3),
    };

    constexpr const horizontal_line frame_339_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(91, 102),
    };

    constexpr const horizontal_line frame_339_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(107, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
    };

    constexpr const horizontal_line frame_339_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(88, 92),
    };

    constexpr const shape frame_339_shape_group_9_shapes[] = {
        shape(frame_339_shape_group_9_shape_0_horizontal_lines, 88, 10),
        shape(frame_339_shape_group_9_shape_1_horizontal_lines, 90, 1),
        shape(frame_339_shape_group_9_shape_2_horizontal_lines, 98, 3),
    };

    constexpr const horizontal_line frame_339_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(107, 109),
    };

    constexpr const shape frame_339_shape_group_10_shapes[] = {
        shape(frame_339_shape_group_10_shape_0_horizontal_lines, 88, 1),
    };

    constexpr const shape_group frame_339_shape_groups[] = {
        shape_group(frame_339_shape_group_0_shapes),
        shape_group(frame_339_shape_group_1_shapes),
        shape_group(frame_339_shape_group_2_shapes),
        shape_group(frame_339_shape_group_3_shapes),
        shape_group(frame_339_shape_group_4_shapes),
        shape_group(frame_339_shape_group_5_shapes),
        shape_group(frame_339_shape_group_6_shapes),
        shape_group(frame_339_shape_group_7_shapes),
        shape_group(frame_339_shape_group_8_shapes),
        shape_group(frame_339_shape_group_9_shapes),
        shape_group(frame_339_shape_group_10_shapes),
    };

    constexpr const frame frame_339_impl(frame_339_colors, frame_339_shape_groups);
} 

const frame& frame_339()
{
    return frame_339_impl;
}

namespace
{
    constexpr const bn::color frame_340_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_340_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(13, 75),
        horizontal_line(27, 89),
        horizontal_line(41, 103),
        horizontal_line(0, 0),
        horizontal_line(0, 14),
        horizontal_line(3, 28),
        horizontal_line(6, 42),
        horizontal_line(9, 57),
        horizontal_line(24, 71),
        horizontal_line(39, 85),
        horizontal_line(54, 100),
        horizontal_line(69, 114),
        horizontal_line(84, 128),
        horizontal_line(99, 143),
        horizontal_line(114, 157),
        horizontal_line(129, 171),
        horizontal_line(144, 206),
        horizontal_line(159, 180),
        horizontal_line(174, 174),
        horizontal_line(188, 222),
        horizontal_line(189, 223),
        horizontal_line(190, 224),
        horizontal_line(11, 13),
        horizontal_line(13, 16),
        horizontal_line(16, 19),
        horizontal_line(19, 22),
        horizontal_line(22, 25),
        horizontal_line(25, 28),
        horizontal_line(28, 30),
        horizontal_line(31, 33),
        horizontal_line(34, 36),
        horizontal_line(37, 39),
        horizontal_line(40, 42),
        horizontal_line(43, 45),
        horizontal_line(46, 48),
        horizontal_line(49, 50),
        horizontal_line(52, 53),
        horizontal_line(55, 56),
        horizontal_line(58, 59),
        horizontal_line(61, 62),
        horizontal_line(64, 65),
        horizontal_line(64, 68),
        horizontal_line(64, 67),
        horizontal_line(63, 67),
        horizontal_line(63, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(62, 65),
        horizontal_line(61, 65),
        horizontal_line(61, 64),
        horizontal_line(60, 64),
        horizontal_line(60, 63),
        horizontal_line(59, 63),
        horizontal_line(59, 63),
        horizontal_line(59, 62),
        horizontal_line(58, 62),
        horizontal_line(58, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 61),
        horizontal_line(57, 60),
        horizontal_line(56, 60),
        horizontal_line(56, 59),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(54, 57),
        horizontal_line(53, 57),
        horizontal_line(53, 57),
        horizontal_line(18, 25),
        horizontal_line(19, 38),
        horizontal_line(20, 55),
        horizontal_line(21, 50),
        horizontal_line(23, 50),
        horizontal_line(108, 149),
        horizontal_line(115, 148),
    };

    constexpr const horizontal_line frame_340_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(211, 215),
        horizontal_line(210, 217),
        horizontal_line(209, 218),
        horizontal_line(208, 220),
        horizontal_line(207, 221),
        horizontal_line(206, 223),
        horizontal_line(205, 224),
        horizontal_line(204, 226),
        horizontal_line(203, 227),
        horizontal_line(202, 228),
        horizontal_line(201, 230),
        horizontal_line(200, 231),
        horizontal_line(201, 233),
        horizontal_line(202, 234),
        horizontal_line(203, 236),
        horizontal_line(205, 237),
        horizontal_line(206, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_340_shape_group_0_shapes[] = {
        shape(frame_340_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_340_shape_group_0_shape_1_horizontal_lines, 102, 15),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(75, 137),
        horizontal_line(89, 151),
        horizontal_line(103, 165),
        horizontal_line(55, 117),
        horizontal_line(69, 131),
        horizontal_line(82, 144),
        horizontal_line(96, 158),
        horizontal_line(110, 172),
        horizontal_line(124, 186),
        horizontal_line(138, 200),
        horizontal_line(151, 213),
        horizontal_line(165, 227),
        horizontal_line(179, 230),
        horizontal_line(193, 227),
        horizontal_line(207, 223),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(172, 220),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(206, 220),
        horizontal_line(186, 221),
        horizontal_line(187, 222),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(1, 6),
        horizontal_line(1, 8),
        horizontal_line(1, 11),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(191, 224),
        horizontal_line(192, 225),
        horizontal_line(193, 226),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(10, 18),
        horizontal_line(9, 21),
        horizontal_line(9, 24),
        horizontal_line(8, 27),
        horizontal_line(8, 30),
        horizontal_line(8, 33),
        horizontal_line(7, 36),
        horizontal_line(7, 39),
        horizontal_line(6, 42),
        horizontal_line(6, 45),
        horizontal_line(5, 48),
        horizontal_line(5, 51),
        horizontal_line(4, 54),
        horizontal_line(4, 57),
        horizontal_line(4, 60),
        horizontal_line(4, 63),
        horizontal_line(4, 63),
        horizontal_line(5, 63),
        horizontal_line(5, 62),
        horizontal_line(5, 62),
        horizontal_line(5, 61),
        horizontal_line(5, 61),
        horizontal_line(5, 61),
        horizontal_line(6, 60),
        horizontal_line(6, 60),
        horizontal_line(6, 59),
        horizontal_line(6, 59),
        horizontal_line(6, 58),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(116, 117),
        horizontal_line(115, 122),
        horizontal_line(115, 127),
        horizontal_line(114, 133),
        horizontal_line(114, 138),
        horizontal_line(114, 143),
        horizontal_line(113, 148),
        horizontal_line(113, 153),
        horizontal_line(113, 152),
        horizontal_line(112, 152),
        horizontal_line(112, 152),
        horizontal_line(112, 151),
        horizontal_line(111, 151),
        horizontal_line(111, 151),
        horizontal_line(111, 150),
        horizontal_line(52, 56),
        horizontal_line(52, 56),
        horizontal_line(109, 149),
        horizontal_line(54, 55),
        horizontal_line(109, 149),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(150, 162),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(212, 214),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(6, 16),
        horizontal_line(7, 15),
        horizontal_line(8, 13),
        horizontal_line(9, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(51, 113),
        horizontal_line(101, 163),
        horizontal_line(151, 194),
    };

    constexpr const horizontal_line frame_340_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_340_shape_group_1_shapes[] = {
        shape(frame_340_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_340_shape_group_1_shape_1_horizontal_lines, 41, 15),
        shape(frame_340_shape_group_1_shape_2_horizontal_lines, 42, 8),
        shape(frame_340_shape_group_1_shape_3_horizontal_lines, 45, 13),
        shape(frame_340_shape_group_1_shape_4_horizontal_lines, 48, 8),
        shape(frame_340_shape_group_1_shape_5_horizontal_lines, 51, 15),
        shape(frame_340_shape_group_1_shape_6_horizontal_lines, 79, 8),
        shape(frame_340_shape_group_1_shape_7_horizontal_lines, 100, 13),
        shape(frame_340_shape_group_1_shape_8_horizontal_lines, 101, 15),
        shape(frame_340_shape_group_1_shape_9_horizontal_lines, 102, 10),
        shape(frame_340_shape_group_1_shape_10_horizontal_lines, 114, 1),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(137, 199),
        horizontal_line(151, 213),
        horizontal_line(165, 227),
        horizontal_line(117, 179),
        horizontal_line(131, 193),
        horizontal_line(144, 206),
        horizontal_line(158, 220),
        horizontal_line(172, 234),
        horizontal_line(186, 239),
        horizontal_line(200, 239),
        horizontal_line(213, 238),
        horizontal_line(227, 234),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(129, 178),
        horizontal_line(144, 192),
        horizontal_line(158, 206),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(1, 4),
        horizontal_line(175, 187),
        horizontal_line(176, 188),
        horizontal_line(177, 189),
        horizontal_line(1, 10),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(11, 12),
        horizontal_line(10, 15),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(2, 9),
        horizontal_line(2, 8),
        horizontal_line(2, 8),
        horizontal_line(2, 7),
        horizontal_line(2, 7),
        horizontal_line(3, 7),
        horizontal_line(3, 6),
        horizontal_line(3, 6),
        horizontal_line(3, 5),
        horizontal_line(3, 5),
        horizontal_line(3, 4),
        horizontal_line(4, 4),
        horizontal_line(190, 222),
        horizontal_line(190, 222),
        horizontal_line(190, 221),
        horizontal_line(189, 221),
        horizontal_line(189, 221),
        horizontal_line(189, 220),
        horizontal_line(189, 220),
        horizontal_line(189, 220),
        horizontal_line(188, 220),
        horizontal_line(188, 219),
        horizontal_line(188, 219),
        horizontal_line(188, 219),
        horizontal_line(188, 219),
        horizontal_line(187, 218),
        horizontal_line(187, 218),
        horizontal_line(187, 218),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(6, 58),
        horizontal_line(7, 58),
        horizontal_line(7, 57),
        horizontal_line(7, 57),
        horizontal_line(7, 56),
        horizontal_line(7, 56),
        horizontal_line(7, 56),
        horizontal_line(8, 55),
        horizontal_line(9, 55),
        horizontal_line(10, 54),
        horizontal_line(11, 54),
        horizontal_line(12, 53),
        horizontal_line(13, 53),
        horizontal_line(14, 53),
        horizontal_line(16, 52),
        horizontal_line(17, 52),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(110, 150),
        horizontal_line(110, 150),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(150, 165),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(109, 149),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(150, 163),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(4, 20),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(162, 176),
        horizontal_line(163, 175),
        horizontal_line(164, 174),
        horizontal_line(165, 173),
        horizontal_line(167, 172),
        horizontal_line(168, 171),
        horizontal_line(169, 170),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(113, 175),
        horizontal_line(163, 188),
    };

    constexpr const horizontal_line frame_340_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const shape frame_340_shape_group_2_shapes[] = {
        shape(frame_340_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_340_shape_group_2_shape_1_horizontal_lines, 38, 15),
        shape(frame_340_shape_group_2_shape_2_horizontal_lines, 41, 13),
        shape(frame_340_shape_group_2_shape_3_horizontal_lines, 49, 15),
        shape(frame_340_shape_group_2_shape_4_horizontal_lines, 51, 13),
        shape(frame_340_shape_group_2_shape_5_horizontal_lines, 79, 15),
        shape(frame_340_shape_group_2_shape_6_horizontal_lines, 95, 8),
        shape(frame_340_shape_group_2_shape_7_horizontal_lines, 97, 13),
        shape(frame_340_shape_group_2_shape_8_horizontal_lines, 98, 8),
        shape(frame_340_shape_group_2_shape_9_horizontal_lines, 99, 13),
        shape(frame_340_shape_group_2_shape_10_horizontal_lines, 100, 10),
        shape(frame_340_shape_group_2_shape_11_horizontal_lines, 101, 13),
        shape(frame_340_shape_group_2_shape_12_horizontal_lines, 102, 10),
        shape(frame_340_shape_group_2_shape_13_horizontal_lines, 113, 1),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(199, 239),
        horizontal_line(213, 239),
        horizontal_line(227, 239),
        horizontal_line(179, 239),
        horizontal_line(193, 239),
        horizontal_line(206, 239),
        horizontal_line(220, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(72, 123),
        horizontal_line(86, 137),
        horizontal_line(101, 150),
        horizontal_line(115, 164),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(181, 185),
        horizontal_line(175, 186),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(178, 190),
        horizontal_line(1, 10),
        horizontal_line(2, 9),
        horizontal_line(181, 181),
        horizontal_line(192, 225),
        horizontal_line(192, 225),
        horizontal_line(192, 224),
        horizontal_line(192, 224),
        horizontal_line(191, 224),
        horizontal_line(191, 224),
        horizontal_line(191, 223),
        horizontal_line(191, 223),
        horizontal_line(191, 223),
        horizontal_line(190, 222),
        horizontal_line(190, 222),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(57, 77),
        horizontal_line(60, 77),
        horizontal_line(63, 76),
        horizontal_line(66, 76),
        horizontal_line(69, 76),
        horizontal_line(72, 75),
        horizontal_line(111, 173),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
        horizontal_line(112, 174),
        horizontal_line(111, 173),
        horizontal_line(111, 173),
        horizontal_line(111, 173),
        horizontal_line(110, 172),
        horizontal_line(110, 172),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(187, 217),
        horizontal_line(187, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 217),
        horizontal_line(186, 216),
        horizontal_line(186, 216),
        horizontal_line(186, 216),
        horizontal_line(185, 215),
        horizontal_line(154, 154),
        horizontal_line(153, 170),
        horizontal_line(153, 172),
        horizontal_line(153, 172),
        horizontal_line(152, 171),
        horizontal_line(152, 170),
        horizontal_line(152, 169),
        horizontal_line(151, 168),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(26, 51),
        horizontal_line(39, 51),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(191, 212),
        horizontal_line(150, 164),
        horizontal_line(205, 212),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(84, 98),
        horizontal_line(5, 18),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(216, 216),
        horizontal_line(218, 218),
        horizontal_line(219, 220),
        horizontal_line(221, 222),
        horizontal_line(222, 225),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 115),
        horizontal_line(124, 169),
        horizontal_line(125, 176),
        horizontal_line(175, 182),
    };

    constexpr const horizontal_line frame_340_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(231, 238),
    };

    constexpr const shape frame_340_shape_group_3_shapes[] = {
        shape(frame_340_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_340_shape_group_3_shape_1_horizontal_lines, 34, 15),
        shape(frame_340_shape_group_3_shape_2_horizontal_lines, 38, 13),
        shape(frame_340_shape_group_3_shape_3_horizontal_lines, 41, 11),
        shape(frame_340_shape_group_3_shape_4_horizontal_lines, 42, 13),
        shape(frame_340_shape_group_3_shape_5_horizontal_lines, 63, 11),
        shape(frame_340_shape_group_3_shape_6_horizontal_lines, 79, 13),
        shape(frame_340_shape_group_3_shape_7_horizontal_lines, 95, 15),
        shape(frame_340_shape_group_3_shape_8_horizontal_lines, 97, 13),
        shape(frame_340_shape_group_3_shape_9_horizontal_lines, 100, 10),
        shape(frame_340_shape_group_3_shape_10_horizontal_lines, 102, 1),
        shape(frame_340_shape_group_3_shape_11_horizontal_lines, 107, 10),
        shape(frame_340_shape_group_3_shape_12_horizontal_lines, 112, 1),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 26),
        horizontal_line(0, 40),
        horizontal_line(1, 54),
        horizontal_line(15, 68),
        horizontal_line(29, 81),
        horizontal_line(43, 95),
        horizontal_line(58, 109),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(231, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(179, 191),
        horizontal_line(180, 192),
        horizontal_line(192, 225),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(26, 88),
        horizontal_line(29, 91),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(51, 83),
        horizontal_line(54, 78),
        horizontal_line(94, 156),
        horizontal_line(99, 161),
        horizontal_line(101, 163),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(108, 170),
        horizontal_line(173, 176),
        horizontal_line(174, 176),
        horizontal_line(175, 175),
        horizontal_line(174, 175),
        horizontal_line(174, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 175),
        horizontal_line(173, 174),
        horizontal_line(172, 174),
        horizontal_line(172, 174),
        horizontal_line(113, 174),
        horizontal_line(118, 174),
        horizontal_line(123, 173),
        horizontal_line(128, 173),
        horizontal_line(134, 173),
        horizontal_line(139, 173),
        horizontal_line(144, 173),
        horizontal_line(149, 172),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(185, 215),
        horizontal_line(185, 215),
        horizontal_line(185, 215),
        horizontal_line(185, 214),
        horizontal_line(184, 214),
        horizontal_line(184, 214),
        horizontal_line(184, 213),
        horizontal_line(184, 213),
        horizontal_line(151, 167),
        horizontal_line(151, 166),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(1, 19),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(198, 212),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(3, 22),
        horizontal_line(163, 178),
        horizontal_line(162, 177),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(17, 79),
        horizontal_line(16, 78),
        horizontal_line(14, 76),
        horizontal_line(12, 74),
        horizontal_line(11, 73),
    };

    constexpr const horizontal_line frame_340_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(224, 227),
        horizontal_line(225, 229),
        horizontal_line(227, 231),
        horizontal_line(228, 233),
        horizontal_line(229, 235),
    };

    constexpr const shape frame_340_shape_group_4_shapes[] = {
        shape(frame_340_shape_group_4_shape_0_horizontal_lines, 26, 15),
        shape(frame_340_shape_group_4_shape_1_horizontal_lines, 34, 13),
        shape(frame_340_shape_group_4_shape_2_horizontal_lines, 40, 11),
        shape(frame_340_shape_group_4_shape_3_horizontal_lines, 43, 13),
        shape(frame_340_shape_group_4_shape_4_horizontal_lines, 45, 11),
        shape(frame_340_shape_group_4_shape_5_horizontal_lines, 48, 13),
        shape(frame_340_shape_group_4_shape_6_horizontal_lines, 52, 11),
        shape(frame_340_shape_group_4_shape_7_horizontal_lines, 87, 13),
        shape(frame_340_shape_group_4_shape_8_horizontal_lines, 97, 10),
        shape(frame_340_shape_group_4_shape_9_horizontal_lines, 98, 13),
        shape(frame_340_shape_group_4_shape_10_horizontal_lines, 99, 10),
        shape(frame_340_shape_group_4_shape_11_horizontal_lines, 102, 3),
        shape(frame_340_shape_group_4_shape_12_horizontal_lines, 107, 1),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(8, 23),
        horizontal_line(7, 38),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(2, 64),
        horizontal_line(1, 63),
        horizontal_line(62, 113),
        horizontal_line(124, 128),
        horizontal_line(63, 125),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(14, 76),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(226, 233),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(20, 82),
        horizontal_line(23, 85),
        horizontal_line(88, 150),
        horizontal_line(91, 153),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(85, 147),
        horizontal_line(89, 151),
        horizontal_line(156, 177),
        horizontal_line(161, 177),
        horizontal_line(163, 177),
        horizontal_line(165, 176),
        horizontal_line(168, 176),
        horizontal_line(170, 176),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(76, 79),
        horizontal_line(75, 79),
        horizontal_line(75, 79),
        horizontal_line(75, 78),
        horizontal_line(74, 78),
        horizontal_line(74, 77),
        horizontal_line(73, 77),
        horizontal_line(73, 77),
        horizontal_line(73, 76),
        horizontal_line(72, 76),
        horizontal_line(72, 76),
        horizontal_line(71, 75),
        horizontal_line(71, 75),
        horizontal_line(71, 74),
        horizontal_line(70, 74),
        horizontal_line(70, 74),
        horizontal_line(69, 73),
        horizontal_line(69, 73),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(155, 172),
        horizontal_line(171, 172),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 11),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(184, 213),
        horizontal_line(184, 213),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(65, 69),
        horizontal_line(2, 20),
        horizontal_line(64, 68),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(105, 107),
    };

    constexpr const horizontal_line frame_340_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(19, 81),
        horizontal_line(79, 141),
        horizontal_line(78, 140),
        horizontal_line(76, 138),
        horizontal_line(74, 136),
        horizontal_line(73, 135),
        horizontal_line(63, 125),
        horizontal_line(116, 168),
        horizontal_line(170, 170),
    };

    constexpr const shape frame_340_shape_group_5_shapes[] = {
        shape(frame_340_shape_group_5_shape_0_horizontal_lines, 31, 13),
        shape(frame_340_shape_group_5_shape_1_horizontal_lines, 34, 11),
        shape(frame_340_shape_group_5_shape_2_horizontal_lines, 36, 13),
        shape(frame_340_shape_group_5_shape_3_horizontal_lines, 38, 11),
        shape(frame_340_shape_group_5_shape_4_horizontal_lines, 49, 13),
        shape(frame_340_shape_group_5_shape_5_horizontal_lines, 50, 11),
        shape(frame_340_shape_group_5_shape_6_horizontal_lines, 69, 10),
        shape(frame_340_shape_group_5_shape_7_horizontal_lines, 87, 11),
        shape(frame_340_shape_group_5_shape_8_horizontal_lines, 89, 10),
        shape(frame_340_shape_group_5_shape_9_horizontal_lines, 95, 13),
        shape(frame_340_shape_group_5_shape_10_horizontal_lines, 97, 10),
        shape(frame_340_shape_group_5_shape_11_horizontal_lines, 100, 1),
        shape(frame_340_shape_group_5_shape_12_horizontal_lines, 101, 3),
    };

    constexpr const horizontal_line frame_340_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(5, 53),
        horizontal_line(4, 66),
        horizontal_line(64, 83),
        horizontal_line(63, 98),
    };

    constexpr const horizontal_line frame_340_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(125, 143),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(131, 174),
        horizontal_line(133, 175),
        horizontal_line(136, 176),
        horizontal_line(76, 138),
        horizontal_line(17, 79),
        horizontal_line(82, 144),
        horizontal_line(85, 147),
        horizontal_line(150, 179),
        horizontal_line(153, 179),
        horizontal_line(155, 179),
        horizontal_line(158, 179),
        horizontal_line(161, 178),
        horizontal_line(164, 178),
        horizontal_line(167, 178),
        horizontal_line(170, 178),
        horizontal_line(173, 178),
        horizontal_line(147, 177),
        horizontal_line(151, 177),
    };

    constexpr const horizontal_line frame_340_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(78, 82),
        horizontal_line(78, 81),
        horizontal_line(77, 81),
        horizontal_line(77, 81),
        horizontal_line(77, 80),
        horizontal_line(76, 80),
        horizontal_line(96, 110),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(94, 108),
        horizontal_line(94, 108),
        horizontal_line(94, 108),
        horizontal_line(93, 107),
        horizontal_line(93, 107),
        horizontal_line(93, 107),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(91, 106),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(90, 104),
        horizontal_line(90, 104),
        horizontal_line(90, 104),
        horizontal_line(89, 103),
        horizontal_line(4, 8),
        horizontal_line(1, 9),
        horizontal_line(68, 72),
        horizontal_line(68, 71),
        horizontal_line(67, 71),
        horizontal_line(67, 71),
        horizontal_line(66, 70),
        horizontal_line(66, 70),
        horizontal_line(0, 17),
        horizontal_line(0, 18),
        horizontal_line(85, 99),
        horizontal_line(64, 68),
        horizontal_line(84, 99),
    };

    constexpr const horizontal_line frame_340_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(21, 68),
        horizontal_line(81, 114),
        horizontal_line(141, 161),
        horizontal_line(140, 162),
        horizontal_line(138, 163),
        horizontal_line(136, 164),
        horizontal_line(135, 166),
        horizontal_line(125, 167),
    };

    constexpr const shape frame_340_shape_group_6_shapes[] = {
        shape(frame_340_shape_group_6_shape_0_horizontal_lines, 36, 11),
        shape(frame_340_shape_group_6_shape_1_horizontal_lines, 42, 11),
        shape(frame_340_shape_group_6_shape_2_horizontal_lines, 63, 10),
        shape(frame_340_shape_group_6_shape_3_horizontal_lines, 100, 3),
    };

    constexpr const horizontal_line frame_340_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_340_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(127, 158),
        horizontal_line(129, 173),
    };

    constexpr const horizontal_line frame_340_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(138, 177),
        horizontal_line(79, 141),
        horizontal_line(144, 179),
        horizontal_line(147, 180),
    };

    constexpr const horizontal_line frame_340_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(79, 82),
    };

    constexpr const horizontal_line frame_340_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 100),
        horizontal_line(97, 102),
        horizontal_line(96, 105),
        horizontal_line(96, 107),
    };

    constexpr const horizontal_line frame_340_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_340_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(69, 72),
        horizontal_line(68, 72),
        horizontal_line(88, 102),
        horizontal_line(88, 102),
        horizontal_line(87, 102),
        horizontal_line(87, 101),
        horizontal_line(86, 101),
        horizontal_line(86, 100),
        horizontal_line(66, 69),
        horizontal_line(65, 69),
        horizontal_line(166, 181),
        horizontal_line(85, 99),
        horizontal_line(164, 179),
    };

    constexpr const shape frame_340_shape_group_7_shapes[] = {
        shape(frame_340_shape_group_7_shape_0_horizontal_lines, 37, 11),
        shape(frame_340_shape_group_7_shape_1_horizontal_lines, 43, 11),
        shape(frame_340_shape_group_7_shape_2_horizontal_lines, 48, 11),
        shape(frame_340_shape_group_7_shape_3_horizontal_lines, 62, 10),
        shape(frame_340_shape_group_7_shape_4_horizontal_lines, 64, 10),
        shape(frame_340_shape_group_7_shape_5_horizontal_lines, 80, 1),
        shape(frame_340_shape_group_7_shape_6_horizontal_lines, 87, 10),
    };

    constexpr const horizontal_line frame_340_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(141, 178),
    };

    constexpr const horizontal_line frame_340_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(89, 103),
        horizontal_line(88, 103),
    };

    constexpr const horizontal_line frame_340_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(109, 111),
        horizontal_line(109, 111),
    };

    constexpr const horizontal_line frame_340_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(172, 173),
        horizontal_line(171, 175),
        horizontal_line(170, 177),
        horizontal_line(169, 179),
        horizontal_line(86, 100),
        horizontal_line(85, 100),
    };

    constexpr const horizontal_line frame_340_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(106, 108),
    };

    constexpr const horizontal_line frame_340_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(165, 180),
    };

    constexpr const horizontal_line frame_340_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(51, 55),
    };

    constexpr const shape frame_340_shape_group_8_shapes[] = {
        shape(frame_340_shape_group_8_shape_0_horizontal_lines, 49, 11),
        shape(frame_340_shape_group_8_shape_1_horizontal_lines, 87, 10),
        shape(frame_340_shape_group_8_shape_2_horizontal_lines, 89, 1),
        shape(frame_340_shape_group_8_shape_3_horizontal_lines, 91, 10),
        shape(frame_340_shape_group_8_shape_4_horizontal_lines, 97, 1),
        shape(frame_340_shape_group_8_shape_5_horizontal_lines, 98, 10),
        shape(frame_340_shape_group_8_shape_6_horizontal_lines, 99, 1),
    };

    constexpr const horizontal_line frame_340_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(110, 112),
        horizontal_line(109, 112),
    };

    constexpr const horizontal_line frame_340_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(108, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(107, 110),
    };

    constexpr const horizontal_line frame_340_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(168, 181),
        horizontal_line(167, 183),
    };

    constexpr const horizontal_line frame_340_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(51, 53),
        horizontal_line(106, 108),
    };

    constexpr const shape frame_340_shape_group_9_shapes[] = {
        shape(frame_340_shape_group_9_shape_0_horizontal_lines, 87, 1),
        shape(frame_340_shape_group_9_shape_1_horizontal_lines, 91, 1),
        shape(frame_340_shape_group_9_shape_2_horizontal_lines, 95, 10),
        shape(frame_340_shape_group_9_shape_3_horizontal_lines, 98, 1),
    };

    constexpr const horizontal_line frame_340_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(107, 109),
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_340_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(106, 108),
    };

    constexpr const shape frame_340_shape_group_10_shapes[] = {
        shape(frame_340_shape_group_10_shape_0_horizontal_lines, 95, 1),
        shape(frame_340_shape_group_10_shape_1_horizontal_lines, 98, 1),
    };

    constexpr const shape_group frame_340_shape_groups[] = {
        shape_group(frame_340_shape_group_0_shapes),
        shape_group(frame_340_shape_group_1_shapes),
        shape_group(frame_340_shape_group_2_shapes),
        shape_group(frame_340_shape_group_3_shapes),
        shape_group(frame_340_shape_group_4_shapes),
        shape_group(frame_340_shape_group_5_shapes),
        shape_group(frame_340_shape_group_6_shapes),
        shape_group(frame_340_shape_group_7_shapes),
        shape_group(frame_340_shape_group_8_shapes),
        shape_group(frame_340_shape_group_9_shapes),
        shape_group(frame_340_shape_group_10_shapes),
    };

    constexpr const frame frame_340_impl(frame_340_colors, frame_340_shape_groups);
} 

const frame& frame_340()
{
    return frame_340_impl;
}

namespace
{
    constexpr const bn::color frame_341_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_341_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(15, 77),
        horizontal_line(31, 93),
        horizontal_line(47, 109),
        horizontal_line(62, 124),
        horizontal_line(0, 0),
        horizontal_line(0, 16),
        horizontal_line(0, 32),
        horizontal_line(0, 49),
        horizontal_line(16, 65),
        horizontal_line(33, 81),
        horizontal_line(49, 98),
        horizontal_line(66, 114),
        horizontal_line(82, 130),
        horizontal_line(99, 147),
        horizontal_line(115, 163),
        horizontal_line(132, 179),
        horizontal_line(148, 210),
        horizontal_line(165, 189),
        horizontal_line(182, 182),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(15, 17),
        horizontal_line(18, 20),
        horizontal_line(21, 23),
        horizontal_line(24, 26),
        horizontal_line(27, 29),
        horizontal_line(29, 32),
        horizontal_line(32, 35),
        horizontal_line(35, 38),
        horizontal_line(38, 41),
        horizontal_line(41, 44),
        horizontal_line(44, 47),
        horizontal_line(47, 50),
        horizontal_line(49, 53),
        horizontal_line(52, 56),
        horizontal_line(55, 59),
        horizontal_line(58, 62),
        horizontal_line(61, 65),
        horizontal_line(64, 68),
        horizontal_line(67, 71),
        horizontal_line(67, 70),
        horizontal_line(67, 70),
        horizontal_line(66, 69),
        horizontal_line(66, 69),
        horizontal_line(65, 69),
        horizontal_line(65, 68),
        horizontal_line(64, 68),
        horizontal_line(64, 68),
        horizontal_line(64, 67),
        horizontal_line(63, 67),
        horizontal_line(63, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(61, 65),
        horizontal_line(61, 65),
        horizontal_line(61, 65),
        horizontal_line(60, 64),
        horizontal_line(60, 64),
        horizontal_line(59, 63),
        horizontal_line(59, 63),
        horizontal_line(58, 63),
        horizontal_line(58, 62),
        horizontal_line(58, 62),
        horizontal_line(57, 62),
        horizontal_line(57, 61),
        horizontal_line(56, 61),
        horizontal_line(5, 13),
        horizontal_line(7, 27),
        horizontal_line(8, 40),
        horizontal_line(9, 59),
        horizontal_line(10, 53),
        horizontal_line(11, 53),
        horizontal_line(13, 52),
        horizontal_line(14, 52),
        horizontal_line(15, 52),
        horizontal_line(16, 51),
        horizontal_line(18, 51),
        horizontal_line(110, 151),
        horizontal_line(118, 150),
    };

    constexpr const horizontal_line frame_341_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(223, 225),
        horizontal_line(222, 227),
        horizontal_line(221, 228),
        horizontal_line(220, 230),
        horizontal_line(219, 231),
        horizontal_line(218, 233),
        horizontal_line(217, 234),
        horizontal_line(216, 236),
        horizontal_line(215, 237),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_341_shape_group_0_shapes[] = {
        shape(frame_341_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_341_shape_group_0_shape_1_horizontal_lines, 106, 15),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(77, 139),
        horizontal_line(93, 155),
        horizontal_line(109, 171),
        horizontal_line(124, 186),
        horizontal_line(78, 140),
        horizontal_line(94, 156),
        horizontal_line(110, 172),
        horizontal_line(125, 187),
        horizontal_line(141, 203),
        horizontal_line(157, 219),
        horizontal_line(173, 235),
        horizontal_line(188, 239),
        horizontal_line(204, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(164, 226),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(217, 235),
        horizontal_line(210, 236),
        horizontal_line(196, 237),
        horizontal_line(197, 238),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 203),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(14, 23),
        horizontal_line(13, 26),
        horizontal_line(13, 28),
        horizontal_line(12, 31),
        horizontal_line(12, 34),
        horizontal_line(12, 37),
        horizontal_line(11, 40),
        horizontal_line(11, 43),
        horizontal_line(10, 46),
        horizontal_line(10, 48),
        horizontal_line(9, 51),
        horizontal_line(9, 54),
        horizontal_line(8, 57),
        horizontal_line(8, 60),
        horizontal_line(8, 63),
        horizontal_line(7, 66),
        horizontal_line(7, 66),
        horizontal_line(6, 66),
        horizontal_line(6, 65),
        horizontal_line(5, 65),
        horizontal_line(5, 64),
        horizontal_line(4, 64),
        horizontal_line(4, 63),
        horizontal_line(4, 63),
        horizontal_line(3, 63),
        horizontal_line(3, 62),
        horizontal_line(2, 62),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(116, 120),
        horizontal_line(118, 125),
        horizontal_line(117, 131),
        horizontal_line(117, 136),
        horizontal_line(117, 141),
        horizontal_line(116, 147),
        horizontal_line(116, 152),
        horizontal_line(116, 157),
        horizontal_line(115, 156),
        horizontal_line(115, 156),
        horizontal_line(115, 156),
        horizontal_line(114, 155),
        horizontal_line(114, 155),
        horizontal_line(114, 155),
        horizontal_line(56, 60),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(112, 153),
        horizontal_line(57, 59),
        horizontal_line(112, 153),
        horizontal_line(111, 152),
        horizontal_line(111, 152),
        horizontal_line(111, 152),
        horizontal_line(110, 151),
        horizontal_line(110, 151),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(152, 168),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(224, 224),
    };

    constexpr const horizontal_line frame_341_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(1, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 45),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(42, 104),
        horizontal_line(84, 146),
        horizontal_line(126, 188),
        horizontal_line(168, 203),
    };

    constexpr const shape frame_341_shape_group_1_shapes[] = {
        shape(frame_341_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_341_shape_group_1_shape_1_horizontal_lines, 38, 15),
        shape(frame_341_shape_group_1_shape_2_horizontal_lines, 39, 8),
        shape(frame_341_shape_group_1_shape_3_horizontal_lines, 43, 13),
        shape(frame_341_shape_group_1_shape_4_horizontal_lines, 48, 8),
        shape(frame_341_shape_group_1_shape_5_horizontal_lines, 51, 15),
        shape(frame_341_shape_group_1_shape_6_horizontal_lines, 78, 8),
        shape(frame_341_shape_group_1_shape_7_horizontal_lines, 104, 13),
        shape(frame_341_shape_group_1_shape_8_horizontal_lines, 105, 15),
        shape(frame_341_shape_group_1_shape_9_horizontal_lines, 106, 10),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(139, 201),
        horizontal_line(155, 217),
        horizontal_line(171, 233),
        horizontal_line(186, 239),
        horizontal_line(140, 202),
        horizontal_line(156, 218),
        horizontal_line(172, 234),
        horizontal_line(187, 239),
        horizontal_line(203, 239),
        horizontal_line(219, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(115, 177),
        horizontal_line(131, 193),
        horizontal_line(148, 210),
        horizontal_line(226, 235),
        horizontal_line(180, 216),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(182, 197),
        horizontal_line(183, 197),
        horizontal_line(184, 198),
        horizontal_line(185, 199),
        horizontal_line(185, 199),
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(15, 17),
        horizontal_line(14, 20),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(2, 61),
        horizontal_line(1, 61),
        horizontal_line(1, 60),
        horizontal_line(1, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(1, 57),
        horizontal_line(1, 57),
        horizontal_line(1, 57),
        horizontal_line(2, 56),
        horizontal_line(3, 56),
        horizontal_line(4, 55),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(113, 154),
        horizontal_line(113, 154),
        horizontal_line(113, 154),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(154, 176),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(112, 153),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(154, 174),
        horizontal_line(153, 173),
        horizontal_line(153, 172),
        horizontal_line(153, 171),
        horizontal_line(152, 170),
        horizontal_line(152, 169),
        horizontal_line(215, 224),
        horizontal_line(151, 167),
    };

    constexpr const horizontal_line frame_341_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(168, 184),
        horizontal_line(169, 183),
        horizontal_line(170, 181),
        horizontal_line(171, 180),
        horizontal_line(172, 179),
        horizontal_line(173, 178),
        horizontal_line(174, 177),
        horizontal_line(175, 176),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(104, 166),
        horizontal_line(146, 192),
        horizontal_line(188, 198),
    };

    constexpr const shape frame_341_shape_group_2_shapes[] = {
        shape(frame_341_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_341_shape_group_2_shape_1_horizontal_lines, 35, 15),
        shape(frame_341_shape_group_2_shape_2_horizontal_lines, 40, 13),
        shape(frame_341_shape_group_2_shape_3_horizontal_lines, 49, 15),
        shape(frame_341_shape_group_2_shape_4_horizontal_lines, 51, 13),
        shape(frame_341_shape_group_2_shape_5_horizontal_lines, 78, 15),
        shape(frame_341_shape_group_2_shape_6_horizontal_lines, 93, 8),
        shape(frame_341_shape_group_2_shape_7_horizontal_lines, 96, 13),
        shape(frame_341_shape_group_2_shape_8_horizontal_lines, 97, 8),
        shape(frame_341_shape_group_2_shape_9_horizontal_lines, 98, 13),
        shape(frame_341_shape_group_2_shape_10_horizontal_lines, 106, 10),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(201, 239),
        horizontal_line(217, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 61),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(218, 239),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(50, 112),
        horizontal_line(66, 128),
        horizontal_line(82, 144),
        horizontal_line(99, 161),
        horizontal_line(177, 187),
        horizontal_line(193, 203),
        horizontal_line(210, 219),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(190, 195),
        horizontal_line(183, 196),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(16, 78),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(186, 200),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 238),
        horizontal_line(200, 238),
        horizontal_line(200, 238),
        horizontal_line(199, 237),
        horizontal_line(199, 237),
        horizontal_line(199, 237),
        horizontal_line(199, 236),
        horizontal_line(199, 236),
        horizontal_line(198, 236),
        horizontal_line(198, 235),
        horizontal_line(198, 235),
        horizontal_line(198, 235),
        horizontal_line(197, 234),
        horizontal_line(197, 234),
        horizontal_line(197, 234),
        horizontal_line(197, 233),
        horizontal_line(196, 233),
        horizontal_line(196, 233),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(195, 231),
        horizontal_line(195, 231),
        horizontal_line(195, 230),
        horizontal_line(194, 230),
        horizontal_line(158, 158),
        horizontal_line(157, 170),
        horizontal_line(157, 179),
        horizontal_line(157, 179),
        horizontal_line(156, 178),
        horizontal_line(156, 178),
        horizontal_line(156, 178),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(14, 55),
        horizontal_line(28, 54),
        horizontal_line(41, 54),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(192, 226),
        horizontal_line(154, 175),
        horizontal_line(191, 226),
        horizontal_line(191, 225),
        horizontal_line(191, 225),
        horizontal_line(191, 225),
        horizontal_line(199, 224),
        horizontal_line(207, 224),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(226, 226),
        horizontal_line(228, 229),
        horizontal_line(229, 231),
        horizontal_line(231, 234),
        horizontal_line(232, 236),
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 124),
        horizontal_line(124, 175),
        horizontal_line(125, 181),
        horizontal_line(166, 187),
    };

    constexpr const shape frame_341_shape_group_3_shapes[] = {
        shape(frame_341_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_341_shape_group_3_shape_1_horizontal_lines, 27, 15),
        shape(frame_341_shape_group_3_shape_2_horizontal_lines, 28, 8),
        shape(frame_341_shape_group_3_shape_3_horizontal_lines, 31, 15),
        shape(frame_341_shape_group_3_shape_4_horizontal_lines, 38, 13),
        shape(frame_341_shape_group_3_shape_5_horizontal_lines, 43, 11),
        shape(frame_341_shape_group_3_shape_6_horizontal_lines, 48, 13),
        shape(frame_341_shape_group_3_shape_7_horizontal_lines, 93, 15),
        shape(frame_341_shape_group_3_shape_8_horizontal_lines, 96, 13),
        shape(frame_341_shape_group_3_shape_9_horizontal_lines, 104, 10),
        shape(frame_341_shape_group_3_shape_10_horizontal_lines, 106, 1),
        shape(frame_341_shape_group_3_shape_11_horizontal_lines, 112, 10),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 30),
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(1, 63),
        horizontal_line(17, 79),
        horizontal_line(33, 95),
        horizontal_line(112, 124),
        horizontal_line(128, 140),
        horizontal_line(144, 156),
        horizontal_line(161, 172),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(78, 140),
        horizontal_line(18, 80),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(187, 201),
        horizontal_line(188, 202),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(27, 89),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(51, 113),
        horizontal_line(54, 83),
        horizontal_line(57, 82),
        horizontal_line(60, 81),
        horizontal_line(63, 80),
        horizontal_line(66, 80),
        horizontal_line(69, 79),
        horizontal_line(72, 79),
        horizontal_line(75, 79),
        horizontal_line(112, 174),
        horizontal_line(113, 175),
        horizontal_line(115, 177),
        horizontal_line(114, 176),
        horizontal_line(114, 176),
        horizontal_line(114, 176),
        horizontal_line(113, 175),
        horizontal_line(113, 175),
        horizontal_line(113, 175),
        horizontal_line(112, 174),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(196, 232),
        horizontal_line(196, 232),
        horizontal_line(195, 232),
        horizontal_line(195, 231),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(137, 180),
        horizontal_line(142, 180),
        horizontal_line(148, 180),
        horizontal_line(153, 179),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(194, 230),
        horizontal_line(194, 229),
        horizontal_line(194, 229),
        horizontal_line(193, 229),
        horizontal_line(193, 228),
        horizontal_line(193, 228),
        horizontal_line(193, 228),
        horizontal_line(155, 178),
        horizontal_line(155, 178),
        horizontal_line(155, 177),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(191, 226),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 13),
        horizontal_line(0, 14),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(81, 96),
        horizontal_line(168, 185),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(12, 74),
        horizontal_line(10, 72),
        horizontal_line(8, 70),
        horizontal_line(6, 68),
        horizontal_line(4, 66),
        horizontal_line(46, 108),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_15_horizontal_lines[] = {
        horizontal_line(124, 131),
    };

    constexpr const horizontal_line frame_341_shape_group_4_shape_16_horizontal_lines[] = {
        horizontal_line(238, 239),
    };

    constexpr const shape frame_341_shape_group_4_shapes[] = {
        shape(frame_341_shape_group_4_shape_0_horizontal_lines, 24, 15),
        shape(frame_341_shape_group_4_shape_1_horizontal_lines, 28, 15),
        shape(frame_341_shape_group_4_shape_2_horizontal_lines, 35, 11),
        shape(frame_341_shape_group_4_shape_3_horizontal_lines, 41, 13),
        shape(frame_341_shape_group_4_shape_4_horizontal_lines, 43, 11),
        shape(frame_341_shape_group_4_shape_5_horizontal_lines, 49, 13),
        shape(frame_341_shape_group_4_shape_6_horizontal_lines, 51, 11),
        shape(frame_341_shape_group_4_shape_7_horizontal_lines, 78, 13),
        shape(frame_341_shape_group_4_shape_8_horizontal_lines, 82, 11),
        shape(frame_341_shape_group_4_shape_9_horizontal_lines, 86, 13),
        shape(frame_341_shape_group_4_shape_10_horizontal_lines, 96, 10),
        shape(frame_341_shape_group_4_shape_11_horizontal_lines, 97, 13),
        shape(frame_341_shape_group_4_shape_12_horizontal_lines, 98, 10),
        shape(frame_341_shape_group_4_shape_13_horizontal_lines, 106, 3),
        shape(frame_341_shape_group_4_shape_14_horizontal_lines, 112, 1),
        shape(frame_341_shape_group_4_shape_15_horizontal_lines, 113, 10),
        shape(frame_341_shape_group_4_shape_16_horizontal_lines, 114, 1),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(63, 77),
        horizontal_line(79, 93),
        horizontal_line(95, 109),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 48),
        horizontal_line(62, 65),
        horizontal_line(62, 81),
        horizontal_line(62, 98),
        horizontal_line(62, 114),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(131, 181),
        horizontal_line(133, 182),
        horizontal_line(135, 183),
        horizontal_line(137, 184),
        horizontal_line(140, 184),
        horizontal_line(80, 142),
        horizontal_line(21, 83),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(89, 151),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(110, 172),
        horizontal_line(113, 175),
        horizontal_line(85, 147),
        horizontal_line(91, 153),
        horizontal_line(98, 160),
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(174, 183),
        horizontal_line(175, 183),
        horizontal_line(177, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 182),
        horizontal_line(176, 182),
        horizontal_line(175, 182),
        horizontal_line(175, 181),
        horizontal_line(175, 181),
        horizontal_line(174, 181),
        horizontal_line(116, 178),
        horizontal_line(121, 181),
        horizontal_line(126, 180),
        horizontal_line(132, 180),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(74, 74),
        horizontal_line(73, 74),
        horizontal_line(73, 73),
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(159, 179),
        horizontal_line(171, 179),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(71, 72),
        horizontal_line(71, 72),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(192, 227),
        horizontal_line(192, 227),
        horizontal_line(192, 227),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(68, 69),
        horizontal_line(0, 9),
        horizontal_line(68, 68),
        horizontal_line(67, 68),
        horizontal_line(67, 67),
        horizontal_line(66, 67),
        horizontal_line(66, 67),
        horizontal_line(66, 66),
        horizontal_line(169, 186),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(14, 76),
        horizontal_line(74, 136),
        horizontal_line(72, 134),
        horizontal_line(70, 132),
        horizontal_line(68, 130),
        horizontal_line(66, 128),
        horizontal_line(108, 170),
        horizontal_line(89, 151),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_341_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(176, 176),
    };

    constexpr const shape frame_341_shape_group_5_shapes[] = {
        shape(frame_341_shape_group_5_shape_0_horizontal_lines, 28, 15),
        shape(frame_341_shape_group_5_shape_1_horizontal_lines, 32, 13),
        shape(frame_341_shape_group_5_shape_2_horizontal_lines, 33, 11),
        shape(frame_341_shape_group_5_shape_3_horizontal_lines, 50, 13),
        shape(frame_341_shape_group_5_shape_4_horizontal_lines, 51, 11),
        shape(frame_341_shape_group_5_shape_5_horizontal_lines, 82, 10),
        shape(frame_341_shape_group_5_shape_6_horizontal_lines, 86, 11),
        shape(frame_341_shape_group_5_shape_7_horizontal_lines, 88, 10),
        shape(frame_341_shape_group_5_shape_8_horizontal_lines, 93, 13),
        shape(frame_341_shape_group_5_shape_9_horizontal_lines, 96, 10),
        shape(frame_341_shape_group_5_shape_10_horizontal_lines, 105, 3),
        shape(frame_341_shape_group_5_shape_11_horizontal_lines, 113, 1),
        shape(frame_341_shape_group_5_shape_12_horizontal_lines, 114, 3),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(1, 15),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(125, 147),
        horizontal_line(65, 127),
        horizontal_line(67, 129),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(142, 185),
        horizontal_line(83, 145),
        horizontal_line(24, 86),
        horizontal_line(151, 186),
        horizontal_line(154, 186),
        horizontal_line(157, 186),
        horizontal_line(160, 186),
        horizontal_line(163, 185),
        horizontal_line(166, 185),
        horizontal_line(169, 185),
        horizontal_line(172, 185),
        horizontal_line(175, 185),
        horizontal_line(147, 184),
        horizontal_line(153, 184),
        horizontal_line(160, 184),
        horizontal_line(162, 184),
        horizontal_line(165, 184),
        horizontal_line(167, 183),
        horizontal_line(170, 183),
        horizontal_line(173, 183),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(79, 79),
        horizontal_line(79, 79),
        horizontal_line(78, 79),
        horizontal_line(78, 78),
        horizontal_line(78, 78),
        horizontal_line(77, 78),
        horizontal_line(77, 77),
        horizontal_line(76, 77),
        horizontal_line(76, 76),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(178, 181),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(75, 75),
        horizontal_line(75, 75),
        horizontal_line(74, 75),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(88, 103),
        horizontal_line(88, 103),
        horizontal_line(72, 73),
        horizontal_line(72, 72),
        horizontal_line(87, 102),
        horizontal_line(86, 101),
        horizontal_line(71, 71),
        horizontal_line(70, 71),
        horizontal_line(70, 70),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
        horizontal_line(84, 99),
        horizontal_line(68, 69),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(82, 97),
        horizontal_line(82, 97),
        horizontal_line(82, 97),
        horizontal_line(81, 96),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(107, 109),
    };

    constexpr const horizontal_line frame_341_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(76, 117),
        horizontal_line(136, 167),
        horizontal_line(134, 168),
        horizontal_line(132, 169),
        horizontal_line(130, 170),
        horizontal_line(128, 171),
        horizontal_line(170, 172),
        horizontal_line(151, 173),
        horizontal_line(132, 174),
    };

    constexpr const shape frame_341_shape_group_6_shapes[] = {
        shape(frame_341_shape_group_6_shape_0_horizontal_lines, 32, 11),
        shape(frame_341_shape_group_6_shape_1_horizontal_lines, 39, 11),
        shape(frame_341_shape_group_6_shape_2_horizontal_lines, 48, 11),
        shape(frame_341_shape_group_6_shape_3_horizontal_lines, 68, 10),
        shape(frame_341_shape_group_6_shape_4_horizontal_lines, 78, 11),
        shape(frame_341_shape_group_6_shape_5_horizontal_lines, 79, 10),
        shape(frame_341_shape_group_6_shape_6_horizontal_lines, 104, 1),
        shape(frame_341_shape_group_6_shape_7_horizontal_lines, 105, 3),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(127, 164),
        horizontal_line(129, 181),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(145, 186),
        horizontal_line(86, 148),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(81, 81),
        horizontal_line(81, 81),
        horizontal_line(80, 81),
        horizontal_line(80, 80),
        horizontal_line(80, 80),
        horizontal_line(94, 109),
        horizontal_line(94, 109),
        horizontal_line(94, 108),
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(91, 106),
        horizontal_line(91, 106),
        horizontal_line(75, 76),
        horizontal_line(90, 105),
        horizontal_line(90, 105),
        horizontal_line(89, 104),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 115),
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(88, 103),
        horizontal_line(87, 102),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(112, 114),
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(86, 101),
        horizontal_line(86, 101),
        horizontal_line(85, 100),
        horizontal_line(69, 70),
        horizontal_line(69, 70),
        horizontal_line(69, 69),
        horizontal_line(177, 181),
        horizontal_line(83, 99),
        horizontal_line(175, 184),
        horizontal_line(174, 186),
        horizontal_line(173, 188),
        horizontal_line(172, 190),
        horizontal_line(171, 188),
        horizontal_line(170, 187),
    };

    constexpr const horizontal_line frame_341_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(16, 67),
    };

    constexpr const shape frame_341_shape_group_7_shapes[] = {
        shape(frame_341_shape_group_7_shape_0_horizontal_lines, 41, 11),
        shape(frame_341_shape_group_7_shape_1_horizontal_lines, 49, 11),
        shape(frame_341_shape_group_7_shape_2_horizontal_lines, 62, 10),
        shape(frame_341_shape_group_7_shape_3_horizontal_lines, 82, 1),
        shape(frame_341_shape_group_7_shape_4_horizontal_lines, 86, 10),
        shape(frame_341_shape_group_7_shape_5_horizontal_lines, 88, 1),
        shape(frame_341_shape_group_7_shape_6_horizontal_lines, 90, 10),
        shape(frame_341_shape_group_7_shape_7_horizontal_lines, 104, 3),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(148, 187),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(96, 99),
        horizontal_line(96, 102),
        horizontal_line(95, 104),
        horizontal_line(95, 107),
        horizontal_line(95, 110),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(91, 105),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(113, 114),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(112, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(85, 100),
        horizontal_line(85, 100),
        horizontal_line(84, 99),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(110, 111),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(176, 183),
    };

    constexpr const horizontal_line frame_341_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(54, 59),
        horizontal_line(53, 58),
        horizontal_line(53, 58),
        horizontal_line(53, 57),
        horizontal_line(52, 57),
        horizontal_line(52, 57),
    };

    constexpr const shape frame_341_shape_group_8_shapes[] = {
        shape(frame_341_shape_group_8_shape_0_horizontal_lines, 50, 11),
        shape(frame_341_shape_group_8_shape_1_horizontal_lines, 62, 10),
        shape(frame_341_shape_group_8_shape_2_horizontal_lines, 78, 10),
        shape(frame_341_shape_group_8_shape_3_horizontal_lines, 79, 1),
        shape(frame_341_shape_group_8_shape_4_horizontal_lines, 86, 1),
        shape(frame_341_shape_group_8_shape_5_horizontal_lines, 90, 1),
        shape(frame_341_shape_group_8_shape_6_horizontal_lines, 93, 10),
        shape(frame_341_shape_group_8_shape_7_horizontal_lines, 96, 1),
        shape(frame_341_shape_group_8_shape_8_horizontal_lines, 97, 10),
        shape(frame_341_shape_group_8_shape_9_horizontal_lines, 98, 1),
    };

    constexpr const horizontal_line frame_341_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(111, 112),
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_341_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_341_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(54, 56),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 109),
        horizontal_line(107, 109),
    };

    constexpr const shape frame_341_shape_group_9_shapes[] = {
        shape(frame_341_shape_group_9_shape_0_horizontal_lines, 93, 1),
        shape(frame_341_shape_group_9_shape_1_horizontal_lines, 95, 10),
        shape(frame_341_shape_group_9_shape_2_horizontal_lines, 97, 1),
    };

    constexpr const horizontal_line frame_341_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_341_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(109, 111),
    };

    constexpr const shape frame_341_shape_group_10_shapes[] = {
        shape(frame_341_shape_group_10_shape_0_horizontal_lines, 95, 1),
        shape(frame_341_shape_group_10_shape_1_horizontal_lines, 97, 1),
    };

    constexpr const shape_group frame_341_shape_groups[] = {
        shape_group(frame_341_shape_group_0_shapes),
        shape_group(frame_341_shape_group_1_shapes),
        shape_group(frame_341_shape_group_2_shapes),
        shape_group(frame_341_shape_group_3_shapes),
        shape_group(frame_341_shape_group_4_shapes),
        shape_group(frame_341_shape_group_5_shapes),
        shape_group(frame_341_shape_group_6_shapes),
        shape_group(frame_341_shape_group_7_shapes),
        shape_group(frame_341_shape_group_8_shapes),
        shape_group(frame_341_shape_group_9_shapes),
        shape_group(frame_341_shape_group_10_shapes),
    };

    constexpr const frame frame_341_impl(frame_341_colors, frame_341_shape_groups);
} 

const frame& frame_341()
{
    return frame_341_impl;
}

namespace
{
    constexpr const bn::color frame_342_colors[] = {
        bn::color(16, 16, 12),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(0, 0, 0),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_342_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(18, 80),
        horizontal_line(36, 98),
        horizontal_line(55, 117),
        horizontal_line(73, 135),
        horizontal_line(91, 153),
        horizontal_line(0, 17),
        horizontal_line(0, 36),
        horizontal_line(0, 55),
        horizontal_line(15, 74),
        horizontal_line(31, 93),
        horizontal_line(47, 109),
        horizontal_line(63, 125),
        horizontal_line(79, 141),
        horizontal_line(95, 157),
        horizontal_line(110, 172),
        horizontal_line(126, 188),
        horizontal_line(142, 203),
        horizontal_line(158, 199),
        horizontal_line(174, 194),
        horizontal_line(190, 190),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(19, 21),
        horizontal_line(19, 24),
        horizontal_line(22, 27),
        horizontal_line(25, 30),
        horizontal_line(28, 32),
        horizontal_line(31, 35),
        horizontal_line(34, 38),
        horizontal_line(37, 41),
        horizontal_line(40, 43),
        horizontal_line(42, 46),
        horizontal_line(45, 49),
        horizontal_line(48, 52),
        horizontal_line(51, 54),
        horizontal_line(54, 57),
        horizontal_line(57, 60),
        horizontal_line(60, 63),
        horizontal_line(63, 65),
        horizontal_line(66, 68),
        horizontal_line(69, 71),
        horizontal_line(69, 74),
        horizontal_line(69, 73),
        horizontal_line(68, 73),
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(67, 72),
        horizontal_line(67, 71),
        horizontal_line(66, 71),
        horizontal_line(66, 71),
        horizontal_line(66, 70),
        horizontal_line(65, 70),
        horizontal_line(65, 69),
        horizontal_line(64, 69),
        horizontal_line(64, 69),
        horizontal_line(64, 68),
        horizontal_line(63, 68),
        horizontal_line(63, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 66),
        horizontal_line(61, 66),
        horizontal_line(61, 66),
        horizontal_line(60, 65),
        horizontal_line(60, 65),
        horizontal_line(60, 65),
        horizontal_line(0, 0),
        horizontal_line(0, 14),
        horizontal_line(0, 28),
        horizontal_line(0, 42),
        horizontal_line(0, 62),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(1, 55),
        horizontal_line(2, 55),
        horizontal_line(3, 54),
        horizontal_line(4, 54),
        horizontal_line(5, 54),
        horizontal_line(6, 53),
        horizontal_line(7, 53),
        horizontal_line(8, 52),
        horizontal_line(9, 52),
        horizontal_line(11, 52),
        horizontal_line(107, 110),
        horizontal_line(121, 151),
    };

    constexpr const horizontal_line frame_342_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(233, 239),
        horizontal_line(234, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const shape frame_342_shape_group_0_shapes[] = {
        shape(frame_342_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_342_shape_group_0_shape_1_horizontal_lines, 111, 13),
        shape(frame_342_shape_group_0_shape_2_horizontal_lines, 112, 15),
    };

    constexpr const horizontal_line frame_342_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(80, 142),
        horizontal_line(98, 160),
        horizontal_line(117, 179),
        horizontal_line(135, 197),
        horizontal_line(153, 215),
        horizontal_line(110, 172),
        horizontal_line(128, 190),
        horizontal_line(147, 209),
        horizontal_line(165, 227),
        horizontal_line(183, 239),
        horizontal_line(202, 239),
        horizontal_line(220, 239),
        horizontal_line(239, 239),
        horizontal_line(157, 169),
        horizontal_line(172, 188),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(12, 74),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(20, 82),
    };

    constexpr const horizontal_line frame_342_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(18, 24),
        horizontal_line(17, 27),
        horizontal_line(17, 30),
        horizontal_line(16, 33),
        horizontal_line(16, 36),
        horizontal_line(16, 39),
        horizontal_line(15, 41),
        horizontal_line(15, 44),
        horizontal_line(14, 47),
        horizontal_line(14, 50),
        horizontal_line(13, 53),
        horizontal_line(13, 56),
        horizontal_line(13, 59),
        horizontal_line(12, 62),
        horizontal_line(12, 65),
        horizontal_line(11, 68),
        horizontal_line(11, 68),
        horizontal_line(10, 68),
        horizontal_line(10, 67),
        horizontal_line(10, 67),
        horizontal_line(9, 67),
        horizontal_line(9, 66),
        horizontal_line(8, 66),
        horizontal_line(8, 65),
        horizontal_line(7, 65),
        horizontal_line(7, 65),
        horizontal_line(7, 64),
        horizontal_line(6, 64),
    };

    constexpr const horizontal_line frame_342_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(121, 122),
        horizontal_line(120, 127),
        horizontal_line(120, 133),
        horizontal_line(120, 138),
        horizontal_line(119, 143),
        horizontal_line(119, 149),
        horizontal_line(119, 154),
        horizontal_line(118, 159),
        horizontal_line(118, 158),
        horizontal_line(118, 158),
        horizontal_line(117, 158),
        horizontal_line(117, 157),
        horizontal_line(59, 64),
        horizontal_line(59, 64),
        horizontal_line(58, 63),
        horizontal_line(58, 63),
        horizontal_line(115, 156),
        horizontal_line(59, 62),
        horizontal_line(61, 62),
        horizontal_line(114, 155),
        horizontal_line(114, 155),
        horizontal_line(114, 154),
        horizontal_line(113, 154),
        horizontal_line(113, 154),
        horizontal_line(113, 153),
        horizontal_line(112, 153),
        horizontal_line(112, 153),
        horizontal_line(112, 153),
        horizontal_line(108, 111),
        horizontal_line(107, 110),
        horizontal_line(118, 152),
    };

    constexpr const horizontal_line frame_342_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_342_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(175, 193),
        horizontal_line(176, 192),
        horizontal_line(177, 191),
        horizontal_line(178, 190),
        horizontal_line(179, 189),
        horizontal_line(0, 35),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(37, 99),
        horizontal_line(74, 136),
        horizontal_line(111, 173),
        horizontal_line(148, 208),
        horizontal_line(185, 214),
    };

    constexpr const shape frame_342_shape_group_1_shapes[] = {
        shape(frame_342_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_342_shape_group_1_shape_1_horizontal_lines, 43, 11),
        shape(frame_342_shape_group_1_shape_2_horizontal_lines, 47, 8),
        shape(frame_342_shape_group_1_shape_3_horizontal_lines, 50, 15),
        shape(frame_342_shape_group_1_shape_4_horizontal_lines, 78, 8),
        shape(frame_342_shape_group_1_shape_5_horizontal_lines, 110, 15),
        shape(frame_342_shape_group_1_shape_6_horizontal_lines, 111, 10),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(142, 204),
        horizontal_line(160, 222),
        horizontal_line(179, 239),
        horizontal_line(197, 239),
        horizontal_line(215, 239),
        horizontal_line(172, 234),
        horizontal_line(190, 239),
        horizontal_line(209, 239),
        horizontal_line(227, 239),
        horizontal_line(93, 93),
        horizontal_line(109, 112),
        horizontal_line(125, 131),
        horizontal_line(141, 150),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(188, 207),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(8, 70),
        horizontal_line(10, 72),
        horizontal_line(74, 136),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(82, 144),
        horizontal_line(22, 84),
        horizontal_line(25, 87),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(18, 21),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(31, 93),
        horizontal_line(33, 95),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(44, 106),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(55, 117),
        horizontal_line(58, 84),
        horizontal_line(61, 83),
        horizontal_line(64, 83),
        horizontal_line(66, 82),
        horizontal_line(69, 82),
        horizontal_line(72, 82),
        horizontal_line(75, 81),
        horizontal_line(78, 81),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(117, 179),
        horizontal_line(116, 178),
        horizontal_line(116, 178),
        horizontal_line(116, 178),
        horizontal_line(115, 177),
        horizontal_line(115, 177),
        horizontal_line(115, 177),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(6, 63),
        horizontal_line(5, 63),
        horizontal_line(5, 63),
        horizontal_line(4, 62),
        horizontal_line(4, 62),
        horizontal_line(4, 61),
        horizontal_line(3, 61),
        horizontal_line(3, 61),
        horizontal_line(2, 60),
        horizontal_line(2, 60),
        horizontal_line(1, 59),
        horizontal_line(1, 59),
        horizontal_line(1, 59),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(117, 157),
        horizontal_line(116, 157),
        horizontal_line(116, 156),
        horizontal_line(116, 156),
        horizontal_line(62, 63),
        horizontal_line(115, 156),
        horizontal_line(115, 155),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(156, 186),
        horizontal_line(156, 184),
        horizontal_line(155, 183),
        horizontal_line(155, 182),
        horizontal_line(155, 181),
        horizontal_line(154, 180),
        horizontal_line(154, 179),
        horizontal_line(154, 177),
        horizontal_line(154, 176),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(113, 152),
        horizontal_line(115, 152),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(111, 117),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(152, 172),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(173, 196),
        horizontal_line(174, 195),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_342_shape_group_2_shape_14_horizontal_lines[] = {
        horizontal_line(180, 187),
        horizontal_line(181, 186),
        horizontal_line(182, 185),
        horizontal_line(183, 184),
        horizontal_line(63, 125),
        horizontal_line(99, 161),
        horizontal_line(136, 196),
        horizontal_line(173, 202),
    };

    constexpr const shape frame_342_shape_group_2_shapes[] = {
        shape(frame_342_shape_group_2_shape_0_horizontal_lines, 0, 8),
        shape(frame_342_shape_group_2_shape_1_horizontal_lines, 36, 15),
        shape(frame_342_shape_group_2_shape_2_horizontal_lines, 38, 8),
        shape(frame_342_shape_group_2_shape_3_horizontal_lines, 39, 11),
        shape(frame_342_shape_group_2_shape_4_horizontal_lines, 49, 15),
        shape(frame_342_shape_group_2_shape_5_horizontal_lines, 50, 11),
        shape(frame_342_shape_group_2_shape_6_horizontal_lines, 78, 15),
        shape(frame_342_shape_group_2_shape_7_horizontal_lines, 91, 8),
        shape(frame_342_shape_group_2_shape_8_horizontal_lines, 98, 13),
        shape(frame_342_shape_group_2_shape_9_horizontal_lines, 107, 8),
        shape(frame_342_shape_group_2_shape_10_horizontal_lines, 109, 15),
        shape(frame_342_shape_group_2_shape_11_horizontal_lines, 110, 13),
        shape(frame_342_shape_group_2_shape_12_horizontal_lines, 111, 10),
        shape(frame_342_shape_group_2_shape_13_horizontal_lines, 113, 3),
        shape(frame_342_shape_group_2_shape_14_horizontal_lines, 118, 10),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(204, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(37, 99),
        horizontal_line(56, 118),
        horizontal_line(75, 137),
        horizontal_line(94, 156),
        horizontal_line(113, 175),
        horizontal_line(132, 194),
        horizontal_line(151, 213),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(208, 208),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(65, 127),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(72, 134),
        horizontal_line(136, 190),
        horizontal_line(139, 191),
        horizontal_line(141, 192),
        horizontal_line(144, 193),
        horizontal_line(84, 146),
        horizontal_line(87, 149),
        horizontal_line(28, 90),
        horizontal_line(93, 155),
        horizontal_line(95, 157),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(117, 179),
        horizontal_line(86, 148),
        horizontal_line(97, 159),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(113, 175),
        horizontal_line(177, 193),
        horizontal_line(180, 193),
        horizontal_line(179, 193),
        horizontal_line(179, 192),
        horizontal_line(178, 192),
        horizontal_line(178, 192),
        horizontal_line(178, 192),
        horizontal_line(177, 191),
        horizontal_line(177, 191),
        horizontal_line(177, 191),
        horizontal_line(118, 180),
        horizontal_line(123, 185),
        horizontal_line(128, 190),
        horizontal_line(134, 190),
        horizontal_line(139, 190),
        horizontal_line(144, 189),
        horizontal_line(150, 189),
        horizontal_line(155, 189),
        horizontal_line(161, 189),
        horizontal_line(174, 188),
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(1, 58),
        horizontal_line(15, 58),
        horizontal_line(29, 57),
        horizontal_line(43, 57),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(157, 186),
        horizontal_line(157, 186),
        horizontal_line(156, 186),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(111, 114),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(153, 173),
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(4, 66),
        horizontal_line(2, 64),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(36, 98),
    };

    constexpr const horizontal_line frame_342_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 109),
        horizontal_line(62, 124),
        horizontal_line(125, 183),
        horizontal_line(161, 190),
    };

    constexpr const shape frame_342_shape_group_3_shapes[] = {
        shape(frame_342_shape_group_3_shape_0_horizontal_lines, 0, 8),
        shape(frame_342_shape_group_3_shape_1_horizontal_lines, 25, 15),
        shape(frame_342_shape_group_3_shape_2_horizontal_lines, 28, 8),
        shape(frame_342_shape_group_3_shape_3_horizontal_lines, 29, 15),
        shape(frame_342_shape_group_3_shape_4_horizontal_lines, 37, 11),
        shape(frame_342_shape_group_3_shape_5_horizontal_lines, 38, 15),
        shape(frame_342_shape_group_3_shape_6_horizontal_lines, 39, 11),
        shape(frame_342_shape_group_3_shape_7_horizontal_lines, 89, 13),
        shape(frame_342_shape_group_3_shape_8_horizontal_lines, 91, 15),
        shape(frame_342_shape_group_3_shape_9_horizontal_lines, 95, 13),
        shape(frame_342_shape_group_3_shape_10_horizontal_lines, 107, 15),
        shape(frame_342_shape_group_3_shape_11_horizontal_lines, 109, 13),
        shape(frame_342_shape_group_3_shape_12_horizontal_lines, 111, 3),
        shape(frame_342_shape_group_3_shape_13_horizontal_lines, 119, 10),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(62, 72),
        horizontal_line(62, 90),
        horizontal_line(18, 80),
        horizontal_line(99, 127),
        horizontal_line(118, 146),
        horizontal_line(137, 164),
        horizontal_line(156, 182),
        horizontal_line(175, 201),
        horizontal_line(194, 219),
        horizontal_line(213, 238),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 109),
        horizontal_line(1, 63),
        horizontal_line(127, 141),
        horizontal_line(129, 157),
        horizontal_line(132, 173),
        horizontal_line(134, 189),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(146, 194),
        horizontal_line(149, 195),
        horizontal_line(90, 152),
        horizontal_line(155, 198),
        horizontal_line(157, 197),
        horizontal_line(160, 197),
        horizontal_line(163, 197),
        horizontal_line(166, 197),
        horizontal_line(168, 196),
        horizontal_line(171, 196),
        horizontal_line(174, 196),
        horizontal_line(177, 196),
        horizontal_line(179, 195),
        horizontal_line(148, 195),
        horizontal_line(159, 195),
        horizontal_line(161, 195),
        horizontal_line(164, 194),
        horizontal_line(167, 194),
        horizontal_line(170, 194),
        horizontal_line(173, 194),
        horizontal_line(175, 193),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(180, 191),
        horizontal_line(185, 190),
        horizontal_line(190, 190),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(159, 188),
        horizontal_line(158, 188),
        horizontal_line(158, 187),
        horizontal_line(158, 187),
        horizontal_line(157, 187),
        horizontal_line(157, 187),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(82, 97),
        horizontal_line(0, 0),
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(0, 3),
        horizontal_line(0, 4),
        horizontal_line(0, 5),
        horizontal_line(0, 6),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(153, 175),
        horizontal_line(153, 174),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(66, 128),
        horizontal_line(64, 126),
        horizontal_line(124, 174),
        horizontal_line(124, 175),
        horizontal_line(124, 176),
        horizontal_line(124, 177),
        horizontal_line(124, 178),
        horizontal_line(98, 160),
        horizontal_line(73, 135),
        horizontal_line(110, 172),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(124, 146),
    };

    constexpr const horizontal_line frame_342_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(184, 184),
    };

    constexpr const shape frame_342_shape_group_4_shapes[] = {
        shape(frame_342_shape_group_4_shape_0_horizontal_lines, 23, 15),
        shape(frame_342_shape_group_4_shape_1_horizontal_lines, 26, 15),
        shape(frame_342_shape_group_4_shape_2_horizontal_lines, 36, 11),
        shape(frame_342_shape_group_4_shape_3_horizontal_lines, 43, 13),
        shape(frame_342_shape_group_4_shape_4_horizontal_lines, 47, 11),
        shape(frame_342_shape_group_4_shape_5_horizontal_lines, 68, 13),
        shape(frame_342_shape_group_4_shape_6_horizontal_lines, 78, 11),
        shape(frame_342_shape_group_4_shape_7_horizontal_lines, 81, 13),
        shape(frame_342_shape_group_4_shape_8_horizontal_lines, 98, 10),
        shape(frame_342_shape_group_4_shape_9_horizontal_lines, 107, 13),
        shape(frame_342_shape_group_4_shape_10_horizontal_lines, 110, 10),
        shape(frame_342_shape_group_4_shape_11_horizontal_lines, 111, 3),
        shape(frame_342_shape_group_4_shape_12_horizontal_lines, 121, 10),
        shape(frame_342_shape_group_4_shape_13_horizontal_lines, 122, 3),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(80, 109),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 30),
        horizontal_line(0, 46),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 94),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(63, 125),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(191, 211),
        horizontal_line(192, 211),
        horizontal_line(193, 212),
        horizontal_line(194, 213),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(152, 196),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(160, 160),
        horizontal_line(159, 173),
        horizontal_line(159, 186),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(83, 99),
        horizontal_line(82, 98),
        horizontal_line(82, 98),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(56, 62),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(81, 97),
        horizontal_line(81, 97),
        horizontal_line(81, 96),
        horizontal_line(80, 96),
        horizontal_line(80, 96),
        horizontal_line(79, 95),
        horizontal_line(79, 95),
        horizontal_line(79, 94),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(202, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(173, 197),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(128, 172),
        horizontal_line(126, 173),
    };

    constexpr const horizontal_line frame_342_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(160, 179),
        horizontal_line(135, 180),
        horizontal_line(172, 181),
        horizontal_line(147, 182),
    };

    constexpr const shape frame_342_shape_group_5_shapes[] = {
        shape(frame_342_shape_group_5_shape_0_horizontal_lines, 28, 15),
        shape(frame_342_shape_group_5_shape_1_horizontal_lines, 31, 11),
        shape(frame_342_shape_group_5_shape_2_horizontal_lines, 38, 11),
        shape(frame_342_shape_group_5_shape_3_horizontal_lines, 39, 13),
        shape(frame_342_shape_group_5_shape_4_horizontal_lines, 49, 11),
        shape(frame_342_shape_group_5_shape_5_horizontal_lines, 50, 13),
        shape(frame_342_shape_group_5_shape_6_horizontal_lines, 95, 10),
        shape(frame_342_shape_group_5_shape_7_horizontal_lines, 98, 1),
        shape(frame_342_shape_group_5_shape_8_horizontal_lines, 99, 10),
        shape(frame_342_shape_group_5_shape_9_horizontal_lines, 107, 13),
        shape(frame_342_shape_group_5_shape_10_horizontal_lines, 109, 10),
        shape(frame_342_shape_group_5_shape_11_horizontal_lines, 111, 3),
        shape(frame_342_shape_group_5_shape_12_horizontal_lines, 118, 3),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 78),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(204, 207),
        horizontal_line(200, 208),
        horizontal_line(195, 209),
        horizontal_line(191, 210),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(195, 214),
        horizontal_line(196, 215),
        horizontal_line(0, 17),
        horizontal_line(199, 199),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(93, 109),
        horizontal_line(93, 108),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 105),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(88, 104),
        horizontal_line(88, 103),
        horizontal_line(87, 103),
        horizontal_line(87, 103),
        horizontal_line(87, 102),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(85, 101),
        horizontal_line(85, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 99),
        horizontal_line(83, 99),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(112, 114),
        horizontal_line(57, 58),
        horizontal_line(57, 60),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(185, 187),
        horizontal_line(184, 189),
        horizontal_line(183, 191),
        horizontal_line(182, 192),
        horizontal_line(181, 194),
        horizontal_line(180, 196),
        horizontal_line(178, 197),
        horizontal_line(177, 199),
        horizontal_line(0, 8),
        horizontal_line(0, 9),
        horizontal_line(78, 93),
    };

    constexpr const horizontal_line frame_342_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(6, 68),
    };

    constexpr const shape frame_342_shape_group_6_shapes[] = {
        shape(frame_342_shape_group_6_shape_0_horizontal_lines, 34, 11),
        shape(frame_342_shape_group_6_shape_1_horizontal_lines, 38, 11),
        shape(frame_342_shape_group_6_shape_2_horizontal_lines, 39, 13),
        shape(frame_342_shape_group_6_shape_3_horizontal_lines, 47, 13),
        shape(frame_342_shape_group_6_shape_4_horizontal_lines, 68, 10),
        shape(frame_342_shape_group_6_shape_5_horizontal_lines, 78, 13),
        shape(frame_342_shape_group_6_shape_6_horizontal_lines, 81, 10),
        shape(frame_342_shape_group_6_shape_7_horizontal_lines, 86, 13),
        shape(frame_342_shape_group_6_shape_8_horizontal_lines, 89, 10),
        shape(frame_342_shape_group_6_shape_9_horizontal_lines, 95, 1),
        shape(frame_342_shape_group_6_shape_10_horizontal_lines, 99, 10),
        shape(frame_342_shape_group_6_shape_11_horizontal_lines, 110, 3),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(197, 216),
        horizontal_line(216, 239),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(96, 96),
        horizontal_line(95, 98),
        horizontal_line(95, 101),
        horizontal_line(94, 104),
        horizontal_line(94, 107),
        horizontal_line(94, 110),
        horizontal_line(93, 109),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(88, 104),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(86, 102),
        horizontal_line(86, 102),
        horizontal_line(85, 101),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(111, 114),
        horizontal_line(111, 114),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(56, 61),
        horizontal_line(56, 61),
        horizontal_line(55, 60),
        horizontal_line(55, 60),
        horizontal_line(55, 59),
        horizontal_line(54, 59),
        horizontal_line(54, 59),
        horizontal_line(53, 58),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(78, 94),
        horizontal_line(78, 94),
        horizontal_line(174, 198),
    };

    constexpr const horizontal_line frame_342_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(68, 118),
    };

    constexpr const shape frame_342_shape_group_7_shapes[] = {
        shape(frame_342_shape_group_7_shape_0_horizontal_lines, 38, 13),
        shape(frame_342_shape_group_7_shape_1_horizontal_lines, 49, 13),
        shape(frame_342_shape_group_7_shape_2_horizontal_lines, 61, 10),
        shape(frame_342_shape_group_7_shape_3_horizontal_lines, 78, 10),
        shape(frame_342_shape_group_7_shape_4_horizontal_lines, 81, 1),
        shape(frame_342_shape_group_7_shape_5_horizontal_lines, 86, 10),
        shape(frame_342_shape_group_7_shape_6_horizontal_lines, 89, 1),
        shape(frame_342_shape_group_7_shape_7_horizontal_lines, 96, 1),
        shape(frame_342_shape_group_7_shape_8_horizontal_lines, 99, 1),
        shape(frame_342_shape_group_7_shape_9_horizontal_lines, 107, 10),
        shape(frame_342_shape_group_7_shape_10_horizontal_lines, 110, 3),
    };

    constexpr const horizontal_line frame_342_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(117, 120),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_342_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
    };

    constexpr const horizontal_line frame_342_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(109, 112),
        horizontal_line(109, 112),
        horizontal_line(109, 111),
        horizontal_line(108, 111),
        horizontal_line(108, 111),
    };

    constexpr const horizontal_line frame_342_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(176, 201),
        horizontal_line(175, 199),
    };

    constexpr const horizontal_line frame_342_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(8, 64),
    };

    constexpr const shape frame_342_shape_group_8_shapes[] = {
        shape(frame_342_shape_group_8_shape_0_horizontal_lines, 79, 1),
        shape(frame_342_shape_group_8_shape_1_horizontal_lines, 86, 1),
        shape(frame_342_shape_group_8_shape_2_horizontal_lines, 99, 1),
        shape(frame_342_shape_group_8_shape_3_horizontal_lines, 107, 10),
        shape(frame_342_shape_group_8_shape_4_horizontal_lines, 109, 3),
    };

    constexpr const horizontal_line frame_342_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(53, 58),
        horizontal_line(53, 57),
    };

    constexpr const shape frame_342_shape_group_9_shapes[] = {
        shape(frame_342_shape_group_9_shape_0_horizontal_lines, 107, 1),
    };

    constexpr const horizontal_line frame_342_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(10, 10),
    };

    constexpr const shape frame_342_shape_group_10_shapes[] = {
        shape(frame_342_shape_group_10_shape_0_horizontal_lines, 108, 3),
    };

    constexpr const shape_group frame_342_shape_groups[] = {
        shape_group(frame_342_shape_group_0_shapes),
        shape_group(frame_342_shape_group_1_shapes),
        shape_group(frame_342_shape_group_2_shapes),
        shape_group(frame_342_shape_group_3_shapes),
        shape_group(frame_342_shape_group_4_shapes),
        shape_group(frame_342_shape_group_5_shapes),
        shape_group(frame_342_shape_group_6_shapes),
        shape_group(frame_342_shape_group_7_shapes),
        shape_group(frame_342_shape_group_8_shapes),
        shape_group(frame_342_shape_group_9_shapes),
        shape_group(frame_342_shape_group_10_shapes),
    };

    constexpr const frame frame_342_impl(frame_342_colors, frame_342_shape_groups);
} 

const frame& frame_342()
{
    return frame_342_impl;
}

namespace
{
    constexpr const bn::color frame_343_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 42),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(20, 82),
        horizontal_line(40, 102),
        horizontal_line(61, 123),
        horizontal_line(81, 143),
        horizontal_line(101, 163),
        horizontal_line(122, 184),
        horizontal_line(142, 204),
        horizontal_line(162, 224),
        horizontal_line(183, 239),
        horizontal_line(203, 239),
        horizontal_line(224, 224),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(22, 22),
        horizontal_line(21, 25),
        horizontal_line(21, 28),
        horizontal_line(20, 31),
        horizontal_line(20, 34),
        horizontal_line(20, 36),
        horizontal_line(19, 39),
        horizontal_line(19, 42),
        horizontal_line(18, 45),
        horizontal_line(18, 48),
        horizontal_line(18, 51),
        horizontal_line(17, 53),
        horizontal_line(17, 56),
        horizontal_line(16, 59),
        horizontal_line(16, 62),
        horizontal_line(16, 65),
        horizontal_line(15, 68),
        horizontal_line(15, 71),
        horizontal_line(14, 71),
        horizontal_line(14, 71),
        horizontal_line(14, 70),
        horizontal_line(13, 70),
        horizontal_line(13, 70),
        horizontal_line(12, 69),
        horizontal_line(12, 69),
        horizontal_line(12, 68),
        horizontal_line(11, 68),
        horizontal_line(11, 68),
        horizontal_line(10, 67),
        horizontal_line(10, 67),
        horizontal_line(10, 67),
        horizontal_line(9, 66),
        horizontal_line(9, 66),
        horizontal_line(8, 65),
        horizontal_line(8, 65),
        horizontal_line(8, 65),
        horizontal_line(7, 64),
        horizontal_line(7, 64),
        horizontal_line(6, 64),
        horizontal_line(6, 63),
        horizontal_line(6, 63),
        horizontal_line(5, 62),
        horizontal_line(5, 62),
        horizontal_line(16, 62),
        horizontal_line(31, 61),
        horizontal_line(46, 61),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(161, 197),
        horizontal_line(161, 197),
        horizontal_line(160, 197),
        horizontal_line(160, 196),
        horizontal_line(160, 196),
        horizontal_line(159, 196),
        horizontal_line(159, 196),
        horizontal_line(159, 195),
        horizontal_line(158, 195),
        horizontal_line(158, 195),
        horizontal_line(158, 195),
        horizontal_line(157, 193),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(113, 116),
        horizontal_line(113, 119),
        horizontal_line(112, 121),
        horizontal_line(112, 124),
        horizontal_line(112, 126),
        horizontal_line(111, 129),
        horizontal_line(111, 131),
        horizontal_line(111, 134),
        horizontal_line(110, 137),
        horizontal_line(110, 139),
        horizontal_line(136, 142),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(0, 0),
        horizontal_line(0, 29),
        horizontal_line(0, 58),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_7_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_0_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_343_shape_group_0_shapes[] = {
        shape(frame_343_shape_group_0_shape_0_horizontal_lines, 22, 15),
        shape(frame_343_shape_group_0_shape_1_horizontal_lines, 38, 8),
        shape(frame_343_shape_group_0_shape_2_horizontal_lines, 48, 15),
        shape(frame_343_shape_group_0_shape_3_horizontal_lines, 94, 13),
        shape(frame_343_shape_group_0_shape_4_horizontal_lines, 106, 15),
        shape(frame_343_shape_group_0_shape_5_horizontal_lines, 118, 13),
        shape(frame_343_shape_group_0_shape_6_horizontal_lines, 119, 11),
        shape(frame_343_shape_group_0_shape_7_horizontal_lines, 138, 15),
        shape(frame_343_shape_group_0_shape_8_horizontal_lines, 142, 11),
    };

    constexpr const horizontal_line frame_343_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 64),
        horizontal_line(62, 85),
        horizontal_line(62, 107),
        horizontal_line(82, 129),
        horizontal_line(102, 151),
        horizontal_line(123, 172),
        horizontal_line(143, 194),
        horizontal_line(163, 216),
        horizontal_line(184, 238),
        horizontal_line(204, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(3, 65),
        horizontal_line(67, 129),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(28, 90),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(36, 98),
        horizontal_line(39, 101),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(58, 86),
        horizontal_line(61, 85),
        horizontal_line(64, 85),
        horizontal_line(67, 84),
        horizontal_line(69, 84),
        horizontal_line(72, 84),
        horizontal_line(75, 83),
        horizontal_line(78, 83),
        horizontal_line(81, 83),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(119, 181),
        horizontal_line(119, 181),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(118, 180),
        horizontal_line(117, 179),
        horizontal_line(121, 183),
        horizontal_line(125, 187),
        horizontal_line(130, 192),
        horizontal_line(135, 197),
        horizontal_line(140, 200),
        horizontal_line(145, 200),
        horizontal_line(150, 200),
        horizontal_line(155, 200),
        horizontal_line(160, 199),
        horizontal_line(165, 199),
        horizontal_line(178, 199),
        horizontal_line(192, 199),
    };

    constexpr const horizontal_line frame_343_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(157, 192),
        horizontal_line(157, 191),
        horizontal_line(156, 190),
        horizontal_line(156, 188),
        horizontal_line(156, 187),
        horizontal_line(65, 66),
        horizontal_line(155, 185),
        horizontal_line(155, 184),
        horizontal_line(154, 182),
        horizontal_line(154, 181),
        horizontal_line(154, 180),
        horizontal_line(153, 179),
    };

    constexpr const horizontal_line frame_343_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(210, 238),
    };

    constexpr const horizontal_line frame_343_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(180, 208),
        horizontal_line(181, 206),
        horizontal_line(182, 205),
        horizontal_line(183, 204),
        horizontal_line(184, 203),
        horizontal_line(185, 201),
        horizontal_line(186, 200),
        horizontal_line(0, 26),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_343_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(199, 239),
        horizontal_line(205, 239),
        horizontal_line(211, 239),
        horizontal_line(217, 239),
        horizontal_line(223, 239),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_343_shape_group_1_shapes[] = {
        shape(frame_343_shape_group_1_shape_0_horizontal_lines, 24, 15),
        shape(frame_343_shape_group_1_shape_1_horizontal_lines, 35, 8),
        shape(frame_343_shape_group_1_shape_2_horizontal_lines, 89, 13),
        shape(frame_343_shape_group_1_shape_3_horizontal_lines, 118, 11),
        shape(frame_343_shape_group_1_shape_4_horizontal_lines, 119, 10),
        shape(frame_343_shape_group_1_shape_5_horizontal_lines, 131, 11),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 35),
        horizontal_line(0, 54),
        horizontal_line(0, 62),
        horizontal_line(62, 90),
        horizontal_line(63, 109),
        horizontal_line(65, 127),
        horizontal_line(129, 145),
        horizontal_line(131, 164),
        horizontal_line(133, 182),
        horizontal_line(136, 198),
        horizontal_line(138, 200),
        horizontal_line(140, 202),
        horizontal_line(142, 203),
        horizontal_line(144, 204),
        horizontal_line(147, 205),
        horizontal_line(149, 206),
        horizontal_line(90, 152),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(88, 150),
        horizontal_line(96, 158),
        horizontal_line(100, 162),
        horizontal_line(105, 167),
        horizontal_line(110, 172),
        horizontal_line(112, 174),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(118, 180),
        horizontal_line(182, 204),
        horizontal_line(182, 204),
        horizontal_line(182, 203),
        horizontal_line(181, 203),
        horizontal_line(181, 203),
        horizontal_line(180, 203),
        horizontal_line(180, 202),
        horizontal_line(180, 202),
        horizontal_line(179, 202),
        horizontal_line(183, 202),
        horizontal_line(187, 201),
        horizontal_line(192, 201),
        horizontal_line(197, 201),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(163, 198),
        horizontal_line(162, 198),
        horizontal_line(162, 198),
        horizontal_line(162, 198),
        horizontal_line(161, 197),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(64, 78),
        horizontal_line(64, 78),
        horizontal_line(63, 77),
        horizontal_line(63, 77),
        horizontal_line(62, 76),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(155, 186),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(222, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(179, 209),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(187, 199),
        horizontal_line(188, 198),
        horizontal_line(189, 196),
        horizontal_line(190, 195),
        horizontal_line(191, 194),
        horizontal_line(1, 63),
        horizontal_line(30, 92),
        horizontal_line(59, 121),
    };

    constexpr const horizontal_line frame_343_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 88),
        horizontal_line(62, 117),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(229, 237),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_343_shape_group_2_shapes[] = {
        shape(frame_343_shape_group_2_shape_0_horizontal_lines, 31, 8),
        shape(frame_343_shape_group_2_shape_1_horizontal_lines, 81, 13),
        shape(frame_343_shape_group_2_shape_2_horizontal_lines, 94, 11),
        shape(frame_343_shape_group_2_shape_3_horizontal_lines, 106, 13),
        shape(frame_343_shape_group_2_shape_4_horizontal_lines, 118, 10),
        shape(frame_343_shape_group_2_shape_5_horizontal_lines, 119, 3),
        shape(frame_343_shape_group_2_shape_6_horizontal_lines, 126, 10),
        shape(frame_343_shape_group_2_shape_7_horizontal_lines, 134, 11),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(198, 201),
        horizontal_line(200, 201),
        horizontal_line(202, 202),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(152, 207),
        horizontal_line(155, 208),
        horizontal_line(158, 209),
        horizontal_line(160, 208),
        horizontal_line(163, 208),
        horizontal_line(166, 208),
        horizontal_line(169, 207),
        horizontal_line(171, 207),
        horizontal_line(174, 207),
        horizontal_line(177, 207),
        horizontal_line(180, 206),
        horizontal_line(150, 206),
        horizontal_line(158, 206),
        horizontal_line(162, 206),
        horizontal_line(167, 205),
        horizontal_line(172, 205),
        horizontal_line(174, 205),
        horizontal_line(176, 205),
        horizontal_line(178, 204),
        horizontal_line(180, 204),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(164, 164),
        horizontal_line(163, 177),
        horizontal_line(163, 191),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(67, 81),
        horizontal_line(66, 80),
        horizontal_line(66, 80),
        horizontal_line(66, 79),
        horizontal_line(65, 79),
        horizontal_line(65, 79),
        horizontal_line(64, 78),
        horizontal_line(96, 111),
        horizontal_line(95, 106),
        horizontal_line(95, 111),
        horizontal_line(95, 105),
        horizontal_line(94, 105),
        horizontal_line(62, 76),
        horizontal_line(62, 76),
        horizontal_line(61, 75),
        horizontal_line(61, 75),
        horizontal_line(60, 74),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
        horizontal_line(92, 101),
        horizontal_line(211, 229),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(27, 89),
        horizontal_line(55, 117),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_12_horizontal_lines[] = {
        horizontal_line(62, 81),
        horizontal_line(62, 109),
        horizontal_line(62, 124),
        horizontal_line(192, 193),
        horizontal_line(92, 154),
        horizontal_line(121, 183),
        horizontal_line(89, 151),
        horizontal_line(118, 180),
    };

    constexpr const horizontal_line frame_343_shape_group_3_shape_13_horizontal_lines[] = {
        horizontal_line(124, 146),
        horizontal_line(124, 176),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_343_shape_group_3_shapes[] = {
        shape(frame_343_shape_group_3_shape_0_horizontal_lines, 34, 8),
        shape(frame_343_shape_group_3_shape_1_horizontal_lines, 36, 13),
        shape(frame_343_shape_group_3_shape_2_horizontal_lines, 37, 8),
        shape(frame_343_shape_group_3_shape_3_horizontal_lines, 38, 13),
        shape(frame_343_shape_group_3_shape_4_horizontal_lines, 41, 8),
        shape(frame_343_shape_group_3_shape_5_horizontal_lines, 44, 13),
        shape(frame_343_shape_group_3_shape_6_horizontal_lines, 48, 8),
        shape(frame_343_shape_group_3_shape_7_horizontal_lines, 68, 13),
        shape(frame_343_shape_group_3_shape_8_horizontal_lines, 94, 11),
        shape(frame_343_shape_group_3_shape_9_horizontal_lines, 111, 13),
        shape(frame_343_shape_group_3_shape_10_horizontal_lines, 112, 11),
        shape(frame_343_shape_group_3_shape_11_horizontal_lines, 118, 3),
        shape(frame_343_shape_group_3_shape_12_horizontal_lines, 128, 10),
        shape(frame_343_shape_group_3_shape_13_horizontal_lines, 136, 11),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(219, 223),
        horizontal_line(214, 224),
        horizontal_line(208, 225),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(204, 228),
        horizontal_line(205, 229),
        horizontal_line(206, 229),
        horizontal_line(207, 230),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(72, 86),
        horizontal_line(71, 85),
        horizontal_line(71, 85),
        horizontal_line(71, 84),
        horizontal_line(70, 84),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(69, 82),
        horizontal_line(68, 82),
        horizontal_line(68, 82),
        horizontal_line(67, 81),
        horizontal_line(67, 81),
        horizontal_line(98, 109),
        horizontal_line(98, 113),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 112),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(196, 217),
        horizontal_line(108, 111),
        horizontal_line(196, 216),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(94, 110),
        horizontal_line(93, 104),
        horizontal_line(93, 104),
        horizontal_line(93, 108),
        horizontal_line(92, 103),
        horizontal_line(60, 63),
        horizontal_line(67, 74),
        horizontal_line(91, 102),
        horizontal_line(91, 107),
        horizontal_line(91, 101),
        horizontal_line(103, 106),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(180, 210),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(124, 179),
        horizontal_line(124, 180),
        horizontal_line(124, 181),
        horizontal_line(124, 182),
        horizontal_line(124, 183),
        horizontal_line(124, 184),
        horizontal_line(124, 185),
        horizontal_line(89, 151),
        horizontal_line(117, 179),
        horizontal_line(82, 144),
        horizontal_line(110, 172),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(124, 136),
        horizontal_line(63, 125),
        horizontal_line(154, 192),
        horizontal_line(183, 198),
        horizontal_line(151, 204),
        horizontal_line(180, 210),
        horizontal_line(147, 209),
        horizontal_line(177, 222),
    };

    constexpr const horizontal_line frame_343_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(186, 235),
        horizontal_line(186, 236),
        horizontal_line(186, 237),
    };

    constexpr const shape frame_343_shape_group_4_shapes[] = {
        shape(frame_343_shape_group_4_shape_0_horizontal_lines, 37, 13),
        shape(frame_343_shape_group_4_shape_1_horizontal_lines, 81, 11),
        shape(frame_343_shape_group_4_shape_2_horizontal_lines, 86, 13),
        shape(frame_343_shape_group_4_shape_3_horizontal_lines, 89, 11),
        shape(frame_343_shape_group_4_shape_4_horizontal_lines, 117, 10),
        shape(frame_343_shape_group_4_shape_5_horizontal_lines, 118, 3),
        shape(frame_343_shape_group_4_shape_6_horizontal_lines, 130, 10),
        shape(frame_343_shape_group_4_shape_7_horizontal_lines, 138, 11),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(203, 226),
        horizontal_line(202, 226),
        horizontal_line(203, 227),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(208, 231),
        horizontal_line(209, 232),
        horizontal_line(210, 233),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(77, 90),
        horizontal_line(76, 90),
        horizontal_line(76, 90),
        horizontal_line(76, 89),
        horizontal_line(75, 89),
        horizontal_line(75, 89),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(74, 87),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(103, 118),
        horizontal_line(103, 113),
        horizontal_line(102, 113),
        horizontal_line(102, 117),
        horizontal_line(101, 112),
        horizontal_line(70, 84),
        horizontal_line(69, 83),
        horizontal_line(69, 83),
        horizontal_line(100, 111),
        horizontal_line(100, 115),
        horizontal_line(99, 110),
        horizontal_line(99, 114),
        horizontal_line(99, 109),
        horizontal_line(111, 114),
        horizontal_line(198, 219),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(197, 218),
        horizontal_line(109, 112),
        horizontal_line(109, 112),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(79, 95),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(196, 217),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(78, 94),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(196, 216),
        horizontal_line(197, 216),
        horizontal_line(199, 215),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(204, 214),
        horizontal_line(105, 108),
        horizontal_line(67, 74),
        horizontal_line(92, 107),
        horizontal_line(104, 107),
        horizontal_line(212, 213),
        horizontal_line(103, 106),
        horizontal_line(212, 221),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(124, 178),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(151, 186),
        horizontal_line(179, 187),
        horizontal_line(144, 188),
        horizontal_line(172, 189),
        horizontal_line(137, 190),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(125, 164),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(209, 216),
    };

    constexpr const horizontal_line frame_343_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(186, 205),
    };

    constexpr const shape frame_343_shape_group_5_shapes[] = {
        shape(frame_343_shape_group_5_shape_0_horizontal_lines, 41, 13),
        shape(frame_343_shape_group_5_shape_1_horizontal_lines, 48, 13),
        shape(frame_343_shape_group_5_shape_2_horizontal_lines, 68, 11),
        shape(frame_343_shape_group_5_shape_3_horizontal_lines, 101, 10),
        shape(frame_343_shape_group_5_shape_4_horizontal_lines, 102, 11),
        shape(frame_343_shape_group_5_shape_5_horizontal_lines, 103, 10),
        shape(frame_343_shape_group_5_shape_6_horizontal_lines, 104, 11),
        shape(frame_343_shape_group_5_shape_7_horizontal_lines, 117, 3),
        shape(frame_343_shape_group_5_shape_8_horizontal_lines, 126, 3),
        shape(frame_343_shape_group_5_shape_9_horizontal_lines, 131, 10),
        shape(frame_343_shape_group_5_shape_10_horizontal_lines, 136, 10),
        shape(frame_343_shape_group_5_shape_11_horizontal_lines, 138, 11),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(209, 232),
        horizontal_line(209, 232),
        horizontal_line(209, 232),
        horizontal_line(208, 231),
        horizontal_line(208, 231),
        horizontal_line(208, 231),
        horizontal_line(208, 230),
        horizontal_line(207, 230),
        horizontal_line(87, 87),
        horizontal_line(86, 94),
        horizontal_line(86, 93),
        horizontal_line(85, 93),
        horizontal_line(85, 92),
        horizontal_line(85, 92),
        horizontal_line(84, 92),
        horizontal_line(84, 91),
        horizontal_line(77, 80),
        horizontal_line(108, 119),
        horizontal_line(107, 118),
        horizontal_line(107, 118),
        horizontal_line(107, 117),
        horizontal_line(106, 117),
        horizontal_line(106, 117),
        horizontal_line(105, 116),
        horizontal_line(105, 116),
        horizontal_line(105, 116),
        horizontal_line(104, 115),
        horizontal_line(104, 115),
        horizontal_line(104, 119),
        horizontal_line(103, 114),
        horizontal_line(201, 223),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(201, 222),
        horizontal_line(114, 117),
        horizontal_line(101, 112),
        horizontal_line(101, 116),
        horizontal_line(100, 111),
        horizontal_line(113, 115),
        horizontal_line(199, 220),
        horizontal_line(112, 115),
        horizontal_line(199, 220),
        horizontal_line(111, 114),
        horizontal_line(198, 219),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(81, 97),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(198, 218),
        horizontal_line(197, 218),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(80, 96),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(197, 217),
        horizontal_line(197, 217),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(79, 94),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(78, 94),
        horizontal_line(77, 93),
        horizontal_line(77, 93),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(200, 215),
        horizontal_line(202, 215),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(76, 92),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(205, 214),
        horizontal_line(92, 103),
        horizontal_line(209, 213),
        horizontal_line(210, 213),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(74, 90),
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(62, 124),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(165, 191),
    };

    constexpr const horizontal_line frame_343_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(206, 228),
    };

    constexpr const shape frame_343_shape_group_6_shapes[] = {
        shape(frame_343_shape_group_6_shape_0_horizontal_lines, 51, 11),
        shape(frame_343_shape_group_6_shape_1_horizontal_lines, 95, 10),
        shape(frame_343_shape_group_6_shape_2_horizontal_lines, 96, 11),
        shape(frame_343_shape_group_6_shape_3_horizontal_lines, 98, 10),
        shape(frame_343_shape_group_6_shape_4_horizontal_lines, 99, 11),
        shape(frame_343_shape_group_6_shape_5_horizontal_lines, 101, 1),
        shape(frame_343_shape_group_6_shape_6_horizontal_lines, 102, 10),
        shape(frame_343_shape_group_6_shape_7_horizontal_lines, 103, 1),
        shape(frame_343_shape_group_6_shape_8_horizontal_lines, 104, 10),
        shape(frame_343_shape_group_6_shape_9_horizontal_lines, 107, 11),
        shape(frame_343_shape_group_6_shape_10_horizontal_lines, 109, 10),
        shape(frame_343_shape_group_6_shape_11_horizontal_lines, 110, 11),
        shape(frame_343_shape_group_6_shape_12_horizontal_lines, 114, 10),
        shape(frame_343_shape_group_6_shape_13_horizontal_lines, 117, 3),
        shape(frame_343_shape_group_6_shape_14_horizontal_lines, 131, 3),
        shape(frame_343_shape_group_6_shape_15_horizontal_lines, 138, 10),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(207, 230),
        horizontal_line(207, 229),
        horizontal_line(207, 229),
        horizontal_line(206, 229),
        horizontal_line(206, 229),
        horizontal_line(109, 111),
        horizontal_line(109, 113),
        horizontal_line(108, 115),
        horizontal_line(84, 91),
        horizontal_line(205, 227),
        horizontal_line(205, 227),
        horizontal_line(204, 226),
        horizontal_line(204, 226),
        horizontal_line(204, 226),
        horizontal_line(204, 225),
        horizontal_line(203, 225),
        horizontal_line(203, 225),
        horizontal_line(203, 225),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(202, 224),
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(87, 102),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(201, 223),
        horizontal_line(201, 222),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(85, 101),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(200, 222),
        horizontal_line(114, 116),
        horizontal_line(200, 221),
        horizontal_line(113, 116),
        horizontal_line(199, 221),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(83, 99),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(199, 220),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(82, 98),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(198, 219),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(82, 97),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(61, 62),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(81, 96),
        horizontal_line(80, 96),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(60, 64),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(80, 95),
        horizontal_line(79, 95),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(106, 106),
        horizontal_line(193, 198),
        horizontal_line(77, 92),
        horizontal_line(76, 92),
        horizontal_line(189, 203),
        horizontal_line(75, 91),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(105, 108),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(0, 1),
        horizontal_line(0, 2),
        horizontal_line(74, 90),
        horizontal_line(102, 102),
        horizontal_line(181, 211),
    };

    constexpr const horizontal_line frame_343_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(124, 135),
    };

    constexpr const shape frame_343_shape_group_7_shapes[] = {
        shape(frame_343_shape_group_7_shape_0_horizontal_lines, 59, 11),
        shape(frame_343_shape_group_7_shape_1_horizontal_lines, 81, 10),
        shape(frame_343_shape_group_7_shape_2_horizontal_lines, 82, 11),
        shape(frame_343_shape_group_7_shape_3_horizontal_lines, 84, 10),
        shape(frame_343_shape_group_7_shape_4_horizontal_lines, 85, 11),
        shape(frame_343_shape_group_7_shape_5_horizontal_lines, 90, 10),
        shape(frame_343_shape_group_7_shape_6_horizontal_lines, 91, 11),
        shape(frame_343_shape_group_7_shape_7_horizontal_lines, 92, 10),
        shape(frame_343_shape_group_7_shape_8_horizontal_lines, 93, 11),
        shape(frame_343_shape_group_7_shape_9_horizontal_lines, 94, 10),
        shape(frame_343_shape_group_7_shape_10_horizontal_lines, 95, 1),
        shape(frame_343_shape_group_7_shape_11_horizontal_lines, 96, 10),
        shape(frame_343_shape_group_7_shape_12_horizontal_lines, 98, 1),
        shape(frame_343_shape_group_7_shape_13_horizontal_lines, 99, 10),
        shape(frame_343_shape_group_7_shape_14_horizontal_lines, 101, 1),
        shape(frame_343_shape_group_7_shape_15_horizontal_lines, 102, 10),
        shape(frame_343_shape_group_7_shape_16_horizontal_lines, 103, 1),
        shape(frame_343_shape_group_7_shape_17_horizontal_lines, 104, 10),
        shape(frame_343_shape_group_7_shape_18_horizontal_lines, 111, 11),
        shape(frame_343_shape_group_7_shape_19_horizontal_lines, 112, 10),
        shape(frame_343_shape_group_7_shape_20_horizontal_lines, 117, 3),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(94, 99),
        horizontal_line(94, 104),
        horizontal_line(93, 109),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(206, 228),
        horizontal_line(206, 228),
        horizontal_line(205, 228),
        horizontal_line(108, 117),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(91, 107),
        horizontal_line(91, 106),
        horizontal_line(91, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 105),
        horizontal_line(90, 105),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(88, 104),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(203, 224),
        horizontal_line(202, 224),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(87, 103),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(202, 223),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(119, 121),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(86, 102),
        horizontal_line(86, 101),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(85, 100),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(200, 221),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(84, 100),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(200, 221),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(83, 99),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(83, 98),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(82, 98),
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(109, 109),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_21_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_22_horizontal_lines[] = {
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_23_horizontal_lines[] = {
        horizontal_line(58, 62),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_24_horizontal_lines[] = {
        horizontal_line(194, 196),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_25_horizontal_lines[] = {
        horizontal_line(57, 61),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_26_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(105, 105),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_27_horizontal_lines[] = {
        horizontal_line(56, 60),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_28_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_29_horizontal_lines[] = {
        horizontal_line(207, 214),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_30_horizontal_lines[] = {
        horizontal_line(75, 91),
        horizontal_line(74, 90),
        horizontal_line(183, 211),
        horizontal_line(182, 213),
    };

    constexpr const horizontal_line frame_343_shape_group_8_shape_31_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const shape frame_343_shape_group_8_shapes[] = {
        shape(frame_343_shape_group_8_shape_0_horizontal_lines, 60, 10),
        shape(frame_343_shape_group_8_shape_1_horizontal_lines, 64, 11),
        shape(frame_343_shape_group_8_shape_2_horizontal_lines, 68, 10),
        shape(frame_343_shape_group_8_shape_3_horizontal_lines, 77, 11),
        shape(frame_343_shape_group_8_shape_4_horizontal_lines, 79, 10),
        shape(frame_343_shape_group_8_shape_5_horizontal_lines, 80, 11),
        shape(frame_343_shape_group_8_shape_6_horizontal_lines, 81, 1),
        shape(frame_343_shape_group_8_shape_7_horizontal_lines, 82, 10),
        shape(frame_343_shape_group_8_shape_8_horizontal_lines, 84, 1),
        shape(frame_343_shape_group_8_shape_9_horizontal_lines, 85, 10),
        shape(frame_343_shape_group_8_shape_10_horizontal_lines, 86, 11),
        shape(frame_343_shape_group_8_shape_11_horizontal_lines, 87, 10),
        shape(frame_343_shape_group_8_shape_12_horizontal_lines, 88, 11),
        shape(frame_343_shape_group_8_shape_13_horizontal_lines, 89, 10),
        shape(frame_343_shape_group_8_shape_14_horizontal_lines, 90, 1),
        shape(frame_343_shape_group_8_shape_15_horizontal_lines, 91, 10),
        shape(frame_343_shape_group_8_shape_16_horizontal_lines, 92, 1),
        shape(frame_343_shape_group_8_shape_17_horizontal_lines, 93, 10),
        shape(frame_343_shape_group_8_shape_18_horizontal_lines, 95, 1),
        shape(frame_343_shape_group_8_shape_19_horizontal_lines, 96, 10),
        shape(frame_343_shape_group_8_shape_20_horizontal_lines, 98, 1),
        shape(frame_343_shape_group_8_shape_21_horizontal_lines, 99, 10),
        shape(frame_343_shape_group_8_shape_22_horizontal_lines, 102, 1),
        shape(frame_343_shape_group_8_shape_23_horizontal_lines, 104, 1),
        shape(frame_343_shape_group_8_shape_24_horizontal_lines, 105, 10),
        shape(frame_343_shape_group_8_shape_25_horizontal_lines, 106, 1),
        shape(frame_343_shape_group_8_shape_26_horizontal_lines, 107, 10),
        shape(frame_343_shape_group_8_shape_27_horizontal_lines, 109, 1),
        shape(frame_343_shape_group_8_shape_28_horizontal_lines, 110, 10),
        shape(frame_343_shape_group_8_shape_29_horizontal_lines, 111, 11),
        shape(frame_343_shape_group_8_shape_30_horizontal_lines, 112, 10),
        shape(frame_343_shape_group_8_shape_31_horizontal_lines, 116, 3),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(93, 108),
        horizontal_line(93, 108),
        horizontal_line(92, 107),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(205, 227),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(119, 119),
        horizontal_line(119, 119),
        horizontal_line(118, 118),
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(88, 103),
        horizontal_line(88, 103),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(87, 102),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(85, 100),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(84, 99),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(61, 63),
        horizontal_line(60, 65),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(60, 64),
        horizontal_line(59, 63),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(111, 113),
        horizontal_line(57, 61),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(192, 199),
        horizontal_line(191, 201),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_19_horizontal_lines[] = {
        horizontal_line(188, 204),
        horizontal_line(0, 0),
        horizontal_line(186, 208),
        horizontal_line(103, 103),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_20_horizontal_lines[] = {
        horizontal_line(54, 65),
        horizontal_line(54, 65),
    };

    constexpr const horizontal_line frame_343_shape_group_9_shape_21_horizontal_lines[] = {
        horizontal_line(62, 91),
    };

    constexpr const shape frame_343_shape_group_9_shapes[] = {
        shape(frame_343_shape_group_9_shape_0_horizontal_lines, 64, 10),
        shape(frame_343_shape_group_9_shape_1_horizontal_lines, 67, 11),
        shape(frame_343_shape_group_9_shape_2_horizontal_lines, 69, 10),
        shape(frame_343_shape_group_9_shape_3_horizontal_lines, 74, 10),
        shape(frame_343_shape_group_9_shape_4_horizontal_lines, 77, 10),
        shape(frame_343_shape_group_9_shape_5_horizontal_lines, 79, 1),
        shape(frame_343_shape_group_9_shape_6_horizontal_lines, 80, 10),
        shape(frame_343_shape_group_9_shape_7_horizontal_lines, 82, 10),
        shape(frame_343_shape_group_9_shape_8_horizontal_lines, 85, 10),
        shape(frame_343_shape_group_9_shape_9_horizontal_lines, 87, 1),
        shape(frame_343_shape_group_9_shape_10_horizontal_lines, 88, 10),
        shape(frame_343_shape_group_9_shape_11_horizontal_lines, 91, 10),
        shape(frame_343_shape_group_9_shape_12_horizontal_lines, 93, 10),
        shape(frame_343_shape_group_9_shape_13_horizontal_lines, 94, 1),
        shape(frame_343_shape_group_9_shape_14_horizontal_lines, 96, 1),
        shape(frame_343_shape_group_9_shape_15_horizontal_lines, 99, 1),
        shape(frame_343_shape_group_9_shape_16_horizontal_lines, 102, 1),
        shape(frame_343_shape_group_9_shape_17_horizontal_lines, 104, 1),
        shape(frame_343_shape_group_9_shape_18_horizontal_lines, 107, 10),
        shape(frame_343_shape_group_9_shape_19_horizontal_lines, 110, 10),
        shape(frame_343_shape_group_9_shape_20_horizontal_lines, 114, 1),
        shape(frame_343_shape_group_9_shape_21_horizontal_lines, 116, 3),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(92, 107),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(116, 116),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(115, 115),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(118, 121),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(118, 120),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(116, 119),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(116, 118),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(114, 116),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(113, 115),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(57, 61),
        horizontal_line(56, 60),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(56, 59),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(75, 91),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_17_horizontal_lines[] = {
        horizontal_line(185, 209),
    };

    constexpr const horizontal_line frame_343_shape_group_10_shape_18_horizontal_lines[] = {
        horizontal_line(3, 3),
        horizontal_line(0, 47),
    };

    constexpr const shape frame_343_shape_group_10_shapes[] = {
        shape(frame_343_shape_group_10_shape_0_horizontal_lines, 67, 10),
        shape(frame_343_shape_group_10_shape_1_horizontal_lines, 77, 10),
        shape(frame_343_shape_group_10_shape_2_horizontal_lines, 80, 10),
        shape(frame_343_shape_group_10_shape_3_horizontal_lines, 82, 1),
        shape(frame_343_shape_group_10_shape_4_horizontal_lines, 85, 1),
        shape(frame_343_shape_group_10_shape_5_horizontal_lines, 86, 10),
        shape(frame_343_shape_group_10_shape_6_horizontal_lines, 88, 10),
        shape(frame_343_shape_group_10_shape_7_horizontal_lines, 89, 1),
        shape(frame_343_shape_group_10_shape_8_horizontal_lines, 91, 1),
        shape(frame_343_shape_group_10_shape_9_horizontal_lines, 93, 1),
        shape(frame_343_shape_group_10_shape_10_horizontal_lines, 96, 1),
        shape(frame_343_shape_group_10_shape_11_horizontal_lines, 99, 1),
        shape(frame_343_shape_group_10_shape_12_horizontal_lines, 105, 1),
        shape(frame_343_shape_group_10_shape_13_horizontal_lines, 107, 1),
        shape(frame_343_shape_group_10_shape_14_horizontal_lines, 110, 1),
        shape(frame_343_shape_group_10_shape_15_horizontal_lines, 111, 10),
        shape(frame_343_shape_group_10_shape_16_horizontal_lines, 112, 1),
        shape(frame_343_shape_group_10_shape_17_horizontal_lines, 113, 10),
        shape(frame_343_shape_group_10_shape_18_horizontal_lines, 114, 3),
    };

    constexpr const horizontal_line frame_343_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_343_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_343_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_343_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_343_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(104, 104),
    };

    constexpr const horizontal_line frame_343_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(61, 66),
        horizontal_line(54, 65),
    };

    constexpr const shape frame_343_shape_group_11_shapes[] = {
        shape(frame_343_shape_group_11_shape_0_horizontal_lines, 78, 1),
        shape(frame_343_shape_group_11_shape_1_horizontal_lines, 80, 1),
        shape(frame_343_shape_group_11_shape_2_horizontal_lines, 86, 1),
        shape(frame_343_shape_group_11_shape_3_horizontal_lines, 88, 1),
        shape(frame_343_shape_group_11_shape_4_horizontal_lines, 111, 10),
        shape(frame_343_shape_group_11_shape_5_horizontal_lines, 112, 1),
    };

    constexpr const horizontal_line frame_343_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(187, 206),
    };

    constexpr const shape frame_343_shape_group_12_shapes[] = {
        shape(frame_343_shape_group_12_shape_0_horizontal_lines, 111, 10),
    };

    constexpr const horizontal_line frame_343_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(55, 59),
    };

    constexpr const shape frame_343_shape_group_13_shapes[] = {
        shape(frame_343_shape_group_13_shape_0_horizontal_lines, 111, 1),
    };

    constexpr const horizontal_line frame_343_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(64, 64),
    };

    constexpr const shape frame_343_shape_group_14_shapes[] = {
        shape(frame_343_shape_group_14_shape_0_horizontal_lines, 111, 1),
    };

    constexpr const shape_group frame_343_shape_groups[] = {
        shape_group(frame_343_shape_group_0_shapes),
        shape_group(frame_343_shape_group_1_shapes),
        shape_group(frame_343_shape_group_2_shapes),
        shape_group(frame_343_shape_group_3_shapes),
        shape_group(frame_343_shape_group_4_shapes),
        shape_group(frame_343_shape_group_5_shapes),
        shape_group(frame_343_shape_group_6_shapes),
        shape_group(frame_343_shape_group_7_shapes),
        shape_group(frame_343_shape_group_8_shapes),
        shape_group(frame_343_shape_group_9_shapes),
        shape_group(frame_343_shape_group_10_shapes),
        shape_group(frame_343_shape_group_11_shapes),
        shape_group(frame_343_shape_group_12_shapes),
        shape_group(frame_343_shape_group_13_shapes),
        shape_group(frame_343_shape_group_14_shapes),
    };

    constexpr const frame frame_343_impl(frame_343_colors, frame_343_shape_groups);
} 

const frame& frame_343()
{
    return frame_343_impl;
}

namespace
{
    constexpr const bn::color frame_344_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_344_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 25),
        horizontal_line(0, 52),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(1, 63),
        horizontal_line(27, 89),
        horizontal_line(54, 116),
        horizontal_line(80, 142),
        horizontal_line(107, 169),
        horizontal_line(133, 195),
        horizontal_line(160, 222),
        horizontal_line(186, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(3, 65),
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(17, 79),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_344_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(25, 26),
        horizontal_line(24, 29),
        horizontal_line(24, 32),
        horizontal_line(24, 35),
        horizontal_line(23, 38),
        horizontal_line(23, 41),
        horizontal_line(23, 44),
        horizontal_line(22, 47),
        horizontal_line(22, 50),
        horizontal_line(21, 53),
        horizontal_line(21, 56),
        horizontal_line(21, 59),
        horizontal_line(20, 62),
        horizontal_line(20, 65),
        horizontal_line(20, 68),
        horizontal_line(19, 71),
        horizontal_line(19, 74),
        horizontal_line(18, 74),
        horizontal_line(18, 74),
        horizontal_line(18, 73),
        horizontal_line(17, 73),
        horizontal_line(17, 73),
        horizontal_line(17, 72),
        horizontal_line(16, 72),
        horizontal_line(16, 72),
        horizontal_line(16, 71),
        horizontal_line(15, 71),
        horizontal_line(15, 70),
        horizontal_line(14, 70),
        horizontal_line(14, 70),
        horizontal_line(14, 69),
        horizontal_line(13, 69),
        horizontal_line(13, 69),
        horizontal_line(13, 68),
        horizontal_line(12, 68),
        horizontal_line(12, 68),
        horizontal_line(11, 67),
        horizontal_line(11, 67),
        horizontal_line(11, 66),
        horizontal_line(10, 66),
        horizontal_line(10, 66),
        horizontal_line(10, 65),
        horizontal_line(17, 65),
        horizontal_line(29, 65),
        horizontal_line(41, 64),
        horizontal_line(53, 64),
    };

    constexpr const horizontal_line frame_344_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(164, 211),
        horizontal_line(164, 211),
        horizontal_line(163, 210),
        horizontal_line(163, 210),
        horizontal_line(163, 210),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(162, 209),
        horizontal_line(161, 208),
        horizontal_line(161, 208),
        horizontal_line(161, 208),
        horizontal_line(160, 208),
    };

    constexpr const horizontal_line frame_344_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(117, 117),
        horizontal_line(116, 119),
        horizontal_line(116, 122),
        horizontal_line(115, 124),
        horizontal_line(115, 127),
        horizontal_line(115, 129),
        horizontal_line(114, 132),
        horizontal_line(114, 134),
        horizontal_line(114, 137),
        horizontal_line(113, 140),
        horizontal_line(113, 142),
        horizontal_line(113, 145),
        horizontal_line(112, 147),
        horizontal_line(112, 150),
        horizontal_line(112, 152),
        horizontal_line(111, 154),
        horizontal_line(111, 154),
        horizontal_line(111, 154),
        horizontal_line(113, 153),
        horizontal_line(113, 153),
        horizontal_line(151, 153),
    };

    constexpr const horizontal_line frame_344_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(0, 0),
        horizontal_line(0, 19),
        horizontal_line(0, 39),
        horizontal_line(0, 59),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_344_shape_group_0_shapes[] = {
        shape(frame_344_shape_group_0_shape_0_horizontal_lines, 20, 15),
        shape(frame_344_shape_group_0_shape_1_horizontal_lines, 35, 8),
        shape(frame_344_shape_group_0_shape_2_horizontal_lines, 48, 15),
        shape(frame_344_shape_group_0_shape_3_horizontal_lines, 94, 13),
        shape(frame_344_shape_group_0_shape_4_horizontal_lines, 106, 15),
        shape(frame_344_shape_group_0_shape_5_horizontal_lines, 127, 13),
        shape(frame_344_shape_group_0_shape_6_horizontal_lines, 130, 11),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 78),
        horizontal_line(62, 105),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(63, 125),
        horizontal_line(89, 151),
        horizontal_line(116, 178),
        horizontal_line(142, 204),
        horizontal_line(169, 231),
        horizontal_line(195, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 47),
        horizontal_line(1, 63),
        horizontal_line(65, 95),
        horizontal_line(67, 119),
        horizontal_line(69, 131),
        horizontal_line(71, 133),
        horizontal_line(73, 135),
        horizontal_line(75, 137),
        horizontal_line(77, 139),
        horizontal_line(79, 141),
        horizontal_line(81, 143),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(31, 93),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(60, 122),
        horizontal_line(63, 88),
        horizontal_line(66, 87),
        horizontal_line(69, 87),
        horizontal_line(72, 86),
        horizontal_line(75, 86),
        horizontal_line(78, 86),
        horizontal_line(81, 85),
        horizontal_line(84, 85),
        horizontal_line(121, 183),
        horizontal_line(122, 184),
        horizontal_line(123, 185),
        horizontal_line(122, 184),
        horizontal_line(122, 184),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(121, 183),
        horizontal_line(120, 182),
        horizontal_line(120, 182),
        horizontal_line(124, 186),
        horizontal_line(128, 190),
        horizontal_line(133, 195),
        horizontal_line(138, 200),
        horizontal_line(143, 205),
        horizontal_line(149, 211),
        horizontal_line(154, 214),
        horizontal_line(159, 214),
        horizontal_line(164, 213),
        horizontal_line(170, 213),
        horizontal_line(182, 213),
        horizontal_line(196, 213),
        horizontal_line(210, 212),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(160, 207),
        horizontal_line(160, 207),
        horizontal_line(159, 207),
        horizontal_line(159, 206),
        horizontal_line(159, 206),
        horizontal_line(158, 206),
        horizontal_line(158, 206),
        horizontal_line(158, 204),
        horizontal_line(157, 203),
        horizontal_line(59, 63),
        horizontal_line(59, 68),
        horizontal_line(60, 68),
        horizontal_line(60, 69),
        horizontal_line(60, 69),
        horizontal_line(61, 70),
        horizontal_line(61, 70),
        horizontal_line(104, 109),
        horizontal_line(108, 110),
        horizontal_line(156, 190),
        horizontal_line(157, 189),
        horizontal_line(158, 188),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(228, 229),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(188, 229),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(228, 238),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(190, 226),
        horizontal_line(191, 224),
        horizontal_line(192, 223),
        horizontal_line(193, 221),
        horizontal_line(193, 220),
        horizontal_line(194, 218),
        horizontal_line(195, 217),
        horizontal_line(0, 19),
        horizontal_line(0, 39),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_344_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 239),
        horizontal_line(215, 239),
        horizontal_line(221, 239),
        horizontal_line(227, 239),
        horizontal_line(233, 239),
        horizontal_line(239, 239),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_344_shape_group_1_shapes[] = {
        shape(frame_344_shape_group_1_shape_0_horizontal_lines, 22, 15),
        shape(frame_344_shape_group_1_shape_1_horizontal_lines, 33, 8),
        shape(frame_344_shape_group_1_shape_2_horizontal_lines, 90, 13),
        shape(frame_344_shape_group_1_shape_3_horizontal_lines, 94, 11),
        shape(frame_344_shape_group_1_shape_4_horizontal_lines, 105, 13),
        shape(frame_344_shape_group_1_shape_5_horizontal_lines, 127, 11),
        shape(frame_344_shape_group_1_shape_6_horizontal_lines, 128, 10),
        shape(frame_344_shape_group_1_shape_7_horizontal_lines, 129, 11),
        shape(frame_344_shape_group_1_shape_8_horizontal_lines, 130, 10),
        shape(frame_344_shape_group_1_shape_9_horizontal_lines, 142, 11),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 131),
        horizontal_line(124, 158),
        horizontal_line(125, 184),
        horizontal_line(151, 211),
        horizontal_line(178, 238),
        horizontal_line(204, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(63, 71),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(131, 143),
        horizontal_line(133, 167),
        horizontal_line(135, 191),
        horizontal_line(137, 199),
        horizontal_line(139, 201),
        horizontal_line(141, 203),
        horizontal_line(143, 205),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(93, 155),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 176),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(122, 184),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(104, 166),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(121, 183),
        horizontal_line(183, 219),
        horizontal_line(184, 218),
        horizontal_line(185, 218),
        horizontal_line(184, 218),
        horizontal_line(184, 218),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(183, 217),
        horizontal_line(182, 216),
        horizontal_line(182, 216),
        horizontal_line(186, 216),
        horizontal_line(190, 216),
        horizontal_line(195, 215),
        horizontal_line(200, 215),
        horizontal_line(205, 215),
        horizontal_line(211, 214),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(165, 212),
        horizontal_line(165, 212),
        horizontal_line(165, 211),
        horizontal_line(164, 211),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(69, 80),
        horizontal_line(69, 79),
        horizontal_line(69, 79),
        horizontal_line(68, 78),
        horizontal_line(68, 78),
        horizontal_line(67, 78),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(66, 77),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(157, 202),
        horizontal_line(157, 200),
        horizontal_line(156, 199),
        horizontal_line(156, 198),
        horizontal_line(105, 105),
        horizontal_line(104, 106),
        horizontal_line(104, 108),
        horizontal_line(155, 193),
        horizontal_line(155, 192),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(188, 227),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(189, 227),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_12_horizontal_lines[] = {
        horizontal_line(196, 216),
        horizontal_line(197, 214),
        horizontal_line(198, 213),
        horizontal_line(198, 211),
        horizontal_line(199, 210),
        horizontal_line(1, 63),
        horizontal_line(20, 82),
        horizontal_line(40, 102),
        horizontal_line(60, 122),
    };

    constexpr const horizontal_line frame_344_shape_group_2_shape_13_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 99),
        horizontal_line(62, 119),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_344_shape_group_2_shapes[] = {
        shape(frame_344_shape_group_2_shape_0_horizontal_lines, 24, 15),
        shape(frame_344_shape_group_2_shape_1_horizontal_lines, 32, 8),
        shape(frame_344_shape_group_2_shape_2_horizontal_lines, 34, 8),
        shape(frame_344_shape_group_2_shape_3_horizontal_lines, 35, 13),
        shape(frame_344_shape_group_2_shape_4_horizontal_lines, 37, 8),
        shape(frame_344_shape_group_2_shape_5_horizontal_lines, 83, 13),
        shape(frame_344_shape_group_2_shape_6_horizontal_lines, 94, 11),
        shape(frame_344_shape_group_2_shape_7_horizontal_lines, 106, 13),
        shape(frame_344_shape_group_2_shape_8_horizontal_lines, 127, 10),
        shape(frame_344_shape_group_2_shape_9_horizontal_lines, 128, 3),
        shape(frame_344_shape_group_2_shape_10_horizontal_lines, 129, 10),
        shape(frame_344_shape_group_2_shape_11_horizontal_lines, 130, 3),
        shape(frame_344_shape_group_2_shape_12_horizontal_lines, 137, 10),
        shape(frame_344_shape_group_2_shape_13_horizontal_lines, 146, 11),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(199, 215),
        horizontal_line(201, 215),
        horizontal_line(203, 216),
        horizontal_line(205, 217),
        horizontal_line(207, 218),
        horizontal_line(209, 219),
        horizontal_line(212, 219),
        horizontal_line(214, 220),
        horizontal_line(155, 217),
        horizontal_line(158, 220),
        horizontal_line(161, 223),
        horizontal_line(164, 224),
        horizontal_line(167, 223),
        horizontal_line(170, 223),
        horizontal_line(173, 223),
        horizontal_line(176, 222),
        horizontal_line(178, 222),
        horizontal_line(181, 222),
        horizontal_line(184, 221),
        horizontal_line(157, 219),
        horizontal_line(161, 221),
        horizontal_line(166, 221),
        horizontal_line(171, 220),
        horizontal_line(174, 220),
        horizontal_line(177, 220),
        horizontal_line(180, 219),
        horizontal_line(183, 219),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(74, 84),
        horizontal_line(73, 83),
        horizontal_line(73, 83),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(167, 167),
        horizontal_line(166, 181),
        horizontal_line(166, 195),
        horizontal_line(166, 209),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(71, 81),
        horizontal_line(70, 81),
        horizontal_line(70, 80),
        horizontal_line(1, 7),
        horizontal_line(97, 109),
        horizontal_line(96, 109),
        horizontal_line(96, 109),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 107),
        horizontal_line(94, 107),
        horizontal_line(94, 107),
        horizontal_line(94, 106),
        horizontal_line(93, 106),
        horizontal_line(93, 106),
        horizontal_line(65, 75),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(63, 66),
        horizontal_line(63, 63),
        horizontal_line(69, 72),
        horizontal_line(68, 72),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(156, 197),
        horizontal_line(155, 195),
        horizontal_line(155, 194),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(85, 98),
        horizontal_line(154, 156),
        horizontal_line(154, 157),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(20, 82),
        horizontal_line(40, 102),
        horizontal_line(61, 123),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(62, 80),
        horizontal_line(62, 101),
        horizontal_line(200, 208),
        horizontal_line(201, 207),
        horizontal_line(202, 205),
        horizontal_line(203, 204),
        horizontal_line(80, 142),
        horizontal_line(100, 162),
        horizontal_line(120, 182),
    };

    constexpr const horizontal_line frame_344_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(124, 139),
        horizontal_line(124, 159),
        horizontal_line(124, 179),
        horizontal_line(124, 186),
        horizontal_line(186, 219),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const shape frame_344_shape_group_3_shapes[] = {
        shape(frame_344_shape_group_3_shape_0_horizontal_lines, 34, 13),
        shape(frame_344_shape_group_3_shape_1_horizontal_lines, 37, 13),
        shape(frame_344_shape_group_3_shape_2_horizontal_lines, 40, 8),
        shape(frame_344_shape_group_3_shape_3_horizontal_lines, 67, 13),
        shape(frame_344_shape_group_3_shape_4_horizontal_lines, 83, 11),
        shape(frame_344_shape_group_3_shape_5_horizontal_lines, 86, 13),
        shape(frame_344_shape_group_3_shape_6_horizontal_lines, 90, 11),
        shape(frame_344_shape_group_3_shape_7_horizontal_lines, 115, 13),
        shape(frame_344_shape_group_3_shape_8_horizontal_lines, 124, 11),
        shape(frame_344_shape_group_3_shape_9_horizontal_lines, 127, 3),
        shape(frame_344_shape_group_3_shape_10_horizontal_lines, 140, 10),
        shape(frame_344_shape_group_3_shape_11_horizontal_lines, 149, 11),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(224, 239),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(217, 221),
        horizontal_line(220, 222),
        horizontal_line(223, 223),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(219, 221),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(80, 90),
        horizontal_line(79, 89),
        horizontal_line(79, 89),
        horizontal_line(79, 88),
        horizontal_line(78, 88),
        horizontal_line(78, 88),
        horizontal_line(77, 87),
        horizontal_line(77, 87),
        horizontal_line(77, 87),
        horizontal_line(76, 86),
        horizontal_line(76, 86),
        horizontal_line(75, 85),
        horizontal_line(75, 85),
        horizontal_line(75, 85),
        horizontal_line(74, 84),
        horizontal_line(74, 84),
        horizontal_line(101, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(72, 82),
        horizontal_line(72, 82),
        horizontal_line(72, 82),
        horizontal_line(71, 81),
        horizontal_line(98, 111),
        horizontal_line(98, 110),
        horizontal_line(97, 110),
        horizontal_line(70, 80),
        horizontal_line(114, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(92, 105),
        horizontal_line(65, 75),
        horizontal_line(64, 75),
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(63, 74),
        horizontal_line(69, 73),
        horizontal_line(69, 73),
        horizontal_line(89, 102),
        horizontal_line(89, 102),
        horizontal_line(68, 72),
        horizontal_line(69, 71),
        horizontal_line(69, 71),
        horizontal_line(70, 71),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(86, 99),
        horizontal_line(86, 99),
        horizontal_line(154, 155),
        horizontal_line(225, 230),
        horizontal_line(227, 229),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(62, 124),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(82, 144),
        horizontal_line(102, 164),
        horizontal_line(123, 185),
        horizontal_line(81, 143),
        horizontal_line(102, 164),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(63, 121),
        horizontal_line(82, 141),
        horizontal_line(102, 162),
        horizontal_line(122, 182),
        horizontal_line(142, 203),
        horizontal_line(162, 208),
        horizontal_line(182, 214),
        horizontal_line(140, 202),
        horizontal_line(160, 222),
        horizontal_line(180, 232),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(186, 199),
    };

    constexpr const horizontal_line frame_344_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const shape frame_344_shape_group_4_shapes[] = {
        shape(frame_344_shape_group_4_shape_0_horizontal_lines, 38, 13),
        shape(frame_344_shape_group_4_shape_1_horizontal_lines, 48, 8),
        shape(frame_344_shape_group_4_shape_2_horizontal_lines, 51, 13),
        shape(frame_344_shape_group_4_shape_3_horizontal_lines, 59, 8),
        shape(frame_344_shape_group_4_shape_4_horizontal_lines, 60, 13),
        shape(frame_344_shape_group_4_shape_5_horizontal_lines, 67, 11),
        shape(frame_344_shape_group_4_shape_6_horizontal_lines, 119, 13),
        shape(frame_344_shape_group_4_shape_7_horizontal_lines, 122, 11),
        shape(frame_344_shape_group_4_shape_8_horizontal_lines, 127, 3),
        shape(frame_344_shape_group_4_shape_9_horizontal_lines, 142, 10),
        shape(frame_344_shape_group_4_shape_10_horizontal_lines, 152, 11),
        shape(frame_344_shape_group_4_shape_11_horizontal_lines, 153, 10),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(225, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(88, 92),
        horizontal_line(88, 92),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(86, 90),
        horizontal_line(80, 83),
        horizontal_line(107, 119),
        horizontal_line(106, 119),
        horizontal_line(106, 118),
        horizontal_line(106, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 116),
        horizontal_line(103, 116),
        horizontal_line(103, 115),
        horizontal_line(103, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 114),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(100, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 111),
        horizontal_line(98, 111),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(97, 110),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(110, 112),
        horizontal_line(92, 105),
        horizontal_line(92, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 103),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(107, 109),
        horizontal_line(106, 109),
        horizontal_line(89, 102),
        horizontal_line(88, 101),
        horizontal_line(88, 101),
        horizontal_line(88, 100),
        horizontal_line(70, 70),
        horizontal_line(87, 100),
        horizontal_line(86, 99),
        horizontal_line(221, 231),
        horizontal_line(222, 230),
        horizontal_line(224, 230),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(190, 224),
        horizontal_line(189, 226),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(186, 187),
        horizontal_line(124, 186),
        horizontal_line(186, 189),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
        horizontal_line(186, 192),
        horizontal_line(186, 192),
        horizontal_line(186, 193),
        horizontal_line(186, 194),
        horizontal_line(144, 195),
        horizontal_line(164, 196),
        horizontal_line(185, 197),
        horizontal_line(143, 197),
        horizontal_line(164, 198),
        horizontal_line(122, 184),
        horizontal_line(142, 200),
        horizontal_line(163, 201),
        horizontal_line(183, 202),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(202, 220),
        horizontal_line(222, 226),
    };

    constexpr const horizontal_line frame_344_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(200, 238),
    };

    constexpr const shape frame_344_shape_group_5_shapes[] = {
        shape(frame_344_shape_group_5_shape_0_horizontal_lines, 40, 13),
        shape(frame_344_shape_group_5_shape_1_horizontal_lines, 52, 11),
        shape(frame_344_shape_group_5_shape_2_horizontal_lines, 59, 13),
        shape(frame_344_shape_group_5_shape_3_horizontal_lines, 60, 11),
        shape(frame_344_shape_group_5_shape_4_horizontal_lines, 125, 10),
        shape(frame_344_shape_group_5_shape_5_horizontal_lines, 127, 3),
        shape(frame_344_shape_group_5_shape_6_horizontal_lines, 149, 10),
        shape(frame_344_shape_group_5_shape_7_horizontal_lines, 152, 10),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(89, 93),
        horizontal_line(222, 239),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(108, 111),
        horizontal_line(108, 114),
        horizontal_line(107, 117),
        horizontal_line(86, 90),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(115, 118),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(81, 96),
        horizontal_line(80, 95),
        horizontal_line(80, 95),
        horizontal_line(79, 94),
        horizontal_line(79, 94),
        horizontal_line(79, 94),
        horizontal_line(78, 93),
        horizontal_line(78, 93),
        horizontal_line(78, 93),
        horizontal_line(77, 92),
        horizontal_line(77, 92),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(209, 238),
        horizontal_line(109, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(108, 111),
        horizontal_line(108, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(208, 234),
        horizontal_line(209, 234),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(105, 108),
        horizontal_line(105, 108),
        horizontal_line(87, 100),
        horizontal_line(107, 107),
        horizontal_line(219, 231),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(54, 60),
        horizontal_line(54, 59),
        horizontal_line(79, 84),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(186, 187),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(186, 188),
    };

    constexpr const horizontal_line frame_344_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(184, 199),
    };

    constexpr const shape frame_344_shape_group_6_shapes[] = {
        shape(frame_344_shape_group_6_shape_0_horizontal_lines, 48, 13),
        shape(frame_344_shape_group_6_shape_1_horizontal_lines, 59, 11),
        shape(frame_344_shape_group_6_shape_2_horizontal_lines, 94, 10),
        shape(frame_344_shape_group_6_shape_3_horizontal_lines, 105, 11),
        shape(frame_344_shape_group_6_shape_4_horizontal_lines, 122, 10),
        shape(frame_344_shape_group_6_shape_5_horizontal_lines, 125, 3),
        shape(frame_344_shape_group_6_shape_6_horizontal_lines, 129, 3),
        shape(frame_344_shape_group_6_shape_7_horizontal_lines, 142, 3),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(93, 98),
        horizontal_line(93, 103),
        horizontal_line(92, 108),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(107, 120),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(91, 106),
        horizontal_line(90, 105),
        horizontal_line(90, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 104),
        horizontal_line(89, 104),
        horizontal_line(88, 103),
        horizontal_line(88, 103),
        horizontal_line(88, 103),
        horizontal_line(87, 102),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(85, 100),
        horizontal_line(84, 99),
        horizontal_line(84, 99),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(82, 97),
        horizontal_line(82, 97),
        horizontal_line(81, 96),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(110, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(108, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 109),
        horizontal_line(76, 91),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(208, 237),
        horizontal_line(208, 237),
        horizontal_line(208, 236),
        horizontal_line(207, 236),
        horizontal_line(207, 236),
        horizontal_line(207, 235),
        horizontal_line(207, 235),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(73, 88),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(211, 234),
        horizontal_line(212, 233),
        horizontal_line(214, 233),
        horizontal_line(215, 232),
        horizontal_line(106, 107),
        horizontal_line(218, 232),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(55, 60),
        horizontal_line(74, 85),
        horizontal_line(77, 85),
        horizontal_line(99, 99),
    };

    constexpr const horizontal_line frame_344_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(62, 112),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_344_shape_group_7_shapes[] = {
        shape(frame_344_shape_group_7_shape_0_horizontal_lines, 59, 11),
        shape(frame_344_shape_group_7_shape_1_horizontal_lines, 60, 10),
        shape(frame_344_shape_group_7_shape_2_horizontal_lines, 63, 11),
        shape(frame_344_shape_group_7_shape_3_horizontal_lines, 67, 10),
        shape(frame_344_shape_group_7_shape_4_horizontal_lines, 77, 11),
        shape(frame_344_shape_group_7_shape_5_horizontal_lines, 83, 10),
        shape(frame_344_shape_group_7_shape_6_horizontal_lines, 86, 11),
        shape(frame_344_shape_group_7_shape_7_horizontal_lines, 90, 10),
        shape(frame_344_shape_group_7_shape_8_horizontal_lines, 93, 11),
        shape(frame_344_shape_group_7_shape_9_horizontal_lines, 94, 10),
        shape(frame_344_shape_group_7_shape_10_horizontal_lines, 106, 11),
        shape(frame_344_shape_group_7_shape_11_horizontal_lines, 113, 10),
        shape(frame_344_shape_group_7_shape_12_horizontal_lines, 115, 11),
        shape(frame_344_shape_group_7_shape_13_horizontal_lines, 121, 10),
        shape(frame_344_shape_group_7_shape_14_horizontal_lines, 125, 3),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(94, 94),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(92, 107),
        horizontal_line(92, 107),
        horizontal_line(91, 106),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 121),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(87, 102),
        horizontal_line(86, 102),
        horizontal_line(86, 101),
        horizontal_line(86, 101),
        horizontal_line(85, 100),
        horizontal_line(85, 100),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(83, 99),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(82, 97),
        horizontal_line(112, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 113),
        horizontal_line(81, 96),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(117, 120),
        horizontal_line(64, 66),
        horizontal_line(64, 68),
        horizontal_line(63, 67),
        horizontal_line(63, 67),
        horizontal_line(63, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(61, 65),
        horizontal_line(61, 65),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(106, 109),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(74, 89),
        horizontal_line(74, 89),
        horizontal_line(103, 106),
        horizontal_line(73, 88),
        horizontal_line(57, 58),
        horizontal_line(57, 58),
        horizontal_line(56, 59),
        horizontal_line(56, 59),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(217, 232),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(55, 60),
        horizontal_line(72, 85),
        horizontal_line(100, 102),
        horizontal_line(100, 100),
        horizontal_line(191, 223),
    };

    constexpr const horizontal_line frame_344_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(124, 150),
    };

    constexpr const shape frame_344_shape_group_8_shapes[] = {
        shape(frame_344_shape_group_8_shape_0_horizontal_lines, 59, 10),
        shape(frame_344_shape_group_8_shape_1_horizontal_lines, 63, 10),
        shape(frame_344_shape_group_8_shape_2_horizontal_lines, 66, 11),
        shape(frame_344_shape_group_8_shape_3_horizontal_lines, 67, 10),
        shape(frame_344_shape_group_8_shape_4_horizontal_lines, 94, 1),
        shape(frame_344_shape_group_8_shape_5_horizontal_lines, 105, 10),
        shape(frame_344_shape_group_8_shape_6_horizontal_lines, 119, 11),
        shape(frame_344_shape_group_8_shape_7_horizontal_lines, 120, 10),
        shape(frame_344_shape_group_8_shape_8_horizontal_lines, 126, 3),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(91, 106),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(113, 116),
        horizontal_line(60, 64),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(106, 108),
        horizontal_line(105, 108),
        horizontal_line(105, 108),
        horizontal_line(105, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(205, 207),
        horizontal_line(103, 105),
        horizontal_line(73, 88),
        horizontal_line(72, 87),
        horizontal_line(72, 87),
        horizontal_line(72, 87),
        horizontal_line(56, 59),
        horizontal_line(71, 86),
        horizontal_line(100, 103),
        horizontal_line(194, 220),
        horizontal_line(193, 221),
    };

    constexpr const horizontal_line frame_344_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(76, 78),
    };

    constexpr const shape frame_344_shape_group_9_shapes[] = {
        shape(frame_344_shape_group_9_shape_0_horizontal_lines, 66, 10),
        shape(frame_344_shape_group_9_shape_1_horizontal_lines, 77, 10),
        shape(frame_344_shape_group_9_shape_2_horizontal_lines, 83, 1),
        shape(frame_344_shape_group_9_shape_3_horizontal_lines, 86, 10),
        shape(frame_344_shape_group_9_shape_4_horizontal_lines, 90, 1),
        shape(frame_344_shape_group_9_shape_5_horizontal_lines, 93, 10),
        shape(frame_344_shape_group_9_shape_6_horizontal_lines, 95, 1),
        shape(frame_344_shape_group_9_shape_7_horizontal_lines, 106, 10),
        shape(frame_344_shape_group_9_shape_8_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_344_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_344_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(120, 123),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_344_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_344_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(113, 116),
        horizontal_line(60, 64),
        horizontal_line(59, 63),
        horizontal_line(59, 63),
        horizontal_line(59, 63),
        horizontal_line(58, 62),
        horizontal_line(58, 62),
        horizontal_line(58, 62),
        horizontal_line(57, 68),
    };

    constexpr const horizontal_line frame_344_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(204, 208),
        horizontal_line(103, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
        horizontal_line(101, 104),
        horizontal_line(71, 86),
        horizontal_line(101, 103),
        horizontal_line(195, 218),
    };

    constexpr const horizontal_line frame_344_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(62, 73),
        horizontal_line(53, 53),
        horizontal_line(100, 112),
    };

    constexpr const shape frame_344_shape_group_10_shapes[] = {
        shape(frame_344_shape_group_10_shape_0_horizontal_lines, 78, 1),
        shape(frame_344_shape_group_10_shape_1_horizontal_lines, 86, 1),
        shape(frame_344_shape_group_10_shape_2_horizontal_lines, 93, 1),
        shape(frame_344_shape_group_10_shape_3_horizontal_lines, 105, 1),
        shape(frame_344_shape_group_10_shape_4_horizontal_lines, 114, 10),
        shape(frame_344_shape_group_10_shape_5_horizontal_lines, 122, 1),
    };

    constexpr const horizontal_line frame_344_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(67, 68),
        horizontal_line(64, 68),
    };

    constexpr const horizontal_line frame_344_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_344_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(203, 210),
        horizontal_line(201, 211),
        horizontal_line(200, 213),
        horizontal_line(199, 214),
        horizontal_line(101, 104),
        horizontal_line(196, 217),
    };

    constexpr const horizontal_line frame_344_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(103, 103),
        horizontal_line(64, 76),
    };

    constexpr const horizontal_line frame_344_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(0, 62),
    };

    constexpr const shape frame_344_shape_group_11_shapes[] = {
        shape(frame_344_shape_group_11_shape_0_horizontal_lines, 111, 1),
        shape(frame_344_shape_group_11_shape_1_horizontal_lines, 114, 1),
        shape(frame_344_shape_group_11_shape_2_horizontal_lines, 115, 10),
        shape(frame_344_shape_group_11_shape_3_horizontal_lines, 121, 1),
        shape(frame_344_shape_group_11_shape_4_horizontal_lines, 124, 3),
    };

    constexpr const horizontal_line frame_344_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(59, 67),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_344_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_344_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(198, 216),
    };

    constexpr const horizontal_line frame_344_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_344_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_344_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(101, 107),
    };

    constexpr const horizontal_line frame_344_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(62, 75),
    };

    constexpr const shape frame_344_shape_group_12_shapes[] = {
        shape(frame_344_shape_group_12_shape_0_horizontal_lines, 114, 1),
        shape(frame_344_shape_group_12_shape_1_horizontal_lines, 118, 1),
        shape(frame_344_shape_group_12_shape_2_horizontal_lines, 119, 10),
        shape(frame_344_shape_group_12_shape_3_horizontal_lines, 120, 1),
        shape(frame_344_shape_group_12_shape_4_horizontal_lines, 122, 3),
        shape(frame_344_shape_group_12_shape_5_horizontal_lines, 123, 1),
        shape(frame_344_shape_group_12_shape_6_horizontal_lines, 124, 3),
    };

    constexpr const horizontal_line frame_344_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(64, 67),
    };

    constexpr const horizontal_line frame_344_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(55, 55),
    };

    constexpr const horizontal_line frame_344_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(61, 61),
        horizontal_line(0, 37),
    };

    constexpr const shape frame_344_shape_group_13_shapes[] = {
        shape(frame_344_shape_group_13_shape_0_horizontal_lines, 115, 1),
        shape(frame_344_shape_group_13_shape_1_horizontal_lines, 119, 1),
        shape(frame_344_shape_group_13_shape_2_horizontal_lines, 122, 3),
    };

    constexpr const horizontal_line frame_344_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(60, 63),
    };

    constexpr const shape frame_344_shape_group_14_shapes[] = {
        shape(frame_344_shape_group_14_shape_0_horizontal_lines, 123, 3),
    };

    constexpr const shape_group frame_344_shape_groups[] = {
        shape_group(frame_344_shape_group_0_shapes),
        shape_group(frame_344_shape_group_1_shapes),
        shape_group(frame_344_shape_group_2_shapes),
        shape_group(frame_344_shape_group_3_shapes),
        shape_group(frame_344_shape_group_4_shapes),
        shape_group(frame_344_shape_group_5_shapes),
        shape_group(frame_344_shape_group_6_shapes),
        shape_group(frame_344_shape_group_7_shapes),
        shape_group(frame_344_shape_group_8_shapes),
        shape_group(frame_344_shape_group_9_shapes),
        shape_group(frame_344_shape_group_10_shapes),
        shape_group(frame_344_shape_group_11_shapes),
        shape_group(frame_344_shape_group_12_shapes),
        shape_group(frame_344_shape_group_13_shapes),
        shape_group(frame_344_shape_group_14_shapes),
    };

    constexpr const frame frame_344_impl(frame_344_colors, frame_344_shape_groups);
} 

const frame& frame_344()
{
    return frame_344_impl;
}

namespace
{
    constexpr const bn::color frame_345_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_345_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(34, 96),
        horizontal_line(68, 130),
        horizontal_line(102, 164),
        horizontal_line(136, 198),
        horizontal_line(170, 232),
        horizontal_line(204, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 8),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_345_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(29, 30),
        horizontal_line(28, 33),
        horizontal_line(28, 36),
        horizontal_line(28, 39),
        horizontal_line(27, 42),
        horizontal_line(27, 45),
        horizontal_line(26, 48),
        horizontal_line(26, 52),
        horizontal_line(26, 55),
        horizontal_line(25, 58),
        horizontal_line(25, 61),
        horizontal_line(24, 64),
        horizontal_line(24, 67),
        horizontal_line(24, 70),
        horizontal_line(23, 73),
        horizontal_line(23, 77),
        horizontal_line(22, 77),
        horizontal_line(22, 77),
        horizontal_line(22, 76),
        horizontal_line(21, 76),
        horizontal_line(21, 76),
        horizontal_line(20, 75),
        horizontal_line(20, 75),
        horizontal_line(20, 75),
        horizontal_line(19, 74),
        horizontal_line(19, 74),
        horizontal_line(18, 74),
        horizontal_line(18, 73),
        horizontal_line(18, 73),
        horizontal_line(17, 73),
        horizontal_line(17, 72),
        horizontal_line(16, 72),
        horizontal_line(16, 71),
        horizontal_line(16, 71),
        horizontal_line(15, 71),
        horizontal_line(15, 70),
        horizontal_line(14, 70),
        horizontal_line(14, 70),
        horizontal_line(14, 69),
        horizontal_line(13, 69),
        horizontal_line(13, 69),
        horizontal_line(12, 68),
        horizontal_line(20, 68),
        horizontal_line(32, 68),
        horizontal_line(44, 67),
        horizontal_line(56, 67),
    };

    constexpr const horizontal_line frame_345_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(167, 226),
        horizontal_line(167, 226),
        horizontal_line(167, 226),
        horizontal_line(166, 225),
        horizontal_line(166, 225),
        horizontal_line(166, 225),
        horizontal_line(165, 224),
        horizontal_line(165, 224),
        horizontal_line(165, 224),
        horizontal_line(164, 224),
        horizontal_line(164, 223),
        horizontal_line(164, 223),
    };

    constexpr const horizontal_line frame_345_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(119, 122),
        horizontal_line(119, 125),
        horizontal_line(118, 127),
        horizontal_line(118, 130),
        horizontal_line(118, 132),
        horizontal_line(117, 135),
        horizontal_line(117, 137),
        horizontal_line(117, 140),
        horizontal_line(116, 142),
        horizontal_line(116, 145),
        horizontal_line(116, 147),
        horizontal_line(115, 150),
        horizontal_line(115, 152),
        horizontal_line(115, 155),
        horizontal_line(114, 157),
        horizontal_line(114, 157),
        horizontal_line(113, 157),
        horizontal_line(55, 55),
        horizontal_line(47, 54),
        horizontal_line(39, 54),
        horizontal_line(31, 53),
        horizontal_line(23, 53),
        horizontal_line(15, 53),
        horizontal_line(7, 52),
        horizontal_line(1, 52),
        horizontal_line(23, 52),
        horizontal_line(45, 51),
        horizontal_line(112, 153),
        horizontal_line(112, 152),
        horizontal_line(114, 152),
        horizontal_line(133, 151),
    };

    constexpr const horizontal_line frame_345_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(177, 199),
        horizontal_line(178, 198),
    };

    constexpr const horizontal_line frame_345_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(0, 13),
        horizontal_line(0, 27),
        horizontal_line(0, 41),
        horizontal_line(0, 55),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(22, 84),
    };

    constexpr const shape frame_345_shape_group_0_shapes[] = {
        shape(frame_345_shape_group_0_shape_0_horizontal_lines, 19, 15),
        shape(frame_345_shape_group_0_shape_1_horizontal_lines, 35, 13),
        shape(frame_345_shape_group_0_shape_2_horizontal_lines, 48, 15),
        shape(frame_345_shape_group_0_shape_3_horizontal_lines, 94, 13),
        shape(frame_345_shape_group_0_shape_4_horizontal_lines, 106, 15),
        shape(frame_345_shape_group_0_shape_5_horizontal_lines, 138, 13),
        shape(frame_345_shape_group_0_shape_6_horizontal_lines, 140, 10),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 101),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(96, 158),
        horizontal_line(130, 192),
        horizontal_line(164, 226),
        horizontal_line(198, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(5, 67),
        horizontal_line(7, 69),
        horizontal_line(9, 71),
        horizontal_line(12, 74),
        horizontal_line(14, 76),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(32, 94),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(80, 94),
        horizontal_line(80, 94),
        horizontal_line(79, 93),
        horizontal_line(79, 93),
        horizontal_line(78, 93),
        horizontal_line(78, 92),
        horizontal_line(78, 92),
        horizontal_line(77, 92),
        horizontal_line(77, 91),
        horizontal_line(77, 91),
        horizontal_line(76, 90),
        horizontal_line(76, 90),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(163, 223),
        horizontal_line(163, 222),
        horizontal_line(163, 222),
        horizontal_line(162, 222),
        horizontal_line(162, 221),
        horizontal_line(162, 221),
        horizontal_line(161, 221),
        horizontal_line(63, 67),
        horizontal_line(63, 72),
        horizontal_line(63, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(62, 71),
        horizontal_line(108, 109),
        horizontal_line(108, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 111),
        horizontal_line(107, 112),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_8_horizontal_lines[] = {
        horizontal_line(113, 156),
        horizontal_line(114, 156),
        horizontal_line(115, 155),
        horizontal_line(114, 155),
        horizontal_line(114, 155),
        horizontal_line(114, 154),
        horizontal_line(113, 154),
        horizontal_line(113, 154),
        horizontal_line(113, 153),
        horizontal_line(112, 153),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_9_horizontal_lines[] = {
        horizontal_line(172, 205),
        horizontal_line(173, 203),
        horizontal_line(174, 202),
        horizontal_line(175, 201),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_10_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_345_shape_group_1_shape_12_horizontal_lines[] = {
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 238),
        horizontal_line(210, 236),
        horizontal_line(211, 235),
        horizontal_line(212, 233),
        horizontal_line(213, 232),
        horizontal_line(214, 231),
    };

    constexpr const shape frame_345_shape_group_1_shapes[] = {
        shape(frame_345_shape_group_1_shape_0_horizontal_lines, 20, 15),
        shape(frame_345_shape_group_1_shape_1_horizontal_lines, 33, 13),
        shape(frame_345_shape_group_1_shape_2_horizontal_lines, 35, 8),
        shape(frame_345_shape_group_1_shape_3_horizontal_lines, 40, 13),
        shape(frame_345_shape_group_1_shape_4_horizontal_lines, 46, 8),
        shape(frame_345_shape_group_1_shape_5_horizontal_lines, 48, 13),
        shape(frame_345_shape_group_1_shape_6_horizontal_lines, 94, 10),
        shape(frame_345_shape_group_1_shape_7_horizontal_lines, 106, 13),
        shape(frame_345_shape_group_1_shape_8_horizontal_lines, 124, 15),
        shape(frame_345_shape_group_1_shape_9_horizontal_lines, 134, 13),
        shape(frame_345_shape_group_1_shape_10_horizontal_lines, 138, 10),
        shape(frame_345_shape_group_1_shape_11_horizontal_lines, 140, 3),
        shape(frame_345_shape_group_1_shape_12_horizontal_lines, 152, 10),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 135),
        horizontal_line(124, 169),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(158, 220),
        horizontal_line(192, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(1, 28),
        horizontal_line(3, 57),
        horizontal_line(67, 86),
        horizontal_line(69, 116),
        horizontal_line(71, 133),
        horizontal_line(74, 136),
        horizontal_line(76, 138),
        horizontal_line(16, 78),
        horizontal_line(18, 80),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(27, 89),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(35, 97),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(44, 106),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(65, 93),
        horizontal_line(68, 91),
        horizontal_line(71, 90),
        horizontal_line(74, 90),
        horizontal_line(77, 89),
        horizontal_line(80, 89),
        horizontal_line(83, 89),
        horizontal_line(86, 88),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(125, 187),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(132, 194),
        horizontal_line(137, 199),
        horizontal_line(142, 204),
        horizontal_line(147, 209),
        horizontal_line(152, 214),
        horizontal_line(157, 219),
        horizontal_line(162, 224),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(171, 171),
        horizontal_line(170, 182),
        horizontal_line(170, 194),
        horizontal_line(169, 205),
        horizontal_line(169, 217),
        horizontal_line(169, 228),
        horizontal_line(168, 227),
        horizontal_line(168, 227),
        horizontal_line(168, 227),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(110, 116),
        horizontal_line(110, 116),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(109, 115),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(108, 114),
        horizontal_line(107, 113),
        horizontal_line(107, 113),
        horizontal_line(106, 112),
        horizontal_line(106, 112),
        horizontal_line(75, 90),
        horizontal_line(75, 89),
        horizontal_line(75, 89),
        horizontal_line(74, 89),
        horizontal_line(74, 88),
        horizontal_line(74, 88),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(161, 221),
        horizontal_line(161, 220),
        horizontal_line(160, 220),
        horizontal_line(160, 220),
        horizontal_line(160, 219),
        horizontal_line(108, 109),
        horizontal_line(159, 219),
        horizontal_line(159, 218),
        horizontal_line(158, 218),
        horizontal_line(158, 218),
        horizontal_line(158, 217),
        horizontal_line(109, 112),
        horizontal_line(112, 113),
        horizontal_line(83, 98),
        horizontal_line(82, 99),
        horizontal_line(81, 100),
        horizontal_line(81, 101),
        horizontal_line(92, 102),
        horizontal_line(104, 104),
        horizontal_line(169, 207),
        horizontal_line(170, 206),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(79, 103),
        horizontal_line(89, 102),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(155, 176),
        horizontal_line(177, 177),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(14, 76),
        horizontal_line(28, 90),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(62, 69),
        horizontal_line(62, 83),
        horizontal_line(62, 97),
        horizontal_line(84, 111),
    };

    constexpr const shape frame_345_shape_group_2_shapes[] = {
        shape(frame_345_shape_group_2_shape_0_horizontal_lines, 22, 15),
        shape(frame_345_shape_group_2_shape_1_horizontal_lines, 33, 8),
        shape(frame_345_shape_group_2_shape_2_horizontal_lines, 85, 13),
        shape(frame_345_shape_group_2_shape_3_horizontal_lines, 94, 10),
        shape(frame_345_shape_group_2_shape_4_horizontal_lines, 113, 13),
        shape(frame_345_shape_group_2_shape_5_horizontal_lines, 134, 10),
        shape(frame_345_shape_group_2_shape_6_horizontal_lines, 138, 11),
        shape(frame_345_shape_group_2_shape_7_horizontal_lines, 140, 3),
        shape(frame_345_shape_group_2_shape_8_horizontal_lines, 154, 11),
        shape(frame_345_shape_group_2_shape_9_horizontal_lines, 156, 10),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 203),
        horizontal_line(186, 238),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(220, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(133, 145),
        horizontal_line(136, 174),
        horizontal_line(138, 200),
        horizontal_line(78, 140),
        horizontal_line(80, 142),
        horizontal_line(83, 145),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(89, 151),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(97, 159),
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(121, 183),
        horizontal_line(124, 186),
        horizontal_line(95, 157),
        horizontal_line(99, 161),
        horizontal_line(103, 165),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 176),
        horizontal_line(117, 179),
        horizontal_line(121, 183),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 238),
        horizontal_line(186, 237),
        horizontal_line(189, 237),
        horizontal_line(194, 236),
        horizontal_line(199, 236),
        horizontal_line(204, 236),
        horizontal_line(209, 235),
        horizontal_line(214, 235),
        horizontal_line(219, 235),
        horizontal_line(224, 234),
        horizontal_line(229, 234),
        horizontal_line(172, 233),
        horizontal_line(183, 233),
        horizontal_line(195, 233),
        horizontal_line(206, 232),
        horizontal_line(218, 230),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(81, 96),
        horizontal_line(81, 95),
        horizontal_line(81, 95),
        horizontal_line(80, 95),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(106, 112),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(105, 111),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(73, 87),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(61, 62),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(159, 219),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(78, 84),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(159, 217),
        horizontal_line(160, 217),
        horizontal_line(161, 215),
        horizontal_line(163, 214),
        horizontal_line(164, 213),
        horizontal_line(165, 211),
        horizontal_line(166, 210),
        horizontal_line(168, 209),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(55, 55),
        horizontal_line(54, 54),
        horizontal_line(206, 236),
        horizontal_line(204, 237),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(153, 173),
        horizontal_line(152, 174),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(76, 138),
        horizontal_line(90, 152),
        horizontal_line(42, 104),
        horizontal_line(56, 118),
    };

    constexpr const horizontal_line frame_345_shape_group_3_shape_11_horizontal_lines[] = {
        horizontal_line(236, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(0, 21),
    };

    constexpr const shape frame_345_shape_group_3_shapes[] = {
        shape(frame_345_shape_group_3_shape_0_horizontal_lines, 24, 15),
        shape(frame_345_shape_group_3_shape_1_horizontal_lines, 37, 8),
        shape(frame_345_shape_group_3_shape_2_horizontal_lines, 90, 10),
        shape(frame_345_shape_group_3_shape_3_horizontal_lines, 94, 11),
        shape(frame_345_shape_group_3_shape_4_horizontal_lines, 106, 10),
        shape(frame_345_shape_group_3_shape_5_horizontal_lines, 118, 13),
        shape(frame_345_shape_group_3_shape_6_horizontal_lines, 119, 10),
        shape(frame_345_shape_group_3_shape_7_horizontal_lines, 124, 13),
        shape(frame_345_shape_group_3_shape_8_horizontal_lines, 132, 10),
        shape(frame_345_shape_group_3_shape_9_horizontal_lines, 136, 11),
        shape(frame_345_shape_group_3_shape_10_horizontal_lines, 138, 3),
        shape(frame_345_shape_group_3_shape_11_horizontal_lines, 156, 11),
    };

    constexpr const horizontal_line frame_345_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(200, 203),
        horizontal_line(140, 202),
        horizontal_line(142, 204),
        horizontal_line(145, 207),
        horizontal_line(147, 209),
        horizontal_line(149, 211),
        horizontal_line(151, 213),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(159, 221),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(157, 219),
        horizontal_line(161, 223),
        horizontal_line(165, 227),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(90, 105),
        horizontal_line(90, 104),
        horizontal_line(90, 104),
        horizontal_line(89, 104),
        horizontal_line(89, 103),
        horizontal_line(89, 103),
        horizontal_line(88, 102),
        horizontal_line(88, 102),
        horizontal_line(87, 102),
        horizontal_line(87, 101),
        horizontal_line(87, 101),
        horizontal_line(86, 101),
        horizontal_line(86, 100),
        horizontal_line(86, 100),
        horizontal_line(85, 99),
        horizontal_line(85, 99),
        horizontal_line(84, 99),
        horizontal_line(84, 98),
        horizontal_line(84, 98),
        horizontal_line(83, 98),
        horizontal_line(83, 97),
        horizontal_line(83, 97),
        horizontal_line(82, 96),
        horizontal_line(82, 96),
        horizontal_line(111, 118),
        horizontal_line(111, 117),
        horizontal_line(111, 117),
        horizontal_line(110, 116),
    };

    constexpr const horizontal_line frame_345_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(72, 79),
        horizontal_line(72, 79),
        horizontal_line(71, 78),
        horizontal_line(71, 78),
        horizontal_line(70, 77),
        horizontal_line(70, 77),
        horizontal_line(70, 77),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(69, 76),
        horizontal_line(68, 75),
        horizontal_line(68, 75),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(104, 110),
        horizontal_line(73, 87),
        horizontal_line(73, 87),
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(72, 86),
        horizontal_line(60, 61),
        horizontal_line(72, 85),
        horizontal_line(74, 84),
        horizontal_line(76, 84),
        horizontal_line(100, 106),
        horizontal_line(80, 83),
        horizontal_line(58, 58),
        horizontal_line(99, 99),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(80, 91),
        horizontal_line(55, 55),
        horizontal_line(79, 103),
        horizontal_line(79, 103),
    };

    constexpr const horizontal_line frame_345_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(154, 171),
        horizontal_line(153, 172),
    };

    constexpr const horizontal_line frame_345_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(186, 197),
        horizontal_line(186, 197),
        horizontal_line(186, 198),
        horizontal_line(186, 199),
        horizontal_line(186, 200),
        horizontal_line(186, 201),
        horizontal_line(186, 202),
        horizontal_line(186, 202),
        horizontal_line(186, 203),
        horizontal_line(186, 204),
        horizontal_line(186, 205),
        horizontal_line(186, 206),
        horizontal_line(138, 200),
        horizontal_line(152, 207),
        horizontal_line(104, 166),
        horizontal_line(118, 180),
        horizontal_line(70, 132),
        horizontal_line(84, 146),
        horizontal_line(98, 160),
    };

    constexpr const horizontal_line frame_345_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(232, 239),
    };

    constexpr const shape frame_345_shape_group_4_shapes[] = {
        shape(frame_345_shape_group_4_shape_0_horizontal_lines, 39, 8),
        shape(frame_345_shape_group_4_shape_1_horizontal_lines, 66, 10),
        shape(frame_345_shape_group_4_shape_2_horizontal_lines, 94, 11),
        shape(frame_345_shape_group_4_shape_3_horizontal_lines, 112, 10),
        shape(frame_345_shape_group_4_shape_4_horizontal_lines, 134, 11),
        shape(frame_345_shape_group_4_shape_5_horizontal_lines, 136, 3),
        shape(frame_345_shape_group_4_shape_6_horizontal_lines, 159, 11),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(202, 233),
        horizontal_line(204, 234),
        horizontal_line(207, 235),
        horizontal_line(209, 236),
        horizontal_line(211, 237),
        horizontal_line(213, 238),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(221, 239),
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(219, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(120, 122),
        horizontal_line(120, 124),
        horizontal_line(119, 126),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(116, 122),
        horizontal_line(116, 122),
        horizontal_line(115, 122),
        horizontal_line(115, 121),
        horizontal_line(115, 121),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 120),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(113, 119),
        horizontal_line(112, 118),
        horizontal_line(112, 118),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(73, 80),
        horizontal_line(73, 80),
        horizontal_line(6, 10),
        horizontal_line(1, 10),
        horizontal_line(95, 109),
        horizontal_line(95, 109),
        horizontal_line(94, 108),
        horizontal_line(94, 108),
        horizontal_line(94, 108),
        horizontal_line(93, 107),
        horizontal_line(93, 107),
        horizontal_line(93, 107),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
        horizontal_line(91, 105),
        horizontal_line(91, 105),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
        horizontal_line(67, 74),
        horizontal_line(66, 73),
        horizontal_line(66, 73),
        horizontal_line(66, 69),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(103, 109),
        horizontal_line(103, 109),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(102, 108),
        horizontal_line(72, 85),
        horizontal_line(101, 107),
        horizontal_line(101, 107),
        horizontal_line(100, 106),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(85, 99),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(100, 105),
        horizontal_line(82, 83),
        horizontal_line(218, 223),
        horizontal_line(216, 225),
        horizontal_line(215, 226),
        horizontal_line(214, 227),
        horizontal_line(212, 229),
        horizontal_line(211, 230),
        horizontal_line(80, 103),
        horizontal_line(208, 233),
        horizontal_line(207, 234),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(62, 110),
        horizontal_line(62, 124),
        horizontal_line(124, 154),
        horizontal_line(124, 176),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(200, 207),
    };

    constexpr const horizontal_line frame_345_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(166, 208),
        horizontal_line(180, 209),
        horizontal_line(132, 194),
        horizontal_line(146, 208),
        horizontal_line(160, 212),
        horizontal_line(112, 174),
    };

    constexpr const shape frame_345_shape_group_5_shapes[] = {
        shape(frame_345_shape_group_5_shape_0_horizontal_lines, 40, 8),
        shape(frame_345_shape_group_5_shape_1_horizontal_lines, 48, 8),
        shape(frame_345_shape_group_5_shape_2_horizontal_lines, 58, 8),
        shape(frame_345_shape_group_5_shape_3_horizontal_lines, 64, 10),
        shape(frame_345_shape_group_5_shape_4_horizontal_lines, 90, 11),
        shape(frame_345_shape_group_5_shape_5_horizontal_lines, 113, 10),
        shape(frame_345_shape_group_5_shape_6_horizontal_lines, 122, 11),
        shape(frame_345_shape_group_5_shape_7_horizontal_lines, 123, 10),
        shape(frame_345_shape_group_5_shape_8_horizontal_lines, 134, 11),
        shape(frame_345_shape_group_5_shape_9_horizontal_lines, 136, 3),
        shape(frame_345_shape_group_5_shape_10_horizontal_lines, 152, 3),
        shape(frame_345_shape_group_5_shape_11_horizontal_lines, 154, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(94, 94),
        horizontal_line(93, 98),
        horizontal_line(93, 102),
        horizontal_line(92, 107),
        horizontal_line(92, 106),
        horizontal_line(92, 106),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(90, 90),
        horizontal_line(82, 85),
        horizontal_line(82, 89),
        horizontal_line(81, 89),
        horizontal_line(81, 89),
        horizontal_line(81, 88),
        horizontal_line(80, 88),
        horizontal_line(80, 88),
        horizontal_line(80, 87),
        horizontal_line(79, 87),
        horizontal_line(79, 86),
        horizontal_line(79, 86),
        horizontal_line(78, 86),
        horizontal_line(78, 85),
        horizontal_line(78, 85),
        horizontal_line(77, 85),
        horizontal_line(77, 84),
        horizontal_line(76, 84),
        horizontal_line(76, 83),
        horizontal_line(76, 83),
        horizontal_line(75, 83),
        horizontal_line(75, 82),
        horizontal_line(75, 82),
        horizontal_line(74, 82),
        horizontal_line(74, 81),
        horizontal_line(74, 81),
        horizontal_line(97, 110),
        horizontal_line(96, 110),
        horizontal_line(73, 80),
        horizontal_line(72, 79),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(116, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 117),
        horizontal_line(115, 116),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(91, 105),
        horizontal_line(90, 104),
        horizontal_line(90, 104),
        horizontal_line(90, 104),
        horizontal_line(89, 103),
        horizontal_line(73, 73),
        horizontal_line(72, 72),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(101, 107),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(221, 221),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(84, 98),
        horizontal_line(156, 160),
        horizontal_line(156, 162),
        horizontal_line(156, 163),
        horizontal_line(155, 164),
        horizontal_line(155, 165),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(210, 232),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(154, 168),
        horizontal_line(154, 169),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(124, 132),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(194, 210),
        horizontal_line(208, 211),
    };

    constexpr const horizontal_line frame_345_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(174, 213),
    };

    constexpr const shape frame_345_shape_group_6_shapes[] = {
        shape(frame_345_shape_group_6_shape_0_horizontal_lines, 58, 10),
        shape(frame_345_shape_group_6_shape_1_horizontal_lines, 64, 11),
        shape(frame_345_shape_group_6_shape_2_horizontal_lines, 118, 10),
        shape(frame_345_shape_group_6_shape_3_horizontal_lines, 119, 11),
        shape(frame_345_shape_group_6_shape_4_horizontal_lines, 123, 10),
        shape(frame_345_shape_group_6_shape_5_horizontal_lines, 125, 11),
        shape(frame_345_shape_group_6_shape_6_horizontal_lines, 131, 10),
        shape(frame_345_shape_group_6_shape_7_horizontal_lines, 132, 11),
        shape(frame_345_shape_group_6_shape_8_horizontal_lines, 134, 3),
        shape(frame_345_shape_group_6_shape_9_horizontal_lines, 137, 3),
        shape(frame_345_shape_group_6_shape_10_horizontal_lines, 156, 3),
        shape(frame_345_shape_group_6_shape_11_horizontal_lines, 159, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(92, 92),
        horizontal_line(91, 92),
        horizontal_line(91, 91),
        horizontal_line(90, 91),
        horizontal_line(90, 91),
        horizontal_line(106, 116),
        horizontal_line(89, 90),
        horizontal_line(106, 119),
        horizontal_line(105, 119),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(101, 115),
        horizontal_line(101, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 113),
        horizontal_line(99, 113),
        horizontal_line(99, 113),
        horizontal_line(99, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(97, 111),
        horizontal_line(97, 111),
        horizontal_line(119, 120),
        horizontal_line(118, 120),
        horizontal_line(96, 110),
        horizontal_line(96, 109),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(113, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(111, 113),
        horizontal_line(89, 103),
        horizontal_line(88, 103),
        horizontal_line(72, 72),
        horizontal_line(88, 102),
        horizontal_line(87, 101),
        horizontal_line(87, 101),
        horizontal_line(87, 101),
        horizontal_line(0, 1),
        horizontal_line(86, 100),
        horizontal_line(85, 100),
        horizontal_line(85, 99),
    };

    constexpr const horizontal_line frame_345_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(56, 58),
    };

    constexpr const horizontal_line frame_345_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(84, 99),
    };

    constexpr const horizontal_line frame_345_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(219, 222),
    };

    constexpr const horizontal_line frame_345_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(157, 159),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(155, 167),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(104, 111),
        horizontal_line(103, 111),
    };

    constexpr const shape frame_345_shape_group_7_shapes[] = {
        shape(frame_345_shape_group_7_shape_0_horizontal_lines, 59, 11),
        shape(frame_345_shape_group_7_shape_1_horizontal_lines, 122, 1),
        shape(frame_345_shape_group_7_shape_2_horizontal_lines, 123, 11),
        shape(frame_345_shape_group_7_shape_3_horizontal_lines, 124, 10),
        shape(frame_345_shape_group_7_shape_4_horizontal_lines, 125, 11),
        shape(frame_345_shape_group_7_shape_5_horizontal_lines, 134, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(107, 113),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(106, 120),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(124, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 121),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(118, 120),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(67, 71),
        horizontal_line(67, 70),
        horizontal_line(66, 70),
        horizontal_line(66, 69),
        horizontal_line(66, 69),
        horizontal_line(65, 69),
        horizontal_line(65, 68),
        horizontal_line(64, 68),
        horizontal_line(64, 68),
        horizontal_line(64, 67),
        horizontal_line(63, 67),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(88, 102),
        horizontal_line(110, 112),
        horizontal_line(109, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(86, 100),
        horizontal_line(110, 110),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(67, 77),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(222, 239),
        horizontal_line(84, 98),
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(75, 82),
        horizontal_line(77, 81),
        horizontal_line(79, 80),
        horizontal_line(102, 108),
        horizontal_line(103, 106),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 44),
        horizontal_line(62, 78),
        horizontal_line(62, 88),
    };

    constexpr const shape frame_345_shape_group_8_shapes[] = {
        shape(frame_345_shape_group_8_shape_0_horizontal_lines, 62, 11),
        shape(frame_345_shape_group_8_shape_1_horizontal_lines, 65, 11),
        shape(frame_345_shape_group_8_shape_2_horizontal_lines, 74, 11),
        shape(frame_345_shape_group_8_shape_3_horizontal_lines, 94, 1),
        shape(frame_345_shape_group_8_shape_4_horizontal_lines, 106, 11),
        shape(frame_345_shape_group_8_shape_5_horizontal_lines, 122, 1),
        shape(frame_345_shape_group_8_shape_6_horizontal_lines, 123, 11),
        shape(frame_345_shape_group_8_shape_7_horizontal_lines, 126, 1),
        shape(frame_345_shape_group_8_shape_8_horizontal_lines, 131, 11),
        shape(frame_345_shape_group_8_shape_9_horizontal_lines, 132, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(121, 124),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(63, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 66),
        horizontal_line(62, 65),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(110, 112),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(223, 239),
        horizontal_line(110, 111),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(57, 58),
        horizontal_line(57, 58),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(59, 66),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(56, 57),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(157, 158),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(99, 114),
        horizontal_line(100, 112),
        horizontal_line(101, 110),
    };

    constexpr const horizontal_line frame_345_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(57, 80),
        horizontal_line(56, 79),
        horizontal_line(0, 0),
        horizontal_line(56, 78),
        horizontal_line(55, 78),
    };

    constexpr const shape frame_345_shape_group_9_shapes[] = {
        shape(frame_345_shape_group_9_shape_0_horizontal_lines, 76, 11),
        shape(frame_345_shape_group_9_shape_1_horizontal_lines, 90, 1),
        shape(frame_345_shape_group_9_shape_2_horizontal_lines, 92, 11),
        shape(frame_345_shape_group_9_shape_3_horizontal_lines, 95, 1),
        shape(frame_345_shape_group_9_shape_4_horizontal_lines, 111, 11),
        shape(frame_345_shape_group_9_shape_5_horizontal_lines, 120, 1),
        shape(frame_345_shape_group_9_shape_6_horizontal_lines, 122, 3),
        shape(frame_345_shape_group_9_shape_7_horizontal_lines, 123, 1),
        shape(frame_345_shape_group_9_shape_8_horizontal_lines, 124, 11),
        shape(frame_345_shape_group_9_shape_9_horizontal_lines, 125, 1),
        shape(frame_345_shape_group_9_shape_10_horizontal_lines, 129, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(126, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(121, 123),
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(61, 65),
        horizontal_line(60, 62),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(224, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(60, 61),
        horizontal_line(59, 60),
        horizontal_line(59, 60),
        horizontal_line(58, 60),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(58, 59),
        horizontal_line(63, 73),
        horizontal_line(65, 75),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(69, 79),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(223, 239),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(73, 83),
    };

    constexpr const horizontal_line frame_345_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(58, 74),
        horizontal_line(58, 76),
        horizontal_line(57, 78),
        horizontal_line(109, 113),
        horizontal_line(107, 112),
        horizontal_line(56, 79),
        horizontal_line(104, 112),
        horizontal_line(104, 111),
    };

    constexpr const shape frame_345_shape_group_10_shapes[] = {
        shape(frame_345_shape_group_10_shape_0_horizontal_lines, 77, 1),
        shape(frame_345_shape_group_10_shape_1_horizontal_lines, 92, 1),
        shape(frame_345_shape_group_10_shape_2_horizontal_lines, 111, 1),
        shape(frame_345_shape_group_10_shape_3_horizontal_lines, 113, 11),
        shape(frame_345_shape_group_10_shape_4_horizontal_lines, 114, 1),
        shape(frame_345_shape_group_10_shape_5_horizontal_lines, 118, 11),
        shape(frame_345_shape_group_10_shape_6_horizontal_lines, 119, 1),
        shape(frame_345_shape_group_10_shape_7_horizontal_lines, 123, 1),
        shape(frame_345_shape_group_10_shape_8_horizontal_lines, 124, 11),
        shape(frame_345_shape_group_10_shape_9_horizontal_lines, 125, 1),
        shape(frame_345_shape_group_10_shape_10_horizontal_lines, 126, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(70, 72),
        horizontal_line(64, 71),
        horizontal_line(60, 61),
    };

    constexpr const horizontal_line frame_345_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(58, 59),
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_345_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(60, 62),
        horizontal_line(60, 64),
    };

    constexpr const horizontal_line frame_345_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(56, 57),
        horizontal_line(100, 111),
    };

    constexpr const horizontal_line frame_345_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_345_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(105, 112),
    };

    constexpr const shape frame_345_shape_group_11_shapes[] = {
        shape(frame_345_shape_group_11_shape_0_horizontal_lines, 111, 1),
        shape(frame_345_shape_group_11_shape_1_horizontal_lines, 118, 1),
        shape(frame_345_shape_group_11_shape_2_horizontal_lines, 120, 3),
        shape(frame_345_shape_group_11_shape_3_horizontal_lines, 123, 1),
        shape(frame_345_shape_group_11_shape_4_horizontal_lines, 127, 3),
        shape(frame_345_shape_group_11_shape_5_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_345_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(61, 61),
    };

    constexpr const horizontal_line frame_345_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(59, 68),
    };

    constexpr const horizontal_line frame_345_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(71, 81),
    };

    constexpr const horizontal_line frame_345_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(58, 72),
    };

    constexpr const shape frame_345_shape_group_12_shapes[] = {
        shape(frame_345_shape_group_12_shape_0_horizontal_lines, 113, 1),
        shape(frame_345_shape_group_12_shape_1_horizontal_lines, 119, 3),
        shape(frame_345_shape_group_12_shape_2_horizontal_lines, 123, 3),
        shape(frame_345_shape_group_12_shape_3_horizontal_lines, 124, 1),
        shape(frame_345_shape_group_12_shape_4_horizontal_lines, 125, 3),
    };

    constexpr const horizontal_line frame_345_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(103, 108),
    };

    constexpr const shape frame_345_shape_group_13_shapes[] = {
        shape(frame_345_shape_group_13_shape_0_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_345_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(59, 70),
    };

    constexpr const shape frame_345_shape_group_14_shapes[] = {
        shape(frame_345_shape_group_14_shape_0_horizontal_lines, 124, 3),
    };

    constexpr const shape_group frame_345_shape_groups[] = {
        shape_group(frame_345_shape_group_0_shapes),
        shape_group(frame_345_shape_group_1_shapes),
        shape_group(frame_345_shape_group_2_shapes),
        shape_group(frame_345_shape_group_3_shapes),
        shape_group(frame_345_shape_group_4_shapes),
        shape_group(frame_345_shape_group_5_shapes),
        shape_group(frame_345_shape_group_6_shapes),
        shape_group(frame_345_shape_group_7_shapes),
        shape_group(frame_345_shape_group_8_shapes),
        shape_group(frame_345_shape_group_9_shapes),
        shape_group(frame_345_shape_group_10_shapes),
        shape_group(frame_345_shape_group_11_shapes),
        shape_group(frame_345_shape_group_12_shapes),
        shape_group(frame_345_shape_group_13_shapes),
        shape_group(frame_345_shape_group_14_shapes),
    };

    constexpr const frame frame_345_impl(frame_345_colors, frame_345_shape_groups);
} 

const frame& frame_345()
{
    return frame_345_impl;
}

namespace
{
    constexpr const bn::color frame_346_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_346_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(47, 109),
        horizontal_line(95, 157),
        horizontal_line(143, 205),
        horizontal_line(191, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_346_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(32, 34),
        horizontal_line(31, 37),
        horizontal_line(31, 40),
        horizontal_line(31, 43),
        horizontal_line(30, 46),
        horizontal_line(30, 49),
        horizontal_line(29, 52),
        horizontal_line(29, 55),
        horizontal_line(29, 58),
        horizontal_line(28, 61),
        horizontal_line(28, 64),
        horizontal_line(27, 67),
        horizontal_line(27, 70),
        horizontal_line(27, 73),
        horizontal_line(26, 76),
        horizontal_line(26, 80),
        horizontal_line(26, 80),
        horizontal_line(25, 80),
        horizontal_line(25, 79),
        horizontal_line(24, 79),
        horizontal_line(24, 79),
        horizontal_line(24, 78),
        horizontal_line(23, 78),
        horizontal_line(23, 77),
        horizontal_line(22, 77),
        horizontal_line(22, 77),
        horizontal_line(22, 76),
        horizontal_line(21, 76),
        horizontal_line(21, 75),
        horizontal_line(21, 75),
        horizontal_line(20, 75),
        horizontal_line(20, 74),
        horizontal_line(19, 74),
        horizontal_line(19, 73),
        horizontal_line(19, 73),
        horizontal_line(18, 73),
        horizontal_line(18, 72),
        horizontal_line(17, 72),
        horizontal_line(17, 71),
        horizontal_line(17, 71),
        horizontal_line(16, 71),
        horizontal_line(24, 70),
        horizontal_line(35, 70),
        horizontal_line(47, 69),
        horizontal_line(58, 69),
    };

    constexpr const horizontal_line frame_346_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
    };

    constexpr const horizontal_line frame_346_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(121, 124),
        horizontal_line(121, 126),
        horizontal_line(120, 129),
        horizontal_line(120, 131),
        horizontal_line(120, 134),
        horizontal_line(119, 136),
        horizontal_line(119, 139),
        horizontal_line(119, 141),
        horizontal_line(118, 144),
        horizontal_line(118, 146),
        horizontal_line(118, 149),
        horizontal_line(117, 151),
        horizontal_line(117, 154),
        horizontal_line(117, 156),
        horizontal_line(116, 159),
        horizontal_line(116, 160),
        horizontal_line(116, 160),
        horizontal_line(58, 58),
        horizontal_line(49, 57),
        horizontal_line(41, 57),
        horizontal_line(33, 56),
        horizontal_line(24, 56),
        horizontal_line(16, 56),
        horizontal_line(8, 55),
        horizontal_line(1, 55),
        horizontal_line(1, 55),
        horizontal_line(1, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(1, 50),
        horizontal_line(18, 49),
        horizontal_line(36, 49),
        horizontal_line(135, 150),
        horizontal_line(137, 150),
        horizontal_line(139, 150),
        horizontal_line(140, 149),
        horizontal_line(142, 149),
        horizontal_line(143, 149),
    };

    constexpr const horizontal_line frame_346_shape_group_0_shape_5_horizontal_lines[] = {
        horizontal_line(199, 213),
        horizontal_line(201, 213),
        horizontal_line(202, 211),
    };

    constexpr const horizontal_line frame_346_shape_group_0_shape_6_horizontal_lines[] = {
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
    };

    constexpr const shape frame_346_shape_group_0_shapes[] = {
        shape(frame_346_shape_group_0_shape_0_horizontal_lines, 18, 15),
        shape(frame_346_shape_group_0_shape_1_horizontal_lines, 35, 13),
        shape(frame_346_shape_group_0_shape_2_horizontal_lines, 48, 15),
        shape(frame_346_shape_group_0_shape_3_horizontal_lines, 93, 13),
        shape(frame_346_shape_group_0_shape_4_horizontal_lines, 105, 15),
        shape(frame_346_shape_group_0_shape_5_horizontal_lines, 154, 13),
        shape(frame_346_shape_group_0_shape_6_horizontal_lines, 157, 10),
    };

    constexpr const horizontal_line frame_346_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 78),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(109, 171),
        horizontal_line(157, 219),
        horizontal_line(205, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(9, 38),
        horizontal_line(11, 73),
        horizontal_line(13, 75),
        horizontal_line(15, 77),
        horizontal_line(18, 80),
        horizontal_line(20, 82),
        horizontal_line(22, 84),
        horizontal_line(24, 86),
        horizontal_line(26, 88),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(33, 95),
        horizontal_line(35, 97),
    };

    constexpr const horizontal_line frame_346_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 10),
        horizontal_line(0, 5),
        horizontal_line(171, 233),
        horizontal_line(232, 233),
        horizontal_line(232, 232),
        horizontal_line(232, 232),
        horizontal_line(231, 232),
        horizontal_line(231, 231),
        horizontal_line(231, 231),
        horizontal_line(230, 231),
        horizontal_line(230, 230),
        horizontal_line(230, 230),
        horizontal_line(229, 230),
        horizontal_line(229, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(68, 68),
        horizontal_line(67, 70),
        horizontal_line(66, 73),
        horizontal_line(65, 73),
        horizontal_line(64, 73),
        horizontal_line(63, 73),
        horizontal_line(62, 72),
        horizontal_line(63, 72),
        horizontal_line(162, 224),
        horizontal_line(162, 224),
        horizontal_line(110, 114),
        horizontal_line(110, 114),
        horizontal_line(109, 114),
    };

    constexpr const horizontal_line frame_346_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(115, 160),
        horizontal_line(116, 159),
        horizontal_line(116, 159),
        horizontal_line(116, 158),
        horizontal_line(117, 158),
        horizontal_line(116, 158),
        horizontal_line(116, 157),
        horizontal_line(115, 157),
        horizontal_line(115, 157),
        horizontal_line(115, 156),
        horizontal_line(114, 156),
        horizontal_line(114, 156),
        horizontal_line(114, 155),
        horizontal_line(116, 155),
        horizontal_line(117, 154),
        horizontal_line(119, 154),
        horizontal_line(121, 154),
        horizontal_line(122, 153),
        horizontal_line(124, 153),
        horizontal_line(126, 153),
        horizontal_line(127, 152),
        horizontal_line(129, 152),
        horizontal_line(130, 152),
        horizontal_line(132, 151),
        horizontal_line(134, 151),
    };

    constexpr const horizontal_line frame_346_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(192, 215),
        horizontal_line(193, 215),
        horizontal_line(194, 214),
        horizontal_line(196, 214),
        horizontal_line(197, 214),
        horizontal_line(198, 213),
    };

    constexpr const horizontal_line frame_346_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(212, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
    };

    constexpr const shape frame_346_shape_group_1_shapes[] = {
        shape(frame_346_shape_group_1_shape_0_horizontal_lines, 18, 15),
        shape(frame_346_shape_group_1_shape_1_horizontal_lines, 35, 8),
        shape(frame_346_shape_group_1_shape_2_horizontal_lines, 48, 13),
        shape(frame_346_shape_group_1_shape_3_horizontal_lines, 123, 15),
        shape(frame_346_shape_group_1_shape_4_horizontal_lines, 148, 13),
        shape(frame_346_shape_group_1_shape_5_horizontal_lines, 154, 10),
        shape(frame_346_shape_group_1_shape_6_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 158),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(171, 233),
        horizontal_line(219, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(73, 78),
        horizontal_line(75, 118),
        horizontal_line(77, 139),
        horizontal_line(80, 142),
        horizontal_line(82, 144),
        horizontal_line(84, 146),
        horizontal_line(86, 148),
        horizontal_line(88, 150),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(95, 157),
        horizontal_line(97, 159),
        horizontal_line(38, 100),
        horizontal_line(41, 103),
        horizontal_line(44, 106),
        horizontal_line(47, 109),
        horizontal_line(50, 112),
        horizontal_line(53, 115),
        horizontal_line(56, 118),
        horizontal_line(59, 121),
        horizontal_line(62, 124),
        horizontal_line(65, 127),
        horizontal_line(68, 94),
        horizontal_line(71, 93),
        horizontal_line(74, 93),
        horizontal_line(77, 92),
        horizontal_line(80, 92),
        horizontal_line(83, 92),
        horizontal_line(86, 91),
        horizontal_line(89, 91),
        horizontal_line(127, 189),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(128, 190),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(127, 189),
        horizontal_line(126, 188),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(133, 195),
        horizontal_line(138, 200),
        horizontal_line(142, 204),
        horizontal_line(147, 209),
        horizontal_line(152, 214),
        horizontal_line(156, 218),
        horizontal_line(161, 223),
        horizontal_line(165, 227),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(174, 174),
        horizontal_line(173, 184),
        horizontal_line(173, 194),
        horizontal_line(172, 204),
        horizontal_line(172, 214),
        horizontal_line(172, 224),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(233, 233),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(81, 92),
        horizontal_line(81, 92),
        horizontal_line(81, 91),
        horizontal_line(80, 91),
        horizontal_line(80, 90),
        horizontal_line(79, 90),
        horizontal_line(79, 90),
        horizontal_line(79, 89),
        horizontal_line(78, 89),
        horizontal_line(78, 89),
        horizontal_line(78, 88),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(229, 229),
        horizontal_line(228, 229),
        horizontal_line(228, 228),
        horizontal_line(228, 228),
        horizontal_line(227, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(164, 226),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(163, 225),
        horizontal_line(224, 225),
        horizontal_line(224, 224),
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(109, 114),
        horizontal_line(81, 87),
        horizontal_line(79, 92),
        horizontal_line(77, 98),
        horizontal_line(80, 98),
        horizontal_line(84, 99),
        horizontal_line(88, 99),
        horizontal_line(92, 100),
        horizontal_line(96, 100),
        horizontal_line(101, 101),
        horizontal_line(173, 220),
        horizontal_line(174, 220),
        horizontal_line(176, 219),
        horizontal_line(177, 219),
        horizontal_line(178, 219),
        horizontal_line(179, 218),
        horizontal_line(181, 218),
        horizontal_line(182, 218),
        horizontal_line(183, 217),
        horizontal_line(184, 217),
        horizontal_line(186, 217),
        horizontal_line(187, 216),
        horizontal_line(188, 216),
        horizontal_line(189, 216),
        horizontal_line(191, 215),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(69, 95),
        horizontal_line(71, 95),
        horizontal_line(88, 95),
        horizontal_line(220, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(159, 198),
        horizontal_line(176, 200),
        horizontal_line(194, 201),
    };

    constexpr const horizontal_line frame_346_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
    };

    constexpr const shape frame_346_shape_group_2_shapes[] = {
        shape(frame_346_shape_group_2_shape_0_horizontal_lines, 19, 15),
        shape(frame_346_shape_group_2_shape_1_horizontal_lines, 36, 8),
        shape(frame_346_shape_group_2_shape_2_horizontal_lines, 85, 13),
        shape(frame_346_shape_group_2_shape_3_horizontal_lines, 94, 10),
        shape(frame_346_shape_group_2_shape_4_horizontal_lines, 105, 13),
        shape(frame_346_shape_group_2_shape_5_horizontal_lines, 148, 10),
        shape(frame_346_shape_group_2_shape_6_horizontal_lines, 154, 11),
        shape(frame_346_shape_group_2_shape_7_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(139, 158),
        horizontal_line(142, 198),
        horizontal_line(144, 206),
        horizontal_line(146, 208),
        horizontal_line(148, 210),
        horizontal_line(150, 212),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(157, 219),
        horizontal_line(159, 221),
        horizontal_line(100, 162),
        horizontal_line(103, 165),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(112, 174),
        horizontal_line(115, 177),
        horizontal_line(118, 180),
        horizontal_line(121, 183),
        horizontal_line(124, 186),
        horizontal_line(127, 189),
        horizontal_line(96, 158),
        horizontal_line(106, 168),
        horizontal_line(109, 171),
        horizontal_line(113, 175),
        horizontal_line(117, 179),
        horizontal_line(121, 183),
        horizontal_line(123, 185),
        horizontal_line(125, 187),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(195, 239),
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 239),
        horizontal_line(214, 239),
        horizontal_line(218, 239),
        horizontal_line(223, 239),
        horizontal_line(227, 239),
        horizontal_line(232, 239),
        horizontal_line(175, 237),
        horizontal_line(185, 239),
        horizontal_line(195, 239),
        horizontal_line(205, 239),
        horizontal_line(215, 239),
        horizontal_line(225, 238),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(233, 234),
        horizontal_line(233, 233),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(82, 92),
        horizontal_line(110, 118),
        horizontal_line(109, 118),
        horizontal_line(109, 117),
        horizontal_line(109, 117),
        horizontal_line(108, 117),
        horizontal_line(108, 116),
        horizontal_line(108, 116),
        horizontal_line(107, 116),
        horizontal_line(107, 115),
        horizontal_line(107, 115),
        horizontal_line(106, 115),
        horizontal_line(77, 88),
        horizontal_line(77, 88),
        horizontal_line(77, 87),
        horizontal_line(76, 87),
        horizontal_line(76, 87),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(227, 227),
        horizontal_line(227, 227),
        horizontal_line(226, 227),
        horizontal_line(226, 226),
        horizontal_line(226, 226),
        horizontal_line(225, 226),
        horizontal_line(225, 225),
        horizontal_line(225, 225),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(74, 83),
        horizontal_line(75, 83),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(224, 224),
        horizontal_line(223, 224),
        horizontal_line(223, 223),
        horizontal_line(161, 223),
        horizontal_line(109, 115),
        horizontal_line(111, 115),
        horizontal_line(114, 115),
        horizontal_line(166, 222),
        horizontal_line(167, 222),
        horizontal_line(168, 221),
        horizontal_line(169, 221),
        horizontal_line(171, 221),
        horizontal_line(172, 220),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(74, 100),
        horizontal_line(74, 100),
        horizontal_line(73, 100),
        horizontal_line(73, 99),
        horizontal_line(73, 99),
        horizontal_line(72, 99),
        horizontal_line(72, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 98),
        horizontal_line(71, 97),
        horizontal_line(70, 97),
        horizontal_line(70, 97),
        horizontal_line(70, 96),
        horizontal_line(69, 96),
        horizontal_line(69, 96),
        horizontal_line(225, 239),
        horizontal_line(223, 239),
        horizontal_line(221, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(150, 195),
        horizontal_line(150, 196),
        horizontal_line(150, 197),
    };

    constexpr const horizontal_line frame_346_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_346_shape_group_3_shapes[] = {
        shape(frame_346_shape_group_3_shape_0_horizontal_lines, 20, 15),
        shape(frame_346_shape_group_3_shape_1_horizontal_lines, 38, 8),
        shape(frame_346_shape_group_3_shape_2_horizontal_lines, 91, 13),
        shape(frame_346_shape_group_3_shape_3_horizontal_lines, 93, 10),
        shape(frame_346_shape_group_3_shape_4_horizontal_lines, 110, 13),
        shape(frame_346_shape_group_3_shape_5_horizontal_lines, 118, 10),
        shape(frame_346_shape_group_3_shape_6_horizontal_lines, 120, 13),
        shape(frame_346_shape_group_3_shape_7_horizontal_lines, 133, 10),
        shape(frame_346_shape_group_3_shape_8_horizontal_lines, 151, 11),
        shape(frame_346_shape_group_3_shape_9_horizontal_lines, 154, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(206, 238),
        horizontal_line(208, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(219, 239),
        horizontal_line(221, 239),
        horizontal_line(162, 224),
        horizontal_line(165, 227),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(174, 236),
        horizontal_line(177, 239),
        horizontal_line(180, 239),
        horizontal_line(183, 239),
        horizontal_line(186, 239),
        horizontal_line(189, 239),
        horizontal_line(158, 220),
        horizontal_line(168, 230),
        horizontal_line(171, 233),
        horizontal_line(175, 237),
        horizontal_line(179, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(92, 102),
        horizontal_line(91, 102),
        horizontal_line(91, 101),
        horizontal_line(90, 101),
        horizontal_line(90, 101),
        horizontal_line(90, 100),
        horizontal_line(89, 100),
        horizontal_line(89, 99),
        horizontal_line(89, 99),
        horizontal_line(88, 99),
        horizontal_line(88, 98),
        horizontal_line(88, 98),
        horizontal_line(87, 98),
        horizontal_line(87, 97),
        horizontal_line(86, 97),
        horizontal_line(86, 97),
        horizontal_line(86, 96),
        horizontal_line(85, 96),
        horizontal_line(85, 96),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(84, 95),
        horizontal_line(84, 94),
        horizontal_line(84, 94),
        horizontal_line(83, 94),
        horizontal_line(83, 93),
        horizontal_line(82, 93),
        horizontal_line(82, 93),
        horizontal_line(110, 118),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(106, 114),
        horizontal_line(105, 114),
        horizontal_line(105, 113),
        horizontal_line(105, 113),
        horizontal_line(104, 113),
        horizontal_line(75, 86),
        horizontal_line(75, 86),
        horizontal_line(75, 85),
        horizontal_line(74, 85),
        horizontal_line(74, 85),
        horizontal_line(74, 84),
        horizontal_line(73, 84),
        horizontal_line(73, 84),
        horizontal_line(101, 110),
        horizontal_line(101, 109),
        horizontal_line(77, 83),
        horizontal_line(79, 82),
        horizontal_line(81, 82),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(223, 223),
        horizontal_line(162, 223),
        horizontal_line(163, 223),
        horizontal_line(164, 222),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(76, 79),
        horizontal_line(76, 83),
        horizontal_line(75, 87),
        horizontal_line(75, 91),
        horizontal_line(75, 95),
        horizontal_line(74, 100),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(157, 172),
        horizontal_line(157, 173),
        horizontal_line(156, 175),
        horizontal_line(156, 176),
        horizontal_line(155, 177),
        horizontal_line(155, 178),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(237, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(226, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(151, 191),
        horizontal_line(151, 192),
        horizontal_line(151, 193),
    };

    constexpr const horizontal_line frame_346_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(186, 211),
        horizontal_line(186, 211),
        horizontal_line(186, 212),
    };

    constexpr const shape frame_346_shape_group_4_shapes[] = {
        shape(frame_346_shape_group_4_shape_0_horizontal_lines, 40, 8),
        shape(frame_346_shape_group_4_shape_1_horizontal_lines, 66, 10),
        shape(frame_346_shape_group_4_shape_2_horizontal_lines, 85, 8),
        shape(frame_346_shape_group_4_shape_3_horizontal_lines, 86, 10),
        shape(frame_346_shape_group_4_shape_4_horizontal_lines, 94, 11),
        shape(frame_346_shape_group_4_shape_5_horizontal_lines, 105, 10),
        shape(frame_346_shape_group_4_shape_6_horizontal_lines, 123, 13),
        shape(frame_346_shape_group_4_shape_7_horizontal_lines, 127, 10),
        shape(frame_346_shape_group_4_shape_8_horizontal_lines, 133, 11),
        shape(frame_346_shape_group_4_shape_9_horizontal_lines, 139, 10),
        shape(frame_346_shape_group_4_shape_10_horizontal_lines, 148, 11),
        shape(frame_346_shape_group_4_shape_11_horizontal_lines, 151, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(224, 239),
        horizontal_line(227, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(236, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(220, 239),
        horizontal_line(230, 239),
        horizontal_line(233, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(93, 103),
        horizontal_line(93, 103),
        horizontal_line(92, 103),
        horizontal_line(92, 102),
        horizontal_line(119, 126),
        horizontal_line(119, 128),
        horizontal_line(119, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 126),
        horizontal_line(118, 126),
        horizontal_line(117, 126),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(116, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
        horizontal_line(115, 124),
        horizontal_line(115, 123),
        horizontal_line(115, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(113, 122),
        horizontal_line(85, 95),
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(112, 120),
        horizontal_line(111, 120),
        horizontal_line(111, 119),
        horizontal_line(111, 119),
        horizontal_line(110, 119),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(1, 13),
        horizontal_line(75, 80),
        horizontal_line(74, 80),
        horizontal_line(74, 80),
        horizontal_line(73, 79),
        horizontal_line(73, 79),
        horizontal_line(73, 78),
        horizontal_line(72, 78),
        horizontal_line(72, 78),
        horizontal_line(72, 77),
        horizontal_line(71, 77),
        horizontal_line(71, 77),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(104, 112),
        horizontal_line(104, 112),
        horizontal_line(103, 112),
        horizontal_line(103, 111),
        horizontal_line(103, 111),
        horizontal_line(102, 111),
        horizontal_line(102, 110),
        horizontal_line(102, 110),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 4),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(101, 109),
        horizontal_line(100, 109),
        horizontal_line(100, 108),
        horizontal_line(100, 108),
        horizontal_line(99, 107),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(56, 73),
        horizontal_line(55, 73),
        horizontal_line(55, 72),
        horizontal_line(55, 72),
        horizontal_line(54, 72),
        horizontal_line(54, 71),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(155, 180),
        horizontal_line(154, 181),
        horizontal_line(154, 182),
        horizontal_line(154, 183),
        horizontal_line(153, 185),
        horizontal_line(153, 186),
        horizontal_line(153, 187),
        horizontal_line(152, 188),
        horizontal_line(152, 190),
    };

    constexpr const horizontal_line frame_346_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(62, 107),
        horizontal_line(62, 123),
        horizontal_line(62, 124),
        horizontal_line(124, 158),
        horizontal_line(124, 175),
        horizontal_line(124, 186),
    };

    constexpr const shape frame_346_shape_group_5_shapes[] = {
        shape(frame_346_shape_group_5_shape_0_horizontal_lines, 48, 8),
        shape(frame_346_shape_group_5_shape_1_horizontal_lines, 58, 8),
        shape(frame_346_shape_group_5_shape_2_horizontal_lines, 62, 10),
        shape(frame_346_shape_group_5_shape_3_horizontal_lines, 93, 11),
        shape(frame_346_shape_group_5_shape_4_horizontal_lines, 110, 10),
        shape(frame_346_shape_group_5_shape_5_horizontal_lines, 118, 11),
        shape(frame_346_shape_group_5_shape_6_horizontal_lines, 120, 10),
        shape(frame_346_shape_group_5_shape_7_horizontal_lines, 126, 11),
        shape(frame_346_shape_group_5_shape_8_horizontal_lines, 133, 3),
        shape(frame_346_shape_group_5_shape_9_horizontal_lines, 139, 11),
        shape(frame_346_shape_group_5_shape_10_horizontal_lines, 148, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(94, 105),
        horizontal_line(94, 104),
        horizontal_line(93, 104),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(104, 116),
        horizontal_line(104, 120),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(120, 124),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(85, 91),
        horizontal_line(84, 90),
        horizontal_line(84, 90),
        horizontal_line(84, 89),
        horizontal_line(83, 89),
        horizontal_line(83, 89),
        horizontal_line(83, 88),
        horizontal_line(82, 88),
        horizontal_line(82, 88),
        horizontal_line(81, 87),
        horizontal_line(81, 87),
        horizontal_line(81, 87),
        horizontal_line(80, 86),
        horizontal_line(80, 86),
        horizontal_line(80, 85),
        horizontal_line(79, 85),
        horizontal_line(79, 85),
        horizontal_line(79, 84),
        horizontal_line(78, 84),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(113, 121),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(77, 83),
        horizontal_line(77, 83),
        horizontal_line(77, 83),
        horizontal_line(76, 82),
        horizontal_line(76, 82),
        horizontal_line(11, 14),
        horizontal_line(6, 14),
        horizontal_line(75, 81),
        horizontal_line(93, 109),
        horizontal_line(93, 108),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(89, 105),
        horizontal_line(71, 76),
        horizontal_line(70, 76),
        horizontal_line(70, 76),
        horizontal_line(70, 75),
        horizontal_line(69, 75),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(159, 163),
        horizontal_line(159, 165),
        horizontal_line(159, 166),
        horizontal_line(158, 167),
        horizontal_line(158, 168),
        horizontal_line(158, 170),
        horizontal_line(157, 171),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(101, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 113),
        horizontal_line(100, 112),
        horizontal_line(100, 112),
        horizontal_line(100, 112),
        horizontal_line(54, 71),
        horizontal_line(53, 70),
        horizontal_line(53, 70),
        horizontal_line(53, 70),
        horizontal_line(52, 69),
        horizontal_line(52, 69),
        horizontal_line(0, 0),
        horizontal_line(0, 17),
        horizontal_line(0, 35),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 108),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(124, 140),
    };

    constexpr const horizontal_line frame_346_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(186, 193),
    };

    constexpr const shape frame_346_shape_group_6_shapes[] = {
        shape(frame_346_shape_group_6_shape_0_horizontal_lines, 58, 10),
        shape(frame_346_shape_group_6_shape_1_horizontal_lines, 62, 11),
        shape(frame_346_shape_group_6_shape_2_horizontal_lines, 64, 10),
        shape(frame_346_shape_group_6_shape_3_horizontal_lines, 66, 11),
        shape(frame_346_shape_group_6_shape_4_horizontal_lines, 85, 10),
        shape(frame_346_shape_group_6_shape_5_horizontal_lines, 86, 11),
        shape(frame_346_shape_group_6_shape_6_horizontal_lines, 133, 3),
        shape(frame_346_shape_group_6_shape_7_horizontal_lines, 153, 3),
        shape(frame_346_shape_group_6_shape_8_horizontal_lines, 156, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(105, 108),
        horizontal_line(105, 112),
    };

    constexpr const horizontal_line frame_346_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(104, 119),
        horizontal_line(85, 88),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(102, 118),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(101, 117),
        horizontal_line(101, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 114),
        horizontal_line(98, 114),
        horizontal_line(98, 114),
        horizontal_line(98, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 112),
        horizontal_line(78, 84),
        horizontal_line(96, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 110),
        horizontal_line(94, 110),
        horizontal_line(76, 81),
        horizontal_line(75, 81),
        horizontal_line(93, 109),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(118, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 119),
        horizontal_line(117, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 118),
        horizontal_line(116, 118),
        horizontal_line(89, 105),
        horizontal_line(89, 104),
        horizontal_line(88, 104),
        horizontal_line(88, 104),
        horizontal_line(88, 103),
        horizontal_line(87, 103),
        horizontal_line(87, 103),
        horizontal_line(86, 102),
        horizontal_line(86, 102),
        horizontal_line(86, 102),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_346_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(60, 60),
    };

    constexpr const horizontal_line frame_346_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(84, 100),
        horizontal_line(83, 99),
        horizontal_line(83, 99),
        horizontal_line(83, 99),
        horizontal_line(88, 98),
        horizontal_line(93, 98),
    };

    constexpr const horizontal_line frame_346_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(99, 113),
        horizontal_line(99, 116),
        horizontal_line(100, 113),
        horizontal_line(100, 110),
        horizontal_line(101, 107),
        horizontal_line(101, 104),
    };

    constexpr const horizontal_line frame_346_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(56, 73),
    };

    constexpr const horizontal_line frame_346_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(99, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 111),
        horizontal_line(98, 110),
        horizontal_line(98, 110),
        horizontal_line(98, 110),
        horizontal_line(52, 69),
        horizontal_line(51, 68),
        horizontal_line(51, 68),
        horizontal_line(62, 68),
        horizontal_line(62, 70),
        horizontal_line(62, 87),
    };

    constexpr const shape frame_346_shape_group_7_shapes[] = {
        shape(frame_346_shape_group_7_shape_0_horizontal_lines, 60, 11),
        shape(frame_346_shape_group_7_shape_1_horizontal_lines, 64, 11),
        shape(frame_346_shape_group_7_shape_2_horizontal_lines, 119, 1),
        shape(frame_346_shape_group_7_shape_3_horizontal_lines, 120, 11),
        shape(frame_346_shape_group_7_shape_4_horizontal_lines, 126, 1),
        shape(frame_346_shape_group_7_shape_5_horizontal_lines, 132, 3),
        shape(frame_346_shape_group_7_shape_6_horizontal_lines, 139, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(103, 119),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(126, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(96, 112),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
        horizontal_line(94, 110),
        horizontal_line(94, 109),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(69, 74),
        horizontal_line(69, 73),
        horizontal_line(68, 73),
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(67, 72),
        horizontal_line(67, 71),
        horizontal_line(67, 71),
        horizontal_line(66, 71),
        horizontal_line(66, 70),
        horizontal_line(65, 70),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(115, 118),
        horizontal_line(115, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 116),
        horizontal_line(114, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 115),
        horizontal_line(113, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(60, 60),
        horizontal_line(66, 74),
        horizontal_line(67, 76),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(72, 82),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(160, 161),
        horizontal_line(160, 162),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(58, 76),
        horizontal_line(58, 75),
        horizontal_line(58, 75),
        horizontal_line(57, 74),
        horizontal_line(57, 74),
        horizontal_line(57, 74),
        horizontal_line(102, 114),
    };

    constexpr const horizontal_line frame_346_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(97, 109),
        horizontal_line(97, 109),
        horizontal_line(97, 109),
    };

    constexpr const shape frame_346_shape_group_8_shapes[] = {
        shape(frame_346_shape_group_8_shape_0_horizontal_lines, 65, 11),
        shape(frame_346_shape_group_8_shape_1_horizontal_lines, 75, 11),
        shape(frame_346_shape_group_8_shape_2_horizontal_lines, 94, 1),
        shape(frame_346_shape_group_8_shape_3_horizontal_lines, 105, 11),
        shape(frame_346_shape_group_8_shape_4_horizontal_lines, 118, 1),
        shape(frame_346_shape_group_8_shape_5_horizontal_lines, 124, 11),
        shape(frame_346_shape_group_8_shape_6_horizontal_lines, 126, 3),
        shape(frame_346_shape_group_8_shape_7_horizontal_lines, 145, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(128, 129),
        horizontal_line(128, 131),
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(120, 122),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(123, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(120, 122),
        horizontal_line(119, 121),
        horizontal_line(119, 121),
        horizontal_line(65, 70),
        horizontal_line(65, 69),
        horizontal_line(64, 69),
        horizontal_line(64, 69),
        horizontal_line(64, 68),
        horizontal_line(63, 67),
        horizontal_line(63, 66),
        horizontal_line(63, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(61, 62),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(64, 73),
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(60, 66),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(69, 78),
        horizontal_line(70, 80),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(59, 71),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(73, 80),
        horizontal_line(75, 78),
    };

    constexpr const horizontal_line frame_346_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(114, 115),
        horizontal_line(111, 115),
        horizontal_line(108, 114),
        horizontal_line(105, 114),
    };

    constexpr const shape frame_346_shape_group_9_shapes[] = {
        shape(frame_346_shape_group_9_shape_0_horizontal_lines, 76, 1),
        shape(frame_346_shape_group_9_shape_1_horizontal_lines, 85, 11),
        shape(frame_346_shape_group_9_shape_2_horizontal_lines, 86, 1),
        shape(frame_346_shape_group_9_shape_3_horizontal_lines, 91, 11),
        shape(frame_346_shape_group_9_shape_4_horizontal_lines, 93, 1),
        shape(frame_346_shape_group_9_shape_5_horizontal_lines, 120, 3),
        shape(frame_346_shape_group_9_shape_6_horizontal_lines, 121, 1),
        shape(frame_346_shape_group_9_shape_7_horizontal_lines, 123, 3),
        shape(frame_346_shape_group_9_shape_8_horizontal_lines, 124, 1),
        shape(frame_346_shape_group_9_shape_9_horizontal_lines, 128, 3),
    };

    constexpr const horizontal_line frame_346_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(125, 128),
    };

    constexpr const horizontal_line frame_346_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(123, 125),
    };

    constexpr const horizontal_line frame_346_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(69, 74),
        horizontal_line(71, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_346_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(61, 63),
        horizontal_line(61, 65),
    };

    constexpr const horizontal_line frame_346_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(60, 68),
        horizontal_line(60, 69),
    };

    constexpr const horizontal_line frame_346_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(108, 108),
        horizontal_line(103, 110),
    };

    constexpr const shape frame_346_shape_group_10_shapes[] = {
        shape(frame_346_shape_group_10_shape_0_horizontal_lines, 85, 1),
        shape(frame_346_shape_group_10_shape_1_horizontal_lines, 91, 1),
        shape(frame_346_shape_group_10_shape_2_horizontal_lines, 110, 1),
        shape(frame_346_shape_group_10_shape_3_horizontal_lines, 117, 3),
        shape(frame_346_shape_group_10_shape_4_horizontal_lines, 121, 3),
        shape(frame_346_shape_group_10_shape_5_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_346_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(59, 72),
        horizontal_line(59, 74),
    };

    constexpr const shape frame_346_shape_group_11_shapes[] = {
        shape(frame_346_shape_group_11_shape_0_horizontal_lines, 124, 3),
    };

    constexpr const shape_group frame_346_shape_groups[] = {
        shape_group(frame_346_shape_group_0_shapes),
        shape_group(frame_346_shape_group_1_shapes),
        shape_group(frame_346_shape_group_2_shapes),
        shape_group(frame_346_shape_group_3_shapes),
        shape_group(frame_346_shape_group_4_shapes),
        shape_group(frame_346_shape_group_5_shapes),
        shape_group(frame_346_shape_group_6_shapes),
        shape_group(frame_346_shape_group_7_shapes),
        shape_group(frame_346_shape_group_8_shapes),
        shape_group(frame_346_shape_group_9_shapes),
        shape_group(frame_346_shape_group_10_shapes),
        shape_group(frame_346_shape_group_11_shapes),
    };

    constexpr const frame frame_346_impl(frame_346_colors, frame_346_shape_groups);
} 

const frame& frame_346()
{
    return frame_346_impl;
}

namespace
{
    constexpr const bn::color frame_347_colors[] = {
        bn::color(8, 8, 4),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(0, 0, 0),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_347_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(119, 181),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_347_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(36, 37),
        horizontal_line(35, 40),
        horizontal_line(35, 43),
        horizontal_line(35, 46),
        horizontal_line(34, 50),
        horizontal_line(34, 53),
        horizontal_line(33, 56),
        horizontal_line(33, 59),
        horizontal_line(33, 62),
        horizontal_line(32, 66),
        horizontal_line(32, 69),
        horizontal_line(31, 72),
        horizontal_line(31, 75),
        horizontal_line(31, 78),
        horizontal_line(30, 82),
        horizontal_line(30, 82),
        horizontal_line(30, 82),
        horizontal_line(29, 81),
        horizontal_line(29, 81),
        horizontal_line(28, 81),
        horizontal_line(28, 80),
        horizontal_line(28, 80),
        horizontal_line(27, 80),
        horizontal_line(27, 79),
        horizontal_line(26, 79),
        horizontal_line(26, 78),
        horizontal_line(26, 78),
        horizontal_line(25, 78),
        horizontal_line(25, 77),
        horizontal_line(25, 77),
        horizontal_line(24, 77),
        horizontal_line(24, 76),
        horizontal_line(23, 76),
        horizontal_line(23, 76),
        horizontal_line(23, 75),
        horizontal_line(22, 75),
        horizontal_line(22, 74),
        horizontal_line(21, 74),
        horizontal_line(21, 74),
        horizontal_line(21, 73),
        horizontal_line(29, 73),
        horizontal_line(40, 73),
        horizontal_line(51, 72),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_347_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_347_shape_group_0_shape_4_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(124, 127),
        horizontal_line(124, 129),
        horizontal_line(123, 132),
        horizontal_line(123, 134),
        horizontal_line(123, 137),
        horizontal_line(122, 139),
        horizontal_line(122, 142),
        horizontal_line(121, 144),
        horizontal_line(121, 147),
        horizontal_line(121, 149),
        horizontal_line(120, 152),
        horizontal_line(120, 154),
        horizontal_line(119, 157),
        horizontal_line(119, 159),
        horizontal_line(119, 162),
        horizontal_line(118, 163),
        horizontal_line(119, 163),
        horizontal_line(54, 60),
        horizontal_line(46, 60),
        horizontal_line(39, 60),
        horizontal_line(31, 59),
        horizontal_line(23, 59),
        horizontal_line(16, 59),
        horizontal_line(8, 58),
        horizontal_line(5, 58),
        horizontal_line(5, 57),
        horizontal_line(4, 57),
        horizontal_line(4, 57),
        horizontal_line(4, 56),
        horizontal_line(3, 56),
        horizontal_line(3, 56),
        horizontal_line(3, 55),
        horizontal_line(2, 55),
        horizontal_line(2, 55),
        horizontal_line(2, 54),
        horizontal_line(1, 54),
        horizontal_line(1, 54),
        horizontal_line(1, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 47),
        horizontal_line(0, 44),
        horizontal_line(0, 41),
        horizontal_line(0, 37),
        horizontal_line(0, 34),
        horizontal_line(0, 31),
        horizontal_line(0, 28),
    };

    constexpr const shape frame_347_shape_group_0_shapes[] = {
        shape(frame_347_shape_group_0_shape_0_horizontal_lines, 14, 15),
        shape(frame_347_shape_group_0_shape_1_horizontal_lines, 37, 13),
        shape(frame_347_shape_group_0_shape_2_horizontal_lines, 48, 15),
        shape(frame_347_shape_group_0_shape_3_horizontal_lines, 92, 13),
        shape(frame_347_shape_group_0_shape_4_horizontal_lines, 105, 15),
    };

    constexpr const horizontal_line frame_347_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(16, 46),
        horizontal_line(19, 81),
        horizontal_line(21, 83),
        horizontal_line(23, 85),
        horizontal_line(25, 87),
        horizontal_line(28, 90),
        horizontal_line(30, 92),
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(37, 99),
        horizontal_line(40, 102),
    };

    constexpr const horizontal_line frame_347_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 11),
        horizontal_line(174, 236),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 238),
        horizontal_line(233, 237),
        horizontal_line(232, 237),
        horizontal_line(232, 236),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(75, 75),
        horizontal_line(73, 76),
        horizontal_line(71, 75),
        horizontal_line(69, 75),
        horizontal_line(67, 75),
        horizontal_line(66, 74),
        horizontal_line(71, 74),
        horizontal_line(166, 228),
        horizontal_line(166, 228),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(165, 227),
        horizontal_line(111, 111),
        horizontal_line(82, 82),
    };

    constexpr const horizontal_line frame_347_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(118, 163),
        horizontal_line(118, 162),
        horizontal_line(118, 162),
        horizontal_line(118, 161),
        horizontal_line(118, 161),
        horizontal_line(118, 161),
        horizontal_line(118, 160),
        horizontal_line(117, 160),
        horizontal_line(117, 160),
        horizontal_line(116, 159),
        horizontal_line(116, 159),
        horizontal_line(116, 159),
        horizontal_line(118, 158),
        horizontal_line(119, 158),
        horizontal_line(121, 157),
        horizontal_line(123, 157),
        horizontal_line(124, 157),
        horizontal_line(126, 156),
        horizontal_line(127, 156),
        horizontal_line(129, 156),
        horizontal_line(131, 155),
        horizontal_line(132, 155),
        horizontal_line(134, 155),
        horizontal_line(135, 154),
        horizontal_line(137, 154),
        horizontal_line(139, 153),
        horizontal_line(140, 153),
        horizontal_line(142, 153),
        horizontal_line(143, 152),
        horizontal_line(145, 152),
        horizontal_line(147, 152),
        horizontal_line(148, 151),
        horizontal_line(150, 151),
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_347_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(206, 217),
        horizontal_line(207, 217),
        horizontal_line(209, 217),
    };

    constexpr const shape frame_347_shape_group_1_shapes[] = {
        shape(frame_347_shape_group_1_shape_0_horizontal_lines, 14, 15),
        shape(frame_347_shape_group_1_shape_1_horizontal_lines, 37, 8),
        shape(frame_347_shape_group_1_shape_2_horizontal_lines, 48, 13),
        shape(frame_347_shape_group_1_shape_3_horizontal_lines, 123, 15),
        shape(frame_347_shape_group_1_shape_4_horizontal_lines, 157, 13),
    };

    constexpr const horizontal_line frame_347_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
    };

    constexpr const horizontal_line frame_347_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(81, 94),
        horizontal_line(83, 142),
        horizontal_line(85, 147),
        horizontal_line(87, 149),
        horizontal_line(90, 152),
        horizontal_line(92, 154),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(99, 161),
        horizontal_line(102, 164),
        horizontal_line(43, 105),
        horizontal_line(46, 108),
        horizontal_line(49, 111),
        horizontal_line(52, 114),
        horizontal_line(55, 117),
        horizontal_line(58, 120),
        horizontal_line(61, 123),
        horizontal_line(64, 126),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(73, 96),
        horizontal_line(76, 95),
        horizontal_line(79, 95),
        horizontal_line(82, 94),
        horizontal_line(85, 94),
        horizontal_line(89, 94),
        horizontal_line(92, 93),
        horizontal_line(127, 189),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(130, 192),
        horizontal_line(129, 191),
        horizontal_line(129, 191),
        horizontal_line(128, 190),
        horizontal_line(128, 190),
        horizontal_line(128, 190),
        horizontal_line(128, 190),
        horizontal_line(132, 194),
        horizontal_line(136, 198),
        horizontal_line(140, 202),
        horizontal_line(145, 207),
        horizontal_line(149, 211),
        horizontal_line(154, 216),
        horizontal_line(158, 220),
        horizontal_line(163, 225),
        horizontal_line(167, 229),
        horizontal_line(172, 234),
    };

    constexpr const horizontal_line frame_347_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(177, 177),
        horizontal_line(176, 187),
        horizontal_line(176, 197),
        horizontal_line(175, 208),
        horizontal_line(175, 218),
        horizontal_line(175, 228),
        horizontal_line(174, 236),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(83, 90),
        horizontal_line(83, 90),
        horizontal_line(82, 90),
        horizontal_line(82, 89),
        horizontal_line(82, 89),
        horizontal_line(81, 89),
        horizontal_line(81, 88),
        horizontal_line(81, 88),
        horizontal_line(80, 88),
        horizontal_line(80, 87),
        horizontal_line(79, 87),
        horizontal_line(79, 87),
    };

    constexpr const horizontal_line frame_347_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(232, 236),
        horizontal_line(231, 236),
        horizontal_line(231, 235),
        horizontal_line(231, 235),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(166, 228),
        horizontal_line(228, 232),
        horizontal_line(228, 232),
        horizontal_line(227, 231),
        horizontal_line(227, 231),
        horizontal_line(227, 231),
        horizontal_line(164, 226),
        horizontal_line(111, 118),
        horizontal_line(77, 85),
        horizontal_line(74, 89),
        horizontal_line(77, 92),
        horizontal_line(81, 96),
        horizontal_line(84, 96),
        horizontal_line(88, 96),
        horizontal_line(91, 97),
        horizontal_line(95, 97),
        horizontal_line(174, 227),
        horizontal_line(175, 226),
        horizontal_line(176, 226),
        horizontal_line(177, 226),
        horizontal_line(2, 2),
        horizontal_line(1, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(190, 222),
        horizontal_line(191, 222),
        horizontal_line(192, 221),
        horizontal_line(194, 221),
        horizontal_line(195, 220),
        horizontal_line(196, 220),
        horizontal_line(197, 220),
        horizontal_line(199, 219),
        horizontal_line(200, 219),
        horizontal_line(201, 219),
        horizontal_line(202, 218),
        horizontal_line(204, 218),
        horizontal_line(205, 218),
    };

    constexpr const horizontal_line frame_347_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(60, 87),
        horizontal_line(60, 87),
        horizontal_line(60, 87),
    };

    constexpr const shape frame_347_shape_group_2_shapes[] = {
        shape(frame_347_shape_group_2_shape_0_horizontal_lines, 14, 15),
        shape(frame_347_shape_group_2_shape_1_horizontal_lines, 38, 8),
        shape(frame_347_shape_group_2_shape_2_horizontal_lines, 85, 13),
        shape(frame_347_shape_group_2_shape_3_horizontal_lines, 93, 10),
        shape(frame_347_shape_group_2_shape_4_horizontal_lines, 105, 13),
        shape(frame_347_shape_group_2_shape_5_horizontal_lines, 157, 10),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(147, 190),
        horizontal_line(149, 211),
        horizontal_line(152, 214),
        horizontal_line(154, 216),
        horizontal_line(156, 218),
        horizontal_line(158, 220),
        horizontal_line(161, 223),
        horizontal_line(164, 226),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(111, 173),
        horizontal_line(114, 176),
        horizontal_line(117, 179),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(105, 167),
        horizontal_line(108, 170),
        horizontal_line(112, 174),
        horizontal_line(116, 178),
        horizontal_line(120, 182),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(189, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(194, 239),
        horizontal_line(198, 239),
        horizontal_line(202, 239),
        horizontal_line(207, 239),
        horizontal_line(211, 239),
        horizontal_line(216, 239),
        horizontal_line(220, 239),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
        horizontal_line(176, 176),
        horizontal_line(188, 239),
        horizontal_line(198, 239),
        horizontal_line(209, 239),
        horizontal_line(219, 239),
        horizontal_line(229, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(84, 91),
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(108, 119),
        horizontal_line(107, 118),
        horizontal_line(107, 118),
        horizontal_line(107, 118),
        horizontal_line(106, 117),
        horizontal_line(106, 117),
        horizontal_line(105, 117),
        horizontal_line(105, 116),
        horizontal_line(105, 116),
        horizontal_line(104, 116),
        horizontal_line(79, 86),
        horizontal_line(78, 86),
        horizontal_line(78, 86),
        horizontal_line(78, 85),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(230, 235),
        horizontal_line(230, 234),
        horizontal_line(230, 234),
        horizontal_line(229, 234),
        horizontal_line(229, 233),
        horizontal_line(229, 233),
        horizontal_line(228, 232),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(76, 83),
        horizontal_line(77, 82),
        horizontal_line(78, 82),
        horizontal_line(79, 82),
        horizontal_line(80, 81),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(226, 230),
        horizontal_line(164, 226),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(112, 117),
        horizontal_line(114, 117),
        horizontal_line(116, 117),
        horizontal_line(171, 227),
        horizontal_line(172, 227),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(70, 98),
        horizontal_line(70, 97),
        horizontal_line(69, 97),
        horizontal_line(69, 96),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(179, 225),
        horizontal_line(180, 225),
        horizontal_line(181, 224),
        horizontal_line(182, 224),
        horizontal_line(184, 224),
        horizontal_line(185, 223),
        horizontal_line(186, 223),
        horizontal_line(187, 223),
        horizontal_line(189, 222),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(65, 92),
        horizontal_line(65, 92),
        horizontal_line(64, 92),
        horizontal_line(64, 91),
        horizontal_line(64, 91),
        horizontal_line(63, 90),
        horizontal_line(63, 90),
        horizontal_line(62, 90),
        horizontal_line(62, 89),
        horizontal_line(62, 89),
        horizontal_line(61, 88),
        horizontal_line(61, 88),
        horizontal_line(61, 88),
    };

    constexpr const horizontal_line frame_347_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(151, 205),
        horizontal_line(151, 206),
        horizontal_line(151, 208),
    };

    constexpr const shape frame_347_shape_group_3_shapes[] = {
        shape(frame_347_shape_group_3_shape_0_horizontal_lines, 14, 15),
        shape(frame_347_shape_group_3_shape_1_horizontal_lines, 40, 8),
        shape(frame_347_shape_group_3_shape_2_horizontal_lines, 91, 13),
        shape(frame_347_shape_group_3_shape_3_horizontal_lines, 92, 10),
        shape(frame_347_shape_group_3_shape_4_horizontal_lines, 109, 13),
        shape(frame_347_shape_group_3_shape_5_horizontal_lines, 116, 10),
        shape(frame_347_shape_group_3_shape_6_horizontal_lines, 121, 13),
        shape(frame_347_shape_group_3_shape_7_horizontal_lines, 131, 10),
        shape(frame_347_shape_group_3_shape_8_horizontal_lines, 135, 13),
        shape(frame_347_shape_group_3_shape_9_horizontal_lines, 144, 10),
        shape(frame_347_shape_group_3_shape_10_horizontal_lines, 157, 11),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(211, 238),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
        horizontal_line(220, 239),
        horizontal_line(223, 239),
        horizontal_line(226, 239),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(173, 235),
        horizontal_line(176, 238),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(167, 229),
        horizontal_line(170, 232),
        horizontal_line(174, 236),
        horizontal_line(178, 239),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(94, 100),
        horizontal_line(93, 100),
        horizontal_line(93, 99),
        horizontal_line(93, 99),
        horizontal_line(92, 99),
        horizontal_line(92, 98),
        horizontal_line(92, 98),
        horizontal_line(91, 98),
        horizontal_line(91, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 97),
        horizontal_line(90, 96),
        horizontal_line(89, 96),
        horizontal_line(89, 96),
        horizontal_line(89, 95),
        horizontal_line(88, 95),
        horizontal_line(88, 95),
        horizontal_line(87, 94),
        horizontal_line(87, 94),
        horizontal_line(87, 94),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(178, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(86, 93),
        horizontal_line(86, 93),
        horizontal_line(85, 92),
        horizontal_line(85, 92),
        horizontal_line(84, 92),
        horizontal_line(84, 91),
        horizontal_line(109, 120),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(104, 115),
        horizontal_line(104, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 114),
        horizontal_line(77, 85),
        horizontal_line(77, 85),
        horizontal_line(76, 84),
        horizontal_line(76, 84),
        horizontal_line(76, 84),
        horizontal_line(75, 83),
        horizontal_line(75, 83),
        horizontal_line(100, 112),
        horizontal_line(100, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 111),
        horizontal_line(99, 110),
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(226, 230),
        horizontal_line(164, 226),
        horizontal_line(165, 227),
        horizontal_line(166, 228),
        horizontal_line(167, 228),
        horizontal_line(169, 228),
        horizontal_line(170, 228),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(71, 90),
        horizontal_line(70, 94),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(68, 96),
        horizontal_line(68, 96),
        horizontal_line(68, 95),
        horizontal_line(67, 95),
        horizontal_line(67, 94),
        horizontal_line(67, 94),
        horizontal_line(66, 94),
        horizontal_line(66, 93),
        horizontal_line(65, 93),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(156, 189),
        horizontal_line(156, 190),
        horizontal_line(155, 191),
        horizontal_line(155, 193),
        horizontal_line(154, 194),
        horizontal_line(154, 195),
        horizontal_line(154, 196),
        horizontal_line(153, 198),
        horizontal_line(153, 199),
        horizontal_line(153, 200),
        horizontal_line(152, 201),
        horizontal_line(152, 203),
        horizontal_line(152, 204),
    };

    constexpr const horizontal_line frame_347_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(48, 48),
        horizontal_line(48, 48),
        horizontal_line(48, 48),
    };

    constexpr const shape frame_347_shape_group_4_shapes[] = {
        shape(frame_347_shape_group_4_shape_0_horizontal_lines, 41, 8),
        shape(frame_347_shape_group_4_shape_1_horizontal_lines, 65, 10),
        shape(frame_347_shape_group_4_shape_2_horizontal_lines, 85, 8),
        shape(frame_347_shape_group_4_shape_3_horizontal_lines, 86, 10),
        shape(frame_347_shape_group_4_shape_4_horizontal_lines, 93, 11),
        shape(frame_347_shape_group_4_shape_5_horizontal_lines, 105, 10),
        shape(frame_347_shape_group_4_shape_6_horizontal_lines, 122, 13),
        shape(frame_347_shape_group_4_shape_7_horizontal_lines, 129, 10),
        shape(frame_347_shape_group_4_shape_8_horizontal_lines, 131, 11),
        shape(frame_347_shape_group_4_shape_9_horizontal_lines, 135, 10),
        shape(frame_347_shape_group_4_shape_10_horizontal_lines, 144, 11),
        shape(frame_347_shape_group_4_shape_11_horizontal_lines, 157, 1),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(235, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(232, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(95, 101),
        horizontal_line(95, 101),
        horizontal_line(95, 101),
        horizontal_line(94, 100),
        horizontal_line(118, 126),
        horizontal_line(118, 129),
        horizontal_line(118, 128),
        horizontal_line(117, 128),
        horizontal_line(117, 127),
        horizontal_line(117, 127),
        horizontal_line(116, 127),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(115, 126),
        horizontal_line(115, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 125),
        horizontal_line(114, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 124),
        horizontal_line(113, 123),
        horizontal_line(112, 123),
        horizontal_line(112, 123),
        horizontal_line(112, 122),
        horizontal_line(86, 93),
        horizontal_line(111, 122),
        horizontal_line(111, 121),
        horizontal_line(110, 121),
        horizontal_line(110, 121),
        horizontal_line(109, 120),
        horizontal_line(109, 120),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(6, 18),
        horizontal_line(78, 82),
        horizontal_line(78, 82),
        horizontal_line(77, 81),
        horizontal_line(77, 81),
        horizontal_line(76, 81),
        horizontal_line(76, 80),
        horizontal_line(76, 80),
        horizontal_line(75, 80),
        horizontal_line(75, 79),
        horizontal_line(75, 79),
        horizontal_line(74, 78),
        horizontal_line(74, 78),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(103, 114),
        horizontal_line(102, 114),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(101, 113),
        horizontal_line(101, 112),
        horizontal_line(100, 112),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(98, 110),
        horizontal_line(98, 110),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(226, 230),
        horizontal_line(227, 229),
        horizontal_line(228, 229),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(72, 80),
        horizontal_line(71, 83),
        horizontal_line(71, 87),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(161, 173),
        horizontal_line(160, 174),
        horizontal_line(160, 175),
        horizontal_line(160, 176),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(158, 180),
        horizontal_line(158, 181),
        horizontal_line(158, 183),
        horizontal_line(157, 184),
        horizontal_line(157, 185),
        horizontal_line(157, 186),
        horizontal_line(156, 188),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(54, 64),
        horizontal_line(53, 64),
        horizontal_line(53, 63),
        horizontal_line(53, 63),
        horizontal_line(52, 63),
        horizontal_line(52, 62),
        horizontal_line(52, 62),
        horizontal_line(51, 61),
        horizontal_line(51, 61),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(50, 50),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(50, 60),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(49, 49),
        horizontal_line(49, 49),
    };

    constexpr const horizontal_line frame_347_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(49, 59),
        horizontal_line(49, 59),
        horizontal_line(49, 59),
    };

    constexpr const shape frame_347_shape_group_5_shapes[] = {
        shape(frame_347_shape_group_5_shape_0_horizontal_lines, 48, 8),
        shape(frame_347_shape_group_5_shape_1_horizontal_lines, 58, 8),
        shape(frame_347_shape_group_5_shape_2_horizontal_lines, 61, 10),
        shape(frame_347_shape_group_5_shape_3_horizontal_lines, 92, 11),
        shape(frame_347_shape_group_5_shape_4_horizontal_lines, 109, 10),
        shape(frame_347_shape_group_5_shape_5_horizontal_lines, 116, 11),
        shape(frame_347_shape_group_5_shape_6_horizontal_lines, 121, 10),
        shape(frame_347_shape_group_5_shape_7_horizontal_lines, 123, 13),
        shape(frame_347_shape_group_5_shape_8_horizontal_lines, 126, 10),
        shape(frame_347_shape_group_5_shape_9_horizontal_lines, 129, 11),
        shape(frame_347_shape_group_5_shape_10_horizontal_lines, 144, 3),
        shape(frame_347_shape_group_5_shape_11_horizontal_lines, 153, 1),
        shape(frame_347_shape_group_5_shape_12_horizontal_lines, 154, 3),
        shape(frame_347_shape_group_5_shape_13_horizontal_lines, 155, 1),
        shape(frame_347_shape_group_5_shape_14_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(97, 103),
        horizontal_line(96, 102),
        horizontal_line(96, 102),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(102, 115),
        horizontal_line(102, 119),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(88, 93),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(86, 91),
        horizontal_line(86, 91),
        horizontal_line(86, 91),
        horizontal_line(85, 90),
        horizontal_line(85, 90),
        horizontal_line(85, 89),
        horizontal_line(84, 89),
        horizontal_line(84, 89),
        horizontal_line(84, 88),
        horizontal_line(83, 88),
        horizontal_line(83, 88),
        horizontal_line(82, 87),
        horizontal_line(82, 87),
        horizontal_line(82, 86),
        horizontal_line(81, 86),
        horizontal_line(81, 86),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(111, 122),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(80, 85),
        horizontal_line(80, 85),
        horizontal_line(80, 84),
        horizontal_line(79, 84),
        horizontal_line(19, 19),
        horizontal_line(12, 18),
        horizontal_line(78, 83),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 104),
        horizontal_line(88, 104),
        horizontal_line(88, 104),
        horizontal_line(88, 103),
        horizontal_line(74, 78),
        horizontal_line(73, 77),
        horizontal_line(73, 77),
        horizontal_line(73, 77),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(84, 99),
        horizontal_line(83, 99),
        horizontal_line(83, 98),
        horizontal_line(83, 98),
        horizontal_line(82, 98),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(98, 109),
        horizontal_line(73, 73),
        horizontal_line(72, 76),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(161, 170),
        horizontal_line(161, 171),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(58, 69),
        horizontal_line(58, 69),
        horizontal_line(58, 68),
        horizontal_line(57, 68),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(159, 178),
        horizontal_line(159, 179),
    };

    constexpr const horizontal_line frame_347_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(56, 67),
        horizontal_line(56, 66),
        horizontal_line(56, 66),
        horizontal_line(55, 66),
        horizontal_line(55, 65),
        horizontal_line(55, 65),
        horizontal_line(54, 64),
        horizontal_line(93, 111),
        horizontal_line(93, 111),
        horizontal_line(93, 110),
        horizontal_line(92, 110),
        horizontal_line(92, 110),
        horizontal_line(91, 109),
        horizontal_line(91, 109),
        horizontal_line(91, 108),
        horizontal_line(90, 108),
        horizontal_line(51, 61),
        horizontal_line(89, 107),
        horizontal_line(50, 60),
        horizontal_line(50, 60),
        horizontal_line(88, 106),
        horizontal_line(88, 106),
        horizontal_line(88, 106),
    };

    constexpr const shape frame_347_shape_group_6_shapes[] = {
        shape(frame_347_shape_group_6_shape_0_horizontal_lines, 58, 10),
        shape(frame_347_shape_group_6_shape_1_horizontal_lines, 61, 11),
        shape(frame_347_shape_group_6_shape_2_horizontal_lines, 63, 10),
        shape(frame_347_shape_group_6_shape_3_horizontal_lines, 65, 11),
        shape(frame_347_shape_group_6_shape_4_horizontal_lines, 85, 10),
        shape(frame_347_shape_group_6_shape_5_horizontal_lines, 86, 11),
        shape(frame_347_shape_group_6_shape_6_horizontal_lines, 123, 10),
        shape(frame_347_shape_group_6_shape_7_horizontal_lines, 126, 11),
        shape(frame_347_shape_group_6_shape_8_horizontal_lines, 131, 3),
        shape(frame_347_shape_group_6_shape_9_horizontal_lines, 135, 11),
        shape(frame_347_shape_group_6_shape_10_horizontal_lines, 137, 3),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(103, 107),
        horizontal_line(103, 111),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(102, 118),
        horizontal_line(88, 91),
        horizontal_line(101, 117),
        horizontal_line(101, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(99, 116),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(98, 115),
        horizontal_line(98, 114),
        horizontal_line(98, 114),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(81, 85),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(92, 108),
        horizontal_line(120, 125),
        horizontal_line(120, 124),
        horizontal_line(120, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 123),
        horizontal_line(119, 123),
        horizontal_line(118, 123),
        horizontal_line(118, 122),
        horizontal_line(118, 122),
        horizontal_line(117, 122),
        horizontal_line(117, 121),
        horizontal_line(117, 121),
        horizontal_line(87, 103),
        horizontal_line(87, 103),
        horizontal_line(87, 102),
        horizontal_line(86, 102),
        horizontal_line(72, 74),
        horizontal_line(72, 72),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(85, 100),
        horizontal_line(84, 100),
        horizontal_line(84, 99),
        horizontal_line(113, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 112),
        horizontal_line(115, 115),
        horizontal_line(111, 111),
        horizontal_line(82, 97),
        horizontal_line(83, 97),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(97, 109),
        horizontal_line(97, 108),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(162, 166),
        horizontal_line(162, 168),
        horizontal_line(162, 169),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(98, 117),
        horizontal_line(98, 107),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(99, 116),
        horizontal_line(98, 115),
        horizontal_line(98, 115),
        horizontal_line(97, 115),
        horizontal_line(57, 67),
        horizontal_line(57, 67),
        horizontal_line(96, 114),
        horizontal_line(96, 113),
        horizontal_line(95, 113),
        horizontal_line(95, 112),
        horizontal_line(95, 112),
        horizontal_line(94, 112),
        horizontal_line(94, 111),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(90, 108),
    };

    constexpr const horizontal_line frame_347_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(89, 107),
        horizontal_line(89, 107),
    };

    constexpr const shape frame_347_shape_group_7_shapes[] = {
        shape(frame_347_shape_group_7_shape_0_horizontal_lines, 58, 11),
        shape(frame_347_shape_group_7_shape_1_horizontal_lines, 63, 11),
        shape(frame_347_shape_group_7_shape_2_horizontal_lines, 124, 10),
        shape(frame_347_shape_group_7_shape_3_horizontal_lines, 126, 11),
        shape(frame_347_shape_group_7_shape_4_horizontal_lines, 129, 1),
        shape(frame_347_shape_group_7_shape_5_horizontal_lines, 131, 3),
        shape(frame_347_shape_group_7_shape_6_horizontal_lines, 153, 3),
        shape(frame_347_shape_group_7_shape_7_horizontal_lines, 155, 3),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(101, 118),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(129, 129),
        horizontal_line(128, 128),
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(127, 127),
        horizontal_line(126, 131),
        horizontal_line(126, 130),
        horizontal_line(126, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 129),
        horizontal_line(125, 129),
        horizontal_line(124, 129),
        horizontal_line(124, 128),
        horizontal_line(124, 128),
        horizontal_line(123, 128),
        horizontal_line(94, 110),
        horizontal_line(123, 127),
        horizontal_line(122, 127),
        horizontal_line(122, 126),
        horizontal_line(122, 126),
        horizontal_line(93, 108),
        horizontal_line(92, 108),
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(72, 74),
        horizontal_line(72, 77),
        horizontal_line(72, 76),
        horizontal_line(71, 76),
        horizontal_line(71, 75),
        horizontal_line(71, 75),
        horizontal_line(70, 75),
        horizontal_line(70, 74),
        horizontal_line(70, 74),
        horizontal_line(69, 74),
        horizontal_line(69, 73),
        horizontal_line(69, 73),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(116, 121),
        horizontal_line(116, 120),
        horizontal_line(116, 120),
        horizontal_line(115, 119),
        horizontal_line(76, 76),
        horizontal_line(86, 101),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(67, 75),
        horizontal_line(68, 76),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(114, 116),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(70, 78),
        horizontal_line(70, 79),
        horizontal_line(71, 80),
        horizontal_line(72, 81),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(86, 97),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(97, 111),
        horizontal_line(97, 113),
        horizontal_line(97, 115),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(59, 70),
        horizontal_line(59, 69),
    };

    constexpr const horizontal_line frame_347_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(97, 114),
        horizontal_line(97, 114),
    };

    constexpr const shape frame_347_shape_group_8_shapes[] = {
        shape(frame_347_shape_group_8_shape_0_horizontal_lines, 64, 11),
        shape(frame_347_shape_group_8_shape_1_horizontal_lines, 67, 11),
        shape(frame_347_shape_group_8_shape_2_horizontal_lines, 72, 11),
        shape(frame_347_shape_group_8_shape_3_horizontal_lines, 93, 1),
        shape(frame_347_shape_group_8_shape_4_horizontal_lines, 105, 11),
        shape(frame_347_shape_group_8_shape_5_horizontal_lines, 116, 1),
        shape(frame_347_shape_group_8_shape_6_horizontal_lines, 118, 11),
        shape(frame_347_shape_group_8_shape_7_horizontal_lines, 119, 1),
        shape(frame_347_shape_group_8_shape_8_horizontal_lines, 123, 11),
        shape(frame_347_shape_group_8_shape_9_horizontal_lines, 126, 1),
        shape(frame_347_shape_group_8_shape_10_horizontal_lines, 129, 3),
        shape(frame_347_shape_group_8_shape_11_horizontal_lines, 135, 3),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(131, 134),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(123, 127),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(121, 126),
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(122, 124),
        horizontal_line(122, 124),
        horizontal_line(68, 73),
        horizontal_line(68, 72),
        horizontal_line(68, 72),
        horizontal_line(67, 72),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(86, 102),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(66, 70),
        horizontal_line(66, 68),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(66, 70),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(64, 66),
        horizontal_line(63, 67),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(69, 77),
        horizontal_line(112, 114),
        horizontal_line(112, 115),
        horizontal_line(112, 116),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(62, 71),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(73, 76),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(90, 96),
        horizontal_line(93, 96),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(60, 71),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
    };

    constexpr const horizontal_line frame_347_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(108, 116),
    };

    constexpr const shape frame_347_shape_group_9_shapes[] = {
        shape(frame_347_shape_group_9_shape_0_horizontal_lines, 76, 1),
        shape(frame_347_shape_group_9_shape_1_horizontal_lines, 85, 11),
        shape(frame_347_shape_group_9_shape_2_horizontal_lines, 86, 1),
        shape(frame_347_shape_group_9_shape_3_horizontal_lines, 90, 11),
        shape(frame_347_shape_group_9_shape_4_horizontal_lines, 92, 1),
        shape(frame_347_shape_group_9_shape_5_horizontal_lines, 109, 11),
        shape(frame_347_shape_group_9_shape_6_horizontal_lines, 111, 1),
        shape(frame_347_shape_group_9_shape_7_horizontal_lines, 114, 3),
        shape(frame_347_shape_group_9_shape_8_horizontal_lines, 115, 1),
        shape(frame_347_shape_group_9_shape_9_horizontal_lines, 116, 3),
        shape(frame_347_shape_group_9_shape_10_horizontal_lines, 118, 1),
        shape(frame_347_shape_group_9_shape_11_horizontal_lines, 122, 3),
        shape(frame_347_shape_group_9_shape_12_horizontal_lines, 123, 1),
        shape(frame_347_shape_group_9_shape_13_horizontal_lines, 124, 11),
        shape(frame_347_shape_group_9_shape_14_horizontal_lines, 126, 3),
        shape(frame_347_shape_group_9_shape_15_horizontal_lines, 130, 3),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(67, 71),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(64, 65),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(113, 113),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(63, 69),
        horizontal_line(62, 69),
        horizontal_line(62, 70),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(61, 72),
    };

    constexpr const horizontal_line frame_347_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(163, 164),
        horizontal_line(163, 165),
    };

    constexpr const shape frame_347_shape_group_10_shapes[] = {
        shape(frame_347_shape_group_10_shape_0_horizontal_lines, 85, 1),
        shape(frame_347_shape_group_10_shape_1_horizontal_lines, 90, 1),
        shape(frame_347_shape_group_10_shape_2_horizontal_lines, 109, 11),
        shape(frame_347_shape_group_10_shape_3_horizontal_lines, 110, 1),
        shape(frame_347_shape_group_10_shape_4_horizontal_lines, 115, 3),
        shape(frame_347_shape_group_10_shape_5_horizontal_lines, 118, 1),
        shape(frame_347_shape_group_10_shape_6_horizontal_lines, 119, 3),
        shape(frame_347_shape_group_10_shape_7_horizontal_lines, 123, 3),
        shape(frame_347_shape_group_10_shape_8_horizontal_lines, 124, 11),
    };

    constexpr const horizontal_line frame_347_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(67, 71),
    };

    constexpr const horizontal_line frame_347_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(63, 68),
    };

    constexpr const horizontal_line frame_347_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(61, 72),
    };

    constexpr const horizontal_line frame_347_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(109, 109),
    };

    constexpr const shape frame_347_shape_group_11_shapes[] = {
        shape(frame_347_shape_group_11_shape_0_horizontal_lines, 109, 1),
        shape(frame_347_shape_group_11_shape_1_horizontal_lines, 118, 3),
        shape(frame_347_shape_group_11_shape_2_horizontal_lines, 124, 3),
        shape(frame_347_shape_group_11_shape_3_horizontal_lines, 125, 1),
    };

    constexpr const horizontal_line frame_347_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(61, 71),
    };

    constexpr const shape frame_347_shape_group_12_shapes[] = {
        shape(frame_347_shape_group_12_shape_0_horizontal_lines, 125, 3),
    };

    constexpr const shape_group frame_347_shape_groups[] = {
        shape_group(frame_347_shape_group_0_shapes),
        shape_group(frame_347_shape_group_1_shapes),
        shape_group(frame_347_shape_group_2_shapes),
        shape_group(frame_347_shape_group_3_shapes),
        shape_group(frame_347_shape_group_4_shapes),
        shape_group(frame_347_shape_group_5_shapes),
        shape_group(frame_347_shape_group_6_shapes),
        shape_group(frame_347_shape_group_7_shapes),
        shape_group(frame_347_shape_group_8_shapes),
        shape_group(frame_347_shape_group_9_shapes),
        shape_group(frame_347_shape_group_10_shapes),
        shape_group(frame_347_shape_group_11_shapes),
        shape_group(frame_347_shape_group_12_shapes),
    };

    constexpr const frame frame_347_impl(frame_347_colors, frame_347_shape_groups);
} 

const frame& frame_347()
{
    return frame_347_impl;
}

namespace
{
    constexpr const bn::color frame_348_colors[] = {
        bn::color(4, 4, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_348_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 41),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_348_shape_group_0_shape_1_horizontal_lines[] = {
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(59, 121),
        horizontal_line(119, 181),
        horizontal_line(179, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_0_shape_2_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_348_shape_group_0_shape_3_horizontal_lines[] = {
        horizontal_line(38, 41),
        horizontal_line(41, 44),
        horizontal_line(44, 47),
        horizontal_line(47, 50),
        horizontal_line(50, 53),
        horizontal_line(53, 56),
        horizontal_line(56, 59),
        horizontal_line(59, 62),
        horizontal_line(62, 66),
        horizontal_line(65, 69),
        horizontal_line(68, 72),
        horizontal_line(71, 75),
        horizontal_line(74, 78),
        horizontal_line(77, 81),
        horizontal_line(80, 84),
        horizontal_line(83, 87),
        horizontal_line(86, 91),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(83, 88),
        horizontal_line(83, 87),
        horizontal_line(83, 87),
        horizontal_line(82, 87),
        horizontal_line(82, 86),
        horizontal_line(82, 86),
        horizontal_line(81, 86),
        horizontal_line(81, 85),
        horizontal_line(80, 85),
        horizontal_line(80, 85),
        horizontal_line(80, 84),
        horizontal_line(79, 84),
        horizontal_line(79, 84),
        horizontal_line(79, 83),
        horizontal_line(78, 83),
        horizontal_line(78, 83),
        horizontal_line(77, 82),
        horizontal_line(24, 30),
        horizontal_line(23, 41),
        horizontal_line(23, 52),
        horizontal_line(23, 63),
        horizontal_line(22, 74),
        horizontal_line(22, 74),
        horizontal_line(22, 74),
        horizontal_line(21, 74),
        horizontal_line(21, 73),
        horizontal_line(21, 73),
        horizontal_line(20, 73),
        horizontal_line(20, 72),
        horizontal_line(20, 72),
        horizontal_line(19, 72),
        horizontal_line(19, 71),
        horizontal_line(19, 71),
        horizontal_line(18, 71),
        horizontal_line(18, 70),
        horizontal_line(18, 70),
        horizontal_line(17, 70),
        horizontal_line(17, 69),
        horizontal_line(17, 69),
        horizontal_line(16, 69),
        horizontal_line(16, 68),
        horizontal_line(16, 68),
        horizontal_line(15, 67),
        horizontal_line(15, 66),
        horizontal_line(15, 66),
        horizontal_line(14, 65),
        horizontal_line(14, 65),
        horizontal_line(14, 65),
        horizontal_line(13, 64),
        horizontal_line(13, 64),
        horizontal_line(13, 64),
        horizontal_line(12, 63),
        horizontal_line(12, 56),
        horizontal_line(12, 48),
        horizontal_line(11, 39),
        horizontal_line(11, 31),
        horizontal_line(11, 22),
        horizontal_line(10, 14),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(119, 119),
        horizontal_line(119, 120),
        horizontal_line(118, 122),
        horizontal_line(118, 123),
        horizontal_line(118, 125),
        horizontal_line(117, 126),
        horizontal_line(117, 128),
        horizontal_line(117, 129),
        horizontal_line(116, 131),
        horizontal_line(116, 132),
        horizontal_line(116, 134),
        horizontal_line(115, 136),
        horizontal_line(115, 137),
        horizontal_line(115, 139),
        horizontal_line(114, 140),
        horizontal_line(114, 142),
        horizontal_line(114, 143),
        horizontal_line(51, 52),
        horizontal_line(48, 52),
        horizontal_line(45, 52),
        horizontal_line(42, 51),
        horizontal_line(38, 51),
        horizontal_line(35, 51),
        horizontal_line(32, 50),
        horizontal_line(29, 50),
        horizontal_line(26, 50),
    };

    constexpr const shape frame_348_shape_group_0_shapes[] = {
        shape(frame_348_shape_group_0_shape_0_horizontal_lines, 0, 8),
        shape(frame_348_shape_group_0_shape_1_horizontal_lines, 31, 8),
        shape(frame_348_shape_group_0_shape_2_horizontal_lines, 44, 13),
        shape(frame_348_shape_group_0_shape_3_horizontal_lines, 46, 8),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 82),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(62, 118),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(121, 183),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(36, 98),
        horizontal_line(39, 101),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(136, 138),
        horizontal_line(138, 143),
        horizontal_line(137, 148),
        horizontal_line(137, 152),
        horizontal_line(136, 157),
        horizontal_line(136, 162),
        horizontal_line(136, 166),
        horizontal_line(135, 171),
        horizontal_line(135, 176),
        horizontal_line(135, 180),
        horizontal_line(134, 179),
        horizontal_line(134, 179),
        horizontal_line(77, 82),
        horizontal_line(77, 82),
        horizontal_line(76, 81),
        horizontal_line(76, 81),
        horizontal_line(76, 81),
        horizontal_line(76, 80),
        horizontal_line(78, 80),
        horizontal_line(80, 80),
        horizontal_line(131, 176),
        horizontal_line(130, 175),
        horizontal_line(130, 175),
        horizontal_line(130, 174),
        horizontal_line(129, 174),
        horizontal_line(129, 174),
        horizontal_line(129, 173),
        horizontal_line(128, 173),
        horizontal_line(128, 173),
        horizontal_line(128, 172),
        horizontal_line(123, 126),
        horizontal_line(123, 126),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(119, 120),
        horizontal_line(120, 120),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(87, 94),
        horizontal_line(90, 93),
        horizontal_line(93, 93),
        horizontal_line(176, 233),
        horizontal_line(178, 233),
        horizontal_line(179, 233),
    };

    constexpr const horizontal_line frame_348_shape_group_1_shape_7_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(229, 239),
        horizontal_line(228, 239),
        horizontal_line(228, 239),
        horizontal_line(227, 239),
        horizontal_line(227, 239),
        horizontal_line(113, 145),
        horizontal_line(113, 146),
        horizontal_line(113, 148),
        horizontal_line(112, 149),
        horizontal_line(112, 151),
        horizontal_line(112, 152),
        horizontal_line(111, 153),
        horizontal_line(111, 153),
        horizontal_line(111, 153),
    };

    constexpr const shape frame_348_shape_group_1_shapes[] = {
        shape(frame_348_shape_group_1_shape_0_horizontal_lines, 0, 8),
        shape(frame_348_shape_group_1_shape_1_horizontal_lines, 31, 8),
        shape(frame_348_shape_group_1_shape_2_horizontal_lines, 42, 13),
        shape(frame_348_shape_group_1_shape_3_horizontal_lines, 44, 15),
        shape(frame_348_shape_group_1_shape_4_horizontal_lines, 46, 13),
        shape(frame_348_shape_group_1_shape_5_horizontal_lines, 74, 8),
        shape(frame_348_shape_group_1_shape_6_horizontal_lines, 128, 13),
        shape(frame_348_shape_group_1_shape_7_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(124, 186),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(32, 94),
        horizontal_line(34, 96),
        horizontal_line(98, 160),
        horizontal_line(101, 163),
        horizontal_line(42, 104),
        horizontal_line(45, 107),
        horizontal_line(48, 110),
        horizontal_line(51, 113),
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(60, 122),
        horizontal_line(63, 125),
        horizontal_line(67, 129),
        horizontal_line(70, 132),
        horizontal_line(73, 135),
        horizontal_line(76, 103),
        horizontal_line(79, 97),
        horizontal_line(82, 96),
        horizontal_line(85, 96),
        horizontal_line(88, 95),
        horizontal_line(92, 95),
        horizontal_line(95, 95),
        horizontal_line(128, 190),
        horizontal_line(131, 193),
        horizontal_line(132, 194),
        horizontal_line(134, 196),
        horizontal_line(133, 195),
        horizontal_line(133, 195),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(132, 194),
        horizontal_line(131, 193),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(134, 178),
        horizontal_line(133, 178),
        horizontal_line(133, 178),
        horizontal_line(133, 177),
        horizontal_line(132, 177),
        horizontal_line(132, 177),
        horizontal_line(131, 176),
        horizontal_line(131, 176),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(130, 172),
        horizontal_line(132, 172),
        horizontal_line(135, 171),
        horizontal_line(137, 171),
        horizontal_line(139, 171),
        horizontal_line(142, 170),
        horizontal_line(144, 170),
        horizontal_line(146, 169),
        horizontal_line(149, 169),
        horizontal_line(151, 169),
        horizontal_line(153, 168),
        horizontal_line(156, 168),
        horizontal_line(158, 168),
        horizontal_line(160, 167),
        horizontal_line(163, 167),
        horizontal_line(165, 167),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(71, 85),
        horizontal_line(73, 88),
        horizontal_line(76, 90),
        horizontal_line(79, 92),
        horizontal_line(82, 95),
        horizontal_line(84, 94),
        horizontal_line(113, 117),
        horizontal_line(115, 116),
        horizontal_line(175, 234),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_9_horizontal_lines[] = {
        horizontal_line(7, 7),
        horizontal_line(5, 7),
        horizontal_line(4, 6),
        horizontal_line(2, 6),
        horizontal_line(1, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 1),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_348_shape_group_2_shape_10_horizontal_lines[] = {
        horizontal_line(227, 239),
        horizontal_line(226, 239),
        horizontal_line(226, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_348_shape_group_2_shapes[] = {
        shape(frame_348_shape_group_2_shape_0_horizontal_lines, 32, 8),
        shape(frame_348_shape_group_2_shape_1_horizontal_lines, 41, 13),
        shape(frame_348_shape_group_2_shape_2_horizontal_lines, 42, 15),
        shape(frame_348_shape_group_2_shape_3_horizontal_lines, 74, 13),
        shape(frame_348_shape_group_2_shape_4_horizontal_lines, 87, 8),
        shape(frame_348_shape_group_2_shape_5_horizontal_lines, 95, 13),
        shape(frame_348_shape_group_2_shape_6_horizontal_lines, 105, 8),
        shape(frame_348_shape_group_2_shape_7_horizontal_lines, 122, 13),
        shape(frame_348_shape_group_2_shape_8_horizontal_lines, 131, 11),
        shape(frame_348_shape_group_2_shape_9_horizontal_lines, 134, 13),
        shape(frame_348_shape_group_2_shape_10_horizontal_lines, 151, 8),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 238),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(30, 92),
        horizontal_line(94, 156),
        horizontal_line(96, 158),
        horizontal_line(160, 222),
        horizontal_line(163, 225),
        horizontal_line(104, 166),
        horizontal_line(107, 169),
        horizontal_line(110, 172),
        horizontal_line(113, 175),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(135, 197),
        horizontal_line(105, 167),
        horizontal_line(109, 171),
        horizontal_line(114, 176),
        horizontal_line(119, 181),
        horizontal_line(121, 183),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(135, 197),
        horizontal_line(139, 201),
        horizontal_line(144, 206),
        horizontal_line(149, 211),
        horizontal_line(153, 215),
        horizontal_line(158, 220),
        horizontal_line(163, 225),
        horizontal_line(167, 229),
        horizontal_line(172, 234),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(181, 181),
        horizontal_line(180, 189),
        horizontal_line(180, 197),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 14),
        horizontal_line(0, 7),
        horizontal_line(0, 0),
        horizontal_line(177, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(77, 79),
        horizontal_line(74, 79),
        horizontal_line(71, 79),
        horizontal_line(69, 78),
        horizontal_line(74, 78),
        horizontal_line(170, 232),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(169, 231),
        horizontal_line(168, 230),
        horizontal_line(168, 230),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(76, 83),
        horizontal_line(113, 113),
        horizontal_line(112, 122),
        horizontal_line(111, 121),
        horizontal_line(110, 120),
        horizontal_line(110, 119),
        horizontal_line(111, 118),
        horizontal_line(173, 234),
        horizontal_line(174, 234),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(164, 175),
        horizontal_line(163, 177),
        horizontal_line(163, 178),
    };

    constexpr const horizontal_line frame_348_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(180, 232),
        horizontal_line(181, 232),
        horizontal_line(182, 231),
        horizontal_line(184, 231),
        horizontal_line(185, 231),
        horizontal_line(186, 230),
        horizontal_line(187, 230),
        horizontal_line(189, 229),
        horizontal_line(190, 229),
        horizontal_line(191, 229),
        horizontal_line(192, 228),
        horizontal_line(193, 228),
        horizontal_line(195, 228),
        horizontal_line(196, 227),
        horizontal_line(197, 227),
        horizontal_line(198, 226),
        horizontal_line(200, 226),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(0, 0),
        horizontal_line(206, 224),
        horizontal_line(207, 224),
        horizontal_line(208, 223),
        horizontal_line(209, 223),
        horizontal_line(211, 223),
    };

    constexpr const shape frame_348_shape_group_3_shapes[] = {
        shape(frame_348_shape_group_3_shape_0_horizontal_lines, 32, 8),
        shape(frame_348_shape_group_3_shape_1_horizontal_lines, 40, 13),
        shape(frame_348_shape_group_3_shape_2_horizontal_lines, 41, 15),
        shape(frame_348_shape_group_3_shape_3_horizontal_lines, 84, 13),
        shape(frame_348_shape_group_3_shape_4_horizontal_lines, 120, 8),
        shape(frame_348_shape_group_3_shape_5_horizontal_lines, 121, 13),
        shape(frame_348_shape_group_3_shape_6_horizontal_lines, 130, 11),
        shape(frame_348_shape_group_3_shape_7_horizontal_lines, 134, 13),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(27, 58),
        horizontal_line(92, 118),
        horizontal_line(156, 178),
        horizontal_line(158, 220),
        horizontal_line(222, 239),
        horizontal_line(225, 239),
        horizontal_line(166, 228),
        horizontal_line(169, 231),
        horizontal_line(172, 234),
        horizontal_line(175, 237),
        horizontal_line(178, 239),
        horizontal_line(181, 239),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
        horizontal_line(197, 239),
        horizontal_line(167, 229),
        horizontal_line(171, 233),
        horizontal_line(176, 238),
        horizontal_line(181, 239),
        horizontal_line(183, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(91, 94),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
        horizontal_line(90, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 92),
        horizontal_line(88, 92),
        horizontal_line(88, 92),
        horizontal_line(88, 91),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(201, 239),
        horizontal_line(206, 239),
        horizontal_line(211, 239),
        horizontal_line(215, 239),
        horizontal_line(220, 239),
        horizontal_line(225, 239),
        horizontal_line(229, 239),
        horizontal_line(234, 239),
        horizontal_line(239, 239),
        horizontal_line(182, 239),
        horizontal_line(190, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(179, 205),
        horizontal_line(179, 214),
        horizontal_line(179, 222),
        horizontal_line(178, 230),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(172, 234),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
        horizontal_line(170, 232),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(230, 239),
        horizontal_line(230, 239),
        horizontal_line(81, 81),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(167, 229),
        horizontal_line(168, 230),
        horizontal_line(169, 231),
        horizontal_line(170, 232),
        horizontal_line(171, 233),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(164, 174),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(67, 92),
        horizontal_line(67, 92),
        horizontal_line(66, 91),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(161, 185),
        horizontal_line(160, 186),
        horizontal_line(160, 188),
        horizontal_line(160, 189),
        horizontal_line(159, 190),
        horizontal_line(159, 191),
        horizontal_line(159, 192),
        horizontal_line(158, 194),
        horizontal_line(158, 195),
        horizontal_line(157, 196),
        horizontal_line(157, 197),
        horizontal_line(157, 199),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(201, 226),
        horizontal_line(202, 225),
        horizontal_line(203, 225),
        horizontal_line(204, 224),
    };

    constexpr const horizontal_line frame_348_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(155, 205),
        horizontal_line(155, 206),
        horizontal_line(154, 207),
        horizontal_line(154, 208),
        horizontal_line(154, 210),
    };

    constexpr const shape frame_348_shape_group_4_shapes[] = {
        shape(frame_348_shape_group_4_shape_0_horizontal_lines, 40, 15),
        shape(frame_348_shape_group_4_shape_1_horizontal_lines, 64, 11),
        shape(frame_348_shape_group_4_shape_2_horizontal_lines, 74, 15),
        shape(frame_348_shape_group_4_shape_3_horizontal_lines, 87, 13),
        shape(frame_348_shape_group_4_shape_4_horizontal_lines, 95, 11),
        shape(frame_348_shape_group_4_shape_5_horizontal_lines, 105, 13),
        shape(frame_348_shape_group_4_shape_6_horizontal_lines, 128, 11),
        shape(frame_348_shape_group_4_shape_7_horizontal_lines, 131, 10),
        shape(frame_348_shape_group_4_shape_8_horizontal_lines, 134, 11),
        shape(frame_348_shape_group_4_shape_9_horizontal_lines, 151, 13),
        shape(frame_348_shape_group_4_shape_10_horizontal_lines, 155, 11),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(220, 238),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(228, 239),
        horizontal_line(231, 239),
        horizontal_line(234, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(233, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(102, 118),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(91, 94),
        horizontal_line(101, 116),
        horizontal_line(101, 116),
        horizontal_line(100, 115),
        horizontal_line(100, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(98, 114),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 87),
        horizontal_line(83, 87),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(215, 239),
        horizontal_line(223, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(15, 21),
        horizontal_line(8, 21),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 20),
        horizontal_line(80, 84),
        horizontal_line(80, 84),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(78, 82),
        horizontal_line(78, 82),
        horizontal_line(77, 82),
        horizontal_line(77, 81),
        horizontal_line(77, 81),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(168, 230),
        horizontal_line(229, 237),
        horizontal_line(229, 237),
        horizontal_line(229, 236),
        horizontal_line(230, 236),
        horizontal_line(231, 236),
        horizontal_line(232, 235),
        horizontal_line(233, 235),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(165, 172),
        horizontal_line(164, 173),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(67, 92),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(115, 118),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(163, 179),
        horizontal_line(162, 180),
        horizontal_line(162, 181),
        horizontal_line(161, 183),
        horizontal_line(161, 184),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(64, 89),
        horizontal_line(64, 89),
        horizontal_line(63, 88),
        horizontal_line(63, 88),
        horizontal_line(63, 88),
        horizontal_line(62, 87),
        horizontal_line(62, 87),
        horizontal_line(61, 86),
        horizontal_line(61, 86),
        horizontal_line(61, 86),
        horizontal_line(60, 85),
        horizontal_line(60, 85),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(156, 200),
        horizontal_line(156, 201),
        horizontal_line(156, 202),
        horizontal_line(155, 203),
    };

    constexpr const horizontal_line frame_348_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(58, 83),
        horizontal_line(58, 83),
        horizontal_line(57, 82),
        horizontal_line(57, 82),
        horizontal_line(57, 82),
    };

    constexpr const shape frame_348_shape_group_5_shapes[] = {
        shape(frame_348_shape_group_5_shape_0_horizontal_lines, 43, 15),
        shape(frame_348_shape_group_5_shape_1_horizontal_lines, 46, 15),
        shape(frame_348_shape_group_5_shape_2_horizontal_lines, 57, 15),
        shape(frame_348_shape_group_5_shape_3_horizontal_lines, 60, 11),
        shape(frame_348_shape_group_5_shape_4_horizontal_lines, 87, 15),
        shape(frame_348_shape_group_5_shape_5_horizontal_lines, 91, 11),
        shape(frame_348_shape_group_5_shape_6_horizontal_lines, 93, 13),
        shape(frame_348_shape_group_5_shape_7_horizontal_lines, 94, 11),
        shape(frame_348_shape_group_5_shape_8_horizontal_lines, 109, 13),
        shape(frame_348_shape_group_5_shape_9_horizontal_lines, 114, 11),
        shape(frame_348_shape_group_5_shape_10_horizontal_lines, 120, 13),
        shape(frame_348_shape_group_5_shape_11_horizontal_lines, 128, 11),
        shape(frame_348_shape_group_5_shape_12_horizontal_lines, 130, 10),
        shape(frame_348_shape_group_5_shape_13_horizontal_lines, 134, 11),
        shape(frame_348_shape_group_5_shape_14_horizontal_lines, 139, 10),
        shape(frame_348_shape_group_5_shape_15_horizontal_lines, 151, 11),
        shape(frame_348_shape_group_5_shape_16_horizontal_lines, 155, 10),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(103, 108),
        horizontal_line(103, 113),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(97, 101),
        horizontal_line(96, 101),
        horizontal_line(96, 101),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(101, 116),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(95, 100),
        horizontal_line(95, 100),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(130, 131),
        horizontal_line(130, 133),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 130),
        horizontal_line(97, 113),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 109),
        horizontal_line(94, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 108),
        horizontal_line(83, 87),
        horizontal_line(83, 86),
        horizontal_line(82, 86),
        horizontal_line(82, 86),
        horizontal_line(82, 85),
        horizontal_line(81, 85),
        horizontal_line(1, 21),
        horizontal_line(81, 84),
        horizontal_line(90, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(89, 104),
        horizontal_line(88, 104),
        horizontal_line(88, 104),
        horizontal_line(87, 103),
        horizontal_line(87, 103),
        horizontal_line(87, 103),
        horizontal_line(86, 102),
        horizontal_line(76, 81),
        horizontal_line(76, 80),
        horizontal_line(75, 80),
        horizontal_line(75, 80),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(83, 99),
        horizontal_line(82, 98),
        horizontal_line(82, 98),
        horizontal_line(82, 98),
        horizontal_line(81, 97),
        horizontal_line(81, 97),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(230, 238),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(68, 86),
        horizontal_line(68, 89),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(61, 66),
        horizontal_line(61, 66),
        horizontal_line(60, 65),
    };

    constexpr const horizontal_line frame_348_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(66, 91),
        horizontal_line(66, 91),
        horizontal_line(65, 90),
        horizontal_line(65, 90),
        horizontal_line(64, 89),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(113, 116),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(112, 115),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(111, 114),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(110, 113),
        horizontal_line(60, 85),
        horizontal_line(59, 84),
        horizontal_line(59, 84),
        horizontal_line(58, 83),
        horizontal_line(108, 111),
        horizontal_line(108, 111),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
    };

    constexpr const shape frame_348_shape_group_6_shapes[] = {
        shape(frame_348_shape_group_6_shape_0_horizontal_lines, 57, 11),
        shape(frame_348_shape_group_6_shape_1_horizontal_lines, 60, 10),
        shape(frame_348_shape_group_6_shape_2_horizontal_lines, 63, 11),
        shape(frame_348_shape_group_6_shape_3_horizontal_lines, 64, 10),
        shape(frame_348_shape_group_6_shape_4_horizontal_lines, 66, 11),
        shape(frame_348_shape_group_6_shape_5_horizontal_lines, 120, 13),
        shape(frame_348_shape_group_6_shape_6_horizontal_lines, 121, 11),
        shape(frame_348_shape_group_6_shape_7_horizontal_lines, 128, 10),
        shape(frame_348_shape_group_6_shape_8_horizontal_lines, 131, 3),
        shape(frame_348_shape_group_6_shape_9_horizontal_lines, 134, 10),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(98, 102),
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(118, 122),
        horizontal_line(96, 100),
        horizontal_line(117, 127),
        horizontal_line(117, 130),
        horizontal_line(95, 99),
        horizontal_line(94, 99),
        horizontal_line(94, 98),
        horizontal_line(94, 98),
        horizontal_line(93, 98),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(92, 97),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(124, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(123, 129),
        horizontal_line(93, 108),
        horizontal_line(92, 108),
        horizontal_line(92, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 106),
        horizontal_line(81, 85),
        horizontal_line(90, 106),
        horizontal_line(120, 126),
        horizontal_line(120, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 124),
        horizontal_line(118, 123),
        horizontal_line(117, 123),
        horizontal_line(117, 123),
        horizontal_line(86, 102),
        horizontal_line(86, 101),
        horizontal_line(85, 101),
        horizontal_line(85, 101),
        horizontal_line(75, 76),
        horizontal_line(84, 100),
        horizontal_line(84, 100),
        horizontal_line(83, 99),
        horizontal_line(83, 99),
        horizontal_line(114, 119),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(113, 118),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(0, 12),
        horizontal_line(84, 96),
        horizontal_line(86, 96),
        horizontal_line(89, 96),
        horizontal_line(91, 95),
        horizontal_line(93, 95),
        horizontal_line(165, 169),
        horizontal_line(165, 170),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(118, 120),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(94, 116),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(92, 114),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(115, 118),
        horizontal_line(115, 118),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
        horizontal_line(114, 117),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(58, 63),
        horizontal_line(58, 63),
        horizontal_line(58, 62),
        horizontal_line(57, 62),
        horizontal_line(57, 62),
        horizontal_line(57, 61),
        horizontal_line(56, 61),
        horizontal_line(56, 60),
        horizontal_line(56, 60),
        horizontal_line(55, 60),
        horizontal_line(55, 59),
        horizontal_line(55, 59),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(109, 112),
        horizontal_line(109, 112),
        horizontal_line(109, 112),
        horizontal_line(108, 111),
    };

    constexpr const horizontal_line frame_348_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(52, 52),
        horizontal_line(52, 52),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
        horizontal_line(51, 51),
    };

    constexpr const shape frame_348_shape_group_7_shapes[] = {
        shape(frame_348_shape_group_7_shape_0_horizontal_lines, 58, 10),
        shape(frame_348_shape_group_7_shape_1_horizontal_lines, 61, 10),
        shape(frame_348_shape_group_7_shape_2_horizontal_lines, 74, 11),
        shape(frame_348_shape_group_7_shape_3_horizontal_lines, 128, 10),
        shape(frame_348_shape_group_7_shape_4_horizontal_lines, 130, 1),
        shape(frame_348_shape_group_7_shape_5_horizontal_lines, 131, 3),
        shape(frame_348_shape_group_7_shape_6_horizontal_lines, 134, 10),
        shape(frame_348_shape_group_7_shape_7_horizontal_lines, 139, 3),
        shape(frame_348_shape_group_7_shape_8_horizontal_lines, 151, 10),
        shape(frame_348_shape_group_7_shape_9_horizontal_lines, 155, 1),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(117, 125),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(116, 129),
        horizontal_line(116, 129),
        horizontal_line(116, 128),
        horizontal_line(115, 128),
        horizontal_line(115, 128),
        horizontal_line(115, 127),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(91, 96),
        horizontal_line(91, 95),
        horizontal_line(91, 95),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(88, 92),
        horizontal_line(88, 92),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(123, 129),
        horizontal_line(123, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 128),
        horizontal_line(122, 127),
        horizontal_line(121, 127),
        horizontal_line(90, 106),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(85, 89),
        horizontal_line(85, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 87),
        horizontal_line(83, 87),
        horizontal_line(83, 86),
        horizontal_line(83, 86),
        horizontal_line(82, 86),
        horizontal_line(82, 85),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(117, 122),
        horizontal_line(116, 122),
        horizontal_line(116, 121),
        horizontal_line(116, 121),
        horizontal_line(85, 100),
        horizontal_line(115, 120),
        horizontal_line(115, 120),
        horizontal_line(114, 120),
        horizontal_line(114, 119),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(80, 82),
        horizontal_line(80, 81),
        horizontal_line(80, 81),
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(116, 117),
        horizontal_line(117, 117),
        horizontal_line(82, 97),
        horizontal_line(111, 113),
        horizontal_line(111, 112),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(166, 168),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(69, 81),
        horizontal_line(69, 83),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(95, 112),
        horizontal_line(94, 114),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(61, 66),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(60, 65),
        horizontal_line(60, 65),
        horizontal_line(59, 64),
        horizontal_line(59, 64),
        horizontal_line(59, 63),
        horizontal_line(90, 112),
        horizontal_line(90, 112),
        horizontal_line(89, 112),
        horizontal_line(89, 111),
        horizontal_line(89, 111),
        horizontal_line(88, 111),
        horizontal_line(88, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 110),
        horizontal_line(87, 109),
        horizontal_line(86, 109),
        horizontal_line(86, 109),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(53, 53),
        horizontal_line(52, 52),
    };

    constexpr const horizontal_line frame_348_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(53, 57),
        horizontal_line(53, 57),
        horizontal_line(52, 56),
        horizontal_line(52, 56),
        horizontal_line(52, 56),
    };

    constexpr const shape frame_348_shape_group_8_shapes[] = {
        shape(frame_348_shape_group_8_shape_0_horizontal_lines, 63, 10),
        shape(frame_348_shape_group_8_shape_1_horizontal_lines, 66, 10),
        shape(frame_348_shape_group_8_shape_2_horizontal_lines, 87, 11),
        shape(frame_348_shape_group_8_shape_3_horizontal_lines, 95, 10),
        shape(frame_348_shape_group_8_shape_4_horizontal_lines, 105, 11),
        shape(frame_348_shape_group_8_shape_5_horizontal_lines, 114, 10),
        shape(frame_348_shape_group_8_shape_6_horizontal_lines, 118, 11),
        shape(frame_348_shape_group_8_shape_7_horizontal_lines, 126, 10),
        shape(frame_348_shape_group_8_shape_8_horizontal_lines, 128, 1),
        shape(frame_348_shape_group_8_shape_9_horizontal_lines, 130, 3),
        shape(frame_348_shape_group_8_shape_10_horizontal_lines, 134, 3),
        shape(frame_348_shape_group_8_shape_11_horizontal_lines, 151, 1),
        shape(frame_348_shape_group_8_shape_12_horizontal_lines, 155, 3),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(114, 126),
        horizontal_line(113, 126),
        horizontal_line(113, 126),
        horizontal_line(113, 125),
        horizontal_line(112, 125),
        horizontal_line(112, 125),
        horizontal_line(112, 124),
        horizontal_line(111, 124),
        horizontal_line(111, 124),
        horizontal_line(110, 123),
        horizontal_line(110, 123),
        horizontal_line(110, 123),
        horizontal_line(109, 122),
        horizontal_line(88, 92),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(121, 127),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(85, 89),
        horizontal_line(106, 119),
        horizontal_line(106, 119),
        horizontal_line(106, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(105, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(104, 116),
        horizontal_line(103, 116),
        horizontal_line(82, 85),
        horizontal_line(81, 85),
        horizontal_line(81, 84),
        horizontal_line(81, 84),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(115, 121),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(80, 83),
        horizontal_line(80, 83),
        horizontal_line(79, 82),
        horizontal_line(79, 82),
        horizontal_line(100, 113),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(112, 113),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(70, 72),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(166, 167),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(69, 78),
        horizontal_line(120, 121),
        horizontal_line(119, 120),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(62, 67),
        horizontal_line(62, 67),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(92, 114),
        horizontal_line(92, 114),
        horizontal_line(91, 113),
        horizontal_line(91, 113),
        horizontal_line(90, 113),
    };

    constexpr const horizontal_line frame_348_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(54, 59),
        horizontal_line(54, 58),
        horizontal_line(54, 58),
        horizontal_line(53, 57),
        horizontal_line(84, 107),
        horizontal_line(84, 107),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
        horizontal_line(83, 106),
    };

    constexpr const shape frame_348_shape_group_9_shapes[] = {
        shape(frame_348_shape_group_9_shape_0_horizontal_lines, 74, 10),
        shape(frame_348_shape_group_9_shape_1_horizontal_lines, 93, 11),
        shape(frame_348_shape_group_9_shape_2_horizontal_lines, 94, 10),
        shape(frame_348_shape_group_9_shape_3_horizontal_lines, 109, 11),
        shape(frame_348_shape_group_9_shape_4_horizontal_lines, 110, 10),
        shape(frame_348_shape_group_9_shape_5_horizontal_lines, 120, 11),
        shape(frame_348_shape_group_9_shape_6_horizontal_lines, 121, 10),
        shape(frame_348_shape_group_9_shape_7_horizontal_lines, 124, 11),
        shape(frame_348_shape_group_9_shape_8_horizontal_lines, 125, 10),
        shape(frame_348_shape_group_9_shape_9_horizontal_lines, 128, 3),
        shape(frame_348_shape_group_9_shape_10_horizontal_lines, 134, 3),
        shape(frame_348_shape_group_9_shape_11_horizontal_lines, 151, 3),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(134, 135),
        horizontal_line(134, 137),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(109, 122),
        horizontal_line(109, 122),
        horizontal_line(108, 121),
        horizontal_line(108, 121),
        horizontal_line(108, 121),
        horizontal_line(107, 120),
        horizontal_line(86, 89),
        horizontal_line(107, 120),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(74, 79),
        horizontal_line(74, 79),
        horizontal_line(74, 78),
        horizontal_line(73, 78),
        horizontal_line(73, 78),
        horizontal_line(73, 77),
        horizontal_line(72, 77),
        horizontal_line(72, 76),
        horizontal_line(72, 76),
        horizontal_line(71, 76),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(80, 84),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(68, 79),
        horizontal_line(68, 79),
        horizontal_line(69, 79),
        horizontal_line(69, 80),
        horizontal_line(69, 80),
        horizontal_line(70, 80),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(98, 111),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(70, 75),
        horizontal_line(114, 120),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(97, 110),
        horizontal_line(70, 75),
        horizontal_line(96, 109),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(96, 109),
        horizontal_line(95, 110),
    };

    constexpr const horizontal_line frame_348_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(86, 108),
        horizontal_line(85, 108),
        horizontal_line(85, 108),
        horizontal_line(84, 107),
    };

    constexpr const shape frame_348_shape_group_10_shapes[] = {
        shape(frame_348_shape_group_10_shape_0_horizontal_lines, 75, 1),
        shape(frame_348_shape_group_10_shape_1_horizontal_lines, 87, 10),
        shape(frame_348_shape_group_10_shape_2_horizontal_lines, 95, 1),
        shape(frame_348_shape_group_10_shape_3_horizontal_lines, 105, 10),
        shape(frame_348_shape_group_10_shape_4_horizontal_lines, 114, 1),
        shape(frame_348_shape_group_10_shape_5_horizontal_lines, 120, 10),
        shape(frame_348_shape_group_10_shape_6_horizontal_lines, 121, 1),
        shape(frame_348_shape_group_10_shape_7_horizontal_lines, 123, 10),
        shape(frame_348_shape_group_10_shape_8_horizontal_lines, 126, 1),
        shape(frame_348_shape_group_10_shape_9_horizontal_lines, 151, 3),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(130, 133),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(128, 131),
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(107, 120),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(75, 79),
        horizontal_line(127, 130),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 128),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 127),
        horizontal_line(71, 75),
        horizontal_line(71, 75),
        horizontal_line(70, 74),
        horizontal_line(70, 74),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(101, 114),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(69, 73),
        horizontal_line(69, 70),
        horizontal_line(68, 68),
        horizontal_line(68, 73),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(66, 67),
        horizontal_line(66, 68),
        horizontal_line(66, 68),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(115, 115),
        horizontal_line(115, 116),
        horizontal_line(70, 80),
        horizontal_line(114, 119),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(64, 70),
        horizontal_line(64, 69),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(96, 109),
        horizontal_line(121, 121),
    };

    constexpr const horizontal_line frame_348_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(63, 68),
        horizontal_line(62, 68),
    };

    constexpr const shape frame_348_shape_group_11_shapes[] = {
        shape(frame_348_shape_group_11_shape_0_horizontal_lines, 87, 1),
        shape(frame_348_shape_group_11_shape_1_horizontal_lines, 93, 10),
        shape(frame_348_shape_group_11_shape_2_horizontal_lines, 94, 1),
        shape(frame_348_shape_group_11_shape_3_horizontal_lines, 109, 10),
        shape(frame_348_shape_group_11_shape_4_horizontal_lines, 110, 1),
        shape(frame_348_shape_group_11_shape_5_horizontal_lines, 114, 3),
        shape(frame_348_shape_group_11_shape_6_horizontal_lines, 118, 1),
        shape(frame_348_shape_group_11_shape_7_horizontal_lines, 122, 3),
        shape(frame_348_shape_group_11_shape_8_horizontal_lines, 124, 10),
        shape(frame_348_shape_group_11_shape_9_horizontal_lines, 126, 3),
    };

    constexpr const horizontal_line frame_348_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(128, 131),
        horizontal_line(75, 77),
        horizontal_line(127, 130),
    };

    constexpr const horizontal_line frame_348_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(70, 74),
    };

    constexpr const horizontal_line frame_348_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_348_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(65, 68),
        horizontal_line(65, 69),
    };

    constexpr const horizontal_line frame_348_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(114, 118),
    };

    constexpr const horizontal_line frame_348_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(64, 69),
    };

    constexpr const horizontal_line frame_348_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(63, 69),
        horizontal_line(63, 68),
    };

    constexpr const shape frame_348_shape_group_12_shapes[] = {
        shape(frame_348_shape_group_12_shape_0_horizontal_lines, 92, 1),
        shape(frame_348_shape_group_12_shape_1_horizontal_lines, 109, 1),
        shape(frame_348_shape_group_12_shape_2_horizontal_lines, 113, 3),
        shape(frame_348_shape_group_12_shape_3_horizontal_lines, 118, 3),
        shape(frame_348_shape_group_12_shape_4_horizontal_lines, 120, 1),
        shape(frame_348_shape_group_12_shape_5_horizontal_lines, 121, 3),
        shape(frame_348_shape_group_12_shape_6_horizontal_lines, 124, 3),
    };

    constexpr const horizontal_line frame_348_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_348_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(65, 69),
    };

    constexpr const shape frame_348_shape_group_13_shapes[] = {
        shape(frame_348_shape_group_13_shape_0_horizontal_lines, 93, 1),
        shape(frame_348_shape_group_13_shape_1_horizontal_lines, 120, 3),
    };

    constexpr const shape_group frame_348_shape_groups[] = {
        shape_group(frame_348_shape_group_0_shapes),
        shape_group(frame_348_shape_group_1_shapes),
        shape_group(frame_348_shape_group_2_shapes),
        shape_group(frame_348_shape_group_3_shapes),
        shape_group(frame_348_shape_group_4_shapes),
        shape_group(frame_348_shape_group_5_shapes),
        shape_group(frame_348_shape_group_6_shapes),
        shape_group(frame_348_shape_group_7_shapes),
        shape_group(frame_348_shape_group_8_shapes),
        shape_group(frame_348_shape_group_9_shapes),
        shape_group(frame_348_shape_group_10_shapes),
        shape_group(frame_348_shape_group_11_shapes),
        shape_group(frame_348_shape_group_12_shapes),
        shape_group(frame_348_shape_group_13_shapes),
    };

    constexpr const frame frame_348_impl(frame_348_colors, frame_348_shape_groups);
} 

const frame& frame_348()
{
    return frame_348_impl;
}

namespace
{
    constexpr const bn::color frame_349_colors[] = {
        bn::color(4, 4, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(0, 0, 0),
    };

    constexpr const horizontal_line frame_349_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(44, 47),
        horizontal_line(47, 50),
        horizontal_line(50, 53),
        horizontal_line(53, 56),
        horizontal_line(57, 59),
        horizontal_line(60, 62),
        horizontal_line(63, 65),
        horizontal_line(66, 68),
        horizontal_line(69, 71),
        horizontal_line(73, 74),
        horizontal_line(76, 77),
        horizontal_line(79, 80),
        horizontal_line(82, 83),
        horizontal_line(85, 86),
        horizontal_line(89, 89),
        horizontal_line(89, 93),
        horizontal_line(89, 92),
        horizontal_line(88, 92),
        horizontal_line(88, 91),
        horizontal_line(88, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(83, 87),
        horizontal_line(83, 87),
        horizontal_line(83, 86),
        horizontal_line(82, 86),
        horizontal_line(82, 86),
        horizontal_line(82, 85),
        horizontal_line(81, 85),
        horizontal_line(81, 85),
        horizontal_line(80, 84),
        horizontal_line(80, 84),
        horizontal_line(27, 36),
        horizontal_line(27, 50),
        horizontal_line(27, 63),
        horizontal_line(26, 77),
        horizontal_line(26, 77),
        horizontal_line(25, 77),
        horizontal_line(25, 77),
        horizontal_line(25, 76),
        horizontal_line(24, 76),
        horizontal_line(24, 76),
        horizontal_line(24, 75),
        horizontal_line(23, 75),
        horizontal_line(23, 75),
        horizontal_line(23, 74),
        horizontal_line(22, 74),
        horizontal_line(22, 74),
        horizontal_line(22, 73),
        horizontal_line(21, 73),
        horizontal_line(21, 73),
        horizontal_line(20, 72),
        horizontal_line(20, 72),
        horizontal_line(20, 72),
        horizontal_line(19, 71),
        horizontal_line(19, 71),
        horizontal_line(19, 71),
        horizontal_line(18, 70),
        horizontal_line(18, 70),
        horizontal_line(18, 70),
        horizontal_line(17, 69),
        horizontal_line(17, 69),
        horizontal_line(17, 69),
        horizontal_line(16, 68),
        horizontal_line(16, 68),
        horizontal_line(15, 68),
        horizontal_line(15, 58),
        horizontal_line(15, 48),
        horizontal_line(14, 39),
        horizontal_line(14, 29),
        horizontal_line(14, 19),
        horizontal_line(66, 66),
        horizontal_line(66, 66),
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(65, 65),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(64, 64),
        horizontal_line(63, 63),
        horizontal_line(63, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(61, 61),
        horizontal_line(60, 60),
        horizontal_line(60, 60),
        horizontal_line(59, 60),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(58, 59),
        horizontal_line(58, 58),
        horizontal_line(58, 58),
        horizontal_line(54, 55),
        horizontal_line(51, 55),
        horizontal_line(47, 54),
        horizontal_line(44, 54),
        horizontal_line(40, 54),
        horizontal_line(37, 53),
        horizontal_line(33, 53),
        horizontal_line(30, 52),
        horizontal_line(26, 52),
        horizontal_line(23, 52),
    };

    constexpr const shape frame_349_shape_group_0_shapes[] = {
        shape(frame_349_shape_group_0_shape_0_horizontal_lines, 43, 8),
    };

    constexpr const horizontal_line frame_349_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 79),
        horizontal_line(62, 124),
        horizontal_line(62, 124),
        horizontal_line(59, 121),
        horizontal_line(119, 181),
        horizontal_line(179, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_349_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
        horizontal_line(141, 141),
        horizontal_line(140, 146),
        horizontal_line(140, 151),
        horizontal_line(139, 156),
        horizontal_line(139, 161),
        horizontal_line(139, 165),
        horizontal_line(138, 170),
        horizontal_line(138, 175),
        horizontal_line(137, 180),
        horizontal_line(137, 184),
        horizontal_line(137, 183),
        horizontal_line(136, 183),
        horizontal_line(80, 84),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(79, 82),
        horizontal_line(80, 82),
        horizontal_line(82, 82),
        horizontal_line(133, 180),
        horizontal_line(133, 179),
        horizontal_line(133, 179),
        horizontal_line(132, 179),
        horizontal_line(132, 178),
        horizontal_line(131, 178),
        horizontal_line(131, 177),
        horizontal_line(131, 177),
        horizontal_line(130, 177),
        horizontal_line(130, 176),
        horizontal_line(130, 176),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_349_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(77, 89),
    };

    constexpr const horizontal_line frame_349_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(67, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_349_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(82, 92),
        horizontal_line(84, 91),
        horizontal_line(85, 90),
        horizontal_line(87, 89),
        horizontal_line(89, 89),
        horizontal_line(113, 117),
        horizontal_line(114, 115),
        horizontal_line(10, 10),
        horizontal_line(8, 10),
    };

    constexpr const horizontal_line frame_349_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(122, 123),
        horizontal_line(122, 125),
        horizontal_line(121, 126),
        horizontal_line(121, 128),
        horizontal_line(120, 129),
        horizontal_line(120, 131),
        horizontal_line(120, 132),
        horizontal_line(119, 134),
        horizontal_line(119, 135),
        horizontal_line(118, 137),
        horizontal_line(118, 138),
        horizontal_line(118, 140),
        horizontal_line(117, 141),
        horizontal_line(117, 143),
        horizontal_line(116, 144),
        horizontal_line(57, 58),
        horizontal_line(116, 147),
        horizontal_line(115, 149),
        horizontal_line(115, 150),
        horizontal_line(114, 152),
        horizontal_line(114, 153),
        horizontal_line(114, 155),
        horizontal_line(113, 156),
        horizontal_line(113, 156),
        horizontal_line(113, 156),
    };

    constexpr const shape frame_349_shape_group_1_shapes[] = {
        shape(frame_349_shape_group_1_shape_0_horizontal_lines, 44, 8),
        shape(frame_349_shape_group_1_shape_1_horizontal_lines, 51, 13),
        shape(frame_349_shape_group_1_shape_2_horizontal_lines, 74, 8),
        shape(frame_349_shape_group_1_shape_3_horizontal_lines, 122, 13),
        shape(frame_349_shape_group_1_shape_4_horizontal_lines, 123, 8),
        shape(frame_349_shape_group_1_shape_5_horizontal_lines, 125, 13),
        shape(frame_349_shape_group_1_shape_6_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(124, 159),
        horizontal_line(124, 186),
        horizontal_line(121, 183),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(60, 122),
        horizontal_line(63, 125),
        horizontal_line(66, 128),
        horizontal_line(69, 131),
        horizontal_line(72, 134),
        horizontal_line(75, 103),
        horizontal_line(78, 101),
        horizontal_line(81, 100),
        horizontal_line(84, 99),
        horizontal_line(87, 99),
        horizontal_line(90, 98),
        horizontal_line(94, 98),
        horizontal_line(97, 98),
        horizontal_line(133, 195),
        horizontal_line(135, 197),
        horizontal_line(137, 199),
        horizontal_line(136, 198),
        horizontal_line(136, 198),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(135, 197),
        horizontal_line(134, 196),
        horizontal_line(134, 196),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(136, 182),
        horizontal_line(136, 182),
        horizontal_line(135, 182),
        horizontal_line(135, 181),
        horizontal_line(134, 181),
        horizontal_line(134, 180),
        horizontal_line(134, 180),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(132, 175),
        horizontal_line(134, 175),
        horizontal_line(137, 175),
        horizontal_line(139, 174),
        horizontal_line(141, 174),
        horizontal_line(144, 174),
        horizontal_line(146, 173),
        horizontal_line(149, 173),
        horizontal_line(151, 172),
        horizontal_line(153, 172),
        horizontal_line(156, 172),
        horizontal_line(158, 171),
        horizontal_line(161, 171),
        horizontal_line(163, 170),
        horizontal_line(165, 170),
        horizontal_line(168, 170),
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(79, 91),
        horizontal_line(80, 93),
        horizontal_line(110, 121),
        horizontal_line(109, 125),
        horizontal_line(110, 123),
        horizontal_line(111, 121),
        horizontal_line(112, 119),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(181, 239),
        horizontal_line(7, 10),
        horizontal_line(5, 9),
        horizontal_line(4, 9),
        horizontal_line(2, 9),
    };

    constexpr const horizontal_line frame_349_shape_group_2_shape_8_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(116, 146),
        horizontal_line(234, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(232, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
        horizontal_line(231, 239),
    };

    constexpr const shape frame_349_shape_group_2_shapes[] = {
        shape(frame_349_shape_group_2_shape_0_horizontal_lines, 45, 8),
        shape(frame_349_shape_group_2_shape_1_horizontal_lines, 49, 13),
        shape(frame_349_shape_group_2_shape_2_horizontal_lines, 51, 15),
        shape(frame_349_shape_group_2_shape_3_horizontal_lines, 74, 13),
        shape(frame_349_shape_group_2_shape_4_horizontal_lines, 87, 8),
        shape(frame_349_shape_group_2_shape_5_horizontal_lines, 94, 13),
        shape(frame_349_shape_group_2_shape_6_horizontal_lines, 105, 8),
        shape(frame_349_shape_group_2_shape_7_horizontal_lines, 122, 13),
        shape(frame_349_shape_group_2_shape_8_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(54, 116),
        horizontal_line(57, 119),
        horizontal_line(122, 184),
        horizontal_line(125, 187),
        horizontal_line(128, 190),
        horizontal_line(131, 193),
        horizontal_line(134, 196),
        horizontal_line(105, 167),
        horizontal_line(111, 173),
        horizontal_line(117, 179),
        horizontal_line(120, 182),
        horizontal_line(123, 185),
        horizontal_line(126, 188),
        horizontal_line(129, 191),
        horizontal_line(132, 194),
        horizontal_line(195, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(138, 200),
        horizontal_line(142, 204),
        horizontal_line(147, 209),
        horizontal_line(152, 214),
        horizontal_line(157, 219),
        horizontal_line(162, 224),
        horizontal_line(166, 228),
        horizontal_line(171, 233),
        horizontal_line(176, 238),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(185, 185),
        horizontal_line(184, 194),
        horizontal_line(184, 203),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 19),
        horizontal_line(0, 13),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(175, 237),
        horizontal_line(80, 82),
        horizontal_line(74, 82),
        horizontal_line(77, 81),
        horizontal_line(80, 81),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(172, 234),
        horizontal_line(172, 234),
        horizontal_line(71, 82),
        horizontal_line(72, 83),
        horizontal_line(74, 85),
        horizontal_line(75, 87),
        horizontal_line(232, 239),
        horizontal_line(115, 115),
        horizontal_line(112, 118),
        horizontal_line(172, 234),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(177, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(1, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
        horizontal_line(0, 5),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(234, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(0, 4),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 3),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
        horizontal_line(0, 2),
    };

    constexpr const shape frame_349_shape_group_3_shapes[] = {
        shape(frame_349_shape_group_3_shape_0_horizontal_lines, 46, 8),
        shape(frame_349_shape_group_3_shape_1_horizontal_lines, 48, 13),
        shape(frame_349_shape_group_3_shape_2_horizontal_lines, 49, 15),
        shape(frame_349_shape_group_3_shape_3_horizontal_lines, 84, 13),
        shape(frame_349_shape_group_3_shape_4_horizontal_lines, 94, 11),
        shape(frame_349_shape_group_3_shape_5_horizontal_lines, 103, 13),
        shape(frame_349_shape_group_3_shape_6_horizontal_lines, 130, 11),
        shape(frame_349_shape_group_3_shape_7_horizontal_lines, 134, 13),
        shape(frame_349_shape_group_3_shape_8_horizontal_lines, 150, 8),
        shape(frame_349_shape_group_3_shape_9_horizontal_lines, 151, 13),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(51, 113),
        horizontal_line(116, 178),
        horizontal_line(119, 181),
        horizontal_line(184, 239),
        horizontal_line(187, 239),
        horizontal_line(190, 239),
        horizontal_line(193, 239),
        horizontal_line(196, 239),
        horizontal_line(167, 229),
        horizontal_line(173, 235),
        horizontal_line(179, 239),
        horizontal_line(182, 239),
        horizontal_line(185, 239),
        horizontal_line(188, 239),
        horizontal_line(191, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(93, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(92, 96),
        horizontal_line(91, 96),
        horizontal_line(91, 96),
        horizontal_line(91, 95),
        horizontal_line(90, 95),
        horizontal_line(90, 95),
        horizontal_line(90, 94),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(204, 239),
        horizontal_line(209, 239),
        horizontal_line(214, 239),
        horizontal_line(219, 239),
        horizontal_line(224, 239),
        horizontal_line(228, 239),
        horizontal_line(233, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(86, 91),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(195, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(183, 212),
        horizontal_line(183, 221),
        horizontal_line(183, 230),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(82, 87),
        horizontal_line(82, 87),
        horizontal_line(81, 86),
        horizontal_line(81, 86),
        horizontal_line(81, 86),
        horizontal_line(80, 85),
        horizontal_line(80, 85),
        horizontal_line(80, 85),
        horizontal_line(79, 84),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(234, 239),
        horizontal_line(234, 239),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(171, 233),
        horizontal_line(170, 232),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(170, 232),
        horizontal_line(171, 233),
        horizontal_line(234, 239),
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(167, 177),
        horizontal_line(167, 178),
        horizontal_line(166, 179),
        horizontal_line(166, 180),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_349_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(187, 238),
        horizontal_line(189, 237),
        horizontal_line(190, 237),
        horizontal_line(191, 236),
        horizontal_line(192, 236),
        horizontal_line(193, 236),
        horizontal_line(195, 235),
        horizontal_line(196, 235),
        horizontal_line(197, 234),
        horizontal_line(198, 234),
        horizontal_line(199, 234),
        horizontal_line(201, 233),
        horizontal_line(0, 4),
        horizontal_line(203, 233),
        horizontal_line(204, 232),
        horizontal_line(205, 232),
        horizontal_line(207, 231),
        horizontal_line(208, 231),
        horizontal_line(209, 231),
        horizontal_line(210, 230),
        horizontal_line(211, 230),
        horizontal_line(213, 230),
    };

    constexpr const shape frame_349_shape_group_4_shapes[] = {
        shape(frame_349_shape_group_4_shape_0_horizontal_lines, 47, 13),
        shape(frame_349_shape_group_4_shape_1_horizontal_lines, 48, 15),
        shape(frame_349_shape_group_4_shape_2_horizontal_lines, 64, 11),
        shape(frame_349_shape_group_4_shape_3_horizontal_lines, 74, 15),
        shape(frame_349_shape_group_4_shape_4_horizontal_lines, 83, 11),
        shape(frame_349_shape_group_4_shape_5_horizontal_lines, 84, 15),
        shape(frame_349_shape_group_4_shape_6_horizontal_lines, 87, 13),
        shape(frame_349_shape_group_4_shape_7_horizontal_lines, 94, 11),
        shape(frame_349_shape_group_4_shape_8_horizontal_lines, 105, 13),
        shape(frame_349_shape_group_4_shape_9_horizontal_lines, 122, 11),
        shape(frame_349_shape_group_4_shape_10_horizontal_lines, 123, 13),
        shape(frame_349_shape_group_4_shape_11_horizontal_lines, 130, 11),
        shape(frame_349_shape_group_4_shape_12_horizontal_lines, 138, 13),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(48, 58),
        horizontal_line(113, 118),
        horizontal_line(178, 178),
        horizontal_line(181, 238),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(229, 239),
        horizontal_line(235, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(102, 114),
        horizontal_line(101, 114),
        horizontal_line(93, 96),
        horizontal_line(101, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(99, 111),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(97, 110),
        horizontal_line(89, 94),
        horizontal_line(89, 94),
        horizontal_line(89, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(86, 91),
        horizontal_line(94, 107),
        horizontal_line(86, 91),
        horizontal_line(85, 90),
        horizontal_line(85, 90),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(213, 239),
        horizontal_line(222, 239),
        horizontal_line(231, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(20, 25),
        horizontal_line(14, 25),
        horizontal_line(7, 24),
        horizontal_line(1, 24),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(89, 102),
        horizontal_line(89, 102),
        horizontal_line(89, 102),
        horizontal_line(88, 101),
        horizontal_line(88, 101),
        horizontal_line(88, 101),
        horizontal_line(87, 100),
        horizontal_line(79, 84),
        horizontal_line(78, 84),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(233, 239),
        horizontal_line(232, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(232, 239),
        horizontal_line(233, 239),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(66, 88),
        horizontal_line(66, 88),
        horizontal_line(65, 87),
        horizontal_line(65, 87),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(166, 182),
        horizontal_line(165, 183),
        horizontal_line(165, 184),
        horizontal_line(164, 185),
        horizontal_line(0, 0),
        horizontal_line(164, 188),
        horizontal_line(163, 189),
        horizontal_line(163, 190),
        horizontal_line(163, 191),
        horizontal_line(162, 192),
        horizontal_line(162, 194),
        horizontal_line(162, 195),
        horizontal_line(161, 196),
        horizontal_line(161, 197),
        horizontal_line(160, 198),
        horizontal_line(160, 200),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(202, 233),
    };

    constexpr const horizontal_line frame_349_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(159, 202),
        horizontal_line(159, 203),
        horizontal_line(159, 204),
        horizontal_line(158, 206),
        horizontal_line(158, 207),
        horizontal_line(158, 208),
        horizontal_line(157, 209),
        horizontal_line(157, 210),
        horizontal_line(157, 212),
    };

    constexpr const shape frame_349_shape_group_5_shapes[] = {
        shape(frame_349_shape_group_5_shape_0_horizontal_lines, 47, 15),
        shape(frame_349_shape_group_5_shape_1_horizontal_lines, 56, 15),
        shape(frame_349_shape_group_5_shape_2_horizontal_lines, 58, 11),
        shape(frame_349_shape_group_5_shape_3_horizontal_lines, 87, 15),
        shape(frame_349_shape_group_5_shape_4_horizontal_lines, 90, 11),
        shape(frame_349_shape_group_5_shape_5_horizontal_lines, 109, 13),
        shape(frame_349_shape_group_5_shape_6_horizontal_lines, 113, 11),
        shape(frame_349_shape_group_5_shape_7_horizontal_lines, 118, 13),
        shape(frame_349_shape_group_5_shape_8_horizontal_lines, 122, 11),
        shape(frame_349_shape_group_5_shape_9_horizontal_lines, 123, 13),
        shape(frame_349_shape_group_5_shape_10_horizontal_lines, 125, 11),
        shape(frame_349_shape_group_5_shape_11_horizontal_lines, 130, 10),
        shape(frame_349_shape_group_5_shape_12_horizontal_lines, 134, 11),
        shape(frame_349_shape_group_5_shape_13_horizontal_lines, 150, 13),
        shape(frame_349_shape_group_5_shape_14_horizontal_lines, 151, 11),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(103, 110),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(101, 102),
        horizontal_line(100, 101),
        horizontal_line(100, 101),
        horizontal_line(99, 101),
        horizontal_line(99, 100),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(101, 114),
        horizontal_line(131, 132),
        horizontal_line(131, 134),
        horizontal_line(130, 136),
        horizontal_line(130, 135),
        horizontal_line(130, 135),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(129, 134),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(97, 110),
        horizontal_line(97, 110),
        horizontal_line(96, 109),
        horizontal_line(96, 109),
        horizontal_line(96, 109),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
        horizontal_line(95, 107),
        horizontal_line(94, 107),
        horizontal_line(124, 133),
        horizontal_line(94, 106),
        horizontal_line(93, 106),
        horizontal_line(93, 106),
        horizontal_line(85, 89),
        horizontal_line(84, 89),
        horizontal_line(84, 89),
        horizontal_line(84, 88),
        horizontal_line(83, 88),
        horizontal_line(83, 88),
        horizontal_line(83, 87),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(118, 127),
        horizontal_line(117, 126),
        horizontal_line(87, 100),
        horizontal_line(86, 99),
        horizontal_line(78, 83),
        horizontal_line(78, 83),
        horizontal_line(77, 83),
        horizontal_line(77, 82),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(83, 96),
        horizontal_line(83, 96),
        horizontal_line(83, 96),
        horizontal_line(82, 95),
        horizontal_line(82, 95),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(110, 115),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(109, 109),
        horizontal_line(168, 172),
        horizontal_line(168, 173),
        horizontal_line(168, 174),
        horizontal_line(167, 176),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(118, 123),
        horizontal_line(116, 123),
        horizontal_line(115, 122),
        horizontal_line(114, 122),
        horizontal_line(65, 87),
        horizontal_line(64, 86),
        horizontal_line(64, 86),
        horizontal_line(64, 86),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(164, 186),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(63, 85),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(62, 84),
        horizontal_line(61, 83),
        horizontal_line(61, 83),
        horizontal_line(61, 83),
        horizontal_line(60, 82),
        horizontal_line(60, 82),
        horizontal_line(60, 82),
        horizontal_line(59, 81),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(160, 201),
    };

    constexpr const horizontal_line frame_349_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(58, 80),
        horizontal_line(58, 80),
        horizontal_line(58, 80),
        horizontal_line(57, 79),
        horizontal_line(57, 79),
        horizontal_line(57, 79),
        horizontal_line(56, 78),
        horizontal_line(56, 78),
        horizontal_line(56, 78),
    };

    constexpr const shape frame_349_shape_group_6_shapes[] = {
        shape(frame_349_shape_group_6_shape_0_horizontal_lines, 56, 11),
        shape(frame_349_shape_group_6_shape_1_horizontal_lines, 58, 10),
        shape(frame_349_shape_group_6_shape_2_horizontal_lines, 63, 11),
        shape(frame_349_shape_group_6_shape_3_horizontal_lines, 130, 10),
        shape(frame_349_shape_group_6_shape_4_horizontal_lines, 138, 11),
        shape(frame_349_shape_group_6_shape_5_horizontal_lines, 139, 10),
        shape(frame_349_shape_group_6_shape_6_horizontal_lines, 150, 11),
        shape(frame_349_shape_group_6_shape_7_horizontal_lines, 151, 10),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(102, 102),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(116, 119),
        horizontal_line(116, 122),
        horizontal_line(115, 125),
        horizontal_line(115, 128),
        horizontal_line(99, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(97, 99),
        horizontal_line(97, 98),
        horizontal_line(97, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 97),
        horizontal_line(96, 97),
        horizontal_line(95, 96),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(92, 93),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(123, 132),
        horizontal_line(123, 132),
        horizontal_line(93, 105),
        horizontal_line(92, 105),
        horizontal_line(92, 105),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(90, 103),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(88, 89),
        horizontal_line(88, 89),
        horizontal_line(87, 88),
        horizontal_line(87, 88),
        horizontal_line(87, 88),
        horizontal_line(86, 87),
        horizontal_line(86, 87),
        horizontal_line(86, 87),
        horizontal_line(85, 86),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(117, 126),
        horizontal_line(117, 126),
        horizontal_line(86, 99),
        horizontal_line(86, 99),
        horizontal_line(85, 98),
        horizontal_line(85, 98),
        horizontal_line(77, 79),
        horizontal_line(84, 97),
        horizontal_line(84, 97),
        horizontal_line(84, 97),
        horizontal_line(113, 122),
        horizontal_line(113, 122),
        horizontal_line(113, 121),
        horizontal_line(112, 121),
        horizontal_line(112, 120),
        horizontal_line(83, 95),
        horizontal_line(84, 94),
        horizontal_line(86, 94),
        horizontal_line(88, 94),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(69, 76),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(92, 93),
        horizontal_line(109, 111),
        horizontal_line(169, 171),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(68, 83),
        horizontal_line(67, 84),
        horizontal_line(67, 86),
        horizontal_line(66, 88),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(97, 112),
        horizontal_line(105, 113),
        horizontal_line(114, 114),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(88, 113),
    };

    constexpr const horizontal_line frame_349_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(114, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 121),
        horizontal_line(113, 120),
        horizontal_line(63, 85),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(108, 115),
        horizontal_line(59, 81),
        horizontal_line(107, 115),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
    };

    constexpr const shape frame_349_shape_group_7_shapes[] = {
        shape(frame_349_shape_group_7_shape_0_horizontal_lines, 57, 10),
        shape(frame_349_shape_group_7_shape_1_horizontal_lines, 59, 10),
        shape(frame_349_shape_group_7_shape_2_horizontal_lines, 74, 11),
        shape(frame_349_shape_group_7_shape_3_horizontal_lines, 83, 10),
        shape(frame_349_shape_group_7_shape_4_horizontal_lines, 84, 11),
        shape(frame_349_shape_group_7_shape_5_horizontal_lines, 94, 10),
        shape(frame_349_shape_group_7_shape_6_horizontal_lines, 103, 11),
        shape(frame_349_shape_group_7_shape_7_horizontal_lines, 122, 10),
        shape(frame_349_shape_group_7_shape_8_horizontal_lines, 123, 11),
        shape(frame_349_shape_group_7_shape_9_horizontal_lines, 126, 10),
        shape(frame_349_shape_group_7_shape_10_horizontal_lines, 130, 1),
        shape(frame_349_shape_group_7_shape_11_horizontal_lines, 133, 3),
        shape(frame_349_shape_group_7_shape_12_horizontal_lines, 134, 10),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(115, 131),
        horizontal_line(114, 130),
        horizontal_line(114, 130),
        horizontal_line(114, 129),
        horizontal_line(113, 129),
        horizontal_line(113, 129),
        horizontal_line(113, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 127),
        horizontal_line(111, 127),
        horizontal_line(95, 96),
        horizontal_line(95, 96),
        horizontal_line(94, 95),
        horizontal_line(94, 95),
        horizontal_line(94, 95),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(93, 94),
        horizontal_line(92, 93),
        horizontal_line(108, 123),
        horizontal_line(92, 93),
        horizontal_line(91, 92),
        horizontal_line(91, 92),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(104, 119),
        horizontal_line(104, 119),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(103, 118),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 117),
        horizontal_line(101, 116),
        horizontal_line(85, 86),
        horizontal_line(85, 85),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(116, 125),
        horizontal_line(116, 125),
        horizontal_line(115, 124),
        horizontal_line(115, 124),
        horizontal_line(85, 98),
        horizontal_line(114, 123),
        horizontal_line(114, 123),
        horizontal_line(114, 122),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(97, 112),
        horizontal_line(96, 111),
        horizontal_line(96, 111),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(111, 116),
        horizontal_line(110, 115),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(94, 109),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(110, 114),
        horizontal_line(169, 170),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(68, 81),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(92, 108),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(122, 124),
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(89, 96),
        horizontal_line(65, 65),
        horizontal_line(88, 113),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(64, 64),
        horizontal_line(87, 112),
        horizontal_line(63, 63),
        horizontal_line(63, 63),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(112, 120),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(85, 111),
        horizontal_line(85, 110),
        horizontal_line(61, 61),
        horizontal_line(84, 109),
        horizontal_line(84, 109),
        horizontal_line(60, 60),
        horizontal_line(83, 108),
        horizontal_line(83, 108),
        horizontal_line(59, 59),
        horizontal_line(82, 107),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_349_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(56, 57),
        horizontal_line(55, 57),
        horizontal_line(55, 57),
        horizontal_line(55, 56),
        horizontal_line(54, 56),
        horizontal_line(54, 56),
        horizontal_line(53, 55),
        horizontal_line(53, 55),
        horizontal_line(53, 55),
    };

    constexpr const shape frame_349_shape_group_8_shapes[] = {
        shape(frame_349_shape_group_8_shape_0_horizontal_lines, 63, 10),
        shape(frame_349_shape_group_8_shape_1_horizontal_lines, 87, 11),
        shape(frame_349_shape_group_8_shape_2_horizontal_lines, 94, 10),
        shape(frame_349_shape_group_8_shape_3_horizontal_lines, 105, 11),
        shape(frame_349_shape_group_8_shape_4_horizontal_lines, 113, 10),
        shape(frame_349_shape_group_8_shape_5_horizontal_lines, 118, 11),
        shape(frame_349_shape_group_8_shape_6_horizontal_lines, 122, 10),
        shape(frame_349_shape_group_8_shape_7_horizontal_lines, 123, 11),
        shape(frame_349_shape_group_8_shape_8_horizontal_lines, 125, 10),
        shape(frame_349_shape_group_8_shape_9_horizontal_lines, 126, 1),
        shape(frame_349_shape_group_8_shape_10_horizontal_lines, 127, 10),
        shape(frame_349_shape_group_8_shape_11_horizontal_lines, 130, 3),
        shape(frame_349_shape_group_8_shape_12_horizontal_lines, 134, 3),
        shape(frame_349_shape_group_8_shape_13_horizontal_lines, 138, 10),
        shape(frame_349_shape_group_8_shape_14_horizontal_lines, 139, 3),
        shape(frame_349_shape_group_8_shape_15_horizontal_lines, 150, 10),
        shape(frame_349_shape_group_8_shape_16_horizontal_lines, 151, 1),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(111, 126),
        horizontal_line(111, 126),
        horizontal_line(110, 126),
        horizontal_line(110, 125),
        horizontal_line(110, 125),
        horizontal_line(109, 125),
        horizontal_line(109, 124),
        horizontal_line(108, 124),
        horizontal_line(108, 124),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(107, 123),
        horizontal_line(107, 122),
        horizontal_line(107, 122),
        horizontal_line(90, 92),
        horizontal_line(90, 91),
        horizontal_line(90, 91),
        horizontal_line(89, 90),
        horizontal_line(89, 90),
        horizontal_line(89, 90),
        horizontal_line(88, 89),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(77, 81),
        horizontal_line(77, 81),
        horizontal_line(77, 80),
        horizontal_line(76, 80),
        horizontal_line(76, 80),
        horizontal_line(76, 79),
        horizontal_line(75, 79),
        horizontal_line(75, 79),
        horizontal_line(75, 78),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(101, 116),
        horizontal_line(100, 116),
        horizontal_line(84, 85),
        horizontal_line(84, 85),
        horizontal_line(84, 84),
        horizontal_line(83, 84),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(115, 124),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(83, 83),
        horizontal_line(82, 83),
        horizontal_line(82, 83),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(72, 82),
        horizontal_line(72, 82),
        horizontal_line(70, 82),
        horizontal_line(71, 81),
        horizontal_line(71, 81),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(70, 73),
        horizontal_line(69, 74),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(116, 122),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(69, 78),
        horizontal_line(68, 79),
        horizontal_line(101, 108),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(91, 109),
        horizontal_line(90, 110),
        horizontal_line(90, 111),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(89, 104),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(88, 113),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(87, 112),
        horizontal_line(87, 112),
        horizontal_line(86, 111),
        horizontal_line(86, 111),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(85, 110),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(84, 109),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_19_horizontal_lines[] = {
        horizontal_line(83, 108),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_20_horizontal_lines[] = {
        horizontal_line(56, 56),
    };

    constexpr const horizontal_line frame_349_shape_group_9_shape_21_horizontal_lines[] = {
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(81, 106),
        horizontal_line(80, 105),
        horizontal_line(80, 105),
        horizontal_line(80, 105),
        horizontal_line(79, 104),
        horizontal_line(79, 104),
        horizontal_line(79, 104),
    };

    constexpr const shape frame_349_shape_group_9_shapes[] = {
        shape(frame_349_shape_group_9_shape_0_horizontal_lines, 74, 10),
        shape(frame_349_shape_group_9_shape_1_horizontal_lines, 83, 1),
        shape(frame_349_shape_group_9_shape_2_horizontal_lines, 84, 10),
        shape(frame_349_shape_group_9_shape_3_horizontal_lines, 94, 1),
        shape(frame_349_shape_group_9_shape_4_horizontal_lines, 103, 10),
        shape(frame_349_shape_group_9_shape_5_horizontal_lines, 109, 11),
        shape(frame_349_shape_group_9_shape_6_horizontal_lines, 110, 10),
        shape(frame_349_shape_group_9_shape_7_horizontal_lines, 113, 1),
        shape(frame_349_shape_group_9_shape_8_horizontal_lines, 118, 11),
        shape(frame_349_shape_group_9_shape_9_horizontal_lines, 120, 10),
        shape(frame_349_shape_group_9_shape_10_horizontal_lines, 122, 1),
        shape(frame_349_shape_group_9_shape_11_horizontal_lines, 123, 10),
        shape(frame_349_shape_group_9_shape_12_horizontal_lines, 126, 3),
        shape(frame_349_shape_group_9_shape_13_horizontal_lines, 127, 1),
        shape(frame_349_shape_group_9_shape_14_horizontal_lines, 131, 3),
        shape(frame_349_shape_group_9_shape_15_horizontal_lines, 134, 3),
        shape(frame_349_shape_group_9_shape_16_horizontal_lines, 136, 3),
        shape(frame_349_shape_group_9_shape_17_horizontal_lines, 142, 3),
        shape(frame_349_shape_group_9_shape_18_horizontal_lines, 145, 3),
        shape(frame_349_shape_group_9_shape_19_horizontal_lines, 148, 3),
        shape(frame_349_shape_group_9_shape_20_horizontal_lines, 150, 1),
        shape(frame_349_shape_group_9_shape_21_horizontal_lines, 151, 3),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(137, 140),
        horizontal_line(137, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(134, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(106, 122),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 120),
        horizontal_line(105, 120),
        horizontal_line(104, 120),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 129),
        horizontal_line(74, 78),
        horizontal_line(74, 77),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(100, 115),
        horizontal_line(100, 115),
        horizontal_line(99, 114),
        horizontal_line(99, 114),
        horizontal_line(83, 84),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
        horizontal_line(98, 113),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(71, 71),
        horizontal_line(71, 71),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(70, 70),
        horizontal_line(70, 70),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(96, 110),
        horizontal_line(70, 71),
        horizontal_line(95, 110),
        horizontal_line(95, 109),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(94, 109),
        horizontal_line(94, 108),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(93, 100),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_349_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(82, 107),
    };

    constexpr const shape frame_349_shape_group_10_shapes[] = {
        shape(frame_349_shape_group_10_shape_0_horizontal_lines, 75, 1),
        shape(frame_349_shape_group_10_shape_1_horizontal_lines, 84, 1),
        shape(frame_349_shape_group_10_shape_2_horizontal_lines, 87, 10),
        shape(frame_349_shape_group_10_shape_3_horizontal_lines, 94, 1),
        shape(frame_349_shape_group_10_shape_4_horizontal_lines, 105, 10),
        shape(frame_349_shape_group_10_shape_5_horizontal_lines, 113, 3),
        shape(frame_349_shape_group_10_shape_6_horizontal_lines, 116, 3),
        shape(frame_349_shape_group_10_shape_7_horizontal_lines, 118, 10),
        shape(frame_349_shape_group_10_shape_8_horizontal_lines, 122, 3),
        shape(frame_349_shape_group_10_shape_9_horizontal_lines, 123, 10),
        shape(frame_349_shape_group_10_shape_10_horizontal_lines, 125, 1),
        shape(frame_349_shape_group_10_shape_11_horizontal_lines, 128, 3),
        shape(frame_349_shape_group_10_shape_12_horizontal_lines, 150, 3),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(133, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(78, 78),
        horizontal_line(78, 79),
        horizontal_line(78, 81),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(74, 77),
        horizontal_line(73, 77),
        horizontal_line(73, 76),
        horizontal_line(73, 76),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(99, 114),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(72, 73),
        horizontal_line(72, 76),
        horizontal_line(71, 79),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(95, 110),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(117, 120),
        horizontal_line(116, 121),
    };

    constexpr const horizontal_line frame_349_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(116, 122),
        horizontal_line(119, 123),
        horizontal_line(122, 124),
    };

    constexpr const shape frame_349_shape_group_11_shapes[] = {
        shape(frame_349_shape_group_11_shape_0_horizontal_lines, 87, 1),
        shape(frame_349_shape_group_11_shape_1_horizontal_lines, 103, 1),
        shape(frame_349_shape_group_11_shape_2_horizontal_lines, 109, 10),
        shape(frame_349_shape_group_11_shape_3_horizontal_lines, 110, 1),
        shape(frame_349_shape_group_11_shape_4_horizontal_lines, 118, 1),
        shape(frame_349_shape_group_11_shape_5_horizontal_lines, 119, 10),
        shape(frame_349_shape_group_11_shape_6_horizontal_lines, 120, 1),
        shape(frame_349_shape_group_11_shape_7_horizontal_lines, 123, 1),
    };

    constexpr const horizontal_line frame_349_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_349_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(72, 76),
    };

    constexpr const horizontal_line frame_349_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(117, 119),
        horizontal_line(117, 119),
    };

    constexpr const horizontal_line frame_349_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(69, 69),
    };

    constexpr const horizontal_line frame_349_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_349_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(67, 67),
    };

    constexpr const shape frame_349_shape_group_12_shapes[] = {
        shape(frame_349_shape_group_12_shape_0_horizontal_lines, 91, 1),
        shape(frame_349_shape_group_12_shape_1_horizontal_lines, 109, 1),
        shape(frame_349_shape_group_12_shape_2_horizontal_lines, 118, 1),
        shape(frame_349_shape_group_12_shape_3_horizontal_lines, 120, 3),
        shape(frame_349_shape_group_12_shape_4_horizontal_lines, 123, 3),
        shape(frame_349_shape_group_12_shape_5_horizontal_lines, 125, 3),
    };

    constexpr const horizontal_line frame_349_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(70, 70),
        horizontal_line(69, 69),
    };

    constexpr const shape frame_349_shape_group_13_shapes[] = {
        shape(frame_349_shape_group_13_shape_0_horizontal_lines, 118, 3),
    };

    constexpr const shape_group frame_349_shape_groups[] = {
        shape_group(frame_349_shape_group_0_shapes),
        shape_group(frame_349_shape_group_1_shapes),
        shape_group(frame_349_shape_group_2_shapes),
        shape_group(frame_349_shape_group_3_shapes),
        shape_group(frame_349_shape_group_4_shapes),
        shape_group(frame_349_shape_group_5_shapes),
        shape_group(frame_349_shape_group_6_shapes),
        shape_group(frame_349_shape_group_7_shapes),
        shape_group(frame_349_shape_group_8_shapes),
        shape_group(frame_349_shape_group_9_shapes),
        shape_group(frame_349_shape_group_10_shapes),
        shape_group(frame_349_shape_group_11_shapes),
        shape_group(frame_349_shape_group_12_shapes),
        shape_group(frame_349_shape_group_13_shapes),
    };

    constexpr const frame frame_349_impl(frame_349_colors, frame_349_shape_groups);
} 

const frame& frame_349()
{
    return frame_349_impl;
}

namespace
{
    constexpr const bn::color frame_350_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_350_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 6),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 13),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 20),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 24),
        horizontal_line(0, 18),
        horizontal_line(0, 12),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(80, 83),
        horizontal_line(83, 83),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(176, 238),
        horizontal_line(72, 72),
        horizontal_line(73, 82),
        horizontal_line(74, 83),
        horizontal_line(75, 84),
        horizontal_line(76, 85),
        horizontal_line(77, 87),
        horizontal_line(78, 88),
        horizontal_line(79, 89),
        horizontal_line(80, 91),
        horizontal_line(81, 88),
        horizontal_line(82, 86),
        horizontal_line(84, 84),
        horizontal_line(108, 124),
        horizontal_line(109, 127),
        horizontal_line(110, 123),
        horizontal_line(110, 119),
        horizontal_line(15, 15),
        horizontal_line(13, 15),
        horizontal_line(11, 14),
        horizontal_line(9, 14),
        horizontal_line(8, 14),
        horizontal_line(6, 13),
        horizontal_line(4, 13),
        horizontal_line(2, 13),
        horizontal_line(1, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
        horizontal_line(0, 6),
    };

    constexpr const shape frame_350_shape_group_0_shapes[] = {
        shape(frame_350_shape_group_0_shape_0_horizontal_lines, 25, 13),
    };

    constexpr const horizontal_line frame_350_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(44, 46),
        horizontal_line(46, 49),
        horizontal_line(49, 52),
        horizontal_line(52, 55),
        horizontal_line(55, 58),
        horizontal_line(58, 61),
        horizontal_line(61, 64),
        horizontal_line(64, 67),
        horizontal_line(67, 70),
        horizontal_line(70, 72),
        horizontal_line(73, 75),
        horizontal_line(76, 78),
        horizontal_line(79, 81),
        horizontal_line(82, 84),
        horizontal_line(85, 87),
        horizontal_line(88, 90),
        horizontal_line(91, 93),
        horizontal_line(91, 96),
        horizontal_line(91, 95),
        horizontal_line(90, 95),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
        horizontal_line(89, 94),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(88, 92),
        horizontal_line(88, 92),
        horizontal_line(88, 92),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 88),
        horizontal_line(85, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 87),
    };

    constexpr const horizontal_line frame_350_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(188, 188),
        horizontal_line(187, 196),
        horizontal_line(187, 205),
        horizontal_line(186, 213),
        horizontal_line(186, 222),
        horizontal_line(186, 230),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_350_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(29, 79),
        horizontal_line(28, 79),
        horizontal_line(28, 78),
        horizontal_line(28, 78),
        horizontal_line(27, 77),
        horizontal_line(27, 77),
        horizontal_line(27, 77),
        horizontal_line(26, 76),
        horizontal_line(26, 76),
        horizontal_line(26, 76),
        horizontal_line(25, 75),
        horizontal_line(25, 75),
        horizontal_line(25, 74),
        horizontal_line(24, 74),
        horizontal_line(24, 74),
    };

    constexpr const horizontal_line frame_350_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(178, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(120, 120),
        horizontal_line(120, 122),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(174, 236),
        horizontal_line(173, 235),
        horizontal_line(173, 235),
        horizontal_line(117, 117),
        horizontal_line(112, 119),
        horizontal_line(108, 122),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(111, 115),
        horizontal_line(182, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 238),
        horizontal_line(211, 237),
        horizontal_line(212, 236),
        horizontal_line(213, 236),
        horizontal_line(214, 235),
        horizontal_line(216, 235),
    };

    constexpr const shape frame_350_shape_group_1_shapes[] = {
        shape(frame_350_shape_group_1_shape_0_horizontal_lines, 45, 8),
        shape(frame_350_shape_group_1_shape_1_horizontal_lines, 84, 13),
        shape(frame_350_shape_group_1_shape_2_horizontal_lines, 94, 8),
        shape(frame_350_shape_group_1_shape_3_horizontal_lines, 109, 13),
    };

    constexpr const horizontal_line frame_350_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(44, 45),
        horizontal_line(44, 48),
        horizontal_line(43, 51),
        horizontal_line(43, 54),
        horizontal_line(43, 57),
        horizontal_line(42, 60),
        horizontal_line(42, 63),
        horizontal_line(42, 66),
        horizontal_line(41, 69),
        horizontal_line(41, 72),
        horizontal_line(41, 75),
        horizontal_line(40, 78),
        horizontal_line(40, 81),
        horizontal_line(40, 84),
        horizontal_line(39, 87),
        horizontal_line(39, 90),
        horizontal_line(39, 90),
        horizontal_line(38, 90),
        horizontal_line(38, 89),
        horizontal_line(38, 89),
        horizontal_line(38, 89),
        horizontal_line(37, 88),
        horizontal_line(37, 88),
        horizontal_line(37, 88),
        horizontal_line(36, 87),
        horizontal_line(36, 87),
        horizontal_line(36, 87),
    };

    constexpr const horizontal_line frame_350_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(143, 144),
        horizontal_line(142, 148),
        horizontal_line(142, 153),
        horizontal_line(141, 157),
        horizontal_line(141, 161),
        horizontal_line(141, 166),
        horizontal_line(140, 170),
        horizontal_line(140, 174),
        horizontal_line(139, 179),
        horizontal_line(139, 183),
        horizontal_line(84, 87),
        horizontal_line(83, 86),
        horizontal_line(31, 36),
        horizontal_line(31, 47),
        horizontal_line(31, 58),
        horizontal_line(30, 69),
        horizontal_line(30, 80),
        horizontal_line(30, 80),
        horizontal_line(29, 80),
        horizontal_line(29, 79),
        horizontal_line(135, 183),
        horizontal_line(135, 182),
        horizontal_line(134, 182),
        horizontal_line(134, 182),
        horizontal_line(133, 181),
        horizontal_line(133, 181),
        horizontal_line(133, 181),
        horizontal_line(132, 180),
        horizontal_line(132, 180),
        horizontal_line(132, 179),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
        horizontal_line(24, 73),
        horizontal_line(23, 73),
        horizontal_line(23, 73),
        horizontal_line(23, 72),
        horizontal_line(22, 72),
        horizontal_line(22, 71),
    };

    constexpr const horizontal_line frame_350_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(175, 237),
        horizontal_line(175, 237),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
        horizontal_line(235, 239),
        horizontal_line(235, 239),
        horizontal_line(173, 235),
        horizontal_line(174, 236),
        horizontal_line(175, 237),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_350_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(17, 66),
        horizontal_line(17, 65),
    };

    constexpr const horizontal_line frame_350_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_350_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(16, 65),
        horizontal_line(15, 64),
    };

    constexpr const horizontal_line frame_350_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(125, 125),
        horizontal_line(125, 126),
        horizontal_line(124, 128),
        horizontal_line(124, 129),
        horizontal_line(123, 131),
        horizontal_line(123, 132),
        horizontal_line(122, 134),
        horizontal_line(122, 135),
        horizontal_line(122, 137),
        horizontal_line(121, 138),
        horizontal_line(121, 140),
        horizontal_line(120, 141),
        horizontal_line(120, 143),
        horizontal_line(120, 144),
        horizontal_line(57, 58),
        horizontal_line(54, 58),
        horizontal_line(50, 58),
        horizontal_line(47, 57),
        horizontal_line(43, 57),
        horizontal_line(40, 57),
        horizontal_line(37, 56),
        horizontal_line(33, 56),
        horizontal_line(30, 56),
        horizontal_line(26, 55),
        horizontal_line(23, 55),
        horizontal_line(20, 55),
    };

    constexpr const shape frame_350_shape_group_2_shapes[] = {
        shape(frame_350_shape_group_2_shape_0_horizontal_lines, 46, 15),
        shape(frame_350_shape_group_2_shape_1_horizontal_lines, 73, 8),
        shape(frame_350_shape_group_2_shape_2_horizontal_lines, 115, 13),
        shape(frame_350_shape_group_2_shape_3_horizontal_lines, 129, 15),
        shape(frame_350_shape_group_2_shape_4_horizontal_lines, 131, 13),
        shape(frame_350_shape_group_2_shape_5_horizontal_lines, 132, 15),
        shape(frame_350_shape_group_2_shape_6_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(103, 109),
        horizontal_line(103, 114),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
        horizontal_line(102, 112),
        horizontal_line(101, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(95, 110),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(35, 86),
        horizontal_line(35, 86),
        horizontal_line(35, 86),
        horizontal_line(34, 85),
        horizontal_line(34, 85),
        horizontal_line(34, 85),
        horizontal_line(33, 84),
        horizontal_line(33, 84),
        horizontal_line(33, 84),
        horizontal_line(32, 83),
        horizontal_line(32, 83),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(139, 187),
        horizontal_line(138, 186),
        horizontal_line(83, 86),
        horizontal_line(83, 86),
        horizontal_line(82, 85),
        horizontal_line(82, 85),
        horizontal_line(82, 84),
        horizontal_line(82, 84),
        horizontal_line(84, 84),
        horizontal_line(135, 183),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(134, 179),
        horizontal_line(136, 179),
        horizontal_line(138, 178),
        horizontal_line(141, 178),
        horizontal_line(143, 178),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(22, 71),
        horizontal_line(21, 70),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(237, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(20, 69),
        horizontal_line(20, 60),
        horizontal_line(20, 51),
        horizontal_line(19, 42),
        horizontal_line(19, 32),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(235, 239),
        horizontal_line(236, 239),
        horizontal_line(237, 239),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(18, 66),
        horizontal_line(17, 66),
        horizontal_line(127, 170),
        horizontal_line(127, 169),
        horizontal_line(16, 65),
        horizontal_line(126, 168),
        horizontal_line(125, 168),
        horizontal_line(15, 64),
        horizontal_line(15, 64),
        horizontal_line(14, 63),
        horizontal_line(14, 63),
        horizontal_line(14, 63),
        horizontal_line(13, 62),
        horizontal_line(13, 62),
        horizontal_line(13, 62),
        horizontal_line(12, 61),
        horizontal_line(12, 61),
        horizontal_line(12, 61),
        horizontal_line(11, 60),
        horizontal_line(11, 60),
        horizontal_line(11, 60),
    };

    constexpr const horizontal_line frame_350_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(119, 146),
        horizontal_line(119, 147),
        horizontal_line(118, 149),
        horizontal_line(118, 150),
        horizontal_line(117, 152),
        horizontal_line(117, 153),
        horizontal_line(117, 155),
        horizontal_line(116, 156),
        horizontal_line(116, 158),
        horizontal_line(115, 158),
        horizontal_line(115, 158),
        horizontal_line(115, 158),
    };

    constexpr const shape frame_350_shape_group_3_shapes[] = {
        shape(frame_350_shape_group_3_shape_0_horizontal_lines, 56, 11),
        shape(frame_350_shape_group_3_shape_1_horizontal_lines, 73, 15),
        shape(frame_350_shape_group_3_shape_2_horizontal_lines, 84, 8),
        shape(frame_350_shape_group_3_shape_3_horizontal_lines, 94, 11),
        shape(frame_350_shape_group_3_shape_4_horizontal_lines, 104, 8),
        shape(frame_350_shape_group_3_shape_5_horizontal_lines, 117, 13),
        shape(frame_350_shape_group_3_shape_6_horizontal_lines, 119, 8),
        shape(frame_350_shape_group_3_shape_7_horizontal_lines, 124, 13),
        shape(frame_350_shape_group_3_shape_8_horizontal_lines, 127, 15),
        shape(frame_350_shape_group_3_shape_9_horizontal_lines, 148, 8),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(114, 118),
        horizontal_line(114, 122),
        horizontal_line(113, 126),
        horizontal_line(113, 130),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(130, 134),
        horizontal_line(129, 136),
        horizontal_line(129, 139),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(90, 106),
        horizontal_line(90, 106),
        horizontal_line(89, 106),
        horizontal_line(89, 105),
        horizontal_line(89, 105),
        horizontal_line(88, 105),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(32, 83),
        horizontal_line(31, 82),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(138, 186),
        horizontal_line(138, 185),
        horizontal_line(137, 185),
        horizontal_line(137, 185),
        horizontal_line(136, 184),
        horizontal_line(136, 184),
        horizontal_line(136, 184),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(1, 28),
        horizontal_line(84, 101),
        horizontal_line(84, 100),
        horizontal_line(83, 100),
        horizontal_line(83, 100),
        horizontal_line(83, 99),
        horizontal_line(82, 99),
        horizontal_line(82, 99),
        horizontal_line(82, 98),
        horizontal_line(81, 98),
        horizontal_line(81, 98),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(131, 133),
        horizontal_line(131, 135),
        horizontal_line(130, 137),
        horizontal_line(130, 140),
        horizontal_line(130, 142),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(145, 177),
        horizontal_line(148, 177),
        horizontal_line(150, 176),
        horizontal_line(152, 176),
        horizontal_line(155, 176),
        horizontal_line(157, 175),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(21, 70),
        horizontal_line(21, 69),
        horizontal_line(125, 125),
        horizontal_line(171, 173),
        horizontal_line(173, 173),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(43, 68),
        horizontal_line(33, 68),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(19, 23),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(18, 67),
        horizontal_line(18, 67),
        horizontal_line(127, 170),
        horizontal_line(128, 170),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(126, 169),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(0, 12),
        horizontal_line(0, 10),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(126, 168),
        horizontal_line(127, 167),
        horizontal_line(129, 167),
        horizontal_line(130, 166),
        horizontal_line(132, 166),
        horizontal_line(133, 166),
        horizontal_line(135, 165),
        horizontal_line(136, 165),
        horizontal_line(138, 164),
        horizontal_line(139, 164),
        horizontal_line(141, 164),
        horizontal_line(142, 163),
        horizontal_line(144, 163),
        horizontal_line(145, 162),
        horizontal_line(10, 56),
        horizontal_line(10, 53),
        horizontal_line(10, 49),
        horizontal_line(9, 46),
        horizontal_line(9, 42),
        horizontal_line(9, 39),
    };

    constexpr const horizontal_line frame_350_shape_group_4_shape_14_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(238, 239),
        horizontal_line(237, 239),
        horizontal_line(237, 239),
        horizontal_line(236, 239),
        horizontal_line(236, 239),
    };

    constexpr const shape frame_350_shape_group_4_shapes[] = {
        shape(frame_350_shape_group_4_shape_0_horizontal_lines, 59, 10),
        shape(frame_350_shape_group_4_shape_1_horizontal_lines, 63, 11),
        shape(frame_350_shape_group_4_shape_2_horizontal_lines, 84, 15),
        shape(frame_350_shape_group_4_shape_3_horizontal_lines, 86, 8),
        shape(frame_350_shape_group_4_shape_4_horizontal_lines, 93, 11),
        shape(frame_350_shape_group_4_shape_5_horizontal_lines, 104, 15),
        shape(frame_350_shape_group_4_shape_6_horizontal_lines, 109, 8),
        shape(frame_350_shape_group_4_shape_7_horizontal_lines, 122, 15),
        shape(frame_350_shape_group_4_shape_8_horizontal_lines, 124, 8),
        shape(frame_350_shape_group_4_shape_9_horizontal_lines, 125, 15),
        shape(frame_350_shape_group_4_shape_10_horizontal_lines, 129, 11),
        shape(frame_350_shape_group_4_shape_11_horizontal_lines, 131, 15),
        shape(frame_350_shape_group_4_shape_12_horizontal_lines, 132, 11),
        shape(frame_350_shape_group_4_shape_13_horizontal_lines, 134, 15),
        shape(frame_350_shape_group_4_shape_14_horizontal_lines, 154, 8),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 127),
        horizontal_line(111, 127),
        horizontal_line(110, 127),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(88, 104),
        horizontal_line(87, 104),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(37, 82),
        horizontal_line(48, 82),
        horizontal_line(59, 81),
        horizontal_line(70, 81),
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(13, 29),
        horizontal_line(7, 28),
        horizontal_line(84, 101),
        horizontal_line(119, 131),
        horizontal_line(119, 131),
        horizontal_line(118, 130),
        horizontal_line(118, 130),
        horizontal_line(118, 130),
        horizontal_line(117, 129),
        horizontal_line(117, 129),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(116, 128),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(129, 144),
        horizontal_line(129, 147),
        horizontal_line(129, 149),
        horizontal_line(128, 151),
        horizontal_line(128, 154),
        horizontal_line(128, 156),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(159, 175),
        horizontal_line(162, 175),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(169, 173),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(61, 69),
        horizontal_line(52, 68),
        horizontal_line(126, 172),
        horizontal_line(126, 172),
        horizontal_line(24, 67),
        horizontal_line(127, 171),
        horizontal_line(127, 171),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(171, 178),
        horizontal_line(170, 179),
        horizontal_line(0, 14),
        horizontal_line(169, 181),
        horizontal_line(169, 183),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(166, 191),
        horizontal_line(166, 192),
        horizontal_line(165, 194),
        horizontal_line(165, 195),
        horizontal_line(165, 196),
        horizontal_line(164, 197),
        horizontal_line(164, 199),
        horizontal_line(163, 200),
    };

    constexpr const horizontal_line frame_350_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(147, 162),
        horizontal_line(148, 162),
        horizontal_line(150, 161),
        horizontal_line(151, 161),
        horizontal_line(153, 160),
        horizontal_line(154, 160),
        horizontal_line(8, 36),
        horizontal_line(8, 32),
        horizontal_line(8, 29),
        horizontal_line(7, 25),
        horizontal_line(7, 22),
        horizontal_line(7, 19),
    };

    constexpr const shape frame_350_shape_group_5_shapes[] = {
        shape(frame_350_shape_group_5_shape_0_horizontal_lines, 63, 10),
        shape(frame_350_shape_group_5_shape_1_horizontal_lines, 73, 11),
        shape(frame_350_shape_group_5_shape_2_horizontal_lines, 86, 15),
        shape(frame_350_shape_group_5_shape_3_horizontal_lines, 91, 11),
        shape(frame_350_shape_group_5_shape_4_horizontal_lines, 109, 15),
        shape(frame_350_shape_group_5_shape_5_horizontal_lines, 115, 8),
        shape(frame_350_shape_group_5_shape_6_horizontal_lines, 120, 15),
        shape(frame_350_shape_group_5_shape_7_horizontal_lines, 127, 11),
        shape(frame_350_shape_group_5_shape_8_horizontal_lines, 148, 15),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(109, 126),
        horizontal_line(109, 125),
        horizontal_line(108, 125),
        horizontal_line(108, 124),
        horizontal_line(108, 124),
        horizontal_line(107, 124),
        horizontal_line(107, 123),
        horizontal_line(107, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(123, 135),
        horizontal_line(122, 135),
        horizontal_line(87, 104),
        horizontal_line(87, 103),
        horizontal_line(86, 103),
        horizontal_line(25, 29),
        horizontal_line(19, 29),
        horizontal_line(85, 102),
        horizontal_line(85, 101),
        horizontal_line(119, 132),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(102, 118),
        horizontal_line(101, 118),
        horizontal_line(101, 117),
        horizontal_line(101, 117),
        horizontal_line(100, 117),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(81, 97),
        horizontal_line(80, 97),
        horizontal_line(80, 97),
        horizontal_line(80, 96),
        horizontal_line(79, 96),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(127, 158),
        horizontal_line(127, 161),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(164, 174),
        horizontal_line(166, 174),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(126, 168),
        horizontal_line(125, 170),
        horizontal_line(125, 172),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 18),
        horizontal_line(0, 18),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(126, 172),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(171, 175),
        horizontal_line(171, 176),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(67, 83),
        horizontal_line(66, 82),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(170, 180),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(66, 82),
        horizontal_line(65, 81),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(169, 184),
        horizontal_line(168, 185),
        horizontal_line(168, 186),
        horizontal_line(167, 187),
        horizontal_line(167, 189),
        horizontal_line(167, 190),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(63, 79),
        horizontal_line(63, 79),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(62, 78),
        horizontal_line(61, 77),
        horizontal_line(61, 77),
        horizontal_line(61, 77),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(163, 201),
        horizontal_line(163, 202),
        horizontal_line(162, 203),
        horizontal_line(162, 205),
        horizontal_line(161, 206),
        horizontal_line(161, 207),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(156, 160),
        horizontal_line(157, 159),
        horizontal_line(159, 159),
    };

    constexpr const horizontal_line frame_350_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(159, 212),
        horizontal_line(159, 213),
        horizontal_line(159, 215),
    };

    constexpr const shape frame_350_shape_group_6_shapes[] = {
        shape(frame_350_shape_group_6_shape_0_horizontal_lines, 73, 10),
        shape(frame_350_shape_group_6_shape_1_horizontal_lines, 84, 11),
        shape(frame_350_shape_group_6_shape_2_horizontal_lines, 94, 10),
        shape(frame_350_shape_group_6_shape_3_horizontal_lines, 104, 11),
        shape(frame_350_shape_group_6_shape_4_horizontal_lines, 115, 15),
        shape(frame_350_shape_group_6_shape_5_horizontal_lines, 117, 8),
        shape(frame_350_shape_group_6_shape_6_horizontal_lines, 119, 15),
        shape(frame_350_shape_group_6_shape_7_horizontal_lines, 122, 11),
        shape(frame_350_shape_group_6_shape_8_horizontal_lines, 124, 15),
        shape(frame_350_shape_group_6_shape_9_horizontal_lines, 125, 11),
        shape(frame_350_shape_group_6_shape_10_horizontal_lines, 129, 10),
        shape(frame_350_shape_group_6_shape_11_horizontal_lines, 131, 11),
        shape(frame_350_shape_group_6_shape_12_horizontal_lines, 132, 10),
        shape(frame_350_shape_group_6_shape_13_horizontal_lines, 134, 11),
        shape(frame_350_shape_group_6_shape_14_horizontal_lines, 140, 10),
        shape(frame_350_shape_group_6_shape_15_horizontal_lines, 148, 11),
        shape(frame_350_shape_group_6_shape_16_horizontal_lines, 154, 15),
        shape(frame_350_shape_group_6_shape_17_horizontal_lines, 157, 11),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(140, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(138, 140),
        horizontal_line(138, 139),
        horizontal_line(137, 139),
        horizontal_line(137, 138),
        horizontal_line(137, 138),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(105, 122),
        horizontal_line(105, 121),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(122, 134),
        horizontal_line(122, 134),
        horizontal_line(121, 134),
        horizontal_line(86, 103),
        horizontal_line(85, 102),
        horizontal_line(120, 132),
        horizontal_line(120, 132),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(102, 118),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(80, 83),
        horizontal_line(80, 83),
        horizontal_line(79, 82),
        horizontal_line(79, 82),
        horizontal_line(78, 82),
        horizontal_line(78, 81),
        horizontal_line(78, 81),
        horizontal_line(77, 81),
        horizontal_line(77, 80),
        horizontal_line(77, 80),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(115, 127),
        horizontal_line(115, 127),
        horizontal_line(115, 126),
        horizontal_line(114, 126),
        horizontal_line(114, 126),
        horizontal_line(84, 95),
        horizontal_line(84, 95),
        horizontal_line(83, 95),
        horizontal_line(83, 94),
        horizontal_line(83, 94),
        horizontal_line(82, 94),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(127, 163),
        horizontal_line(126, 165),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(90, 91),
        horizontal_line(109, 117),
        horizontal_line(0, 18),
        horizontal_line(108, 111),
        horizontal_line(172, 174),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(67, 83),
        horizontal_line(67, 83),
        horizontal_line(124, 126),
        horizontal_line(120, 126),
        horizontal_line(66, 82),
        horizontal_line(112, 125),
        horizontal_line(111, 124),
        horizontal_line(65, 81),
        horizontal_line(65, 81),
        horizontal_line(64, 80),
        horizontal_line(64, 80),
        horizontal_line(64, 80),
        horizontal_line(63, 79),
        horizontal_line(108, 121),
        horizontal_line(108, 121),
        horizontal_line(107, 121),
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(106, 119),
        horizontal_line(106, 119),
        horizontal_line(105, 119),
        horizontal_line(60, 76),
        horizontal_line(60, 76),
        horizontal_line(60, 76),
        horizontal_line(59, 75),
        horizontal_line(59, 75),
        horizontal_line(59, 75),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(161, 208),
        horizontal_line(160, 210),
        horizontal_line(160, 211),
    };

    constexpr const horizontal_line frame_350_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(57, 73),
        horizontal_line(57, 73),
        horizontal_line(57, 73),
    };

    constexpr const shape frame_350_shape_group_7_shapes[] = {
        shape(frame_350_shape_group_7_shape_0_horizontal_lines, 74, 1),
        shape(frame_350_shape_group_7_shape_1_horizontal_lines, 84, 10),
        shape(frame_350_shape_group_7_shape_2_horizontal_lines, 86, 11),
        shape(frame_350_shape_group_7_shape_3_horizontal_lines, 93, 10),
        shape(frame_350_shape_group_7_shape_4_horizontal_lines, 94, 1),
        shape(frame_350_shape_group_7_shape_5_horizontal_lines, 104, 11),
        shape(frame_350_shape_group_7_shape_6_horizontal_lines, 117, 15),
        shape(frame_350_shape_group_7_shape_7_horizontal_lines, 119, 11),
        shape(frame_350_shape_group_7_shape_8_horizontal_lines, 127, 10),
        shape(frame_350_shape_group_7_shape_9_horizontal_lines, 154, 11),
        shape(frame_350_shape_group_7_shape_10_horizontal_lines, 157, 10),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(136, 138),
        horizontal_line(136, 137),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(105, 121),
        horizontal_line(104, 121),
        horizontal_line(104, 120),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(121, 133),
        horizontal_line(120, 133),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(103, 119),
        horizontal_line(102, 119),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(80, 83),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 132),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(98, 114),
        horizontal_line(98, 114),
        horizontal_line(98, 114),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(114, 125),
        horizontal_line(113, 125),
        horizontal_line(113, 125),
        horizontal_line(113, 124),
        horizontal_line(112, 124),
        horizontal_line(112, 123),
        horizontal_line(82, 93),
        horizontal_line(83, 93),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(86, 92),
        horizontal_line(88, 92),
        horizontal_line(89, 91),
        horizontal_line(109, 117),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(69, 79),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(108, 116),
        horizontal_line(172, 173),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(68, 83),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(88, 107),
        horizontal_line(93, 108),
        horizontal_line(97, 109),
        horizontal_line(102, 109),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(116, 125),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(111, 111),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(82, 110),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(111, 124),
        horizontal_line(110, 124),
        horizontal_line(110, 123),
        horizontal_line(109, 123),
        horizontal_line(109, 122),
        horizontal_line(109, 122),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(80, 107),
        horizontal_line(80, 107),
        horizontal_line(79, 106),
        horizontal_line(79, 106),
        horizontal_line(79, 106),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 104),
    };

    constexpr const horizontal_line frame_350_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(103, 116),
        horizontal_line(103, 116),
        horizontal_line(58, 74),
        horizontal_line(58, 74),
        horizontal_line(58, 74),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
    };

    constexpr const shape frame_350_shape_group_8_shapes[] = {
        shape(frame_350_shape_group_8_shape_0_horizontal_lines, 84, 1),
        shape(frame_350_shape_group_8_shape_1_horizontal_lines, 86, 10),
        shape(frame_350_shape_group_8_shape_2_horizontal_lines, 89, 11),
        shape(frame_350_shape_group_8_shape_3_horizontal_lines, 91, 10),
        shape(frame_350_shape_group_8_shape_4_horizontal_lines, 93, 1),
        shape(frame_350_shape_group_8_shape_5_horizontal_lines, 104, 10),
        shape(frame_350_shape_group_8_shape_6_horizontal_lines, 109, 11),
        shape(frame_350_shape_group_8_shape_7_horizontal_lines, 123, 10),
        shape(frame_350_shape_group_8_shape_8_horizontal_lines, 124, 11),
        shape(frame_350_shape_group_8_shape_9_horizontal_lines, 126, 10),
        shape(frame_350_shape_group_8_shape_10_horizontal_lines, 127, 1),
        shape(frame_350_shape_group_8_shape_11_horizontal_lines, 131, 10),
        shape(frame_350_shape_group_8_shape_12_horizontal_lines, 132, 1),
        shape(frame_350_shape_group_8_shape_13_horizontal_lines, 133, 3),
        shape(frame_350_shape_group_8_shape_14_horizontal_lines, 134, 10),
        shape(frame_350_shape_group_8_shape_15_horizontal_lines, 140, 3),
        shape(frame_350_shape_group_8_shape_16_horizontal_lines, 148, 10),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(104, 120),
        horizontal_line(103, 119),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(81, 81),
        horizontal_line(81, 83),
        horizontal_line(133, 134),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(76, 80),
        horizontal_line(76, 79),
        horizontal_line(75, 79),
        horizontal_line(75, 79),
        horizontal_line(75, 78),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(96, 113),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(95, 112),
        horizontal_line(95, 111),
        horizontal_line(95, 111),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(111, 123),
        horizontal_line(111, 123),
        horizontal_line(84, 93),
        horizontal_line(85, 92),
        horizontal_line(110, 118),
        horizontal_line(110, 118),
        horizontal_line(109, 118),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(69, 78),
        horizontal_line(92, 108),
        horizontal_line(68, 80),
        horizontal_line(68, 81),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(85, 107),
        horizontal_line(125, 126),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(84, 92),
        horizontal_line(84, 96),
        horizontal_line(83, 101),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(106, 110),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(83, 110),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(82, 110),
        horizontal_line(82, 109),
        horizontal_line(81, 109),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(80, 108),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(59, 59),
        horizontal_line(58, 58),
        horizontal_line(58, 58),
        horizontal_line(58, 58),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(103, 116),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
    };

    constexpr const horizontal_line frame_350_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(56, 56),
        horizontal_line(56, 56),
    };

    constexpr const shape frame_350_shape_group_9_shapes[] = {
        shape(frame_350_shape_group_9_shape_0_horizontal_lines, 86, 1),
        shape(frame_350_shape_group_9_shape_1_horizontal_lines, 89, 10),
        shape(frame_350_shape_group_9_shape_2_horizontal_lines, 91, 1),
        shape(frame_350_shape_group_9_shape_3_horizontal_lines, 104, 1),
        shape(frame_350_shape_group_9_shape_4_horizontal_lines, 109, 10),
        shape(frame_350_shape_group_9_shape_5_horizontal_lines, 115, 11),
        shape(frame_350_shape_group_9_shape_6_horizontal_lines, 122, 10),
        shape(frame_350_shape_group_9_shape_7_horizontal_lines, 126, 1),
        shape(frame_350_shape_group_9_shape_8_horizontal_lines, 128, 3),
        shape(frame_350_shape_group_9_shape_9_horizontal_lines, 131, 1),
        shape(frame_350_shape_group_9_shape_10_horizontal_lines, 132, 3),
        shape(frame_350_shape_group_9_shape_11_horizontal_lines, 134, 3),
        shape(frame_350_shape_group_9_shape_12_horizontal_lines, 148, 1),
        shape(frame_350_shape_group_9_shape_13_horizontal_lines, 154, 10),
        shape(frame_350_shape_group_9_shape_14_horizontal_lines, 157, 1),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(134, 136),
        horizontal_line(134, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(74, 79),
        horizontal_line(74, 82),
        horizontal_line(74, 82),
        horizontal_line(73, 82),
        horizontal_line(73, 82),
        horizontal_line(72, 81),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(94, 110),
        horizontal_line(71, 72),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(111, 119),
        horizontal_line(110, 119),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(70, 75),
        horizontal_line(70, 76),
        horizontal_line(69, 77),
        horizontal_line(92, 108),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(118, 125),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(97, 107),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(84, 87),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(83, 105),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 103),
        horizontal_line(76, 103),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(57, 57),
        horizontal_line(57, 57),
        horizontal_line(57, 57),
    };

    constexpr const horizontal_line frame_350_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(74, 100),
        horizontal_line(74, 100),
        horizontal_line(74, 100),
    };

    constexpr const shape frame_350_shape_group_10_shapes[] = {
        shape(frame_350_shape_group_10_shape_0_horizontal_lines, 89, 1),
        shape(frame_350_shape_group_10_shape_1_horizontal_lines, 109, 1),
        shape(frame_350_shape_group_10_shape_2_horizontal_lines, 115, 10),
        shape(frame_350_shape_group_10_shape_3_horizontal_lines, 117, 11),
        shape(frame_350_shape_group_10_shape_4_horizontal_lines, 119, 10),
        shape(frame_350_shape_group_10_shape_5_horizontal_lines, 123, 1),
        shape(frame_350_shape_group_10_shape_6_horizontal_lines, 124, 10),
        shape(frame_350_shape_group_10_shape_7_horizontal_lines, 126, 1),
        shape(frame_350_shape_group_10_shape_8_horizontal_lines, 127, 3),
        shape(frame_350_shape_group_10_shape_9_horizontal_lines, 131, 3),
        shape(frame_350_shape_group_10_shape_10_horizontal_lines, 148, 3),
        shape(frame_350_shape_group_10_shape_11_horizontal_lines, 154, 1),
        shape(frame_350_shape_group_10_shape_12_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_350_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(73, 81),
    };

    constexpr const horizontal_line frame_350_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(94, 110),
    };

    constexpr const horizontal_line frame_350_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(121, 122),
    };

    constexpr const horizontal_line frame_350_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(70, 74),
        horizontal_line(93, 109),
        horizontal_line(93, 109),
        horizontal_line(92, 108),
    };

    constexpr const horizontal_line frame_350_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(118, 125),
    };

    constexpr const horizontal_line frame_350_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(89, 96),
        horizontal_line(87, 101),
    };

    constexpr const horizontal_line frame_350_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(75, 102),
        horizontal_line(75, 101),
        horizontal_line(75, 101),
    };

    constexpr const shape frame_350_shape_group_11_shapes[] = {
        shape(frame_350_shape_group_11_shape_0_horizontal_lines, 115, 1),
        shape(frame_350_shape_group_11_shape_1_horizontal_lines, 116, 10),
        shape(frame_350_shape_group_11_shape_2_horizontal_lines, 117, 11),
        shape(frame_350_shape_group_11_shape_3_horizontal_lines, 118, 10),
        shape(frame_350_shape_group_11_shape_4_horizontal_lines, 122, 1),
        shape(frame_350_shape_group_11_shape_5_horizontal_lines, 124, 1),
        shape(frame_350_shape_group_11_shape_6_horizontal_lines, 154, 3),
    };

    constexpr const horizontal_line frame_350_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(71, 73),
        horizontal_line(93, 109),
    };

    constexpr const horizontal_line frame_350_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(119, 124),
        horizontal_line(119, 124),
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_350_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(118, 125),
        horizontal_line(120, 126),
    };

    constexpr const shape frame_350_shape_group_12_shapes[] = {
        shape(frame_350_shape_group_12_shape_0_horizontal_lines, 117, 10),
        shape(frame_350_shape_group_12_shape_1_horizontal_lines, 119, 1),
        shape(frame_350_shape_group_12_shape_2_horizontal_lines, 124, 1),
    };

    constexpr const horizontal_line frame_350_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(94, 110),
    };

    constexpr const shape frame_350_shape_group_13_shapes[] = {
        shape(frame_350_shape_group_13_shape_0_horizontal_lines, 117, 10),
    };

    constexpr const shape_group frame_350_shape_groups[] = {
        shape_group(frame_350_shape_group_0_shapes),
        shape_group(frame_350_shape_group_1_shapes),
        shape_group(frame_350_shape_group_2_shapes),
        shape_group(frame_350_shape_group_3_shapes),
        shape_group(frame_350_shape_group_4_shapes),
        shape_group(frame_350_shape_group_5_shapes),
        shape_group(frame_350_shape_group_6_shapes),
        shape_group(frame_350_shape_group_7_shapes),
        shape_group(frame_350_shape_group_8_shapes),
        shape_group(frame_350_shape_group_9_shapes),
        shape_group(frame_350_shape_group_10_shapes),
        shape_group(frame_350_shape_group_11_shapes),
        shape_group(frame_350_shape_group_12_shapes),
        shape_group(frame_350_shape_group_13_shapes),
    };

    constexpr const frame frame_350_impl(frame_350_colors, frame_350_shape_groups);
} 

const frame& frame_350()
{
    return frame_350_impl;
}

namespace
{
    constexpr const bn::color frame_351_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_351_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 27),
        horizontal_line(0, 22),
        horizontal_line(0, 16),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
        horizontal_line(180, 239),
        horizontal_line(75, 75),
        horizontal_line(75, 84),
        horizontal_line(76, 84),
        horizontal_line(77, 85),
        horizontal_line(77, 86),
        horizontal_line(78, 87),
        horizontal_line(79, 88),
        horizontal_line(79, 89),
        horizontal_line(80, 89),
        horizontal_line(81, 85),
        horizontal_line(176, 238),
        horizontal_line(176, 238),
        horizontal_line(177, 239),
        horizontal_line(106, 117),
        horizontal_line(106, 119),
        horizontal_line(106, 122),
        horizontal_line(106, 124),
        horizontal_line(19, 19),
        horizontal_line(17, 19),
        horizontal_line(15, 18),
        horizontal_line(13, 18),
        horizontal_line(11, 18),
        horizontal_line(10, 17),
        horizontal_line(8, 17),
        horizontal_line(6, 17),
        horizontal_line(4, 16),
        horizontal_line(2, 16),
        horizontal_line(1, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
        horizontal_line(0, 9),
    };

    constexpr const shape frame_351_shape_group_0_shapes[] = {
        shape(frame_351_shape_group_0_shape_0_horizontal_lines, 24, 13),
    };

    constexpr const horizontal_line frame_351_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(47, 50),
        horizontal_line(50, 53),
        horizontal_line(53, 56),
        horizontal_line(56, 59),
        horizontal_line(59, 62),
        horizontal_line(62, 65),
        horizontal_line(65, 68),
        horizontal_line(69, 71),
        horizontal_line(72, 74),
        horizontal_line(75, 77),
        horizontal_line(78, 80),
        horizontal_line(81, 83),
        horizontal_line(84, 86),
        horizontal_line(87, 89),
        horizontal_line(90, 92),
        horizontal_line(94, 95),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 96),
        horizontal_line(93, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 95),
        horizontal_line(92, 95),
        horizontal_line(91, 95),
        horizontal_line(91, 94),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
        horizontal_line(90, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 92),
        horizontal_line(88, 92),
        horizontal_line(88, 91),
        horizontal_line(88, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 90),
        horizontal_line(86, 90),
    };

    constexpr const horizontal_line frame_351_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(192, 192),
        horizontal_line(191, 198),
        horizontal_line(191, 205),
        horizontal_line(190, 212),
        horizontal_line(190, 218),
        horizontal_line(190, 225),
        horizontal_line(189, 232),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
    };

    constexpr const horizontal_line frame_351_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(31, 81),
        horizontal_line(31, 81),
        horizontal_line(31, 80),
        horizontal_line(30, 80),
        horizontal_line(30, 80),
        horizontal_line(30, 79),
        horizontal_line(29, 79),
        horizontal_line(29, 79),
        horizontal_line(29, 78),
        horizontal_line(29, 78),
        horizontal_line(28, 78),
        horizontal_line(28, 77),
        horizontal_line(28, 77),
        horizontal_line(27, 76),
        horizontal_line(27, 76),
        horizontal_line(27, 76),
        horizontal_line(26, 75),
        horizontal_line(26, 75),
        horizontal_line(26, 75),
    };

    constexpr const horizontal_line frame_351_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
        horizontal_line(178, 239),
        horizontal_line(121, 122),
        horizontal_line(121, 123),
        horizontal_line(121, 125),
        horizontal_line(125, 126),
        horizontal_line(176, 238),
        horizontal_line(238, 239),
        horizontal_line(238, 239),
        horizontal_line(239, 239),
        horizontal_line(178, 239),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(182, 239),
        horizontal_line(106, 127),
        horizontal_line(106, 116),
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(218, 239),
    };

    constexpr const shape frame_351_shape_group_1_shapes[] = {
        shape(frame_351_shape_group_1_shape_0_horizontal_lines, 45, 8),
        shape(frame_351_shape_group_1_shape_1_horizontal_lines, 83, 13),
        shape(frame_351_shape_group_1_shape_2_horizontal_lines, 94, 8),
        shape(frame_351_shape_group_1_shape_3_horizontal_lines, 113, 13),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(47, 49),
        horizontal_line(47, 52),
        horizontal_line(46, 55),
        horizontal_line(46, 58),
        horizontal_line(46, 61),
        horizontal_line(45, 64),
        horizontal_line(45, 68),
        horizontal_line(45, 71),
        horizontal_line(44, 74),
        horizontal_line(44, 77),
        horizontal_line(44, 80),
        horizontal_line(43, 83),
        horizontal_line(43, 86),
        horizontal_line(43, 89),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(42, 93),
        horizontal_line(41, 92),
        horizontal_line(41, 92),
        horizontal_line(41, 92),
        horizontal_line(40, 91),
        horizontal_line(40, 91),
        horizontal_line(40, 91),
        horizontal_line(39, 90),
        horizontal_line(39, 90),
        horizontal_line(39, 89),
        horizontal_line(38, 89),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(146, 147),
        horizontal_line(145, 152),
        horizontal_line(145, 157),
        horizontal_line(144, 162),
        horizontal_line(144, 167),
        horizontal_line(144, 172),
        horizontal_line(143, 177),
        horizontal_line(143, 182),
        horizontal_line(142, 187),
        horizontal_line(86, 90),
        horizontal_line(86, 89),
        horizontal_line(85, 89),
        horizontal_line(34, 40),
        horizontal_line(34, 50),
        horizontal_line(33, 61),
        horizontal_line(33, 71),
        horizontal_line(33, 82),
        horizontal_line(32, 82),
        horizontal_line(32, 82),
        horizontal_line(32, 81),
        horizontal_line(138, 186),
        horizontal_line(138, 186),
        horizontal_line(137, 185),
        horizontal_line(137, 185),
        horizontal_line(136, 185),
        horizontal_line(136, 184),
        horizontal_line(136, 184),
        horizontal_line(135, 183),
        horizontal_line(135, 183),
        horizontal_line(135, 183),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(127, 130),
        horizontal_line(25, 74),
        horizontal_line(25, 73),
        horizontal_line(25, 73),
        horizontal_line(25, 72),
        horizontal_line(24, 72),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(178, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(177, 239),
        horizontal_line(238, 239),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(22, 27),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(22, 69),
        horizontal_line(22, 69),
        horizontal_line(21, 69),
        horizontal_line(21, 68),
        horizontal_line(21, 68),
        horizontal_line(21, 68),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(184, 239),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(19, 66),
    };

    constexpr const horizontal_line frame_351_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(126, 128),
        horizontal_line(125, 129),
        horizontal_line(125, 130),
        horizontal_line(125, 132),
        horizontal_line(124, 133),
        horizontal_line(124, 135),
        horizontal_line(123, 136),
        horizontal_line(123, 137),
        horizontal_line(123, 139),
        horizontal_line(122, 140),
        horizontal_line(122, 142),
        horizontal_line(121, 143),
        horizontal_line(121, 144),
        horizontal_line(61, 61),
        horizontal_line(57, 61),
        horizontal_line(53, 60),
        horizontal_line(49, 60),
        horizontal_line(46, 59),
        horizontal_line(42, 59),
        horizontal_line(38, 59),
        horizontal_line(34, 58),
        horizontal_line(31, 58),
        horizontal_line(27, 58),
        horizontal_line(23, 57),
        horizontal_line(19, 57),
        horizontal_line(16, 57),
    };

    constexpr const shape frame_351_shape_group_2_shapes[] = {
        shape(frame_351_shape_group_2_shape_0_horizontal_lines, 46, 15),
        shape(frame_351_shape_group_2_shape_1_horizontal_lines, 73, 8),
        shape(frame_351_shape_group_2_shape_2_horizontal_lines, 118, 13),
        shape(frame_351_shape_group_2_shape_3_horizontal_lines, 123, 8),
        shape(frame_351_shape_group_2_shape_4_horizontal_lines, 124, 15),
        shape(frame_351_shape_group_2_shape_5_horizontal_lines, 130, 13),
        shape(frame_351_shape_group_2_shape_6_horizontal_lines, 132, 15),
        shape(frame_351_shape_group_2_shape_7_horizontal_lines, 133, 8),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(106, 106),
        horizontal_line(105, 112),
        horizontal_line(105, 111),
        horizontal_line(104, 111),
        horizontal_line(104, 110),
        horizontal_line(104, 110),
        horizontal_line(103, 110),
        horizontal_line(98, 101),
        horizontal_line(98, 109),
        horizontal_line(97, 109),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(96, 108),
        horizontal_line(96, 107),
        horizontal_line(96, 107),
        horizontal_line(95, 107),
        horizontal_line(95, 106),
        horizontal_line(95, 106),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(38, 89),
        horizontal_line(38, 88),
        horizontal_line(37, 88),
        horizontal_line(37, 88),
        horizontal_line(37, 87),
        horizontal_line(36, 87),
        horizontal_line(36, 87),
        horizontal_line(36, 86),
        horizontal_line(35, 86),
        horizontal_line(35, 85),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(142, 191),
        horizontal_line(142, 190),
        horizontal_line(141, 190),
        horizontal_line(85, 89),
        horizontal_line(85, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 87),
        horizontal_line(85, 87),
        horizontal_line(87, 87),
        horizontal_line(138, 187),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(137, 182),
        horizontal_line(139, 182),
        horizontal_line(141, 182),
        horizontal_line(144, 181),
        horizontal_line(146, 181),
        horizontal_line(148, 180),
        horizontal_line(151, 180),
        horizontal_line(153, 180),
        horizontal_line(155, 179),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 129),
        horizontal_line(24, 72),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(239, 239),
        horizontal_line(239, 239),
        horizontal_line(239, 239),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(23, 36),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(28, 70),
        horizontal_line(128, 175),
        horizontal_line(128, 174),
        horizontal_line(128, 174),
        horizontal_line(128, 173),
        horizontal_line(128, 173),
        horizontal_line(128, 173),
        horizontal_line(20, 67),
        horizontal_line(20, 67),
        horizontal_line(127, 171),
        horizontal_line(19, 66),
        horizontal_line(19, 66),
        horizontal_line(18, 65),
        horizontal_line(18, 65),
        horizontal_line(18, 65),
        horizontal_line(17, 64),
        horizontal_line(17, 64),
        horizontal_line(16, 64),
        horizontal_line(16, 63),
        horizontal_line(16, 63),
        horizontal_line(15, 62),
        horizontal_line(15, 62),
        horizontal_line(15, 62),
        horizontal_line(14, 61),
    };

    constexpr const horizontal_line frame_351_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(120, 146),
        horizontal_line(120, 147),
        horizontal_line(120, 149),
        horizontal_line(119, 150),
        horizontal_line(119, 151),
        horizontal_line(118, 153),
        horizontal_line(118, 154),
        horizontal_line(118, 156),
        horizontal_line(117, 157),
        horizontal_line(117, 158),
        horizontal_line(116, 160),
        horizontal_line(116, 161),
        horizontal_line(116, 161),
    };

    constexpr const shape frame_351_shape_group_3_shapes[] = {
        shape(frame_351_shape_group_3_shape_0_horizontal_lines, 55, 11),
        shape(frame_351_shape_group_3_shape_1_horizontal_lines, 73, 15),
        shape(frame_351_shape_group_3_shape_2_horizontal_lines, 83, 8),
        shape(frame_351_shape_group_3_shape_3_horizontal_lines, 94, 11),
        shape(frame_351_shape_group_3_shape_4_horizontal_lines, 104, 8),
        shape(frame_351_shape_group_3_shape_5_horizontal_lines, 119, 13),
        shape(frame_351_shape_group_3_shape_6_horizontal_lines, 122, 8),
        shape(frame_351_shape_group_3_shape_7_horizontal_lines, 123, 15),
        shape(frame_351_shape_group_3_shape_8_horizontal_lines, 147, 8),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(113, 113),
        horizontal_line(112, 117),
        horizontal_line(112, 121),
        horizontal_line(111, 125),
        horizontal_line(111, 129),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(103, 109),
        horizontal_line(128, 138),
        horizontal_line(128, 141),
        horizontal_line(128, 140),
        horizontal_line(127, 140),
        horizontal_line(127, 139),
        horizontal_line(127, 139),
        horizontal_line(126, 139),
        horizontal_line(126, 138),
        horizontal_line(126, 138),
        horizontal_line(125, 138),
        horizontal_line(94, 105),
        horizontal_line(94, 105),
        horizontal_line(94, 105),
        horizontal_line(93, 104),
        horizontal_line(93, 104),
        horizontal_line(92, 104),
        horizontal_line(92, 103),
        horizontal_line(92, 103),
        horizontal_line(91, 103),
        horizontal_line(91, 102),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(35, 85),
        horizontal_line(34, 85),
        horizontal_line(34, 84),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(141, 189),
        horizontal_line(141, 189),
        horizontal_line(140, 189),
        horizontal_line(140, 188),
        horizontal_line(139, 188),
        horizontal_line(139, 187),
        horizontal_line(139, 187),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(1, 31),
        horizontal_line(87, 98),
        horizontal_line(87, 98),
        horizontal_line(86, 97),
        horizontal_line(86, 97),
        horizontal_line(86, 97),
        horizontal_line(85, 96),
        horizontal_line(85, 96),
        horizontal_line(85, 96),
        horizontal_line(84, 95),
        horizontal_line(84, 95),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(134, 136),
        horizontal_line(134, 138),
        horizontal_line(133, 140),
        horizontal_line(133, 143),
        horizontal_line(133, 145),
        horizontal_line(132, 147),
        horizontal_line(132, 150),
        horizontal_line(132, 152),
        horizontal_line(131, 154),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(158, 179),
        horizontal_line(160, 178),
        horizontal_line(162, 178),
        horizontal_line(165, 178),
        horizontal_line(167, 177),
        horizontal_line(125, 128),
        horizontal_line(24, 63),
        horizontal_line(23, 54),
        horizontal_line(23, 45),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(37, 70),
        horizontal_line(128, 175),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(128, 172),
        horizontal_line(127, 172),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_351_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(127, 171),
        horizontal_line(129, 171),
        horizontal_line(130, 170),
        horizontal_line(131, 170),
        horizontal_line(133, 169),
        horizontal_line(134, 169),
        horizontal_line(136, 169),
        horizontal_line(137, 168),
        horizontal_line(138, 168),
        horizontal_line(140, 167),
        horizontal_line(141, 167),
        horizontal_line(143, 167),
        horizontal_line(144, 166),
        horizontal_line(145, 166),
        horizontal_line(14, 60),
        horizontal_line(14, 56),
        horizontal_line(13, 52),
        horizontal_line(13, 48),
        horizontal_line(12, 45),
        horizontal_line(12, 41),
        horizontal_line(12, 37),
        horizontal_line(11, 33),
        horizontal_line(11, 30),
        horizontal_line(11, 26),
        horizontal_line(10, 22),
        horizontal_line(10, 18),
        horizontal_line(10, 15),
    };

    constexpr const shape frame_351_shape_group_4_shapes[] = {
        shape(frame_351_shape_group_4_shape_0_horizontal_lines, 56, 10),
        shape(frame_351_shape_group_4_shape_1_horizontal_lines, 61, 11),
        shape(frame_351_shape_group_4_shape_2_horizontal_lines, 83, 15),
        shape(frame_351_shape_group_4_shape_3_horizontal_lines, 86, 8),
        shape(frame_351_shape_group_4_shape_4_horizontal_lines, 93, 11),
        shape(frame_351_shape_group_4_shape_5_horizontal_lines, 104, 15),
        shape(frame_351_shape_group_4_shape_6_horizontal_lines, 113, 8),
        shape(frame_351_shape_group_4_shape_7_horizontal_lines, 122, 15),
        shape(frame_351_shape_group_4_shape_8_horizontal_lines, 124, 11),
        shape(frame_351_shape_group_4_shape_9_horizontal_lines, 130, 15),
        shape(frame_351_shape_group_4_shape_10_horizontal_lines, 132, 11),
        shape(frame_351_shape_group_4_shape_11_horizontal_lines, 133, 15),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(111, 128),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(129, 135),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(110, 127),
        horizontal_line(110, 127),
        horizontal_line(109, 127),
        horizontal_line(109, 126),
        horizontal_line(109, 126),
        horizontal_line(108, 126),
        horizontal_line(108, 125),
        horizontal_line(108, 125),
        horizontal_line(107, 125),
        horizontal_line(107, 124),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(125, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(123, 139),
        horizontal_line(122, 139),
        horizontal_line(122, 138),
        horizontal_line(122, 138),
        horizontal_line(91, 102),
        horizontal_line(90, 102),
        horizontal_line(90, 101),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(41, 84),
        horizontal_line(51, 84),
        horizontal_line(62, 83),
        horizontal_line(72, 83),
        horizontal_line(83, 83),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(12, 31),
        horizontal_line(6, 31),
        horizontal_line(87, 98),
        horizontal_line(117, 133),
        horizontal_line(117, 133),
        horizontal_line(116, 132),
        horizontal_line(116, 132),
        horizontal_line(116, 127),
        horizontal_line(115, 131),
        horizontal_line(115, 131),
        horizontal_line(115, 126),
        horizontal_line(114, 130),
        horizontal_line(114, 125),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(131, 157),
        horizontal_line(131, 159),
        horizontal_line(130, 161),
        horizontal_line(130, 164),
        horizontal_line(130, 166),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(169, 177),
        horizontal_line(125, 128),
        horizontal_line(126, 127),
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(129, 175),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(106, 117),
        horizontal_line(106, 117),
        horizontal_line(175, 177),
        horizontal_line(174, 178),
        horizontal_line(174, 179),
        horizontal_line(174, 181),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(172, 184),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(169, 195),
        horizontal_line(168, 196),
        horizontal_line(168, 197),
        horizontal_line(168, 199),
        horizontal_line(167, 200),
        horizontal_line(167, 201),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(147, 165),
        horizontal_line(148, 165),
        horizontal_line(150, 165),
        horizontal_line(151, 164),
        horizontal_line(152, 164),
        horizontal_line(154, 163),
        horizontal_line(155, 163),
        horizontal_line(157, 163),
        horizontal_line(158, 162),
        horizontal_line(159, 162),
        horizontal_line(161, 161),
    };

    constexpr const horizontal_line frame_351_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(162, 215),
        horizontal_line(162, 217),
    };

    constexpr const shape frame_351_shape_group_5_shapes[] = {
        shape(frame_351_shape_group_5_shape_0_horizontal_lines, 61, 10),
        shape(frame_351_shape_group_5_shape_1_horizontal_lines, 62, 11),
        shape(frame_351_shape_group_5_shape_2_horizontal_lines, 63, 10),
        shape(frame_351_shape_group_5_shape_3_horizontal_lines, 73, 11),
        shape(frame_351_shape_group_5_shape_4_horizontal_lines, 86, 15),
        shape(frame_351_shape_group_5_shape_5_horizontal_lines, 91, 11),
        shape(frame_351_shape_group_5_shape_6_horizontal_lines, 113, 15),
        shape(frame_351_shape_group_5_shape_7_horizontal_lines, 118, 8),
        shape(frame_351_shape_group_5_shape_8_horizontal_lines, 122, 15),
        shape(frame_351_shape_group_5_shape_9_horizontal_lines, 123, 11),
        shape(frame_351_shape_group_5_shape_10_horizontal_lines, 147, 15),
        shape(frame_351_shape_group_5_shape_11_horizontal_lines, 158, 11),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(110, 128),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(106, 124),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(105, 123),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(104, 122),
        horizontal_line(104, 121),
        horizontal_line(104, 121),
        horizontal_line(103, 121),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(121, 138),
        horizontal_line(121, 137),
        horizontal_line(120, 137),
        horizontal_line(90, 101),
        horizontal_line(89, 101),
        horizontal_line(28, 32),
        horizontal_line(23, 32),
        horizontal_line(17, 32),
        horizontal_line(88, 99),
        horizontal_line(88, 99),
        horizontal_line(118, 129),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(99, 116),
        horizontal_line(99, 116),
        horizontal_line(98, 115),
        horizontal_line(98, 115),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(97, 114),
        horizontal_line(97, 114),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(96, 113),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(84, 95),
        horizontal_line(83, 94),
        horizontal_line(83, 94),
        horizontal_line(83, 83),
        horizontal_line(86, 93),
        horizontal_line(85, 93),
        horizontal_line(85, 92),
        horizontal_line(85, 92),
        horizontal_line(84, 92),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(129, 168),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(172, 176),
        horizontal_line(174, 176),
        horizontal_line(176, 176),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(107, 118),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(70, 80),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(175, 176),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(70, 79),
        horizontal_line(69, 79),
        horizontal_line(69, 79),
        horizontal_line(69, 78),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(173, 182),
        horizontal_line(173, 183),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(67, 77),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(172, 185),
        horizontal_line(172, 187),
        horizontal_line(171, 188),
        horizontal_line(171, 189),
        horizontal_line(170, 190),
        horizontal_line(170, 191),
        horizontal_line(170, 193),
        horizontal_line(169, 194),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(64, 74),
        horizontal_line(64, 74),
        horizontal_line(63, 73),
        horizontal_line(63, 73),
        horizontal_line(63, 73),
        horizontal_line(62, 72),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(166, 202),
        horizontal_line(166, 203),
        horizontal_line(166, 205),
        horizontal_line(165, 206),
        horizontal_line(165, 207),
        horizontal_line(164, 208),
        horizontal_line(164, 209),
        horizontal_line(164, 211),
        horizontal_line(163, 212),
        horizontal_line(163, 213),
        horizontal_line(162, 214),
    };

    constexpr const horizontal_line frame_351_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(58, 68),
        horizontal_line(58, 68),
    };

    constexpr const shape frame_351_shape_group_6_shapes[] = {
        shape(frame_351_shape_group_6_shape_0_horizontal_lines, 62, 10),
        shape(frame_351_shape_group_6_shape_1_horizontal_lines, 73, 10),
        shape(frame_351_shape_group_6_shape_2_horizontal_lines, 83, 11),
        shape(frame_351_shape_group_6_shape_3_horizontal_lines, 94, 10),
        shape(frame_351_shape_group_6_shape_4_horizontal_lines, 98, 11),
        shape(frame_351_shape_group_6_shape_5_horizontal_lines, 99, 10),
        shape(frame_351_shape_group_6_shape_6_horizontal_lines, 101, 11),
        shape(frame_351_shape_group_6_shape_7_horizontal_lines, 102, 10),
        shape(frame_351_shape_group_6_shape_8_horizontal_lines, 103, 11),
        shape(frame_351_shape_group_6_shape_9_horizontal_lines, 118, 15),
        shape(frame_351_shape_group_6_shape_10_horizontal_lines, 119, 8),
        shape(frame_351_shape_group_6_shape_11_horizontal_lines, 122, 11),
        shape(frame_351_shape_group_6_shape_12_horizontal_lines, 124, 10),
        shape(frame_351_shape_group_6_shape_13_horizontal_lines, 125, 11),
        shape(frame_351_shape_group_6_shape_14_horizontal_lines, 126, 10),
        shape(frame_351_shape_group_6_shape_15_horizontal_lines, 130, 11),
        shape(frame_351_shape_group_6_shape_16_horizontal_lines, 132, 10),
        shape(frame_351_shape_group_6_shape_17_horizontal_lines, 133, 11),
        shape(frame_351_shape_group_6_shape_18_horizontal_lines, 141, 10),
        shape(frame_351_shape_group_6_shape_19_horizontal_lines, 147, 11),
        shape(frame_351_shape_group_6_shape_20_horizontal_lines, 158, 10),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(142, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(103, 120),
        horizontal_line(103, 120),
        horizontal_line(102, 119),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(120, 136),
        horizontal_line(120, 136),
        horizontal_line(89, 100),
        horizontal_line(89, 100),
        horizontal_line(88, 99),
        horizontal_line(118, 134),
        horizontal_line(118, 134),
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(82, 86),
        horizontal_line(82, 86),
        horizontal_line(81, 85),
        horizontal_line(81, 85),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(98, 115),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(80, 84),
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(97, 114),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(79, 83),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(96, 113),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(114, 129),
        horizontal_line(113, 129),
        horizontal_line(113, 124),
        horizontal_line(85, 93),
        horizontal_line(112, 123),
        horizontal_line(112, 123),
        horizontal_line(111, 127),
        horizontal_line(111, 122),
        horizontal_line(111, 126),
        horizontal_line(84, 91),
        horizontal_line(85, 91),
        horizontal_line(85, 91),
        horizontal_line(86, 90),
        horizontal_line(87, 90),
        horizontal_line(0, 23),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(64, 71),
        horizontal_line(55, 71),
        horizontal_line(46, 71),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(107, 118),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(71, 81),
        horizontal_line(100, 105),
        horizontal_line(70, 80),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(90, 105),
        horizontal_line(92, 105),
        horizontal_line(95, 105),
        horizontal_line(98, 105),
    };

    constexpr const horizontal_line frame_351_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(68, 78),
        horizontal_line(68, 78),
        horizontal_line(107, 126),
        horizontal_line(67, 77),
        horizontal_line(67, 77),
        horizontal_line(66, 76),
        horizontal_line(66, 76),
        horizontal_line(66, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 75),
        horizontal_line(65, 74),
        horizontal_line(104, 122),
        horizontal_line(103, 122),
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(102, 120),
        horizontal_line(102, 120),
        horizontal_line(62, 72),
        horizontal_line(62, 71),
        horizontal_line(61, 71),
        horizontal_line(61, 71),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(60, 70),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(59, 69),
        horizontal_line(58, 68),
        horizontal_line(98, 115),
        horizontal_line(98, 115),
    };

    constexpr const shape frame_351_shape_group_7_shapes[] = {
        shape(frame_351_shape_group_7_shape_0_horizontal_lines, 74, 1),
        shape(frame_351_shape_group_7_shape_1_horizontal_lines, 83, 10),
        shape(frame_351_shape_group_7_shape_2_horizontal_lines, 86, 11),
        shape(frame_351_shape_group_7_shape_3_horizontal_lines, 94, 1),
        shape(frame_351_shape_group_7_shape_4_horizontal_lines, 98, 10),
        shape(frame_351_shape_group_7_shape_5_horizontal_lines, 99, 1),
        shape(frame_351_shape_group_7_shape_6_horizontal_lines, 101, 10),
        shape(frame_351_shape_group_7_shape_7_horizontal_lines, 102, 1),
        shape(frame_351_shape_group_7_shape_8_horizontal_lines, 103, 10),
        shape(frame_351_shape_group_7_shape_9_horizontal_lines, 104, 11),
        shape(frame_351_shape_group_7_shape_10_horizontal_lines, 119, 15),
        shape(frame_351_shape_group_7_shape_11_horizontal_lines, 122, 11),
        shape(frame_351_shape_group_7_shape_12_horizontal_lines, 123, 10),
        shape(frame_351_shape_group_7_shape_13_horizontal_lines, 126, 1),
        shape(frame_351_shape_group_7_shape_14_horizontal_lines, 130, 10),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(102, 119),
        horizontal_line(102, 119),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(119, 136),
        horizontal_line(119, 135),
        horizontal_line(119, 130),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(99, 117),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(128, 128),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(127, 127),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(96, 113),
        horizontal_line(95, 112),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(126, 128),
        horizontal_line(112, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(93, 110),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(124, 127),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(93, 110),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(110, 126),
        horizontal_line(110, 121),
        horizontal_line(110, 125),
        horizontal_line(109, 120),
        horizontal_line(109, 120),
        horizontal_line(88, 90),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(129, 171),
        horizontal_line(128, 173),
        horizontal_line(128, 175),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(71, 80),
        horizontal_line(97, 106),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(84, 99),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(118, 127),
        horizontal_line(120, 127),
        horizontal_line(123, 127),
        horizontal_line(125, 127),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(117, 126),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_21_horizontal_lines[] = {
        horizontal_line(106, 106),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_22_horizontal_lines[] = {
        horizontal_line(106, 125),
        horizontal_line(106, 125),
        horizontal_line(106, 124),
        horizontal_line(105, 124),
        horizontal_line(105, 124),
        horizontal_line(105, 123),
        horizontal_line(104, 123),
        horizontal_line(104, 122),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_23_horizontal_lines[] = {
        horizontal_line(75, 103),
        horizontal_line(75, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 102),
        horizontal_line(74, 101),
        horizontal_line(73, 101),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_24_horizontal_lines[] = {
        horizontal_line(102, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 119),
        horizontal_line(101, 118),
        horizontal_line(100, 118),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(99, 117),
        horizontal_line(99, 116),
        horizontal_line(99, 116),
        horizontal_line(98, 115),
    };

    constexpr const horizontal_line frame_351_shape_group_8_shape_25_horizontal_lines[] = {
        horizontal_line(69, 97),
        horizontal_line(69, 97),
    };

    constexpr const shape frame_351_shape_group_8_shapes[] = {
        shape(frame_351_shape_group_8_shape_0_horizontal_lines, 83, 1),
        shape(frame_351_shape_group_8_shape_1_horizontal_lines, 86, 10),
        shape(frame_351_shape_group_8_shape_2_horizontal_lines, 88, 11),
        shape(frame_351_shape_group_8_shape_3_horizontal_lines, 91, 10),
        shape(frame_351_shape_group_8_shape_4_horizontal_lines, 94, 1),
        shape(frame_351_shape_group_8_shape_5_horizontal_lines, 98, 10),
        shape(frame_351_shape_group_8_shape_6_horizontal_lines, 99, 1),
        shape(frame_351_shape_group_8_shape_7_horizontal_lines, 101, 10),
        shape(frame_351_shape_group_8_shape_8_horizontal_lines, 102, 1),
        shape(frame_351_shape_group_8_shape_9_horizontal_lines, 103, 10),
        shape(frame_351_shape_group_8_shape_10_horizontal_lines, 106, 11),
        shape(frame_351_shape_group_8_shape_11_horizontal_lines, 110, 10),
        shape(frame_351_shape_group_8_shape_12_horizontal_lines, 111, 11),
        shape(frame_351_shape_group_8_shape_13_horizontal_lines, 112, 10),
        shape(frame_351_shape_group_8_shape_14_horizontal_lines, 113, 11),
        shape(frame_351_shape_group_8_shape_15_horizontal_lines, 119, 15),
        shape(frame_351_shape_group_8_shape_16_horizontal_lines, 122, 10),
        shape(frame_351_shape_group_8_shape_17_horizontal_lines, 124, 1),
        shape(frame_351_shape_group_8_shape_18_horizontal_lines, 125, 10),
        shape(frame_351_shape_group_8_shape_19_horizontal_lines, 126, 1),
        shape(frame_351_shape_group_8_shape_20_horizontal_lines, 131, 10),
        shape(frame_351_shape_group_8_shape_21_horizontal_lines, 132, 1),
        shape(frame_351_shape_group_8_shape_22_horizontal_lines, 133, 10),
        shape(frame_351_shape_group_8_shape_23_horizontal_lines, 141, 3),
        shape(frame_351_shape_group_8_shape_24_horizontal_lines, 147, 10),
        shape(frame_351_shape_group_8_shape_25_horizontal_lines, 158, 3),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(137, 140),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(101, 118),
        horizontal_line(101, 118),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(83, 84),
        horizontal_line(83, 86),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(81, 85),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(79, 83),
        horizontal_line(79, 83),
        horizontal_line(78, 82),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(95, 112),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
        horizontal_line(94, 111),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(76, 84),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(93, 110),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(76, 83),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(92, 109),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(123, 126),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(74, 75),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(108, 120),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(94, 106),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(82, 96),
        horizontal_line(118, 127),
        horizontal_line(87, 102),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(80, 89),
        horizontal_line(80, 91),
        horizontal_line(80, 94),
        horizontal_line(79, 97),
        horizontal_line(79, 99),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_19_horizontal_lines[] = {
        horizontal_line(103, 105),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_20_horizontal_lines[] = {
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(78, 105),
        horizontal_line(77, 105),
        horizontal_line(77, 104),
        horizontal_line(76, 104),
        horizontal_line(76, 104),
        horizontal_line(76, 103),
        horizontal_line(75, 103),
    };

    constexpr const horizontal_line frame_351_shape_group_9_shape_21_horizontal_lines[] = {
        horizontal_line(73, 101),
        horizontal_line(72, 100),
        horizontal_line(72, 100),
        horizontal_line(72, 100),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(71, 99),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(70, 98),
        horizontal_line(69, 97),
    };

    constexpr const shape frame_351_shape_group_9_shapes[] = {
        shape(frame_351_shape_group_9_shape_0_horizontal_lines, 86, 1),
        shape(frame_351_shape_group_9_shape_1_horizontal_lines, 88, 10),
        shape(frame_351_shape_group_9_shape_2_horizontal_lines, 90, 11),
        shape(frame_351_shape_group_9_shape_3_horizontal_lines, 91, 1),
        shape(frame_351_shape_group_9_shape_4_horizontal_lines, 93, 10),
        shape(frame_351_shape_group_9_shape_5_horizontal_lines, 98, 1),
        shape(frame_351_shape_group_9_shape_6_horizontal_lines, 101, 1),
        shape(frame_351_shape_group_9_shape_7_horizontal_lines, 103, 1),
        shape(frame_351_shape_group_9_shape_8_horizontal_lines, 106, 10),
        shape(frame_351_shape_group_9_shape_9_horizontal_lines, 110, 1),
        shape(frame_351_shape_group_9_shape_10_horizontal_lines, 111, 10),
        shape(frame_351_shape_group_9_shape_11_horizontal_lines, 112, 1),
        shape(frame_351_shape_group_9_shape_12_horizontal_lines, 113, 10),
        shape(frame_351_shape_group_9_shape_13_horizontal_lines, 114, 11),
        shape(frame_351_shape_group_9_shape_14_horizontal_lines, 115, 10),
        shape(frame_351_shape_group_9_shape_15_horizontal_lines, 116, 11),
        shape(frame_351_shape_group_9_shape_16_horizontal_lines, 122, 10),
        shape(frame_351_shape_group_9_shape_17_horizontal_lines, 123, 1),
        shape(frame_351_shape_group_9_shape_18_horizontal_lines, 126, 3),
        shape(frame_351_shape_group_9_shape_19_horizontal_lines, 131, 1),
        shape(frame_351_shape_group_9_shape_20_horizontal_lines, 132, 3),
        shape(frame_351_shape_group_9_shape_21_horizontal_lines, 147, 3),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(100, 118),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(82, 86),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(131, 134),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(125, 125),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(77, 82),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(124, 124),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(123, 123),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(76, 83),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(74, 74),
        horizontal_line(92, 109),
        horizontal_line(73, 76),
        horizontal_line(73, 76),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(123, 124),
        horizontal_line(89, 89),
        horizontal_line(108, 119),
        horizontal_line(107, 118),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(86, 93),
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(81, 83),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(118, 127),
    };

    constexpr const horizontal_line frame_351_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(79, 102),
    };

    constexpr const shape frame_351_shape_group_10_shapes[] = {
        shape(frame_351_shape_group_10_shape_0_horizontal_lines, 88, 1),
        shape(frame_351_shape_group_10_shape_1_horizontal_lines, 90, 10),
        shape(frame_351_shape_group_10_shape_2_horizontal_lines, 91, 1),
        shape(frame_351_shape_group_10_shape_3_horizontal_lines, 98, 1),
        shape(frame_351_shape_group_10_shape_4_horizontal_lines, 101, 1),
        shape(frame_351_shape_group_10_shape_5_horizontal_lines, 103, 1),
        shape(frame_351_shape_group_10_shape_6_horizontal_lines, 106, 10),
        shape(frame_351_shape_group_10_shape_7_horizontal_lines, 107, 1),
        shape(frame_351_shape_group_10_shape_8_horizontal_lines, 108, 10),
        shape(frame_351_shape_group_10_shape_9_horizontal_lines, 111, 10),
        shape(frame_351_shape_group_10_shape_10_horizontal_lines, 113, 1),
        shape(frame_351_shape_group_10_shape_11_horizontal_lines, 114, 10),
        shape(frame_351_shape_group_10_shape_12_horizontal_lines, 118, 11),
        shape(frame_351_shape_group_10_shape_13_horizontal_lines, 122, 1),
        shape(frame_351_shape_group_10_shape_14_horizontal_lines, 124, 3),
        shape(frame_351_shape_group_10_shape_15_horizontal_lines, 125, 1),
        shape(frame_351_shape_group_10_shape_16_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(135, 137),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(78, 82),
        horizontal_line(84, 84),
        horizontal_line(77, 85),
        horizontal_line(77, 84),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(76, 84),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(92, 109),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(91, 108),
        horizontal_line(91, 108),
        horizontal_line(73, 77),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(108, 119),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(72, 78),
        horizontal_line(72, 79),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(119, 128),
    };

    constexpr const horizontal_line frame_351_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(81, 86),
    };

    constexpr const shape frame_351_shape_group_11_shapes[] = {
        shape(frame_351_shape_group_11_shape_0_horizontal_lines, 90, 10),
        shape(frame_351_shape_group_11_shape_1_horizontal_lines, 93, 1),
        shape(frame_351_shape_group_11_shape_2_horizontal_lines, 106, 1),
        shape(frame_351_shape_group_11_shape_3_horizontal_lines, 111, 1),
        shape(frame_351_shape_group_11_shape_4_horizontal_lines, 114, 10),
        shape(frame_351_shape_group_11_shape_5_horizontal_lines, 116, 10),
        shape(frame_351_shape_group_11_shape_6_horizontal_lines, 119, 11),
        shape(frame_351_shape_group_11_shape_7_horizontal_lines, 120, 10),
        shape(frame_351_shape_group_11_shape_8_horizontal_lines, 122, 1),
        shape(frame_351_shape_group_11_shape_9_horizontal_lines, 125, 3),
    };

    constexpr const horizontal_line frame_351_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(136, 138),
    };

    constexpr const horizontal_line frame_351_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(122, 122),
    };

    constexpr const horizontal_line frame_351_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(121, 121),
        horizontal_line(91, 107),
    };

    constexpr const horizontal_line frame_351_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_351_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(90, 107),
        horizontal_line(91, 106),
    };

    constexpr const shape frame_351_shape_group_12_shapes[] = {
        shape(frame_351_shape_group_12_shape_0_horizontal_lines, 90, 1),
        shape(frame_351_shape_group_12_shape_1_horizontal_lines, 114, 10),
        shape(frame_351_shape_group_12_shape_2_horizontal_lines, 116, 10),
        shape(frame_351_shape_group_12_shape_3_horizontal_lines, 119, 11),
        shape(frame_351_shape_group_12_shape_4_horizontal_lines, 120, 10),
    };

    constexpr const horizontal_line frame_351_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(72, 78),
    };

    constexpr const horizontal_line frame_351_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(90, 90),
    };

    constexpr const shape frame_351_shape_group_13_shapes[] = {
        shape(frame_351_shape_group_13_shape_0_horizontal_lines, 119, 10),
        shape(frame_351_shape_group_13_shape_1_horizontal_lines, 120, 1),
    };

    constexpr const horizontal_line frame_351_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(90, 107),
    };

    constexpr const horizontal_line frame_351_shape_group_14_shape_1_horizontal_lines[] = {
        horizontal_line(119, 124),
    };

    constexpr const shape frame_351_shape_group_14_shapes[] = {
        shape(frame_351_shape_group_14_shape_0_horizontal_lines, 119, 10),
        shape(frame_351_shape_group_14_shape_1_horizontal_lines, 121, 1),
    };

    constexpr const horizontal_line frame_351_shape_group_15_shape_0_horizontal_lines[] = {
        horizontal_line(120, 120),
    };

    constexpr const shape frame_351_shape_group_15_shapes[] = {
        shape(frame_351_shape_group_15_shape_0_horizontal_lines, 119, 10),
    };

    constexpr const shape_group frame_351_shape_groups[] = {
        shape_group(frame_351_shape_group_0_shapes),
        shape_group(frame_351_shape_group_1_shapes),
        shape_group(frame_351_shape_group_2_shapes),
        shape_group(frame_351_shape_group_3_shapes),
        shape_group(frame_351_shape_group_4_shapes),
        shape_group(frame_351_shape_group_5_shapes),
        shape_group(frame_351_shape_group_6_shapes),
        shape_group(frame_351_shape_group_7_shapes),
        shape_group(frame_351_shape_group_8_shapes),
        shape_group(frame_351_shape_group_9_shapes),
        shape_group(frame_351_shape_group_10_shapes),
        shape_group(frame_351_shape_group_11_shapes),
        shape_group(frame_351_shape_group_12_shapes),
        shape_group(frame_351_shape_group_13_shapes),
        shape_group(frame_351_shape_group_14_shapes),
        shape_group(frame_351_shape_group_15_shapes),
    };

    constexpr const frame frame_351_impl(frame_351_colors, frame_351_shape_groups);
} 

const frame& frame_351()
{
    return frame_351_impl;
}

namespace
{
    constexpr const bn::color frame_352_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_352_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 33),
        horizontal_line(0, 35),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 30),
        horizontal_line(0, 25),
        horizontal_line(0, 20),
        horizontal_line(0, 15),
        horizontal_line(0, 10),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(78, 78),
        horizontal_line(78, 81),
        horizontal_line(78, 84),
        horizontal_line(78, 87),
        horizontal_line(78, 87),
        horizontal_line(79, 88),
        horizontal_line(79, 88),
        horizontal_line(79, 89),
        horizontal_line(79, 89),
        horizontal_line(79, 89),
        horizontal_line(123, 127),
        horizontal_line(123, 128),
        horizontal_line(123, 129),
        horizontal_line(127, 130),
        horizontal_line(179, 239),
        horizontal_line(180, 239),
        horizontal_line(104, 117),
        horizontal_line(103, 118),
        horizontal_line(21, 21),
        horizontal_line(19, 21),
        horizontal_line(18, 21),
        horizontal_line(16, 20),
        horizontal_line(15, 20),
        horizontal_line(13, 20),
        horizontal_line(12, 20),
        horizontal_line(10, 19),
        horizontal_line(8, 19),
        horizontal_line(7, 19),
        horizontal_line(5, 18),
        horizontal_line(4, 18),
        horizontal_line(2, 18),
        horizontal_line(1, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 14),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
        horizontal_line(0, 13),
    };

    constexpr const shape frame_352_shape_group_0_shapes[] = {
        shape(frame_352_shape_group_0_shape_0_horizontal_lines, 22, 13),
    };

    constexpr const horizontal_line frame_352_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(53, 55),
        horizontal_line(56, 58),
        horizontal_line(59, 61),
        horizontal_line(62, 64),
        horizontal_line(65, 67),
        horizontal_line(68, 70),
        horizontal_line(71, 73),
        horizontal_line(74, 76),
        horizontal_line(77, 79),
        horizontal_line(80, 82),
        horizontal_line(83, 85),
        horizontal_line(86, 88),
        horizontal_line(89, 91),
        horizontal_line(92, 94),
        horizontal_line(96, 97),
        horizontal_line(96, 100),
        horizontal_line(96, 99),
        horizontal_line(95, 99),
        horizontal_line(95, 99),
        horizontal_line(95, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(91, 95),
        horizontal_line(91, 95),
        horizontal_line(91, 95),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 92),
    };

    constexpr const horizontal_line frame_352_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(197, 197),
        horizontal_line(196, 204),
        horizontal_line(196, 211),
        horizontal_line(195, 218),
        horizontal_line(195, 225),
        horizontal_line(194, 232),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_352_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(34, 83),
        horizontal_line(33, 83),
        horizontal_line(33, 82),
        horizontal_line(33, 82),
        horizontal_line(32, 82),
        horizontal_line(32, 81),
        horizontal_line(32, 81),
        horizontal_line(31, 81),
        horizontal_line(31, 80),
        horizontal_line(31, 80),
        horizontal_line(30, 80),
        horizontal_line(30, 80),
        horizontal_line(30, 79),
        horizontal_line(29, 79),
        horizontal_line(29, 79),
        horizontal_line(29, 78),
    };

    constexpr const horizontal_line frame_352_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(182, 239),
        horizontal_line(182, 239),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
        horizontal_line(124, 126),
        horizontal_line(180, 239),
        horizontal_line(180, 239),
        horizontal_line(179, 239),
        horizontal_line(179, 239),
    };

    constexpr const horizontal_line frame_352_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(24, 72),
        horizontal_line(23, 71),
    };

    constexpr const horizontal_line frame_352_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(181, 239),
        horizontal_line(182, 239),
        horizontal_line(103, 120),
        horizontal_line(102, 121),
        horizontal_line(102, 123),
        horizontal_line(125, 125),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
    };

    constexpr const shape frame_352_shape_group_1_shapes[] = {
        shape(frame_352_shape_group_1_shape_0_horizontal_lines, 44, 8),
        shape(frame_352_shape_group_1_shape_1_horizontal_lines, 83, 13),
        shape(frame_352_shape_group_1_shape_2_horizontal_lines, 94, 8),
        shape(frame_352_shape_group_1_shape_3_horizontal_lines, 110, 13),
        shape(frame_352_shape_group_1_shape_4_horizontal_lines, 124, 15),
        shape(frame_352_shape_group_1_shape_5_horizontal_lines, 126, 13),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(50, 52),
        horizontal_line(50, 55),
        horizontal_line(49, 58),
        horizontal_line(49, 61),
        horizontal_line(49, 64),
        horizontal_line(48, 67),
        horizontal_line(48, 70),
        horizontal_line(48, 73),
        horizontal_line(47, 76),
        horizontal_line(47, 79),
        horizontal_line(47, 82),
        horizontal_line(46, 85),
        horizontal_line(46, 88),
        horizontal_line(46, 91),
        horizontal_line(45, 95),
        horizontal_line(45, 95),
        horizontal_line(45, 95),
        horizontal_line(44, 94),
        horizontal_line(44, 94),
        horizontal_line(44, 94),
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(42, 92),
        horizontal_line(42, 92),
        horizontal_line(42, 91),
        horizontal_line(41, 91),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(145, 145),
        horizontal_line(147, 149),
        horizontal_line(149, 154),
        horizontal_line(148, 159),
        horizontal_line(148, 163),
        horizontal_line(147, 168),
        horizontal_line(147, 173),
        horizontal_line(147, 178),
        horizontal_line(146, 182),
        horizontal_line(146, 187),
        horizontal_line(145, 192),
        horizontal_line(88, 92),
        horizontal_line(87, 92),
        horizontal_line(37, 43),
        horizontal_line(37, 53),
        horizontal_line(36, 63),
        horizontal_line(36, 73),
        horizontal_line(35, 84),
        horizontal_line(35, 84),
        horizontal_line(35, 84),
        horizontal_line(34, 84),
        horizontal_line(34, 83),
        horizontal_line(141, 191),
        horizontal_line(140, 190),
        horizontal_line(140, 190),
        horizontal_line(139, 189),
        horizontal_line(139, 189),
        horizontal_line(139, 188),
        horizontal_line(138, 188),
        horizontal_line(138, 188),
        horizontal_line(138, 187),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(28, 77),
        horizontal_line(28, 76),
        horizontal_line(28, 76),
        horizontal_line(27, 75),
        horizontal_line(27, 75),
        horizontal_line(27, 75),
        horizontal_line(26, 74),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(182, 239),
        horizontal_line(181, 239),
        horizontal_line(181, 239),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(25, 49),
        horizontal_line(25, 35),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(24, 72),
        horizontal_line(24, 72),
        horizontal_line(132, 178),
        horizontal_line(131, 177),
        horizontal_line(23, 71),
        horizontal_line(23, 71),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(183, 239),
        horizontal_line(184, 239),
        horizontal_line(185, 239),
        horizontal_line(187, 239),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(21, 69),
    };

    constexpr const horizontal_line frame_352_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(128, 131),
        horizontal_line(127, 132),
        horizontal_line(127, 134),
        horizontal_line(127, 135),
        horizontal_line(126, 136),
        horizontal_line(126, 138),
        horizontal_line(126, 139),
        horizontal_line(125, 140),
        horizontal_line(125, 142),
        horizontal_line(124, 143),
        horizontal_line(124, 144),
        horizontal_line(124, 146),
        horizontal_line(63, 64),
        horizontal_line(59, 64),
        horizontal_line(55, 63),
        horizontal_line(51, 63),
        horizontal_line(47, 63),
        horizontal_line(43, 62),
        horizontal_line(39, 62),
        horizontal_line(35, 62),
        horizontal_line(31, 61),
        horizontal_line(27, 61),
        horizontal_line(23, 61),
        horizontal_line(19, 60),
        horizontal_line(15, 60),
        horizontal_line(14, 60),
    };

    constexpr const shape frame_352_shape_group_2_shapes[] = {
        shape(frame_352_shape_group_2_shape_0_horizontal_lines, 45, 15),
        shape(frame_352_shape_group_2_shape_1_horizontal_lines, 72, 8),
        shape(frame_352_shape_group_2_shape_2_horizontal_lines, 117, 13),
        shape(frame_352_shape_group_2_shape_3_horizontal_lines, 120, 8),
        shape(frame_352_shape_group_2_shape_4_horizontal_lines, 122, 15),
        shape(frame_352_shape_group_2_shape_5_horizontal_lines, 128, 13),
        shape(frame_352_shape_group_2_shape_6_horizontal_lines, 132, 15),
        shape(frame_352_shape_group_2_shape_7_horizontal_lines, 133, 8),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(108, 111),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(100, 103),
        horizontal_line(100, 108),
        horizontal_line(100, 108),
        horizontal_line(99, 107),
        horizontal_line(99, 107),
        horizontal_line(99, 107),
        horizontal_line(98, 106),
        horizontal_line(98, 106),
        horizontal_line(98, 106),
        horizontal_line(97, 105),
        horizontal_line(97, 105),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(41, 91),
        horizontal_line(41, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 89),
        horizontal_line(39, 89),
        horizontal_line(39, 89),
        horizontal_line(39, 88),
        horizontal_line(38, 88),
        horizontal_line(38, 87),
        horizontal_line(38, 87),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(145, 196),
        horizontal_line(145, 195),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(86, 91),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(87, 90),
        horizontal_line(90, 90),
        horizontal_line(141, 192),
        horizontal_line(141, 191),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(140, 187),
        horizontal_line(142, 186),
        horizontal_line(144, 186),
        horizontal_line(146, 185),
        horizontal_line(148, 185),
        horizontal_line(150, 185),
        horizontal_line(153, 184),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 131),
        horizontal_line(128, 131),
        horizontal_line(26, 74),
        horizontal_line(26, 74),
        horizontal_line(25, 62),
        horizontal_line(128, 129),
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(130, 178),
        horizontal_line(131, 178),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(131, 177),
        horizontal_line(130, 176),
        horizontal_line(22, 70),
        horizontal_line(22, 70),
        horizontal_line(22, 70),
        horizontal_line(21, 69),
        horizontal_line(129, 174),
        horizontal_line(21, 69),
        horizontal_line(21, 68),
        horizontal_line(20, 68),
        horizontal_line(20, 67),
        horizontal_line(20, 67),
        horizontal_line(19, 67),
        horizontal_line(19, 66),
        horizontal_line(19, 66),
        horizontal_line(19, 66),
        horizontal_line(18, 65),
        horizontal_line(18, 65),
        horizontal_line(18, 65),
        horizontal_line(17, 64),
    };

    constexpr const horizontal_line frame_352_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(123, 147),
        horizontal_line(123, 148),
        horizontal_line(123, 150),
        horizontal_line(122, 151),
        horizontal_line(122, 152),
        horizontal_line(121, 154),
        horizontal_line(121, 155),
        horizontal_line(121, 156),
        horizontal_line(120, 158),
        horizontal_line(120, 159),
        horizontal_line(120, 160),
        horizontal_line(119, 162),
        horizontal_line(119, 163),
        horizontal_line(119, 164),
    };

    constexpr const shape frame_352_shape_group_3_shapes[] = {
        shape(frame_352_shape_group_3_shape_0_horizontal_lines, 55, 11),
        shape(frame_352_shape_group_3_shape_1_horizontal_lines, 72, 15),
        shape(frame_352_shape_group_3_shape_2_horizontal_lines, 83, 8),
        shape(frame_352_shape_group_3_shape_3_horizontal_lines, 94, 11),
        shape(frame_352_shape_group_3_shape_4_horizontal_lines, 103, 8),
        shape(frame_352_shape_group_3_shape_5_horizontal_lines, 122, 15),
        shape(frame_352_shape_group_3_shape_6_horizontal_lines, 124, 11),
        shape(frame_352_shape_group_3_shape_7_horizontal_lines, 126, 15),
        shape(frame_352_shape_group_3_shape_8_horizontal_lines, 146, 8),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(111, 117),
        horizontal_line(111, 122),
        horizontal_line(110, 128),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(128, 133),
        horizontal_line(105, 108),
        horizontal_line(127, 139),
        horizontal_line(127, 142),
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(126, 140),
        horizontal_line(125, 140),
        horizontal_line(125, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
        horizontal_line(97, 105),
        horizontal_line(96, 104),
        horizontal_line(96, 104),
        horizontal_line(96, 104),
        horizontal_line(95, 103),
        horizontal_line(95, 103),
        horizontal_line(95, 103),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(94, 102),
        horizontal_line(93, 101),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(37, 87),
        horizontal_line(37, 86),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(144, 195),
        horizontal_line(144, 194),
        horizontal_line(143, 194),
        horizontal_line(143, 193),
        horizontal_line(143, 193),
        horizontal_line(142, 192),
        horizontal_line(142, 192),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(6, 33),
        horizontal_line(1, 33),
        horizontal_line(89, 97),
        horizontal_line(89, 97),
        horizontal_line(89, 96),
        horizontal_line(88, 96),
        horizontal_line(88, 96),
        horizontal_line(88, 95),
        horizontal_line(87, 95),
        horizontal_line(87, 95),
        horizontal_line(86, 94),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(137, 141),
        horizontal_line(136, 143),
        horizontal_line(136, 145),
        horizontal_line(136, 147),
        horizontal_line(135, 149),
        horizontal_line(135, 152),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(155, 184),
        horizontal_line(157, 183),
        horizontal_line(159, 183),
        horizontal_line(161, 182),
        horizontal_line(163, 182),
        horizontal_line(165, 181),
        horizontal_line(168, 181),
        horizontal_line(128, 131),
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(176, 179),
        horizontal_line(178, 179),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(104, 117),
        horizontal_line(104, 117),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(130, 176),
        horizontal_line(130, 176),
        horizontal_line(129, 175),
        horizontal_line(129, 175),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(131, 174),
        horizontal_line(132, 174),
        horizontal_line(133, 173),
        horizontal_line(135, 173),
        horizontal_line(136, 172),
        horizontal_line(137, 172),
        horizontal_line(139, 172),
        horizontal_line(140, 171),
        horizontal_line(141, 171),
        horizontal_line(143, 170),
        horizontal_line(144, 170),
        horizontal_line(145, 170),
        horizontal_line(147, 169),
        horizontal_line(17, 62),
        horizontal_line(17, 58),
        horizontal_line(17, 54),
        horizontal_line(16, 50),
        horizontal_line(16, 46),
        horizontal_line(16, 42),
        horizontal_line(15, 38),
        horizontal_line(15, 34),
        horizontal_line(15, 30),
        horizontal_line(15, 26),
        horizontal_line(14, 22),
        horizontal_line(14, 18),
        horizontal_line(14, 14),
    };

    constexpr const horizontal_line frame_352_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(165, 218),
    };

    constexpr const shape frame_352_shape_group_4_shapes[] = {
        shape(frame_352_shape_group_4_shape_0_horizontal_lines, 55, 10),
        shape(frame_352_shape_group_4_shape_1_horizontal_lines, 59, 11),
        shape(frame_352_shape_group_4_shape_2_horizontal_lines, 83, 15),
        shape(frame_352_shape_group_4_shape_3_horizontal_lines, 85, 8),
        shape(frame_352_shape_group_4_shape_4_horizontal_lines, 92, 11),
        shape(frame_352_shape_group_4_shape_5_horizontal_lines, 103, 15),
        shape(frame_352_shape_group_4_shape_6_horizontal_lines, 110, 8),
        shape(frame_352_shape_group_4_shape_7_horizontal_lines, 122, 11),
        shape(frame_352_shape_group_4_shape_8_horizontal_lines, 128, 15),
        shape(frame_352_shape_group_4_shape_9_horizontal_lines, 132, 11),
        shape(frame_352_shape_group_4_shape_10_horizontal_lines, 133, 15),
        shape(frame_352_shape_group_4_shape_11_horizontal_lines, 159, 11),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(110, 127),
        horizontal_line(110, 127),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(127, 136),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(109, 126),
        horizontal_line(109, 126),
        horizontal_line(108, 125),
        horizontal_line(108, 125),
        horizontal_line(108, 125),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(107, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(123, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 136),
        horizontal_line(122, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 135),
        horizontal_line(120, 135),
        horizontal_line(120, 134),
        horizontal_line(120, 134),
        horizontal_line(93, 101),
        horizontal_line(93, 101),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(44, 86),
        horizontal_line(54, 86),
        horizontal_line(64, 85),
        horizontal_line(74, 85),
        horizontal_line(85, 85),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(16, 34),
        horizontal_line(11, 34),
        horizontal_line(90, 98),
        horizontal_line(90, 97),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(115, 128),
        horizontal_line(114, 128),
        horizontal_line(114, 128),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(113, 126),
        horizontal_line(112, 126),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(134, 154),
        horizontal_line(134, 156),
        horizontal_line(134, 158),
        horizontal_line(133, 160),
        horizontal_line(133, 162),
        horizontal_line(132, 164),
        horizontal_line(132, 167),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(170, 181),
        horizontal_line(172, 180),
        horizontal_line(174, 180),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(50, 73),
        horizontal_line(36, 73),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(105, 118),
        horizontal_line(105, 118),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(73, 77),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(178, 179),
        horizontal_line(178, 180),
        horizontal_line(177, 181),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(175, 187),
        horizontal_line(0, 12),
        horizontal_line(0, 11),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
        horizontal_line(0, 6),
        horizontal_line(0, 4),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(171, 198),
        horizontal_line(171, 199),
        horizontal_line(171, 200),
        horizontal_line(170, 202),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(148, 169),
        horizontal_line(149, 168),
        horizontal_line(151, 168),
        horizontal_line(152, 168),
        horizontal_line(153, 167),
        horizontal_line(155, 167),
        horizontal_line(156, 166),
        horizontal_line(157, 166),
        horizontal_line(159, 166),
        horizontal_line(160, 165),
        horizontal_line(161, 165),
        horizontal_line(163, 164),
        horizontal_line(164, 164),
    };

    constexpr const horizontal_line frame_352_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(61, 66),
    };

    constexpr const shape frame_352_shape_group_5_shapes[] = {
        shape(frame_352_shape_group_5_shape_0_horizontal_lines, 59, 10),
        shape(frame_352_shape_group_5_shape_1_horizontal_lines, 61, 11),
        shape(frame_352_shape_group_5_shape_2_horizontal_lines, 62, 10),
        shape(frame_352_shape_group_5_shape_3_horizontal_lines, 72, 11),
        shape(frame_352_shape_group_5_shape_4_horizontal_lines, 85, 15),
        shape(frame_352_shape_group_5_shape_5_horizontal_lines, 90, 11),
        shape(frame_352_shape_group_5_shape_6_horizontal_lines, 110, 15),
        shape(frame_352_shape_group_5_shape_7_horizontal_lines, 117, 8),
        shape(frame_352_shape_group_5_shape_8_horizontal_lines, 120, 15),
        shape(frame_352_shape_group_5_shape_9_horizontal_lines, 122, 11),
        shape(frame_352_shape_group_5_shape_10_horizontal_lines, 124, 10),
        shape(frame_352_shape_group_5_shape_11_horizontal_lines, 125, 11),
        shape(frame_352_shape_group_5_shape_12_horizontal_lines, 146, 15),
        shape(frame_352_shape_group_5_shape_13_horizontal_lines, 159, 10),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(109, 126),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(142, 142),
        horizontal_line(141, 143),
        horizontal_line(141, 142),
        horizontal_line(141, 142),
        horizontal_line(140, 141),
        horizontal_line(140, 141),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(119, 134),
        horizontal_line(119, 133),
        horizontal_line(92, 100),
        horizontal_line(92, 100),
        horizontal_line(31, 35),
        horizontal_line(26, 35),
        horizontal_line(21, 34),
        horizontal_line(91, 98),
        horizontal_line(91, 98),
        horizontal_line(116, 130),
        horizontal_line(116, 130),
        horizontal_line(133, 136),
        horizontal_line(133, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(86, 94),
        horizontal_line(86, 94),
        horizontal_line(85, 93),
        horizontal_line(85, 93),
        horizontal_line(85, 86),
        horizontal_line(88, 92),
        horizontal_line(88, 92),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(132, 169),
        horizontal_line(131, 171),
        horizontal_line(63, 73),
        horizontal_line(130, 175),
        horizontal_line(130, 177),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(73, 78),
        horizontal_line(73, 78),
        horizontal_line(100, 103),
        horizontal_line(72, 77),
        horizontal_line(72, 77),
        horizontal_line(72, 76),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(177, 182),
        horizontal_line(177, 183),
        horizontal_line(176, 184),
        horizontal_line(176, 186),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(70, 75),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(175, 188),
        horizontal_line(175, 189),
        horizontal_line(174, 190),
        horizontal_line(174, 191),
        horizontal_line(173, 192),
        horizontal_line(173, 194),
        horizontal_line(173, 195),
        horizontal_line(172, 196),
        horizontal_line(172, 197),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(66, 71),
        horizontal_line(66, 71),
        horizontal_line(66, 71),
        horizontal_line(65, 70),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(170, 203),
        horizontal_line(169, 204),
        horizontal_line(169, 205),
        horizontal_line(169, 206),
        horizontal_line(168, 207),
        horizontal_line(168, 208),
        horizontal_line(167, 210),
        horizontal_line(167, 211),
        horizontal_line(167, 212),
        horizontal_line(166, 213),
        horizontal_line(166, 214),
        horizontal_line(165, 215),
        horizontal_line(165, 216),
    };

    constexpr const horizontal_line frame_352_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(92, 114),
    };

    constexpr const shape frame_352_shape_group_6_shapes[] = {
        shape(frame_352_shape_group_6_shape_0_horizontal_lines, 61, 10),
        shape(frame_352_shape_group_6_shape_1_horizontal_lines, 64, 10),
        shape(frame_352_shape_group_6_shape_2_horizontal_lines, 72, 11),
        shape(frame_352_shape_group_6_shape_3_horizontal_lines, 117, 15),
        shape(frame_352_shape_group_6_shape_4_horizontal_lines, 122, 10),
        shape(frame_352_shape_group_6_shape_5_horizontal_lines, 128, 11),
        shape(frame_352_shape_group_6_shape_6_horizontal_lines, 132, 10),
        shape(frame_352_shape_group_6_shape_7_horizontal_lines, 133, 11),
        shape(frame_352_shape_group_6_shape_8_horizontal_lines, 142, 10),
        shape(frame_352_shape_group_6_shape_9_horizontal_lines, 146, 11),
        shape(frame_352_shape_group_6_shape_10_horizontal_lines, 159, 10),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(106, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 121),
        horizontal_line(104, 121),
        horizontal_line(104, 121),
        horizontal_line(104, 120),
        horizontal_line(103, 120),
        horizontal_line(103, 119),
        horizontal_line(103, 119),
        horizontal_line(102, 119),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(137, 140),
        horizontal_line(137, 140),
        horizontal_line(119, 133),
        horizontal_line(118, 132),
        horizontal_line(92, 100),
        horizontal_line(91, 99),
        horizontal_line(91, 99),
        horizontal_line(117, 131),
        horizontal_line(116, 130),
        horizontal_line(134, 137),
        horizontal_line(133, 136),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(98, 114),
        horizontal_line(98, 114),
        horizontal_line(97, 114),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(96, 112),
        horizontal_line(95, 111),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(112, 126),
        horizontal_line(112, 125),
        horizontal_line(111, 125),
        horizontal_line(111, 124),
        horizontal_line(89, 93),
        horizontal_line(110, 124),
        horizontal_line(110, 123),
        horizontal_line(88, 92),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(88, 91),
        horizontal_line(88, 90),
        horizontal_line(89, 90),
        horizontal_line(89, 90),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(131, 173),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 24),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(96, 104),
        horizontal_line(98, 104),
        horizontal_line(118, 118),
        horizontal_line(102, 103),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(92, 103),
        horizontal_line(94, 102),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(71, 76),
        horizontal_line(71, 76),
        horizontal_line(71, 75),
        horizontal_line(70, 75),
        horizontal_line(101, 124),
        horizontal_line(70, 74),
        horizontal_line(69, 74),
        horizontal_line(69, 74),
        horizontal_line(68, 73),
        horizontal_line(68, 73),
        horizontal_line(68, 73),
        horizontal_line(67, 72),
        horizontal_line(67, 72),
        horizontal_line(67, 72),
        horizontal_line(97, 120),
        horizontal_line(97, 120),
        horizontal_line(97, 119),
        horizontal_line(96, 119),
        horizontal_line(65, 70),
        horizontal_line(65, 70),
        horizontal_line(64, 69),
        horizontal_line(64, 69),
        horizontal_line(64, 69),
        horizontal_line(63, 68),
        horizontal_line(63, 68),
        horizontal_line(63, 68),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(62, 67),
        horizontal_line(61, 66),
        horizontal_line(61, 66),
    };

    constexpr const horizontal_line frame_352_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(67, 91),
    };

    constexpr const shape frame_352_shape_group_7_shapes[] = {
        shape(frame_352_shape_group_7_shape_0_horizontal_lines, 72, 10),
        shape(frame_352_shape_group_7_shape_1_horizontal_lines, 83, 11),
        shape(frame_352_shape_group_7_shape_2_horizontal_lines, 94, 10),
        shape(frame_352_shape_group_7_shape_3_horizontal_lines, 103, 11),
        shape(frame_352_shape_group_7_shape_4_horizontal_lines, 119, 15),
        shape(frame_352_shape_group_7_shape_5_horizontal_lines, 120, 11),
        shape(frame_352_shape_group_7_shape_6_horizontal_lines, 122, 10),
        shape(frame_352_shape_group_7_shape_7_horizontal_lines, 126, 1),
        shape(frame_352_shape_group_7_shape_8_horizontal_lines, 128, 10),
        shape(frame_352_shape_group_7_shape_9_horizontal_lines, 159, 3),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(139, 140),
        horizontal_line(139, 140),
        horizontal_line(138, 140),
        horizontal_line(138, 139),
        horizontal_line(137, 139),
        horizontal_line(137, 138),
        horizontal_line(137, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(102, 118),
        horizontal_line(102, 118),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(135, 137),
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(99, 115),
        horizontal_line(98, 115),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(128, 130),
        horizontal_line(128, 130),
        horizontal_line(127, 129),
        horizontal_line(127, 129),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(130, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 131),
        horizontal_line(129, 131),
        horizontal_line(110, 124),
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(109, 123),
        horizontal_line(109, 122),
        horizontal_line(109, 122),
        horizontal_line(108, 122),
        horizontal_line(108, 121),
        horizontal_line(108, 121),
        horizontal_line(107, 120),
        horizontal_line(107, 120),
        horizontal_line(106, 120),
        horizontal_line(0, 24),
        horizontal_line(106, 119),
        horizontal_line(105, 118),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(119, 121),
        horizontal_line(119, 119),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(88, 99),
        horizontal_line(90, 101),
        horizontal_line(118, 129),
        horizontal_line(119, 128),
        horizontal_line(96, 102),
        horizontal_line(98, 101),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(101, 124),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(76, 100),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(100, 124),
        horizontal_line(100, 123),
        horizontal_line(100, 123),
        horizontal_line(99, 123),
        horizontal_line(99, 122),
        horizontal_line(99, 122),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
        horizontal_line(98, 121),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(72, 96),
        horizontal_line(72, 96),
        horizontal_line(72, 96),
        horizontal_line(71, 95),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(96, 119),
        horizontal_line(96, 118),
        horizontal_line(95, 118),
        horizontal_line(95, 117),
        horizontal_line(95, 117),
        horizontal_line(94, 117),
        horizontal_line(94, 116),
        horizontal_line(94, 116),
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(93, 115),
        horizontal_line(92, 114),
        horizontal_line(92, 114),
    };

    constexpr const horizontal_line frame_352_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(115, 118),
    };

    constexpr const shape frame_352_shape_group_8_shapes[] = {
        shape(frame_352_shape_group_8_shape_0_horizontal_lines, 72, 10),
        shape(frame_352_shape_group_8_shape_1_horizontal_lines, 85, 11),
        shape(frame_352_shape_group_8_shape_2_horizontal_lines, 92, 10),
        shape(frame_352_shape_group_8_shape_3_horizontal_lines, 103, 11),
        shape(frame_352_shape_group_8_shape_4_horizontal_lines, 122, 10),
        shape(frame_352_shape_group_8_shape_5_horizontal_lines, 124, 1),
        shape(frame_352_shape_group_8_shape_6_horizontal_lines, 131, 10),
        shape(frame_352_shape_group_8_shape_7_horizontal_lines, 132, 3),
        shape(frame_352_shape_group_8_shape_8_horizontal_lines, 133, 10),
        shape(frame_352_shape_group_8_shape_9_horizontal_lines, 142, 3),
        shape(frame_352_shape_group_8_shape_10_horizontal_lines, 146, 10),
        shape(frame_352_shape_group_8_shape_11_horizontal_lines, 159, 3),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(145, 146),
        horizontal_line(145, 148),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
        horizontal_line(144, 146),
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(142, 144),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(135, 136),
        horizontal_line(134, 136),
        horizontal_line(101, 118),
        horizontal_line(101, 117),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(136, 139),
        horizontal_line(135, 138),
        horizontal_line(135, 138),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(99, 116),
        horizontal_line(99, 115),
        horizontal_line(131, 133),
        horizontal_line(131, 132),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(83, 88),
        horizontal_line(83, 87),
        horizontal_line(83, 87),
        horizontal_line(82, 87),
        horizontal_line(82, 86),
        horizontal_line(82, 86),
        horizontal_line(81, 85),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(95, 111),
        horizontal_line(95, 111),
        horizontal_line(94, 110),
        horizontal_line(94, 110),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(128, 131),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(93, 109),
        horizontal_line(93, 109),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(127, 130),
        horizontal_line(127, 129),
        horizontal_line(126, 129),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(125, 127),
        horizontal_line(126, 127),
        horizontal_line(106, 119),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(74, 79),
        horizontal_line(74, 78),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(84, 95),
        horizontal_line(86, 97),
        horizontal_line(119, 131),
        horizontal_line(118, 130),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(78, 91),
        horizontal_line(77, 93),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(121, 127),
        horizontal_line(122, 126),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_352_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(76, 100),
        horizontal_line(125, 128),
        horizontal_line(75, 99),
        horizontal_line(75, 99),
        horizontal_line(75, 99),
        horizontal_line(74, 98),
        horizontal_line(74, 98),
        horizontal_line(74, 98),
        horizontal_line(73, 97),
        horizontal_line(73, 97),
        horizontal_line(73, 97),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
        horizontal_line(120, 123),
        horizontal_line(71, 95),
        horizontal_line(71, 95),
        horizontal_line(70, 94),
        horizontal_line(70, 94),
        horizontal_line(70, 94),
        horizontal_line(69, 93),
        horizontal_line(69, 93),
        horizontal_line(69, 93),
        horizontal_line(68, 92),
        horizontal_line(68, 92),
        horizontal_line(68, 92),
        horizontal_line(67, 91),
        horizontal_line(67, 91),
    };

    constexpr const shape frame_352_shape_group_9_shapes[] = {
        shape(frame_352_shape_group_9_shape_0_horizontal_lines, 73, 1),
        shape(frame_352_shape_group_9_shape_1_horizontal_lines, 83, 10),
        shape(frame_352_shape_group_9_shape_2_horizontal_lines, 87, 11),
        shape(frame_352_shape_group_9_shape_3_horizontal_lines, 90, 10),
        shape(frame_352_shape_group_9_shape_4_horizontal_lines, 94, 1),
        shape(frame_352_shape_group_9_shape_5_horizontal_lines, 103, 10),
        shape(frame_352_shape_group_9_shape_6_horizontal_lines, 107, 11),
        shape(frame_352_shape_group_9_shape_7_horizontal_lines, 108, 10),
        shape(frame_352_shape_group_9_shape_8_horizontal_lines, 110, 11),
        shape(frame_352_shape_group_9_shape_9_horizontal_lines, 120, 10),
        shape(frame_352_shape_group_9_shape_10_horizontal_lines, 122, 1),
        shape(frame_352_shape_group_9_shape_11_horizontal_lines, 126, 3),
        shape(frame_352_shape_group_9_shape_12_horizontal_lines, 128, 1),
        shape(frame_352_shape_group_9_shape_13_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(141, 144),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(134, 135),
        horizontal_line(133, 135),
        horizontal_line(101, 117),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(132, 134),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(85, 89),
        horizontal_line(84, 89),
        horizontal_line(137, 140),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(136, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(127, 129),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(125, 128),
        horizontal_line(94, 109),
        horizontal_line(125, 127),
        horizontal_line(124, 126),
        horizontal_line(93, 108),
        horizontal_line(77, 77),
        horizontal_line(77, 77),
        horizontal_line(76, 77),
        horizontal_line(76, 77),
        horizontal_line(76, 78),
        horizontal_line(75, 78),
        horizontal_line(75, 78),
        horizontal_line(75, 78),
        horizontal_line(74, 78),
        horizontal_line(92, 105),
        horizontal_line(94, 104),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(120, 126),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(78, 87),
        horizontal_line(78, 89),
        horizontal_line(130, 130),
        horizontal_line(129, 129),
        horizontal_line(77, 95),
        horizontal_line(77, 97),
        horizontal_line(76, 100),
        horizontal_line(126, 128),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
    };

    constexpr const horizontal_line frame_352_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(120, 122),
        horizontal_line(119, 122),
        horizontal_line(119, 122),
        horizontal_line(118, 121),
        horizontal_line(118, 121),
        horizontal_line(118, 120),
        horizontal_line(117, 120),
        horizontal_line(117, 120),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(116, 119),
        horizontal_line(115, 118),
        horizontal_line(115, 118),
    };

    constexpr const shape frame_352_shape_group_10_shapes[] = {
        shape(frame_352_shape_group_10_shape_0_horizontal_lines, 83, 1),
        shape(frame_352_shape_group_10_shape_1_horizontal_lines, 85, 10),
        shape(frame_352_shape_group_10_shape_2_horizontal_lines, 92, 1),
        shape(frame_352_shape_group_10_shape_3_horizontal_lines, 103, 10),
        shape(frame_352_shape_group_10_shape_4_horizontal_lines, 122, 1),
        shape(frame_352_shape_group_10_shape_5_horizontal_lines, 124, 3),
        shape(frame_352_shape_group_10_shape_6_horizontal_lines, 133, 3),
        shape(frame_352_shape_group_10_shape_7_horizontal_lines, 146, 3),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(133, 135),
        horizontal_line(133, 134),
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(85, 86),
        horizontal_line(85, 89),
        horizontal_line(138, 140),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(81, 85),
        horizontal_line(81, 85),
        horizontal_line(81, 84),
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(125, 127),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(80, 87),
        horizontal_line(79, 87),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(124, 126),
        horizontal_line(92, 108),
        horizontal_line(92, 108),
        horizontal_line(92, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 107),
        horizontal_line(91, 106),
        horizontal_line(90, 106),
        horizontal_line(90, 105),
        horizontal_line(91, 105),
        horizontal_line(120, 122),
        horizontal_line(119, 122),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(79, 83),
        horizontal_line(79, 85),
    };

    constexpr const horizontal_line frame_352_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(128, 129),
        horizontal_line(127, 129),
        horizontal_line(126, 128),
    };

    constexpr const shape frame_352_shape_group_11_shapes[] = {
        shape(frame_352_shape_group_11_shape_0_horizontal_lines, 85, 1),
        shape(frame_352_shape_group_11_shape_1_horizontal_lines, 87, 10),
        shape(frame_352_shape_group_11_shape_2_horizontal_lines, 90, 1),
        shape(frame_352_shape_group_11_shape_3_horizontal_lines, 103, 1),
        shape(frame_352_shape_group_11_shape_4_horizontal_lines, 107, 10),
        shape(frame_352_shape_group_11_shape_5_horizontal_lines, 108, 1),
        shape(frame_352_shape_group_11_shape_6_horizontal_lines, 110, 10),
        shape(frame_352_shape_group_11_shape_7_horizontal_lines, 122, 3),
        shape(frame_352_shape_group_11_shape_8_horizontal_lines, 128, 3),
    };

    constexpr const horizontal_line frame_352_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
    };

    constexpr const horizontal_line frame_352_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_352_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(79, 87),
    };

    constexpr const horizontal_line frame_352_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(123, 126),
        horizontal_line(123, 125),
        horizontal_line(123, 125),
        horizontal_line(122, 125),
        horizontal_line(122, 124),
        horizontal_line(121, 124),
        horizontal_line(121, 123),
        horizontal_line(121, 123),
        horizontal_line(120, 123),
    };

    constexpr const horizontal_line frame_352_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(80, 91),
        horizontal_line(82, 93),
    };

    constexpr const shape frame_352_shape_group_12_shapes[] = {
        shape(frame_352_shape_group_12_shape_0_horizontal_lines, 87, 1),
        shape(frame_352_shape_group_12_shape_1_horizontal_lines, 107, 1),
        shape(frame_352_shape_group_12_shape_2_horizontal_lines, 110, 1),
        shape(frame_352_shape_group_12_shape_3_horizontal_lines, 111, 10),
        shape(frame_352_shape_group_12_shape_4_horizontal_lines, 120, 1),
    };

    constexpr const horizontal_line frame_352_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(87, 88),
    };

    constexpr const horizontal_line frame_352_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(82, 86),
        horizontal_line(85, 86),
    };

    constexpr const horizontal_line frame_352_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(90, 90),
    };

    constexpr const horizontal_line frame_352_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(79, 81),
    };

    constexpr const shape frame_352_shape_group_13_shapes[] = {
        shape(frame_352_shape_group_13_shape_0_horizontal_lines, 107, 1),
        shape(frame_352_shape_group_13_shape_1_horizontal_lines, 111, 1),
        shape(frame_352_shape_group_13_shape_2_horizontal_lines, 119, 1),
        shape(frame_352_shape_group_13_shape_3_horizontal_lines, 121, 3),
    };

    constexpr const shape_group frame_352_shape_groups[] = {
        shape_group(frame_352_shape_group_0_shapes),
        shape_group(frame_352_shape_group_1_shapes),
        shape_group(frame_352_shape_group_2_shapes),
        shape_group(frame_352_shape_group_3_shapes),
        shape_group(frame_352_shape_group_4_shapes),
        shape_group(frame_352_shape_group_5_shapes),
        shape_group(frame_352_shape_group_6_shapes),
        shape_group(frame_352_shape_group_7_shapes),
        shape_group(frame_352_shape_group_8_shapes),
        shape_group(frame_352_shape_group_9_shapes),
        shape_group(frame_352_shape_group_10_shapes),
        shape_group(frame_352_shape_group_11_shapes),
        shape_group(frame_352_shape_group_12_shapes),
        shape_group(frame_352_shape_group_13_shapes),
    };

    constexpr const frame frame_352_impl(frame_352_colors, frame_352_shape_groups);
} 

const frame& frame_352()
{
    return frame_352_impl;
}

namespace
{
    constexpr const bn::color frame_353_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_353_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 32),
        horizontal_line(0, 34),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 47),
        horizontal_line(0, 49),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 32),
        horizontal_line(0, 27),
        horizontal_line(0, 21),
        horizontal_line(0, 16),
        horizontal_line(0, 10),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
        horizontal_line(190, 239),
        horizontal_line(82, 82),
        horizontal_line(81, 86),
        horizontal_line(81, 91),
        horizontal_line(81, 90),
        horizontal_line(81, 90),
        horizontal_line(80, 90),
        horizontal_line(80, 89),
        horizontal_line(80, 89),
        horizontal_line(127, 128),
        horizontal_line(126, 128),
        horizontal_line(126, 129),
        horizontal_line(126, 130),
        horizontal_line(125, 130),
        horizontal_line(125, 131),
        horizontal_line(125, 132),
        horizontal_line(128, 132),
        horizontal_line(100, 108),
        horizontal_line(99, 116),
        horizontal_line(25, 25),
        horizontal_line(23, 25),
        horizontal_line(22, 25),
        horizontal_line(20, 24),
        horizontal_line(18, 24),
        horizontal_line(17, 24),
        horizontal_line(15, 23),
        horizontal_line(14, 23),
        horizontal_line(12, 23),
        horizontal_line(10, 22),
        horizontal_line(9, 22),
        horizontal_line(7, 22),
        horizontal_line(5, 22),
        horizontal_line(4, 21),
        horizontal_line(2, 21),
        horizontal_line(1, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 17),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
        horizontal_line(0, 16),
    };

    constexpr const shape frame_353_shape_group_0_shapes[] = {
        shape(frame_353_shape_group_0_shape_0_horizontal_lines, 21, 13),
    };

    constexpr const horizontal_line frame_353_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(52, 55),
        horizontal_line(55, 58),
        horizontal_line(58, 61),
        horizontal_line(61, 64),
        horizontal_line(64, 67),
        horizontal_line(67, 70),
        horizontal_line(70, 73),
        horizontal_line(73, 76),
        horizontal_line(76, 79),
        horizontal_line(79, 82),
        horizontal_line(82, 85),
        horizontal_line(85, 88),
        horizontal_line(88, 91),
        horizontal_line(91, 94),
        horizontal_line(94, 97),
        horizontal_line(98, 100),
        horizontal_line(98, 103),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(95, 99),
        horizontal_line(95, 99),
        horizontal_line(95, 99),
        horizontal_line(94, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 98),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 95),
        horizontal_line(91, 95),
        horizontal_line(91, 95),
        horizontal_line(91, 94),
    };

    constexpr const horizontal_line frame_353_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(201, 201),
        horizontal_line(200, 207),
        horizontal_line(200, 213),
        horizontal_line(199, 220),
        horizontal_line(199, 226),
        horizontal_line(198, 232),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_353_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(36, 85),
        horizontal_line(36, 85),
        horizontal_line(36, 85),
        horizontal_line(35, 84),
        horizontal_line(35, 84),
        horizontal_line(35, 84),
        horizontal_line(34, 83),
        horizontal_line(34, 83),
        horizontal_line(34, 83),
        horizontal_line(33, 82),
        horizontal_line(33, 82),
        horizontal_line(33, 82),
        horizontal_line(33, 81),
        horizontal_line(32, 81),
        horizontal_line(32, 81),
    };

    constexpr const horizontal_line frame_353_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(185, 239),
        horizontal_line(185, 239),
        horizontal_line(184, 239),
        horizontal_line(184, 239),
        horizontal_line(183, 239),
        horizontal_line(183, 239),
        horizontal_line(131, 133),
        horizontal_line(184, 239),
        horizontal_line(99, 116),
        horizontal_line(98, 117),
        horizontal_line(98, 118),
        horizontal_line(103, 119),
        horizontal_line(109, 120),
        horizontal_line(115, 121),
        horizontal_line(122, 122),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(222, 239),
    };

    constexpr const shape frame_353_shape_group_1_shapes[] = {
        shape(frame_353_shape_group_1_shape_0_horizontal_lines, 43, 8),
        shape(frame_353_shape_group_1_shape_1_horizontal_lines, 83, 13),
        shape(frame_353_shape_group_1_shape_2_horizontal_lines, 94, 8),
        shape(frame_353_shape_group_1_shape_3_horizontal_lines, 109, 13),
    };

    constexpr const horizontal_line frame_353_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(52, 54),
        horizontal_line(52, 57),
        horizontal_line(51, 60),
        horizontal_line(51, 63),
        horizontal_line(51, 66),
        horizontal_line(50, 69),
        horizontal_line(50, 72),
        horizontal_line(50, 75),
        horizontal_line(49, 78),
        horizontal_line(49, 81),
        horizontal_line(49, 84),
        horizontal_line(48, 87),
        horizontal_line(48, 90),
        horizontal_line(48, 93),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(46, 97),
        horizontal_line(46, 96),
        horizontal_line(46, 96),
        horizontal_line(46, 96),
        horizontal_line(45, 95),
        horizontal_line(45, 95),
        horizontal_line(45, 95),
        horizontal_line(44, 94),
        horizontal_line(44, 94),
        horizontal_line(44, 94),
    };

    constexpr const horizontal_line frame_353_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(147, 147),
        horizontal_line(149, 151),
        horizontal_line(152, 156),
        horizontal_line(151, 160),
        horizontal_line(151, 165),
        horizontal_line(150, 169),
        horizontal_line(150, 174),
        horizontal_line(149, 178),
        horizontal_line(149, 183),
        horizontal_line(149, 187),
        horizontal_line(148, 192),
        horizontal_line(148, 196),
        horizontal_line(90, 94),
        horizontal_line(39, 46),
        horizontal_line(39, 56),
        horizontal_line(39, 66),
        horizontal_line(38, 76),
        horizontal_line(38, 87),
        horizontal_line(38, 87),
        horizontal_line(37, 87),
        horizontal_line(37, 86),
        horizontal_line(37, 86),
        horizontal_line(36, 86),
        horizontal_line(143, 195),
        horizontal_line(142, 194),
        horizontal_line(142, 194),
        horizontal_line(142, 194),
        horizontal_line(141, 193),
        horizontal_line(141, 193),
        horizontal_line(140, 192),
        horizontal_line(140, 192),
        horizontal_line(140, 191),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 136),
        horizontal_line(32, 80),
        horizontal_line(31, 80),
        horizontal_line(31, 80),
        horizontal_line(31, 79),
        horizontal_line(30, 79),
        horizontal_line(30, 79),
        horizontal_line(30, 78),
        horizontal_line(30, 78),
        horizontal_line(29, 78),
        horizontal_line(29, 64),
        horizontal_line(29, 51),
        horizontal_line(28, 38),
        horizontal_line(131, 131),
        horizontal_line(183, 183),
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_353_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(27, 75),
    };

    constexpr const horizontal_line frame_353_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(183, 239),
    };

    constexpr const horizontal_line frame_353_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_353_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(185, 239),
        horizontal_line(186, 239),
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_353_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(72, 72),
        horizontal_line(72, 72),
        horizontal_line(71, 71),
        horizontal_line(71, 71),
        horizontal_line(70, 71),
        horizontal_line(70, 70),
        horizontal_line(70, 70),
        horizontal_line(69, 70),
        horizontal_line(69, 69),
        horizontal_line(69, 69),
        horizontal_line(65, 69),
        horizontal_line(61, 67),
        horizontal_line(57, 67),
        horizontal_line(53, 67),
        horizontal_line(49, 66),
        horizontal_line(45, 66),
        horizontal_line(42, 66),
        horizontal_line(38, 66),
        horizontal_line(34, 65),
        horizontal_line(30, 65),
        horizontal_line(26, 65),
        horizontal_line(22, 65),
        horizontal_line(18, 64),
        horizontal_line(17, 64),
        horizontal_line(17, 64),
        horizontal_line(17, 64),
    };

    constexpr const shape frame_353_shape_group_2_shapes[] = {
        shape(frame_353_shape_group_2_shape_0_horizontal_lines, 44, 15),
        shape(frame_353_shape_group_2_shape_1_horizontal_lines, 71, 8),
        shape(frame_353_shape_group_2_shape_2_horizontal_lines, 124, 15),
        shape(frame_353_shape_group_2_shape_3_horizontal_lines, 125, 13),
        shape(frame_353_shape_group_2_shape_4_horizontal_lines, 126, 8),
        shape(frame_353_shape_group_2_shape_5_horizontal_lines, 127, 13),
        shape(frame_353_shape_group_2_shape_6_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(111, 116),
        horizontal_line(111, 121),
        horizontal_line(110, 126),
        horizontal_line(110, 125),
        horizontal_line(110, 125),
        horizontal_line(109, 124),
        horizontal_line(109, 124),
        horizontal_line(109, 124),
        horizontal_line(108, 123),
        horizontal_line(108, 123),
        horizontal_line(108, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 120),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(43, 93),
        horizontal_line(42, 92),
        horizontal_line(42, 92),
        horizontal_line(42, 92),
        horizontal_line(41, 91),
        horizontal_line(41, 91),
        horizontal_line(41, 91),
        horizontal_line(40, 90),
        horizontal_line(40, 90),
        horizontal_line(40, 90),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(147, 200),
        horizontal_line(90, 94),
        horizontal_line(90, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(89, 92),
        horizontal_line(90, 92),
        horizontal_line(92, 92),
        horizontal_line(144, 196),
        horizontal_line(144, 196),
        horizontal_line(143, 195),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(98, 111),
        horizontal_line(97, 111),
        horizontal_line(97, 110),
        horizontal_line(96, 110),
        horizontal_line(96, 110),
        horizontal_line(96, 109),
        horizontal_line(95, 109),
        horizontal_line(95, 108),
        horizontal_line(95, 108),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(142, 191),
        horizontal_line(144, 191),
        horizontal_line(146, 190),
        horizontal_line(148, 190),
        horizontal_line(150, 189),
        horizontal_line(153, 189),
        horizontal_line(134, 136),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(132, 134),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(130, 132),
        horizontal_line(130, 132),
        horizontal_line(77, 77),
        horizontal_line(181, 183),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(28, 76),
        horizontal_line(27, 75),
        horizontal_line(133, 182),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(27, 74),
        horizontal_line(26, 74),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(74, 74),
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(25, 73),
    };

    constexpr const horizontal_line frame_353_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(73, 73),
        horizontal_line(73, 73),
        horizontal_line(72, 72),
        horizontal_line(131, 133),
        horizontal_line(131, 134),
        horizontal_line(131, 136),
        horizontal_line(130, 137),
        horizontal_line(130, 138),
        horizontal_line(129, 140),
        horizontal_line(129, 141),
        horizontal_line(129, 142),
        horizontal_line(128, 144),
        horizontal_line(128, 145),
        horizontal_line(127, 146),
        horizontal_line(127, 148),
        horizontal_line(127, 149),
        horizontal_line(126, 150),
        horizontal_line(126, 152),
        horizontal_line(125, 153),
        horizontal_line(125, 154),
        horizontal_line(125, 156),
        horizontal_line(124, 157),
        horizontal_line(124, 158),
        horizontal_line(123, 160),
        horizontal_line(123, 161),
        horizontal_line(123, 162),
        horizontal_line(122, 164),
        horizontal_line(122, 165),
        horizontal_line(122, 167),
    };

    constexpr const shape frame_353_shape_group_3_shapes[] = {
        shape(frame_353_shape_group_3_shape_0_horizontal_lines, 54, 10),
        shape(frame_353_shape_group_3_shape_1_horizontal_lines, 71, 15),
        shape(frame_353_shape_group_3_shape_2_horizontal_lines, 83, 8),
        shape(frame_353_shape_group_3_shape_3_horizontal_lines, 94, 10),
        shape(frame_353_shape_group_3_shape_4_horizontal_lines, 103, 8),
        shape(frame_353_shape_group_3_shape_5_horizontal_lines, 122, 15),
        shape(frame_353_shape_group_3_shape_6_horizontal_lines, 125, 8),
        shape(frame_353_shape_group_3_shape_7_horizontal_lines, 126, 15),
        shape(frame_353_shape_group_3_shape_8_horizontal_lines, 128, 8),
        shape(frame_353_shape_group_3_shape_9_horizontal_lines, 130, 15),
        shape(frame_353_shape_group_3_shape_10_horizontal_lines, 131, 8),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(110, 110),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(103, 106),
        horizontal_line(103, 108),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(142, 143),
        horizontal_line(142, 144),
        horizontal_line(141, 145),
        horizontal_line(141, 147),
        horizontal_line(141, 146),
        horizontal_line(140, 146),
        horizontal_line(140, 145),
        horizontal_line(139, 145),
        horizontal_line(139, 145),
        horizontal_line(106, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 119),
        horizontal_line(105, 119),
        horizontal_line(104, 119),
        horizontal_line(104, 118),
        horizontal_line(103, 118),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(102, 117),
        horizontal_line(102, 116),
        horizontal_line(102, 116),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(39, 89),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(147, 199),
        horizontal_line(147, 199),
        horizontal_line(146, 198),
        horizontal_line(146, 198),
        horizontal_line(145, 197),
        horizontal_line(145, 197),
        horizontal_line(144, 197),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(99, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(129, 135),
        horizontal_line(129, 135),
        horizontal_line(129, 134),
        horizontal_line(128, 134),
        horizontal_line(128, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(127, 132),
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(139, 143),
        horizontal_line(138, 145),
        horizontal_line(138, 147),
        horizontal_line(138, 149),
        horizontal_line(137, 152),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(155, 188),
        horizontal_line(157, 188),
        horizontal_line(159, 188),
        horizontal_line(161, 187),
        horizontal_line(164, 187),
        horizontal_line(166, 186),
        horizontal_line(168, 186),
        horizontal_line(170, 185),
        horizontal_line(172, 185),
        horizontal_line(175, 185),
        horizontal_line(177, 184),
        horizontal_line(131, 131),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(28, 76),
        horizontal_line(132, 182),
        horizontal_line(133, 182),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(27, 74),
        horizontal_line(135, 181),
        horizontal_line(134, 181),
        horizontal_line(26, 73),
        horizontal_line(26, 73),
        horizontal_line(133, 179),
        horizontal_line(25, 72),
        horizontal_line(25, 72),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(24, 71),
        horizontal_line(24, 71),
        horizontal_line(23, 70),
        horizontal_line(23, 70),
        horizontal_line(23, 69),
        horizontal_line(23, 69),
        horizontal_line(22, 69),
        horizontal_line(22, 68),
        horizontal_line(22, 68),
        horizontal_line(21, 68),
        horizontal_line(21, 64),
        horizontal_line(21, 60),
        horizontal_line(20, 56),
        horizontal_line(20, 52),
        horizontal_line(20, 48),
        horizontal_line(20, 44),
        horizontal_line(19, 41),
        horizontal_line(19, 37),
        horizontal_line(19, 33),
        horizontal_line(18, 29),
        horizontal_line(18, 25),
        horizontal_line(18, 21),
        horizontal_line(17, 17),
        horizontal_line(165, 167),
        horizontal_line(166, 167),
    };

    constexpr const horizontal_line frame_353_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(86, 112),
    };

    constexpr const shape frame_353_shape_group_4_shapes[] = {
        shape(frame_353_shape_group_4_shape_0_horizontal_lines, 56, 11),
        shape(frame_353_shape_group_4_shape_1_horizontal_lines, 58, 11),
        shape(frame_353_shape_group_4_shape_2_horizontal_lines, 62, 10),
        shape(frame_353_shape_group_4_shape_3_horizontal_lines, 83, 15),
        shape(frame_353_shape_group_4_shape_4_horizontal_lines, 84, 8),
        shape(frame_353_shape_group_4_shape_5_horizontal_lines, 91, 10),
        shape(frame_353_shape_group_4_shape_6_horizontal_lines, 103, 15),
        shape(frame_353_shape_group_4_shape_7_horizontal_lines, 109, 8),
        shape(frame_353_shape_group_4_shape_8_horizontal_lines, 121, 15),
        shape(frame_353_shape_group_4_shape_9_horizontal_lines, 124, 10),
        shape(frame_353_shape_group_4_shape_10_horizontal_lines, 125, 15),
        shape(frame_353_shape_group_4_shape_11_horizontal_lines, 133, 8),
        shape(frame_353_shape_group_4_shape_12_horizontal_lines, 134, 15),
        shape(frame_353_shape_group_4_shape_13_horizontal_lines, 159, 10),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(126, 130),
        horizontal_line(126, 134),
        horizontal_line(125, 138),
        horizontal_line(125, 142),
        horizontal_line(102, 108),
        horizontal_line(102, 107),
        horizontal_line(102, 107),
        horizontal_line(101, 107),
        horizontal_line(101, 106),
        horizontal_line(101, 106),
        horizontal_line(100, 106),
        horizontal_line(100, 105),
        horizontal_line(100, 105),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(139, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 143),
        horizontal_line(137, 143),
        horizontal_line(137, 143),
        horizontal_line(137, 142),
        horizontal_line(136, 142),
        horizontal_line(136, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 141),
        horizontal_line(135, 140),
        horizontal_line(134, 140),
        horizontal_line(101, 115),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(47, 89),
        horizontal_line(57, 89),
        horizontal_line(67, 88),
        horizontal_line(77, 88),
        horizontal_line(88, 88),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(99, 113),
        horizontal_line(99, 113),
        horizontal_line(131, 136),
        horizontal_line(130, 136),
        horizontal_line(130, 135),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(94, 108),
        horizontal_line(94, 107),
        horizontal_line(94, 107),
        horizontal_line(93, 106),
        horizontal_line(93, 106),
        horizontal_line(93, 106),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(137, 154),
        horizontal_line(136, 156),
        horizontal_line(136, 158),
        horizontal_line(136, 160),
        horizontal_line(135, 163),
        horizontal_line(135, 165),
        horizontal_line(134, 167),
        horizontal_line(134, 169),
        horizontal_line(134, 171),
        horizontal_line(65, 77),
        horizontal_line(52, 77),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(179, 184),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(132, 180),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(77, 77),
        horizontal_line(99, 100),
        horizontal_line(117, 120),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(134, 182),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(134, 180),
        horizontal_line(133, 180),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(74, 74),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(133, 179),
        horizontal_line(132, 178),
        horizontal_line(24, 71),
        horizontal_line(134, 178),
        horizontal_line(135, 177),
        horizontal_line(137, 177),
        horizontal_line(138, 176),
        horizontal_line(139, 176),
        horizontal_line(141, 175),
        horizontal_line(142, 175),
        horizontal_line(143, 174),
        horizontal_line(145, 174),
        horizontal_line(146, 174),
        horizontal_line(147, 173),
        horizontal_line(149, 173),
        horizontal_line(150, 172),
        horizontal_line(151, 172),
        horizontal_line(153, 171),
        horizontal_line(154, 171),
        horizontal_line(155, 170),
        horizontal_line(157, 170),
        horizontal_line(158, 170),
        horizontal_line(159, 169),
        horizontal_line(161, 169),
        horizontal_line(162, 168),
        horizontal_line(163, 168),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(86, 112),
        horizontal_line(86, 112),
    };

    constexpr const horizontal_line frame_353_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(168, 221),
    };

    constexpr const shape frame_353_shape_group_5_shapes[] = {
        shape(frame_353_shape_group_5_shape_0_horizontal_lines, 58, 11),
        shape(frame_353_shape_group_5_shape_1_horizontal_lines, 71, 10),
        shape(frame_353_shape_group_5_shape_2_horizontal_lines, 84, 15),
        shape(frame_353_shape_group_5_shape_3_horizontal_lines, 89, 10),
        shape(frame_353_shape_group_5_shape_4_horizontal_lines, 94, 11),
        shape(frame_353_shape_group_5_shape_5_horizontal_lines, 103, 10),
        shape(frame_353_shape_group_5_shape_6_horizontal_lines, 109, 15),
        shape(frame_353_shape_group_5_shape_7_horizontal_lines, 120, 8),
        shape(frame_353_shape_group_5_shape_8_horizontal_lines, 121, 15),
        shape(frame_353_shape_group_5_shape_9_horizontal_lines, 122, 10),
        shape(frame_353_shape_group_5_shape_10_horizontal_lines, 125, 15),
        shape(frame_353_shape_group_5_shape_11_horizontal_lines, 126, 11),
        shape(frame_353_shape_group_5_shape_12_horizontal_lines, 127, 10),
        shape(frame_353_shape_group_5_shape_13_horizontal_lines, 128, 15),
        shape(frame_353_shape_group_5_shape_14_horizontal_lines, 130, 10),
        shape(frame_353_shape_group_5_shape_15_horizontal_lines, 131, 15),
        shape(frame_353_shape_group_5_shape_16_horizontal_lines, 157, 10),
        shape(frame_353_shape_group_5_shape_17_horizontal_lines, 159, 11),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(125, 141),
        horizontal_line(124, 141),
        horizontal_line(124, 140),
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(123, 139),
        horizontal_line(122, 139),
        horizontal_line(122, 138),
        horizontal_line(121, 138),
        horizontal_line(99, 105),
        horizontal_line(99, 104),
        horizontal_line(99, 104),
        horizontal_line(98, 104),
        horizontal_line(98, 103),
        horizontal_line(97, 103),
        horizontal_line(97, 102),
        horizontal_line(97, 102),
        horizontal_line(96, 102),
        horizontal_line(96, 101),
        horizontal_line(96, 101),
        horizontal_line(95, 101),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(134, 139),
        horizontal_line(101, 115),
        horizontal_line(101, 115),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(100, 113),
        horizontal_line(131, 137),
        horizontal_line(131, 137),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(11, 36),
        horizontal_line(6, 36),
        horizontal_line(1, 35),
        horizontal_line(91, 97),
        horizontal_line(91, 96),
        horizontal_line(91, 96),
        horizontal_line(90, 95),
        horizontal_line(90, 95),
        horizontal_line(90, 95),
        horizontal_line(89, 94),
        horizontal_line(89, 94),
        horizontal_line(89, 94),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(126, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 131),
        horizontal_line(125, 130),
        horizontal_line(124, 130),
        horizontal_line(124, 129),
        horizontal_line(92, 105),
        horizontal_line(92, 105),
        horizontal_line(92, 105),
        horizontal_line(80, 80),
        horizontal_line(80, 80),
        horizontal_line(91, 103),
        horizontal_line(79, 79),
        horizontal_line(79, 79),
        horizontal_line(79, 79),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(133, 174),
        horizontal_line(133, 176),
        horizontal_line(39, 76),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(77, 77),
        horizontal_line(98, 100),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(76, 76),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(182, 183),
        horizontal_line(0, 24),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(75, 75),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(97, 102),
        horizontal_line(74, 74),
        horizontal_line(96, 114),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(133, 178),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(96, 121),
        horizontal_line(95, 121),
        horizontal_line(72, 72),
        horizontal_line(94, 120),
        horizontal_line(94, 120),
        horizontal_line(71, 71),
        horizontal_line(93, 119),
        horizontal_line(93, 118),
        horizontal_line(70, 70),
        horizontal_line(92, 118),
        horizontal_line(92, 117),
        horizontal_line(69, 69),
        horizontal_line(91, 117),
        horizontal_line(90, 116),
        horizontal_line(90, 116),
        horizontal_line(90, 115),
        horizontal_line(89, 115),
        horizontal_line(89, 115),
        horizontal_line(88, 114),
        horizontal_line(88, 114),
        horizontal_line(88, 113),
        horizontal_line(87, 113),
        horizontal_line(87, 113),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(168, 218),
        horizontal_line(168, 219),
    };

    constexpr const horizontal_line frame_353_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(65, 85),
    };

    constexpr const shape frame_353_shape_group_6_shapes[] = {
        shape(frame_353_shape_group_6_shape_0_horizontal_lines, 62, 11),
        shape(frame_353_shape_group_6_shape_1_horizontal_lines, 83, 10),
        shape(frame_353_shape_group_6_shape_2_horizontal_lines, 91, 11),
        shape(frame_353_shape_group_6_shape_3_horizontal_lines, 103, 10),
        shape(frame_353_shape_group_6_shape_4_horizontal_lines, 118, 15),
        shape(frame_353_shape_group_6_shape_5_horizontal_lines, 121, 10),
        shape(frame_353_shape_group_6_shape_6_horizontal_lines, 124, 11),
        shape(frame_353_shape_group_6_shape_7_horizontal_lines, 125, 10),
        shape(frame_353_shape_group_6_shape_8_horizontal_lines, 126, 11),
        shape(frame_353_shape_group_6_shape_9_horizontal_lines, 128, 10),
        shape(frame_353_shape_group_6_shape_10_horizontal_lines, 129, 11),
        shape(frame_353_shape_group_6_shape_11_horizontal_lines, 130, 10),
        shape(frame_353_shape_group_6_shape_12_horizontal_lines, 133, 15),
        shape(frame_353_shape_group_6_shape_13_horizontal_lines, 134, 10),
        shape(frame_353_shape_group_6_shape_14_horizontal_lines, 157, 11),
        shape(frame_353_shape_group_6_shape_15_horizontal_lines, 159, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(121, 138),
        horizontal_line(121, 137),
        horizontal_line(120, 137),
        horizontal_line(120, 136),
        horizontal_line(120, 136),
        horizontal_line(119, 136),
        horizontal_line(119, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 134),
        horizontal_line(118, 134),
        horizontal_line(117, 134),
        horizontal_line(117, 133),
        horizontal_line(95, 100),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(133, 139),
        horizontal_line(133, 139),
        horizontal_line(133, 138),
        horizontal_line(132, 138),
        horizontal_line(132, 137),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(22, 37),
        horizontal_line(17, 36),
        horizontal_line(92, 98),
        horizontal_line(92, 97),
        horizontal_line(92, 97),
        horizontal_line(112, 128),
        horizontal_line(112, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 127),
        horizontal_line(111, 127),
        horizontal_line(110, 126),
        horizontal_line(110, 126),
        horizontal_line(109, 126),
        horizontal_line(109, 125),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(123, 129),
        horizontal_line(123, 129),
        horizontal_line(123, 128),
        horizontal_line(91, 104),
        horizontal_line(91, 104),
        horizontal_line(121, 127),
        horizontal_line(90, 103),
        horizontal_line(90, 103),
        horizontal_line(91, 102),
        horizontal_line(78, 78),
        horizontal_line(78, 78),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(132, 178),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(96, 101),
        horizontal_line(118, 124),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 26),
        horizontal_line(101, 116),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(92, 98),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(182, 184),
        horizontal_line(0, 22),
        horizontal_line(181, 186),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(97, 108),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(0, 16),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(73, 73),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 11),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(95, 120),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(0, 8),
        horizontal_line(0, 6),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(94, 119),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(92, 118),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(175, 202),
        horizontal_line(174, 203),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(91, 117),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_21_horizontal_lines[] = {
        horizontal_line(173, 206),
        horizontal_line(173, 207),
        horizontal_line(172, 208),
        horizontal_line(172, 209),
        horizontal_line(171, 210),
        horizontal_line(171, 211),
        horizontal_line(171, 212),
        horizontal_line(170, 214),
        horizontal_line(170, 215),
        horizontal_line(169, 216),
        horizontal_line(169, 217),
    };

    constexpr const horizontal_line frame_353_shape_group_7_shape_22_horizontal_lines[] = {
        horizontal_line(65, 85),
        horizontal_line(65, 85),
        horizontal_line(113, 121),
    };

    constexpr const shape frame_353_shape_group_7_shapes[] = {
        shape(frame_353_shape_group_7_shape_0_horizontal_lines, 71, 11),
        shape(frame_353_shape_group_7_shape_1_horizontal_lines, 84, 10),
        shape(frame_353_shape_group_7_shape_2_horizontal_lines, 89, 11),
        shape(frame_353_shape_group_7_shape_3_horizontal_lines, 109, 10),
        shape(frame_353_shape_group_7_shape_4_horizontal_lines, 120, 15),
        shape(frame_353_shape_group_7_shape_5_horizontal_lines, 121, 10),
        shape(frame_353_shape_group_7_shape_6_horizontal_lines, 123, 11),
        shape(frame_353_shape_group_7_shape_7_horizontal_lines, 125, 10),
        shape(frame_353_shape_group_7_shape_8_horizontal_lines, 126, 1),
        shape(frame_353_shape_group_7_shape_9_horizontal_lines, 127, 11),
        shape(frame_353_shape_group_7_shape_10_horizontal_lines, 131, 10),
        shape(frame_353_shape_group_7_shape_11_horizontal_lines, 132, 11),
        shape(frame_353_shape_group_7_shape_12_horizontal_lines, 133, 10),
        shape(frame_353_shape_group_7_shape_13_horizontal_lines, 134, 11),
        shape(frame_353_shape_group_7_shape_14_horizontal_lines, 136, 10),
        shape(frame_353_shape_group_7_shape_15_horizontal_lines, 137, 11),
        shape(frame_353_shape_group_7_shape_16_horizontal_lines, 139, 10),
        shape(frame_353_shape_group_7_shape_17_horizontal_lines, 140, 11),
        shape(frame_353_shape_group_7_shape_18_horizontal_lines, 142, 10),
        shape(frame_353_shape_group_7_shape_19_horizontal_lines, 143, 11),
        shape(frame_353_shape_group_7_shape_20_horizontal_lines, 145, 10),
        shape(frame_353_shape_group_7_shape_21_horizontal_lines, 146, 11),
        shape(frame_353_shape_group_7_shape_22_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(145, 146),
        horizontal_line(145, 146),
        horizontal_line(144, 146),
        horizontal_line(144, 145),
        horizontal_line(144, 145),
        horizontal_line(143, 145),
        horizontal_line(143, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 144),
        horizontal_line(142, 143),
        horizontal_line(141, 143),
        horizontal_line(141, 143),
        horizontal_line(116, 133),
        horizontal_line(95, 100),
        horizontal_line(94, 100),
        horizontal_line(94, 99),
        horizontal_line(33, 37),
        horizontal_line(28, 37),
        horizontal_line(93, 98),
        horizontal_line(93, 98),
        horizontal_line(113, 130),
        horizontal_line(113, 129),
        horizontal_line(113, 129),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(135, 138),
        horizontal_line(135, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 136),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(87, 92),
        horizontal_line(87, 92),
        horizontal_line(92, 92),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(122, 128),
        horizontal_line(122, 127),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(121, 127),
        horizontal_line(121, 126),
        horizontal_line(120, 126),
        horizontal_line(92, 102),
        horizontal_line(93, 101),
        horizontal_line(95, 101),
        horizontal_line(119, 124),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(101, 117),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(89, 100),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(0, 26),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(117, 134),
        horizontal_line(94, 98),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(181, 185),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(180, 187),
        horizontal_line(0, 17),
        horizontal_line(179, 190),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(96, 121),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(179, 192),
        horizontal_line(178, 193),
        horizontal_line(0, 9),
        horizontal_line(177, 195),
        horizontal_line(177, 196),
        horizontal_line(0, 4),
        horizontal_line(176, 199),
        horizontal_line(175, 200),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(70, 91),
        horizontal_line(70, 91),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(174, 204),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(68, 68),
        horizontal_line(68, 68),
        horizontal_line(67, 67),
        horizontal_line(67, 67),
        horizontal_line(67, 67),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(67, 88),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(66, 66),
        horizontal_line(66, 66),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(66, 87),
        horizontal_line(66, 86),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(65, 65),
    };

    constexpr const horizontal_line frame_353_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(113, 121),
        horizontal_line(113, 121),
    };

    constexpr const shape frame_353_shape_group_8_shapes[] = {
        shape(frame_353_shape_group_8_shape_0_horizontal_lines, 71, 11),
        shape(frame_353_shape_group_8_shape_1_horizontal_lines, 112, 10),
        shape(frame_353_shape_group_8_shape_2_horizontal_lines, 114, 11),
        shape(frame_353_shape_group_8_shape_3_horizontal_lines, 115, 10),
        shape(frame_353_shape_group_8_shape_4_horizontal_lines, 122, 11),
        shape(frame_353_shape_group_8_shape_5_horizontal_lines, 124, 1),
        shape(frame_353_shape_group_8_shape_6_horizontal_lines, 125, 11),
        shape(frame_353_shape_group_8_shape_7_horizontal_lines, 126, 1),
        shape(frame_353_shape_group_8_shape_8_horizontal_lines, 128, 11),
        shape(frame_353_shape_group_8_shape_9_horizontal_lines, 129, 1),
        shape(frame_353_shape_group_8_shape_10_horizontal_lines, 130, 11),
        shape(frame_353_shape_group_8_shape_11_horizontal_lines, 133, 10),
        shape(frame_353_shape_group_8_shape_12_horizontal_lines, 134, 11),
        shape(frame_353_shape_group_8_shape_13_horizontal_lines, 143, 3),
        shape(frame_353_shape_group_8_shape_14_horizontal_lines, 145, 11),
        shape(frame_353_shape_group_8_shape_15_horizontal_lines, 146, 1),
        shape(frame_353_shape_group_8_shape_16_horizontal_lines, 151, 3),
        shape(frame_353_shape_group_8_shape_17_horizontal_lines, 152, 1),
        shape(frame_353_shape_group_8_shape_18_horizontal_lines, 154, 3),
        shape(frame_353_shape_group_8_shape_19_horizontal_lines, 156, 1),
        shape(frame_353_shape_group_8_shape_20_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(147, 148),
        horizontal_line(147, 151),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 148),
        horizontal_line(145, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(116, 132),
        horizontal_line(116, 132),
        horizontal_line(115, 132),
        horizontal_line(94, 99),
        horizontal_line(93, 99),
        horizontal_line(114, 130),
        horizontal_line(114, 130),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(86, 90),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
        horizontal_line(84, 88),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(109, 125),
        horizontal_line(108, 124),
        horizontal_line(108, 124),
        horizontal_line(107, 124),
        horizontal_line(107, 123),
        horizontal_line(107, 123),
        horizontal_line(91, 91),
        horizontal_line(91, 91),
        horizontal_line(106, 122),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(104, 120),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(120, 125),
        horizontal_line(119, 125),
        horizontal_line(119, 125),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(101, 117),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(88, 98),
        horizontal_line(121, 127),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(109, 116),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(76, 91),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(117, 132),
        horizontal_line(95, 97),
        horizontal_line(119, 128),
        horizontal_line(120, 127),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(180, 188),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(122, 123),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(0, 14),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(73, 95),
        horizontal_line(73, 94),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(178, 194),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(72, 93),
        horizontal_line(72, 93),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(176, 198),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(71, 92),
        horizontal_line(71, 92),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(175, 201),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_19_horizontal_lines[] = {
        horizontal_line(119, 127),
        horizontal_line(118, 126),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_20_horizontal_lines[] = {
        horizontal_line(68, 68),
    };

    constexpr const horizontal_line frame_353_shape_group_9_shape_21_horizontal_lines[] = {
        horizontal_line(69, 90),
        horizontal_line(69, 89),
        horizontal_line(68, 89),
        horizontal_line(68, 89),
        horizontal_line(68, 88),
        horizontal_line(116, 124),
        horizontal_line(67, 87),
        horizontal_line(67, 87),
        horizontal_line(114, 122),
        horizontal_line(114, 122),
        horizontal_line(66, 86),
    };

    constexpr const shape frame_353_shape_group_9_shapes[] = {
        shape(frame_353_shape_group_9_shape_0_horizontal_lines, 72, 1),
        shape(frame_353_shape_group_9_shape_1_horizontal_lines, 83, 11),
        shape(frame_353_shape_group_9_shape_2_horizontal_lines, 94, 1),
        shape(frame_353_shape_group_9_shape_3_horizontal_lines, 103, 11),
        shape(frame_353_shape_group_9_shape_4_horizontal_lines, 118, 10),
        shape(frame_353_shape_group_9_shape_5_horizontal_lines, 121, 11),
        shape(frame_353_shape_group_9_shape_6_horizontal_lines, 123, 1),
        shape(frame_353_shape_group_9_shape_7_horizontal_lines, 125, 11),
        shape(frame_353_shape_group_9_shape_8_horizontal_lines, 126, 3),
        shape(frame_353_shape_group_9_shape_9_horizontal_lines, 127, 1),
        shape(frame_353_shape_group_9_shape_10_horizontal_lines, 131, 11),
        shape(frame_353_shape_group_9_shape_11_horizontal_lines, 132, 1),
        shape(frame_353_shape_group_9_shape_12_horizontal_lines, 133, 11),
        shape(frame_353_shape_group_9_shape_13_horizontal_lines, 134, 3),
        shape(frame_353_shape_group_9_shape_14_horizontal_lines, 136, 11),
        shape(frame_353_shape_group_9_shape_15_horizontal_lines, 137, 3),
        shape(frame_353_shape_group_9_shape_16_horizontal_lines, 139, 11),
        shape(frame_353_shape_group_9_shape_17_horizontal_lines, 140, 3),
        shape(frame_353_shape_group_9_shape_18_horizontal_lines, 142, 11),
        shape(frame_353_shape_group_9_shape_19_horizontal_lines, 143, 3),
        shape(frame_353_shape_group_9_shape_20_horizontal_lines, 145, 1),
        shape(frame_353_shape_group_9_shape_21_horizontal_lines, 146, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(140, 142),
        horizontal_line(140, 142),
        horizontal_line(139, 141),
        horizontal_line(115, 131),
        horizontal_line(114, 131),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 91),
        horizontal_line(139, 142),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(129, 132),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(128, 131),
        horizontal_line(104, 120),
        horizontal_line(104, 120),
        horizontal_line(103, 119),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(102, 118),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(87, 97),
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(77, 88),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(91, 99),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(76, 93),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(118, 130),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(75, 96),
        horizontal_line(75, 96),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(121, 125),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(74, 95),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(179, 191),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(122, 130),
        horizontal_line(122, 130),
        horizontal_line(73, 94),
        horizontal_line(121, 129),
        horizontal_line(121, 129),
        horizontal_line(72, 93),
        horizontal_line(120, 128),
        horizontal_line(119, 128),
        horizontal_line(71, 91),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(70, 90),
        horizontal_line(118, 126),
        horizontal_line(117, 125),
        horizontal_line(117, 125),
        horizontal_line(116, 124),
        horizontal_line(116, 124),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(115, 123),
        horizontal_line(115, 123),
    };

    constexpr const horizontal_line frame_353_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(114, 122),
    };

    constexpr const shape frame_353_shape_group_10_shapes[] = {
        shape(frame_353_shape_group_10_shape_0_horizontal_lines, 83, 1),
        shape(frame_353_shape_group_10_shape_1_horizontal_lines, 84, 11),
        shape(frame_353_shape_group_10_shape_2_horizontal_lines, 91, 1),
        shape(frame_353_shape_group_10_shape_3_horizontal_lines, 103, 11),
        shape(frame_353_shape_group_10_shape_4_horizontal_lines, 122, 1),
        shape(frame_353_shape_group_10_shape_5_horizontal_lines, 124, 3),
        shape(frame_353_shape_group_10_shape_6_horizontal_lines, 125, 1),
        shape(frame_353_shape_group_10_shape_7_horizontal_lines, 127, 3),
        shape(frame_353_shape_group_10_shape_8_horizontal_lines, 128, 1),
        shape(frame_353_shape_group_10_shape_9_horizontal_lines, 129, 3),
        shape(frame_353_shape_group_10_shape_10_horizontal_lines, 131, 1),
        shape(frame_353_shape_group_10_shape_11_horizontal_lines, 132, 3),
        shape(frame_353_shape_group_10_shape_12_horizontal_lines, 133, 11),
        shape(frame_353_shape_group_10_shape_13_horizontal_lines, 134, 3),
        shape(frame_353_shape_group_10_shape_14_horizontal_lines, 145, 3),
        shape(frame_353_shape_group_10_shape_15_horizontal_lines, 152, 3),
        shape(frame_353_shape_group_10_shape_16_horizontal_lines, 156, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(143, 146),
        horizontal_line(143, 146),
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(138, 140),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(88, 89),
        horizontal_line(88, 91),
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(83, 87),
        horizontal_line(83, 87),
        horizontal_line(83, 87),
        horizontal_line(82, 86),
        horizontal_line(82, 86),
        horizontal_line(82, 91),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(130, 133),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(129, 131),
        horizontal_line(128, 131),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(129, 129),
        horizontal_line(103, 119),
        horizontal_line(102, 118),
        horizontal_line(102, 118),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(85, 95),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(78, 86),
        horizontal_line(77, 87),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(118, 130),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(133, 133),
        horizontal_line(76, 94),
        horizontal_line(129, 132),
        horizontal_line(128, 132),
        horizontal_line(75, 96),
        horizontal_line(124, 131),
        horizontal_line(74, 95),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(121, 130),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(120, 128),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_13_horizontal_lines[] = {
        horizontal_line(119, 127),
    };

    constexpr const horizontal_line frame_353_shape_group_11_shape_14_horizontal_lines[] = {
        horizontal_line(118, 126),
    };

    constexpr const shape frame_353_shape_group_11_shapes[] = {
        shape(frame_353_shape_group_11_shape_0_horizontal_lines, 84, 1),
        shape(frame_353_shape_group_11_shape_1_horizontal_lines, 87, 11),
        shape(frame_353_shape_group_11_shape_2_horizontal_lines, 89, 1),
        shape(frame_353_shape_group_11_shape_3_horizontal_lines, 103, 1),
        shape(frame_353_shape_group_11_shape_4_horizontal_lines, 109, 11),
        shape(frame_353_shape_group_11_shape_5_horizontal_lines, 112, 11),
        shape(frame_353_shape_group_11_shape_6_horizontal_lines, 115, 11),
        shape(frame_353_shape_group_11_shape_7_horizontal_lines, 121, 1),
        shape(frame_353_shape_group_11_shape_8_horizontal_lines, 122, 3),
        shape(frame_353_shape_group_11_shape_9_horizontal_lines, 125, 1),
        shape(frame_353_shape_group_11_shape_10_horizontal_lines, 127, 3),
        shape(frame_353_shape_group_11_shape_11_horizontal_lines, 136, 3),
        shape(frame_353_shape_group_11_shape_12_horizontal_lines, 139, 3),
        shape(frame_353_shape_group_11_shape_13_horizontal_lines, 142, 3),
        shape(frame_353_shape_group_11_shape_14_horizontal_lines, 145, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(142, 145),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 143),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(81, 81),
        horizontal_line(87, 90),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(80, 90),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(82, 92),
        horizontal_line(84, 94),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(78, 84),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(77, 90),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(126, 132),
    };

    constexpr const horizontal_line frame_353_shape_group_12_shape_9_horizontal_lines[] = {
        horizontal_line(123, 131),
    };

    constexpr const shape frame_353_shape_group_12_shapes[] = {
        shape(frame_353_shape_group_12_shape_0_horizontal_lines, 87, 1),
        shape(frame_353_shape_group_12_shape_1_horizontal_lines, 109, 1),
        shape(frame_353_shape_group_12_shape_2_horizontal_lines, 117, 1),
        shape(frame_353_shape_group_12_shape_3_horizontal_lines, 118, 11),
        shape(frame_353_shape_group_12_shape_4_horizontal_lines, 119, 1),
        shape(frame_353_shape_group_12_shape_5_horizontal_lines, 121, 3),
        shape(frame_353_shape_group_12_shape_6_horizontal_lines, 125, 3),
        shape(frame_353_shape_group_12_shape_7_horizontal_lines, 128, 3),
        shape(frame_353_shape_group_12_shape_8_horizontal_lines, 131, 3),
        shape(frame_353_shape_group_12_shape_9_horizontal_lines, 133, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(83, 90),
    };

    constexpr const horizontal_line frame_353_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(81, 91),
    };

    constexpr const horizontal_line frame_353_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(79, 81),
        horizontal_line(78, 83),
    };

    constexpr const shape frame_353_shape_group_13_shapes[] = {
        shape(frame_353_shape_group_13_shape_0_horizontal_lines, 109, 1),
        shape(frame_353_shape_group_13_shape_1_horizontal_lines, 118, 1),
        shape(frame_353_shape_group_13_shape_2_horizontal_lines, 119, 3),
    };

    constexpr const horizontal_line frame_353_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(79, 80),
    };

    constexpr const shape frame_353_shape_group_14_shapes[] = {
        shape(frame_353_shape_group_14_shape_0_horizontal_lines, 118, 3),
    };

    constexpr const shape_group frame_353_shape_groups[] = {
        shape_group(frame_353_shape_group_0_shapes),
        shape_group(frame_353_shape_group_1_shapes),
        shape_group(frame_353_shape_group_2_shapes),
        shape_group(frame_353_shape_group_3_shapes),
        shape_group(frame_353_shape_group_4_shapes),
        shape_group(frame_353_shape_group_5_shapes),
        shape_group(frame_353_shape_group_6_shapes),
        shape_group(frame_353_shape_group_7_shapes),
        shape_group(frame_353_shape_group_8_shapes),
        shape_group(frame_353_shape_group_9_shapes),
        shape_group(frame_353_shape_group_10_shapes),
        shape_group(frame_353_shape_group_11_shapes),
        shape_group(frame_353_shape_group_12_shapes),
        shape_group(frame_353_shape_group_13_shapes),
        shape_group(frame_353_shape_group_14_shapes),
    };

    constexpr const frame frame_353_impl(frame_353_colors, frame_353_shape_groups);
} 

const frame& frame_353()
{
    return frame_353_impl;
}

namespace
{
    constexpr const bn::color frame_354_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_354_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 35),
        horizontal_line(0, 29),
        horizontal_line(0, 23),
        horizontal_line(0, 17),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(87, 87),
        horizontal_line(86, 89),
        horizontal_line(85, 92),
        horizontal_line(84, 91),
        horizontal_line(83, 91),
        horizontal_line(82, 91),
        horizontal_line(81, 90),
        horizontal_line(82, 90),
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(128, 133),
        horizontal_line(127, 133),
        horizontal_line(97, 102),
        horizontal_line(96, 106),
        horizontal_line(94, 110),
        horizontal_line(28, 28),
        horizontal_line(26, 28),
        horizontal_line(24, 28),
        horizontal_line(23, 27),
        horizontal_line(21, 27),
        horizontal_line(19, 27),
        horizontal_line(18, 26),
        horizontal_line(16, 26),
        horizontal_line(14, 26),
        horizontal_line(12, 26),
        horizontal_line(11, 25),
        horizontal_line(9, 25),
        horizontal_line(7, 25),
        horizontal_line(6, 24),
        horizontal_line(4, 24),
        horizontal_line(2, 24),
        horizontal_line(1, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 21),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 20),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
        horizontal_line(0, 19),
    };

    constexpr const shape frame_354_shape_group_0_shapes[] = {
        shape(frame_354_shape_group_0_shape_0_horizontal_lines, 19, 13),
    };

    constexpr const horizontal_line frame_354_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(54, 54),
        horizontal_line(54, 57),
        horizontal_line(54, 60),
        horizontal_line(53, 63),
        horizontal_line(53, 66),
        horizontal_line(53, 69),
        horizontal_line(52, 72),
        horizontal_line(52, 75),
        horizontal_line(52, 78),
        horizontal_line(51, 81),
        horizontal_line(51, 84),
        horizontal_line(51, 87),
        horizontal_line(51, 90),
        horizontal_line(50, 93),
        horizontal_line(50, 96),
        horizontal_line(50, 99),
        horizontal_line(49, 99),
        horizontal_line(49, 99),
        horizontal_line(49, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 97),
        horizontal_line(48, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(46, 96),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(45, 95),
        horizontal_line(45, 94),
        horizontal_line(45, 94),
        horizontal_line(45, 94),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(44, 93),
        horizontal_line(43, 92),
        horizontal_line(43, 92),
        horizontal_line(43, 92),
        horizontal_line(42, 91),
    };

    constexpr const horizontal_line frame_354_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(204, 204),
        horizontal_line(203, 211),
        horizontal_line(203, 218),
        horizontal_line(202, 225),
        horizontal_line(202, 232),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
    };

    constexpr const horizontal_line frame_354_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(39, 88),
        horizontal_line(39, 87),
        horizontal_line(39, 87),
        horizontal_line(38, 87),
        horizontal_line(38, 86),
        horizontal_line(38, 86),
        horizontal_line(37, 86),
        horizontal_line(37, 85),
        horizontal_line(37, 85),
        horizontal_line(36, 85),
    };

    constexpr const horizontal_line frame_354_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(141, 145),
        horizontal_line(140, 147),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_354_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(190, 239),
    };

    constexpr const horizontal_line frame_354_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(136, 168),
        horizontal_line(136, 170),
        horizontal_line(68, 78),
        horizontal_line(55, 78),
    };

    constexpr const horizontal_line frame_354_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(187, 239),
        horizontal_line(187, 239),
        horizontal_line(127, 133),
        horizontal_line(127, 134),
        horizontal_line(128, 134),
        horizontal_line(93, 114),
        horizontal_line(95, 114),
        horizontal_line(99, 115),
        horizontal_line(103, 115),
        horizontal_line(106, 116),
        horizontal_line(110, 116),
        horizontal_line(114, 117),
        horizontal_line(118, 118),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(224, 239),
    };

    constexpr const shape frame_354_shape_group_1_shapes[] = {
        shape(frame_354_shape_group_1_shape_0_horizontal_lines, 43, 15),
        shape(frame_354_shape_group_1_shape_1_horizontal_lines, 83, 13),
        shape(frame_354_shape_group_1_shape_2_horizontal_lines, 93, 8),
        shape(frame_354_shape_group_1_shape_3_horizontal_lines, 103, 15),
        shape(frame_354_shape_group_1_shape_4_horizontal_lines, 107, 13),
        shape(frame_354_shape_group_1_shape_5_horizontal_lines, 115, 15),
        shape(frame_354_shape_group_1_shape_6_horizontal_lines, 119, 13),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(55, 57),
        horizontal_line(58, 60),
        horizontal_line(61, 63),
        horizontal_line(64, 66),
        horizontal_line(67, 69),
        horizontal_line(70, 73),
        horizontal_line(73, 76),
        horizontal_line(76, 79),
        horizontal_line(79, 82),
        horizontal_line(82, 85),
        horizontal_line(85, 89),
        horizontal_line(88, 92),
        horizontal_line(91, 95),
        horizontal_line(94, 98),
        horizontal_line(97, 101),
        horizontal_line(100, 105),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 102),
        horizontal_line(99, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(96, 100),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(95, 99),
        horizontal_line(95, 99),
        horizontal_line(95, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 96),
        horizontal_line(92, 96),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(49, 91),
        horizontal_line(59, 91),
        horizontal_line(69, 90),
        horizontal_line(79, 90),
        horizontal_line(90, 90),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(41, 89),
        horizontal_line(40, 89),
        horizontal_line(40, 89),
        horizontal_line(40, 88),
        horizontal_line(39, 88),
        horizontal_line(145, 198),
        horizontal_line(145, 198),
        horizontal_line(145, 197),
        horizontal_line(144, 197),
        horizontal_line(144, 197),
        horizontal_line(143, 196),
        horizontal_line(143, 196),
        horizontal_line(142, 195),
        horizontal_line(142, 195),
        horizontal_line(142, 194),
        horizontal_line(36, 85),
        horizontal_line(36, 84),
        horizontal_line(36, 84),
        horizontal_line(35, 84),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(140, 151),
        horizontal_line(139, 153),
        horizontal_line(139, 155),
        horizontal_line(138, 158),
        horizontal_line(138, 160),
        horizontal_line(138, 162),
        horizontal_line(137, 164),
        horizontal_line(137, 166),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(33, 79),
        horizontal_line(32, 79),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(136, 173),
        horizontal_line(135, 175),
        horizontal_line(42, 78),
        horizontal_line(31, 77),
        horizontal_line(31, 77),
        horizontal_line(30, 77),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(186, 239),
        horizontal_line(130, 134),
        horizontal_line(132, 134),
        horizontal_line(134, 134),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_354_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(27, 72),
        horizontal_line(27, 72),
        horizontal_line(26, 72),
        horizontal_line(26, 71),
        horizontal_line(26, 71),
        horizontal_line(25, 71),
        horizontal_line(25, 70),
        horizontal_line(25, 70),
        horizontal_line(25, 70),
        horizontal_line(24, 66),
        horizontal_line(24, 62),
        horizontal_line(24, 57),
        horizontal_line(23, 53),
        horizontal_line(23, 48),
        horizontal_line(23, 44),
        horizontal_line(22, 40),
        horizontal_line(22, 35),
        horizontal_line(22, 31),
        horizontal_line(22, 26),
        horizontal_line(21, 22),
        horizontal_line(163, 172),
        horizontal_line(164, 171),
        horizontal_line(165, 171),
        horizontal_line(167, 170),
        horizontal_line(168, 170),
        horizontal_line(170, 170),
    };

    constexpr const shape frame_354_shape_group_2_shapes[] = {
        shape(frame_354_shape_group_2_shape_0_horizontal_lines, 43, 8),
        shape(frame_354_shape_group_2_shape_1_horizontal_lines, 83, 15),
        shape(frame_354_shape_group_2_shape_2_horizontal_lines, 88, 8),
        shape(frame_354_shape_group_2_shape_3_horizontal_lines, 107, 15),
        shape(frame_354_shape_group_2_shape_4_horizontal_lines, 115, 8),
        shape(frame_354_shape_group_2_shape_5_horizontal_lines, 117, 15),
        shape(frame_354_shape_group_2_shape_6_horizontal_lines, 123, 13),
        shape(frame_354_shape_group_2_shape_7_horizontal_lines, 134, 15),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(112, 112),
        horizontal_line(111, 124),
        horizontal_line(111, 123),
        horizontal_line(110, 123),
        horizontal_line(110, 122),
        horizontal_line(110, 122),
        horizontal_line(109, 122),
        horizontal_line(109, 121),
        horizontal_line(109, 121),
        horizontal_line(108, 120),
        horizontal_line(108, 120),
        horizontal_line(108, 120),
        horizontal_line(107, 119),
        horizontal_line(107, 119),
        horizontal_line(107, 118),
        horizontal_line(106, 118),
        horizontal_line(106, 118),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(150, 150),
        horizontal_line(154, 155),
        horizontal_line(154, 159),
        horizontal_line(154, 163),
        horizontal_line(153, 168),
        horizontal_line(153, 172),
        horizontal_line(152, 177),
        horizontal_line(152, 181),
        horizontal_line(151, 186),
        horizontal_line(151, 190),
        horizontal_line(151, 195),
        horizontal_line(150, 199),
        horizontal_line(42, 48),
        horizontal_line(42, 58),
        horizontal_line(42, 68),
        horizontal_line(41, 78),
        horizontal_line(41, 89),
        horizontal_line(91, 94),
        horizontal_line(93, 94),
        horizontal_line(147, 200),
        horizontal_line(146, 199),
        horizontal_line(146, 199),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(98, 109),
        horizontal_line(98, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 108),
        horizontal_line(97, 107),
        horizontal_line(96, 107),
        horizontal_line(96, 106),
        horizontal_line(96, 106),
        horizontal_line(95, 106),
        horizontal_line(95, 105),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(137, 140),
        horizontal_line(137, 140),
        horizontal_line(136, 139),
        horizontal_line(136, 139),
        horizontal_line(35, 83),
        horizontal_line(35, 83),
        horizontal_line(34, 83),
        horizontal_line(34, 82),
        horizontal_line(34, 82),
        horizontal_line(33, 81),
        horizontal_line(33, 80),
        horizontal_line(33, 80),
        horizontal_line(133, 135),
        horizontal_line(132, 135),
        horizontal_line(32, 67),
        horizontal_line(32, 54),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(135, 177),
        horizontal_line(134, 179),
        horizontal_line(134, 181),
        horizontal_line(134, 183),
        horizontal_line(30, 76),
        horizontal_line(30, 76),
        horizontal_line(30, 76),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(187, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(28, 74),
        horizontal_line(28, 74),
        horizontal_line(28, 73),
        horizontal_line(27, 73),
        horizontal_line(27, 73),
        horizontal_line(136, 181),
        horizontal_line(137, 180),
        horizontal_line(139, 180),
        horizontal_line(140, 179),
        horizontal_line(141, 179),
        horizontal_line(143, 178),
        horizontal_line(144, 178),
        horizontal_line(145, 177),
        horizontal_line(147, 177),
        horizontal_line(148, 177),
        horizontal_line(149, 176),
        horizontal_line(151, 176),
        horizontal_line(152, 175),
        horizontal_line(153, 175),
        horizontal_line(155, 174),
        horizontal_line(156, 174),
        horizontal_line(157, 173),
        horizontal_line(159, 173),
        horizontal_line(160, 173),
        horizontal_line(161, 172),
    };

    constexpr const horizontal_line frame_354_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(21, 65),
        horizontal_line(21, 65),
        horizontal_line(20, 65),
        horizontal_line(20, 64),
        horizontal_line(20, 64),
        horizontal_line(20, 64),
    };

    constexpr const shape frame_354_shape_group_3_shapes[] = {
        shape(frame_354_shape_group_3_shape_0_horizontal_lines, 54, 10),
        shape(frame_354_shape_group_3_shape_1_horizontal_lines, 71, 8),
        shape(frame_354_shape_group_3_shape_2_horizontal_lines, 93, 10),
        shape(frame_354_shape_group_3_shape_3_horizontal_lines, 103, 8),
        shape(frame_354_shape_group_3_shape_4_horizontal_lines, 119, 15),
        shape(frame_354_shape_group_3_shape_5_horizontal_lines, 126, 13),
        shape(frame_354_shape_group_3_shape_6_horizontal_lines, 129, 15),
        shape(frame_354_shape_group_3_shape_7_horizontal_lines, 154, 8),
    };

    constexpr const horizontal_line frame_354_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(124, 128),
        horizontal_line(124, 132),
        horizontal_line(123, 136),
        horizontal_line(104, 108),
    };

    constexpr const horizontal_line frame_354_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(141, 145),
        horizontal_line(140, 147),
        horizontal_line(140, 149),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(139, 147),
        horizontal_line(138, 147),
        horizontal_line(138, 147),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(106, 117),
        horizontal_line(105, 117),
        horizontal_line(105, 117),
        horizontal_line(105, 116),
        horizontal_line(104, 116),
        horizontal_line(104, 115),
        horizontal_line(104, 115),
        horizontal_line(103, 115),
        horizontal_line(103, 114),
        horizontal_line(103, 114),
        horizontal_line(102, 113),
        horizontal_line(102, 113),
    };

    constexpr const horizontal_line frame_354_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(92, 96),
        horizontal_line(92, 95),
        horizontal_line(91, 95),
        horizontal_line(91, 95),
        horizontal_line(91, 94),
        horizontal_line(148, 200),
        horizontal_line(147, 200),
    };

    constexpr const horizontal_line frame_354_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(99, 110),
        horizontal_line(99, 110),
        horizontal_line(98, 109),
        horizontal_line(128, 137),
        horizontal_line(127, 137),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 136),
        horizontal_line(126, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 135),
        horizontal_line(125, 134),
        horizontal_line(124, 134),
    };

    constexpr const horizontal_line frame_354_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(144, 194),
        horizontal_line(146, 194),
        horizontal_line(148, 193),
        horizontal_line(150, 193),
        horizontal_line(136, 139),
        horizontal_line(135, 138),
        horizontal_line(135, 138),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(169, 189),
        horizontal_line(171, 188),
        horizontal_line(132, 135),
        horizontal_line(132, 134),
        horizontal_line(31, 41),
        horizontal_line(180, 187),
        horizontal_line(182, 186),
        horizontal_line(184, 186),
    };

    constexpr const horizontal_line frame_354_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(134, 185),
        horizontal_line(135, 185),
        horizontal_line(135, 185),
        horizontal_line(29, 75),
        horizontal_line(29, 75),
        horizontal_line(29, 75),
        horizontal_line(136, 183),
        horizontal_line(135, 182),
        horizontal_line(135, 182),
        horizontal_line(134, 181),
        horizontal_line(135, 181),
    };

    constexpr const horizontal_line frame_354_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(134, 135),
        horizontal_line(133, 136),
        horizontal_line(133, 138),
        horizontal_line(132, 139),
        horizontal_line(132, 140),
        horizontal_line(132, 142),
        horizontal_line(131, 143),
        horizontal_line(131, 144),
        horizontal_line(130, 146),
        horizontal_line(67, 69),
        horizontal_line(63, 69),
        horizontal_line(58, 68),
        horizontal_line(54, 68),
        horizontal_line(49, 68),
        horizontal_line(45, 67),
        horizontal_line(41, 67),
        horizontal_line(36, 67),
        horizontal_line(32, 66),
        horizontal_line(27, 66),
        horizontal_line(23, 66),
        horizontal_line(126, 162),
        horizontal_line(125, 163),
        horizontal_line(125, 164),
        horizontal_line(124, 166),
        horizontal_line(124, 167),
        horizontal_line(124, 169),
    };

    constexpr const shape frame_354_shape_group_4_shapes[] = {
        shape(frame_354_shape_group_4_shape_0_horizontal_lines, 56, 11),
        shape(frame_354_shape_group_4_shape_1_horizontal_lines, 60, 10),
        shape(frame_354_shape_group_4_shape_2_horizontal_lines, 83, 8),
        shape(frame_354_shape_group_4_shape_3_horizontal_lines, 90, 10),
        shape(frame_354_shape_group_4_shape_4_horizontal_lines, 103, 8),
        shape(frame_354_shape_group_4_shape_5_horizontal_lines, 123, 15),
        shape(frame_354_shape_group_4_shape_6_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(123, 141),
        horizontal_line(104, 108),
        horizontal_line(104, 108),
        horizontal_line(103, 108),
        horizontal_line(103, 107),
        horizontal_line(103, 107),
        horizontal_line(102, 107),
        horizontal_line(102, 106),
        horizontal_line(102, 106),
        horizontal_line(101, 106),
        horizontal_line(101, 105),
        horizontal_line(101, 105),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(137, 145),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(132, 141),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(150, 203),
        horizontal_line(149, 202),
        horizontal_line(149, 202),
        horizontal_line(148, 201),
        horizontal_line(148, 201),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(100, 111),
        horizontal_line(99, 110),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 138),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(95, 105),
        horizontal_line(94, 104),
        horizontal_line(94, 104),
        horizontal_line(94, 104),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(152, 192),
        horizontal_line(154, 192),
        horizontal_line(156, 191),
        horizontal_line(159, 191),
        horizontal_line(161, 191),
        horizontal_line(163, 190),
        horizontal_line(165, 190),
        horizontal_line(167, 189),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(92, 100),
        horizontal_line(93, 100),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(174, 188),
        horizontal_line(176, 188),
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(97, 98),
        horizontal_line(98, 98),
        horizontal_line(116, 126),
        horizontal_line(116, 126),
        horizontal_line(115, 125),
        horizontal_line(115, 119),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(135, 184),
        horizontal_line(135, 184),
        horizontal_line(135, 183),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(91, 102),
        horizontal_line(91, 105),
        horizontal_line(91, 109),
        horizontal_line(90, 113),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(90, 117),
        horizontal_line(89, 117),
        horizontal_line(89, 116),
        horizontal_line(89, 116),
        horizontal_line(88, 116),
        horizontal_line(88, 115),
        horizontal_line(87, 115),
        horizontal_line(87, 114),
        horizontal_line(87, 114),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(130, 147),
        horizontal_line(130, 148),
        horizontal_line(129, 150),
        horizontal_line(129, 151),
        horizontal_line(128, 152),
        horizontal_line(128, 154),
        horizontal_line(128, 155),
        horizontal_line(127, 156),
        horizontal_line(127, 158),
        horizontal_line(126, 159),
        horizontal_line(126, 160),
    };

    constexpr const horizontal_line frame_354_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(82, 109),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
        horizontal_line(81, 108),
    };

    constexpr const shape frame_354_shape_group_5_shapes[] = {
        shape(frame_354_shape_group_5_shape_0_horizontal_lines, 59, 11),
        shape(frame_354_shape_group_5_shape_1_horizontal_lines, 71, 10),
        shape(frame_354_shape_group_5_shape_2_horizontal_lines, 83, 8),
        shape(frame_354_shape_group_5_shape_3_horizontal_lines, 88, 10),
        shape(frame_354_shape_group_5_shape_4_horizontal_lines, 93, 11),
        shape(frame_354_shape_group_5_shape_5_horizontal_lines, 103, 10),
        shape(frame_354_shape_group_5_shape_6_horizontal_lines, 107, 8),
        shape(frame_354_shape_group_5_shape_7_horizontal_lines, 115, 10),
        shape(frame_354_shape_group_5_shape_8_horizontal_lines, 117, 8),
        shape(frame_354_shape_group_5_shape_9_horizontal_lines, 120, 10),
        shape(frame_354_shape_group_5_shape_10_horizontal_lines, 126, 15),
        shape(frame_354_shape_group_5_shape_11_horizontal_lines, 129, 10),
        shape(frame_354_shape_group_5_shape_12_horizontal_lines, 133, 8),
        shape(frame_354_shape_group_5_shape_13_horizontal_lines, 134, 10),
        shape(frame_354_shape_group_5_shape_14_horizontal_lines, 143, 8),
        shape(frame_354_shape_group_5_shape_15_horizontal_lines, 154, 10),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(123, 140),
        horizontal_line(122, 140),
        horizontal_line(122, 139),
        horizontal_line(121, 139),
        horizontal_line(121, 138),
        horizontal_line(121, 138),
        horizontal_line(120, 138),
        horizontal_line(120, 137),
        horizontal_line(119, 137),
        horizontal_line(119, 136),
        horizontal_line(119, 136),
        horizontal_line(100, 105),
        horizontal_line(100, 104),
        horizontal_line(100, 104),
        horizontal_line(100, 104),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(102, 113),
        horizontal_line(101, 112),
        horizontal_line(101, 112),
        horizontal_line(100, 111),
        horizontal_line(100, 111),
        horizontal_line(130, 139),
        horizontal_line(129, 139),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(12, 39),
        horizontal_line(6, 39),
        horizontal_line(1, 38),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(91, 95),
        horizontal_line(91, 95),
        horizontal_line(90, 95),
        horizontal_line(90, 94),
        horizontal_line(90, 94),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(124, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 133),
        horizontal_line(123, 132),
        horizontal_line(93, 103),
        horizontal_line(93, 103),
        horizontal_line(93, 103),
        horizontal_line(92, 102),
        horizontal_line(92, 102),
        horizontal_line(92, 101),
        horizontal_line(91, 101),
        horizontal_line(91, 101),
        horizontal_line(119, 129),
        horizontal_line(119, 129),
        horizontal_line(94, 99),
        horizontal_line(95, 99),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(178, 187),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(117, 127),
        horizontal_line(117, 127),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(92, 98),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 17),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(90, 117),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 11),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(86, 114),
        horizontal_line(86, 113),
        horizontal_line(86, 113),
        horizontal_line(85, 113),
        horizontal_line(85, 112),
        horizontal_line(85, 112),
        horizontal_line(84, 111),
        horizontal_line(84, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 110),
        horizontal_line(83, 110),
    };

    constexpr const horizontal_line frame_354_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(173, 217),
        horizontal_line(172, 218),
        horizontal_line(172, 219),
        horizontal_line(171, 220),
        horizontal_line(171, 221),
        horizontal_line(171, 223),
    };

    constexpr const shape frame_354_shape_group_6_shapes[] = {
        shape(frame_354_shape_group_6_shape_0_horizontal_lines, 60, 11),
        shape(frame_354_shape_group_6_shape_1_horizontal_lines, 83, 10),
        shape(frame_354_shape_group_6_shape_2_horizontal_lines, 90, 11),
        shape(frame_354_shape_group_6_shape_3_horizontal_lines, 103, 10),
        shape(frame_354_shape_group_6_shape_4_horizontal_lines, 119, 8),
        shape(frame_354_shape_group_6_shape_5_horizontal_lines, 120, 10),
        shape(frame_354_shape_group_6_shape_6_horizontal_lines, 122, 11),
        shape(frame_354_shape_group_6_shape_7_horizontal_lines, 127, 10),
        shape(frame_354_shape_group_6_shape_8_horizontal_lines, 129, 11),
        shape(frame_354_shape_group_6_shape_9_horizontal_lines, 133, 10),
        shape(frame_354_shape_group_6_shape_10_horizontal_lines, 134, 11),
        shape(frame_354_shape_group_6_shape_11_horizontal_lines, 143, 10),
        shape(frame_354_shape_group_6_shape_12_horizontal_lines, 154, 11),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(118, 136),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(117, 134),
        horizontal_line(117, 134),
        horizontal_line(116, 134),
        horizontal_line(116, 133),
        horizontal_line(116, 133),
        horizontal_line(115, 132),
        horizontal_line(115, 132),
        horizontal_line(114, 132),
        horizontal_line(114, 131),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(132, 141),
        horizontal_line(131, 141),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(130, 139),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(24, 40),
        horizontal_line(18, 39),
        horizontal_line(95, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(110, 127),
        horizontal_line(109, 126),
        horizontal_line(109, 126),
        horizontal_line(109, 126),
        horizontal_line(108, 125),
        horizontal_line(108, 125),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(106, 123),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 131),
        horizontal_line(121, 131),
        horizontal_line(121, 130),
        horizontal_line(120, 130),
        horizontal_line(120, 130),
        horizontal_line(119, 129),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 32),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(118, 128),
        horizontal_line(118, 128),
        horizontal_line(96, 99),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(99, 115),
        horizontal_line(103, 115),
        horizontal_line(107, 114),
        horizontal_line(111, 114),
        horizontal_line(185, 186),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(184, 189),
        horizontal_line(183, 190),
        horizontal_line(183, 191),
        horizontal_line(182, 192),
        horizontal_line(0, 15),
        horizontal_line(182, 195),
        horizontal_line(181, 196),
        horizontal_line(181, 197),
        horizontal_line(180, 198),
        horizontal_line(180, 199),
        horizontal_line(179, 200),
        horizontal_line(179, 201),
        horizontal_line(178, 202),
        horizontal_line(178, 204),
        horizontal_line(178, 205),
        horizontal_line(177, 206),
        horizontal_line(177, 207),
        horizontal_line(176, 208),
        horizontal_line(176, 209),
        horizontal_line(175, 210),
        horizontal_line(175, 211),
        horizontal_line(174, 212),
        horizontal_line(174, 214),
        horizontal_line(174, 215),
        horizontal_line(173, 216),
    };

    constexpr const horizontal_line frame_354_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(66, 81),
        horizontal_line(66, 81),
        horizontal_line(66, 81),
        horizontal_line(65, 80),
        horizontal_line(65, 80),
        horizontal_line(65, 80),
    };

    constexpr const shape frame_354_shape_group_7_shapes[] = {
        shape(frame_354_shape_group_7_shape_0_horizontal_lines, 71, 11),
        shape(frame_354_shape_group_7_shape_1_horizontal_lines, 83, 10),
        shape(frame_354_shape_group_7_shape_2_horizontal_lines, 88, 11),
        shape(frame_354_shape_group_7_shape_3_horizontal_lines, 107, 10),
        shape(frame_354_shape_group_7_shape_4_horizontal_lines, 115, 11),
        shape(frame_354_shape_group_7_shape_5_horizontal_lines, 117, 10),
        shape(frame_354_shape_group_7_shape_6_horizontal_lines, 120, 11),
        shape(frame_354_shape_group_7_shape_7_horizontal_lines, 154, 3),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(146, 149),
        horizontal_line(146, 148),
        horizontal_line(146, 148),
        horizontal_line(145, 147),
        horizontal_line(145, 147),
        horizontal_line(145, 147),
        horizontal_line(144, 146),
        horizontal_line(144, 146),
        horizontal_line(143, 145),
        horizontal_line(143, 145),
        horizontal_line(143, 145),
        horizontal_line(142, 144),
        horizontal_line(97, 101),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(36, 40),
        horizontal_line(30, 40),
        horizontal_line(95, 99),
        horizontal_line(95, 98),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(110, 127),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(137, 139),
        horizontal_line(137, 139),
        horizontal_line(137, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 138),
        horizontal_line(136, 137),
        horizontal_line(135, 137),
        horizontal_line(135, 137),
        horizontal_line(89, 94),
        horizontal_line(89, 93),
        horizontal_line(88, 93),
        horizontal_line(88, 93),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(101, 118),
        horizontal_line(101, 118),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(117, 127),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(99, 116),
        horizontal_line(99, 116),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(88, 98),
        horizontal_line(89, 96),
        horizontal_line(90, 95),
        horizontal_line(91, 93),
        horizontal_line(92, 92),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(185, 187),
        horizontal_line(184, 188),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(116, 135),
        horizontal_line(117, 130),
        horizontal_line(117, 126),
        horizontal_line(118, 122),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(182, 193),
    };

    constexpr const horizontal_line frame_354_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(73, 89),
        horizontal_line(73, 88),
        horizontal_line(73, 88),
        horizontal_line(72, 88),
        horizontal_line(72, 87),
        horizontal_line(72, 87),
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(71, 86),
        horizontal_line(70, 85),
        horizontal_line(70, 85),
        horizontal_line(69, 85),
        horizontal_line(69, 84),
        horizontal_line(69, 84),
        horizontal_line(68, 84),
        horizontal_line(68, 83),
        horizontal_line(68, 83),
        horizontal_line(67, 82),
        horizontal_line(67, 82),
        horizontal_line(67, 82),
        horizontal_line(110, 125),
        horizontal_line(110, 124),
        horizontal_line(110, 124),
        horizontal_line(109, 123),
        horizontal_line(109, 123),
        horizontal_line(109, 123),
    };

    constexpr const shape frame_354_shape_group_8_shapes[] = {
        shape(frame_354_shape_group_8_shape_0_horizontal_lines, 71, 11),
        shape(frame_354_shape_group_8_shape_1_horizontal_lines, 119, 10),
        shape(frame_354_shape_group_8_shape_2_horizontal_lines, 120, 11),
        shape(frame_354_shape_group_8_shape_3_horizontal_lines, 122, 1),
        shape(frame_354_shape_group_8_shape_4_horizontal_lines, 127, 11),
        shape(frame_354_shape_group_8_shape_5_horizontal_lines, 129, 1),
        shape(frame_354_shape_group_8_shape_6_horizontal_lines, 133, 11),
        shape(frame_354_shape_group_8_shape_7_horizontal_lines, 134, 3),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(145, 149),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(114, 131),
        horizontal_line(113, 130),
        horizontal_line(113, 130),
        horizontal_line(96, 99),
        horizontal_line(95, 99),
        horizontal_line(112, 129),
        horizontal_line(111, 128),
        horizontal_line(139, 141),
        horizontal_line(139, 141),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(89, 92),
        horizontal_line(88, 92),
        horizontal_line(88, 91),
        horizontal_line(88, 91),
        horizontal_line(87, 91),
        horizontal_line(87, 90),
        horizontal_line(87, 90),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
        horizontal_line(86, 89),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(106, 123),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(104, 121),
        horizontal_line(104, 121),
        horizontal_line(104, 120),
        horizontal_line(103, 120),
        horizontal_line(103, 120),
        horizontal_line(102, 119),
        horizontal_line(102, 119),
        horizontal_line(102, 118),
        horizontal_line(130, 132),
        horizontal_line(130, 131),
        horizontal_line(100, 117),
        horizontal_line(100, 117),
        horizontal_line(0, 30),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(86, 96),
        horizontal_line(87, 97),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(78, 87),
        horizontal_line(77, 88),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(126, 126),
        horizontal_line(120, 127),
        horizontal_line(115, 129),
        horizontal_line(115, 131),
        horizontal_line(116, 133),
    };

    constexpr const horizontal_line frame_354_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(74, 90),
        horizontal_line(74, 89),
        horizontal_line(74, 89),
        horizontal_line(118, 133),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(117, 131),
        horizontal_line(116, 131),
        horizontal_line(116, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 128),
        horizontal_line(114, 128),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(112, 127),
        horizontal_line(112, 126),
        horizontal_line(112, 126),
        horizontal_line(111, 125),
        horizontal_line(111, 125),
    };

    constexpr const shape frame_354_shape_group_9_shapes[] = {
        shape(frame_354_shape_group_9_shape_0_horizontal_lines, 72, 1),
        shape(frame_354_shape_group_9_shape_1_horizontal_lines, 83, 11),
        shape(frame_354_shape_group_9_shape_2_horizontal_lines, 93, 1),
        shape(frame_354_shape_group_9_shape_3_horizontal_lines, 103, 11),
        shape(frame_354_shape_group_9_shape_4_horizontal_lines, 120, 1),
        shape(frame_354_shape_group_9_shape_5_horizontal_lines, 122, 3),
        shape(frame_354_shape_group_9_shape_6_horizontal_lines, 124, 1),
        shape(frame_354_shape_group_9_shape_7_horizontal_lines, 129, 3),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(142, 144),
        horizontal_line(142, 143),
        horizontal_line(141, 143),
        horizontal_line(112, 130),
        horizontal_line(112, 129),
        horizontal_line(140, 142),
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(90, 94),
        horizontal_line(89, 93),
        horizontal_line(89, 93),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 142),
        horizontal_line(139, 142),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(134, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 135),
        horizontal_line(133, 134),
        horizontal_line(132, 134),
        horizontal_line(132, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 133),
        horizontal_line(131, 132),
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(81, 91),
        horizontal_line(82, 92),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(130, 131),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(84, 94),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(100, 116),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(78, 85),
        horizontal_line(78, 86),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(77, 89),
        horizontal_line(77, 90),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
        horizontal_line(76, 91),
    };

    constexpr const horizontal_line frame_354_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(131, 134),
        horizontal_line(127, 134),
        horizontal_line(123, 133),
        horizontal_line(119, 133),
    };

    constexpr const shape frame_354_shape_group_10_shapes[] = {
        shape(frame_354_shape_group_10_shape_0_horizontal_lines, 83, 11),
        shape(frame_354_shape_group_10_shape_1_horizontal_lines, 90, 1),
        shape(frame_354_shape_group_10_shape_2_horizontal_lines, 103, 11),
        shape(frame_354_shape_group_10_shape_3_horizontal_lines, 115, 1),
        shape(frame_354_shape_group_10_shape_4_horizontal_lines, 117, 11),
        shape(frame_354_shape_group_10_shape_5_horizontal_lines, 118, 1),
        shape(frame_354_shape_group_10_shape_6_horizontal_lines, 119, 11),
        shape(frame_354_shape_group_10_shape_7_horizontal_lines, 120, 3),
        shape(frame_354_shape_group_10_shape_8_horizontal_lines, 124, 3),
        shape(frame_354_shape_group_10_shape_9_horizontal_lines, 130, 3),
    };

    constexpr const horizontal_line frame_354_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(145, 149),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_354_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(141, 143),
        horizontal_line(140, 142),
    };

    constexpr const horizontal_line frame_354_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(90, 90),
        horizontal_line(90, 92),
        horizontal_line(142, 146),
        horizontal_line(142, 145),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_354_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(86, 88),
        horizontal_line(85, 88),
        horizontal_line(85, 87),
        horizontal_line(85, 87),
        horizontal_line(84, 86),
        horizontal_line(84, 85),
        horizontal_line(84, 84),
        horizontal_line(83, 83),
    };

    constexpr const horizontal_line frame_354_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_354_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(80, 80),
        horizontal_line(80, 81),
    };

    constexpr const horizontal_line frame_354_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(83, 93),
        horizontal_line(129, 131),
        horizontal_line(85, 95),
    };

    constexpr const shape frame_354_shape_group_11_shapes[] = {
        shape(frame_354_shape_group_11_shape_0_horizontal_lines, 83, 1),
        shape(frame_354_shape_group_11_shape_1_horizontal_lines, 86, 11),
        shape(frame_354_shape_group_11_shape_2_horizontal_lines, 88, 1),
        shape(frame_354_shape_group_11_shape_3_horizontal_lines, 103, 1),
        shape(frame_354_shape_group_11_shape_4_horizontal_lines, 114, 1),
        shape(frame_354_shape_group_11_shape_5_horizontal_lines, 115, 3),
        shape(frame_354_shape_group_11_shape_6_horizontal_lines, 117, 1),
    };

    constexpr const horizontal_line frame_354_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(144, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 146),
    };

    constexpr const horizontal_line frame_354_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(88, 92),
        horizontal_line(90, 92),
    };

    constexpr const horizontal_line frame_354_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_354_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(79, 83),
        horizontal_line(79, 84),
    };

    constexpr const shape frame_354_shape_group_12_shapes[] = {
        shape(frame_354_shape_group_12_shape_0_horizontal_lines, 86, 1),
        shape(frame_354_shape_group_12_shape_1_horizontal_lines, 107, 1),
        shape(frame_354_shape_group_12_shape_2_horizontal_lines, 117, 1),
        shape(frame_354_shape_group_12_shape_3_horizontal_lines, 118, 3),
    };

    constexpr const horizontal_line frame_354_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(79, 82),
    };

    constexpr const shape frame_354_shape_group_13_shapes[] = {
        shape(frame_354_shape_group_13_shape_0_horizontal_lines, 117, 3),
    };

    constexpr const shape_group frame_354_shape_groups[] = {
        shape_group(frame_354_shape_group_0_shapes),
        shape_group(frame_354_shape_group_1_shapes),
        shape_group(frame_354_shape_group_2_shapes),
        shape_group(frame_354_shape_group_3_shapes),
        shape_group(frame_354_shape_group_4_shapes),
        shape_group(frame_354_shape_group_5_shapes),
        shape_group(frame_354_shape_group_6_shapes),
        shape_group(frame_354_shape_group_7_shapes),
        shape_group(frame_354_shape_group_8_shapes),
        shape_group(frame_354_shape_group_9_shapes),
        shape_group(frame_354_shape_group_10_shapes),
        shape_group(frame_354_shape_group_11_shapes),
        shape_group(frame_354_shape_group_12_shapes),
        shape_group(frame_354_shape_group_13_shapes),
    };

    constexpr const frame frame_354_impl(frame_354_colors, frame_354_shape_groups);
} 

const frame& frame_354()
{
    return frame_354_impl;
}

namespace
{
    constexpr const bn::color frame_355_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_355_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 38),
        horizontal_line(0, 33),
        horizontal_line(0, 27),
        horizontal_line(0, 22),
        horizontal_line(0, 16),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(93, 93),
        horizontal_line(90, 94),
        horizontal_line(88, 93),
        horizontal_line(86, 93),
        horizontal_line(84, 93),
        horizontal_line(83, 92),
        horizontal_line(88, 92),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(191, 239),
        horizontal_line(191, 239),
        horizontal_line(98, 98),
        horizontal_line(93, 100),
        horizontal_line(89, 102),
        horizontal_line(91, 105),
        horizontal_line(32, 32),
        horizontal_line(30, 32),
        horizontal_line(28, 32),
        horizontal_line(27, 31),
        horizontal_line(25, 31),
        horizontal_line(23, 31),
        horizontal_line(21, 30),
        horizontal_line(20, 30),
        horizontal_line(18, 30),
        horizontal_line(16, 29),
        horizontal_line(14, 29),
        horizontal_line(13, 29),
        horizontal_line(11, 29),
        horizontal_line(9, 28),
        horizontal_line(7, 28),
        horizontal_line(6, 28),
        horizontal_line(4, 27),
        horizontal_line(2, 27),
        horizontal_line(1, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 24),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 23),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
        horizontal_line(0, 22),
    };

    constexpr const shape frame_355_shape_group_0_shapes[] = {
        shape(frame_355_shape_group_0_shape_0_horizontal_lines, 18, 13),
    };

    constexpr const horizontal_line frame_355_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(56, 56),
        horizontal_line(56, 59),
        horizontal_line(56, 62),
        horizontal_line(55, 66),
        horizontal_line(55, 69),
        horizontal_line(55, 72),
        horizontal_line(55, 75),
        horizontal_line(54, 79),
        horizontal_line(54, 82),
        horizontal_line(54, 85),
        horizontal_line(53, 88),
        horizontal_line(53, 92),
        horizontal_line(53, 95),
        horizontal_line(53, 98),
        horizontal_line(52, 102),
        horizontal_line(52, 102),
        horizontal_line(52, 102),
        horizontal_line(51, 102),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 100),
        horizontal_line(49, 99),
        horizontal_line(49, 99),
        horizontal_line(49, 99),
        horizontal_line(49, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 96),
        horizontal_line(47, 96),
        horizontal_line(46, 96),
        horizontal_line(46, 95),
        horizontal_line(46, 95),
        horizontal_line(45, 95),
    };

    constexpr const horizontal_line frame_355_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(209, 209),
        horizontal_line(208, 215),
        horizontal_line(208, 221),
        horizontal_line(207, 227),
        horizontal_line(207, 233),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_355_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(42, 90),
        horizontal_line(42, 90),
        horizontal_line(41, 89),
        horizontal_line(41, 89),
        horizontal_line(41, 88),
        horizontal_line(41, 88),
        horizontal_line(40, 88),
        horizontal_line(40, 87),
        horizontal_line(40, 87),
        horizontal_line(39, 86),
    };

    constexpr const horizontal_line frame_355_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(144, 146),
        horizontal_line(144, 148),
        horizontal_line(143, 150),
    };

    constexpr const horizontal_line frame_355_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
    };

    constexpr const horizontal_line frame_355_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(140, 167),
        horizontal_line(139, 169),
        horizontal_line(70, 79),
        horizontal_line(57, 79),
        horizontal_line(44, 79),
        horizontal_line(35, 78),
        horizontal_line(35, 78),
    };

    constexpr const horizontal_line frame_355_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(128, 132),
        horizontal_line(128, 137),
        horizontal_line(128, 136),
        horizontal_line(93, 107),
        horizontal_line(95, 109),
        horizontal_line(97, 112),
        horizontal_line(99, 112),
        horizontal_line(102, 112),
        horizontal_line(104, 112),
        horizontal_line(106, 112),
        horizontal_line(108, 112),
        horizontal_line(110, 112),
        horizontal_line(113, 113),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(226, 239),
    };

    constexpr const shape frame_355_shape_group_1_shapes[] = {
        shape(frame_355_shape_group_1_shape_0_horizontal_lines, 43, 15),
        shape(frame_355_shape_group_1_shape_1_horizontal_lines, 82, 13),
        shape(frame_355_shape_group_1_shape_2_horizontal_lines, 93, 8),
        shape(frame_355_shape_group_1_shape_3_horizontal_lines, 103, 15),
        shape(frame_355_shape_group_1_shape_4_horizontal_lines, 106, 13),
        shape(frame_355_shape_group_1_shape_5_horizontal_lines, 113, 15),
        shape(frame_355_shape_group_1_shape_6_horizontal_lines, 120, 13),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(57, 59),
        horizontal_line(60, 62),
        horizontal_line(63, 65),
        horizontal_line(67, 69),
        horizontal_line(70, 72),
        horizontal_line(73, 75),
        horizontal_line(76, 78),
        horizontal_line(80, 82),
        horizontal_line(83, 85),
        horizontal_line(86, 88),
        horizontal_line(89, 91),
        horizontal_line(93, 95),
        horizontal_line(96, 98),
        horizontal_line(99, 101),
        horizontal_line(103, 104),
        horizontal_line(103, 108),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(102, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 105),
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(99, 102),
        horizontal_line(99, 102),
        horizontal_line(99, 102),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(45, 94),
        horizontal_line(52, 94),
        horizontal_line(62, 94),
        horizontal_line(72, 93),
        horizontal_line(82, 93),
        horizontal_line(93, 93),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(43, 92),
        horizontal_line(43, 92),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(42, 90),
        horizontal_line(148, 202),
        horizontal_line(148, 202),
        horizontal_line(148, 201),
        horizontal_line(147, 201),
        horizontal_line(147, 200),
        horizontal_line(146, 200),
        horizontal_line(146, 199),
        horizontal_line(145, 199),
        horizontal_line(145, 198),
        horizontal_line(145, 198),
        horizontal_line(39, 86),
        horizontal_line(39, 86),
        horizontal_line(39, 85),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(143, 152),
        horizontal_line(142, 154),
        horizontal_line(142, 156),
        horizontal_line(142, 158),
        horizontal_line(141, 161),
        horizontal_line(141, 163),
        horizontal_line(140, 165),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(36, 80),
        horizontal_line(36, 80),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(139, 171),
        horizontal_line(139, 173),
        horizontal_line(138, 176),
        horizontal_line(138, 178),
        horizontal_line(137, 180),
        horizontal_line(34, 78),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(190, 239),
        horizontal_line(189, 239),
        horizontal_line(189, 239),
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(127, 135),
        horizontal_line(128, 135),
        horizontal_line(130, 135),
        horizontal_line(131, 134),
        horizontal_line(133, 134),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(196, 239),
    };

    constexpr const horizontal_line frame_355_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(30, 73),
        horizontal_line(30, 73),
        horizontal_line(30, 72),
        horizontal_line(29, 72),
        horizontal_line(29, 72),
        horizontal_line(29, 71),
        horizontal_line(28, 71),
        horizontal_line(28, 71),
        horizontal_line(28, 69),
        horizontal_line(27, 65),
        horizontal_line(27, 61),
        horizontal_line(27, 56),
        horizontal_line(26, 52),
        horizontal_line(26, 48),
        horizontal_line(26, 43),
        horizontal_line(26, 39),
        horizontal_line(25, 35),
        horizontal_line(25, 30),
        horizontal_line(25, 26),
        horizontal_line(163, 173),
        horizontal_line(165, 173),
        horizontal_line(166, 172),
        horizontal_line(167, 172),
        horizontal_line(169, 171),
        horizontal_line(124, 124),
        horizontal_line(124, 125),
    };

    constexpr const shape frame_355_shape_group_2_shapes[] = {
        shape(frame_355_shape_group_2_shape_0_horizontal_lines, 43, 8),
        shape(frame_355_shape_group_2_shape_1_horizontal_lines, 82, 15),
        shape(frame_355_shape_group_2_shape_2_horizontal_lines, 88, 8),
        shape(frame_355_shape_group_2_shape_3_horizontal_lines, 106, 15),
        shape(frame_355_shape_group_2_shape_4_horizontal_lines, 113, 8),
        shape(frame_355_shape_group_2_shape_5_horizontal_lines, 115, 15),
        shape(frame_355_shape_group_2_shape_6_horizontal_lines, 121, 13),
        shape(frame_355_shape_group_2_shape_7_horizontal_lines, 134, 15),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(114, 114),
        horizontal_line(113, 121),
        horizontal_line(113, 120),
        horizontal_line(112, 120),
        horizontal_line(112, 119),
        horizontal_line(112, 119),
        horizontal_line(111, 119),
        horizontal_line(111, 118),
        horizontal_line(111, 118),
        horizontal_line(110, 118),
        horizontal_line(110, 117),
        horizontal_line(110, 117),
        horizontal_line(109, 117),
        horizontal_line(109, 116),
        horizontal_line(109, 116),
        horizontal_line(108, 115),
        horizontal_line(108, 115),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(153, 153),
        horizontal_line(155, 157),
        horizontal_line(158, 162),
        horizontal_line(157, 167),
        horizontal_line(157, 171),
        horizontal_line(156, 176),
        horizontal_line(156, 181),
        horizontal_line(155, 185),
        horizontal_line(155, 190),
        horizontal_line(154, 195),
        horizontal_line(154, 199),
        horizontal_line(154, 204),
        horizontal_line(95, 98),
        horizontal_line(45, 51),
        horizontal_line(45, 61),
        horizontal_line(44, 71),
        horizontal_line(44, 81),
        horizontal_line(44, 92),
        horizontal_line(95, 96),
        horizontal_line(150, 204),
        horizontal_line(150, 204),
        horizontal_line(149, 203),
        horizontal_line(149, 203),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(100, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 106),
        horizontal_line(98, 105),
        horizontal_line(98, 105),
        horizontal_line(98, 105),
        horizontal_line(97, 104),
        horizontal_line(97, 104),
        horizontal_line(97, 103),
        horizontal_line(96, 103),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(140, 143),
        horizontal_line(140, 143),
        horizontal_line(139, 142),
        horizontal_line(38, 85),
        horizontal_line(38, 84),
        horizontal_line(38, 84),
        horizontal_line(37, 84),
        horizontal_line(37, 83),
        horizontal_line(37, 81),
        horizontal_line(37, 80),
        horizontal_line(135, 139),
        horizontal_line(135, 138),
        horizontal_line(36, 69),
        horizontal_line(35, 56),
        horizontal_line(35, 43),
        horizontal_line(133, 137),
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(137, 182),
        horizontal_line(34, 77),
        horizontal_line(34, 77),
        horizontal_line(34, 77),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(188, 239),
        horizontal_line(189, 239),
        horizontal_line(190, 239),
        horizontal_line(191, 239),
        horizontal_line(192, 239),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(31, 74),
        horizontal_line(31, 74),
        horizontal_line(30, 73),
        horizontal_line(138, 183),
        horizontal_line(139, 182),
        horizontal_line(141, 182),
        horizontal_line(142, 181),
        horizontal_line(143, 181),
        horizontal_line(145, 180),
        horizontal_line(146, 180),
        horizontal_line(147, 179),
        horizontal_line(149, 179),
        horizontal_line(150, 178),
        horizontal_line(151, 178),
        horizontal_line(153, 177),
        horizontal_line(154, 177),
        horizontal_line(155, 176),
        horizontal_line(157, 176),
        horizontal_line(158, 175),
        horizontal_line(159, 175),
        horizontal_line(161, 174),
        horizontal_line(162, 174),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(24, 67),
        horizontal_line(24, 66),
        horizontal_line(24, 66),
        horizontal_line(23, 66),
        horizontal_line(23, 65),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(170, 171),
    };

    constexpr const horizontal_line frame_355_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(23, 65),
    };

    constexpr const shape frame_355_shape_group_3_shapes[] = {
        shape(frame_355_shape_group_3_shape_0_horizontal_lines, 53, 10),
        shape(frame_355_shape_group_3_shape_1_horizontal_lines, 70, 8),
        shape(frame_355_shape_group_3_shape_2_horizontal_lines, 93, 10),
        shape(frame_355_shape_group_3_shape_3_horizontal_lines, 103, 8),
        shape(frame_355_shape_group_3_shape_4_horizontal_lines, 120, 15),
        shape(frame_355_shape_group_3_shape_5_horizontal_lines, 124, 13),
        shape(frame_355_shape_group_3_shape_6_horizontal_lines, 131, 15),
        shape(frame_355_shape_group_3_shape_7_horizontal_lines, 153, 8),
        shape(frame_355_shape_group_3_shape_8_horizontal_lines, 158, 15),
        shape(frame_355_shape_group_3_shape_9_horizontal_lines, 159, 8),
    };

    constexpr const horizontal_line frame_355_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(122, 122),
        horizontal_line(121, 126),
        horizontal_line(121, 130),
        horizontal_line(120, 134),
        horizontal_line(120, 139),
    };

    constexpr const horizontal_line frame_355_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(139, 142),
        horizontal_line(139, 145),
        horizontal_line(138, 148),
        horizontal_line(138, 151),
        horizontal_line(138, 150),
        horizontal_line(137, 150),
        horizontal_line(137, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 149),
        horizontal_line(136, 148),
        horizontal_line(135, 148),
        horizontal_line(108, 115),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(107, 114),
        horizontal_line(106, 113),
        horizontal_line(106, 113),
        horizontal_line(105, 113),
        horizontal_line(105, 112),
        horizontal_line(105, 112),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
        horizontal_line(104, 111),
    };

    constexpr const horizontal_line frame_355_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(153, 208),
        horizontal_line(95, 98),
        horizontal_line(95, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 96),
        horizontal_line(151, 205),
    };

    constexpr const horizontal_line frame_355_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(101, 108),
        horizontal_line(101, 107),
        horizontal_line(100, 107),
        horizontal_line(100, 107),
        horizontal_line(126, 138),
        horizontal_line(125, 138),
        horizontal_line(125, 138),
        horizontal_line(124, 137),
        horizontal_line(124, 137),
        horizontal_line(124, 136),
        horizontal_line(123, 136),
        horizontal_line(123, 136),
        horizontal_line(122, 135),
        horizontal_line(122, 135),
    };

    constexpr const horizontal_line frame_355_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(147, 197),
        horizontal_line(149, 197),
        horizontal_line(151, 197),
        horizontal_line(139, 142),
        horizontal_line(138, 141),
        horizontal_line(138, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 139),
        horizontal_line(168, 193),
        horizontal_line(170, 192),
        horizontal_line(134, 138),
        horizontal_line(134, 138),
        horizontal_line(134, 137),
        horizontal_line(179, 190),
        horizontal_line(181, 190),
        horizontal_line(135, 136),
    };

    constexpr const horizontal_line frame_355_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(136, 184),
        horizontal_line(138, 186),
        horizontal_line(137, 188),
        horizontal_line(33, 76),
        horizontal_line(33, 76),
        horizontal_line(33, 76),
        horizontal_line(32, 75),
        horizontal_line(32, 75),
        horizontal_line(32, 75),
        horizontal_line(31, 74),
        horizontal_line(135, 184),
        horizontal_line(135, 184),
        horizontal_line(137, 183),
    };

    constexpr const horizontal_line frame_355_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(133, 137),
        horizontal_line(133, 138),
        horizontal_line(133, 140),
        horizontal_line(132, 141),
        horizontal_line(132, 142),
        horizontal_line(131, 144),
        horizontal_line(131, 145),
        horizontal_line(131, 146),
        horizontal_line(70, 70),
        horizontal_line(66, 70),
        horizontal_line(62, 70),
        horizontal_line(57, 69),
        horizontal_line(53, 69),
        horizontal_line(49, 69),
        horizontal_line(44, 68),
        horizontal_line(40, 68),
        horizontal_line(36, 68),
        horizontal_line(31, 67),
        horizontal_line(27, 67),
        horizontal_line(126, 162),
        horizontal_line(125, 164),
        horizontal_line(125, 165),
        horizontal_line(125, 166),
        horizontal_line(124, 168),
        horizontal_line(23, 65),
        horizontal_line(126, 171),
    };

    constexpr const shape frame_355_shape_group_4_shapes[] = {
        shape(frame_355_shape_group_4_shape_0_horizontal_lines, 54, 11),
        shape(frame_355_shape_group_4_shape_1_horizontal_lines, 59, 10),
        shape(frame_355_shape_group_4_shape_2_horizontal_lines, 82, 8),
        shape(frame_355_shape_group_4_shape_3_horizontal_lines, 89, 10),
        shape(frame_355_shape_group_4_shape_4_horizontal_lines, 103, 8),
        shape(frame_355_shape_group_4_shape_5_horizontal_lines, 121, 15),
        shape(frame_355_shape_group_4_shape_6_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(105, 109),
        horizontal_line(105, 108),
        horizontal_line(105, 108),
        horizontal_line(104, 108),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(135, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 147),
        horizontal_line(134, 146),
        horizontal_line(133, 146),
        horizontal_line(133, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 145),
        horizontal_line(132, 144),
        horizontal_line(131, 144),
        horizontal_line(131, 143),
        horizontal_line(130, 143),
        horizontal_line(103, 110),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(153, 207),
        horizontal_line(152, 207),
        horizontal_line(152, 206),
        horizontal_line(151, 206),
        horizontal_line(151, 205),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(101, 108),
        horizontal_line(127, 140),
        horizontal_line(127, 140),
        horizontal_line(126, 139),
        horizontal_line(126, 139),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(96, 103),
        horizontal_line(96, 102),
        horizontal_line(95, 102),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(153, 196),
        horizontal_line(155, 196),
        horizontal_line(157, 195),
        horizontal_line(159, 195),
        horizontal_line(162, 194),
        horizontal_line(164, 194),
        horizontal_line(166, 193),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(94, 99),
        horizontal_line(94, 99),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(172, 192),
        horizontal_line(174, 191),
        horizontal_line(177, 191),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(115, 128),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(183, 189),
        horizontal_line(185, 189),
        horizontal_line(187, 188),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(88, 90),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(137, 187),
        horizontal_line(137, 187),
        horizontal_line(136, 187),
        horizontal_line(136, 186),
        horizontal_line(136, 186),
        horizontal_line(135, 185),
        horizontal_line(135, 185),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(85, 107),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(134, 134),
        horizontal_line(134, 136),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_15_horizontal_lines[] = {
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 110),
        horizontal_line(82, 110),
        horizontal_line(82, 109),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_16_horizontal_lines[] = {
        horizontal_line(130, 148),
        horizontal_line(130, 149),
        horizontal_line(129, 150),
        horizontal_line(129, 152),
        horizontal_line(129, 153),
        horizontal_line(128, 154),
        horizontal_line(128, 156),
        horizontal_line(127, 157),
        horizontal_line(127, 158),
        horizontal_line(127, 160),
        horizontal_line(126, 161),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_17_horizontal_lines[] = {
        horizontal_line(78, 105),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(77, 104),
        horizontal_line(76, 103),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_18_horizontal_lines[] = {
        horizontal_line(125, 169),
    };

    constexpr const horizontal_line frame_355_shape_group_5_shape_19_horizontal_lines[] = {
        horizontal_line(76, 103),
    };

    constexpr const shape frame_355_shape_group_5_shapes[] = {
        shape(frame_355_shape_group_5_shape_0_horizontal_lines, 59, 11),
        shape(frame_355_shape_group_5_shape_1_horizontal_lines, 70, 10),
        shape(frame_355_shape_group_5_shape_2_horizontal_lines, 83, 8),
        shape(frame_355_shape_group_5_shape_3_horizontal_lines, 88, 10),
        shape(frame_355_shape_group_5_shape_4_horizontal_lines, 93, 11),
        shape(frame_355_shape_group_5_shape_5_horizontal_lines, 103, 10),
        shape(frame_355_shape_group_5_shape_6_horizontal_lines, 106, 8),
        shape(frame_355_shape_group_5_shape_7_horizontal_lines, 113, 10),
        shape(frame_355_shape_group_5_shape_8_horizontal_lines, 115, 8),
        shape(frame_355_shape_group_5_shape_9_horizontal_lines, 118, 10),
        shape(frame_355_shape_group_5_shape_10_horizontal_lines, 120, 8),
        shape(frame_355_shape_group_5_shape_11_horizontal_lines, 123, 10),
        shape(frame_355_shape_group_5_shape_12_horizontal_lines, 124, 15),
        shape(frame_355_shape_group_5_shape_13_horizontal_lines, 131, 10),
        shape(frame_355_shape_group_5_shape_14_horizontal_lines, 132, 8),
        shape(frame_355_shape_group_5_shape_15_horizontal_lines, 134, 10),
        shape(frame_355_shape_group_5_shape_16_horizontal_lines, 142, 8),
        shape(frame_355_shape_group_5_shape_17_horizontal_lines, 153, 10),
        shape(frame_355_shape_group_5_shape_18_horizontal_lines, 158, 8),
        shape(frame_355_shape_group_5_shape_19_horizontal_lines, 159, 10),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(120, 138),
        horizontal_line(119, 138),
        horizontal_line(119, 137),
        horizontal_line(119, 137),
        horizontal_line(118, 137),
        horizontal_line(118, 136),
        horizontal_line(118, 136),
        horizontal_line(117, 135),
        horizontal_line(117, 135),
        horizontal_line(116, 135),
        horizontal_line(116, 134),
        horizontal_line(103, 107),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(102, 106),
        horizontal_line(102, 105),
        horizontal_line(101, 105),
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(100, 104),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(99, 103),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(130, 143),
        horizontal_line(103, 110),
        horizontal_line(103, 110),
        horizontal_line(102, 109),
        horizontal_line(102, 109),
        horizontal_line(102, 109),
        horizontal_line(128, 140),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(17, 42),
        horizontal_line(12, 42),
        horizontal_line(6, 42),
        horizontal_line(1, 41),
        horizontal_line(95, 99),
        horizontal_line(95, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 97),
        horizontal_line(93, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 95),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(122, 134),
        horizontal_line(121, 134),
        horizontal_line(121, 134),
        horizontal_line(95, 102),
        horizontal_line(95, 101),
        horizontal_line(94, 101),
        horizontal_line(94, 101),
        horizontal_line(94, 100),
        horizontal_line(93, 100),
        horizontal_line(93, 99),
        horizontal_line(118, 131),
        horizontal_line(117, 130),
        horizontal_line(95, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(116, 129),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(0, 34),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(115, 128),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(114, 127),
        horizontal_line(88, 92),
        horizontal_line(87, 94),
        horizontal_line(87, 96),
        horizontal_line(87, 98),
        horizontal_line(86, 101),
        horizontal_line(86, 103),
        horizontal_line(86, 105),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(85, 109),
        horizontal_line(85, 112),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(0, 13),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 6),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(81, 109),
        horizontal_line(81, 109),
        horizontal_line(81, 108),
        horizontal_line(80, 108),
        horizontal_line(80, 108),
        horizontal_line(80, 107),
        horizontal_line(79, 107),
        horizontal_line(79, 106),
        horizontal_line(79, 106),
        horizontal_line(78, 106),
        horizontal_line(78, 105),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(174, 218),
        horizontal_line(174, 219),
        horizontal_line(173, 220),
        horizontal_line(173, 221),
        horizontal_line(172, 222),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(76, 103),
    };

    constexpr const horizontal_line frame_355_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(172, 225),
    };

    constexpr const shape frame_355_shape_group_6_shapes[] = {
        shape(frame_355_shape_group_6_shape_0_horizontal_lines, 59, 11),
        shape(frame_355_shape_group_6_shape_1_horizontal_lines, 82, 10),
        shape(frame_355_shape_group_6_shape_2_horizontal_lines, 89, 11),
        shape(frame_355_shape_group_6_shape_3_horizontal_lines, 103, 10),
        shape(frame_355_shape_group_6_shape_4_horizontal_lines, 119, 11),
        shape(frame_355_shape_group_6_shape_5_horizontal_lines, 120, 10),
        shape(frame_355_shape_group_6_shape_6_horizontal_lines, 131, 11),
        shape(frame_355_shape_group_6_shape_7_horizontal_lines, 132, 10),
        shape(frame_355_shape_group_6_shape_8_horizontal_lines, 134, 11),
        shape(frame_355_shape_group_6_shape_9_horizontal_lines, 142, 10),
        shape(frame_355_shape_group_6_shape_10_horizontal_lines, 153, 11),
        shape(frame_355_shape_group_6_shape_11_horizontal_lines, 158, 10),
        shape(frame_355_shape_group_6_shape_12_horizontal_lines, 159, 11),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(151, 151),
        horizontal_line(151, 151),
        horizontal_line(150, 150),
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(149, 149),
        horizontal_line(149, 149),
        horizontal_line(116, 134),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
        horizontal_line(115, 133),
        horizontal_line(114, 132),
        horizontal_line(114, 132),
        horizontal_line(114, 131),
        horizontal_line(113, 131),
        horizontal_line(113, 131),
        horizontal_line(112, 130),
        horizontal_line(112, 130),
        horizontal_line(112, 129),
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(130, 142),
        horizontal_line(129, 142),
        horizontal_line(129, 142),
        horizontal_line(128, 141),
        horizontal_line(128, 141),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(23, 42),
        horizontal_line(97, 100),
        horizontal_line(96, 100),
        horizontal_line(96, 99),
        horizontal_line(95, 99),
        horizontal_line(107, 125),
        horizontal_line(107, 124),
        horizontal_line(107, 124),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(106, 123),
        horizontal_line(105, 122),
        horizontal_line(105, 122),
        horizontal_line(104, 121),
        horizontal_line(104, 121),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(120, 133),
        horizontal_line(120, 133),
        horizontal_line(120, 133),
        horizontal_line(119, 132),
        horizontal_line(119, 132),
        horizontal_line(118, 131),
        horizontal_line(118, 131),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(117, 130),
        horizontal_line(116, 129),
        horizontal_line(116, 129),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(0, 34),
        horizontal_line(98, 114),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(113, 126),
        horizontal_line(113, 126),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 20),
        horizontal_line(185, 192),
        horizontal_line(0, 17),
        horizontal_line(0, 15),
        horizontal_line(184, 196),
        horizontal_line(183, 197),
        horizontal_line(183, 198),
        horizontal_line(182, 199),
        horizontal_line(182, 200),
        horizontal_line(181, 201),
        horizontal_line(181, 203),
        horizontal_line(180, 204),
        horizontal_line(0, 0),
        horizontal_line(179, 206),
        horizontal_line(179, 207),
        horizontal_line(178, 208),
        horizontal_line(178, 210),
        horizontal_line(177, 211),
        horizontal_line(177, 212),
        horizontal_line(176, 213),
        horizontal_line(176, 214),
        horizontal_line(175, 215),
        horizontal_line(175, 216),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(68, 77),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(67, 76),
        horizontal_line(66, 75),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(172, 223),
    };

    constexpr const horizontal_line frame_355_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(66, 75),
    };

    constexpr const shape frame_355_shape_group_7_shapes[] = {
        shape(frame_355_shape_group_7_shape_0_horizontal_lines, 63, 11),
        shape(frame_355_shape_group_7_shape_1_horizontal_lines, 68, 11),
        shape(frame_355_shape_group_7_shape_2_horizontal_lines, 83, 10),
        shape(frame_355_shape_group_7_shape_3_horizontal_lines, 88, 11),
        shape(frame_355_shape_group_7_shape_4_horizontal_lines, 106, 10),
        shape(frame_355_shape_group_7_shape_5_horizontal_lines, 113, 11),
        shape(frame_355_shape_group_7_shape_6_horizontal_lines, 115, 10),
        shape(frame_355_shape_group_7_shape_7_horizontal_lines, 118, 11),
        shape(frame_355_shape_group_7_shape_8_horizontal_lines, 124, 10),
        shape(frame_355_shape_group_7_shape_9_horizontal_lines, 126, 11),
        shape(frame_355_shape_group_7_shape_10_horizontal_lines, 153, 3),
        shape(frame_355_shape_group_7_shape_11_horizontal_lines, 158, 11),
        shape(frame_355_shape_group_7_shape_12_horizontal_lines, 159, 3),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(148, 151),
        horizontal_line(148, 151),
        horizontal_line(147, 150),
        horizontal_line(147, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 149),
        horizontal_line(146, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 147),
        horizontal_line(111, 129),
        horizontal_line(99, 102),
        horizontal_line(98, 102),
        horizontal_line(39, 43),
        horizontal_line(34, 43),
        horizontal_line(28, 43),
        horizontal_line(97, 100),
        horizontal_line(109, 126),
        horizontal_line(108, 126),
        horizontal_line(108, 125),
        horizontal_line(108, 125),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 142),
        horizontal_line(138, 142),
        horizontal_line(138, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(91, 95),
        horizontal_line(91, 95),
        horizontal_line(90, 94),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(100, 117),
        horizontal_line(100, 116),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(98, 115),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(87, 97),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(99, 114),
        horizontal_line(101, 113),
        horizontal_line(103, 113),
        horizontal_line(106, 113),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(113, 126),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(187, 188),
        horizontal_line(187, 189),
        horizontal_line(186, 190),
        horizontal_line(186, 191),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(113, 134),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(185, 193),
        horizontal_line(184, 195),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(74, 83),
        horizontal_line(74, 83),
        horizontal_line(73, 83),
        horizontal_line(73, 82),
        horizontal_line(73, 82),
        horizontal_line(72, 82),
        horizontal_line(72, 81),
        horizontal_line(72, 81),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(180, 205),
    };

    constexpr const horizontal_line frame_355_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(71, 80),
        horizontal_line(71, 80),
        horizontal_line(70, 79),
        horizontal_line(70, 79),
        horizontal_line(70, 79),
        horizontal_line(69, 78),
        horizontal_line(69, 78),
        horizontal_line(69, 78),
        horizontal_line(68, 77),
        horizontal_line(68, 77),
        horizontal_line(106, 125),
        horizontal_line(105, 124),
        horizontal_line(105, 124),
        horizontal_line(105, 124),
        horizontal_line(104, 123),
        horizontal_line(66, 75),
        horizontal_line(104, 123),
    };

    constexpr const shape frame_355_shape_group_8_shapes[] = {
        shape(frame_355_shape_group_8_shape_0_horizontal_lines, 70, 11),
        shape(frame_355_shape_group_8_shape_1_horizontal_lines, 119, 1),
        shape(frame_355_shape_group_8_shape_2_horizontal_lines, 120, 11),
        shape(frame_355_shape_group_8_shape_3_horizontal_lines, 126, 1),
        shape(frame_355_shape_group_8_shape_4_horizontal_lines, 127, 11),
        shape(frame_355_shape_group_8_shape_5_horizontal_lines, 131, 1),
        shape(frame_355_shape_group_8_shape_6_horizontal_lines, 132, 11),
        shape(frame_355_shape_group_8_shape_7_horizontal_lines, 134, 3),
        shape(frame_355_shape_group_8_shape_8_horizontal_lines, 142, 11),
        shape(frame_355_shape_group_8_shape_9_horizontal_lines, 143, 3),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(152, 154),
        horizontal_line(152, 157),
        horizontal_line(151, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 155),
        horizontal_line(150, 155),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(148, 153),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(144, 147),
        horizontal_line(111, 129),
        horizontal_line(111, 128),
        horizontal_line(98, 101),
        horizontal_line(98, 101),
        horizontal_line(97, 101),
        horizontal_line(109, 127),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(140, 144),
        horizontal_line(140, 143),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(91, 94),
        horizontal_line(91, 94),
        horizontal_line(90, 93),
        horizontal_line(90, 93),
        horizontal_line(89, 92),
        horizontal_line(89, 92),
        horizontal_line(89, 92),
        horizontal_line(88, 91),
        horizontal_line(88, 91),
        horizontal_line(87, 91),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(104, 121),
        horizontal_line(103, 120),
        horizontal_line(103, 120),
        horizontal_line(90, 92),
        horizontal_line(102, 119),
        horizontal_line(102, 119),
        horizontal_line(102, 118),
        horizontal_line(101, 118),
        horizontal_line(101, 117),
        horizontal_line(100, 117),
        horizontal_line(132, 134),
        horizontal_line(131, 134),
        horizontal_line(99, 116),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(86, 96),
        horizontal_line(129, 133),
        horizontal_line(87, 97),
        horizontal_line(88, 92),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(78, 88),
        horizontal_line(78, 87),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(108, 112),
        horizontal_line(110, 112),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(77, 86),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(113, 127),
        horizontal_line(113, 129),
        horizontal_line(113, 130),
        horizontal_line(113, 132),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(75, 84),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(113, 123),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(74, 84),
        horizontal_line(113, 132),
        horizontal_line(113, 132),
        horizontal_line(112, 132),
        horizontal_line(112, 131),
        horizontal_line(112, 131),
        horizontal_line(111, 130),
        horizontal_line(111, 130),
        horizontal_line(110, 130),
        horizontal_line(71, 80),
        horizontal_line(110, 129),
        horizontal_line(109, 128),
        horizontal_line(109, 128),
        horizontal_line(109, 128),
        horizontal_line(108, 127),
        horizontal_line(108, 127),
        horizontal_line(107, 126),
        horizontal_line(107, 126),
        horizontal_line(107, 126),
        horizontal_line(106, 125),
    };

    constexpr const horizontal_line frame_355_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(104, 123),
    };

    constexpr const shape frame_355_shape_group_9_shapes[] = {
        shape(frame_355_shape_group_9_shape_0_horizontal_lines, 71, 1),
        shape(frame_355_shape_group_9_shape_1_horizontal_lines, 82, 11),
        shape(frame_355_shape_group_9_shape_2_horizontal_lines, 93, 1),
        shape(frame_355_shape_group_9_shape_3_horizontal_lines, 103, 11),
        shape(frame_355_shape_group_9_shape_4_horizontal_lines, 118, 1),
        shape(frame_355_shape_group_9_shape_5_horizontal_lines, 122, 3),
        shape(frame_355_shape_group_9_shape_6_horizontal_lines, 124, 11),
        shape(frame_355_shape_group_9_shape_7_horizontal_lines, 126, 3),
        shape(frame_355_shape_group_9_shape_8_horizontal_lines, 127, 1),
        shape(frame_355_shape_group_9_shape_9_horizontal_lines, 131, 3),
        shape(frame_355_shape_group_9_shape_10_horizontal_lines, 132, 1),
        shape(frame_355_shape_group_9_shape_11_horizontal_lines, 133, 3),
        shape(frame_355_shape_group_9_shape_12_horizontal_lines, 158, 3),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(143, 147),
        horizontal_line(143, 146),
        horizontal_line(110, 128),
        horizontal_line(110, 127),
        horizontal_line(110, 127),
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(92, 95),
        horizontal_line(92, 95),
        horizontal_line(91, 94),
        horizontal_line(144, 147),
        horizontal_line(144, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 145),
        horizontal_line(142, 145),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 138),
        horizontal_line(94, 94),
        horizontal_line(134, 137),
        horizontal_line(134, 137),
        horizontal_line(133, 136),
        horizontal_line(133, 136),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(83, 93),
        horizontal_line(83, 93),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(131, 133),
        horizontal_line(130, 133),
        horizontal_line(131, 133),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(130, 132),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(79, 86),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(129, 134),
        horizontal_line(133, 135),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(77, 87),
        horizontal_line(77, 86),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(76, 86),
        horizontal_line(76, 85),
        horizontal_line(76, 85),
        horizontal_line(75, 85),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(75, 84),
        horizontal_line(114, 133),
    };

    constexpr const horizontal_line frame_355_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(110, 129),
    };

    constexpr const shape frame_355_shape_group_10_shapes[] = {
        shape(frame_355_shape_group_10_shape_0_horizontal_lines, 82, 1),
        shape(frame_355_shape_group_10_shape_1_horizontal_lines, 83, 11),
        shape(frame_355_shape_group_10_shape_2_horizontal_lines, 89, 1),
        shape(frame_355_shape_group_10_shape_3_horizontal_lines, 103, 11),
        shape(frame_355_shape_group_10_shape_4_horizontal_lines, 113, 1),
        shape(frame_355_shape_group_10_shape_5_horizontal_lines, 115, 11),
        shape(frame_355_shape_group_10_shape_6_horizontal_lines, 118, 1),
        shape(frame_355_shape_group_10_shape_7_horizontal_lines, 119, 3),
        shape(frame_355_shape_group_10_shape_8_horizontal_lines, 120, 1),
        shape(frame_355_shape_group_10_shape_9_horizontal_lines, 124, 3),
        shape(frame_355_shape_group_10_shape_10_horizontal_lines, 127, 3),
        shape(frame_355_shape_group_10_shape_11_horizontal_lines, 132, 3),
        shape(frame_355_shape_group_10_shape_12_horizontal_lines, 142, 3),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(148, 152),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(143, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 145),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(93, 94),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 148),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(87, 90),
        horizontal_line(87, 90),
        horizontal_line(86, 89),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(103, 119),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(85, 89),
        horizontal_line(85, 87),
        horizontal_line(85, 85),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(82, 82),
        horizontal_line(82, 87),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(81, 82),
        horizontal_line(81, 82),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(84, 94),
        horizontal_line(85, 95),
        horizontal_line(85, 95),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(79, 85),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(79, 86),
        horizontal_line(78, 87),
    };

    constexpr const horizontal_line frame_355_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(124, 133),
    };

    constexpr const shape frame_355_shape_group_11_shapes[] = {
        shape(frame_355_shape_group_11_shape_0_horizontal_lines, 83, 1),
        shape(frame_355_shape_group_11_shape_1_horizontal_lines, 85, 11),
        shape(frame_355_shape_group_11_shape_2_horizontal_lines, 88, 1),
        shape(frame_355_shape_group_11_shape_3_horizontal_lines, 103, 1),
        shape(frame_355_shape_group_11_shape_4_horizontal_lines, 106, 11),
        shape(frame_355_shape_group_11_shape_5_horizontal_lines, 107, 1),
        shape(frame_355_shape_group_11_shape_6_horizontal_lines, 111, 1),
        shape(frame_355_shape_group_11_shape_7_horizontal_lines, 113, 3),
        shape(frame_355_shape_group_11_shape_8_horizontal_lines, 115, 1),
        shape(frame_355_shape_group_11_shape_9_horizontal_lines, 118, 3),
        shape(frame_355_shape_group_11_shape_10_horizontal_lines, 120, 3),
        shape(frame_355_shape_group_11_shape_11_horizontal_lines, 132, 3),
    };

    constexpr const horizontal_line frame_355_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(147, 151),
        horizontal_line(147, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_355_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(134, 138),
    };

    constexpr const horizontal_line frame_355_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(81, 81),
    };

    constexpr const horizontal_line frame_355_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(80, 83),
        horizontal_line(80, 84),
    };

    constexpr const horizontal_line frame_355_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(130, 130),
    };

    constexpr const shape frame_355_shape_group_12_shapes[] = {
        shape(frame_355_shape_group_12_shape_0_horizontal_lines, 85, 1),
        shape(frame_355_shape_group_12_shape_1_horizontal_lines, 106, 11),
        shape(frame_355_shape_group_12_shape_2_horizontal_lines, 112, 3),
        shape(frame_355_shape_group_12_shape_3_horizontal_lines, 115, 3),
        shape(frame_355_shape_group_12_shape_4_horizontal_lines, 117, 1),
    };

    constexpr const horizontal_line frame_355_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(86, 89),
    };

    constexpr const horizontal_line frame_355_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(80, 84),
    };

    constexpr const shape frame_355_shape_group_13_shapes[] = {
        shape(frame_355_shape_group_13_shape_0_horizontal_lines, 106, 1),
        shape(frame_355_shape_group_13_shape_1_horizontal_lines, 117, 3),
    };

    constexpr const shape_group frame_355_shape_groups[] = {
        shape_group(frame_355_shape_group_0_shapes),
        shape_group(frame_355_shape_group_1_shapes),
        shape_group(frame_355_shape_group_2_shapes),
        shape_group(frame_355_shape_group_3_shapes),
        shape_group(frame_355_shape_group_4_shapes),
        shape_group(frame_355_shape_group_5_shapes),
        shape_group(frame_355_shape_group_6_shapes),
        shape_group(frame_355_shape_group_7_shapes),
        shape_group(frame_355_shape_group_8_shapes),
        shape_group(frame_355_shape_group_9_shapes),
        shape_group(frame_355_shape_group_10_shapes),
        shape_group(frame_355_shape_group_11_shapes),
        shape_group(frame_355_shape_group_12_shapes),
        shape_group(frame_355_shape_group_13_shapes),
    };

    constexpr const frame frame_355_impl(frame_355_colors, frame_355_shape_groups);
} 

const frame& frame_355()
{
    return frame_355_impl;
}

namespace
{
    constexpr const bn::color frame_356_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_356_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 17),
        horizontal_line(0, 19),
        horizontal_line(0, 22),
        horizontal_line(0, 24),
        horizontal_line(0, 27),
        horizontal_line(0, 29),
        horizontal_line(0, 31),
        horizontal_line(0, 34),
        horizontal_line(0, 36),
        horizontal_line(0, 39),
        horizontal_line(0, 41),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 54),
        horizontal_line(0, 56),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 40),
        horizontal_line(0, 34),
        horizontal_line(0, 28),
        horizontal_line(0, 23),
        horizontal_line(0, 17),
        horizontal_line(0, 11),
        horizontal_line(0, 5),
        horizontal_line(0, 0),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(94, 95),
        horizontal_line(91, 95),
        horizontal_line(88, 95),
        horizontal_line(86, 94),
        horizontal_line(91, 94),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(196, 239),
        horizontal_line(97, 97),
        horizontal_line(86, 98),
        horizontal_line(87, 100),
        horizontal_line(89, 102),
        horizontal_line(91, 104),
        horizontal_line(34, 34),
        horizontal_line(32, 34),
        horizontal_line(30, 34),
        horizontal_line(29, 33),
        horizontal_line(27, 33),
        horizontal_line(25, 33),
        horizontal_line(23, 33),
        horizontal_line(22, 32),
        horizontal_line(20, 32),
        horizontal_line(18, 32),
        horizontal_line(16, 31),
        horizontal_line(15, 31),
        horizontal_line(13, 31),
        horizontal_line(11, 31),
        horizontal_line(9, 30),
        horizontal_line(8, 30),
        horizontal_line(6, 30),
        horizontal_line(4, 30),
        horizontal_line(2, 29),
        horizontal_line(1, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
    };

    constexpr const shape frame_356_shape_group_0_shapes[] = {
        shape(frame_356_shape_group_0_shape_0_horizontal_lines, 17, 13),
    };

    constexpr const horizontal_line frame_356_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(59, 62),
        horizontal_line(62, 65),
        horizontal_line(65, 68),
        horizontal_line(69, 71),
        horizontal_line(72, 74),
        horizontal_line(75, 78),
        horizontal_line(78, 81),
        horizontal_line(82, 84),
        horizontal_line(85, 87),
        horizontal_line(88, 90),
        horizontal_line(91, 94),
        horizontal_line(95, 97),
        horizontal_line(98, 100),
        horizontal_line(101, 103),
        horizontal_line(105, 106),
        horizontal_line(105, 110),
        horizontal_line(105, 108),
        horizontal_line(105, 108),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(102, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 102),
        horizontal_line(99, 102),
        horizontal_line(99, 101),
        horizontal_line(99, 101),
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_356_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(213, 213),
        horizontal_line(212, 219),
        horizontal_line(212, 226),
        horizontal_line(211, 232),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
    };

    constexpr const horizontal_line frame_356_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(44, 92),
        horizontal_line(44, 92),
        horizontal_line(43, 92),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(43, 91),
        horizontal_line(42, 90),
        horizontal_line(42, 90),
        horizontal_line(42, 90),
        horizontal_line(41, 89),
        horizontal_line(41, 89),
        horizontal_line(41, 88),
        horizontal_line(41, 88),
        horizontal_line(40, 88),
    };

    constexpr const horizontal_line frame_356_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
    };

    constexpr const horizontal_line frame_356_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(39, 83),
        horizontal_line(38, 82),
        horizontal_line(38, 82),
        horizontal_line(38, 82),
        horizontal_line(37, 72),
        horizontal_line(37, 59),
        horizontal_line(37, 46),
    };

    constexpr const horizontal_line frame_356_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(194, 239),
        horizontal_line(194, 239),
        horizontal_line(193, 239),
        horizontal_line(93, 106),
        horizontal_line(95, 108),
        horizontal_line(97, 110),
        horizontal_line(98, 109),
        horizontal_line(100, 109),
        horizontal_line(102, 109),
        horizontal_line(104, 108),
        horizontal_line(106, 108),
        horizontal_line(108, 108),
        horizontal_line(132, 132),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(228, 239),
    };

    constexpr const shape frame_356_shape_group_1_shapes[] = {
        shape(frame_356_shape_group_1_shape_0_horizontal_lines, 42, 8),
        shape(frame_356_shape_group_1_shape_1_horizontal_lines, 82, 13),
        shape(frame_356_shape_group_1_shape_2_horizontal_lines, 92, 8),
        shape(frame_356_shape_group_1_shape_3_horizontal_lines, 106, 13),
        shape(frame_356_shape_group_1_shape_4_horizontal_lines, 111, 8),
        shape(frame_356_shape_group_1_shape_5_horizontal_lines, 118, 13),
    };

    constexpr const horizontal_line frame_356_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(59, 61),
        horizontal_line(59, 64),
        horizontal_line(58, 68),
        horizontal_line(58, 71),
        horizontal_line(58, 74),
        horizontal_line(57, 77),
        horizontal_line(57, 81),
        horizontal_line(57, 84),
        horizontal_line(56, 87),
        horizontal_line(56, 90),
        horizontal_line(56, 94),
        horizontal_line(55, 97),
        horizontal_line(55, 100),
        horizontal_line(55, 104),
        horizontal_line(55, 104),
        horizontal_line(54, 104),
        horizontal_line(54, 104),
        horizontal_line(54, 103),
        horizontal_line(53, 103),
        horizontal_line(53, 103),
        horizontal_line(53, 102),
        horizontal_line(52, 102),
        horizontal_line(52, 102),
        horizontal_line(52, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 101),
        horizontal_line(51, 100),
    };

    constexpr const horizontal_line frame_356_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(160, 160),
        horizontal_line(159, 165),
        horizontal_line(159, 170),
        horizontal_line(158, 175),
        horizontal_line(158, 179),
        horizontal_line(157, 184),
        horizontal_line(157, 189),
        horizontal_line(156, 194),
        horizontal_line(156, 198),
        horizontal_line(156, 203),
        horizontal_line(155, 208),
        horizontal_line(47, 54),
        horizontal_line(47, 64),
        horizontal_line(46, 74),
        horizontal_line(46, 84),
        horizontal_line(46, 94),
        horizontal_line(45, 94),
        horizontal_line(45, 94),
        horizontal_line(45, 93),
        horizontal_line(45, 93),
        horizontal_line(44, 93),
        horizontal_line(150, 207),
        horizontal_line(150, 206),
        horizontal_line(150, 206),
        horizontal_line(149, 205),
        horizontal_line(149, 205),
        horizontal_line(148, 204),
        horizontal_line(148, 204),
        horizontal_line(147, 203),
        horizontal_line(147, 203),
        horizontal_line(147, 202),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(140, 144),
        horizontal_line(140, 144),
        horizontal_line(40, 87),
        horizontal_line(40, 87),
        horizontal_line(39, 87),
        horizontal_line(39, 84),
        horizontal_line(39, 83),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(137, 140),
        horizontal_line(136, 140),
        horizontal_line(136, 140),
        horizontal_line(135, 139),
        horizontal_line(135, 139),
        horizontal_line(135, 138),
        horizontal_line(136, 138),
        horizontal_line(137, 137),
        horizontal_line(187, 193),
        horizontal_line(189, 192),
    };

    constexpr const horizontal_line frame_356_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(129, 135),
        horizontal_line(128, 140),
        horizontal_line(127, 139),
        horizontal_line(126, 138),
        horizontal_line(127, 137),
        horizontal_line(128, 136),
        horizontal_line(129, 135),
        horizontal_line(130, 134),
        horizontal_line(131, 133),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_356_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(136, 140),
        horizontal_line(136, 141),
        horizontal_line(135, 142),
        horizontal_line(135, 144),
        horizontal_line(135, 145),
        horizontal_line(134, 146),
        horizontal_line(134, 147),
        horizontal_line(71, 73),
        horizontal_line(66, 72),
        horizontal_line(61, 72),
        horizontal_line(56, 72),
        horizontal_line(51, 71),
        horizontal_line(45, 71),
        horizontal_line(40, 71),
        horizontal_line(35, 70),
        horizontal_line(30, 70),
        horizontal_line(28, 70),
        horizontal_line(27, 69),
        horizontal_line(27, 69),
        horizontal_line(27, 69),
        horizontal_line(27, 68),
        horizontal_line(26, 68),
        horizontal_line(26, 68),
        horizontal_line(26, 67),
        horizontal_line(26, 67),
        horizontal_line(25, 67),
    };

    constexpr const shape frame_356_shape_group_2_shapes[] = {
        shape(frame_356_shape_group_2_shape_0_horizontal_lines, 43, 15),
        shape(frame_356_shape_group_2_shape_1_horizontal_lines, 70, 8),
        shape(frame_356_shape_group_2_shape_2_horizontal_lines, 123, 13),
        shape(frame_356_shape_group_2_shape_3_horizontal_lines, 133, 8),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(116, 120),
        horizontal_line(115, 119),
        horizontal_line(115, 119),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(114, 118),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(113, 117),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(112, 116),
        horizontal_line(111, 115),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(110, 114),
        horizontal_line(110, 114),
        horizontal_line(109, 113),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(51, 100),
        horizontal_line(50, 100),
        horizontal_line(50, 99),
        horizontal_line(50, 99),
        horizontal_line(49, 99),
        horizontal_line(49, 98),
        horizontal_line(49, 98),
        horizontal_line(48, 98),
        horizontal_line(48, 97),
        horizontal_line(48, 97),
        horizontal_line(47, 97),
        horizontal_line(47, 96),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(96, 97),
        horizontal_line(97, 97),
        horizontal_line(152, 208),
        horizontal_line(151, 208),
        horizontal_line(151, 207),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(101, 105),
        horizontal_line(101, 105),
        horizontal_line(101, 104),
        horizontal_line(100, 104),
        horizontal_line(100, 104),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 102),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(149, 202),
        horizontal_line(151, 201),
        horizontal_line(153, 201),
        horizontal_line(155, 201),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(138, 142),
        horizontal_line(138, 142),
        horizontal_line(167, 198),
        horizontal_line(169, 197),
        horizontal_line(171, 197),
        horizontal_line(173, 196),
        horizontal_line(175, 196),
        horizontal_line(177, 195),
        horizontal_line(179, 195),
        horizontal_line(181, 194),
        horizontal_line(183, 194),
        horizontal_line(185, 193),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(36, 79),
        horizontal_line(36, 79),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(193, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(192, 239),
        horizontal_line(193, 239),
        horizontal_line(194, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(32, 75),
        horizontal_line(32, 75),
        horizontal_line(32, 75),
        horizontal_line(32, 74),
        horizontal_line(31, 74),
        horizontal_line(31, 74),
        horizontal_line(31, 73),
        horizontal_line(31, 73),
    };

    constexpr const horizontal_line frame_356_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(133, 149),
        horizontal_line(133, 150),
        horizontal_line(132, 151),
        horizontal_line(132, 153),
        horizontal_line(132, 154),
        horizontal_line(131, 155),
        horizontal_line(131, 156),
        horizontal_line(130, 158),
        horizontal_line(130, 159),
        horizontal_line(129, 160),
        horizontal_line(129, 161),
        horizontal_line(129, 163),
        horizontal_line(128, 164),
        horizontal_line(128, 165),
        horizontal_line(127, 166),
        horizontal_line(127, 168),
        horizontal_line(126, 169),
        horizontal_line(127, 170),
        horizontal_line(128, 172),
    };

    constexpr const shape frame_356_shape_group_3_shapes[] = {
        shape(frame_356_shape_group_3_shape_0_horizontal_lines, 52, 10),
        shape(frame_356_shape_group_3_shape_1_horizontal_lines, 70, 15),
        shape(frame_356_shape_group_3_shape_2_horizontal_lines, 82, 8),
        shape(frame_356_shape_group_3_shape_3_horizontal_lines, 92, 10),
        shape(frame_356_shape_group_3_shape_4_horizontal_lines, 102, 8),
        shape(frame_356_shape_group_3_shape_5_horizontal_lines, 121, 15),
        shape(frame_356_shape_group_3_shape_6_horizontal_lines, 123, 13),
        shape(frame_356_shape_group_3_shape_7_horizontal_lines, 132, 8),
        shape(frame_356_shape_group_3_shape_8_horizontal_lines, 133, 15),
        shape(frame_356_shape_group_3_shape_9_horizontal_lines, 141, 8),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(121, 121),
        horizontal_line(120, 126),
        horizontal_line(120, 131),
        horizontal_line(119, 137),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(137, 139),
        horizontal_line(137, 142),
        horizontal_line(136, 145),
        horizontal_line(136, 148),
        horizontal_line(136, 151),
        horizontal_line(135, 150),
        horizontal_line(135, 150),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 149),
        horizontal_line(133, 148),
        horizontal_line(133, 148),
        horizontal_line(132, 147),
        horizontal_line(132, 147),
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 111),
        horizontal_line(107, 110),
        horizontal_line(106, 110),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(105, 109),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(155, 212),
        horizontal_line(154, 211),
        horizontal_line(154, 211),
        horizontal_line(153, 210),
        horizontal_line(153, 210),
        horizontal_line(153, 209),
        horizontal_line(152, 209),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(102, 106),
        horizontal_line(102, 106),
        horizontal_line(102, 105),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(122, 137),
        horizontal_line(122, 137),
        horizontal_line(122, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
        horizontal_line(121, 135),
        horizontal_line(120, 135),
        horizontal_line(120, 134),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(146, 148),
        horizontal_line(146, 150),
        horizontal_line(145, 152),
        horizontal_line(145, 154),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(157, 200),
        horizontal_line(159, 200),
        horizontal_line(161, 199),
        horizontal_line(163, 199),
        horizontal_line(165, 198),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(142, 166),
        horizontal_line(142, 168),
        horizontal_line(141, 170),
        horizontal_line(141, 172),
        horizontal_line(73, 81),
        horizontal_line(60, 81),
        horizontal_line(47, 81),
        horizontal_line(37, 80),
        horizontal_line(36, 80),
        horizontal_line(36, 80),
        horizontal_line(138, 186),
        horizontal_line(139, 188),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(191, 192),
    };

    constexpr const horizontal_line frame_356_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(35, 78),
        horizontal_line(35, 78),
        horizontal_line(34, 78),
        horizontal_line(34, 77),
        horizontal_line(34, 77),
        horizontal_line(34, 77),
        horizontal_line(33, 76),
        horizontal_line(33, 76),
        horizontal_line(33, 76),
        horizontal_line(140, 187),
        horizontal_line(141, 186),
        horizontal_line(142, 186),
        horizontal_line(143, 185),
        horizontal_line(145, 185),
        horizontal_line(146, 184),
        horizontal_line(147, 184),
        horizontal_line(148, 183),
        horizontal_line(30, 70),
        horizontal_line(30, 65),
        horizontal_line(30, 60),
        horizontal_line(29, 55),
        horizontal_line(29, 50),
        horizontal_line(29, 44),
        horizontal_line(29, 39),
        horizontal_line(28, 34),
        horizontal_line(28, 29),
        horizontal_line(161, 178),
        horizontal_line(162, 178),
        horizontal_line(164, 177),
        horizontal_line(165, 177),
        horizontal_line(166, 176),
        horizontal_line(167, 176),
        horizontal_line(169, 175),
        horizontal_line(170, 175),
        horizontal_line(126, 126),
        horizontal_line(126, 127),
    };

    constexpr const shape frame_356_shape_group_4_shapes[] = {
        shape(frame_356_shape_group_4_shape_0_horizontal_lines, 52, 11),
        shape(frame_356_shape_group_4_shape_1_horizontal_lines, 56, 10),
        shape(frame_356_shape_group_4_shape_2_horizontal_lines, 82, 8),
        shape(frame_356_shape_group_4_shape_3_horizontal_lines, 89, 10),
        shape(frame_356_shape_group_4_shape_4_horizontal_lines, 102, 15),
        shape(frame_356_shape_group_4_shape_5_horizontal_lines, 106, 8),
        shape(frame_356_shape_group_4_shape_6_horizontal_lines, 111, 15),
        shape(frame_356_shape_group_4_shape_7_horizontal_lines, 123, 8),
        shape(frame_356_shape_group_4_shape_8_horizontal_lines, 124, 15),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(119, 136),
        horizontal_line(119, 136),
        horizontal_line(109, 112),
        horizontal_line(109, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 111),
        horizontal_line(108, 111),
        horizontal_line(107, 111),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(106, 110),
        horizontal_line(106, 109),
        horizontal_line(105, 109),
        horizontal_line(105, 108),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(132, 147),
        horizontal_line(131, 146),
        horizontal_line(131, 146),
        horizontal_line(131, 145),
        horizontal_line(130, 145),
        horizontal_line(130, 145),
        horizontal_line(129, 144),
        horizontal_line(129, 144),
        horizontal_line(129, 143),
        horizontal_line(128, 143),
        horizontal_line(128, 143),
        horizontal_line(127, 142),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(55, 96),
        horizontal_line(65, 96),
        horizontal_line(75, 95),
        horizontal_line(85, 95),
        horizontal_line(95, 95),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(103, 107),
        horizontal_line(103, 106),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(124, 138),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(98, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(144, 156),
        horizontal_line(144, 158),
        horizontal_line(144, 160),
        horizontal_line(143, 162),
        horizontal_line(143, 164),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(95, 98),
        horizontal_line(95, 98),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(141, 174),
        horizontal_line(140, 176),
        horizontal_line(140, 178),
        horizontal_line(139, 180),
        horizontal_line(139, 182),
        horizontal_line(138, 184),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(85, 88),
        horizontal_line(84, 90),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(35, 79),
        horizontal_line(141, 191),
        horizontal_line(140, 191),
        horizontal_line(140, 191),
        horizontal_line(139, 190),
        horizontal_line(139, 189),
        horizontal_line(138, 189),
        horizontal_line(138, 188),
        horizontal_line(138, 188),
        horizontal_line(138, 187),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(81, 107),
        horizontal_line(80, 106),
        horizontal_line(80, 106),
        horizontal_line(80, 106),
        horizontal_line(79, 105),
        horizontal_line(79, 105),
        horizontal_line(79, 104),
        horizontal_line(78, 104),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(150, 183),
        horizontal_line(151, 182),
        horizontal_line(152, 182),
        horizontal_line(154, 181),
        horizontal_line(155, 181),
        horizontal_line(156, 180),
        horizontal_line(157, 180),
        horizontal_line(159, 179),
        horizontal_line(160, 179),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(75, 100),
        horizontal_line(74, 100),
        horizontal_line(74, 99),
        horizontal_line(74, 99),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(73, 98),
        horizontal_line(72, 97),
    };

    constexpr const horizontal_line frame_356_shape_group_5_shape_14_horizontal_lines[] = {
        horizontal_line(171, 174),
        horizontal_line(173, 174),
    };

    constexpr const shape frame_356_shape_group_5_shapes[] = {
        shape(frame_356_shape_group_5_shape_0_horizontal_lines, 56, 11),
        shape(frame_356_shape_group_5_shape_1_horizontal_lines, 70, 10),
        shape(frame_356_shape_group_5_shape_2_horizontal_lines, 82, 15),
        shape(frame_356_shape_group_5_shape_3_horizontal_lines, 87, 10),
        shape(frame_356_shape_group_5_shape_4_horizontal_lines, 92, 11),
        shape(frame_356_shape_group_5_shape_5_horizontal_lines, 102, 10),
        shape(frame_356_shape_group_5_shape_6_horizontal_lines, 106, 15),
        shape(frame_356_shape_group_5_shape_7_horizontal_lines, 111, 10),
        shape(frame_356_shape_group_5_shape_8_horizontal_lines, 115, 15),
        shape(frame_356_shape_group_5_shape_9_horizontal_lines, 121, 10),
        shape(frame_356_shape_group_5_shape_10_horizontal_lines, 123, 15),
        shape(frame_356_shape_group_5_shape_11_horizontal_lines, 133, 10),
        shape(frame_356_shape_group_5_shape_12_horizontal_lines, 141, 15),
        shape(frame_356_shape_group_5_shape_13_horizontal_lines, 150, 10),
        shape(frame_356_shape_group_5_shape_14_horizontal_lines, 158, 15),
    };

    constexpr const horizontal_line frame_356_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(117, 134),
        horizontal_line(117, 134),
        horizontal_line(117, 133),
        horizontal_line(116, 133),
        horizontal_line(116, 133),
        horizontal_line(115, 132),
        horizontal_line(115, 132),
        horizontal_line(115, 131),
        horizontal_line(114, 131),
        horizontal_line(105, 108),
        horizontal_line(104, 108),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(103, 107),
        horizontal_line(103, 106),
        horizontal_line(102, 106),
        horizontal_line(102, 106),
        horizontal_line(102, 105),
        horizontal_line(101, 105),
        horizontal_line(101, 105),
        horizontal_line(101, 104),
    };

    constexpr const horizontal_line frame_356_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(105, 109),
        horizontal_line(104, 108),
        horizontal_line(104, 108),
        horizontal_line(104, 108),
        horizontal_line(103, 107),
        horizontal_line(125, 140),
        horizontal_line(125, 139),
    };

    constexpr const horizontal_line frame_356_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(12, 44),
        horizontal_line(6, 44),
        horizontal_line(1, 43),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(95, 99),
        horizontal_line(95, 99),
        horizontal_line(95, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 98),
        horizontal_line(94, 97),
        horizontal_line(93, 97),
    };

    constexpr const horizontal_line frame_356_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(119, 134),
        horizontal_line(119, 134),
        horizontal_line(119, 133),
        horizontal_line(118, 133),
        horizontal_line(96, 100),
        horizontal_line(96, 100),
        horizontal_line(96, 99),
        horizontal_line(95, 99),
        horizontal_line(95, 98),
        horizontal_line(116, 130),
        horizontal_line(116, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 129),
        horizontal_line(96, 97),
        horizontal_line(96, 96),
        horizontal_line(96, 96),
        horizontal_line(113, 128),
        horizontal_line(113, 127),
        horizontal_line(85, 86),
        horizontal_line(112, 126),
        horizontal_line(112, 126),
    };

    constexpr const horizontal_line frame_356_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(140, 190),
    };

    constexpr const horizontal_line frame_356_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(84, 94),
        horizontal_line(83, 96),
        horizontal_line(83, 97),
        horizontal_line(83, 99),
        horizontal_line(82, 101),
        horizontal_line(82, 103),
        horizontal_line(82, 105),
        horizontal_line(81, 107),
        horizontal_line(81, 107),
        horizontal_line(133, 136),
        horizontal_line(132, 135),
        horizontal_line(132, 135),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(131, 134),
        horizontal_line(130, 133),
        horizontal_line(130, 133),
        horizontal_line(78, 104),
        horizontal_line(77, 103),
        horizontal_line(77, 103),
        horizontal_line(77, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 102),
        horizontal_line(76, 101),
        horizontal_line(75, 101),
        horizontal_line(75, 100),
        horizontal_line(126, 128),
        horizontal_line(126, 128),
        horizontal_line(125, 128),
        horizontal_line(125, 127),
        horizontal_line(124, 127),
        horizontal_line(124, 126),
        horizontal_line(124, 126),
        horizontal_line(123, 125),
        horizontal_line(72, 97),
        horizontal_line(72, 97),
    };

    constexpr const shape frame_356_shape_group_6_shapes[] = {
        shape(frame_356_shape_group_6_shape_0_horizontal_lines, 58, 11),
        shape(frame_356_shape_group_6_shape_1_horizontal_lines, 82, 10),
        shape(frame_356_shape_group_6_shape_2_horizontal_lines, 89, 11),
        shape(frame_356_shape_group_6_shape_3_horizontal_lines, 102, 10),
        shape(frame_356_shape_group_6_shape_4_horizontal_lines, 123, 15),
        shape(frame_356_shape_group_6_shape_5_horizontal_lines, 124, 10),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(151, 153),
        horizontal_line(150, 155),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(114, 131),
        horizontal_line(114, 130),
        horizontal_line(113, 130),
        horizontal_line(113, 130),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 127),
        horizontal_line(110, 127),
        horizontal_line(110, 126),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(127, 142),
        horizontal_line(127, 141),
        horizontal_line(126, 141),
        horizontal_line(126, 141),
        horizontal_line(126, 140),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(24, 44),
        horizontal_line(18, 44),
        horizontal_line(98, 101),
        horizontal_line(97, 101),
        horizontal_line(97, 101),
        horizontal_line(106, 122),
        horizontal_line(106, 122),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(105, 121),
        horizontal_line(104, 120),
        horizontal_line(104, 120),
        horizontal_line(103, 120),
        horizontal_line(103, 119),
        horizontal_line(103, 119),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(116, 131),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(0, 38),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
        horizontal_line(0, 37),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(114, 129),
        horizontal_line(114, 128),
        horizontal_line(114, 128),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(112, 127),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 35),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(84, 92),
        horizontal_line(111, 125),
        horizontal_line(111, 125),
        horizontal_line(139, 139),
        horizontal_line(138, 138),
        horizontal_line(137, 138),
        horizontal_line(136, 137),
        horizontal_line(135, 137),
        horizontal_line(134, 137),
        horizontal_line(133, 136),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(129, 132),
        horizontal_line(129, 132),
        horizontal_line(129, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 131),
        horizontal_line(128, 130),
        horizontal_line(127, 130),
        horizontal_line(127, 129),
        horizontal_line(126, 129),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(179, 217),
        horizontal_line(179, 218),
        horizontal_line(178, 219),
        horizontal_line(178, 220),
        horizontal_line(177, 221),
        horizontal_line(177, 222),
        horizontal_line(176, 223),
        horizontal_line(176, 224),
    };

    constexpr const horizontal_line frame_356_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(123, 125),
        horizontal_line(123, 125),
    };

    constexpr const shape frame_356_shape_group_7_shapes[] = {
        shape(frame_356_shape_group_7_shape_0_horizontal_lines, 61, 11),
        shape(frame_356_shape_group_7_shape_1_horizontal_lines, 82, 10),
        shape(frame_356_shape_group_7_shape_2_horizontal_lines, 87, 11),
        shape(frame_356_shape_group_7_shape_3_horizontal_lines, 106, 10),
        shape(frame_356_shape_group_7_shape_4_horizontal_lines, 111, 11),
        shape(frame_356_shape_group_7_shape_5_horizontal_lines, 115, 10),
        shape(frame_356_shape_group_7_shape_6_horizontal_lines, 118, 11),
        shape(frame_356_shape_group_7_shape_7_horizontal_lines, 120, 10),
        shape(frame_356_shape_group_7_shape_8_horizontal_lines, 121, 11),
        shape(frame_356_shape_group_7_shape_9_horizontal_lines, 123, 10),
        shape(frame_356_shape_group_7_shape_10_horizontal_lines, 133, 11),
        shape(frame_356_shape_group_7_shape_11_horizontal_lines, 141, 10),
        shape(frame_356_shape_group_7_shape_12_horizontal_lines, 150, 11),
        shape(frame_356_shape_group_7_shape_13_horizontal_lines, 158, 10),
    };

    constexpr const horizontal_line frame_356_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(148, 155),
        horizontal_line(147, 154),
        horizontal_line(147, 154),
        horizontal_line(146, 153),
        horizontal_line(146, 153),
        horizontal_line(146, 152),
        horizontal_line(145, 152),
        horizontal_line(145, 151),
        horizontal_line(144, 151),
        horizontal_line(144, 150),
        horizontal_line(144, 150),
        horizontal_line(143, 150),
        horizontal_line(100, 104),
        horizontal_line(100, 103),
        horizontal_line(41, 45),
        horizontal_line(35, 45),
        horizontal_line(29, 45),
        horizontal_line(98, 102),
        horizontal_line(98, 102),
        horizontal_line(107, 123),
        horizontal_line(107, 123),
        horizontal_line(106, 123),
        horizontal_line(139, 145),
        horizontal_line(139, 144),
        horizontal_line(138, 144),
        horizontal_line(138, 143),
        horizontal_line(137, 143),
        horizontal_line(137, 142),
        horizontal_line(137, 142),
        horizontal_line(136, 141),
        horizontal_line(136, 141),
        horizontal_line(135, 141),
        horizontal_line(93, 97),
        horizontal_line(93, 96),
        horizontal_line(92, 96),
        horizontal_line(92, 96),
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(99, 115),
        horizontal_line(99, 115),
        horizontal_line(98, 114),
        horizontal_line(98, 114),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(0, 36),
        horizontal_line(98, 112),
        horizontal_line(99, 112),
        horizontal_line(0, 35),
        horizontal_line(103, 111),
        horizontal_line(105, 111),
    };

    constexpr const horizontal_line frame_356_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(111, 126),
    };

    constexpr const horizontal_line frame_356_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(188, 198),
        horizontal_line(187, 199),
        horizontal_line(187, 200),
        horizontal_line(186, 201),
        horizontal_line(186, 203),
        horizontal_line(185, 204),
        horizontal_line(185, 205),
        horizontal_line(184, 206),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(183, 209),
        horizontal_line(182, 210),
        horizontal_line(182, 211),
        horizontal_line(181, 212),
        horizontal_line(181, 213),
        horizontal_line(180, 215),
        horizontal_line(180, 216),
    };

    constexpr const horizontal_line frame_356_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(71, 74),
        horizontal_line(70, 73),
        horizontal_line(70, 73),
        horizontal_line(70, 73),
        horizontal_line(69, 72),
        horizontal_line(69, 72),
        horizontal_line(69, 72),
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_356_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(175, 225),
        horizontal_line(24, 24),
    };

    constexpr const shape frame_356_shape_group_8_shapes[] = {
        shape(frame_356_shape_group_8_shape_0_horizontal_lines, 70, 11),
        shape(frame_356_shape_group_8_shape_1_horizontal_lines, 123, 10),
        shape(frame_356_shape_group_8_shape_2_horizontal_lines, 124, 11),
        shape(frame_356_shape_group_8_shape_3_horizontal_lines, 150, 3),
        shape(frame_356_shape_group_8_shape_4_horizontal_lines, 158, 11),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(155, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 156),
        horizontal_line(152, 156),
        horizontal_line(152, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 154),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(110, 126),
        horizontal_line(109, 126),
        horizontal_line(99, 103),
        horizontal_line(99, 103),
        horizontal_line(99, 102),
        horizontal_line(108, 124),
        horizontal_line(107, 124),
        horizontal_line(140, 146),
        horizontal_line(140, 145),
        horizontal_line(139, 145),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(92, 94),
        horizontal_line(92, 94),
        horizontal_line(92, 94),
        horizontal_line(91, 93),
        horizontal_line(91, 93),
        horizontal_line(91, 93),
        horizontal_line(90, 92),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(102, 118),
        horizontal_line(102, 118),
        horizontal_line(102, 118),
        horizontal_line(101, 117),
        horizontal_line(92, 93),
        horizontal_line(101, 116),
        horizontal_line(100, 116),
        horizontal_line(100, 116),
        horizontal_line(99, 115),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(131, 136),
        horizontal_line(130, 135),
        horizontal_line(98, 113),
        horizontal_line(97, 113),
        horizontal_line(97, 113),
        horizontal_line(129, 131),
        horizontal_line(128, 131),
        horizontal_line(101, 111),
        horizontal_line(127, 130),
        horizontal_line(127, 130),
        horizontal_line(0, 33),
        horizontal_line(109, 110),
        horizontal_line(126, 126),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(110, 125),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(191, 192),
        horizontal_line(190, 193),
        horizontal_line(190, 194),
        horizontal_line(189, 195),
        horizontal_line(189, 196),
        horizontal_line(188, 197),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(132, 132),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(76, 79),
        horizontal_line(76, 79),
        horizontal_line(75, 79),
        horizontal_line(75, 78),
        horizontal_line(75, 78),
        horizontal_line(74, 78),
        horizontal_line(74, 77),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(184, 207),
        horizontal_line(183, 208),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(73, 76),
        horizontal_line(73, 76),
        horizontal_line(72, 75),
        horizontal_line(72, 75),
        horizontal_line(72, 75),
        horizontal_line(71, 74),
        horizontal_line(71, 74),
        horizontal_line(101, 125),
        horizontal_line(101, 125),
        horizontal_line(100, 124),
        horizontal_line(100, 124),
        horizontal_line(99, 123),
        horizontal_line(99, 123),
        horizontal_line(99, 123),
        horizontal_line(98, 122),
        horizontal_line(68, 71),
    };

    constexpr const horizontal_line frame_356_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(175, 227),
    };

    constexpr const shape frame_356_shape_group_9_shapes[] = {
        shape(frame_356_shape_group_9_shape_0_horizontal_lines, 71, 1),
        shape(frame_356_shape_group_9_shape_1_horizontal_lines, 82, 11),
        shape(frame_356_shape_group_9_shape_2_horizontal_lines, 92, 1),
        shape(frame_356_shape_group_9_shape_3_horizontal_lines, 102, 11),
        shape(frame_356_shape_group_9_shape_4_horizontal_lines, 126, 1),
        shape(frame_356_shape_group_9_shape_5_horizontal_lines, 127, 11),
        shape(frame_356_shape_group_9_shape_6_horizontal_lines, 133, 1),
        shape(frame_356_shape_group_9_shape_7_horizontal_lines, 134, 3),
        shape(frame_356_shape_group_9_shape_8_horizontal_lines, 141, 11),
        shape(frame_356_shape_group_9_shape_9_horizontal_lines, 143, 3),
        shape(frame_356_shape_group_9_shape_10_horizontal_lines, 159, 11),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(143, 149),
        horizontal_line(142, 149),
        horizontal_line(109, 125),
        horizontal_line(109, 125),
        horizontal_line(108, 125),
        horizontal_line(141, 147),
        horizontal_line(140, 146),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(94, 97),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(146, 149),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(135, 140),
        horizontal_line(135, 140),
        horizontal_line(134, 139),
        horizontal_line(134, 139),
        horizontal_line(101, 117),
        horizontal_line(133, 138),
        horizontal_line(133, 138),
        horizontal_line(132, 137),
        horizontal_line(132, 137),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(85, 94),
        horizontal_line(85, 94),
        horizontal_line(85, 94),
        horizontal_line(85, 94),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(130, 135),
        horizontal_line(129, 134),
        horizontal_line(129, 132),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(85, 96),
        horizontal_line(132, 135),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(128, 130),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(131, 137),
        horizontal_line(131, 138),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(107, 110),
        horizontal_line(126, 127),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(79, 82),
        horizontal_line(79, 82),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(110, 126),
        horizontal_line(110, 127),
        horizontal_line(109, 128),
        horizontal_line(109, 129),
        horizontal_line(109, 130),
        horizontal_line(120, 131),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(76, 80),
        horizontal_line(107, 131),
        horizontal_line(107, 131),
        horizontal_line(107, 130),
        horizontal_line(106, 130),
        horizontal_line(106, 130),
        horizontal_line(105, 129),
        horizontal_line(105, 129),
        horizontal_line(74, 77),
        horizontal_line(73, 76),
        horizontal_line(104, 128),
        horizontal_line(103, 127),
        horizontal_line(103, 127),
        horizontal_line(103, 127),
        horizontal_line(102, 126),
        horizontal_line(102, 126),
        horizontal_line(101, 125),
    };

    constexpr const horizontal_line frame_356_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(98, 122),
        horizontal_line(68, 71),
    };

    constexpr const shape frame_356_shape_group_10_shapes[] = {
        shape(frame_356_shape_group_10_shape_0_horizontal_lines, 82, 11),
        shape(frame_356_shape_group_10_shape_1_horizontal_lines, 89, 1),
        shape(frame_356_shape_group_10_shape_2_horizontal_lines, 102, 11),
        shape(frame_356_shape_group_10_shape_3_horizontal_lines, 111, 1),
        shape(frame_356_shape_group_10_shape_4_horizontal_lines, 115, 11),
        shape(frame_356_shape_group_10_shape_5_horizontal_lines, 118, 1),
        shape(frame_356_shape_group_10_shape_6_horizontal_lines, 120, 11),
        shape(frame_356_shape_group_10_shape_7_horizontal_lines, 121, 1),
        shape(frame_356_shape_group_10_shape_8_horizontal_lines, 123, 11),
        shape(frame_356_shape_group_10_shape_9_horizontal_lines, 125, 3),
        shape(frame_356_shape_group_10_shape_10_horizontal_lines, 127, 1),
        shape(frame_356_shape_group_10_shape_11_horizontal_lines, 133, 3),
        shape(frame_356_shape_group_10_shape_12_horizontal_lines, 158, 3),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(150, 154),
        horizontal_line(150, 153),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(142, 148),
        horizontal_line(142, 148),
        horizontal_line(141, 147),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(95, 95),
        horizontal_line(95, 96),
        horizontal_line(147, 151),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(90, 92),
        horizontal_line(89, 92),
        horizontal_line(89, 91),
        horizontal_line(89, 91),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(133, 138),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(88, 90),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(85, 85),
        horizontal_line(85, 90),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(84, 84),
        horizontal_line(83, 84),
        horizontal_line(83, 84),
        horizontal_line(83, 84),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(85, 95),
        horizontal_line(85, 95),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(132, 134),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(81, 85),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(131, 136),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_13_horizontal_lines[] = {
        horizontal_line(80, 84),
        horizontal_line(80, 83),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_14_horizontal_lines[] = {
        horizontal_line(127, 128),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_15_horizontal_lines[] = {
        horizontal_line(79, 83),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_16_horizontal_lines[] = {
        horizontal_line(78, 82),
        horizontal_line(78, 81),
        horizontal_line(78, 81),
        horizontal_line(77, 81),
        horizontal_line(77, 80),
        horizontal_line(77, 80),
        horizontal_line(108, 131),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_17_horizontal_lines[] = {
        horizontal_line(105, 128),
        horizontal_line(104, 128),
    };

    constexpr const horizontal_line frame_356_shape_group_11_shape_18_horizontal_lines[] = {
        horizontal_line(98, 122),
    };

    constexpr const shape frame_356_shape_group_11_shapes[] = {
        shape(frame_356_shape_group_11_shape_0_horizontal_lines, 82, 1),
        shape(frame_356_shape_group_11_shape_1_horizontal_lines, 84, 11),
        shape(frame_356_shape_group_11_shape_2_horizontal_lines, 87, 1),
        shape(frame_356_shape_group_11_shape_3_horizontal_lines, 102, 1),
        shape(frame_356_shape_group_11_shape_4_horizontal_lines, 106, 11),
        shape(frame_356_shape_group_11_shape_5_horizontal_lines, 107, 1),
        shape(frame_356_shape_group_11_shape_6_horizontal_lines, 109, 1),
        shape(frame_356_shape_group_11_shape_7_horizontal_lines, 111, 3),
        shape(frame_356_shape_group_11_shape_8_horizontal_lines, 115, 1),
        shape(frame_356_shape_group_11_shape_9_horizontal_lines, 117, 11),
        shape(frame_356_shape_group_11_shape_10_horizontal_lines, 118, 1),
        shape(frame_356_shape_group_11_shape_11_horizontal_lines, 119, 3),
        shape(frame_356_shape_group_11_shape_12_horizontal_lines, 120, 1),
        shape(frame_356_shape_group_11_shape_13_horizontal_lines, 121, 3),
        shape(frame_356_shape_group_11_shape_14_horizontal_lines, 123, 11),
        shape(frame_356_shape_group_11_shape_15_horizontal_lines, 124, 3),
        shape(frame_356_shape_group_11_shape_16_horizontal_lines, 127, 3),
        shape(frame_356_shape_group_11_shape_17_horizontal_lines, 141, 3),
        shape(frame_356_shape_group_11_shape_18_horizontal_lines, 159, 3),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(149, 153),
        horizontal_line(149, 152),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(88, 91),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(84, 84),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(82, 84),
        horizontal_line(82, 84),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(85, 95),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(81, 84),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(81, 84),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(136, 139),
    };

    constexpr const horizontal_line frame_356_shape_group_12_shape_8_horizontal_lines[] = {
        horizontal_line(108, 119),
    };

    constexpr const shape frame_356_shape_group_12_shapes[] = {
        shape(frame_356_shape_group_12_shape_0_horizontal_lines, 84, 1),
        shape(frame_356_shape_group_12_shape_1_horizontal_lines, 106, 1),
        shape(frame_356_shape_group_12_shape_2_horizontal_lines, 110, 3),
        shape(frame_356_shape_group_12_shape_3_horizontal_lines, 115, 3),
        shape(frame_356_shape_group_12_shape_4_horizontal_lines, 117, 1),
        shape(frame_356_shape_group_12_shape_5_horizontal_lines, 118, 3),
        shape(frame_356_shape_group_12_shape_6_horizontal_lines, 120, 3),
        shape(frame_356_shape_group_12_shape_7_horizontal_lines, 123, 1),
        shape(frame_356_shape_group_12_shape_8_horizontal_lines, 132, 3),
    };

    constexpr const horizontal_line frame_356_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(133, 133),
    };

    constexpr const horizontal_line frame_356_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(80, 83),
    };

    constexpr const shape frame_356_shape_group_13_shapes[] = {
        shape(frame_356_shape_group_13_shape_0_horizontal_lines, 117, 1),
        shape(frame_356_shape_group_13_shape_1_horizontal_lines, 123, 3),
    };

    constexpr const horizontal_line frame_356_shape_group_14_shape_0_horizontal_lines[] = {
        horizontal_line(82, 84),
    };

    constexpr const shape frame_356_shape_group_14_shapes[] = {
        shape(frame_356_shape_group_14_shape_0_horizontal_lines, 117, 3),
    };

    constexpr const shape_group frame_356_shape_groups[] = {
        shape_group(frame_356_shape_group_0_shapes),
        shape_group(frame_356_shape_group_1_shapes),
        shape_group(frame_356_shape_group_2_shapes),
        shape_group(frame_356_shape_group_3_shapes),
        shape_group(frame_356_shape_group_4_shapes),
        shape_group(frame_356_shape_group_5_shapes),
        shape_group(frame_356_shape_group_6_shapes),
        shape_group(frame_356_shape_group_7_shapes),
        shape_group(frame_356_shape_group_8_shapes),
        shape_group(frame_356_shape_group_9_shapes),
        shape_group(frame_356_shape_group_10_shapes),
        shape_group(frame_356_shape_group_11_shapes),
        shape_group(frame_356_shape_group_12_shapes),
        shape_group(frame_356_shape_group_13_shapes),
        shape_group(frame_356_shape_group_14_shapes),
    };

    constexpr const frame frame_356_impl(frame_356_colors, frame_356_shape_groups);
} 

const frame& frame_356()
{
    return frame_356_impl;
}

namespace
{
    constexpr const bn::color frame_357_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_357_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 11),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 18),
        horizontal_line(0, 21),
        horizontal_line(0, 23),
        horizontal_line(0, 25),
        horizontal_line(0, 28),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 39),
        horizontal_line(0, 42),
        horizontal_line(0, 44),
        horizontal_line(0, 46),
        horizontal_line(0, 49),
        horizontal_line(0, 51),
        horizontal_line(0, 53),
        horizontal_line(0, 56),
        horizontal_line(0, 58),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 50),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 42),
        horizontal_line(0, 36),
        horizontal_line(0, 30),
        horizontal_line(0, 24),
        horizontal_line(0, 18),
        horizontal_line(0, 12),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(90, 98),
        horizontal_line(92, 98),
        horizontal_line(94, 97),
        horizontal_line(96, 97),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(201, 239),
        horizontal_line(85, 85),
        horizontal_line(86, 97),
        horizontal_line(87, 98),
        horizontal_line(88, 99),
        horizontal_line(89, 101),
        horizontal_line(91, 102),
        horizontal_line(92, 104),
        horizontal_line(37, 37),
        horizontal_line(35, 37),
        horizontal_line(33, 37),
        horizontal_line(31, 36),
        horizontal_line(29, 36),
        horizontal_line(28, 36),
        horizontal_line(26, 35),
        horizontal_line(24, 35),
        horizontal_line(22, 35),
        horizontal_line(20, 35),
        horizontal_line(19, 34),
        horizontal_line(17, 34),
        horizontal_line(15, 34),
        horizontal_line(13, 33),
        horizontal_line(11, 33),
        horizontal_line(10, 33),
        horizontal_line(8, 33),
        horizontal_line(6, 32),
        horizontal_line(4, 32),
        horizontal_line(2, 32),
        horizontal_line(1, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
    };

    constexpr const shape frame_357_shape_group_0_shapes[] = {
        shape(frame_357_shape_group_0_shape_0_horizontal_lines, 14, 13),
    };

    constexpr const horizontal_line frame_357_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(61, 64),
        horizontal_line(64, 67),
        horizontal_line(67, 70),
        horizontal_line(71, 73),
        horizontal_line(74, 76),
        horizontal_line(77, 80),
        horizontal_line(80, 83),
        horizontal_line(84, 86),
        horizontal_line(87, 89),
        horizontal_line(90, 92),
        horizontal_line(93, 96),
        horizontal_line(97, 99),
        horizontal_line(100, 102),
        horizontal_line(103, 105),
        horizontal_line(107, 108),
        horizontal_line(107, 112),
        horizontal_line(107, 110),
        horizontal_line(107, 110),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 109),
        horizontal_line(105, 108),
        horizontal_line(105, 108),
        horizontal_line(105, 108),
        horizontal_line(104, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(101, 103),
        horizontal_line(100, 103),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(99, 102),
        horizontal_line(50, 54),
    };

    constexpr const horizontal_line frame_357_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(218, 218),
        horizontal_line(217, 223),
        horizontal_line(216, 228),
        horizontal_line(216, 233),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
    };

    constexpr const horizontal_line frame_357_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(47, 95),
        horizontal_line(47, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 94),
        horizontal_line(46, 93),
        horizontal_line(46, 93),
        horizontal_line(45, 92),
        horizontal_line(45, 92),
        horizontal_line(45, 92),
        horizontal_line(44, 91),
        horizontal_line(44, 91),
        horizontal_line(44, 91),
        horizontal_line(44, 90),
        horizontal_line(43, 90),
        horizontal_line(43, 89),
    };

    constexpr const horizontal_line frame_357_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(203, 239),
    };

    constexpr const horizontal_line frame_357_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(42, 86),
        horizontal_line(41, 85),
        horizontal_line(41, 85),
        horizontal_line(41, 84),
        horizontal_line(40, 70),
    };

    constexpr const horizontal_line frame_357_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(197, 239),
        horizontal_line(93, 105),
        horizontal_line(94, 107),
        horizontal_line(95, 106),
        horizontal_line(97, 105),
        horizontal_line(98, 104),
        horizontal_line(99, 103),
        horizontal_line(100, 102),
        horizontal_line(102, 102),
        horizontal_line(127, 136),
        horizontal_line(127, 134),
        horizontal_line(128, 132),
        horizontal_line(129, 130),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(230, 239),
    };

    constexpr const shape frame_357_shape_group_1_shapes[] = {
        shape(frame_357_shape_group_1_shape_0_horizontal_lines, 41, 8),
        shape(frame_357_shape_group_1_shape_1_horizontal_lines, 82, 13),
        shape(frame_357_shape_group_1_shape_2_horizontal_lines, 91, 8),
        shape(frame_357_shape_group_1_shape_3_horizontal_lines, 106, 13),
        shape(frame_357_shape_group_1_shape_4_horizontal_lines, 110, 8),
        shape(frame_357_shape_group_1_shape_5_horizontal_lines, 115, 13),
    };

    constexpr const horizontal_line frame_357_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(61, 63),
        horizontal_line(61, 66),
        horizontal_line(60, 70),
        horizontal_line(60, 73),
        horizontal_line(60, 76),
        horizontal_line(60, 79),
        horizontal_line(59, 83),
        horizontal_line(59, 86),
        horizontal_line(59, 89),
        horizontal_line(58, 92),
        horizontal_line(58, 96),
        horizontal_line(58, 99),
        horizontal_line(58, 102),
        horizontal_line(57, 106),
        horizontal_line(57, 106),
        horizontal_line(57, 106),
        horizontal_line(56, 106),
        horizontal_line(56, 105),
        horizontal_line(56, 105),
        horizontal_line(56, 105),
        horizontal_line(55, 104),
        horizontal_line(55, 104),
        horizontal_line(55, 104),
        horizontal_line(54, 103),
        horizontal_line(54, 103),
        horizontal_line(54, 103),
        horizontal_line(54, 102),
    };

    constexpr const horizontal_line frame_357_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(158, 158),
        horizontal_line(162, 162),
        horizontal_line(161, 167),
        horizontal_line(161, 171),
        horizontal_line(160, 176),
        horizontal_line(160, 181),
        horizontal_line(159, 185),
        horizontal_line(159, 190),
        horizontal_line(159, 194),
        horizontal_line(158, 199),
        horizontal_line(158, 204),
        horizontal_line(157, 208),
        horizontal_line(99, 101),
        horizontal_line(50, 62),
        horizontal_line(49, 71),
        horizontal_line(49, 79),
        horizontal_line(49, 87),
        horizontal_line(48, 96),
        horizontal_line(48, 96),
        horizontal_line(48, 96),
        horizontal_line(48, 95),
        horizontal_line(47, 95),
        horizontal_line(153, 212),
        horizontal_line(152, 211),
        horizontal_line(152, 211),
        horizontal_line(151, 210),
        horizontal_line(151, 210),
        horizontal_line(151, 209),
        horizontal_line(150, 209),
        horizontal_line(150, 208),
        horizontal_line(149, 208),
        horizontal_line(149, 207),
        horizontal_line(149, 207),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(142, 146),
        horizontal_line(142, 146),
        horizontal_line(43, 88),
        horizontal_line(42, 87),
        horizontal_line(42, 87),
        horizontal_line(42, 86),
        horizontal_line(140, 144),
        horizontal_line(139, 144),
        horizontal_line(139, 143),
        horizontal_line(139, 143),
        horizontal_line(138, 142),
        horizontal_line(40, 53),
        horizontal_line(137, 142),
        horizontal_line(137, 141),
        horizontal_line(137, 141),
        horizontal_line(138, 140),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_357_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(197, 239),
        horizontal_line(196, 239),
        horizontal_line(129, 133),
        horizontal_line(126, 136),
        horizontal_line(124, 139),
        horizontal_line(124, 142),
        horizontal_line(125, 140),
        horizontal_line(126, 138),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_357_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(139, 143),
        horizontal_line(139, 144),
        horizontal_line(139, 145),
        horizontal_line(138, 146),
        horizontal_line(138, 148),
        horizontal_line(74, 75),
        horizontal_line(69, 75),
        horizontal_line(65, 75),
        horizontal_line(60, 74),
        horizontal_line(55, 74),
        horizontal_line(51, 74),
        horizontal_line(46, 73),
        horizontal_line(41, 73),
        horizontal_line(37, 73),
        horizontal_line(32, 72),
        horizontal_line(30, 72),
        horizontal_line(30, 72),
        horizontal_line(30, 71),
        horizontal_line(29, 71),
        horizontal_line(29, 71),
        horizontal_line(29, 70),
        horizontal_line(29, 70),
        horizontal_line(28, 70),
        horizontal_line(28, 69),
        horizontal_line(28, 69),
        horizontal_line(28, 69),
    };

    constexpr const shape frame_357_shape_group_2_shapes[] = {
        shape(frame_357_shape_group_2_shape_0_horizontal_lines, 42, 15),
        shape(frame_357_shape_group_2_shape_1_horizontal_lines, 69, 8),
        shape(frame_357_shape_group_2_shape_2_horizontal_lines, 122, 13),
        shape(frame_357_shape_group_2_shape_3_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(119, 124),
        horizontal_line(119, 129),
        horizontal_line(118, 134),
        horizontal_line(118, 133),
        horizontal_line(118, 133),
        horizontal_line(117, 132),
        horizontal_line(111, 115),
        horizontal_line(111, 114),
        horizontal_line(110, 114),
        horizontal_line(110, 114),
        horizontal_line(110, 113),
        horizontal_line(109, 113),
        horizontal_line(109, 113),
        horizontal_line(109, 112),
        horizontal_line(108, 112),
        horizontal_line(108, 112),
        horizontal_line(107, 111),
        horizontal_line(107, 111),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(53, 102),
        horizontal_line(53, 102),
        horizontal_line(53, 101),
        horizontal_line(52, 101),
        horizontal_line(52, 101),
        horizontal_line(52, 100),
        horizontal_line(52, 100),
        horizontal_line(51, 100),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(50, 99),
        horizontal_line(50, 98),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(157, 213),
        horizontal_line(99, 101),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 100),
        horizontal_line(98, 99),
        horizontal_line(98, 99),
        horizontal_line(154, 213),
        horizontal_line(154, 213),
        horizontal_line(153, 212),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(151, 206),
        horizontal_line(153, 206),
        horizontal_line(155, 205),
        horizontal_line(157, 204),
        horizontal_line(141, 146),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(140, 144),
        horizontal_line(167, 202),
        horizontal_line(169, 201),
        horizontal_line(171, 201),
        horizontal_line(174, 200),
        horizontal_line(176, 200),
        horizontal_line(138, 142),
        horizontal_line(180, 199),
        horizontal_line(182, 198),
        horizontal_line(184, 198),
        horizontal_line(186, 197),
        horizontal_line(188, 197),
        horizontal_line(190, 196),
        horizontal_line(192, 196),
        horizontal_line(194, 195),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(196, 239),
        horizontal_line(195, 239),
        horizontal_line(195, 239),
        horizontal_line(196, 239),
        horizontal_line(197, 239),
        horizontal_line(198, 239),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(36, 78),
        horizontal_line(36, 78),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(140, 140),
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(35, 77),
        horizontal_line(34, 77),
        horizontal_line(34, 76),
        horizontal_line(34, 76),
        horizontal_line(34, 76),
    };

    constexpr const horizontal_line frame_357_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(137, 149),
        horizontal_line(137, 150),
        horizontal_line(136, 151),
        horizontal_line(136, 153),
        horizontal_line(136, 154),
        horizontal_line(135, 155),
        horizontal_line(135, 156),
        horizontal_line(134, 157),
        horizontal_line(134, 159),
        horizontal_line(133, 160),
        horizontal_line(133, 161),
        horizontal_line(132, 162),
        horizontal_line(132, 164),
        horizontal_line(132, 165),
        horizontal_line(131, 166),
        horizontal_line(131, 167),
        horizontal_line(130, 169),
        horizontal_line(130, 170),
        horizontal_line(129, 171),
        horizontal_line(129, 172),
        horizontal_line(130, 174),
    };

    constexpr const shape frame_357_shape_group_3_shapes[] = {
        shape(frame_357_shape_group_3_shape_0_horizontal_lines, 50, 11),
        shape(frame_357_shape_group_3_shape_1_horizontal_lines, 69, 15),
        shape(frame_357_shape_group_3_shape_2_horizontal_lines, 81, 8),
        shape(frame_357_shape_group_3_shape_3_horizontal_lines, 91, 11),
        shape(frame_357_shape_group_3_shape_4_horizontal_lines, 102, 8),
        shape(frame_357_shape_group_3_shape_5_horizontal_lines, 124, 13),
        shape(frame_357_shape_group_3_shape_6_horizontal_lines, 130, 15),
        shape(frame_357_shape_group_3_shape_7_horizontal_lines, 132, 8),
        shape(frame_357_shape_group_3_shape_8_horizontal_lines, 134, 15),
        shape(frame_357_shape_group_3_shape_9_horizontal_lines, 139, 8),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(118, 118),
        horizontal_line(117, 117),
        horizontal_line(117, 117),
        horizontal_line(116, 117),
        horizontal_line(116, 116),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(117, 132),
        horizontal_line(117, 132),
        horizontal_line(116, 131),
        horizontal_line(116, 131),
        horizontal_line(116, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 130),
        horizontal_line(115, 129),
        horizontal_line(114, 129),
        horizontal_line(114, 128),
        horizontal_line(114, 128),
        horizontal_line(113, 128),
        horizontal_line(107, 111),
        horizontal_line(106, 110),
        horizontal_line(106, 110),
        horizontal_line(106, 110),
        horizontal_line(105, 109),
        horizontal_line(105, 109),
        horizontal_line(104, 109),
        horizontal_line(104, 108),
        horizontal_line(104, 108),
        horizontal_line(103, 108),
        horizontal_line(103, 107),
        horizontal_line(103, 107),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(55, 98),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(156, 217),
        horizontal_line(156, 216),
        horizontal_line(156, 215),
        horizontal_line(155, 215),
        horizontal_line(155, 214),
        horizontal_line(154, 214),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(13, 47),
        horizontal_line(7, 47),
        horizontal_line(1, 46),
        horizontal_line(98, 103),
        horizontal_line(98, 103),
        horizontal_line(98, 102),
        horizontal_line(97, 102),
        horizontal_line(97, 102),
        horizontal_line(97, 101),
        horizontal_line(96, 101),
        horizontal_line(96, 101),
        horizontal_line(96, 100),
        horizontal_line(95, 100),
        horizontal_line(95, 100),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(148, 150),
        horizontal_line(148, 152),
        horizontal_line(147, 154),
        horizontal_line(147, 156),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(159, 204),
        horizontal_line(161, 203),
        horizontal_line(163, 203),
        horizontal_line(165, 202),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(145, 166),
        horizontal_line(145, 168),
        horizontal_line(144, 170),
        horizontal_line(144, 173),
        horizontal_line(71, 84),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(178, 199),
    };

    constexpr const horizontal_line frame_357_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(40, 83),
        horizontal_line(40, 83),
        horizontal_line(39, 82),
        horizontal_line(39, 82),
        horizontal_line(39, 82),
        horizontal_line(39, 81),
        horizontal_line(38, 81),
        horizontal_line(38, 81),
        horizontal_line(38, 80),
        horizontal_line(37, 80),
        horizontal_line(37, 80),
        horizontal_line(37, 79),
        horizontal_line(36, 79),
        horizontal_line(36, 79),
        horizontal_line(141, 191),
        horizontal_line(141, 191),
        horizontal_line(35, 78),
        horizontal_line(35, 77),
        horizontal_line(144, 189),
        horizontal_line(145, 189),
        horizontal_line(146, 188),
        horizontal_line(147, 188),
        horizontal_line(149, 187),
        horizontal_line(33, 73),
        horizontal_line(33, 68),
        horizontal_line(33, 64),
        horizontal_line(32, 59),
        horizontal_line(32, 54),
        horizontal_line(32, 50),
        horizontal_line(31, 45),
        horizontal_line(31, 40),
        horizontal_line(31, 36),
        horizontal_line(31, 31),
        horizontal_line(162, 182),
        horizontal_line(163, 181),
        horizontal_line(165, 181),
        horizontal_line(166, 180),
        horizontal_line(167, 180),
        horizontal_line(168, 179),
        horizontal_line(170, 179),
        horizontal_line(171, 178),
        horizontal_line(172, 178),
        horizontal_line(173, 177),
        horizontal_line(129, 129),
    };

    constexpr const shape frame_357_shape_group_4_shapes[] = {
        shape(frame_357_shape_group_4_shape_0_horizontal_lines, 52, 10),
        shape(frame_357_shape_group_4_shape_1_horizontal_lines, 57, 11),
        shape(frame_357_shape_group_4_shape_2_horizontal_lines, 81, 15),
        shape(frame_357_shape_group_4_shape_3_horizontal_lines, 82, 8),
        shape(frame_357_shape_group_4_shape_4_horizontal_lines, 88, 11),
        shape(frame_357_shape_group_4_shape_5_horizontal_lines, 102, 15),
        shape(frame_357_shape_group_4_shape_6_horizontal_lines, 106, 8),
        shape(frame_357_shape_group_4_shape_7_horizontal_lines, 110, 15),
        shape(frame_357_shape_group_4_shape_8_horizontal_lines, 115, 8),
        shape(frame_357_shape_group_4_shape_9_horizontal_lines, 116, 15),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(134, 137),
        horizontal_line(134, 140),
        horizontal_line(133, 144),
        horizontal_line(116, 116),
        horizontal_line(115, 116),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(151, 152),
        horizontal_line(151, 154),
        horizontal_line(150, 156),
        horizontal_line(150, 158),
        horizontal_line(149, 157),
        horizontal_line(149, 157),
        horizontal_line(149, 156),
        horizontal_line(148, 156),
        horizontal_line(148, 155),
        horizontal_line(147, 155),
        horizontal_line(113, 127),
        horizontal_line(113, 127),
        horizontal_line(112, 127),
        horizontal_line(112, 126),
        horizontal_line(111, 126),
        horizontal_line(111, 125),
        horizontal_line(111, 125),
        horizontal_line(110, 125),
        horizontal_line(110, 124),
        horizontal_line(110, 124),
        horizontal_line(109, 123),
        horizontal_line(109, 123),
        horizontal_line(102, 107),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(63, 98),
        horizontal_line(72, 97),
        horizontal_line(80, 97),
        horizontal_line(88, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(19, 47),
        horizontal_line(100, 104),
        horizontal_line(99, 104),
        horizontal_line(99, 103),
        horizontal_line(105, 119),
        horizontal_line(105, 118),
        horizontal_line(105, 118),
        horizontal_line(104, 118),
        horizontal_line(104, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(103, 116),
        horizontal_line(102, 116),
        horizontal_line(102, 115),
        horizontal_line(102, 115),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(147, 158),
        horizontal_line(146, 160),
        horizontal_line(146, 162),
        horizontal_line(145, 164),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(143, 175),
        horizontal_line(54, 84),
        horizontal_line(143, 179),
        horizontal_line(142, 181),
        horizontal_line(142, 183),
        horizontal_line(141, 185),
        horizontal_line(141, 187),
        horizontal_line(141, 189),
        horizontal_line(140, 191),
        horizontal_line(140, 193),
        horizontal_line(141, 195),
        horizontal_line(141, 194),
        horizontal_line(142, 194),
        horizontal_line(143, 193),
        horizontal_line(142, 192),
        horizontal_line(142, 192),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(0, 21),
        horizontal_line(0, 19),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(141, 190),
        horizontal_line(142, 190),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(150, 187),
        horizontal_line(151, 186),
        horizontal_line(152, 186),
        horizontal_line(154, 185),
        horizontal_line(155, 185),
        horizontal_line(156, 184),
        horizontal_line(157, 184),
        horizontal_line(158, 183),
        horizontal_line(160, 183),
        horizontal_line(161, 182),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(183, 218),
        horizontal_line(182, 219),
        horizontal_line(182, 220),
        horizontal_line(181, 221),
        horizontal_line(181, 222),
        horizontal_line(180, 223),
        horizontal_line(180, 224),
        horizontal_line(179, 225),
        horizontal_line(27, 27),
        horizontal_line(26, 27),
    };

    constexpr const horizontal_line frame_357_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(175, 177),
    };

    constexpr const shape frame_357_shape_group_5_shapes[] = {
        shape(frame_357_shape_group_5_shape_0_horizontal_lines, 54, 10),
        shape(frame_357_shape_group_5_shape_1_horizontal_lines, 59, 11),
        shape(frame_357_shape_group_5_shape_2_horizontal_lines, 82, 15),
        shape(frame_357_shape_group_5_shape_3_horizontal_lines, 87, 11),
        shape(frame_357_shape_group_5_shape_4_horizontal_lines, 106, 15),
        shape(frame_357_shape_group_5_shape_5_horizontal_lines, 110, 11),
        shape(frame_357_shape_group_5_shape_6_horizontal_lines, 114, 15),
        shape(frame_357_shape_group_5_shape_7_horizontal_lines, 130, 11),
        shape(frame_357_shape_group_5_shape_8_horizontal_lines, 132, 15),
        shape(frame_357_shape_group_5_shape_9_horizontal_lines, 134, 11),
        shape(frame_357_shape_group_5_shape_10_horizontal_lines, 139, 15),
        shape(frame_357_shape_group_5_shape_11_horizontal_lines, 149, 11),
        shape(frame_357_shape_group_5_shape_12_horizontal_lines, 159, 15),
    };

    constexpr const horizontal_line frame_357_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(133, 147),
        horizontal_line(133, 151),
        horizontal_line(115, 115),
        horizontal_line(115, 115),
        horizontal_line(114, 115),
        horizontal_line(114, 114),
        horizontal_line(114, 114),
        horizontal_line(113, 114),
        horizontal_line(113, 113),
        horizontal_line(113, 113),
        horizontal_line(112, 113),
        horizontal_line(112, 112),
    };

    constexpr const horizontal_line frame_357_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(147, 157),
        horizontal_line(147, 156),
        horizontal_line(146, 156),
        horizontal_line(146, 155),
        horizontal_line(145, 155),
        horizontal_line(145, 154),
        horizontal_line(145, 154),
        horizontal_line(144, 153),
        horizontal_line(144, 153),
        horizontal_line(143, 153),
        horizontal_line(143, 152),
        horizontal_line(142, 152),
        horizontal_line(109, 123),
        horizontal_line(102, 106),
        horizontal_line(43, 48),
        horizontal_line(37, 48),
        horizontal_line(31, 48),
        horizontal_line(25, 47),
        horizontal_line(100, 104),
        horizontal_line(106, 120),
        horizontal_line(106, 120),
        horizontal_line(106, 119),
        horizontal_line(138, 147),
        horizontal_line(138, 146),
        horizontal_line(137, 146),
        horizontal_line(137, 146),
        horizontal_line(136, 145),
        horizontal_line(136, 145),
        horizontal_line(135, 144),
        horizontal_line(135, 144),
        horizontal_line(135, 143),
        horizontal_line(134, 143),
        horizontal_line(134, 143),
        horizontal_line(95, 99),
        horizontal_line(94, 99),
        horizontal_line(94, 99),
        horizontal_line(94, 98),
        horizontal_line(0, 42),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(0, 41),
        horizontal_line(99, 112),
        horizontal_line(98, 111),
        horizontal_line(98, 111),
        horizontal_line(98, 110),
        horizontal_line(0, 39),
    };

    constexpr const horizontal_line frame_357_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(143, 177),
    };

    constexpr const horizontal_line frame_357_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(0, 39),
        horizontal_line(0, 39),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(0, 30),
        horizontal_line(0, 28),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(192, 198),
        horizontal_line(192, 199),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(190, 202),
        horizontal_line(190, 203),
        horizontal_line(189, 204),
        horizontal_line(189, 205),
        horizontal_line(188, 206),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(186, 212),
        horizontal_line(185, 213),
        horizontal_line(185, 214),
        horizontal_line(184, 215),
        horizontal_line(184, 216),
        horizontal_line(183, 217),
    };

    constexpr const horizontal_line frame_357_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(73, 94),
        horizontal_line(73, 94),
        horizontal_line(72, 93),
        horizontal_line(72, 93),
        horizontal_line(72, 93),
        horizontal_line(71, 92),
        horizontal_line(71, 92),
        horizontal_line(71, 92),
    };

    constexpr const horizontal_line frame_357_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(179, 226),
        horizontal_line(178, 227),
        horizontal_line(25, 27),
    };

    constexpr const shape frame_357_shape_group_6_shapes[] = {
        shape(frame_357_shape_group_6_shape_0_horizontal_lines, 57, 10),
        shape(frame_357_shape_group_6_shape_1_horizontal_lines, 69, 11),
        shape(frame_357_shape_group_6_shape_2_horizontal_lines, 115, 15),
        shape(frame_357_shape_group_6_shape_3_horizontal_lines, 116, 11),
        shape(frame_357_shape_group_6_shape_4_horizontal_lines, 149, 10),
        shape(frame_357_shape_group_6_shape_5_horizontal_lines, 157, 11),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(132, 150),
        horizontal_line(132, 150),
        horizontal_line(131, 149),
        horizontal_line(131, 149),
        horizontal_line(131, 148),
        horizontal_line(130, 148),
        horizontal_line(130, 148),
        horizontal_line(129, 147),
        horizontal_line(129, 147),
        horizontal_line(129, 146),
        horizontal_line(112, 112),
        horizontal_line(111, 112),
        horizontal_line(111, 111),
        horizontal_line(111, 111),
        horizontal_line(110, 110),
        horizontal_line(110, 110),
        horizontal_line(110, 110),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(109, 109),
        horizontal_line(108, 108),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(108, 122),
        horizontal_line(101, 106),
        horizontal_line(101, 105),
        horizontal_line(101, 105),
        horizontal_line(100, 105),
        horizontal_line(107, 120),
        horizontal_line(139, 148),
        horizontal_line(139, 148),
        horizontal_line(138, 147),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(104, 104),
        horizontal_line(104, 104),
        horizontal_line(103, 104),
        horizontal_line(103, 103),
        horizontal_line(103, 103),
        horizontal_line(102, 102),
        horizontal_line(102, 102),
        horizontal_line(102, 102),
        horizontal_line(101, 101),
        horizontal_line(101, 101),
        horizontal_line(101, 101),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(101, 115),
        horizontal_line(101, 114),
        horizontal_line(101, 114),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(100, 113),
        horizontal_line(99, 112),
        horizontal_line(99, 112),
        horizontal_line(130, 139),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(97, 110),
        horizontal_line(0, 39),
        horizontal_line(98, 109),
        horizontal_line(99, 109),
        horizontal_line(100, 108),
        horizontal_line(102, 108),
        horizontal_line(103, 108),
        horizontal_line(105, 107),
        horizontal_line(106, 107),
        horizontal_line(125, 131),
        horizontal_line(124, 128),
        horizontal_line(124, 125),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(81, 97),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(194, 195),
        horizontal_line(193, 196),
        horizontal_line(193, 197),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(79, 101),
        horizontal_line(79, 101),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(191, 200),
        horizontal_line(191, 201),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(78, 100),
        horizontal_line(78, 99),
        horizontal_line(77, 99),
        horizontal_line(77, 99),
        horizontal_line(77, 98),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(188, 207),
        horizontal_line(187, 208),
        horizontal_line(187, 209),
        horizontal_line(186, 210),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(75, 96),
        horizontal_line(75, 96),
        horizontal_line(74, 96),
        horizontal_line(74, 95),
        horizontal_line(74, 95),
        horizontal_line(73, 95),
        horizontal_line(123, 132),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(122, 131),
        horizontal_line(121, 130),
        horizontal_line(121, 130),
        horizontal_line(120, 129),
        horizontal_line(120, 129),
        horizontal_line(70, 91),
        horizontal_line(70, 91),
    };

    constexpr const horizontal_line frame_357_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(178, 229),
    };

    constexpr const shape frame_357_shape_group_7_shapes[] = {
        shape(frame_357_shape_group_7_shape_0_horizontal_lines, 59, 10),
        shape(frame_357_shape_group_7_shape_1_horizontal_lines, 81, 11),
        shape(frame_357_shape_group_7_shape_2_horizontal_lines, 91, 10),
        shape(frame_357_shape_group_7_shape_3_horizontal_lines, 102, 11),
        shape(frame_357_shape_group_7_shape_4_horizontal_lines, 126, 10),
        shape(frame_357_shape_group_7_shape_5_horizontal_lines, 127, 11),
        shape(frame_357_shape_group_7_shape_6_horizontal_lines, 130, 10),
        shape(frame_357_shape_group_7_shape_7_horizontal_lines, 132, 11),
        shape(frame_357_shape_group_7_shape_8_horizontal_lines, 134, 10),
        shape(frame_357_shape_group_7_shape_9_horizontal_lines, 139, 11),
        shape(frame_357_shape_group_7_shape_10_horizontal_lines, 143, 10),
        shape(frame_357_shape_group_7_shape_11_horizontal_lines, 159, 11),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(128, 146),
        horizontal_line(128, 146),
        horizontal_line(128, 145),
        horizontal_line(127, 145),
        horizontal_line(127, 144),
        horizontal_line(126, 144),
        horizontal_line(126, 144),
        horizontal_line(126, 143),
        horizontal_line(125, 143),
        horizontal_line(125, 142),
        horizontal_line(124, 142),
        horizontal_line(124, 141),
        horizontal_line(108, 108),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(142, 151),
        horizontal_line(108, 122),
        horizontal_line(108, 122),
        horizontal_line(107, 121),
        horizontal_line(107, 121),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(105, 105),
        horizontal_line(105, 105),
        horizontal_line(104, 105),
        horizontal_line(120, 137),
        horizontal_line(119, 137),
        horizontal_line(119, 136),
        horizontal_line(119, 136),
        horizontal_line(118, 135),
        horizontal_line(118, 135),
        horizontal_line(118, 134),
        horizontal_line(117, 134),
        horizontal_line(117, 134),
        horizontal_line(116, 133),
        horizontal_line(116, 133),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(133, 142),
        horizontal_line(133, 142),
        horizontal_line(133, 141),
        horizontal_line(132, 141),
        horizontal_line(132, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 140),
        horizontal_line(131, 139),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(98, 98),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
        horizontal_line(97, 97),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(128, 137),
        horizontal_line(97, 110),
        horizontal_line(128, 136),
        horizontal_line(127, 133),
        horizontal_line(127, 133),
        horizontal_line(126, 132),
        horizontal_line(126, 132),
        horizontal_line(126, 131),
        horizontal_line(125, 131),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(82, 93),
        horizontal_line(81, 94),
        horizontal_line(81, 96),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(105, 123),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(80, 98),
        horizontal_line(80, 99),
        horizontal_line(80, 101),
        horizontal_line(137, 140),
        horizontal_line(135, 140),
        horizontal_line(79, 100),
        horizontal_line(78, 100),
        horizontal_line(130, 138),
        horizontal_line(129, 138),
        horizontal_line(129, 138),
        horizontal_line(128, 137),
        horizontal_line(128, 137),
        horizontal_line(76, 98),
        horizontal_line(76, 97),
        horizontal_line(76, 97),
        horizontal_line(75, 97),
        horizontal_line(126, 135),
        horizontal_line(125, 134),
        horizontal_line(125, 134),
        horizontal_line(124, 133),
        horizontal_line(124, 133),
        horizontal_line(123, 132),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(95, 122),
        horizontal_line(95, 121),
        horizontal_line(94, 121),
        horizontal_line(94, 121),
        horizontal_line(94, 120),
        horizontal_line(93, 120),
        horizontal_line(93, 119),
        horizontal_line(93, 119),
    };

    constexpr const horizontal_line frame_357_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(119, 128),
        horizontal_line(119, 128),
        horizontal_line(70, 91),
    };

    constexpr const shape frame_357_shape_group_8_shapes[] = {
        shape(frame_357_shape_group_8_shape_0_horizontal_lines, 69, 10),
        shape(frame_357_shape_group_8_shape_1_horizontal_lines, 82, 11),
        shape(frame_357_shape_group_8_shape_2_horizontal_lines, 88, 10),
        shape(frame_357_shape_group_8_shape_3_horizontal_lines, 102, 11),
        shape(frame_357_shape_group_8_shape_4_horizontal_lines, 110, 10),
        shape(frame_357_shape_group_8_shape_5_horizontal_lines, 114, 11),
        shape(frame_357_shape_group_8_shape_6_horizontal_lines, 123, 10),
        shape(frame_357_shape_group_8_shape_7_horizontal_lines, 126, 1),
        shape(frame_357_shape_group_8_shape_8_horizontal_lines, 127, 10),
        shape(frame_357_shape_group_8_shape_9_horizontal_lines, 149, 3),
        shape(frame_357_shape_group_8_shape_10_horizontal_lines, 157, 10),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(157, 160),
        horizontal_line(156, 160),
        horizontal_line(156, 159),
        horizontal_line(155, 159),
        horizontal_line(155, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 157),
        horizontal_line(153, 157),
        horizontal_line(153, 156),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(124, 141),
        horizontal_line(107, 107),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(141, 150),
        horizontal_line(141, 150),
        horizontal_line(140, 150),
        horizontal_line(140, 149),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(105, 106),
        horizontal_line(121, 138),
        horizontal_line(121, 138),
        horizontal_line(120, 137),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(96, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(95, 96),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(92, 94),
        horizontal_line(92, 94),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(100, 100),
        horizontal_line(100, 100),
        horizontal_line(100, 100),
        horizontal_line(99, 99),
        horizontal_line(99, 99),
        horizontal_line(99, 99),
        horizontal_line(98, 98),
        horizontal_line(98, 98),
        horizontal_line(113, 129),
        horizontal_line(112, 129),
        horizontal_line(112, 128),
        horizontal_line(111, 128),
        horizontal_line(111, 127),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(128, 137),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(84, 85),
        horizontal_line(84, 86),
        horizontal_line(83, 87),
        horizontal_line(83, 88),
        horizontal_line(83, 90),
        horizontal_line(82, 91),
        horizontal_line(82, 92),
        horizontal_line(108, 124),
        horizontal_line(113, 123),
        horizontal_line(118, 123),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(140, 141),
        horizontal_line(104, 123),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(141, 141),
        horizontal_line(139, 141),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(107, 126),
        horizontal_line(112, 126),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(133, 139),
        horizontal_line(131, 139),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(129, 129),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(100, 128),
        horizontal_line(100, 128),
        horizontal_line(100, 127),
        horizontal_line(99, 127),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(127, 136),
        horizontal_line(127, 136),
        horizontal_line(126, 135),
        horizontal_line(126, 135),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(97, 125),
        horizontal_line(97, 124),
        horizontal_line(97, 124),
        horizontal_line(96, 123),
        horizontal_line(96, 123),
        horizontal_line(96, 122),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(92, 118),
        horizontal_line(92, 118),
    };

    constexpr const horizontal_line frame_357_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(119, 128),
    };

    constexpr const shape frame_357_shape_group_9_shapes[] = {
        shape(frame_357_shape_group_9_shape_0_horizontal_lines, 70, 1),
        shape(frame_357_shape_group_9_shape_1_horizontal_lines, 81, 10),
        shape(frame_357_shape_group_9_shape_2_horizontal_lines, 83, 11),
        shape(frame_357_shape_group_9_shape_3_horizontal_lines, 87, 10),
        shape(frame_357_shape_group_9_shape_4_horizontal_lines, 91, 1),
        shape(frame_357_shape_group_9_shape_5_horizontal_lines, 102, 10),
        shape(frame_357_shape_group_9_shape_6_horizontal_lines, 115, 11),
        shape(frame_357_shape_group_9_shape_7_horizontal_lines, 116, 10),
        shape(frame_357_shape_group_9_shape_8_horizontal_lines, 126, 1),
        shape(frame_357_shape_group_9_shape_9_horizontal_lines, 128, 10),
        shape(frame_357_shape_group_9_shape_10_horizontal_lines, 130, 1),
        shape(frame_357_shape_group_9_shape_11_horizontal_lines, 132, 10),
        shape(frame_357_shape_group_9_shape_12_horizontal_lines, 134, 1),
        shape(frame_357_shape_group_9_shape_13_horizontal_lines, 135, 3),
        shape(frame_357_shape_group_9_shape_14_horizontal_lines, 139, 10),
        shape(frame_357_shape_group_9_shape_15_horizontal_lines, 143, 3),
        shape(frame_357_shape_group_9_shape_16_horizontal_lines, 157, 3),
        shape(frame_357_shape_group_9_shape_17_horizontal_lines, 159, 10),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(123, 141),
        horizontal_line(107, 107),
        horizontal_line(106, 107),
        horizontal_line(106, 106),
        horizontal_line(106, 106),
        horizontal_line(121, 139),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(148, 152),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(147, 150),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(116, 132),
        horizontal_line(115, 132),
        horizontal_line(115, 132),
        horizontal_line(114, 131),
        horizontal_line(114, 131),
        horizontal_line(114, 130),
        horizontal_line(113, 130),
        horizontal_line(113, 130),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(87, 97),
        horizontal_line(86, 96),
        horizontal_line(86, 96),
        horizontal_line(85, 96),
        horizontal_line(85, 96),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(111, 127),
        horizontal_line(110, 127),
        horizontal_line(110, 126),
        horizontal_line(109, 126),
        horizontal_line(109, 125),
        horizontal_line(109, 125),
        horizontal_line(108, 125),
        horizontal_line(108, 124),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(132, 139),
        horizontal_line(107, 112),
        horizontal_line(106, 117),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(103, 124),
        horizontal_line(103, 125),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(102, 106),
        horizontal_line(102, 111),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(118, 127),
        horizontal_line(123, 128),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(101, 128),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(99, 126),
        horizontal_line(98, 126),
        horizontal_line(98, 125),
        horizontal_line(98, 125),
    };

    constexpr const horizontal_line frame_357_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(92, 118),
    };

    constexpr const shape frame_357_shape_group_10_shapes[] = {
        shape(frame_357_shape_group_10_shape_0_horizontal_lines, 81, 1),
        shape(frame_357_shape_group_10_shape_1_horizontal_lines, 82, 10),
        shape(frame_357_shape_group_10_shape_2_horizontal_lines, 88, 1),
        shape(frame_357_shape_group_10_shape_3_horizontal_lines, 102, 10),
        shape(frame_357_shape_group_10_shape_4_horizontal_lines, 110, 1),
        shape(frame_357_shape_group_10_shape_5_horizontal_lines, 115, 10),
        shape(frame_357_shape_group_10_shape_6_horizontal_lines, 123, 1),
        shape(frame_357_shape_group_10_shape_7_horizontal_lines, 128, 1),
        shape(frame_357_shape_group_10_shape_8_horizontal_lines, 130, 3),
        shape(frame_357_shape_group_10_shape_9_horizontal_lines, 132, 1),
        shape(frame_357_shape_group_10_shape_10_horizontal_lines, 134, 3),
        shape(frame_357_shape_group_10_shape_11_horizontal_lines, 139, 3),
        shape(frame_357_shape_group_10_shape_12_horizontal_lines, 159, 3),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(152, 155),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(123, 140),
        horizontal_line(123, 140),
        horizontal_line(122, 139),
        horizontal_line(122, 139),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(97, 97),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(91, 93),
        horizontal_line(91, 93),
        horizontal_line(90, 93),
        horizontal_line(89, 89),
        horizontal_line(88, 91),
        horizontal_line(88, 93),
        horizontal_line(87, 95),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(86, 96),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(134, 136),
        horizontal_line(134, 136),
        horizontal_line(133, 137),
        horizontal_line(133, 137),
        horizontal_line(132, 138),
        horizontal_line(132, 139),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(134, 140),
        horizontal_line(137, 140),
    };

    constexpr const horizontal_line frame_357_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(101, 117),
        horizontal_line(101, 122),
    };

    constexpr const shape frame_357_shape_group_11_shapes[] = {
        shape(frame_357_shape_group_11_shape_0_horizontal_lines, 82, 1),
        shape(frame_357_shape_group_11_shape_1_horizontal_lines, 83, 10),
        shape(frame_357_shape_group_11_shape_2_horizontal_lines, 87, 1),
        shape(frame_357_shape_group_11_shape_3_horizontal_lines, 102, 1),
        shape(frame_357_shape_group_11_shape_4_horizontal_lines, 115, 1),
        shape(frame_357_shape_group_11_shape_5_horizontal_lines, 117, 1),
        shape(frame_357_shape_group_11_shape_6_horizontal_lines, 124, 1),
        shape(frame_357_shape_group_11_shape_7_horizontal_lines, 132, 3),
    };

    constexpr const horizontal_line frame_357_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(151, 155),
        horizontal_line(151, 155),
        horizontal_line(151, 154),
        horizontal_line(150, 154),
        horizontal_line(150, 153),
    };

    constexpr const shape frame_357_shape_group_12_shapes[] = {
        shape(frame_357_shape_group_12_shape_0_horizontal_lines, 83, 1),
    };

    constexpr const shape_group frame_357_shape_groups[] = {
        shape_group(frame_357_shape_group_0_shapes),
        shape_group(frame_357_shape_group_1_shapes),
        shape_group(frame_357_shape_group_2_shapes),
        shape_group(frame_357_shape_group_3_shapes),
        shape_group(frame_357_shape_group_4_shapes),
        shape_group(frame_357_shape_group_5_shapes),
        shape_group(frame_357_shape_group_6_shapes),
        shape_group(frame_357_shape_group_7_shapes),
        shape_group(frame_357_shape_group_8_shapes),
        shape_group(frame_357_shape_group_9_shapes),
        shape_group(frame_357_shape_group_10_shapes),
        shape_group(frame_357_shape_group_11_shapes),
        shape_group(frame_357_shape_group_12_shapes),
    };

    constexpr const frame frame_357_impl(frame_357_colors, frame_357_shape_groups);
} 

const frame& frame_357()
{
    return frame_357_impl;
}

namespace
{
    constexpr const bn::color frame_358_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_358_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 5),
        horizontal_line(0, 7),
        horizontal_line(0, 10),
        horizontal_line(0, 12),
        horizontal_line(0, 15),
        horizontal_line(0, 17),
        horizontal_line(0, 20),
        horizontal_line(0, 22),
        horizontal_line(0, 25),
        horizontal_line(0, 27),
        horizontal_line(0, 30),
        horizontal_line(0, 32),
        horizontal_line(0, 35),
        horizontal_line(0, 37),
        horizontal_line(0, 40),
        horizontal_line(0, 42),
        horizontal_line(0, 45),
        horizontal_line(0, 47),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 51),
        horizontal_line(0, 44),
        horizontal_line(0, 38),
        horizontal_line(0, 31),
        horizontal_line(0, 25),
        horizontal_line(0, 19),
        horizontal_line(0, 12),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(95, 99),
        horizontal_line(97, 98),
        horizontal_line(208, 239),
        horizontal_line(208, 239),
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(86, 86),
        horizontal_line(86, 91),
        horizontal_line(87, 96),
        horizontal_line(88, 96),
        horizontal_line(89, 97),
        horizontal_line(90, 98),
        horizontal_line(91, 99),
        horizontal_line(92, 100),
        horizontal_line(93, 101),
        horizontal_line(39, 39),
        horizontal_line(37, 39),
        horizontal_line(35, 39),
        horizontal_line(33, 38),
        horizontal_line(31, 38),
        horizontal_line(30, 38),
        horizontal_line(28, 38),
        horizontal_line(26, 37),
        horizontal_line(24, 37),
        horizontal_line(22, 37),
        horizontal_line(21, 37),
        horizontal_line(19, 36),
        horizontal_line(17, 36),
        horizontal_line(15, 36),
        horizontal_line(13, 36),
        horizontal_line(11, 35),
        horizontal_line(10, 35),
        horizontal_line(8, 35),
        horizontal_line(6, 34),
        horizontal_line(4, 34),
        horizontal_line(2, 34),
        horizontal_line(1, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 32),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 31),
        horizontal_line(0, 29),
        horizontal_line(0, 28),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
    };

    constexpr const shape frame_358_shape_group_0_shapes[] = {
        shape(frame_358_shape_group_0_shape_0_horizontal_lines, 13, 13),
    };

    constexpr const horizontal_line frame_358_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_358_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(72, 74),
        horizontal_line(75, 77),
        horizontal_line(78, 80),
        horizontal_line(81, 83),
        horizontal_line(85, 86),
        horizontal_line(88, 89),
        horizontal_line(91, 92),
        horizontal_line(94, 95),
        horizontal_line(97, 98),
        horizontal_line(100, 101),
        horizontal_line(103, 104),
        horizontal_line(106, 107),
        horizontal_line(110, 110),
        horizontal_line(110, 113),
        horizontal_line(110, 111),
        horizontal_line(109, 111),
        horizontal_line(109, 110),
        horizontal_line(109, 110),
        horizontal_line(108, 110),
        horizontal_line(108, 109),
        horizontal_line(107, 109),
        horizontal_line(107, 109),
        horizontal_line(107, 108),
        horizontal_line(106, 108),
        horizontal_line(106, 108),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(104, 106),
        horizontal_line(103, 105),
        horizontal_line(103, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
        horizontal_line(102, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(52, 57),
        horizontal_line(52, 65),
    };

    constexpr const horizontal_line frame_358_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(222, 222),
        horizontal_line(221, 227),
        horizontal_line(220, 233),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
    };

    constexpr const horizontal_line frame_358_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(49, 96),
        horizontal_line(49, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 93),
        horizontal_line(47, 93),
        horizontal_line(46, 93),
        horizontal_line(46, 92),
        horizontal_line(46, 92),
        horizontal_line(45, 92),
        horizontal_line(45, 91),
    };

    constexpr const horizontal_line frame_358_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(209, 239),
        horizontal_line(209, 239),
    };

    constexpr const horizontal_line frame_358_shape_group_1_shape_5_horizontal_lines[] = {
        horizontal_line(44, 90),
        horizontal_line(44, 89),
        horizontal_line(44, 88),
        horizontal_line(43, 87),
        horizontal_line(43, 86),
    };

    constexpr const horizontal_line frame_358_shape_group_1_shape_6_horizontal_lines[] = {
        horizontal_line(206, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
        horizontal_line(204, 239),
        horizontal_line(136, 136),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(94, 102),
        horizontal_line(95, 103),
        horizontal_line(96, 101),
        horizontal_line(97, 99),
        horizontal_line(127, 133),
        horizontal_line(121, 135),
        horizontal_line(121, 137),
        horizontal_line(122, 138),
        horizontal_line(122, 140),
        horizontal_line(123, 142),
        horizontal_line(123, 137),
        horizontal_line(124, 133),
        horizontal_line(124, 128),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(232, 239),
    };

    constexpr const shape frame_358_shape_group_1_shapes[] = {
        shape(frame_358_shape_group_1_shape_0_horizontal_lines, 38, 13),
        shape(frame_358_shape_group_1_shape_1_horizontal_lines, 42, 8),
        shape(frame_358_shape_group_1_shape_2_horizontal_lines, 82, 13),
        shape(frame_358_shape_group_1_shape_3_horizontal_lines, 91, 8),
        shape(frame_358_shape_group_1_shape_4_horizontal_lines, 105, 13),
        shape(frame_358_shape_group_1_shape_5_horizontal_lines, 107, 8),
        shape(frame_358_shape_group_1_shape_6_horizontal_lines, 112, 13),
    };

    constexpr const horizontal_line frame_358_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(66, 68),
        horizontal_line(69, 71),
    };

    constexpr const horizontal_line frame_358_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 71),
        horizontal_line(62, 74),
        horizontal_line(62, 77),
        horizontal_line(62, 80),
        horizontal_line(61, 84),
        horizontal_line(61, 87),
        horizontal_line(61, 90),
        horizontal_line(61, 93),
        horizontal_line(60, 96),
        horizontal_line(60, 99),
        horizontal_line(60, 102),
        horizontal_line(59, 105),
        horizontal_line(59, 109),
        horizontal_line(59, 109),
        horizontal_line(59, 109),
        horizontal_line(58, 108),
        horizontal_line(58, 108),
        horizontal_line(58, 108),
        horizontal_line(58, 107),
        horizontal_line(57, 107),
        horizontal_line(57, 106),
        horizontal_line(57, 106),
        horizontal_line(56, 106),
        horizontal_line(56, 105),
        horizontal_line(56, 105),
        horizontal_line(56, 104),
    };

    constexpr const horizontal_line frame_358_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(161, 161),
        horizontal_line(163, 165),
        horizontal_line(165, 169),
        horizontal_line(164, 174),
        horizontal_line(164, 178),
        horizontal_line(163, 182),
        horizontal_line(163, 187),
        horizontal_line(162, 191),
        horizontal_line(162, 195),
        horizontal_line(162, 200),
        horizontal_line(161, 204),
        horizontal_line(161, 208),
        horizontal_line(100, 103),
        horizontal_line(100, 103),
        horizontal_line(52, 73),
        horizontal_line(51, 81),
        horizontal_line(51, 89),
        horizontal_line(51, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(156, 216),
        horizontal_line(155, 215),
        horizontal_line(155, 215),
        horizontal_line(154, 214),
        horizontal_line(154, 214),
        horizontal_line(154, 213),
        horizontal_line(153, 213),
        horizontal_line(153, 212),
        horizontal_line(152, 211),
        horizontal_line(152, 211),
        horizontal_line(146, 208),
        horizontal_line(146, 150),
        horizontal_line(145, 150),
        horizontal_line(145, 149),
        horizontal_line(45, 91),
        horizontal_line(45, 91),
        horizontal_line(143, 148),
        horizontal_line(143, 147),
        horizontal_line(143, 147),
        horizontal_line(142, 147),
        horizontal_line(142, 146),
        horizontal_line(43, 85),
        horizontal_line(43, 64),
        horizontal_line(140, 145),
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_358_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
    };

    constexpr const horizontal_line frame_358_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(142, 143),
        horizontal_line(142, 142),
    };

    constexpr const horizontal_line frame_358_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(200, 239),
        horizontal_line(200, 239),
        horizontal_line(199, 239),
        horizontal_line(199, 239),
        horizontal_line(198, 239),
        horizontal_line(198, 239),
        horizontal_line(199, 239),
        horizontal_line(200, 239),
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_358_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(141, 146),
        horizontal_line(140, 147),
        horizontal_line(140, 148),
        horizontal_line(139, 149),
        horizontal_line(139, 150),
        horizontal_line(75, 75),
        horizontal_line(69, 74),
        horizontal_line(64, 74),
        horizontal_line(58, 74),
        horizontal_line(53, 73),
        horizontal_line(47, 73),
        horizontal_line(42, 73),
        horizontal_line(36, 72),
        horizontal_line(33, 72),
        horizontal_line(33, 71),
        horizontal_line(33, 71),
        horizontal_line(33, 71),
        horizontal_line(32, 70),
        horizontal_line(32, 70),
        horizontal_line(32, 70),
        horizontal_line(32, 69),
        horizontal_line(31, 69),
        horizontal_line(31, 69),
        horizontal_line(30, 68),
        horizontal_line(30, 68),
        horizontal_line(30, 68),
    };

    constexpr const shape frame_358_shape_group_2_shapes[] = {
        shape(frame_358_shape_group_2_shape_0_horizontal_lines, 39, 8),
        shape(frame_358_shape_group_2_shape_1_horizontal_lines, 42, 15),
        shape(frame_358_shape_group_2_shape_2_horizontal_lines, 68, 8),
        shape(frame_358_shape_group_2_shape_3_horizontal_lines, 116, 13),
        shape(frame_358_shape_group_2_shape_4_horizontal_lines, 119, 8),
        shape(frame_358_shape_group_2_shape_5_horizontal_lines, 121, 13),
        shape(frame_358_shape_group_2_shape_6_horizontal_lines, 134, 8),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(63, 65),
        horizontal_line(63, 68),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(120, 120),
        horizontal_line(119, 130),
        horizontal_line(119, 129),
        horizontal_line(118, 129),
        horizontal_line(118, 128),
        horizontal_line(118, 128),
        horizontal_line(112, 128),
        horizontal_line(112, 127),
        horizontal_line(111, 127),
        horizontal_line(111, 126),
        horizontal_line(111, 126),
        horizontal_line(110, 126),
        horizontal_line(110, 125),
        horizontal_line(110, 125),
        horizontal_line(109, 125),
        horizontal_line(109, 124),
        horizontal_line(109, 124),
        horizontal_line(108, 123),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(55, 104),
        horizontal_line(55, 104),
        horizontal_line(55, 103),
        horizontal_line(55, 103),
        horizontal_line(54, 103),
        horizontal_line(54, 102),
        horizontal_line(54, 102),
        horizontal_line(53, 101),
        horizontal_line(53, 101),
        horizontal_line(53, 101),
        horizontal_line(53, 100),
        horizontal_line(52, 100),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(160, 213),
        horizontal_line(160, 217),
        horizontal_line(100, 102),
        horizontal_line(99, 102),
        horizontal_line(99, 102),
        horizontal_line(99, 101),
        horizontal_line(100, 101),
        horizontal_line(157, 218),
        horizontal_line(157, 217),
        horizontal_line(157, 217),
        horizontal_line(156, 216),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(208, 210),
        horizontal_line(154, 210),
        horizontal_line(156, 209),
        horizontal_line(158, 209),
        horizontal_line(144, 149),
        horizontal_line(144, 148),
        horizontal_line(164, 207),
        horizontal_line(166, 207),
        horizontal_line(168, 206),
        horizontal_line(170, 206),
        horizontal_line(172, 205),
        horizontal_line(141, 146),
        horizontal_line(141, 145),
        horizontal_line(178, 203),
        horizontal_line(180, 203),
        horizontal_line(140, 144),
        horizontal_line(139, 143),
        horizontal_line(140, 143),
        horizontal_line(188, 201),
        horizontal_line(190, 200),
        horizontal_line(142, 142),
        horizontal_line(194, 199),
        horizontal_line(196, 199),
        horizontal_line(198, 198),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(39, 80),
        horizontal_line(39, 79),
        horizontal_line(39, 79),
        horizontal_line(38, 79),
        horizontal_line(38, 78),
        horizontal_line(38, 78),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(142, 143),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(37, 77),
        horizontal_line(37, 76),
        horizontal_line(36, 76),
        horizontal_line(36, 75),
        horizontal_line(36, 75),
    };

    constexpr const horizontal_line frame_358_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(138, 152),
        horizontal_line(138, 153),
        horizontal_line(137, 154),
        horizontal_line(137, 155),
        horizontal_line(136, 156),
        horizontal_line(136, 158),
        horizontal_line(135, 159),
        horizontal_line(135, 160),
        horizontal_line(134, 161),
        horizontal_line(134, 162),
        horizontal_line(133, 164),
        horizontal_line(133, 165),
        horizontal_line(132, 166),
        horizontal_line(132, 167),
        horizontal_line(131, 168),
        horizontal_line(131, 170),
        horizontal_line(130, 171),
        horizontal_line(130, 172),
        horizontal_line(130, 173),
        horizontal_line(131, 174),
        horizontal_line(132, 176),
    };

    constexpr const shape frame_358_shape_group_3_shapes[] = {
        shape(frame_358_shape_group_3_shape_0_horizontal_lines, 40, 15),
        shape(frame_358_shape_group_3_shape_1_horizontal_lines, 50, 11),
        shape(frame_358_shape_group_3_shape_2_horizontal_lines, 68, 15),
        shape(frame_358_shape_group_3_shape_3_horizontal_lines, 80, 8),
        shape(frame_358_shape_group_3_shape_4_horizontal_lines, 91, 11),
        shape(frame_358_shape_group_3_shape_5_horizontal_lines, 101, 8),
        shape(frame_358_shape_group_3_shape_6_horizontal_lines, 125, 15),
        shape(frame_358_shape_group_3_shape_7_horizontal_lines, 131, 8),
        shape(frame_358_shape_group_3_shape_8_horizontal_lines, 134, 15),
        shape(frame_358_shape_group_3_shape_9_horizontal_lines, 139, 8),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(131, 131),
        horizontal_line(130, 134),
        horizontal_line(130, 138),
        horizontal_line(129, 141),
        horizontal_line(129, 145),
        horizontal_line(129, 149),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(149, 151),
        horizontal_line(149, 154),
        horizontal_line(148, 156),
        horizontal_line(148, 159),
        horizontal_line(147, 158),
        horizontal_line(147, 158),
        horizontal_line(147, 157),
        horizontal_line(146, 157),
        horizontal_line(146, 156),
        horizontal_line(145, 156),
        horizontal_line(145, 157),
        horizontal_line(108, 123),
        horizontal_line(108, 123),
        horizontal_line(107, 122),
        horizontal_line(107, 122),
        horizontal_line(107, 122),
        horizontal_line(106, 121),
        horizontal_line(106, 121),
        horizontal_line(106, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 120),
        horizontal_line(105, 119),
        horizontal_line(104, 119),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(58, 99),
        horizontal_line(66, 99),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(159, 221),
        horizontal_line(159, 220),
        horizontal_line(159, 219),
        horizontal_line(158, 219),
        horizontal_line(158, 218),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(20, 49),
        horizontal_line(13, 49),
        horizontal_line(7, 48),
        horizontal_line(1, 48),
        horizontal_line(100, 114),
        horizontal_line(100, 114),
        horizontal_line(99, 114),
        horizontal_line(99, 113),
        horizontal_line(99, 113),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(98, 112),
        horizontal_line(97, 111),
        horizontal_line(97, 111),
        horizontal_line(0, 45),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(151, 153),
        horizontal_line(151, 155),
        horizontal_line(150, 157),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(160, 208),
        horizontal_line(162, 208),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(149, 163),
        horizontal_line(148, 165),
        horizontal_line(148, 167),
        horizontal_line(148, 169),
        horizontal_line(147, 171),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(174, 205),
        horizontal_line(176, 204),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(42, 84),
        horizontal_line(42, 83),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(182, 202),
        horizontal_line(184, 202),
        horizontal_line(186, 201),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(41, 82),
        horizontal_line(41, 82),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_12_horizontal_lines[] = {
        horizontal_line(192, 200),
    };

    constexpr const horizontal_line frame_358_shape_group_4_shape_13_horizontal_lines[] = {
        horizontal_line(40, 81),
        horizontal_line(40, 81),
        horizontal_line(39, 80),
        horizontal_line(142, 198),
        horizontal_line(142, 197),
        horizontal_line(142, 197),
        horizontal_line(142, 196),
        horizontal_line(142, 195),
        horizontal_line(143, 195),
        horizontal_line(38, 78),
        horizontal_line(37, 77),
        horizontal_line(37, 77),
        horizontal_line(147, 193),
        horizontal_line(148, 192),
        horizontal_line(149, 192),
        horizontal_line(150, 191),
        horizontal_line(151, 191),
        horizontal_line(35, 74),
        horizontal_line(35, 68),
        horizontal_line(35, 63),
        horizontal_line(35, 57),
        horizontal_line(34, 52),
        horizontal_line(34, 46),
        horizontal_line(34, 41),
        horizontal_line(34, 35),
        horizontal_line(162, 186),
        horizontal_line(163, 185),
        horizontal_line(165, 185),
        horizontal_line(166, 184),
        horizontal_line(167, 184),
        horizontal_line(168, 183),
        horizontal_line(169, 183),
        horizontal_line(171, 182),
        horizontal_line(172, 182),
        horizontal_line(173, 181),
        horizontal_line(129, 129),
        horizontal_line(129, 130),
        horizontal_line(129, 131),
    };

    constexpr const shape frame_358_shape_group_4_shapes[] = {
        shape(frame_358_shape_group_4_shape_0_horizontal_lines, 51, 10),
        shape(frame_358_shape_group_4_shape_1_horizontal_lines, 57, 11),
        shape(frame_358_shape_group_4_shape_2_horizontal_lines, 80, 15),
        shape(frame_358_shape_group_4_shape_3_horizontal_lines, 82, 8),
        shape(frame_358_shape_group_4_shape_4_horizontal_lines, 87, 11),
        shape(frame_358_shape_group_4_shape_5_horizontal_lines, 102, 15),
        shape(frame_358_shape_group_4_shape_6_horizontal_lines, 105, 8),
        shape(frame_358_shape_group_4_shape_7_horizontal_lines, 107, 15),
        shape(frame_358_shape_group_4_shape_8_horizontal_lines, 112, 8),
        shape(frame_358_shape_group_4_shape_9_horizontal_lines, 114, 15),
        shape(frame_358_shape_group_4_shape_10_horizontal_lines, 116, 8),
        shape(frame_358_shape_group_4_shape_11_horizontal_lines, 119, 15),
        shape(frame_358_shape_group_4_shape_12_horizontal_lines, 121, 8),
        shape(frame_358_shape_group_4_shape_13_horizontal_lines, 122, 15),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(128, 148),
        horizontal_line(128, 148),
        horizontal_line(127, 147),
        horizontal_line(127, 147),
        horizontal_line(127, 146),
        horizontal_line(126, 146),
        horizontal_line(126, 146),
        horizontal_line(126, 145),
        horizontal_line(125, 145),
        horizontal_line(125, 144),
        horizontal_line(124, 144),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(145, 160),
        horizontal_line(144, 159),
        horizontal_line(144, 159),
        horizontal_line(143, 158),
        horizontal_line(143, 158),
        horizontal_line(142, 157),
        horizontal_line(142, 157),
        horizontal_line(142, 156),
        horizontal_line(141, 156),
        horizontal_line(141, 156),
        horizontal_line(140, 155),
        horizontal_line(140, 155),
        horizontal_line(104, 118),
        horizontal_line(104, 118),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(221, 221),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(82, 98),
        horizontal_line(90, 98),
        horizontal_line(98, 98),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(26, 49),
        horizontal_line(102, 116),
        horizontal_line(101, 115),
        horizontal_line(101, 115),
        horizontal_line(100, 115),
        horizontal_line(135, 149),
        horizontal_line(135, 149),
        horizontal_line(134, 149),
        horizontal_line(134, 148),
        horizontal_line(133, 148),
        horizontal_line(133, 147),
        horizontal_line(133, 147),
        horizontal_line(132, 146),
        horizontal_line(132, 146),
        horizontal_line(131, 146),
        horizontal_line(97, 110),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(150, 159),
        horizontal_line(149, 161),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(147, 173),
        horizontal_line(65, 84),
        horizontal_line(146, 177),
        horizontal_line(145, 179),
        horizontal_line(42, 83),
        horizontal_line(41, 83),
        horizontal_line(41, 82),
        horizontal_line(144, 187),
        horizontal_line(143, 189),
        horizontal_line(40, 81),
        horizontal_line(142, 193),
        horizontal_line(142, 195),
        horizontal_line(142, 197),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 25),
        horizontal_line(0, 23),
        horizontal_line(0, 21),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(143, 194),
        horizontal_line(144, 194),
        horizontal_line(145, 193),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 9),
        horizontal_line(0, 7),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(153, 190),
        horizontal_line(154, 190),
        horizontal_line(155, 189),
        horizontal_line(156, 189),
        horizontal_line(157, 188),
        horizontal_line(159, 187),
        horizontal_line(160, 187),
        horizontal_line(161, 186),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_12_horizontal_lines[] = {
        horizontal_line(187, 218),
        horizontal_line(186, 219),
        horizontal_line(186, 220),
        horizontal_line(185, 221),
        horizontal_line(185, 222),
        horizontal_line(184, 223),
        horizontal_line(184, 224),
        horizontal_line(183, 225),
        horizontal_line(30, 30),
        horizontal_line(29, 30),
    };

    constexpr const horizontal_line frame_358_shape_group_5_shape_13_horizontal_lines[] = {
        horizontal_line(174, 181),
        horizontal_line(175, 180),
        horizontal_line(177, 180),
    };

    constexpr const shape frame_358_shape_group_5_shapes[] = {
        shape(frame_358_shape_group_5_shape_0_horizontal_lines, 57, 10),
        shape(frame_358_shape_group_5_shape_1_horizontal_lines, 68, 11),
        shape(frame_358_shape_group_5_shape_2_horizontal_lines, 82, 8),
        shape(frame_358_shape_group_5_shape_3_horizontal_lines, 83, 15),
        shape(frame_358_shape_group_5_shape_4_horizontal_lines, 86, 11),
        shape(frame_358_shape_group_5_shape_5_horizontal_lines, 105, 15),
        shape(frame_358_shape_group_5_shape_6_horizontal_lines, 107, 11),
        shape(frame_358_shape_group_5_shape_7_horizontal_lines, 112, 15),
        shape(frame_358_shape_group_5_shape_8_horizontal_lines, 125, 11),
        shape(frame_358_shape_group_5_shape_9_horizontal_lines, 131, 15),
        shape(frame_358_shape_group_5_shape_10_horizontal_lines, 134, 11),
        shape(frame_358_shape_group_5_shape_11_horizontal_lines, 139, 15),
        shape(frame_358_shape_group_5_shape_12_horizontal_lines, 147, 11),
        shape(frame_358_shape_group_5_shape_13_horizontal_lines, 157, 15),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(124, 144),
        horizontal_line(124, 143),
        horizontal_line(123, 143),
        horizontal_line(123, 142),
        horizontal_line(123, 142),
        horizontal_line(122, 141),
        horizontal_line(122, 141),
        horizontal_line(121, 141),
        horizontal_line(121, 140),
        horizontal_line(121, 140),
        horizontal_line(120, 139),
        horizontal_line(120, 139),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(140, 154),
        horizontal_line(139, 154),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(74, 99),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(45, 50),
        horizontal_line(39, 50),
        horizontal_line(32, 50),
        horizontal_line(102, 116),
        horizontal_line(137, 151),
        horizontal_line(136, 151),
        horizontal_line(136, 150),
        horizontal_line(135, 150),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(115, 134),
        horizontal_line(115, 134),
        horizontal_line(115, 133),
        horizontal_line(114, 133),
        horizontal_line(114, 132),
        horizontal_line(113, 132),
        horizontal_line(113, 132),
        horizontal_line(113, 131),
        horizontal_line(112, 131),
        horizontal_line(112, 130),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(131, 145),
        horizontal_line(96, 110),
        horizontal_line(96, 110),
        horizontal_line(96, 109),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(99, 108),
        horizontal_line(99, 108),
        horizontal_line(98, 107),
        horizontal_line(98, 107),
        horizontal_line(98, 107),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(146, 175),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(0, 41),
        horizontal_line(0, 41),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(145, 181),
        horizontal_line(144, 183),
        horizontal_line(144, 185),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(0, 40),
        horizontal_line(0, 40),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(143, 191),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(0, 36),
        horizontal_line(0, 34),
        horizontal_line(0, 32),
        horizontal_line(121, 126),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(80, 96),
        horizontal_line(80, 96),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(197, 198),
        horizontal_line(196, 199),
        horizontal_line(196, 200),
        horizontal_line(0, 20),
        horizontal_line(0, 18),
        horizontal_line(0, 16),
        horizontal_line(194, 204),
        horizontal_line(193, 205),
        horizontal_line(193, 206),
        horizontal_line(192, 207),
        horizontal_line(192, 208),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(189, 214),
        horizontal_line(188, 215),
        horizontal_line(188, 216),
        horizontal_line(187, 217),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(73, 87),
        horizontal_line(72, 87),
        horizontal_line(72, 87),
        horizontal_line(72, 86),
        horizontal_line(71, 86),
        horizontal_line(71, 85),
        horizontal_line(71, 85),
        horizontal_line(70, 85),
    };

    constexpr const horizontal_line frame_358_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(183, 226),
        horizontal_line(182, 227),
        horizontal_line(27, 29),
        horizontal_line(26, 29),
        horizontal_line(25, 29),
    };

    constexpr const shape frame_358_shape_group_6_shapes[] = {
        shape(frame_358_shape_group_6_shape_0_horizontal_lines, 68, 10),
        shape(frame_358_shape_group_6_shape_1_horizontal_lines, 80, 11),
        shape(frame_358_shape_group_6_shape_2_horizontal_lines, 82, 15),
        shape(frame_358_shape_group_6_shape_3_horizontal_lines, 83, 11),
        shape(frame_358_shape_group_6_shape_4_horizontal_lines, 91, 10),
        shape(frame_358_shape_group_6_shape_5_horizontal_lines, 101, 11),
        shape(frame_358_shape_group_6_shape_6_horizontal_lines, 113, 15),
        shape(frame_358_shape_group_6_shape_7_horizontal_lines, 114, 11),
        shape(frame_358_shape_group_6_shape_8_horizontal_lines, 116, 15),
        shape(frame_358_shape_group_6_shape_9_horizontal_lines, 119, 11),
        shape(frame_358_shape_group_6_shape_10_horizontal_lines, 121, 15),
        shape(frame_358_shape_group_6_shape_11_horizontal_lines, 122, 11),
        shape(frame_358_shape_group_6_shape_12_horizontal_lines, 126, 10),
        shape(frame_358_shape_group_6_shape_13_horizontal_lines, 128, 11),
        shape(frame_358_shape_group_6_shape_14_horizontal_lines, 147, 10),
        shape(frame_358_shape_group_6_shape_15_horizontal_lines, 155, 11),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(160, 162),
        horizontal_line(160, 164),
        horizontal_line(159, 163),
        horizontal_line(159, 163),
        horizontal_line(158, 162),
        horizontal_line(158, 162),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(119, 139),
        horizontal_line(119, 138),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(103, 118),
        horizontal_line(103, 117),
        horizontal_line(103, 117),
        horizontal_line(102, 117),
        horizontal_line(137, 152),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(117, 136),
        horizontal_line(116, 135),
        horizontal_line(116, 135),
        horizontal_line(116, 134),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(97, 99),
        horizontal_line(96, 99),
        horizontal_line(96, 98),
        horizontal_line(96, 98),
        horizontal_line(95, 98),
        horizontal_line(95, 97),
        horizontal_line(95, 97),
        horizontal_line(94, 97),
        horizontal_line(94, 96),
        horizontal_line(94, 96),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(111, 130),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(130, 145),
        horizontal_line(130, 144),
        horizontal_line(130, 144),
        horizontal_line(100, 109),
        horizontal_line(99, 109),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(128, 142),
        horizontal_line(127, 141),
        horizontal_line(127, 141),
        horizontal_line(97, 106),
        horizontal_line(0, 42),
        horizontal_line(97, 106),
        horizontal_line(97, 105),
        horizontal_line(0, 41),
        horizontal_line(0, 40),
        horizontal_line(0, 40),
        horizontal_line(101, 104),
        horizontal_line(102, 103),
        horizontal_line(0, 38),
        horizontal_line(122, 132),
        horizontal_line(122, 132),
        horizontal_line(121, 132),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(81, 97),
        horizontal_line(120, 120),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(103, 120),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(80, 95),
        horizontal_line(79, 95),
        horizontal_line(79, 94),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(195, 201),
        horizontal_line(195, 202),
        horizontal_line(194, 203),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(78, 93),
        horizontal_line(77, 92),
        horizontal_line(77, 92),
        horizontal_line(76, 92),
        horizontal_line(76, 91),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(191, 209),
        horizontal_line(191, 210),
        horizontal_line(190, 211),
        horizontal_line(190, 212),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(74, 89),
        horizontal_line(74, 89),
        horizontal_line(74, 88),
        horizontal_line(73, 88),
        horizontal_line(119, 133),
        horizontal_line(118, 133),
        horizontal_line(118, 132),
        horizontal_line(117, 132),
        horizontal_line(117, 131),
        horizontal_line(117, 131),
        horizontal_line(116, 130),
        horizontal_line(116, 130),
        horizontal_line(70, 84),
        horizontal_line(70, 84),
    };

    constexpr const horizontal_line frame_358_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(182, 228),
        horizontal_line(181, 229),
        horizontal_line(181, 231),
    };

    constexpr const shape frame_358_shape_group_7_shapes[] = {
        shape(frame_358_shape_group_7_shape_0_horizontal_lines, 69, 1),
        shape(frame_358_shape_group_7_shape_1_horizontal_lines, 80, 10),
        shape(frame_358_shape_group_7_shape_2_horizontal_lines, 82, 11),
        shape(frame_358_shape_group_7_shape_3_horizontal_lines, 87, 10),
        shape(frame_358_shape_group_7_shape_4_horizontal_lines, 91, 1),
        shape(frame_358_shape_group_7_shape_5_horizontal_lines, 101, 10),
        shape(frame_358_shape_group_7_shape_6_horizontal_lines, 102, 11),
        shape(frame_358_shape_group_7_shape_7_horizontal_lines, 125, 10),
        shape(frame_358_shape_group_7_shape_8_horizontal_lines, 127, 1),
        shape(frame_358_shape_group_7_shape_9_horizontal_lines, 128, 10),
        shape(frame_358_shape_group_7_shape_10_horizontal_lines, 131, 11),
        shape(frame_358_shape_group_7_shape_11_horizontal_lines, 134, 10),
        shape(frame_358_shape_group_7_shape_12_horizontal_lines, 139, 11),
        shape(frame_358_shape_group_7_shape_13_horizontal_lines, 143, 10),
        shape(frame_358_shape_group_7_shape_14_horizontal_lines, 157, 11),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(155, 159),
        horizontal_line(155, 159),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(139, 153),
        horizontal_line(138, 153),
        horizontal_line(138, 153),
        horizontal_line(137, 152),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(117, 136),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(98, 101),
        horizontal_line(98, 100),
        horizontal_line(97, 100),
        horizontal_line(97, 99),
        horizontal_line(150, 155),
        horizontal_line(150, 154),
        horizontal_line(150, 154),
        horizontal_line(149, 153),
        horizontal_line(149, 153),
        horizontal_line(148, 153),
        horizontal_line(148, 152),
        horizontal_line(147, 152),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(93, 96),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(111, 129),
        horizontal_line(111, 129),
        horizontal_line(110, 129),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(129, 143),
        horizontal_line(129, 143),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(109, 127),
        horizontal_line(109, 127),
        horizontal_line(108, 127),
        horizontal_line(108, 126),
        horizontal_line(108, 126),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(126, 140),
        horizontal_line(97, 106),
        horizontal_line(125, 139),
        horizontal_line(125, 139),
        horizontal_line(98, 105),
        horizontal_line(99, 104),
        horizontal_line(100, 104),
        horizontal_line(123, 134),
        horizontal_line(123, 133),
        horizontal_line(103, 103),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(82, 94),
        horizontal_line(82, 95),
        horizontal_line(81, 96),
        horizontal_line(116, 120),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(100, 119),
        horizontal_line(138, 141),
        horizontal_line(106, 121),
        horizontal_line(109, 121),
        horizontal_line(112, 122),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(79, 94),
        horizontal_line(78, 94),
        horizontal_line(78, 93),
        horizontal_line(125, 140),
        horizontal_line(124, 139),
        horizontal_line(124, 139),
        horizontal_line(123, 138),
        horizontal_line(123, 138),
        horizontal_line(76, 91),
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(75, 90),
        horizontal_line(121, 135),
        horizontal_line(120, 135),
        horizontal_line(120, 134),
        horizontal_line(119, 134),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(88, 118),
        horizontal_line(88, 117),
        horizontal_line(88, 117),
        horizontal_line(87, 116),
        horizontal_line(87, 116),
        horizontal_line(86, 116),
        horizontal_line(86, 115),
        horizontal_line(86, 115),
    };

    constexpr const horizontal_line frame_358_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(115, 129),
        horizontal_line(115, 129),
        horizontal_line(69, 83),
        horizontal_line(69, 83),
        horizontal_line(69, 83),
    };

    constexpr const shape frame_358_shape_group_8_shapes[] = {
        shape(frame_358_shape_group_8_shape_0_horizontal_lines, 80, 1),
        shape(frame_358_shape_group_8_shape_1_horizontal_lines, 82, 11),
        shape(frame_358_shape_group_8_shape_2_horizontal_lines, 86, 10),
        shape(frame_358_shape_group_8_shape_3_horizontal_lines, 87, 1),
        shape(frame_358_shape_group_8_shape_4_horizontal_lines, 102, 10),
        shape(frame_358_shape_group_8_shape_5_horizontal_lines, 105, 11),
        shape(frame_358_shape_group_8_shape_6_horizontal_lines, 107, 10),
        shape(frame_358_shape_group_8_shape_7_horizontal_lines, 112, 11),
        shape(frame_358_shape_group_8_shape_8_horizontal_lines, 122, 10),
        shape(frame_358_shape_group_8_shape_9_horizontal_lines, 126, 1),
        shape(frame_358_shape_group_8_shape_10_horizontal_lines, 131, 10),
        shape(frame_358_shape_group_8_shape_11_horizontal_lines, 147, 3),
        shape(frame_358_shape_group_8_shape_12_horizontal_lines, 155, 10),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(119, 138),
        horizontal_line(118, 137),
        horizontal_line(118, 137),
        horizontal_line(118, 136),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(98, 99),
        horizontal_line(152, 156),
        horizontal_line(152, 156),
        horizontal_line(151, 156),
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(93, 95),
        horizontal_line(93, 95),
        horizontal_line(92, 95),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(110, 128),
        horizontal_line(110, 128),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(91, 98),
        horizontal_line(90, 98),
        horizontal_line(89, 97),
        horizontal_line(88, 97),
        horizontal_line(87, 97),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(107, 125),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(126, 140),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(85, 86),
        horizontal_line(84, 87),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(125, 135),
        horizontal_line(124, 134),
        horizontal_line(124, 134),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(83, 91),
        horizontal_line(83, 92),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(123, 133),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(104, 121),
        horizontal_line(108, 121),
        horizontal_line(112, 120),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(98, 115),
        horizontal_line(136, 141),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(97, 102),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(139, 141),
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(95, 111),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(138, 141),
        horizontal_line(134, 141),
        horizontal_line(129, 140),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(124, 124),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(93, 123),
        horizontal_line(93, 123),
        horizontal_line(93, 122),
        horizontal_line(92, 122),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_19_horizontal_lines[] = {
        horizontal_line(122, 137),
        horizontal_line(122, 137),
        horizontal_line(121, 136),
        horizontal_line(121, 136),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_20_horizontal_lines[] = {
        horizontal_line(90, 120),
        horizontal_line(90, 119),
        horizontal_line(89, 119),
        horizontal_line(89, 118),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_21_horizontal_lines[] = {
        horizontal_line(85, 114),
        horizontal_line(85, 114),
    };

    constexpr const horizontal_line frame_358_shape_group_9_shape_22_horizontal_lines[] = {
        horizontal_line(114, 128),
        horizontal_line(114, 128),
        horizontal_line(114, 128),
    };

    constexpr const shape frame_358_shape_group_9_shapes[] = {
        shape(frame_358_shape_group_9_shape_0_horizontal_lines, 82, 10),
        shape(frame_358_shape_group_9_shape_1_horizontal_lines, 86, 1),
        shape(frame_358_shape_group_9_shape_2_horizontal_lines, 102, 1),
        shape(frame_358_shape_group_9_shape_3_horizontal_lines, 105, 10),
        shape(frame_358_shape_group_9_shape_4_horizontal_lines, 107, 1),
        shape(frame_358_shape_group_9_shape_5_horizontal_lines, 112, 10),
        shape(frame_358_shape_group_9_shape_6_horizontal_lines, 113, 11),
        shape(frame_358_shape_group_9_shape_7_horizontal_lines, 114, 10),
        shape(frame_358_shape_group_9_shape_8_horizontal_lines, 116, 11),
        shape(frame_358_shape_group_9_shape_9_horizontal_lines, 119, 10),
        shape(frame_358_shape_group_9_shape_10_horizontal_lines, 121, 11),
        shape(frame_358_shape_group_9_shape_11_horizontal_lines, 122, 10),
        shape(frame_358_shape_group_9_shape_12_horizontal_lines, 125, 1),
        shape(frame_358_shape_group_9_shape_13_horizontal_lines, 127, 3),
        shape(frame_358_shape_group_9_shape_14_horizontal_lines, 128, 1),
        shape(frame_358_shape_group_9_shape_15_horizontal_lines, 130, 3),
        shape(frame_358_shape_group_9_shape_16_horizontal_lines, 131, 10),
        shape(frame_358_shape_group_9_shape_17_horizontal_lines, 134, 1),
        shape(frame_358_shape_group_9_shape_18_horizontal_lines, 135, 3),
        shape(frame_358_shape_group_9_shape_19_horizontal_lines, 139, 10),
        shape(frame_358_shape_group_9_shape_20_horizontal_lines, 143, 3),
        shape(frame_358_shape_group_9_shape_21_horizontal_lines, 155, 3),
        shape(frame_358_shape_group_9_shape_22_horizontal_lines, 157, 10),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(154, 158),
        horizontal_line(153, 157),
        horizontal_line(153, 157),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(92, 96),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(87, 96),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(85, 85),
        horizontal_line(107, 124),
        horizontal_line(106, 124),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(137, 139),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(84, 89),
        horizontal_line(83, 90),
        horizontal_line(105, 122),
        horizontal_line(104, 122),
        horizontal_line(82, 93),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(133, 141),
        horizontal_line(102, 107),
        horizontal_line(100, 111),
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(97, 99),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(96, 105),
        horizontal_line(96, 108),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(115, 122),
        horizontal_line(118, 123),
        horizontal_line(121, 123),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(94, 123),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(92, 121),
        horizontal_line(91, 121),
        horizontal_line(91, 120),
        horizontal_line(91, 120),
    };

    constexpr const horizontal_line frame_358_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(84, 113),
        horizontal_line(84, 113),
        horizontal_line(84, 113),
    };

    constexpr const shape frame_358_shape_group_10_shapes[] = {
        shape(frame_358_shape_group_10_shape_0_horizontal_lines, 82, 1),
        shape(frame_358_shape_group_10_shape_1_horizontal_lines, 105, 1),
        shape(frame_358_shape_group_10_shape_2_horizontal_lines, 112, 1),
        shape(frame_358_shape_group_10_shape_3_horizontal_lines, 113, 10),
        shape(frame_358_shape_group_10_shape_4_horizontal_lines, 116, 11),
        shape(frame_358_shape_group_10_shape_5_horizontal_lines, 117, 10),
        shape(frame_358_shape_group_10_shape_6_horizontal_lines, 122, 1),
        shape(frame_358_shape_group_10_shape_7_horizontal_lines, 126, 3),
        shape(frame_358_shape_group_10_shape_8_horizontal_lines, 128, 3),
        shape(frame_358_shape_group_10_shape_9_horizontal_lines, 131, 1),
        shape(frame_358_shape_group_10_shape_10_horizontal_lines, 134, 3),
        shape(frame_358_shape_group_10_shape_11_horizontal_lines, 139, 3),
        shape(frame_358_shape_group_10_shape_12_horizontal_lines, 157, 3),
    };

    constexpr const horizontal_line frame_358_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(107, 125),
    };

    constexpr const horizontal_line frame_358_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(84, 88),
        horizontal_line(105, 123),
        horizontal_line(105, 123),
    };

    constexpr const horizontal_line frame_358_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(135, 141),
        horizontal_line(134, 141),
    };

    constexpr const horizontal_line frame_358_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(104, 122),
    };

    constexpr const horizontal_line frame_358_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(133, 141),
        horizontal_line(133, 141),
    };

    constexpr const horizontal_line frame_358_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(95, 114),
        horizontal_line(95, 117),
        horizontal_line(94, 120),
    };

    constexpr const shape frame_358_shape_group_11_shapes[] = {
        shape(frame_358_shape_group_11_shape_0_horizontal_lines, 113, 10),
        shape(frame_358_shape_group_11_shape_1_horizontal_lines, 116, 10),
        shape(frame_358_shape_group_11_shape_2_horizontal_lines, 119, 1),
        shape(frame_358_shape_group_11_shape_3_horizontal_lines, 121, 10),
        shape(frame_358_shape_group_11_shape_4_horizontal_lines, 123, 1),
        shape(frame_358_shape_group_11_shape_5_horizontal_lines, 131, 3),
    };

    constexpr const horizontal_line frame_358_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(92, 96),
    };

    constexpr const horizontal_line frame_358_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(106, 124),
    };

    constexpr const horizontal_line frame_358_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(134, 141),
    };

    constexpr const shape frame_358_shape_group_12_shapes[] = {
        shape(frame_358_shape_group_12_shape_0_horizontal_lines, 113, 1),
        shape(frame_358_shape_group_12_shape_1_horizontal_lines, 116, 10),
        shape(frame_358_shape_group_12_shape_2_horizontal_lines, 121, 1),
    };

    constexpr const shape_group frame_358_shape_groups[] = {
        shape_group(frame_358_shape_group_0_shapes),
        shape_group(frame_358_shape_group_1_shapes),
        shape_group(frame_358_shape_group_2_shapes),
        shape_group(frame_358_shape_group_3_shapes),
        shape_group(frame_358_shape_group_4_shapes),
        shape_group(frame_358_shape_group_5_shapes),
        shape_group(frame_358_shape_group_6_shapes),
        shape_group(frame_358_shape_group_7_shapes),
        shape_group(frame_358_shape_group_8_shapes),
        shape_group(frame_358_shape_group_9_shapes),
        shape_group(frame_358_shape_group_10_shapes),
        shape_group(frame_358_shape_group_11_shapes),
        shape_group(frame_358_shape_group_12_shapes),
    };

    constexpr const frame frame_358_impl(frame_358_colors, frame_358_shape_groups);
} 

const frame& frame_358()
{
    return frame_358_impl;
}

namespace
{
    constexpr const bn::color frame_359_colors[] = {
        bn::color(0, 0, 0),
        bn::color(28, 28, 0),
        bn::color(12, 8, 8),
        bn::color(24, 24, 20),
        bn::color(0, 12, 20),
        bn::color(24, 20, 20),
        bn::color(8, 20, 28),
        bn::color(8, 4, 4),
        bn::color(8, 8, 4),
        bn::color(20, 16, 16),
        bn::color(20, 20, 16),
        bn::color(16, 16, 12),
        bn::color(28, 24, 24),
        bn::color(12, 12, 8),
        bn::color(16, 12, 12),
        bn::color(4, 4, 0),
    };

    constexpr const horizontal_line frame_359_shape_group_0_shape_0_horizontal_lines[] = {
        horizontal_line(0, 0),
        horizontal_line(0, 2),
        horizontal_line(0, 4),
        horizontal_line(0, 7),
        horizontal_line(0, 9),
        horizontal_line(0, 12),
        horizontal_line(0, 14),
        horizontal_line(0, 16),
        horizontal_line(0, 19),
        horizontal_line(0, 21),
        horizontal_line(0, 24),
        horizontal_line(0, 26),
        horizontal_line(0, 28),
        horizontal_line(0, 31),
        horizontal_line(0, 33),
        horizontal_line(0, 36),
        horizontal_line(0, 38),
        horizontal_line(0, 40),
        horizontal_line(0, 43),
        horizontal_line(0, 45),
        horizontal_line(0, 48),
        horizontal_line(0, 50),
        horizontal_line(0, 52),
        horizontal_line(0, 55),
        horizontal_line(0, 57),
        horizontal_line(0, 60),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 62),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 61),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 60),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 59),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 58),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 57),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 56),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 55),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 54),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 53),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 52),
        horizontal_line(0, 45),
        horizontal_line(0, 39),
        horizontal_line(0, 32),
        horizontal_line(0, 26),
        horizontal_line(0, 19),
        horizontal_line(0, 13),
        horizontal_line(0, 6),
        horizontal_line(0, 0),
        horizontal_line(222, 239),
        horizontal_line(221, 239),
        horizontal_line(221, 239),
        horizontal_line(220, 239),
        horizontal_line(220, 239),
        horizontal_line(219, 239),
        horizontal_line(218, 239),
        horizontal_line(218, 239),
        horizontal_line(217, 239),
        horizontal_line(217, 239),
        horizontal_line(216, 239),
        horizontal_line(216, 239),
        horizontal_line(215, 239),
        horizontal_line(214, 239),
        horizontal_line(214, 239),
        horizontal_line(213, 239),
        horizontal_line(213, 239),
        horizontal_line(212, 239),
        horizontal_line(211, 239),
        horizontal_line(88, 88),
        horizontal_line(88, 93),
        horizontal_line(88, 97),
        horizontal_line(89, 97),
        horizontal_line(89, 98),
        horizontal_line(89, 98),
        horizontal_line(90, 99),
        horizontal_line(90, 99),
        horizontal_line(91, 100),
        horizontal_line(91, 100),
        horizontal_line(41, 41),
        horizontal_line(39, 41),
        horizontal_line(37, 41),
        horizontal_line(36, 40),
        horizontal_line(34, 40),
        horizontal_line(32, 40),
        horizontal_line(30, 40),
        horizontal_line(29, 39),
        horizontal_line(27, 39),
        horizontal_line(25, 39),
        horizontal_line(23, 39),
        horizontal_line(22, 38),
        horizontal_line(20, 38),
        horizontal_line(18, 38),
        horizontal_line(16, 38),
        horizontal_line(15, 37),
        horizontal_line(13, 37),
        horizontal_line(11, 37),
        horizontal_line(9, 36),
        horizontal_line(8, 36),
        horizontal_line(6, 36),
        horizontal_line(4, 36),
        horizontal_line(2, 35),
        horizontal_line(1, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 35),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 34),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(0, 30),
        horizontal_line(0, 29),
        horizontal_line(0, 27),
        horizontal_line(0, 26),
        horizontal_line(0, 25),
        horizontal_line(0, 24),
    };

    constexpr const shape frame_359_shape_group_0_shapes[] = {
        shape(frame_359_shape_group_0_shape_0_horizontal_lines, 11, 13),
    };

    constexpr const horizontal_line frame_359_shape_group_1_shape_0_horizontal_lines[] = {
        horizontal_line(62, 62),
        horizontal_line(62, 65),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 64),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 63),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
        horizontal_line(62, 62),
    };

    constexpr const horizontal_line frame_359_shape_group_1_shape_1_horizontal_lines[] = {
        horizontal_line(93, 96),
        horizontal_line(96, 100),
        horizontal_line(99, 103),
        horizontal_line(102, 106),
        horizontal_line(105, 109),
        horizontal_line(108, 112),
        horizontal_line(112, 116),
        horizontal_line(112, 114),
        horizontal_line(112, 114),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(111, 113),
        horizontal_line(110, 112),
        horizontal_line(110, 112),
        horizontal_line(109, 112),
        horizontal_line(109, 111),
        horizontal_line(109, 111),
        horizontal_line(108, 110),
        horizontal_line(108, 110),
        horizontal_line(107, 110),
        horizontal_line(107, 109),
        horizontal_line(107, 109),
        horizontal_line(106, 109),
        horizontal_line(106, 108),
        horizontal_line(105, 108),
        horizontal_line(105, 107),
        horizontal_line(105, 107),
        horizontal_line(104, 107),
        horizontal_line(104, 106),
        horizontal_line(103, 106),
        horizontal_line(103, 106),
        horizontal_line(53, 59),
        horizontal_line(53, 67),
        horizontal_line(53, 75),
    };

    constexpr const horizontal_line frame_359_shape_group_1_shape_2_horizontal_lines[] = {
        horizontal_line(227, 227),
        horizontal_line(226, 233),
        horizontal_line(225, 239),
        horizontal_line(225, 239),
        horizontal_line(224, 239),
        horizontal_line(224, 239),
        horizontal_line(223, 239),
        horizontal_line(222, 239),
    };

    constexpr const horizontal_line frame_359_shape_group_1_shape_3_horizontal_lines[] = {
        horizontal_line(50, 98),
        horizontal_line(50, 97),
        horizontal_line(50, 97),
        horizontal_line(49, 97),
        horizontal_line(49, 96),
        horizontal_line(49, 96),
        horizontal_line(48, 96),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(48, 95),
        horizontal_line(47, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 94),
        horizontal_line(47, 93),
        horizontal_line(46, 93),
        horizontal_line(46, 93),
        horizontal_line(46, 92),
        horizontal_line(45, 90),
        horizontal_line(45, 88),
    };

    constexpr const horizontal_line frame_359_shape_group_1_shape_4_horizontal_lines[] = {
        horizontal_line(211, 239),
        horizontal_line(210, 239),
        horizontal_line(210, 239),
        horizontal_line(209, 239),
        horizontal_line(209, 239),
        horizontal_line(208, 239),
        horizontal_line(136, 136),
        horizontal_line(136, 137),
        horizontal_line(135, 138),
        horizontal_line(135, 139),
        horizontal_line(91, 101),
        horizontal_line(92, 98),
        horizontal_line(92, 95),
        horizontal_line(203, 239),
        horizontal_line(203, 239),
        horizontal_line(202, 239),
        horizontal_line(202, 239),
        horizontal_line(201, 239),
        horizontal_line(118, 133),
        horizontal_line(118, 135),
        horizontal_line(118, 137),
        horizontal_line(118, 139),
        horizontal_line(118, 141),
        horizontal_line(118, 129),
        horizontal_line(207, 239),
        horizontal_line(208, 239),
        horizontal_line(209, 239),
        horizontal_line(210, 239),
        horizontal_line(211, 239),
        horizontal_line(212, 239),
        horizontal_line(213, 239),
        horizontal_line(214, 239),
        horizontal_line(215, 239),
        horizontal_line(216, 239),
        horizontal_line(217, 239),
        horizontal_line(218, 239),
        horizontal_line(219, 239),
        horizontal_line(220, 239),
        horizontal_line(221, 239),
        horizontal_line(222, 239),
        horizontal_line(223, 239),
        horizontal_line(224, 239),
        horizontal_line(225, 239),
        horizontal_line(226, 239),
        horizontal_line(227, 239),
        horizontal_line(228, 239),
        horizontal_line(229, 239),
        horizontal_line(230, 239),
        horizontal_line(231, 239),
        horizontal_line(232, 239),
        horizontal_line(234, 239),
    };

    constexpr const shape frame_359_shape_group_1_shapes[] = {
        shape(frame_359_shape_group_1_shape_0_horizontal_lines, 37, 13),
        shape(frame_359_shape_group_1_shape_1_horizontal_lines, 48, 8),
        shape(frame_359_shape_group_1_shape_2_horizontal_lines, 82, 13),
        shape(frame_359_shape_group_1_shape_3_horizontal_lines, 90, 8),
        shape(frame_359_shape_group_1_shape_4_horizontal_lines, 109, 13),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_0_horizontal_lines[] = {
        horizontal_line(65, 68),
        horizontal_line(68, 71),
        horizontal_line(71, 74),
        horizontal_line(74, 77),
        horizontal_line(77, 80),
        horizontal_line(80, 84),
        horizontal_line(83, 87),
        horizontal_line(87, 90),
        horizontal_line(90, 93),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_1_horizontal_lines[] = {
        horizontal_line(62, 92),
        horizontal_line(62, 95),
        horizontal_line(62, 98),
        horizontal_line(62, 101),
        horizontal_line(61, 104),
        horizontal_line(61, 107),
        horizontal_line(61, 111),
        horizontal_line(60, 111),
        horizontal_line(60, 111),
        horizontal_line(60, 110),
        horizontal_line(59, 110),
        horizontal_line(59, 110),
        horizontal_line(59, 109),
        horizontal_line(59, 109),
        horizontal_line(58, 108),
        horizontal_line(58, 108),
        horizontal_line(58, 108),
        horizontal_line(57, 107),
        horizontal_line(57, 107),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_2_horizontal_lines[] = {
        horizontal_line(163, 163),
        horizontal_line(165, 167),
        horizontal_line(168, 171),
        horizontal_line(167, 175),
        horizontal_line(167, 180),
        horizontal_line(166, 184),
        horizontal_line(166, 188),
        horizontal_line(165, 192),
        horizontal_line(165, 197),
        horizontal_line(164, 201),
        horizontal_line(164, 205),
        horizontal_line(163, 209),
        horizontal_line(103, 105),
        horizontal_line(102, 105),
        horizontal_line(102, 104),
        horizontal_line(52, 83),
        horizontal_line(52, 91),
        horizontal_line(52, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 99),
        horizontal_line(51, 98),
        horizontal_line(50, 98),
        horizontal_line(158, 220),
        horizontal_line(158, 220),
        horizontal_line(157, 219),
        horizontal_line(157, 219),
        horizontal_line(156, 218),
        horizontal_line(156, 218),
        horizontal_line(155, 217),
        horizontal_line(155, 217),
        horizontal_line(154, 216),
        horizontal_line(154, 216),
        horizontal_line(154, 215),
        horizontal_line(148, 152),
        horizontal_line(148, 152),
        horizontal_line(147, 151),
        horizontal_line(147, 151),
        horizontal_line(146, 150),
        horizontal_line(146, 150),
        horizontal_line(145, 149),
        horizontal_line(145, 149),
        horizontal_line(45, 87),
        horizontal_line(45, 86),
        horizontal_line(44, 86),
        horizontal_line(44, 74),
        horizontal_line(44, 57),
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_3_horizontal_lines[] = {
        horizontal_line(207, 239),
        horizontal_line(207, 239),
        horizontal_line(206, 239),
        horizontal_line(206, 239),
        horizontal_line(135, 140),
        horizontal_line(138, 141),
        horizontal_line(141, 142),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_4_horizontal_lines[] = {
        horizontal_line(196, 202),
        horizontal_line(198, 202),
        horizontal_line(200, 201),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_5_horizontal_lines[] = {
        horizontal_line(41, 81),
        horizontal_line(40, 80),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_6_horizontal_lines[] = {
        horizontal_line(201, 239),
        horizontal_line(202, 239),
        horizontal_line(203, 239),
        horizontal_line(204, 239),
        horizontal_line(205, 239),
        horizontal_line(206, 239),
    };

    constexpr const horizontal_line frame_359_shape_group_2_shape_7_horizontal_lines[] = {
        horizontal_line(141, 145),
        horizontal_line(140, 147),
        horizontal_line(140, 148),
        horizontal_line(139, 149),
        horizontal_line(139, 150),
        horizontal_line(76, 76),
        horizontal_line(70, 76),
        horizontal_line(64, 75),
        horizontal_line(58, 75),
        horizontal_line(52, 75),
        horizontal_line(46, 74),
        horizontal_line(40, 74),
        horizontal_line(35, 74),
        horizontal_line(35, 73),
        horizontal_line(35, 73),
        horizontal_line(35, 72),
        horizontal_line(34, 72),
        horizontal_line(34, 72),
        horizontal_line(34, 71),
        horizontal_line(34, 71),
        horizontal_line(33, 71),
        horizontal_line(33, 70),
        horizontal_line(33, 70),
        horizontal_line(32, 70),
        horizontal_line(32, 69),
        horizontal_line(32, 69),
        horizontal_line(32, 69),
    };

    constexpr const shape frame_359_shape_group_2_shapes[] = {
        shape(frame_359_shape_group_2_shape_0_horizontal_lines, 39, 8),
        shape(frame_359_shape_group_2_shape_1_horizontal_lines, 48, 15),
        shape(frame_359_shape_group_2_shape_2_horizontal_lines, 67, 8),
        shape(frame_359_shape_group_2_shape_3_horizontal_lines, 115, 13),
        shape(frame_359_shape_group_2_shape_4_horizontal_lines, 122, 8),
        shape(frame_359_shape_group_2_shape_5_horizontal_lines, 125, 15),
        shape(frame_359_shape_group_2_shape_6_horizontal_lines, 127, 13),
        shape(frame_359_shape_group_2_shape_7_horizontal_lines, 133, 8),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_0_horizontal_lines[] = {
        horizontal_line(65, 67),
        horizontal_line(65, 70),
        horizontal_line(64, 73),
        horizontal_line(64, 76),
        horizontal_line(64, 79),
        horizontal_line(63, 82),
        horizontal_line(63, 86),
        horizontal_line(63, 89),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_1_horizontal_lines[] = {
        horizontal_line(121, 128),
        horizontal_line(120, 127),
        horizontal_line(120, 127),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(119, 126),
        horizontal_line(115, 125),
        horizontal_line(115, 125),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(114, 124),
        horizontal_line(113, 123),
        horizontal_line(113, 123),
        horizontal_line(113, 122),
        horizontal_line(112, 122),
        horizontal_line(112, 122),
        horizontal_line(111, 121),
        horizontal_line(111, 121),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_2_horizontal_lines[] = {
        horizontal_line(57, 106),
        horizontal_line(56, 106),
        horizontal_line(56, 106),
        horizontal_line(56, 105),
        horizontal_line(56, 105),
        horizontal_line(55, 104),
        horizontal_line(55, 104),
        horizontal_line(55, 104),
        horizontal_line(54, 103),
        horizontal_line(54, 103),
        horizontal_line(54, 102),
        horizontal_line(53, 102),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_3_horizontal_lines[] = {
        horizontal_line(163, 214),
        horizontal_line(163, 218),
        horizontal_line(162, 222),
        horizontal_line(101, 104),
        horizontal_line(101, 104),
        horizontal_line(101, 103),
        horizontal_line(102, 103),
        horizontal_line(160, 222),
        horizontal_line(159, 221),
        horizontal_line(159, 221),
        horizontal_line(158, 220),
        horizontal_line(220, 221),
        horizontal_line(220, 220),
        horizontal_line(219, 220),
        horizontal_line(219, 219),
        horizontal_line(218, 219),
        horizontal_line(218, 218),
        horizontal_line(217, 217),
        horizontal_line(217, 217),
        horizontal_line(216, 216),
        horizontal_line(216, 216),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_4_horizontal_lines[] = {
        horizontal_line(0, 46),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_5_horizontal_lines[] = {
        horizontal_line(155, 215),
        horizontal_line(157, 214),
        horizontal_line(159, 213),
        horizontal_line(161, 213),
        horizontal_line(163, 212),
        horizontal_line(165, 212),
        horizontal_line(167, 211),
        horizontal_line(169, 210),
        horizontal_line(144, 148),
        horizontal_line(144, 148),
        horizontal_line(144, 147),
        horizontal_line(143, 147),
        horizontal_line(143, 146),
        horizontal_line(180, 207),
        horizontal_line(142, 146),
        horizontal_line(141, 145),
        horizontal_line(141, 145),
        horizontal_line(140, 144),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_6_horizontal_lines[] = {
        horizontal_line(205, 239),
        horizontal_line(205, 239),
        horizontal_line(204, 239),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_7_horizontal_lines[] = {
        horizontal_line(41, 82),
        horizontal_line(41, 81),
        horizontal_line(41, 81),
        horizontal_line(143, 201),
        horizontal_line(143, 200),
        horizontal_line(40, 80),
        horizontal_line(40, 80),
        horizontal_line(40, 79),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_8_horizontal_lines[] = {
        horizontal_line(142, 142),
        horizontal_line(142, 143),
        horizontal_line(141, 144),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_9_horizontal_lines[] = {
        horizontal_line(39, 78),
        horizontal_line(38, 78),
        horizontal_line(38, 77),
        horizontal_line(38, 77),
        horizontal_line(37, 76),
    };

    constexpr const horizontal_line frame_359_shape_group_3_shape_10_horizontal_lines[] = {
        horizontal_line(138, 151),
        horizontal_line(138, 153),
        horizontal_line(137, 154),
        horizontal_line(137, 155),
        horizontal_line(136, 156),
        horizontal_line(136, 157),
        horizontal_line(135, 159),
        horizontal_line(135, 160),
        horizontal_line(135, 161),
        horizontal_line(134, 162),
        horizontal_line(134, 163),
        horizontal_line(133, 165),
        horizontal_line(133, 166),
        horizontal_line(132, 167),
        horizontal_line(132, 168),
        horizontal_line(131, 169),
        horizontal_line(131, 171),
        horizontal_line(130, 172),
        horizontal_line(131, 173),
        horizontal_line(132, 174),
        horizontal_line(133, 175),
        horizontal_line(134, 177),
    };

    constexpr const shape frame_359_shape_group_3_shapes[] = {
        shape(frame_359_shape_group_3_shape_0_horizontal_lines, 40, 15),
        shape(frame_359_shape_group_3_shape_1_horizontal_lines, 49, 11),
        shape(frame_359_shape_group_3_shape_2_horizontal_lines, 67, 15),
        shape(frame_359_shape_group_3_shape_3_horizontal_lines, 79, 8),
        shape(frame_359_shape_group_3_shape_4_horizontal_lines, 100, 11),
        shape(frame_359_shape_group_3_shape_5_horizontal_lines, 101, 8),
        shape(frame_359_shape_group_3_shape_6_horizontal_lines, 119, 13),
        shape(frame_359_shape_group_3_shape_7_horizontal_lines, 122, 15),
        shape(frame_359_shape_group_3_shape_8_horizontal_lines, 130, 8),
        shape(frame_359_shape_group_3_shape_9_horizontal_lines, 133, 15),
        shape(frame_359_shape_group_3_shape_10_horizontal_lines, 138, 8),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_0_horizontal_lines[] = {
        horizontal_line(129, 129),
        horizontal_line(128, 132),
        horizontal_line(128, 136),
        horizontal_line(127, 139),
        horizontal_line(127, 143),
        horizontal_line(127, 147),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_1_horizontal_lines[] = {
        horizontal_line(147, 150),
        horizontal_line(147, 153),
        horizontal_line(146, 156),
        horizontal_line(146, 160),
        horizontal_line(145, 159),
        horizontal_line(145, 159),
        horizontal_line(145, 158),
        horizontal_line(144, 158),
        horizontal_line(144, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 157),
        horizontal_line(143, 156),
        horizontal_line(111, 121),
        horizontal_line(110, 120),
        horizontal_line(110, 120),
        horizontal_line(110, 119),
        horizontal_line(109, 119),
        horizontal_line(109, 119),
        horizontal_line(108, 118),
        horizontal_line(108, 118),
        horizontal_line(108, 117),
        horizontal_line(107, 117),
        horizontal_line(107, 117),
        horizontal_line(107, 116),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_2_horizontal_lines[] = {
        horizontal_line(60, 102),
        horizontal_line(68, 101),
        horizontal_line(76, 101),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_3_horizontal_lines[] = {
        horizontal_line(162, 224),
        horizontal_line(161, 223),
        horizontal_line(161, 223),
        horizontal_line(160, 222),
        horizontal_line(222, 223),
        horizontal_line(221, 223),
        horizontal_line(221, 222),
        horizontal_line(220, 221),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_4_horizontal_lines[] = {
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 49),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 48),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(0, 47),
        horizontal_line(99, 108),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_5_horizontal_lines[] = {
        horizontal_line(153, 154),
        horizontal_line(153, 156),
        horizontal_line(152, 158),
        horizontal_line(152, 160),
        horizontal_line(151, 162),
        horizontal_line(151, 164),
        horizontal_line(150, 166),
        horizontal_line(150, 168),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_6_horizontal_lines[] = {
        horizontal_line(171, 210),
        horizontal_line(173, 209),
        horizontal_line(175, 209),
        horizontal_line(177, 208),
        horizontal_line(179, 208),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_7_horizontal_lines[] = {
        horizontal_line(44, 85),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_8_horizontal_lines[] = {
        horizontal_line(182, 206),
        horizontal_line(184, 206),
        horizontal_line(186, 205),
        horizontal_line(188, 205),
        horizontal_line(141, 144),
        horizontal_line(142, 143),
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_9_horizontal_lines[] = {
        horizontal_line(144, 195),
        horizontal_line(143, 197),
        horizontal_line(143, 199),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_10_horizontal_lines[] = {
        horizontal_line(0, 29),
        horizontal_line(0, 28),
    };

    constexpr const horizontal_line frame_359_shape_group_4_shape_11_horizontal_lines[] = {
        horizontal_line(142, 200),
        horizontal_line(142, 199),
        horizontal_line(142, 198),
        horizontal_line(39, 79),
        horizontal_line(39, 79),
        horizontal_line(39, 78),
        horizontal_line(146, 196),
        horizontal_line(148, 196),
        horizontal_line(149, 195),
        horizontal_line(150, 194),
        horizontal_line(151, 194),
        horizontal_line(37, 75),
        horizontal_line(37, 69),
        horizontal_line(37, 63),
        horizontal_line(36, 57),
        horizontal_line(36, 51),
        horizontal_line(36, 45),
        horizontal_line(36, 39),
        horizontal_line(161, 189),
        horizontal_line(162, 189),
        horizontal_line(163, 188),
        horizontal_line(164, 188),
        horizontal_line(166, 187),
        horizontal_line(167, 187),
        horizontal_line(168, 186),
        horizontal_line(169, 185),
        horizontal_line(170, 185),
        horizontal_line(172, 184),
        horizontal_line(173, 184),
        horizontal_line(130, 130),
        horizontal_line(129, 131),
        horizontal_line(129, 132),
        horizontal_line(129, 133),
    };

    constexpr const shape frame_359_shape_group_4_shapes[] = {
        shape(frame_359_shape_group_4_shape_0_horizontal_lines, 49, 10),
        shape(frame_359_shape_group_4_shape_1_horizontal_lines, 55, 11),
        shape(frame_359_shape_group_4_shape_2_horizontal_lines, 79, 15),
        shape(frame_359_shape_group_4_shape_3_horizontal_lines, 82, 8),
        shape(frame_359_shape_group_4_shape_4_horizontal_lines, 90, 11),
        shape(frame_359_shape_group_4_shape_5_horizontal_lines, 101, 15),
        shape(frame_359_shape_group_4_shape_6_horizontal_lines, 109, 8),
        shape(frame_359_shape_group_4_shape_7_horizontal_lines, 114, 15),
        shape(frame_359_shape_group_4_shape_8_horizontal_lines, 115, 8),
        shape(frame_359_shape_group_4_shape_9_horizontal_lines, 122, 15),
        shape(frame_359_shape_group_4_shape_10_horizontal_lines, 125, 11),
        shape(frame_359_shape_group_4_shape_11_horizontal_lines, 127, 15),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_0_horizontal_lines[] = {
        horizontal_line(126, 146),
        horizontal_line(126, 146),
        horizontal_line(125, 145),
        horizontal_line(125, 145),
        horizontal_line(125, 144),
        horizontal_line(124, 144),
        horizontal_line(124, 144),
        horizontal_line(123, 143),
        horizontal_line(123, 143),
        horizontal_line(123, 142),
        horizontal_line(122, 142),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_1_horizontal_lines[] = {
        horizontal_line(158, 159),
        horizontal_line(142, 162),
        horizontal_line(142, 155),
        horizontal_line(141, 155),
        horizontal_line(141, 154),
        horizontal_line(140, 154),
        horizontal_line(140, 159),
        horizontal_line(140, 153),
        horizontal_line(139, 159),
        horizontal_line(139, 152),
        horizontal_line(138, 158),
        horizontal_line(138, 151),
        horizontal_line(138, 151),
        horizontal_line(106, 116),
        horizontal_line(106, 116),
        horizontal_line(105, 115),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_2_horizontal_lines[] = {
        horizontal_line(224, 226),
        horizontal_line(223, 225),
        horizontal_line(223, 224),
        horizontal_line(222, 224),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_3_horizontal_lines[] = {
        horizontal_line(20, 50),
        horizontal_line(14, 50),
        horizontal_line(7, 50),
        horizontal_line(1, 49),
        horizontal_line(102, 112),
        horizontal_line(102, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 111),
        horizontal_line(101, 110),
        horizontal_line(100, 110),
        horizontal_line(100, 109),
        horizontal_line(100, 109),
        horizontal_line(99, 109),
        horizontal_line(99, 108),
        horizontal_line(128, 148),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 46),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 45),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_4_horizontal_lines[] = {
        horizontal_line(149, 170),
        horizontal_line(149, 172),
        horizontal_line(148, 174),
        horizontal_line(75, 85),
        horizontal_line(58, 85),
        horizontal_line(147, 179),
        horizontal_line(43, 84),
        horizontal_line(43, 84),
        horizontal_line(43, 84),
        horizontal_line(43, 83),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_5_horizontal_lines[] = {
        horizontal_line(190, 204),
        horizontal_line(192, 204),
        horizontal_line(194, 203),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_6_horizontal_lines[] = {
        horizontal_line(0, 35),
        horizontal_line(0, 33),
        horizontal_line(0, 31),
        horizontal_line(118, 131),
        horizontal_line(118, 131),
        horizontal_line(0, 26),
        horizontal_line(0, 24),
        horizontal_line(0, 22),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_7_horizontal_lines[] = {
        horizontal_line(143, 198),
        horizontal_line(144, 197),
        horizontal_line(145, 197),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_8_horizontal_lines[] = {
        horizontal_line(0, 15),
        horizontal_line(0, 14),
        horizontal_line(0, 12),
        horizontal_line(0, 10),
        horizontal_line(0, 8),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_9_horizontal_lines[] = {
        horizontal_line(152, 193),
        horizontal_line(154, 193),
        horizontal_line(155, 192),
        horizontal_line(156, 192),
        horizontal_line(157, 191),
        horizontal_line(158, 191),
        horizontal_line(160, 190),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_10_horizontal_lines[] = {
        horizontal_line(190, 218),
        horizontal_line(190, 219),
        horizontal_line(189, 220),
        horizontal_line(189, 221),
        horizontal_line(188, 222),
        horizontal_line(188, 223),
        horizontal_line(187, 224),
        horizontal_line(186, 225),
        horizontal_line(32, 32),
        horizontal_line(31, 32),
        horizontal_line(30, 32),
    };

    constexpr const horizontal_line frame_359_shape_group_5_shape_11_horizontal_lines[] = {
        horizontal_line(174, 183),
        horizontal_line(175, 183),
        horizontal_line(176, 182),
        horizontal_line(178, 182),
    };

    constexpr const shape frame_359_shape_group_5_shapes[] = {
        shape(frame_359_shape_group_5_shape_0_horizontal_lines, 55, 10),
        shape(frame_359_shape_group_5_shape_1_horizontal_lines, 66, 11),
        shape(frame_359_shape_group_5_shape_2_horizontal_lines, 82, 8),
        shape(frame_359_shape_group_5_shape_3_horizontal_lines, 86, 11),
        shape(frame_359_shape_group_5_shape_4_horizontal_lines, 109, 15),
        shape(frame_359_shape_group_5_shape_5_horizontal_lines, 119, 8),
        shape(frame_359_shape_group_5_shape_6_horizontal_lines, 122, 11),
        shape(frame_359_shape_group_5_shape_7_horizontal_lines, 130, 15),
        shape(frame_359_shape_group_5_shape_8_horizontal_lines, 133, 11),
        shape(frame_359_shape_group_5_shape_9_horizontal_lines, 138, 15),
        shape(frame_359_shape_group_5_shape_10_horizontal_lines, 145, 11),
        shape(frame_359_shape_group_5_shape_11_horizontal_lines, 156, 15),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_0_horizontal_lines[] = {
        horizontal_line(160, 160),
        horizontal_line(160, 160),
        horizontal_line(159, 159),
        horizontal_line(159, 159),
        horizontal_line(158, 158),
        horizontal_line(158, 158),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_1_horizontal_lines[] = {
        horizontal_line(122, 142),
        horizontal_line(122, 141),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_2_horizontal_lines[] = {
        horizontal_line(157, 161),
        horizontal_line(157, 161),
        horizontal_line(156, 160),
        horizontal_line(156, 160),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_3_horizontal_lines[] = {
        horizontal_line(120, 139),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_4_horizontal_lines[] = {
        horizontal_line(155, 159),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_5_horizontal_lines[] = {
        horizontal_line(119, 138),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_6_horizontal_lines[] = {
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_7_horizontal_lines[] = {
        horizontal_line(118, 137),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_8_horizontal_lines[] = {
        horizontal_line(153, 157),
        horizontal_line(153, 157),
        horizontal_line(137, 156),
        horizontal_line(137, 150),
        horizontal_line(136, 156),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_9_horizontal_lines[] = {
        horizontal_line(84, 100),
        horizontal_line(92, 100),
        horizontal_line(100, 100),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_10_horizontal_lines[] = {
        horizontal_line(27, 50),
        horizontal_line(104, 113),
        horizontal_line(103, 113),
        horizontal_line(103, 112),
        horizontal_line(102, 112),
        horizontal_line(133, 152),
        horizontal_line(132, 145),
        horizontal_line(132, 151),
        horizontal_line(131, 150),
        horizontal_line(131, 144),
        horizontal_line(130, 150),
        horizontal_line(130, 143),
        horizontal_line(130, 149),
        horizontal_line(129, 142),
        horizontal_line(129, 148),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_11_horizontal_lines[] = {
        horizontal_line(109, 127),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_12_horizontal_lines[] = {
        horizontal_line(98, 107),
        horizontal_line(98, 107),
        horizontal_line(99, 107),
        horizontal_line(100, 106),
        horizontal_line(100, 106),
        horizontal_line(99, 106),
        horizontal_line(99, 105),
        horizontal_line(99, 105),
        horizontal_line(0, 44),
        horizontal_line(0, 44),
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_13_horizontal_lines[] = {
        horizontal_line(148, 176),
        horizontal_line(147, 178),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_14_horizontal_lines[] = {
        horizontal_line(0, 43),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_15_horizontal_lines[] = {
        horizontal_line(147, 181),
        horizontal_line(146, 183),
        horizontal_line(146, 185),
        horizontal_line(145, 187),
        horizontal_line(42, 83),
        horizontal_line(42, 83),
        horizontal_line(42, 82),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_16_horizontal_lines[] = {
        horizontal_line(119, 132),
        horizontal_line(119, 132),
        horizontal_line(118, 131),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_17_horizontal_lines[] = {
        horizontal_line(82, 90),
        horizontal_line(81, 90),
        horizontal_line(81, 90),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_18_horizontal_lines[] = {
        horizontal_line(200, 201),
        horizontal_line(199, 202),
        horizontal_line(0, 21),
        horizontal_line(0, 19),
        horizontal_line(0, 17),
        horizontal_line(197, 206),
        horizontal_line(197, 207),
        horizontal_line(196, 208),
        horizontal_line(195, 209),
        horizontal_line(195, 210),
        horizontal_line(0, 7),
        horizontal_line(0, 5),
        horizontal_line(0, 3),
        horizontal_line(0, 1),
        horizontal_line(0, 0),
        horizontal_line(192, 216),
        horizontal_line(191, 217),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_19_horizontal_lines[] = {
        horizontal_line(75, 83),
        horizontal_line(74, 83),
        horizontal_line(74, 83),
        horizontal_line(73, 82),
        horizontal_line(73, 82),
        horizontal_line(73, 82),
        horizontal_line(72, 81),
        horizontal_line(72, 81),
    };

    constexpr const horizontal_line frame_359_shape_group_6_shape_20_horizontal_lines[] = {
        horizontal_line(186, 226),
        horizontal_line(185, 227),
        horizontal_line(185, 228),
        horizontal_line(28, 31),
        horizontal_line(27, 31),
        horizontal_line(26, 31),
        horizontal_line(25, 31),
    };

    constexpr const shape frame_359_shape_group_6_shapes[] = {
        shape(frame_359_shape_group_6_shape_0_horizontal_lines, 59, 10),
        shape(frame_359_shape_group_6_shape_1_horizontal_lines, 66, 10),
        shape(frame_359_shape_group_6_shape_2_horizontal_lines, 68, 11),
        shape(frame_359_shape_group_6_shape_3_horizontal_lines, 72, 10),
        shape(frame_359_shape_group_6_shape_4_horizontal_lines, 73, 11),
        shape(frame_359_shape_group_6_shape_5_horizontal_lines, 74, 10),
        shape(frame_359_shape_group_6_shape_6_horizontal_lines, 75, 11),
        shape(frame_359_shape_group_6_shape_7_horizontal_lines, 76, 10),
        shape(frame_359_shape_group_6_shape_8_horizontal_lines, 77, 11),
        shape(frame_359_shape_group_6_shape_9_horizontal_lines, 82, 15),
        shape(frame_359_shape_group_6_shape_10_horizontal_lines, 85, 11),
        shape(frame_359_shape_group_6_shape_11_horizontal_lines, 100, 10),
        shape(frame_359_shape_group_6_shape_12_horizontal_lines, 101, 11),
        shape(frame_359_shape_group_6_shape_13_horizontal_lines, 112, 15),
        shape(frame_359_shape_group_6_shape_14_horizontal_lines, 114, 11),
        shape(frame_359_shape_group_6_shape_15_horizontal_lines, 115, 15),
        shape(frame_359_shape_group_6_shape_16_horizontal_lines, 122, 11),
        shape(frame_359_shape_group_6_shape_17_horizontal_lines, 125, 10),
        shape(frame_359_shape_group_6_shape_18_horizontal_lines, 128, 11),
        shape(frame_359_shape_group_6_shape_19_horizontal_lines, 145, 10),
        shape(frame_359_shape_group_6_shape_20_horizontal_lines, 153, 11),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_0_horizontal_lines[] = {
        horizontal_line(157, 157),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_1_horizontal_lines[] = {
        horizontal_line(121, 141),
        horizontal_line(121, 140),
        horizontal_line(120, 140),
        horizontal_line(120, 139),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_2_horizontal_lines[] = {
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_3_horizontal_lines[] = {
        horizontal_line(119, 139),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_4_horizontal_lines[] = {
        horizontal_line(160, 164),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_5_horizontal_lines[] = {
        horizontal_line(118, 138),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_6_horizontal_lines[] = {
        horizontal_line(159, 163),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_7_horizontal_lines[] = {
        horizontal_line(118, 137),
        horizontal_line(117, 137),
        horizontal_line(117, 136),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_8_horizontal_lines[] = {
        horizontal_line(152, 156),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_9_horizontal_lines[] = {
        horizontal_line(116, 135),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_10_horizontal_lines[] = {
        horizontal_line(46, 51),
        horizontal_line(40, 51),
        horizontal_line(33, 51),
        horizontal_line(104, 114),
        horizontal_line(134, 153),
        horizontal_line(134, 147),
        horizontal_line(133, 153),
        horizontal_line(133, 146),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_11_horizontal_lines[] = {
        horizontal_line(113, 132),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_12_horizontal_lines[] = {
        horizontal_line(147, 151),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_13_horizontal_lines[] = {
        horizontal_line(112, 131),
        horizontal_line(112, 130),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_14_horizontal_lines[] = {
        horizontal_line(146, 150),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_15_horizontal_lines[] = {
        horizontal_line(111, 129),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_16_horizontal_lines[] = {
        horizontal_line(145, 149),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_17_horizontal_lines[] = {
        horizontal_line(110, 129),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_18_horizontal_lines[] = {
        horizontal_line(144, 148),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_19_horizontal_lines[] = {
        horizontal_line(109, 128),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_20_horizontal_lines[] = {
        horizontal_line(95, 98),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_21_horizontal_lines[] = {
        horizontal_line(128, 147),
        horizontal_line(128, 147),
        horizontal_line(127, 140),
        horizontal_line(127, 146),
        horizontal_line(126, 139),
        horizontal_line(126, 145),
        horizontal_line(125, 144),
        horizontal_line(125, 144),
        horizontal_line(98, 104),
        horizontal_line(98, 104),
        horizontal_line(98, 104),
        horizontal_line(0, 43),
        horizontal_line(0, 43),
        horizontal_line(99, 102),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
        horizontal_line(0, 42),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_22_horizontal_lines[] = {
        horizontal_line(145, 189),
        horizontal_line(144, 191),
        horizontal_line(144, 193),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_23_horizontal_lines[] = {
        horizontal_line(83, 92),
        horizontal_line(82, 91),
        horizontal_line(82, 91),
        horizontal_line(114, 117),
        horizontal_line(117, 117),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_24_horizontal_lines[] = {
        horizontal_line(104, 117),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_25_horizontal_lines[] = {
        horizontal_line(81, 89),
        horizontal_line(80, 89),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_26_horizontal_lines[] = {
        horizontal_line(199, 203),
        horizontal_line(198, 204),
        horizontal_line(198, 205),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_27_horizontal_lines[] = {
        horizontal_line(79, 88),
        horizontal_line(79, 87),
        horizontal_line(78, 87),
        horizontal_line(78, 87),
        horizontal_line(77, 86),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_28_horizontal_lines[] = {
        horizontal_line(194, 211),
        horizontal_line(194, 212),
        horizontal_line(193, 213),
        horizontal_line(193, 214),
        horizontal_line(192, 215),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_29_horizontal_lines[] = {
        horizontal_line(75, 84),
        horizontal_line(75, 84),
        horizontal_line(113, 134),
        horizontal_line(113, 134),
        horizontal_line(113, 133),
        horizontal_line(112, 133),
        horizontal_line(112, 132),
        horizontal_line(111, 132),
        horizontal_line(111, 131),
        horizontal_line(110, 131),
        horizontal_line(72, 81),
        horizontal_line(71, 80),
        horizontal_line(71, 80),
    };

    constexpr const horizontal_line frame_359_shape_group_7_shape_30_horizontal_lines[] = {
        horizontal_line(184, 229),
        horizontal_line(184, 230),
        horizontal_line(183, 231),
        horizontal_line(183, 233),
    };

    constexpr const shape frame_359_shape_group_7_shapes[] = {
        shape(frame_359_shape_group_7_shape_0_horizontal_lines, 66, 10),
        shape(frame_359_shape_group_7_shape_1_horizontal_lines, 68, 10),
        shape(frame_359_shape_group_7_shape_2_horizontal_lines, 72, 1),
        shape(frame_359_shape_group_7_shape_3_horizontal_lines, 73, 10),
        shape(frame_359_shape_group_7_shape_4_horizontal_lines, 74, 1),
        shape(frame_359_shape_group_7_shape_5_horizontal_lines, 75, 10),
        shape(frame_359_shape_group_7_shape_6_horizontal_lines, 76, 1),
        shape(frame_359_shape_group_7_shape_7_horizontal_lines, 77, 10),
        shape(frame_359_shape_group_7_shape_8_horizontal_lines, 80, 11),
        shape(frame_359_shape_group_7_shape_9_horizontal_lines, 81, 10),
        shape(frame_359_shape_group_7_shape_10_horizontal_lines, 82, 11),
        shape(frame_359_shape_group_7_shape_11_horizontal_lines, 90, 10),
        shape(frame_359_shape_group_7_shape_12_horizontal_lines, 91, 11),
        shape(frame_359_shape_group_7_shape_13_horizontal_lines, 92, 10),
        shape(frame_359_shape_group_7_shape_14_horizontal_lines, 94, 11),
        shape(frame_359_shape_group_7_shape_15_horizontal_lines, 95, 10),
        shape(frame_359_shape_group_7_shape_16_horizontal_lines, 96, 11),
        shape(frame_359_shape_group_7_shape_17_horizontal_lines, 97, 10),
        shape(frame_359_shape_group_7_shape_18_horizontal_lines, 98, 11),
        shape(frame_359_shape_group_7_shape_19_horizontal_lines, 99, 10),
        shape(frame_359_shape_group_7_shape_20_horizontal_lines, 100, 1),
        shape(frame_359_shape_group_7_shape_21_horizontal_lines, 101, 11),
        shape(frame_359_shape_group_7_shape_22_horizontal_lines, 119, 15),
        shape(frame_359_shape_group_7_shape_23_horizontal_lines, 122, 10),
        shape(frame_359_shape_group_7_shape_24_horizontal_lines, 127, 1),
        shape(frame_359_shape_group_7_shape_25_horizontal_lines, 128, 10),
        shape(frame_359_shape_group_7_shape_26_horizontal_lines, 130, 11),
        shape(frame_359_shape_group_7_shape_27_horizontal_lines, 133, 10),
        shape(frame_359_shape_group_7_shape_28_horizontal_lines, 138, 11),
        shape(frame_359_shape_group_7_shape_29_horizontal_lines, 143, 10),
        shape(frame_359_shape_group_7_shape_30_horizontal_lines, 156, 11),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_0_horizontal_lines[] = {
        horizontal_line(156, 156),
        horizontal_line(156, 156),
        horizontal_line(155, 155),
        horizontal_line(155, 155),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_1_horizontal_lines[] = {
        horizontal_line(154, 154),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_2_horizontal_lines[] = {
        horizontal_line(153, 153),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_3_horizontal_lines[] = {
        horizontal_line(152, 152),
        horizontal_line(152, 152),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_4_horizontal_lines[] = {
        horizontal_line(157, 162),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_5_horizontal_lines[] = {
        horizontal_line(117, 136),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_6_horizontal_lines[] = {
        horizontal_line(157, 161),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_7_horizontal_lines[] = {
        horizontal_line(105, 115),
        horizontal_line(105, 114),
        horizontal_line(104, 114),
        horizontal_line(135, 154),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_8_horizontal_lines[] = {
        horizontal_line(114, 133),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_9_horizontal_lines[] = {
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_10_horizontal_lines[] = {
        horizontal_line(113, 132),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_11_horizontal_lines[] = {
        horizontal_line(148, 152),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_12_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_13_horizontal_lines[] = {
        horizontal_line(112, 131),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_14_horizontal_lines[] = {
        horizontal_line(98, 100),
        horizontal_line(98, 100),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_15_horizontal_lines[] = {
        horizontal_line(111, 130),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_16_horizontal_lines[] = {
        horizontal_line(97, 99),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_17_horizontal_lines[] = {
        horizontal_line(110, 129),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_18_horizontal_lines[] = {
        horizontal_line(96, 99),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_19_horizontal_lines[] = {
        horizontal_line(110, 128),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_20_horizontal_lines[] = {
        horizontal_line(96, 98),
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_21_horizontal_lines[] = {
        horizontal_line(108, 127),
        horizontal_line(108, 127),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_22_horizontal_lines[] = {
        horizontal_line(142, 146),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_23_horizontal_lines[] = {
        horizontal_line(107, 126),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_24_horizontal_lines[] = {
        horizontal_line(141, 145),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_25_horizontal_lines[] = {
        horizontal_line(107, 125),
        horizontal_line(106, 124),
        horizontal_line(106, 124),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_26_horizontal_lines[] = {
        horizontal_line(125, 143),
        horizontal_line(124, 143),
        horizontal_line(124, 143),
        horizontal_line(98, 103),
        horizontal_line(99, 103),
        horizontal_line(123, 141),
        horizontal_line(100, 102),
        horizontal_line(100, 102),
        horizontal_line(101, 101),
        horizontal_line(101, 101),
        horizontal_line(0, 40),
        horizontal_line(0, 38),
        horizontal_line(0, 36),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_27_horizontal_lines[] = {
        horizontal_line(108, 118),
        horizontal_line(110, 118),
        horizontal_line(112, 117),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_28_horizontal_lines[] = {
        horizontal_line(99, 113),
        horizontal_line(102, 116),
        horizontal_line(134, 141),
        horizontal_line(106, 117),
        horizontal_line(108, 117),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_29_horizontal_lines[] = {
        horizontal_line(80, 89),
        horizontal_line(80, 88),
        horizontal_line(79, 88),
        horizontal_line(119, 140),
        horizontal_line(118, 139),
        horizontal_line(118, 139),
        horizontal_line(117, 138),
        horizontal_line(117, 138),
        horizontal_line(77, 86),
        horizontal_line(77, 86),
        horizontal_line(76, 85),
        horizontal_line(76, 85),
        horizontal_line(76, 84),
        horizontal_line(114, 135),
        horizontal_line(114, 134),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_30_horizontal_lines[] = {
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(84, 112),
        horizontal_line(83, 111),
        horizontal_line(83, 111),
        horizontal_line(83, 110),
        horizontal_line(82, 110),
        horizontal_line(82, 109),
    };

    constexpr const horizontal_line frame_359_shape_group_8_shape_31_horizontal_lines[] = {
        horizontal_line(110, 130),
        horizontal_line(110, 130),
        horizontal_line(109, 129),
        horizontal_line(71, 80),
        horizontal_line(70, 79),
        horizontal_line(70, 79),
        horizontal_line(70, 79),
    };

    constexpr const shape frame_359_shape_group_8_shapes[] = {
        shape(frame_359_shape_group_8_shape_0_horizontal_lines, 68, 10),
        shape(frame_359_shape_group_8_shape_1_horizontal_lines, 73, 10),
        shape(frame_359_shape_group_8_shape_2_horizontal_lines, 75, 10),
        shape(frame_359_shape_group_8_shape_3_horizontal_lines, 77, 10),
        shape(frame_359_shape_group_8_shape_4_horizontal_lines, 79, 1),
        shape(frame_359_shape_group_8_shape_5_horizontal_lines, 80, 10),
        shape(frame_359_shape_group_8_shape_6_horizontal_lines, 81, 1),
        shape(frame_359_shape_group_8_shape_7_horizontal_lines, 82, 11),
        shape(frame_359_shape_group_8_shape_8_horizontal_lines, 86, 10),
        shape(frame_359_shape_group_8_shape_9_horizontal_lines, 87, 11),
        shape(frame_359_shape_group_8_shape_10_horizontal_lines, 88, 10),
        shape(frame_359_shape_group_8_shape_11_horizontal_lines, 89, 11),
        shape(frame_359_shape_group_8_shape_12_horizontal_lines, 90, 1),
        shape(frame_359_shape_group_8_shape_13_horizontal_lines, 91, 10),
        shape(frame_359_shape_group_8_shape_14_horizontal_lines, 92, 1),
        shape(frame_359_shape_group_8_shape_15_horizontal_lines, 94, 10),
        shape(frame_359_shape_group_8_shape_16_horizontal_lines, 95, 1),
        shape(frame_359_shape_group_8_shape_17_horizontal_lines, 96, 10),
        shape(frame_359_shape_group_8_shape_18_horizontal_lines, 97, 1),
        shape(frame_359_shape_group_8_shape_19_horizontal_lines, 98, 10),
        shape(frame_359_shape_group_8_shape_20_horizontal_lines, 99, 1),
        shape(frame_359_shape_group_8_shape_21_horizontal_lines, 101, 10),
        shape(frame_359_shape_group_8_shape_22_horizontal_lines, 103, 11),
        shape(frame_359_shape_group_8_shape_23_horizontal_lines, 104, 10),
        shape(frame_359_shape_group_8_shape_24_horizontal_lines, 105, 11),
        shape(frame_359_shape_group_8_shape_25_horizontal_lines, 106, 10),
        shape(frame_359_shape_group_8_shape_26_horizontal_lines, 109, 11),
        shape(frame_359_shape_group_8_shape_27_horizontal_lines, 122, 10),
        shape(frame_359_shape_group_8_shape_28_horizontal_lines, 125, 1),
        shape(frame_359_shape_group_8_shape_29_horizontal_lines, 130, 10),
        shape(frame_359_shape_group_8_shape_30_horizontal_lines, 145, 3),
        shape(frame_359_shape_group_8_shape_31_horizontal_lines, 153, 10),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_0_horizontal_lines[] = {
        horizontal_line(162, 164),
        horizontal_line(162, 167),
        horizontal_line(161, 166),
        horizontal_line(161, 166),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_1_horizontal_lines[] = {
        horizontal_line(160, 165),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_2_horizontal_lines[] = {
        horizontal_line(159, 164),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_3_horizontal_lines[] = {
        horizontal_line(158, 163),
        horizontal_line(158, 162),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_4_horizontal_lines[] = {
        horizontal_line(151, 151),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_5_horizontal_lines[] = {
        horizontal_line(136, 149),
        horizontal_line(135, 155),
        horizontal_line(135, 148),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_6_horizontal_lines[] = {
        horizontal_line(115, 134),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_7_horizontal_lines[] = {
        horizontal_line(100, 103),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_8_horizontal_lines[] = {
        horizontal_line(114, 133),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_9_horizontal_lines[] = {
        horizontal_line(99, 102),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_10_horizontal_lines[] = {
        horizontal_line(113, 132),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_11_horizontal_lines[] = {
        horizontal_line(153, 157),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_12_horizontal_lines[] = {
        horizontal_line(146, 146),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_13_horizontal_lines[] = {
        horizontal_line(152, 156),
        horizontal_line(151, 156),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_14_horizontal_lines[] = {
        horizontal_line(145, 145),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_15_horizontal_lines[] = {
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_16_horizontal_lines[] = {
        horizontal_line(144, 144),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_17_horizontal_lines[] = {
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_18_horizontal_lines[] = {
        horizontal_line(143, 143),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_19_horizontal_lines[] = {
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_20_horizontal_lines[] = {
        horizontal_line(95, 97),
        horizontal_line(95, 97),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_21_horizontal_lines[] = {
        horizontal_line(108, 126),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_22_horizontal_lines[] = {
        horizontal_line(94, 99),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_23_horizontal_lines[] = {
        horizontal_line(107, 125),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_24_horizontal_lines[] = {
        horizontal_line(93, 98),
        horizontal_line(91, 98),
        horizontal_line(89, 98),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_25_horizontal_lines[] = {
        horizontal_line(105, 124),
        horizontal_line(87, 87),
        horizontal_line(87, 87),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_26_horizontal_lines[] = {
        horizontal_line(123, 136),
        horizontal_line(123, 142),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_27_horizontal_lines[] = {
        horizontal_line(86, 88),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_28_horizontal_lines[] = {
        horizontal_line(122, 135),
        horizontal_line(122, 135),
        horizontal_line(121, 134),
        horizontal_line(121, 134),
        horizontal_line(120, 133),
        horizontal_line(120, 133),
        horizontal_line(120, 133),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_29_horizontal_lines[] = {
        horizontal_line(93, 107),
        horizontal_line(95, 109),
        horizontal_line(97, 111),
        horizontal_line(132, 142),
        horizontal_line(132, 142),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_30_horizontal_lines[] = {
        horizontal_line(91, 103),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_31_horizontal_lines[] = {
        horizontal_line(136, 141),
        horizontal_line(138, 141),
        horizontal_line(111, 117),
        horizontal_line(113, 117),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_32_horizontal_lines[] = {
        horizontal_line(130, 140),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_33_horizontal_lines[] = {
        horizontal_line(118, 118),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_34_horizontal_lines[] = {
        horizontal_line(88, 117),
        horizontal_line(88, 117),
        horizontal_line(88, 116),
        horizontal_line(87, 116),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_35_horizontal_lines[] = {
        horizontal_line(116, 137),
        horizontal_line(116, 137),
        horizontal_line(116, 136),
        horizontal_line(115, 136),
        horizontal_line(115, 135),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_36_horizontal_lines[] = {
        horizontal_line(85, 113),
        horizontal_line(85, 113),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_37_horizontal_lines[] = {
        horizontal_line(82, 109),
        horizontal_line(81, 109),
        horizontal_line(81, 108),
    };

    constexpr const horizontal_line frame_359_shape_group_9_shape_38_horizontal_lines[] = {
        horizontal_line(109, 129),
        horizontal_line(108, 128),
        horizontal_line(108, 128),
        horizontal_line(108, 128),
    };

    constexpr const shape frame_359_shape_group_9_shapes[] = {
        shape(frame_359_shape_group_9_shape_0_horizontal_lines, 68, 1),
        shape(frame_359_shape_group_9_shape_1_horizontal_lines, 73, 1),
        shape(frame_359_shape_group_9_shape_2_horizontal_lines, 75, 1),
        shape(frame_359_shape_group_9_shape_3_horizontal_lines, 77, 1),
        shape(frame_359_shape_group_9_shape_4_horizontal_lines, 80, 10),
        shape(frame_359_shape_group_9_shape_5_horizontal_lines, 82, 11),
        shape(frame_359_shape_group_9_shape_6_horizontal_lines, 85, 10),
        shape(frame_359_shape_group_9_shape_7_horizontal_lines, 86, 1),
        shape(frame_359_shape_group_9_shape_8_horizontal_lines, 87, 10),
        shape(frame_359_shape_group_9_shape_9_horizontal_lines, 88, 1),
        shape(frame_359_shape_group_9_shape_10_horizontal_lines, 89, 10),
        shape(frame_359_shape_group_9_shape_11_horizontal_lines, 90, 1),
        shape(frame_359_shape_group_9_shape_12_horizontal_lines, 91, 10),
        shape(frame_359_shape_group_9_shape_13_horizontal_lines, 92, 1),
        shape(frame_359_shape_group_9_shape_14_horizontal_lines, 94, 10),
        shape(frame_359_shape_group_9_shape_15_horizontal_lines, 95, 1),
        shape(frame_359_shape_group_9_shape_16_horizontal_lines, 96, 10),
        shape(frame_359_shape_group_9_shape_17_horizontal_lines, 97, 1),
        shape(frame_359_shape_group_9_shape_18_horizontal_lines, 98, 10),
        shape(frame_359_shape_group_9_shape_19_horizontal_lines, 99, 1),
        shape(frame_359_shape_group_9_shape_20_horizontal_lines, 101, 1),
        shape(frame_359_shape_group_9_shape_21_horizontal_lines, 103, 10),
        shape(frame_359_shape_group_9_shape_22_horizontal_lines, 104, 1),
        shape(frame_359_shape_group_9_shape_23_horizontal_lines, 105, 10),
        shape(frame_359_shape_group_9_shape_24_horizontal_lines, 106, 1),
        shape(frame_359_shape_group_9_shape_25_horizontal_lines, 109, 10),
        shape(frame_359_shape_group_9_shape_26_horizontal_lines, 112, 11),
        shape(frame_359_shape_group_9_shape_27_horizontal_lines, 114, 10),
        shape(frame_359_shape_group_9_shape_28_horizontal_lines, 115, 11),
        shape(frame_359_shape_group_9_shape_29_horizontal_lines, 122, 1),
        shape(frame_359_shape_group_9_shape_30_horizontal_lines, 127, 3),
        shape(frame_359_shape_group_9_shape_31_horizontal_lines, 128, 1),
        shape(frame_359_shape_group_9_shape_32_horizontal_lines, 132, 10),
        shape(frame_359_shape_group_9_shape_33_horizontal_lines, 133, 1),
        shape(frame_359_shape_group_9_shape_34_horizontal_lines, 134, 3),
        shape(frame_359_shape_group_9_shape_35_horizontal_lines, 138, 10),
        shape(frame_359_shape_group_9_shape_36_horizontal_lines, 143, 3),
        shape(frame_359_shape_group_9_shape_37_horizontal_lines, 153, 3),
        shape(frame_359_shape_group_9_shape_38_horizontal_lines, 156, 10),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_0_horizontal_lines[] = {
        horizontal_line(157, 162),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_1_horizontal_lines[] = {
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_2_horizontal_lines[] = {
        horizontal_line(115, 134),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_3_horizontal_lines[] = {
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_4_horizontal_lines[] = {
        horizontal_line(100, 101),
        horizontal_line(154, 159),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_5_horizontal_lines[] = {
        horizontal_line(148, 148),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_6_horizontal_lines[] = {
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_7_horizontal_lines[] = {
        horizontal_line(147, 147),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_8_horizontal_lines[] = {
        horizontal_line(98, 101),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_9_horizontal_lines[] = {
        horizontal_line(97, 100),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_10_horizontal_lines[] = {
        horizontal_line(97, 99),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_11_horizontal_lines[] = {
        horizontal_line(96, 98),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_12_horizontal_lines[] = {
        horizontal_line(141, 141),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_13_horizontal_lines[] = {
        horizontal_line(140, 140),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_14_horizontal_lines[] = {
        horizontal_line(89, 97),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_15_horizontal_lines[] = {
        horizontal_line(105, 123),
        horizontal_line(105, 123),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_16_horizontal_lines[] = {
        horizontal_line(138, 142),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_17_horizontal_lines[] = {
        horizontal_line(86, 88),
        horizontal_line(103, 122),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_18_horizontal_lines[] = {
        horizontal_line(137, 141),
        horizontal_line(138, 140),
        horizontal_line(139, 140),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_19_horizontal_lines[] = {
        horizontal_line(84, 90),
        horizontal_line(84, 90),
        horizontal_line(84, 91),
        horizontal_line(83, 91),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_20_horizontal_lines[] = {
        horizontal_line(133, 143),
        horizontal_line(133, 142),
        horizontal_line(132, 142),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_21_horizontal_lines[] = {
        horizontal_line(91, 98),
        horizontal_line(91, 101),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_22_horizontal_lines[] = {
        horizontal_line(90, 105),
        horizontal_line(90, 107),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_23_horizontal_lines[] = {
        horizontal_line(140, 141),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_24_horizontal_lines[] = {
        horizontal_line(89, 112),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_25_horizontal_lines[] = {
        horizontal_line(115, 117),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_26_horizontal_lines[] = {
        horizontal_line(89, 117),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_27_horizontal_lines[] = {
        horizontal_line(87, 115),
        horizontal_line(87, 115),
        horizontal_line(86, 115),
        horizontal_line(86, 114),
        horizontal_line(85, 114),
    };

    constexpr const horizontal_line frame_359_shape_group_10_shape_28_horizontal_lines[] = {
        horizontal_line(81, 108),
        horizontal_line(80, 107),
        horizontal_line(80, 107),
        horizontal_line(80, 107),
    };

    constexpr const shape frame_359_shape_group_10_shapes[] = {
        shape(frame_359_shape_group_10_shape_0_horizontal_lines, 80, 1),
        shape(frame_359_shape_group_10_shape_1_horizontal_lines, 82, 11),
        shape(frame_359_shape_group_10_shape_2_horizontal_lines, 83, 10),
        shape(frame_359_shape_group_10_shape_3_horizontal_lines, 84, 11),
        shape(frame_359_shape_group_10_shape_4_horizontal_lines, 85, 1),
        shape(frame_359_shape_group_10_shape_5_horizontal_lines, 87, 10),
        shape(frame_359_shape_group_10_shape_6_horizontal_lines, 88, 1),
        shape(frame_359_shape_group_10_shape_7_horizontal_lines, 89, 10),
        shape(frame_359_shape_group_10_shape_8_horizontal_lines, 91, 1),
        shape(frame_359_shape_group_10_shape_9_horizontal_lines, 94, 1),
        shape(frame_359_shape_group_10_shape_10_horizontal_lines, 96, 1),
        shape(frame_359_shape_group_10_shape_11_horizontal_lines, 98, 1),
        shape(frame_359_shape_group_10_shape_12_horizontal_lines, 103, 10),
        shape(frame_359_shape_group_10_shape_13_horizontal_lines, 105, 10),
        shape(frame_359_shape_group_10_shape_14_horizontal_lines, 109, 1),
        shape(frame_359_shape_group_10_shape_15_horizontal_lines, 110, 10),
        shape(frame_359_shape_group_10_shape_16_horizontal_lines, 112, 11),
        shape(frame_359_shape_group_10_shape_17_horizontal_lines, 113, 10),
        shape(frame_359_shape_group_10_shape_18_horizontal_lines, 115, 11),
        shape(frame_359_shape_group_10_shape_19_horizontal_lines, 118, 10),
        shape(frame_359_shape_group_10_shape_20_horizontal_lines, 122, 1),
        shape(frame_359_shape_group_10_shape_21_horizontal_lines, 125, 3),
        shape(frame_359_shape_group_10_shape_22_horizontal_lines, 128, 3),
        shape(frame_359_shape_group_10_shape_23_horizontal_lines, 130, 1),
        shape(frame_359_shape_group_10_shape_24_horizontal_lines, 131, 3),
        shape(frame_359_shape_group_10_shape_25_horizontal_lines, 132, 1),
        shape(frame_359_shape_group_10_shape_26_horizontal_lines, 133, 3),
        shape(frame_359_shape_group_10_shape_27_horizontal_lines, 138, 3),
        shape(frame_359_shape_group_10_shape_28_horizontal_lines, 156, 3),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_0_horizontal_lines[] = {
        horizontal_line(116, 135),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_1_horizontal_lines[] = {
        horizontal_line(156, 160),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_2_horizontal_lines[] = {
        horizontal_line(115, 134),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_3_horizontal_lines[] = {
        horizontal_line(155, 159),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_4_horizontal_lines[] = {
        horizontal_line(100, 102),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_5_horizontal_lines[] = {
        horizontal_line(99, 101),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_6_horizontal_lines[] = {
        horizontal_line(152, 157),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_7_horizontal_lines[] = {
        horizontal_line(151, 155),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_8_horizontal_lines[] = {
        horizontal_line(150, 154),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_9_horizontal_lines[] = {
        horizontal_line(149, 153),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_10_horizontal_lines[] = {
        horizontal_line(94, 98),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_11_horizontal_lines[] = {
        horizontal_line(94, 99),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_12_horizontal_lines[] = {
        horizontal_line(94, 97),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_13_horizontal_lines[] = {
        horizontal_line(86, 88),
        horizontal_line(104, 122),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_14_horizontal_lines[] = {
        horizontal_line(85, 89),
        horizontal_line(85, 89),
        horizontal_line(85, 90),
        horizontal_line(102, 120),
        horizontal_line(102, 119),
        horizontal_line(104, 119),
        horizontal_line(106, 119),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_15_horizontal_lines[] = {
        horizontal_line(92, 94),
        horizontal_line(92, 96),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_16_horizontal_lines[] = {
        horizontal_line(90, 110),
    };

    constexpr const horizontal_line frame_359_shape_group_11_shape_17_horizontal_lines[] = {
        horizontal_line(89, 114),
    };

    constexpr const shape frame_359_shape_group_11_shapes[] = {
        shape(frame_359_shape_group_11_shape_0_horizontal_lines, 82, 10),
        shape(frame_359_shape_group_11_shape_1_horizontal_lines, 83, 1),
        shape(frame_359_shape_group_11_shape_2_horizontal_lines, 84, 10),
        shape(frame_359_shape_group_11_shape_3_horizontal_lines, 85, 1),
        shape(frame_359_shape_group_11_shape_4_horizontal_lines, 87, 1),
        shape(frame_359_shape_group_11_shape_5_horizontal_lines, 89, 1),
        shape(frame_359_shape_group_11_shape_6_horizontal_lines, 91, 1),
        shape(frame_359_shape_group_11_shape_7_horizontal_lines, 94, 1),
        shape(frame_359_shape_group_11_shape_8_horizontal_lines, 96, 1),
        shape(frame_359_shape_group_11_shape_9_horizontal_lines, 98, 1),
        shape(frame_359_shape_group_11_shape_10_horizontal_lines, 103, 1),
        shape(frame_359_shape_group_11_shape_11_horizontal_lines, 105, 1),
        shape(frame_359_shape_group_11_shape_12_horizontal_lines, 110, 1),
        shape(frame_359_shape_group_11_shape_13_horizontal_lines, 112, 10),
        shape(frame_359_shape_group_11_shape_14_horizontal_lines, 115, 10),
        shape(frame_359_shape_group_11_shape_15_horizontal_lines, 123, 3),
        shape(frame_359_shape_group_11_shape_16_horizontal_lines, 130, 3),
        shape(frame_359_shape_group_11_shape_17_horizontal_lines, 132, 3),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_0_horizontal_lines[] = {
        horizontal_line(150, 150),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_1_horizontal_lines[] = {
        horizontal_line(149, 149),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_2_horizontal_lines[] = {
        horizontal_line(154, 158),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_3_horizontal_lines[] = {
        horizontal_line(153, 157),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_4_horizontal_lines[] = {
        horizontal_line(104, 122),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_5_horizontal_lines[] = {
        horizontal_line(103, 121),
        horizontal_line(103, 121),
        horizontal_line(102, 120),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_6_horizontal_lines[] = {
        horizontal_line(134, 134),
    };

    constexpr const horizontal_line frame_359_shape_group_12_shape_7_horizontal_lines[] = {
        horizontal_line(99, 103),
        horizontal_line(96, 105),
    };

    constexpr const shape frame_359_shape_group_12_shapes[] = {
        shape(frame_359_shape_group_12_shape_0_horizontal_lines, 82, 10),
        shape(frame_359_shape_group_12_shape_1_horizontal_lines, 84, 10),
        shape(frame_359_shape_group_12_shape_2_horizontal_lines, 87, 1),
        shape(frame_359_shape_group_12_shape_3_horizontal_lines, 89, 1),
        shape(frame_359_shape_group_12_shape_4_horizontal_lines, 112, 10),
        shape(frame_359_shape_group_12_shape_5_horizontal_lines, 115, 10),
        shape(frame_359_shape_group_12_shape_6_horizontal_lines, 119, 10),
        shape(frame_359_shape_group_12_shape_7_horizontal_lines, 120, 1),
    };

    constexpr const horizontal_line frame_359_shape_group_13_shape_0_horizontal_lines[] = {
        horizontal_line(156, 161),
    };

    constexpr const horizontal_line frame_359_shape_group_13_shape_1_horizontal_lines[] = {
        horizontal_line(155, 160),
    };

    constexpr const horizontal_line frame_359_shape_group_13_shape_2_horizontal_lines[] = {
        horizontal_line(137, 137),
    };

    constexpr const horizontal_line frame_359_shape_group_13_shape_3_horizontal_lines[] = {
        horizontal_line(134, 137),
        horizontal_line(134, 140),
    };

    constexpr const shape frame_359_shape_group_13_shapes[] = {
        shape(frame_359_shape_group_13_shape_0_horizontal_lines, 82, 1),
        shape(frame_359_shape_group_13_shape_1_horizontal_lines, 84, 1),
        shape(frame_359_shape_group_13_shape_2_horizontal_lines, 112, 10),
        shape(frame_359_shape_group_13_shape_3_horizontal_lines, 120, 1),
    };

    constexpr const shape_group frame_359_shape_groups[] = {
        shape_group(frame_359_shape_group_0_shapes),
        shape_group(frame_359_shape_group_1_shapes),
        shape_group(frame_359_shape_group_2_shapes),
        shape_group(frame_359_shape_group_3_shapes),
        shape_group(frame_359_shape_group_4_shapes),
        shape_group(frame_359_shape_group_5_shapes),
        shape_group(frame_359_shape_group_6_shapes),
        shape_group(frame_359_shape_group_7_shapes),
        shape_group(frame_359_shape_group_8_shapes),
        shape_group(frame_359_shape_group_9_shapes),
        shape_group(frame_359_shape_group_10_shapes),
        shape_group(frame_359_shape_group_11_shapes),
        shape_group(frame_359_shape_group_12_shapes),
        shape_group(frame_359_shape_group_13_shapes),
    };

    constexpr const frame frame_359_impl(frame_359_colors, frame_359_shape_groups);
} 

const frame& frame_359()
{
    return frame_359_impl;
}

